      ***************************************************************
      * File:      M0800.CBL
      * Paragraph: 0800-ABORT-PROGRAM
      * Author:    Mike Ray
      * Date:      8/15/95
      * Purpose:
      *    This paragraph performs all cleanup actions possible when
      *    it is neccessary to abnormally terminate the program.
      ***************************************************************

       0800-ABORT-PROGRAM.

           DISPLAY '0800-ABORTING PROGRAM'
           UPON CONSOLE

           DISPLAY 'TRAN SEQ # = ', WS-0004-TRAN-SEQ-NO
           UPON CONSOLE

           DISPLAY 'P/CR REC COUNT = ',
           WS-0008-PCR-MEMO-TRANSACTIONS
           UPON CONSOLE

           IF WS-0004-EXT-STOP-DAS-FLAG = WS-LITERAL-YES
              DISPLAY 'ABORTED BY OPERATOR!'
              UPON CONSOLE
           END-IF

           DISPLAY '*** 8020 INTERNAL ERROR RECORD ***'
           UPON CONSOLE
           DISPLAY 'INTERNAL ERROR PARAGRAPH # = ',
           WS-8020-PARAGRAPH-NO UPON CONSOLE
           DISPLAY 'INTERNAL ERROR #           = ',
           WS-8020-INT-ERROR-NO UPON CONSOLE
           DISPLAY 'FIELD NAME                 = ',
           WS-8020-FIELD-NAME UPON CONSOLE
           DISPLAY 'FIELD CONTENTS             = ',
           WS-8020-BAD-DATA UPON CONSOLE

      *    *** IF AN INTERNAL ERROR IS CAUSED BY A TRANSACTION
      *    *** ERROR WE MAY NEED ALL THE TRANSACTION ERROR INFO
      *    *** TO PINPOINT THE PROBLEM.
           IF WS-8020-PARAGRAPH-NO = 8000
              DISPLAY 'TRANSACTION ERROR PARAGRAPH # = ',
              WS-8000-PARAGRAPH-NO UPON CONSOLE
              DISPLAY 'ERROR TYPE                    = ',
              WS-8000-ERROR-TYPE UPON CONSOLE
              DISPLAY 'TRANSACTION ERROR #           = ',
              WS-8000-ERROR-CODE UPON CONSOLE
              DISPLAY 'FIELD NAME                    = ',
              WS-8000-FIELD-NAME1 UPON CONSOLE
              DISPLAY 'FIELD CONTENTS                = ',
              WS-8000-BAD-DATA1 UPON CONSOLE
              DISPLAY 'CORRECT DATA                  = ',
              WS-8000-CORR-DATA1 UPON CONSOLE
              DISPLAY 'POLICY NUMBER                 = ',
              WS-8000-POLICY-NO UPON CONSOLE
           END-IF

      *    *** IF AN INTERNAL ERROR IS CAUSED BY THE REPORTING
      *    *** MODULE WE MAY NEED TO KNOW WHAT THE CURRENT ERROR
      *    *** AND THE CURRENT TRANSACTION ARE IN ORDER TO FIND THE
      *    *** MODULE THAT IS NOT RECORDING ERRORS CORRECTLY.
           IF WS-8020-PARAGRAPH-NO = 0707
              DISPLAY '0707-CURRENT ERROR RECORD' UPON CONSOLE
              DISPLAY 'ERROR TRANS SEQ #: ',
              WS-0707-TRAN-SEQ-NO UPON CONSOLE
              DISPLAY 'ERROR SEQ #      : ',
              WS-0707-ERR-SEQ-NO UPON CONSOLE
              DISPLAY 'ERROR TYPE       : ',
              WS-0707-ERROR-TYPE UPON CONSOLE
              DISPLAY 'ERROR CODE       : ',
              WS-0707-ERROR-CODE UPON CONSOLE
              DISPLAY 'POLICY NO        : ',
              WS-0707-POLICY-NO UPON CONSOLE
              DISPLAY 'FIELD NAME 01    : ',
              WS-0707-FIELD-NAME1 UPON CONSOLE
              DISPLAY 'BAD DATA         : ',
              WS-0707-BAD-DATA1 UPON CONSOLE
              DISPLAY 'CORRECT DATA     : ',
              WS-0707-CORR-DATA1 UPON CONSOLE
              DISPLAY 'PARAGRAPH NO     : ',
              WS-0707-PARAGRAPH-NO UPON CONSOLE
           END-IF

           DISPLAY 'ABORTED TRANSACTION RECORD'
           UPON CONSOLE
           EVALUATE WS-TRAN-TYPE
            WHEN 10
               PERFORM 1010-DISPLAY-RECORD
                  THRU 1010-DISPLAY-RECORD-EXIT
            WHEN 11
               PERFORM 1011-DISPLAY-RECORD
                  THRU 1011-DISPLAY-RECORD-EXIT
            WHEN 12
               PERFORM 1012-DISPLAY-RECORD
                  THRU 1012-DISPLAY-RECORD-EXIT
            WHEN 14
               PERFORM 1014-DISPLAY-RECORD
                  THRU 1014-DISPLAY-RECORD-EXIT
            WHEN 15
               PERFORM 1015-DISPLAY-RECORD
                  THRU 1015-DISPLAY-RECORD-EXIT
            WHEN 20
               PERFORM 1020-DISPLAY-RECORD
                  THRU 1020-DISPLAY-RECORD-EXIT
            WHEN 21
               PERFORM 1021-DISPLAY-RECORD
                  THRU 1021-DISPLAY-RECORD-EXIT
            WHEN 55
               PERFORM 1055-DISPLAY-RECORD
                  THRU 1055-DISPLAY-RECORD-EXIT
            WHEN 56
               PERFORM 1056-DISPLAY-RECORD
                  THRU 1056-DISPLAY-RECORD-EXIT
            WHEN OTHER
               CONTINUE
           END-EVALUATE

           PERFORM 0770-LOG-ERROR-COUNTS
              THRU 0770-LOG-ERROR-COUNTS-EXIT

           PERFORM 0930-CLOSE-FILES
              THRU 0930-CLOSE-FILES-EXIT

           PERFORM 0932-DELETE-TEMP-FILES
              THRU 0932-DELETE-TEMP-FILES-EXIT

           PERFORM 0540-GET-DATE-TIME
              THRU 0540-GET-DATE-TIME-EXIT
           DISPLAY 'ENDED AT   ', WS-0540-FULL-TIME, ' ', WS-0540-DATE
           UPON CONSOLE

           MOVE 1 TO RETURN-CODE.


       0800-ABORT-PROGRAM-EXIT.
           STOP RUN GIVING RETURN-CODE.

