      ***************************************************************
      * File:      C4000.CBL
      * Author:    Mike Ray
      * Date:      05/21/96
      * Purpose:
      *    This copy file contains the modules that perform complex
      *    or repetitive calculations.
      *
      * Contains:
      *    C4105.CBL      4105-CALC-IP-DOLLAR-AMT
      *    C4110.CBL      4110-CALC-RA-BASE-PREMIUM
      *    C4115.CBL      4115-CALC-RA-EU-DOL-AMT
      *    C4120.CBL      4120-CALC-RA-WF-DOL-AMT
      *    C4200.CBL      4200-CALC-AR-CUTOFF-DT
      *    C4205.CBL      4205-CALC-APH-GUARANTEE
      *    C4210.CBL      4210-CALC-QUOTA-PNUT-GUAR
      *    C4215.CBL      4215-CALC-DOLLAR-GUAR
      *    C4220.CBL      4220-CALC-CITMAC-GUAR
      *    C4225.CBL      4225-CALC-YLDDLR-GUAR
      *    C4230.CBL      4230-CALC-GRP-GUARANTEE
      *    C4235.CBL      4235-CALC-GTOBACCO-GUAR
      *    C4240.CBL      4240-CALC-QTOBACCO-GUAR
      *    C4245.CBL      4245-CALC-CRC-GUARANTEE
      *    C4250.CBL      4250-CALC-FL-FRUIT-GUAR
      *    C4255.CBL      4255-CALC-RA-GUARANTEE
      *    C4260.CBL      4260-CALC-IP-GUARANTEE
      *    C4265.CBL      4265-CALC-AVOCADO-GUAR
      *    C4305.CBL      4305-CALC-APH-LIABILITY
      *    C4310.CBL      4310-CALC-QUOTA-PNUT-LIAB
      *    C4315.CBL      4315-CALC-DOLLAR-LIAB
      *    C4320.CBL      4320-CALC-CITMAC-LIAB
      *    C4325.CBL      4325-CALC-YLDDLR-LIAB
      *    C4330.CBL      4330-CALC-GRP-LIABILITY
      *    C4335.CBL      4335-CALC-GTOBACCO-LIAB
      *    C4340.CBL      4340-CALC-QTOBACCO-LIAB
      *    C4345.CBL      4345-CALC-CRC-LIABILITY
      *    C4350.CBL      4350-CALC-FL-FRUIT-LIAB
      *    C4355.CBL      4355-CALC-IP-LIABILITY
      *    C4360.CBL      4360-CALC-RA-LIABILITY
      *    C4365.CBL      4365-CALC-AVOCADO-LIAB
      *    C4405.CBL      4405-CALC-APH-PREMIUM
      *    C4410.CBL      4410-CALC-QUOTA-PNUT-PREM
      *    C4415.CBL      4415-CALC-DOLLAR-PREM
      *    C4420.CBL      4420-CALC-CITMAC-PREM
      *    C4425.CBL      4425-CALC-YLDDLR-PREM
      *    C4430.CBL      4430-CALC-GRP-PREMIUM
      *    C4435.CBL      4435-CALC-GTOBACCO-PREM
      *    C4440.CBL      4440-CALC-QTOBACCO-PREM
      *    C4445.CBL      4445-CALC-CRC-PREMIUM
      *    C4450.CBL      4450-CALC-FL-FRUIT-PREM
      *    C4455.CBL      4455-CALC-RA-PREMIUM
      *    C4465.CBL      4465-CALC-AVOCADO-PREM
      *    C4470.CBL      4470-CALC-IP-PREMIUM
      *    C4510.CBL      4510-CALC-FINAL-GRP-PMT
      *    C4705.CBL      4705-CALC-APH-LOSSG
      *    C4710.CBL      4710-CALC-QPEANUT-LOSSG
      *    C4715.CBL      4715-CALC-DOLLAR-LOSSG
      *    C4720.CBL      4720-CALC-CITMAC-LOSSG
      *    C4725.CBL      4725-CALC-YLDDLR-LOSSG
      *    C4730.CBL      4730-CALC-GRP-LOSSG
      *    C4735.CBL      4735-CALC-GTOBACCO-LOSSG
      *    C4740.CBL      4740-CALC-QTOBACCO-LOSSG
      *    C4745.CBL      4745-CALC-CRC-LOSSG
      *    C4750.CBL      4750-CALC-FL-FRUIT-LOSSG
      *    C4755.CBL      4755-CALC-RA-LOSSG
      *    C4760.CBL      4760-CALC-IP-LOSSG
      *    C4805.CBL      4805-CALC-APH-INDEM
      *    C4810.CBL      4810-CALC-QPEANUT-INDEM
      *    C4815.CBL      4815-CALC-DOLLAR-INDEM
      *    C4820.CBL      4820-CALC-CITMAC-INDEM
      *    C4825.CBL      4825-CALC-YLDDLR-INDEM
      *    C4830.CBL      4830-CALC-GRP-INDEM
      *    C4835.CBL      4835-CALC-GTOBACCO-INDEM
      *    C4840.CBL      4840-CALC-QTOBACCO-INDEM
      *    C4845.CBL      4845-CALC-CRC-INDEM
      *    C4850.CBL      4850-CALC-FL-FRUIT-INDEM
      *    C4855.CBL      4855-CALC-RA-INDEM
      *    C4860.CBL      4860-CALC-IP-INDEM
      ***************************************************************


       COPY 'CALC/C4105.CBL'.
       COPY 'CALC/C4110.CBL'.
       COPY 'CALC/C4115.CBL'.
       COPY 'CALC/C4120.CBL'.
       COPY 'CALC/C4200.CBL'.
       COPY 'CALC/C4205.CBL'.
       COPY 'CALC/C4210.CBL'.
       COPY 'CALC/C4215.CBL'.
       COPY 'CALC/C4220.CBL'.
       COPY 'CALC/C4225.CBL'.
       COPY 'CALC/C4230.CBL'.
       COPY 'CALC/C4235.CBL'.
       COPY 'CALC/C4240.CBL'.
       COPY 'CALC/C4245.CBL'.
       COPY 'CALC/C4250.CBL'.
       COPY 'CALC/C4255.CBL'.
       COPY 'CALC/C4260.CBL'.
       COPY 'CALC/C4265.CBL'.

       COPY 'CALC/C4305.CBL'.
       COPY 'CALC/C4310.CBL'.
       COPY 'CALC/C4315.CBL'.
       COPY 'CALC/C4320.CBL'.
       COPY 'CALC/C4325.CBL'.
       COPY 'CALC/C4330.CBL'.
       COPY 'CALC/C4335.CBL'.
       COPY 'CALC/C4340.CBL'.
       COPY 'CALC/C4345.CBL'.
       COPY 'CALC/C4350.CBL'.
       COPY 'CALC/C4355.CBL'.
       COPY 'CALC/C4360.CBL'.
       COPY 'CALC/C4365.CBL'.

       COPY 'CALC/C4405.CBL'.
       COPY 'CALC/C4410.CBL'.
       COPY 'CALC/C4415.CBL'.
       COPY 'CALC/C4420.CBL'.
       COPY 'CALC/C4425.CBL'.
       COPY 'CALC/C4430.CBL'.
       COPY 'CALC/C4435.CBL'.
       COPY 'CALC/C4440.CBL'.
       COPY 'CALC/C4445.CBL'.
       COPY 'CALC/C4450.CBL'.
       COPY 'CALC/C4455.CBL'.
       COPY 'CALC/C4465.CBL'.
       COPY 'CALC/C4470.CBL'.

       COPY 'CALC/C4510.CBL'.

       COPY 'CALC/C4705.CBL'.
       COPY 'CALC/C4710.CBL'.
       COPY 'CALC/C4715.CBL'.
       COPY 'CALC/C4720.CBL'.
       COPY 'CALC/C4725.CBL'.
       COPY 'CALC/C4730.CBL'.
       COPY 'CALC/C4735.CBL'.
       COPY 'CALC/C4740.CBL'.
       COPY 'CALC/C4745.CBL'.
       COPY 'CALC/C4750.CBL'.
       COPY 'CALC/C4755.CBL'.
       COPY 'CALC/C4760.CBL'.

       COPY 'CALC/C4805.CBL'.
       COPY 'CALC/C4810.CBL'.
       COPY 'CALC/C4815.CBL'.
       COPY 'CALC/C4820.CBL'.
       COPY 'CALC/C4825.CBL'.
       COPY 'CALC/C4830.CBL'.
       COPY 'CALC/C4835.CBL'.
       COPY 'CALC/C4840.CBL'.
       COPY 'CALC/C4845.CBL'.
       COPY 'CALC/C4850.CBL'.
       COPY 'CALC/C4855.CBL'.
       COPY 'CALC/C4860.CBL'.

