      ***************************************************************
      * File:      C4110.CBL
      * Author:    Mike Ray
      * Date:      01/28/97
      * Purpose:   Calculates the base premium rate using the premium
      *            calculation in M-13.
      ***************************************************************

       4110-CALC-RA-BASE-PREMIUM.

      $IF DEBUG-SW DEFINED
           DISPLAY '4110-CALCULATING RA BASE PREMIUM RATE'
           UPON CONSOLE
      $END


      *****************************************************
      *    INITIALIZE LOCAL VARIABLES                     *
      *****************************************************
           INITIALIZE WS-4110-OUTPUT
           INITIALIZE WS-4110-LOCAL

      *****************************************************
      *    SET UP DISPLAY FIELDS                          *
      *****************************************************
           MOVE WS-4110-PRICE-ELECTION
             TO WS-4110-PRICE-ELECTION-X
           MOVE WS-4110-YIELD
             TO WS-4110-YIELD-X
           MOVE WS-4110-REVENUE-CVG-LVL-PCT
             TO WS-4110-REVENUE-CVG-LVL-PCT-X
           MOVE WS-4110-MAP-FACTOR
             TO WS-4110-MAP-FACTOR-X

      *****************************************************
      *    CHECK INPUT FIELDS                             *
      *****************************************************
           IF WS-4110-PRICE-ELECTION = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 042 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-4110-CALC-ERROR
              MOVE 'WS-4110-PRICE-ELECTION' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 4110 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-4110-YIELD = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 042 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-4110-CALC-ERROR
              MOVE 'WS-4110-YIELD' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 4110 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-4110-REVENUE-CVG-LVL-PCT = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 042 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-4110-CALC-ERROR
              MOVE 'WS-4110-REV-CVG-LVL' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 4110 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-4110-MAP-FACTOR = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 042 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-4110-CALC-ERROR
              MOVE 'WS-4110-MAP-FACTOR' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 4110 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-4110-CROP-YEAR = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 042 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-4110-CALC-ERROR
              MOVE 'WS-4110-CROP-YEAR' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 4110 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-4110-STATE = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 042 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-4110-CALC-ERROR
              MOVE 'WS-4110-STATE' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 4110 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-4110-COUNTY-CD = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 042 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-4110-CALC-ERROR
              MOVE 'WS-4110-COUNTY-CD' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 4110 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-4110-CROP-CD = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 042 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-4110-CALC-ERROR
              MOVE 'WS-4110-CROP-CD' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 4110 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
          END-IF

           IF WS-4110-INS-PLAN-CD = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 042 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-4110-CALC-ERROR
              MOVE 'WS-4110-INS-PLAN-CD' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 4110 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF


           IF WS-4110-CALC-ERROR = WS-LITERAL-YES
              GO TO 4110-CALC-RA-BASE-PREMIUM-EXIT
           END-IF

      *****************************************************
      *             CROP SPECIFIC DATA                    *
      *****************************************************
           EVALUATE WS-4110-CROP-CD
            WHEN WS-LITERAL-CORN
               MOVE 3 TO WS-4110-CROP-DIVISOR
               MOVE 3.02 TO WS-4110-CHICAGO-FUTURE-PRICE
            WHEN WS-LITERAL-SOYBEANS
               MOVE 6 TO WS-4110-CROP-DIVISOR
               MOVE 6.99 TO WS-4110-CHICAGO-FUTURE-PRICE
            WHEN OTHER
               CONTINUE
           END-EVALUATE

           MOVE WS-4110-CHICAGO-FUTURE-PRICE
             TO WS-4110-CHICAGO-FUTURE-PRICE-X

      *****************************************************
      *               LOOKUP ADM DATA                     *
      *****************************************************

           PERFORM 4110-LOOKUP-STATE-INFO
              THRU 4110-LOOKUP-STATE-INFO-EXIT
           IF WS-4110-STATE-DATA-FOUND = WS-LITERAL-NO
              GO TO 4110-CALC-RA-BASE-PREMIUM-EXIT
           END-IF

           PERFORM 4110-LOOKUP-COUNTY-INFO
              THRU 4110-LOOKUP-COUNTY-INFO-EXIT
           IF WS-4110-COUNTY-DATA-FOUND = WS-LITERAL-NO
              GO TO 4110-CALC-RA-BASE-PREMIUM-EXIT
           END-IF

      *****************************************************
      *   CALCULATE LOCAL PRICE VOLATILITY IF NECESSARY   *
      *****************************************************
           IF WS-4110-LOCAL-PRICE-VOL = ZEROS
              COMPUTE WS-4110-LOCAL-PRICE-VOL ROUNDED =
                 WS-4110-PRICE-VOLATILITY *
                 (WS-4110-CHICAGO-FUTURE-PRICE /
                 WS-4110-PRICE-ELECTION)
                 ON SIZE ERROR
                    MOVE 4110 TO WS-8020-PARAGRAPH-NO
                    MOVE 90017 TO WS-8020-INT-ERROR-NO
                    MOVE 'LOCAL PRICE VOL'
                      TO WS-8020-FIELD-NAME
                    MOVE ZEROS
                      TO WS-8020-BAD-DATA
                    MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
                    PERFORM 8020-RECORD-INT-ERROR
                       THRU 8020-RECORD-INT-ERROR-EXIT
              END-COMPUTE
              MOVE WS-4110-LOCAL-PRICE-VOL
                TO WS-4110-LOCAL-PRICE-VOL-X

      $IF DEBUG-SW DEFINED
           DISPLAY 'ADMVC DID NOT CONTAIN LOCAL PRICE VOLITILITY!'
           UPON CONSOLE
           DISPLAY 'STATE PRICE VOLITILITY = ',
           WS-4110-PRICE-VOLATILITY-X
           UPON CONSOLE
           DISPLAY 'CHICAGO FUTURE PRICE   = $',
           WS-4110-CHICAGO-FUTURE-PRICE-X
           UPON CONSOLE
           DISPLAY 'PRICE ELECTION         = $',
           WS-4110-PRICE-ELECTION-X
           UPON CONSOLE
           DISPLAY 'CALCULATED LOCAL VOL   = ',
           WS-4110-LOCAL-PRICE-VOL-X
           UPON CONSOLE
      $END
           END-IF

      *****************************************************
      *         CALCULATE BASE PER ACRE PREMIUM           *
      *****************************************************

      $IF DEBUG-SW DEFINED
           DISPLAY 'PRICE ELECTION    = $', WS-4110-PRICE-ELECTION-X
           UPON CONSOLE
           DISPLAY 'CROP DIVISOR      = ', WS-4110-CROP-DIVISOR
           UPON CONSOLE
           DISPLAY 'YIELD             = ', WS-4110-YIELD-X
           UPON CONSOLE
           DISPLAY 'COUNTY AVG YIELD  = ', WS-4110-COUNTY-AVG-YIELD-X
           UPON CONSOLE
           DISPLAY 'COUNTY YLD SDEV   = ', WS-4110-COUNTY-YLD-SDEV-X
           UPON CONSOLE
           DISPLAY 'LOCAL PRICE VOL   = ', WS-4110-LOCAL-PRICE-VOL-X
           UPON CONSOLE
           DISPLAY 'REVENUE CVG LVL % = ',
           WS-4110-REVENUE-CVG-LVL-PCT-X
           UPON CONSOLE
      $END

           PERFORM 4110-MULTI-STEP-CALC
              THRU 4110-MULTI-STEP-CALC-EXIT




      *****************************************************
      *         CALCULATE PREVENTED PLANTING LOAD         *
      *****************************************************
           COMPUTE WS-4110-PP-LOAD ROUNDED =
              WS-4110-COUNTY-PP-FACTOR *
              ((WS-4110-YIELD / WS-4110-COUNTY-AVG-YIELD)
              ** WS-4110-PP1) *
              ((WS-4110-COUNTY-YLD-SDEV / WS-4110-YIELD)
              ** WS-4110-PP2) *
              (WS-4110-REVENUE-CVG-LVL-PCT ** WS-4110-PP3)
              ON SIZE ERROR
                 MOVE 4110 TO WS-8020-PARAGRAPH-NO
                 MOVE 90017 TO WS-8020-INT-ERROR-NO
                 MOVE 'PP LOAD'
                   TO WS-8020-FIELD-NAME
                 MOVE ZEROS
                   TO WS-8020-BAD-DATA
                 MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
                 PERFORM 8020-RECORD-INT-ERROR
                    THRU 8020-RECORD-INT-ERROR-EXIT
           END-COMPUTE

      $IF DEBUG-SW DEFINED
           MOVE WS-4110-PP-LOAD
             TO WS-4110-PP-LOAD-X
           DISPLAY 'FULL PP LOAD = ',
           WS-4110-PP-LOAD-X
           UPON CONSOLE
      $END

           IF WS-4110-PARTIAL-PP-FLAG = WS-LITERAL-YES
              EVALUATE WS-4110-CROP-CD
               WHEN WS-LITERAL-CORN
                  MOVE 0.3333 TO WS-4110-PARTIAL-PP-FCTR
               WHEN WS-LITERAL-SOYBEANS
                  MOVE 0.6667 TO WS-4110-PARTIAL-PP-FCTR
               WHEN OTHER
                  CONTINUE
              END-EVALUATE

              COMPUTE WS-4110-PP-LOAD ROUNDED =
                 WS-4110-PP-LOAD * WS-4110-PARTIAL-PP-FCTR
                 ON SIZE ERROR
                    MOVE 4110 TO WS-8020-PARAGRAPH-NO
                    MOVE 90017 TO WS-8020-INT-ERROR-NO
                    MOVE 'PARTIAL PP LOAD'
                      TO WS-8020-FIELD-NAME
                    MOVE ZEROS
                      TO WS-8020-BAD-DATA
                    MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
                    PERFORM 8020-RECORD-INT-ERROR
                       THRU 8020-RECORD-INT-ERROR-EXIT
              END-COMPUTE
           END-IF

           MOVE WS-4110-PP-LOAD
             TO WS-4110-PP-LOAD-X

      $IF DEBUG-SW DEFINED
           DISPLAY 'PREVENTED PLANTING LOAD FCTR = ',
           WS-4110-PP-LOAD-X
           UPON CONSOLE
      $END


      *****************************************************
      *      PER ACRE PREMIUM (BASE PREMIUM RATE)         *
      *****************************************************

      $IF DEBUG-SW DEFINED
           DISPLAY 'MAP FACTOR        = ',
           WS-4110-MAP-FACTOR-X
           UPON CONSOLE
      $END

           COMPUTE WS-4110-PER-ACRE-PREMIUM ROUNDED =
              WS-4110-MS-BASE-PREM *
              (1 + WS-4110-PP-LOAD) *
              WS-4110-MAP-FACTOR
              ON SIZE ERROR
                 MOVE 4110 TO WS-8020-PARAGRAPH-NO
                 MOVE 90017 TO WS-8020-INT-ERROR-NO
                 MOVE 'PER ACRE PREM'
                   TO WS-8020-FIELD-NAME
                 MOVE ZEROS
                   TO WS-8020-BAD-DATA
                 MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
                 PERFORM 8020-RECORD-INT-ERROR
                    THRU 8020-RECORD-INT-ERROR-EXIT
           END-COMPUTE

           MOVE WS-4110-PER-ACRE-PREMIUM
             TO WS-4110-PER-ACRE-PREMIUM-X
           MOVE WS-4110-PER-ACRE-PREMIUM
             TO WS-4110-BASE-PREMIUM-RATE.

      $IF DEBUG-SW DEFINED
           DISPLAY 'PER ACRE PREMIUM = $',
           WS-4110-PER-ACRE-PREMIUM-X
           UPON CONSOLE.
      $END




       4110-CALC-RA-BASE-PREMIUM-EXIT.
           EXIT.




       4110-LOOKUP-COUNTY-INFO.

      $IF DEBUG-SW DEFINED
           DISPLAY '4110-LOOKING UP RA COUNTY INFO'
           UPON CONSOLE
      $END

           INITIALIZE WS-7585-INPUT-KEY
           MOVE WS-4110-CROP-YEAR
             TO WS-7585-INPUT-CROP-YR
           MOVE WS-4110-STATE
             TO WS-7585-INPUT-STATE-CD
           MOVE WS-4110-COUNTY-CD
             TO WS-7585-INPUT-COUNTY-CD
           MOVE WS-4110-CROP-CD
             TO WS-7585-INPUT-CROP-CD
           MOVE WS-4110-INS-PLAN-CD
             TO WS-7585-INPUT-INS-PLAN
      *    *** SET UP KEY IF RECORD IS NOT FOUND ***
           MOVE WS-7585-INPUT-KEY
             TO WS-8000-CORR-DATA1
           PERFORM 7585-LOOKUP-ADMVC
              THRU 7585-LOOKUP-ADMVC-EXIT
           IF MATCH-FOUND-7585
              MOVE WS-LITERAL-YES
                TO WS-4110-COUNTY-DATA-FOUND
      *       *** CLEAR KEY IF DATA IS FOUND ***
              INITIALIZE WS-8000-CORR-DATA1
              MOVE WS-7585-AVERAGE-YIELD
                TO WS-4110-COUNTY-AVG-YIELD
              MOVE WS-7585-YIELD-STD-DEVIATION
                TO WS-4110-COUNTY-YLD-SDEV
              MOVE WS-7585-LOCAL-PRICE-VOL-FCTR
                TO WS-4110-LOCAL-PRICE-VOL
              MOVE WS-7585-PREV-PLANTING-FACTOR
                TO WS-4110-COUNTY-PP-FACTOR
              MOVE WS-4110-COUNTY-AVG-YIELD
                TO WS-4110-COUNTY-AVG-YIELD-X
              MOVE WS-4110-COUNTY-YLD-SDEV
                TO WS-4110-COUNTY-YLD-SDEV-X
              MOVE WS-4110-LOCAL-PRICE-VOL
                TO WS-4110-LOCAL-PRICE-VOL-X
              MOVE WS-4110-COUNTY-PP-FACTOR
                TO WS-4110-COUNTY-PP-FACTOR-X
           ELSE
              MOVE WS-LITERAL-NO
                TO WS-4110-COUNTY-DATA-FOUND
              MOVE WS-LITERAL-IF  TO WS-8000-ERROR-TYPE
              MOVE 11009 TO WS-8000-ERROR-CODE
              MOVE 'ADMVC KEY = ' TO WS-8000-FIELD-NAME1
              MOVE 'NOT FOUND' TO WS-8000-BAD-DATA1
      *       *** SEARCH KEY USED IS IN CORR-DATA1
              MOVE 4110 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF.


       4110-LOOKUP-COUNTY-INFO-EXIT.
           EXIT.


       4110-LOOKUP-STATE-INFO.

      $IF DEBUG-SW DEFINED
           DISPLAY '4110-LOOKING UP RA STATE INFO'
           UPON CONSOLE
      $END

           INITIALIZE WS-7590-INPUT-KEY
           MOVE WS-4110-CROP-YEAR
             TO WS-7590-INPUT-CROP-YR
           MOVE WS-4110-STATE
             TO WS-7590-INPUT-STATE-CD
           MOVE WS-4110-CROP-CD
             TO WS-7590-INPUT-CROP-CD
           MOVE WS-4110-INS-PLAN-CD
             TO WS-7590-INPUT-INS-PLAN
      *    *** SET UP KEY IF RECORD IS NOT FOUND ***
           MOVE WS-7590-INPUT-KEY
             TO WS-8000-CORR-DATA1
           PERFORM 7590-LOOKUP-ADMVS
              THRU 7590-LOOKUP-ADMVS-EXIT
           IF MATCH-FOUND-7590
              MOVE WS-LITERAL-YES
                TO WS-4110-STATE-DATA-FOUND
      *       *** CLEAR KEY IF DATA IS FOUND ***
              INITIALIZE WS-8000-CORR-DATA1
              MOVE WS-7590-PRICE-VOL-FACTOR
                TO WS-4110-PRICE-VOLATILITY
              MOVE WS-4110-PRICE-VOLATILITY
                TO WS-4110-PRICE-VOLATILITY-X
              MOVE WS-7590-BETA1 TO WS-4110-BETA1
              MOVE WS-7590-BETA2 TO WS-4110-BETA2
              MOVE WS-7590-BETA3 TO WS-4110-BETA3
              MOVE WS-7590-BETA4 TO WS-4110-BETA4
              MOVE WS-7590-BETA5 TO WS-4110-BETA5
              MOVE WS-7590-BETA6 TO WS-4110-BETA6
              MOVE WS-7590-BETA7 TO WS-4110-BETA7
              MOVE WS-7590-BETA8 TO WS-4110-BETA8
              MOVE WS-7590-BETA9 TO WS-4110-BETA9
              MOVE WS-7590-BETA10 TO WS-4110-BETA10
              MOVE WS-7590-BETA11 TO WS-4110-BETA11
              MOVE WS-7590-BETA12 TO WS-4110-BETA12
              MOVE WS-7590-BETA13 TO WS-4110-BETA13
              MOVE WS-7590-BETA14 TO WS-4110-BETA14
              MOVE WS-7590-BETA15 TO WS-4110-BETA15
              MOVE WS-7590-BETA16 TO WS-4110-BETA16
              MOVE WS-7590-BETA17 TO WS-4110-BETA17
              MOVE WS-7590-BETA18 TO WS-4110-BETA18
              MOVE WS-7590-BETA19 TO WS-4110-BETA19
              MOVE WS-7590-BETA20 TO WS-4110-BETA20
              MOVE WS-7590-BETA21 TO WS-4110-BETA21
              MOVE WS-7590-PP1 TO WS-4110-PP1
              MOVE WS-7590-PP2 TO WS-4110-PP2
              MOVE WS-7590-PP3 TO WS-4110-PP3
           ELSE
              MOVE WS-LITERAL-NO
                TO WS-4110-STATE-DATA-FOUND
              MOVE WS-LITERAL-IF  TO WS-8000-ERROR-TYPE
              MOVE 11009 TO WS-8000-ERROR-CODE
              MOVE 'ADMVS KEY = ' TO WS-8000-FIELD-NAME1
              MOVE 'NOT FOUND' TO WS-8000-BAD-DATA1
      *       *** SEARCH KEY USED IS IN CORR-DATA1
              MOVE 4110 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF.


       4110-LOOKUP-STATE-INFO-EXIT.
           EXIT.


       4110-MULTI-STEP-CALC.

      $IF DEBUG-SW DEFINED
           DISPLAY '4110-PERFORMING MULTI-STEP PER ACRE PREMIUM CALC'
           UPON CONSOLE
      $END

      *****************************************************
      *    INITIALIZE LOCAL VARIABLES                     *
      *****************************************************
           INITIALIZE WS-4110-MULTI-STEP-WORK

      *****************************************************
      *    CALCULATE NATURAL LOGS OF BASE FIELDS          *
      *****************************************************
           COMPUTE WS-4110-LN-YIELD ROUNDED =
              FUNCTION LOG (WS-4110-YIELD)
              ON SIZE ERROR
                 MOVE 4110 TO WS-8020-PARAGRAPH-NO
                 MOVE 90017 TO WS-8020-INT-ERROR-NO
                 MOVE 'LN YIELD'
                   TO WS-8020-FIELD-NAME
                 MOVE ZEROS
                   TO WS-8020-BAD-DATA
                 MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
                 PERFORM 8020-RECORD-INT-ERROR
                    THRU 8020-RECORD-INT-ERROR-EXIT
           END-COMPUTE
           COMPUTE WS-4110-LN-COUNTY-AVG-YLD ROUNDED =
              FUNCTION LOG (WS-4110-COUNTY-AVG-YIELD)
              ON SIZE ERROR
                 MOVE 4110 TO WS-8020-PARAGRAPH-NO
                 MOVE 90017 TO WS-8020-INT-ERROR-NO
                 MOVE 'LN CNTY AVG YIELD'
                   TO WS-8020-FIELD-NAME
                 MOVE ZEROS
                   TO WS-8020-BAD-DATA
                 MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
                 PERFORM 8020-RECORD-INT-ERROR
                    THRU 8020-RECORD-INT-ERROR-EXIT
           END-COMPUTE
           COMPUTE WS-4110-LN-COUNTY-YLD-SDEV ROUNDED =
              FUNCTION LOG (WS-4110-COUNTY-YLD-SDEV)
              ON SIZE ERROR
                 MOVE 4110 TO WS-8020-PARAGRAPH-NO
                 MOVE 90017 TO WS-8020-INT-ERROR-NO
                 MOVE 'LN CNTY YIELD SDEV'
                   TO WS-8020-FIELD-NAME
                 MOVE ZEROS
                   TO WS-8020-BAD-DATA
                 MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
                 PERFORM 8020-RECORD-INT-ERROR
                    THRU 8020-RECORD-INT-ERROR-EXIT
           END-COMPUTE
           COMPUTE WS-4110-LN-LOCAL-PRICE-VOL ROUNDED =
              FUNCTION LOG (WS-4110-LOCAL-PRICE-VOL)
              ON SIZE ERROR
                 MOVE 4110 TO WS-8020-PARAGRAPH-NO
                 MOVE 90017 TO WS-8020-INT-ERROR-NO
                 MOVE 'LN PRICE VOL'
                   TO WS-8020-FIELD-NAME
                 MOVE ZEROS
                   TO WS-8020-BAD-DATA
                 MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
                 PERFORM 8020-RECORD-INT-ERROR
                    THRU 8020-RECORD-INT-ERROR-EXIT
           END-COMPUTE
           COMPUTE WS-4110-LN-REVENUE-CVG-LVL ROUNDED =
              FUNCTION LOG (WS-4110-REVENUE-CVG-LVL-PCT)
              ON SIZE ERROR
                 MOVE 4110 TO WS-8020-PARAGRAPH-NO
                 MOVE 90017 TO WS-8020-INT-ERROR-NO
                 MOVE 'LN REV CVG LVL'
                   TO WS-8020-FIELD-NAME
                 MOVE ZEROS
                   TO WS-8020-BAD-DATA
                 MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
                 PERFORM 8020-RECORD-INT-ERROR
                    THRU 8020-RECORD-INT-ERROR-EXIT
           END-COMPUTE

           MOVE WS-4110-LN-YIELD TO WS-4110-LN-YIELD-X
           MOVE WS-4110-LN-COUNTY-AVG-YLD
             TO WS-4110-LN-COUNTY-AVG-YLD-X
           MOVE WS-4110-LN-COUNTY-YLD-SDEV
             TO WS-4110-LN-COUNTY-YLD-SDEV-X
           MOVE WS-4110-LN-LOCAL-PRICE-VOL
             TO WS-4110-LN-LOCAL-PRICE-VOL-X
           MOVE WS-4110-LN-REVENUE-CVG-LVL
             TO WS-4110-LN-REVENUE-CVG-LVL-X

      $IF DEBUG-SW DEFINED
           DISPLAY 'LN(YIELD)           = ',
           WS-4110-LN-YIELD-X UPON CONSOLE
           DISPLAY 'LN(COUNTY AVG YLD)  = ',
           WS-4110-LN-COUNTY-AVG-YLD-X UPON CONSOLE
           DISPLAY 'LN(COUNTY YLD SDEV) = ',
           WS-4110-LN-COUNTY-YLD-SDEV-X UPON CONSOLE
           DISPLAY 'LN(LOCAL PRICE VOL) = ',
           WS-4110-LN-LOCAL-PRICE-VOL-X UPON CONSOLE
           DISPLAY 'LN(REVENUE CVG LVL) = ',
           WS-4110-LN-REVENUE-CVG-LVL-X UPON CONSOLE
      $END

      *****************************************************
      *    CALCULATE UNIT EXPONENT USING LOGS FROM ABOVE  *
      *****************************************************
           COMPUTE WS-4110-UNIT-EXPONENT ROUNDED =
              (
              WS-4110-BETA1 +
              (WS-4110-BETA2 * WS-4110-LN-YIELD) +
              (WS-4110-BETA3 * WS-4110-LN-COUNTY-AVG-YLD) +
              (WS-4110-BETA4 * WS-4110-LN-COUNTY-YLD-SDEV) +
              (WS-4110-BETA5 * WS-4110-LN-LOCAL-PRICE-VOL) +
              (WS-4110-BETA6 * WS-4110-LN-REVENUE-CVG-LVL) +
              (WS-4110-BETA7 * WS-4110-LN-YIELD
              * WS-4110-LN-COUNTY-AVG-YLD) +
              (WS-4110-BETA8 * WS-4110-LN-YIELD
              * WS-4110-LN-COUNTY-YLD-SDEV) +
              (WS-4110-BETA9 * WS-4110-LN-YIELD
              * WS-4110-LN-LOCAL-PRICE-VOL) +
              (WS-4110-BETA10 * WS-4110-LN-YIELD
              * WS-4110-LN-REVENUE-CVG-LVL) +
              (WS-4110-BETA11 * WS-4110-LN-COUNTY-AVG-YLD
              * WS-4110-LN-COUNTY-YLD-SDEV) +
              (WS-4110-BETA12 * WS-4110-LN-COUNTY-AVG-YLD
              * WS-4110-LN-LOCAL-PRICE-VOL) +
              (WS-4110-BETA13 * WS-4110-LN-COUNTY-AVG-YLD
              * WS-4110-LN-REVENUE-CVG-LVL) +
              (WS-4110-BETA14 * WS-4110-LN-COUNTY-YLD-SDEV
              * WS-4110-LN-LOCAL-PRICE-VOL) +
              (WS-4110-BETA15 * WS-4110-LN-COUNTY-YLD-SDEV
              * WS-4110-LN-REVENUE-CVG-LVL) +
              (WS-4110-BETA16 * WS-4110-LN-LOCAL-PRICE-VOL
              * WS-4110-LN-REVENUE-CVG-LVL) +
              (WS-4110-BETA17 * WS-4110-LN-YIELD
               * WS-4110-LN-YIELD) +
              (WS-4110-BETA18 * WS-4110-LN-COUNTY-AVG-YLD
               * WS-4110-LN-COUNTY-AVG-YLD) +
              (WS-4110-BETA19 * WS-4110-LN-COUNTY-YLD-SDEV
              * WS-4110-LN-COUNTY-YLD-SDEV) +
              (WS-4110-BETA20 * WS-4110-LN-LOCAL-PRICE-VOL
              * WS-4110-LN-LOCAL-PRICE-VOL) +
              (WS-4110-BETA21 * WS-4110-LN-REVENUE-CVG-LVL
              * WS-4110-LN-REVENUE-CVG-LVL)
              )
              ON SIZE ERROR
                 MOVE 4110 TO WS-8020-PARAGRAPH-NO
                 MOVE 90017 TO WS-8020-INT-ERROR-NO
                 MOVE 'UNIT EXPONENT'
                   TO WS-8020-FIELD-NAME
                 MOVE ZEROS
                   TO WS-8020-BAD-DATA
                 MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
                 PERFORM 8020-RECORD-INT-ERROR
                    THRU 8020-RECORD-INT-ERROR-EXIT
           END-COMPUTE

           MOVE WS-4110-UNIT-EXPONENT
             TO WS-4110-UNIT-EXPONENT-X

      $IF DEBUG-SW DEFINED
           DISPLAY 'UNIT EXPONENT       = ',
           WS-4110-UNIT-EXPONENT-X UPON CONSOLE
      $END

      *****************************************************
      *    CALCULATE BASE PER ACRE PREMIUM USING UNIT EXP *
      *****************************************************
           COMPUTE WS-4110-MS-BASE-PREM ROUNDED =
              (WS-4110-PRICE-ELECTION / WS-4110-CROP-DIVISOR)
              * (2.71828182845904523 ** WS-4110-UNIT-EXPONENT)
              ON SIZE ERROR
                 MOVE 4110 TO WS-8020-PARAGRAPH-NO
                 MOVE 90017 TO WS-8020-INT-ERROR-NO
                 MOVE 'MS BASE PER ACRE'
                   TO WS-8020-FIELD-NAME
                 MOVE ZEROS
                   TO WS-8020-BAD-DATA
                 MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
                 PERFORM 8020-RECORD-INT-ERROR
                    THRU 8020-RECORD-INT-ERROR-EXIT
           END-COMPUTE

           MOVE WS-4110-MS-BASE-PREM TO WS-4110-MS-BASE-PREM-X

      $IF DEBUG-SW DEFINED
           DISPLAY 'MULTI-STEP BASE PER ACRE PREMIUM = $',
           WS-4110-MS-BASE-PREM-X UPON CONSOLE
      $END

      *****************************************************
      *    CALCULATE PER ACRE PREMIUM BASED ON MS BASE    *
      *****************************************************
           COMPUTE WS-4110-MS-PER-ACRE-PREM ROUNDED =
              WS-4110-MS-BASE-PREM *
              (1 + WS-4110-PP-LOAD) *
              WS-4110-MAP-FACTOR
              ON SIZE ERROR
                 MOVE 4110 TO WS-8020-PARAGRAPH-NO
                 MOVE 90017 TO WS-8020-INT-ERROR-NO
                 MOVE 'MS PER ACRE PREM'
                   TO WS-8020-FIELD-NAME
                 MOVE ZEROS
                   TO WS-8020-BAD-DATA
                 MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
                 PERFORM 8020-RECORD-INT-ERROR
                    THRU 8020-RECORD-INT-ERROR-EXIT
           END-COMPUTE

           MOVE WS-4110-MS-PER-ACRE-PREM
             TO WS-4110-MS-PER-ACRE-PREM-X.

      $IF DEBUG-SW DEFINED
           DISPLAY 'MULTI-STEP PER ACRE PREMIUM      = $',
           WS-4110-MS-PER-ACRE-PREM-X UPON CONSOLE.
      $END


       4110-MULTI-STEP-CALC-EXIT.
           EXIT.



