
      ***************************************************************
      * File:      IF4120.CBL
      * Author:    Mike Ray
      * Date:      03/04/97
      * Purpose:   Calculates dollar amount of protection per acre
      *            for a Revenue Assurance Whole Farm unit.
      ***************************************************************

      *****************************************************
      *  BECAUSE THIS MODULE IS CALLED BY AN INTER-RECORD *
      *  EDIT AND CANNOT BE TIED BACK TO A PARTICULAR     *
      *  TRANSACTION WE WILL RECORD THESE ERRORS AS IR AND*
      *  REJECT THE WHOLE POLICY.  ANY ERROR WILL BE      *
      *  ASSOCIATED WITH THE TYPE 10 001 TRANSACTION.     *
      *****************************************************

       4120-CALC-RA-WF-DOL-AMT.

      $IF DEBUG-SW DEFINED
           DISPLAY '4120-CALCULATING RA WHOLE FARM DOLLAR AMT OF INS'
           UPON CONSOLE
      $END


      *****************************************************
      *    INITIALIZE LOCAL AND OUTPUT VARIABLES          *
      *****************************************************
           INITIALIZE WS-4120-LOCAL
           INITIALIZE WS-4120-OUTPUT

      *****************************************************
      *    SET UP DISPLAY FIELDS                          *
      *****************************************************
           MOVE WS-4120-CORN-ACRES TO WS-4120-CORN-ACRES-X
           MOVE WS-4120-CORN-PRICE-ELECTION
             TO WS-4120-CORN-PRICE-ELECTION-X
           MOVE WS-4120-CORN-YIELD-X-ACRES
             TO WS-4120-CORN-YIELD-X-ACRES-X
           MOVE WS-4120-SOY-ACRES TO WS-4120-SOY-ACRES-X
           MOVE WS-4120-SOY-PRICE-ELECTION
             TO WS-4120-SOY-PRICE-ELECTION-X
           MOVE WS-4120-SOY-YIELD-X-ACRES
             TO WS-4120-SOY-YIELD-X-ACRES-X
           MOVE WS-4120-RA-COVERAGE-LEVEL
             TO WS-4120-RA-COVERAGE-LEVEL-X

      $IF DEBUG-SW DEFINED
           DISPLAY 'SUM OF CORN ACRES       = ',
           WS-4120-CORN-ACRES-X
           UPON CONSOLE
           DISPLAY 'CORN PRICE ELECTION     = ',
           WS-4120-CORN-PRICE-ELECTION-X
           UPON CONSOLE
           DISPLAY 'SUM OF CORN YLD x ACRES = ',
           WS-4120-CORN-YIELD-X-ACRES-X
           UPON CONSOLE
           DISPLAY 'SUM OF SOY ACRES       = ',
           WS-4120-SOY-ACRES-X
           UPON CONSOLE
           DISPLAY 'SOY PRICE ELECTION     = ',
           WS-4120-SOY-PRICE-ELECTION-X
           UPON CONSOLE
           DISPLAY 'SUM OF SOY YLD x ACRES = ',
           WS-4120-SOY-YIELD-X-ACRES-X
           UPON CONSOLE
           DISPLAY 'RA CVG LEVEL %         = ',
           WS-4120-RA-COVERAGE-LEVEL-X
           UPON CONSOLE
      $END

      *****************************************************
      *    CHECK PRE-CONDITIONS                           *
      *****************************************************
           IF WS-4120-CORN-ACRES = ZEROS
              MOVE 10 TO WS-8000-ERROR-TRAN-TYPE
              MOVE 042 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-IR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-4120-CALC-ERROR
              MOVE 'WS-4120-CORN-ACRES' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 4120 TO WS-8000-PARAGRAPH-NO
              MOVE WS-0005-TRAN-SEQ-NO TO WS-8000-TRAN-SEQ-NO
              MOVE WS-0005-CURRENT-POLICY-NO TO WS-8000-POLICY-NO
              MOVE WS-LITERAL-YES TO WS-0005-REJECT-POLICY-FLAG
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-4120-CORN-PRICE-ELECTION = ZEROS
              MOVE 10 TO WS-8000-ERROR-TRAN-TYPE
              MOVE 042 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-IR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-4120-CALC-ERROR
              MOVE 'WS-4120-CORN-PRICE' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 4120 TO WS-8000-PARAGRAPH-NO
              MOVE WS-0005-TRAN-SEQ-NO TO WS-8000-TRAN-SEQ-NO
              MOVE WS-0005-CURRENT-POLICY-NO TO WS-8000-POLICY-NO
              MOVE WS-LITERAL-YES TO WS-0005-REJECT-POLICY-FLAG
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-4120-CORN-YIELD-X-ACRES = ZEROS
              MOVE 10 TO WS-8000-ERROR-TRAN-TYPE
              MOVE 042 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-IR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-4120-CALC-ERROR
              MOVE 'WS-4120-CORN-YLD-X-ACRES'
                TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 4120 TO WS-8000-PARAGRAPH-NO
              MOVE WS-0005-TRAN-SEQ-NO TO WS-8000-TRAN-SEQ-NO
              MOVE WS-0005-CURRENT-POLICY-NO TO WS-8000-POLICY-NO
              MOVE WS-LITERAL-YES TO WS-0005-REJECT-POLICY-FLAG
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-4120-SOY-ACRES = ZEROS
              MOVE 10 TO WS-8000-ERROR-TRAN-TYPE
              MOVE 042 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-IR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-4120-CALC-ERROR
              MOVE 'WS-4120-SOY-ACRES' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 4120 TO WS-8000-PARAGRAPH-NO
              MOVE WS-0005-TRAN-SEQ-NO TO WS-8000-TRAN-SEQ-NO
              MOVE WS-0005-CURRENT-POLICY-NO TO WS-8000-POLICY-NO
              MOVE WS-LITERAL-YES TO WS-0005-REJECT-POLICY-FLAG
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-4120-SOY-PRICE-ELECTION = ZEROS
              MOVE 10 TO WS-8000-ERROR-TRAN-TYPE
              MOVE 042 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-IR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-4120-CALC-ERROR
              MOVE 'WS-4120-SOY-PRICE' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 4120 TO WS-8000-PARAGRAPH-NO
              MOVE WS-0005-TRAN-SEQ-NO TO WS-8000-TRAN-SEQ-NO
              MOVE WS-0005-CURRENT-POLICY-NO TO WS-8000-POLICY-NO
              MOVE WS-LITERAL-YES TO WS-0005-REJECT-POLICY-FLAG
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-4120-SOY-YIELD-X-ACRES = ZEROS
              MOVE 10 TO WS-8000-ERROR-TRAN-TYPE
              MOVE 042 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-IR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-4120-CALC-ERROR
              MOVE 'WS-4120-SOY-YLD-X-ACRES' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 4120 TO WS-8000-PARAGRAPH-NO
              MOVE WS-0005-TRAN-SEQ-NO TO WS-8000-TRAN-SEQ-NO
              MOVE WS-0005-CURRENT-POLICY-NO TO WS-8000-POLICY-NO
              MOVE WS-LITERAL-YES TO WS-0005-REJECT-POLICY-FLAG
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-4120-RA-COVERAGE-LEVEL = ZEROS
              MOVE 10 TO WS-8000-ERROR-TRAN-TYPE
              MOVE 042 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-IR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-4120-CALC-ERROR
              MOVE 'WS-4120-RA-CVG-LVL' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 4120 TO WS-8000-PARAGRAPH-NO
              MOVE WS-0005-TRAN-SEQ-NO TO WS-8000-TRAN-SEQ-NO
              MOVE WS-0005-CURRENT-POLICY-NO TO WS-8000-POLICY-NO
              MOVE WS-LITERAL-YES TO WS-0005-REJECT-POLICY-FLAG
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-4120-CALC-ERROR = WS-LITERAL-YES
              GO TO 4120-CALC-RA-WF-DOL-AMT-EXIT
           END-IF


      ***************************************************************
      * COMPUTE MAX AND ACTUAL DOLLAR AMOUNT OF PROTECTION PER ACRE *
      ***************************************************************

           COMPUTE WS-4120-MAX-DOLLAR-AMT-PROT ROUNDED =
              ((WS-4120-CORN-PRICE-ELECTION
              * WS-4120-CORN-YIELD-X-ACRES) +
              (WS-4120-SOY-PRICE-ELECTION
              * WS-4120-SOY-YIELD-X-ACRES))
              / (WS-4120-CORN-ACRES + WS-4120-SOY-ACRES)
              ON SIZE ERROR
                 MOVE 4120 TO WS-8020-PARAGRAPH-NO
                 MOVE 90017 TO WS-8020-INT-ERROR-NO
                 MOVE '(PRICE*(SUM YLD*ACRES))/SUM ACRES'
                   TO WS-8020-FIELD-NAME
                 MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
                 PERFORM 8020-RECORD-INT-ERROR
                    THRU 8020-RECORD-INT-ERROR-EXIT
           END-COMPUTE

           COMPUTE WS-4120-DOLLAR-AMT-PROT ROUNDED =
              (((WS-4120-CORN-PRICE-ELECTION
              * WS-4120-CORN-YIELD-X-ACRES) +
              (WS-4120-SOY-PRICE-ELECTION
              * WS-4120-SOY-YIELD-X-ACRES))
              / (WS-4120-CORN-ACRES + WS-4120-SOY-ACRES))
              * WS-4120-RA-COVERAGE-LEVEL
              ON SIZE ERROR
                 MOVE 4120 TO WS-8020-PARAGRAPH-NO
                 MOVE 90017 TO WS-8020-INT-ERROR-NO
                 MOVE 'MAX PROT * RA CVG LVL'
                   TO WS-8020-FIELD-NAME
                 MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
                 PERFORM 8020-RECORD-INT-ERROR
                    THRU 8020-RECORD-INT-ERROR-EXIT
           END-COMPUTE.

      ***************************************************************
      *              DISPLAY RESULTS                                *
      ***************************************************************

      $IF DEBUG-SW DEFINED
           MOVE WS-4120-MAX-DOLLAR-AMT-PROT
             TO WS-4120-MAX-DOLLAR-AMT-PROT-X
           MOVE WS-4120-DOLLAR-AMT-PROT
             TO WS-4120-DOLLAR-AMT-PROT-X
           DISPLAY 'MAX $AMT PROTECTION PER ACRE = ',
           WS-4120-MAX-DOLLAR-AMT-PROT-X
           UPON CONSOLE
           DISPLAY 'ELECTED PROTECTION PER ACRE = ',
           WS-4120-DOLLAR-AMT-PROT-X
           UPON CONSOLE.
      $END


       4120-CALC-RA-WF-DOL-AMT-EXIT.
           EXIT.


