
      ***************************************************************
      * File:      IF4200.CBL
      * Author:    Mike Ray
      * Date:      05/20/96
      * Purpose:   Calculates the Assigned Risk cutoff date.
      ***************************************************************

       4200-CALC-AR-CUTOFF-DT.

      $IF DEBUG-SW DEFINED
           DISPLAY '4200-CALCULATING ASSIGNED RISK CUTOFF DATE'
           UPON CONSOLE
      $END

      *****************************************************
      *    INITIALIZE LOCAL AND OUTPUT VARIABLES          *
      *****************************************************
           INITIALIZE WS-4200-LOCAL
           INITIALIZE WS-4200-OUTPUT

      *****************************************************
      *              CHECK INPUT FIELDS                   *
      *****************************************************

           IF WS-4200-CROP-YEAR = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 042 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-4200-CALC-ERROR
              MOVE 'WS-4200-CROP-YEAR' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 4200 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-4200-RATE-STATE = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 042 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-4200-CALC-ERROR
              MOVE 'WS-4200-RATE-STATE' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 4200 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-4200-RATE-COUNTY = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 042 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-4200-CALC-ERROR
              MOVE 'WS-4200-RATE-COUNTY' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 4200 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-4200-CROP-CD = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 042 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-4200-CALC-ERROR
              MOVE 'WS-4200-CROP-CD' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 4200 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-4200-CALC-ERROR = WS-LITERAL-YES
              GO TO 4200-CALC-AR-CUTOFF-DT-EXIT
           END-IF

      *****************************************************
      *                 GET ADM DATES                     *
      *****************************************************
           PERFORM 4200-GET-DATES
              THRU 4200-GET-DATES-EXIT

           IF WS-4200-CALC-ERROR = WS-LITERAL-YES
              GO TO 4200-CALC-AR-CUTOFF-DT-EXIT
           END-IF

      *****************************************************
      *              PERFORM CALCULATIONS                 *
      *****************************************************

           EVALUATE WS-4200-ASSIGNED-RISK
               WHEN WS-LITERAL-NOT-ASSIGNED
      *        LOOKUP THE EARLIEST SALES CLOSING DATE FOR THE CROP
      *        IN THE COUNTY, ADD 45 DAYS AND FIND THE FOLLOWING SAT
                   MOVE 45 TO WS-0530-INPUT-DAYS-TO-ADD
                   MOVE WS-4200-EARLIEST-SLS-CLS-DT
                     TO WS-0530-INPUT-DATE

               WHEN WS-LITERAL-ASSIGNED
      *        LOOKUP THE EARLIEST SALES CLOSING DATE FOR THE CROP
      *        IN THE COUNTY, ADD 30 DAYS AND FIND THE FOLLOWING SAT
                   MOVE 30 TO WS-0530-INPUT-DAYS-TO-ADD
                   MOVE WS-4200-EARLIEST-SLS-CLS-DT
                     TO WS-0530-INPUT-DATE

               WHEN WS-LITERAL-ALT-CROP-EXT
      *        LOOKUP THE EARLIEST ACREAGE REPORTING DATE FOR THE CROP
      *        IN THE COUNTY, ADD 30 DAYS AND FIND THE FOLLOWING SAT
                   MOVE 30 TO WS-0530-INPUT-DAYS-TO-ADD
                   MOVE WS-4200-EARLIEST-ACRG-RPT-DT
                     TO WS-0530-INPUT-DATE

               WHEN WS-LITERAL-MGR96014
                  MOVE 19970601 TO WS-4200-LATE-DATE
                  GO TO 4200-CALC-AR-CUTOFF-DT-EXIT

               WHEN WS-LITERAL-MGR97023
                  MOVE 19970802 TO WS-4200-LATE-DATE
                  GO TO 4200-CALC-AR-CUTOFF-DT-EXIT

               WHEN WS-LITERAL-MGR97024
                  MOVE 19970811 TO WS-4200-LATE-DATE
                  GO TO 4200-CALC-AR-CUTOFF-DT-EXIT

               WHEN OTHER
                   MOVE 4200 TO WS-8020-PARAGRAPH-NO
                   MOVE 90003 TO WS-8020-INT-ERROR-NO
                   MOVE WS-LITERAL-ASSIGNED-RISK TO WS-8020-FIELD-NAME
                   MOVE WS-4200-ASSIGNED-RISK TO WS-8020-BAD-DATA
                   MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
                   PERFORM 8020-RECORD-INT-ERROR
                      THRU 8020-RECORD-INT-ERROR-EXIT
           END-EVALUATE

      $IF DEBUG-SW DEFINED
              DISPLAY 'DATE CHOSEN: ', WS-0530-INPUT-DATE
              UPON CONSOLE
      $END

      *    *** ADD THE CORRECT NUMBER OF DAYS FROM ABOVE
           PERFORM 0530-ADD-DAYS-TO-DATE
              THRU 0530-ADD-DAYS-TO-DATE-EXIT
           MOVE WS-0530-OUTPUT-DATE TO WS-4200-LATE-DATE

      $IF DEBUG-SW DEFINED
              DISPLAY 'INITIAL LATE DATE: ', WS-4200-LATE-DATE
              UPON CONSOLE
      $END

      *****************************************************
      *         MOVE LATE DATE TO NEXT SATURDAY           *
      *****************************************************
           MOVE WS-0004-REINS-YR TO WS-0535-INPUT-FULL-YEAR
           MOVE WS-4200-LATE-YEAR TO WS-0535-INPUT-YEAR
           MOVE WS-4200-LATE-MONTH TO WS-0535-INPUT-MONTH
           MOVE WS-4200-LATE-DAY TO WS-0535-INPUT-DAY
           PERFORM 0535-GET-DAY-OF-WEEK
              THRU 0535-GET-DAY-OF-WEEK-EXIT

      *    ********************************************************
      *    *  IF THE DAY OF THE WEEK IS NOT SATURDAY,  THE        *
      *    *  CUTOFF DATE MUST BE MOVED TO THE FOLLOWING SATURDAY *
      *    *  SUBTRACTING THE DAY-OF-WEEK VALUE FROM 6 GIVES THE  *
      *    *  CORRECT NUMBER OF DAYS TO ADD TO GET TO SATURDAY    *
      *    ********************************************************
           IF NOT SATURDAY-0535
              MOVE WS-4200-LATE-DATE TO WS-0530-INPUT-DATE
              COMPUTE WS-0530-INPUT-DAYS-TO-ADD =
                  WS-0535-OUTPUT-DAY - 6
              PERFORM 0530-ADD-DAYS-TO-DATE
                 THRU 0530-ADD-DAYS-TO-DATE-EXIT
              MOVE WS-0530-OUTPUT-DATE TO WS-4200-LATE-DATE
           END-IF.

      $IF DEBUG-SW DEFINED
           DISPLAY 'LATE DATE MOVED TO SAT: ', WS-4200-LATE-DATE
           UPON CONSOLE.
      $END

       4200-CALC-AR-CUTOFF-DT-EXIT.
           EXIT.



       4200-GET-DATES.

      $IF DEBUG-SW DEFINED
           DISPLAY 'LOOKING UP DATES FOR ASSIGNED RISK'
           UPON CONSOLE
      $END

      *    ******************************************
      *    *        LOCATE ADM3 DATES               *
      *    ******************************************
           INITIALIZE WS-7515-INPUT-KEY
           MOVE WS-4200-CROP-YEAR TO WS-7515-INPUT-CROP-YR
           MOVE WS-4200-RATE-STATE TO WS-7515-INPUT-STATE-CD
           MOVE WS-4200-RATE-COUNTY TO WS-7515-INPUT-COUNTY-CD
           MOVE WS-4200-CROP-CD TO WS-7515-INPUT-CROP-CD
           MOVE WS-4200-INSURANCE-PLAN-ID
             TO WS-7515-INPUT-INSURANCE-PLAN
           MOVE SPACES TO WS-7515-INPUT-PRACTICE-CD
      *    IF (WS-4200-TYPE-CD = ZEROS) OR
      *       (WS-4200-TYPE-CD NOT NUMERIC)
      *       MOVE 997 TO WS-7515-INPUT-TYPE-CD
      *    ELSE
              MOVE WS-4200-TYPE-CD TO WS-7515-INPUT-TYPE-CD
      *    END-IF
           MOVE WS-7515-INPUT-KEY TO WS-8020-BAD-DATA
           STRING 'ADM3 KEY = '
               DELIMITED BY SIZE
               WS-7515-INPUT-KEY
               DELIMITED BY SIZE
               INTO WS-8000-CORR-DATA1
           END-STRING
           PERFORM 7515-LOOKUP-ADM3
              THRU 7515-LOOKUP-ADM3-EXIT

           IF MATCH-FOUND-7515
      *       *** CLEAR ERROR SET ABOVE ***
              MOVE SPACES TO WS-8000-CORR-DATA1
      *       *** GET SALES CLOSING DATE ***
              IF WS-7515-EXT-SALES-CLOSING > ZEROS
                 MOVE WS-7515-EXT-SALES-CLOSING
                   TO WS-4200-EARLIEST-SLS-CLS-DT
              ELSE
                 IF WS-7515-MOD-SALES-CLOSING > ZEROS
                    MOVE WS-7515-MOD-SALES-CLOSING
                      TO WS-4200-EARLIEST-SLS-CLS-DT
                 ELSE
                    IF WS-7515-SALES-CLOSING > ZEROS
                       MOVE WS-7515-SALES-CLOSING
                         TO WS-4200-EARLIEST-SLS-CLS-DT
                    ELSE
                       MOVE 4200 TO WS-8020-PARAGRAPH-NO
                       MOVE 90049 TO WS-8020-INT-ERROR-NO
                       MOVE WS-LITERAL-YES
                         TO WS-8020-ABORT-PROGRAM
                       MOVE 'SALES CLOSING-DT'
                         TO WS-8020-FIELD-NAME
                       PERFORM 8020-RECORD-INT-ERROR
                          THRU 8020-RECORD-INT-ERROR-EXIT
                    END-IF
                 END-IF
              END-IF

      *       *** GET ACREAGE REPORTING DATE
              IF WS-7515-MOD-ACREAGE-REPORTING > ZEROS
                 MOVE WS-7515-MOD-ACREAGE-REPORTING
                   TO WS-4200-EARLIEST-ACRG-RPT-DT
              ELSE
                 IF WS-7515-ACREAGE-REPORTING > ZEROS
                    MOVE WS-7515-ACREAGE-REPORTING
                      TO WS-4200-EARLIEST-ACRG-RPT-DT
                 ELSE
                    MOVE 14009 TO WS-8000-ERROR-CODE
                    MOVE WS-LITERAL-YES TO WS-4200-CALC-ERROR
                    MOVE WS-LITERAL-IF TO WS-8000-ERROR-TYPE
                    MOVE 'ACREAGE RPTG DT' TO WS-8000-FIELD-NAME1
                    MOVE '00000000' TO WS-8000-BAD-DATA1
                    MOVE 'ADM3' TO WS-8000-TABLE-NAME
                    MOVE 4200 TO WS-8000-PARAGRAPH-NO
                    PERFORM 8000-RECORD-TRAN-ERROR
                       THRU 8000-RECORD-TRAN-ERROR-EXIT
                    GO TO 4200-GET-DATES-EXIT
                 END-IF
              END-IF

      *       *** NO ADM3 RECORD FOUND ASSIGNED RISK CANNOT BE
      *       *** SET OR UPDATED!
           ELSE
              MOVE 14009 TO WS-8000-ERROR-CODE
              MOVE WS-LITERAL-YES TO WS-4200-CALC-ERROR
              MOVE WS-LITERAL-IF TO WS-8000-ERROR-TYPE
              MOVE 'ADM3 REC' TO WS-8000-FIELD-NAME1
              MOVE 'NOT FOUND' TO WS-8000-BAD-DATA1
      *       *** SEARCH KEY USED IS IN CORR-DATA1
              MOVE 'ADM3' TO WS-8000-TABLE-NAME
              MOVE 4200 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              GO TO 4200-GET-DATES-EXIT
           END-IF

      *    ******************************************
      *    *       VALIDATE DATE FIELDS             *
      *    ******************************************

      $IF DEBUG-SW DEFINED
              DISPLAY 'SCD: ', WS-4200-EARLIEST-SLS-CLS-DT
              UPON CONSOLE
              DISPLAY 'ARD: ', WS-4200-EARLIEST-ACRG-RPT-DT
              UPON CONSOLE
              DISPLAY 'ASSIGNED RISK : ', WS-4200-ASSIGNED-RISK
              UPON CONSOLE
      $END

           IF WS-4200-EARLIEST-SLS-CLS-DT IS NOT NUMERIC
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 042 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-4200-CALC-ERROR
              MOVE 'WS-4200-SALES-CLOSING-DT'
                TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 4200 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-4200-EARLIEST-ACRG-RPT-DT IS NOT NUMERIC
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 042 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-4200-CALC-ERROR
              MOVE 'WS-4200-ACREAGE-RPT-DT' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 4200 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF


      $IF DEBUG-SW DEFINED
           DISPLAY '4200-VALIDATING SCD'
           UPON CONSOLE
      $END

           MOVE WS-4200-EARLIEST-SLS-CLS-DT TO WS-0515-INPUT-DATE
           PERFORM 0515-VAL-DATE
              THRU 0515-VAL-DATE-EXIT
           IF NOT VALID-DATE-0515
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-4200-CALC-ERROR
              MOVE 'WS-4200-SALES-CLSG-DT' TO WS-8000-FIELD-NAME1
              MOVE WS-4200-EARLIEST-SLS-CLS-DT TO WS-8000-BAD-DATA1
              MOVE 'VALID DATE' TO WS-8000-CORR-DATA1
              MOVE 4200 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

      $IF DEBUG-SW DEFINED
           DISPLAY '4200-VALIDATING ARD'
           UPON CONSOLE
      $END

           MOVE WS-4200-EARLIEST-ACRG-RPT-DT TO WS-0515-INPUT-DATE
           PERFORM 0515-VAL-DATE
              THRU 0515-VAL-DATE-EXIT
           IF NOT VALID-DATE-0515
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-4200-CALC-ERROR
              MOVE 'WS-4200-ACREAGE-RPT-DT' TO WS-8000-FIELD-NAME1
              MOVE WS-4200-EARLIEST-ACRG-RPT-DT TO WS-8000-BAD-DATA1
              MOVE 'VALID DATE' TO WS-8000-CORR-DATA1
              MOVE 4200 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF.


       4200-GET-DATES-EXIT.
           EXIT.
