
      ***************************************************************
      * File:      IF4250.CBL
      * Author:    Mike Ray
      * Date:      05/20/96
      * Purpose:   Calculates Total Guarantee, Premium Guarantee,
      *            and Guarantee per Acre
      ***************************************************************

       4250-CALC-FL-FRUIT-GUAR.

      $IF DEBUG-SW DEFINED
           DISPLAY '4250-CALCULATING FLORIDA FRUIT GUARANTEE'
           UPON CONSOLE
      $END


      *****************************************************
      *    INITIALIZE LOCAL AND OUTPUT VARIABLES          *
      *****************************************************
           INITIALIZE WS-4250-LOCAL
           INITIALIZE WS-4250-OUTPUT

      *****************************************************
      *    SET UP DISPLAY FIELDS                          *
      *****************************************************
           MOVE WS-4250-PRICE-ELECTION TO WS-4250-PRICE-ELECTION-X

      $IF DEBUG-SW DEFINED
           DISPLAY 'EST # TREES = ', WS-4250-EST-NUMBER-OF-TREES
           UPON CONSOLE
           DISPLAY 'PRICE ELECT = ', WS-4250-PRICE-ELECTION-X
           UPON CONSOLE
           DISPLAY 'CVG LEVEL % = ', WS-4250-CVG-LVL-PERCENT
           UPON CONSOLE
      $END

      *****************************************************
      *    CHECK PRE-CONDITIONS                           *
      *****************************************************
           IF WS-4250-EST-NUMBER-OF-TREES = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 042 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-4250-CALC-ERROR
              MOVE 'WS-4250-NUMBER-OF-TREES' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 4250 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-4250-PRICE-ELECTION = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 042 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-4250-CALC-ERROR
              MOVE 'WS-4250-PRICE-EL' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 4250 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-4250-CVG-LVL-PERCENT = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 042 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-4250-CALC-ERROR
              MOVE 'WS-4250-CVG-LVL-PCT' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 4250 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-4250-CROP-UNIT-OF-MEASURE = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 042 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-4250-CALC-ERROR
              MOVE 'WS-4250-CROP-UM' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 4250 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-4250-CALC-ERROR = WS-LITERAL-YES
              GO TO 4250-CALC-FL-FRUIT-GUAR-EXIT
           END-IF

      ***************************************************************
      *            COMPUTE TOTAL AND PREMIUM GUARANTEES             *
      ***************************************************************

           COMPUTE WS-4250-PREMIUM-GUARANTEE ROUNDED =
              WS-4250-EST-NUMBER-OF-TREES * WS-4250-PRICE-ELECTION
              * (WS-4250-CVG-LVL-PERCENT / 100)
              ON SIZE ERROR
                 MOVE 4250 TO WS-8020-PARAGRAPH-NO
                 MOVE 90017 TO WS-8020-INT-ERROR-NO
                 MOVE 'TREES*PRICE*CVG' TO WS-8020-FIELD-NAME
                 MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
                 PERFORM 8020-RECORD-INT-ERROR
                    THRU 8020-RECORD-INT-ERROR-EXIT
           END-COMPUTE

           COMPUTE WS-4250-TOTAL-GUARANTEE ROUNDED =
              WS-4250-EST-NUMBER-OF-TREES * WS-4250-PRICE-ELECTION
              * (WS-4250-CVG-LVL-PERCENT / 100)
              ON SIZE ERROR
                 MOVE 4250 TO WS-8020-PARAGRAPH-NO
                 MOVE 90017 TO WS-8020-INT-ERROR-NO
                 MOVE 'TREES*PRICE*CVG' TO WS-8020-FIELD-NAME
                 MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
                 PERFORM 8020-RECORD-INT-ERROR
                    THRU 8020-RECORD-INT-ERROR-EXIT
           END-COMPUTE.

      ***************************************************************
      *            DISPLAY TOTAL GUARANTEE RESULTS                  *
      ***************************************************************

      $IF DEBUG-SW DEFINED
           MOVE WS-4205-PREMIUM-GUARANTEE
             TO WS-4205-PREMIUM-GUARANTEE-X
           DISPLAY 'PREMIUM GUARANTEE  = ',
           WS-4205-PREMIUM-GUARANTEE-X
           UPON CONSOLE
           MOVE WS-4205-TOTAL-GUARANTEE
             TO WS-4205-TOTAL-GUARANTEE-X
           DISPLAY 'TOTAL GUARANTEE    = ',
           WS-4205-TOTAL-GUARANTEE-X
           UPON CONSOLE.
      $END


       4250-CALC-FL-FRUIT-GUAR-EXIT.
           EXIT.


