      ***************************************************************
      * File:      IF4265.CBL
      * Author:    Mike Ray
      * Date:      06/09/97
      * Purpose:   Calculates Total Guarantee and Guarantee per Acre
      ***************************************************************

       4265-CALC-AVOCADO-GUAR.

      $IF DEBUG-SW DEFINED
           DISPLAY '4265-CALCULATING AVOCADO GUARANTEE'
           UPON CONSOLE
      $END


      *****************************************************
      *    INITIALIZE LOCAL AND OUTPUT VARIABLES          *
      *****************************************************
           INITIALIZE WS-4265-LOCAL
           INITIALIZE WS-4265-OUTPUT

      *****************************************************
      *    SET UP DISPLAY FIELDS                          *
      *****************************************************
           MOVE WS-4265-ACRES TO WS-4265-ACRES-X
           MOVE WS-4265-DOLLAR-AMT-INS TO WS-4265-DOLLAR-AMT-INS-X

      $IF DEBUG-SW DEFINED
           DISPLAY '$AMT INS      = ', WS-4265-DOLLAR-AMT-INS-X
           UPON CONSOLE
           DISPLAY 'CVG LEVEL PCT = ', WS-4265-CVG-LVL-PERCENT
           UPON CONSOLE
           DISPLAY 'ACRES         = ', WS-4265-ACRES-X
           UPON CONSOLE
      $END

      *****************************************************
      *    CHECK PRE-CONDITIONS                           *
      *****************************************************
           IF WS-4265-ACRES = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 042 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-4265-CALC-ERROR
              MOVE 'WS-4265-ACRES' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 4265 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-4265-DOLLAR-AMT-INS = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 042 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-4265-CALC-ERROR
              MOVE 'WS-4265-DOLLAR-AMT-INS' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 4265 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-4265-CVG-LVL-PERCENT = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 042 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-4265-CALC-ERROR
              MOVE 'WS-4265-CVG-LVL-PERCENT' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 4265 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

      *    IF WS-4265-CROP-UNIT-OF-MEASURE = ZEROS
      *       MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
      *       MOVE 042 TO WS-8000-SHORT-ERROR
      *       MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
      *       MOVE WS-LITERAL-YES TO WS-4265-CALC-ERROR
      *       MOVE 'WS-4265-CROP-UM' TO WS-8000-FIELD-NAME1
      *       MOVE ZERO TO WS-8000-BAD-DATA1
      *       MOVE '> ZERO' TO WS-8000-CORR-DATA1
      *       MOVE 4265 TO WS-8000-PARAGRAPH-NO
      *       PERFORM 8000-RECORD-TRAN-ERROR
      *          THRU 8000-RECORD-TRAN-ERROR-EXIT
      *    END-IF

           IF WS-4265-CALC-ERROR = WS-LITERAL-YES
              GO TO 4265-CALC-AVOCADO-GUAR-EXIT
           END-IF

      *****************************************************
      *              PERFORM CALCULATIONS                 *
      *****************************************************
           COMPUTE WS-4265-GUARANTEE-PER-ACRE ROUNDED =
              WS-4265-DOLLAR-AMT-INS *
              (WS-4265-CVG-LVL-PERCENT / 100)
              ON SIZE ERROR
                 MOVE 4265 TO WS-8020-PARAGRAPH-NO
                 MOVE 90017 TO WS-8020-INT-ERROR-NO
                 MOVE 'AMT INS * CVG%' TO WS-8020-FIELD-NAME
                 MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
                 PERFORM 8020-RECORD-INT-ERROR
                    THRU 8020-RECORD-INT-ERROR-EXIT
           END-COMPUTE

      ***************************************************************
      *            DISPLAY GUARANTEE PER ACRE RESULTS               *
      ***************************************************************

      $IF DEBUG-SW DEFINED
           MOVE WS-4265-GUARANTEE-PER-ACRE
             TO WS-4265-GUARANTEE-PER-ACRE-X
           DISPLAY 'GUARANTEE PER ACRE = ',
           WS-4265-GUARANTEE-PER-ACRE-X
           UPON CONSOLE
      $END


      ***************************************************************
      *            COMPUTE TOTAL GUARANTEE                          *
      ***************************************************************
           COMPUTE WS-4265-TOTAL-GUARANTEE ROUNDED =
              WS-4265-GUARANTEE-PER-ACRE * WS-4265-ACRES
              ON SIZE ERROR
                 MOVE 4265 TO WS-8020-PARAGRAPH-NO
                 MOVE 90017 TO WS-8020-INT-ERROR-NO
                 MOVE 'GPA * Acres' TO WS-8020-FIELD-NAME
                 MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
                 PERFORM 8020-RECORD-INT-ERROR
                    THRU 8020-RECORD-INT-ERROR-EXIT
           END-COMPUTE.

      ***************************************************************
      *            DISPLAY TOTAL GUARANTEE RESULTS                  *
      ***************************************************************

      $IF DEBUG-SW DEFINED
           MOVE WS-4265-TOTAL-GUARANTEE
             TO WS-4265-TOTAL-GUARANTEE-X
           DISPLAY 'TOTAL GUARANTEE    = ',
           WS-4265-TOTAL-GUARANTEE-X
           UPON CONSOLE.
      $END

       4265-CALC-AVOCADO-GUAR-EXIT.
           EXIT.

