
      ***************************************************************
      * File:      IF4305.CBL
      * Author:    Mike Ray
      * Date:      06/05/96
      * Purpose:   Calaculates the liability according to the
      *            calculation in M-13.
      ***************************************************************

       4305-CALC-APH-LIABILITY.

      $IF DEBUG-SW DEFINED
           DISPLAY '4305-CALCULATING APH LIABILITY'
           UPON CONSOLE
      $END


      *****************************************************
      *    INITIALIZE LOCAL VARIABLES                     *
      *****************************************************
           INITIALIZE WS-4305-WORK
           INITIALIZE WS-4305-OUTPUT

      *****************************************************
      *    SET UP DISPLAY FIELDS                          *
      *****************************************************
           MOVE WS-4305-PRICE-ELECTION
             TO WS-4305-PRICE-ELECTION-X
           MOVE WS-4305-PERCENT-ELECTION
             TO WS-4305-PERCENT-ELECTION-X
           MOVE WS-4305-INSURED-SHARE
             TO WS-4305-INSURED-SHARE-X
           MOVE WS-4305-TOTAL-GUARANTEE
             TO WS-4305-TOTAL-GUARANTEE-X
           MOVE WS-4305-PREMIUM-GUARANTEE
             TO WS-4305-PREMIUM-GUARANTEE-X
           move ws-4305-lpo-pp-fctr
             to ws-4305-lpo-pp-fctr-x 

      $IF DEBUG-SW DEFINED
           DISPLAY 'PRICE ELECTION   = ', WS-4305-PRICE-ELECTION-X
           UPON CONSOLE
           DISPLAY 'PERCENT ELECTION = ', WS-4305-PERCENT-ELECTION-X
           UPON CONSOLE
           DISPLAY 'INSURED SHARE    = ', WS-4305-INSURED-SHARE-X
           UPON CONSOLE
           DISPLAY 'TOTAL GUARANTEE  = ', WS-4305-TOTAL-GUARANTEE-X
           UPON CONSOLE
           DISPLAY 'PREMIUM GUARANTEE= ', WS-4305-PREMIUM-GUARANTEE-X
           UPON CONSOLE
           display 'LPO-PP FACTOR    = ', ws-4305-lpo-pp-fctr-x
           upon console
      $END

      *****************************************************
      *              CHECK INPUT FIELDS                   *
      *****************************************************
           IF WS-4305-PRICE-ELECTION = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 042 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-4305-CALC-ERROR
              MOVE 'WS-4305-PRICE-EL' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 4305 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-4305-PERCENT-ELECTION = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 042 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-4305-CALC-ERROR
              MOVE 'WS-4305-PCT-EL' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 4305 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-4305-INSURED-SHARE = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 042 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-4305-CALC-ERROR
              MOVE 'WS-4305-INS-SHARE' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 4305 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-4305-TOTAL-GUARANTEE = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 042 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-4305-CALC-ERROR
              MOVE 'WS-4305-TOTAL-GUAR' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 4305 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-4305-PREMIUM-GUARANTEE = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 042 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-4305-CALC-ERROR
              MOVE 'WS-4305-PREM-GUAR' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 4305 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-4305-CALC-ERROR = WS-LITERAL-YES
              GO TO 4305-CALC-APH-LIABILITY-EXIT
           END-IF

      *****************************************************
      *    LIABILITY CALCULATION FOR NORMAL APH CROPS     *
      *****************************************************
           COMPUTE WS-4305-PREMIUM-LIABILITY ROUNDED =
              WS-4305-PREMIUM-GUARANTEE * WS-4305-PRICE-ELECTION
              * WS-4305-PERCENT-ELECTION
              * WS-4305-INSURED-SHARE
              ON SIZE ERROR
                 MOVE 4305 TO WS-8020-PARAGRAPH-NO
                 MOVE 90017 TO WS-8020-INT-ERROR-NO
                 MOVE 'PREMG*PRICE*%ELECT*SHARE'
                   TO WS-8020-FIELD-NAME
                 MOVE WS-4305-PREMIUM-LIABILITY
                   TO WS-8020-BAD-DATA
                 MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
                 PERFORM 8020-RECORD-INT-ERROR
                    THRU 8020-RECORD-INT-ERROR-EXIT
           END-COMPUTE

           COMPUTE WS-4305-TOTAL-LIABILITY ROUNDED =
              WS-4305-TOTAL-GUARANTEE * WS-4305-PRICE-ELECTION
              * WS-4305-PERCENT-ELECTION
              * WS-4305-INSURED-SHARE
              ON SIZE ERROR
                 MOVE 4305 TO WS-8020-PARAGRAPH-NO
                 MOVE 90017 TO WS-8020-INT-ERROR-NO
                 MOVE 'TOTLG*PRICE*%ELECT*SHARE'
                   TO WS-8020-FIELD-NAME
                 MOVE WS-4305-PREMIUM-LIABILITY
                   TO WS-8020-BAD-DATA
                 MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
                 PERFORM 8020-RECORD-INT-ERROR
                    THRU 8020-RECORD-INT-ERROR-EXIT
           END-COMPUTE

      ** COMPUTE AN ALTERNATE APH CRC PREMIUM LIABILITY IN CASE
      ** WE NEED IT DOWN THE LINE
           if ws-4305-lpo-pp-fctr > 0
           COMPUTE WS-4305-alt-PREMIUM-LIABILITY ROUNDED =
              ws-4305-total-liability / WS-4305-LPO-PP-FCTR
              ON SIZE ERROR
                 MOVE 4305 TO WS-8020-PARAGRAPH-NO
                 MOVE 90017 TO WS-8020-INT-ERROR-NO
                 MOVE 'PREMG*PRICE*%ELECT*SHARE'
                   TO WS-8020-FIELD-NAME
                 MOVE WS-4305-PREMIUM-LIABILITY
                   TO WS-8020-BAD-DATA
                 MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
                 PERFORM 8020-RECORD-INT-ERROR
                    THRU 8020-RECORD-INT-ERROR-EXIT
           END-COMPUTE
           end-if.

      $IF DEBUG-SW DEFINED
           DISPLAY 'APH TOTAL LIABILITY = ',
           WS-4305-TOTAL-LIABILITY
           UPON CONSOLE
           DISPLAY 'APH PREMIUM LIABILITY = ',
           WS-4305-PREMIUM-LIABILITY
           UPON CONSOLE.
           DISPLAY 'APH ALT-PREM LIABILTY = ',
           WS-4305-alt-PREMIUM-LIABILITY
           UPON CONSOLE.
      $END


       4305-CALC-APH-LIABILITY-EXIT.
           EXIT.
