
      ***************************************************************
      * File:      C4315.CBL
      * Author:    Laurie Viles
      * Date:      06/05/96
      * Purpose:   Calculates the dollar liability according to the
      *            calculation in M-13.
      ***************************************************************

       4315-CALC-DOLLAR-LIAB.

      $IF DEBUG-SW DEFINED
           DISPLAY '4315-CALCULATING DOLLAR LIABILITY'
           UPON CONSOLE
      $END


      *****************************************************
      *    INITIALIZE LOCAL VARIABLES                     *
      *****************************************************
           INITIALIZE WS-4315-WORK
           INITIALIZE WS-4315-OUTPUT

      *****************************************************
      *    SET UP DISPLAY FIELDS                          *
      *****************************************************
           MOVE WS-4315-INSURED-SHARE
             TO WS-4315-INSURED-SHARE-X
           MOVE WS-4315-TOTAL-GUARANTEE
             TO WS-4315-TOTAL-GUARANTEE-X
           MOVE WS-4315-PREMIUM-GUARANTEE
             TO WS-4315-PREMIUM-GUARANTEE-X

      $IF DEBUG-SW DEFINED
           DISPLAY 'INSURED SHARE    = ', WS-4315-INSURED-SHARE-X
           UPON CONSOLE
           DISPLAY 'TOTAL GUARANTEE  = ', WS-4315-TOTAL-GUARANTEE-X
           UPON CONSOLE
           DISPLAY 'PREMIUM GUARANTEE= ', WS-4315-PREMIUM-GUARANTEE-X
           UPON CONSOLE
      $END

      *****************************************************
      *    CHECK INPUT FIELDS                             *
      *****************************************************
           IF WS-4315-INSURED-SHARE = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 042 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-4315-CALC-ERROR
              MOVE 'WS-4315-INS-SHARE' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 4315 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-4315-TOTAL-GUARANTEE = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 042 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-4315-CALC-ERROR
              MOVE 'WS-4315-TOTAL-GUAR' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 4315 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-4315-PREMIUM-GUARANTEE = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 042 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-4315-CALC-ERROR
              MOVE 'WS-4315-PREM-GUAR' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 4315 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-4315-CALC-ERROR = WS-LITERAL-YES
              GO TO 4315-CALC-DOLLAR-LIAB-EXIT
           END-IF

      *****************************************************
      *    DOLLAR AMOUNT OF LIABILITY                     *
      *****************************************************


           COMPUTE WS-4315-PREMIUM-LIABILITY ROUNDED =
              WS-4315-PREMIUM-GUARANTEE * WS-4315-INSURED-SHARE
              ON SIZE ERROR
                 MOVE 4315 TO WS-8020-PARAGRAPH-NO
                 MOVE 90017 TO WS-8020-INT-ERROR-NO
                 MOVE 'PREMG*SHARE'
                   TO WS-8020-FIELD-NAME
                 MOVE WS-4315-PREMIUM-LIABILITY
                   TO WS-8020-BAD-DATA
                 MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
                 PERFORM 8020-RECORD-INT-ERROR
                    THRU 8020-RECORD-INT-ERROR-EXIT
           END-COMPUTE

           COMPUTE WS-4315-TOTAL-LIABILITY ROUNDED =
              WS-4315-TOTAL-GUARANTEE * WS-4315-INSURED-SHARE
              ON SIZE ERROR
                 MOVE 4315 TO WS-8020-PARAGRAPH-NO
                 MOVE 90017 TO WS-8020-INT-ERROR-NO
                 MOVE 'TOTLG*SHARE'
                   TO WS-8020-FIELD-NAME
                 MOVE WS-4315-TOTAL-LIABILITY
                   TO WS-8020-BAD-DATA
                 MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
                 PERFORM 8020-RECORD-INT-ERROR
                    THRU 8020-RECORD-INT-ERROR-EXIT
           END-COMPUTE.

      $IF DEBUG-SW DEFINED
           DISPLAY '$CROP TOTAL LIABILITY = ',
           WS-4315-TOTAL-LIABILITY
           UPON CONSOLE
           DISPLAY '$CROP PREMIUM LIABILITY = ',
           WS-4315-PREMIUM-LIABILITY
           UPON CONSOLE.
      $END


       4315-CALC-DOLLAR-LIAB-EXIT.
           EXIT.
