
      ***************************************************************
      * File:      C4330.CBL
      * Author:    Laurie Viles
      * Date:      06/05/96
      * Purpose:   Calculates the GRP liability
      *            according to the calculation in M-13.
      ***************************************************************

       4330-CALC-GRP-LIABILITY.

      $IF DEBUG-SW DEFINED
           DISPLAY '4330-CALCULATING GRP LIABILITY'
           UPON CONSOLE
      $END


      *****************************************************
      *    INITIALIZE LOCAL VARIABLES                     *
      *****************************************************
           INITIALIZE WS-4330-WORK
           INITIALIZE WS-4330-OUTPUT

      *****************************************************
      *    SET UP DISPLAY FIELDS                          *
      *****************************************************
           MOVE WS-4330-INSURED-SHARE
             TO WS-4330-INSURED-SHARE-X
           MOVE WS-4330-TOTAL-GUARANTEE
             TO WS-4330-TOTAL-GUARANTEE-X
           MOVE WS-4330-PREMIUM-GUARANTEE
             TO WS-4330-PREMIUM-GUARANTEE-X

      $IF DEBUG-SW DEFINED
           DISPLAY 'INSURED SHARE     = ', WS-4330-INSURED-SHARE-X
           UPON CONSOLE
           DISPLAY 'TOTAL GUARANTEE   = ', WS-4330-TOTAL-GUARANTEE-X
           UPON CONSOLE
           DISPLAY 'PREMIUM GUARANTEE = ', WS-4330-PREMIUM-GUARANTEE-X
           UPON CONSOLE
      $END

      *****************************************************
      *    CHECK INPUT FIELDS                             *
      *****************************************************
           IF WS-4330-INSURED-SHARE = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 042 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-4330-CALC-ERROR
              MOVE 'WS-4330-INS-SHARE' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 4330 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-4330-TOTAL-GUARANTEE = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 042 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-4330-CALC-ERROR
              MOVE 'WS-4330-TOTAL-GUAR' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 4330 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-4330-PREMIUM-GUARANTEE = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 042 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-4330-CALC-ERROR
              MOVE 'WS-4330-PREM-GUAR' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 4330 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-4330-CALC-ERROR = WS-LITERAL-YES
              GO TO 4330-CALC-GRP-LIABILITY-EXIT
           END-IF

      *****************************************************
      *    LIABILITY CALCULATION FOR GRP TOBACCO          *
      *****************************************************


           COMPUTE WS-4330-PREMIUM-LIABILITY ROUNDED =
              WS-4330-PREMIUM-GUARANTEE * WS-4330-INSURED-SHARE
              ON SIZE ERROR
                 MOVE 4330 TO WS-8020-PARAGRAPH-NO
                 MOVE 90017 TO WS-8020-INT-ERROR-NO
                 MOVE 'PREMG*SHARE'
                   TO WS-8020-FIELD-NAME
                 MOVE WS-4330-PREMIUM-LIABILITY
                   TO WS-8020-BAD-DATA
                 MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
                 PERFORM 8020-RECORD-INT-ERROR
                    THRU 8020-RECORD-INT-ERROR-EXIT
           END-COMPUTE

           COMPUTE WS-4330-TOTAL-LIABILITY ROUNDED =
              WS-4330-TOTAL-GUARANTEE * WS-4330-INSURED-SHARE
              ON SIZE ERROR
                 MOVE 4330 TO WS-8020-PARAGRAPH-NO
                 MOVE 90017 TO WS-8020-INT-ERROR-NO
                 MOVE 'TOTLG*SHARE'
                   TO WS-8020-FIELD-NAME
                 MOVE WS-4330-TOTAL-LIABILITY
                   TO WS-8020-BAD-DATA
                 MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
                 PERFORM 8020-RECORD-INT-ERROR
                    THRU 8020-RECORD-INT-ERROR-EXIT
           END-COMPUTE.

      $IF DEBUG-SW DEFINED
           DISPLAY 'GRP TOTAL LIABILITY = ',
           WS-4330-TOTAL-LIABILITY
           UPON CONSOLE
           DISPLAY 'GRP PREMIUM LIABILITY = ',
           WS-4330-PREMIUM-LIABILITY
           UPON CONSOLE.
      $END


       4330-CALC-GRP-LIABILITY-EXIT.
           EXIT.
