
      ***************************************************************
      * File:      C4340.CBL
      * Author:    Laurie Viles
      * Date:      06/05/96
      * Purpose:   Calculates the quota tobacco liability
      *            according to the calculation in M-13.
      ***************************************************************

       4340-CALC-QTOBACCO-LIAB.

      $IF DEBUG-SW DEFINED
           DISPLAY '4340-CALCULATING QUOTA TOBACCO LIABILITY'
           UPON CONSOLE
      $END


      *****************************************************
      *    INITIALIZE LOCAL VARIABLES                     *
      *****************************************************
           INITIALIZE WS-4340-WORK
           INITIALIZE WS-4340-OUTPUT

      *****************************************************
      *    SET UP DISPLAY FIELDS                          *
      *****************************************************
           MOVE WS-4340-INSURED-SHARE
             TO WS-4340-INSURED-SHARE-X
           MOVE WS-4340-TOTAL-GUARANTEE
             TO WS-4340-TOTAL-GUARANTEE-X
           MOVE WS-4340-PREMIUM-GUARANTEE
             TO WS-4340-PREMIUM-GUARANTEE-X

      $IF DEBUG-SW DEFINED
           DISPLAY 'INSURED SHARE     = ', WS-4340-INSURED-SHARE-X
           UPON CONSOLE
           DISPLAY 'TOTAL GUARANTEE   = ', WS-4340-TOTAL-GUARANTEE-X
           UPON CONSOLE
           DISPLAY 'PREMIUM GUARANTEE = ', WS-4340-PREMIUM-GUARANTEE-X
           UPON CONSOLE
      $END

      *****************************************************
      *    CHECK INPUT FIELDS                             *
      *****************************************************
           IF WS-4340-INSURED-SHARE = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 042 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-4340-CALC-ERROR
              MOVE 'WS-4340-INS-SHARE' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 4340 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-4340-TOTAL-GUARANTEE = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 042 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-4340-CALC-ERROR
              MOVE 'WS-4340-TOTAL-GUAR' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 4340 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-4340-PREMIUM-GUARANTEE = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 042 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-4340-CALC-ERROR
              MOVE 'WS-4340-PREM-GUAR' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 4340 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-4340-CALC-ERROR = WS-LITERAL-YES
              GO TO 4340-CALC-QTOBACCO-LIAB-EXIT
           END-IF

      *****************************************************
      *    LIABILITY CALCULATION FOR QUOTA TOBACCO        *
      *****************************************************
           COMPUTE WS-4340-PREMIUM-LIABILITY ROUNDED =
              WS-4340-PREMIUM-GUARANTEE * WS-4340-INSURED-SHARE
              ON SIZE ERROR
                 MOVE 4340 TO WS-8020-PARAGRAPH-NO
                 MOVE 90017 TO WS-8020-INT-ERROR-NO
                 MOVE 'PREMG*SHARE'
                   TO WS-8020-FIELD-NAME
                 MOVE WS-4340-PREMIUM-LIABILITY
                   TO WS-8020-BAD-DATA
                 MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
                 PERFORM 8020-RECORD-INT-ERROR
                    THRU 8020-RECORD-INT-ERROR-EXIT
           END-COMPUTE

           COMPUTE WS-4340-TOTAL-LIABILITY ROUNDED =
              WS-4340-TOTAL-GUARANTEE * WS-4340-INSURED-SHARE
              ON SIZE ERROR
                 MOVE 4340 TO WS-8020-PARAGRAPH-NO
                 MOVE 90017 TO WS-8020-INT-ERROR-NO
                 MOVE 'TOTLG*SHARE'
                   TO WS-8020-FIELD-NAME
                 MOVE WS-4340-TOTAL-LIABILITY
                   TO WS-8020-BAD-DATA
                 MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
                 PERFORM 8020-RECORD-INT-ERROR
                    THRU 8020-RECORD-INT-ERROR-EXIT
           END-COMPUTE.

      $IF DEBUG-SW DEFINED
           DISPLAY 'QUOTA TOBACCO TOTAL LIABILITY = ',
           WS-4340-TOTAL-LIABILITY
           UPON CONSOLE
           DISPLAY 'QUOTA TOBACCO PREMIUM LIABILITY = ',
           WS-4340-PREMIUM-LIABILITY
           UPON CONSOLE.
      $END


       4340-CALC-QTOBACCO-LIAB-EXIT.
           EXIT.
