
      ***************************************************************
      * File:      C4345.CBL
      * Author:    Laurie Viles
      * Date:      06/05/96
      * Purpose:   Calculates the CRC liability according
      *            to the calculation in M-13.
      ***************************************************************

       4345-CALC-CRC-LIABILITY.

      $IF DEBUG-SW DEFINED
           DISPLAY '4345-CALCULATING CRC LIABILITY'
           UPON CONSOLE
      $END


      *****************************************************
      *    INITIALIZE LOCAL VARIABLES                     *
      *****************************************************
           INITIALIZE WS-4345-WORK
           INITIALIZE WS-4345-OUTPUT

      *****************************************************
      *    SET UP DISPLAY FIELDS                          *
      *****************************************************
           MOVE WS-4345-SPRING-MKT-PRICE
             TO WS-4345-SPRING-MKT-PRICE-X
           MOVE WS-4345-INSURED-SHARE
             TO WS-4345-INSURED-SHARE-X
           MOVE WS-4345-TOTAL-GUARANTEE
             TO WS-4345-TOTAL-GUARANTEE-X
           MOVE WS-4345-PREMIUM-GUARANTEE
             TO WS-4345-PREMIUM-GUARANTEE-X

      $IF DEBUG-SW DEFINED
           DISPLAY 'SPRING MKT PRICE = ', WS-4345-SPRING-MKT-PRICE-X
           UPON CONSOLE
           DISPLAY 'INSURED SHARE    = ', WS-4345-INSURED-SHARE-X
           UPON CONSOLE
           DISPLAY 'TOTAL GUARANTEE  = ', WS-4345-TOTAL-GUARANTEE-X
           UPON CONSOLE
           DISPLAY 'PREMIUM GUARANTEE= ', WS-4345-PREMIUM-GUARANTEE-X
           UPON CONSOLE
      $END

      *****************************************************
      *              CHECK INPUT FIELDS                   *
      *****************************************************
           IF WS-4345-SPRING-MKT-PRICE = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 042 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-4345-CALC-ERROR
              MOVE 'WS-4345-SPRING-MKT-PRICE' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 4345 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-4345-INSURED-SHARE = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 042 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-4345-CALC-ERROR
              MOVE 'WS-4345-INS-SHARE' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 4345 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-4345-TOTAL-GUARANTEE = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 042 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-4345-CALC-ERROR
              MOVE 'WS-4345-TOTAL-GUAR' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 4345 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-4345-PREMIUM-GUARANTEE = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 042 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-4345-CALC-ERROR
              MOVE 'WS-4345-PREM-GUAR' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 4345 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-4345-CALC-ERROR = WS-LITERAL-YES
              GO TO 4345-CALC-CRC-LIABILITY-EXIT
           END-IF

      *****************************************************
      *    LIABILITY CALCULATION FOR CRC                  *
      *****************************************************
           COMPUTE WS-4345-PREMIUM-LIABILITY ROUNDED =
              WS-4345-PREMIUM-GUARANTEE * WS-4345-SPRING-MKT-PRICE
              * WS-4345-INSURED-SHARE
              ON SIZE ERROR
                 MOVE 4345 TO WS-8020-PARAGRAPH-NO
                 MOVE 90017 TO WS-8020-INT-ERROR-NO
                 MOVE 'PREMG*PRICE*SHARE'
                   TO WS-8020-FIELD-NAME
                 MOVE WS-4345-PREMIUM-LIABILITY
                   TO WS-8020-BAD-DATA
                 MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
                 PERFORM 8020-RECORD-INT-ERROR
                    THRU 8020-RECORD-INT-ERROR-EXIT
           END-COMPUTE

           COMPUTE WS-4345-TOTAL-LIABILITY ROUNDED =
              WS-4345-TOTAL-GUARANTEE * WS-4345-SPRING-MKT-PRICE
              * WS-4345-INSURED-SHARE
              ON SIZE ERROR
                 MOVE 4345 TO WS-8020-PARAGRAPH-NO
                 MOVE 90017 TO WS-8020-INT-ERROR-NO
                 MOVE 'TOTLG*PRICE*SHARE'
                   TO WS-8020-FIELD-NAME
                 MOVE WS-4345-TOTAL-LIABILITY
                   TO WS-8020-BAD-DATA
                 MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
                 PERFORM 8020-RECORD-INT-ERROR
                    THRU 8020-RECORD-INT-ERROR-EXIT
           END-COMPUTE.

      $IF DEBUG-SW DEFINED
           DISPLAY 'CRC TOTAL LIABILITY = ', WS-4345-TOTAL-LIABILITY
           UPON CONSOLE
           DISPLAY 'CRC PREMIUM LIABILITY = ', WS-4345-PREMIUM-LIABILITY
           UPON CONSOLE.
      $END

       4345-CALC-CRC-LIABILITY-EXIT.
           EXIT.
