
      ***************************************************************
      * File:      IF4355.CBL
      * Author:    MIKE RAY
      * Date:      01/27/97
      * Purpose:   Calaculates the liability according to the
      *            calculation in M-13.
      ***************************************************************

       4355-CALC-IP-LIABILITY.

      $IF DEBUG-SW DEFINED
           DISPLAY '4355-CALCULATING IP LIABILITY'
           UPON CONSOLE
      $END


      *****************************************************
      *    INITIALIZE LOCAL VARIABLES                     *
      *****************************************************
           INITIALIZE WS-4355-WORK
           INITIALIZE WS-4355-OUTPUT

      *****************************************************
      *    SET UP DISPLAY FIELDS                          *
      *****************************************************
           MOVE WS-4355-TOTAL-GUARANTEE
             TO WS-4355-TOTAL-GUARANTEE-X
           MOVE WS-4355-PREMIUM-GUARANTEE
             TO WS-4355-PREMIUM-GUARANTEE-X

      $IF DEBUG-SW DEFINED
           DISPLAY 'TOTAL GUARANTEE   = $',
           WS-4355-TOTAL-GUARANTEE-X
           UPON CONSOLE
           DISPLAY 'PREMIUM GUARANTEE = $',
           WS-4355-PREMIUM-GUARANTEE-X
           UPON CONSOLE
      $END

      *****************************************************
      *              CHECK INPUT FIELDS                   *
      *****************************************************
           IF WS-4355-TOTAL-GUARANTEE = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 042 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-4355-CALC-ERROR
              MOVE 'WS-4355-TOTAL-GUAR' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 4355 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-4355-PREMIUM-GUARANTEE = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 042 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-4355-CALC-ERROR
              MOVE 'WS-4355-PREM-GUAR' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 4355 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-4355-CALC-ERROR = WS-LITERAL-YES
              GO TO 4355-CALC-IP-LIABILITY-EXIT
           END-IF


      *****************************************************
      *    LIABILITY CALCULATION FOR IP CROPS             *
      *****************************************************
           COMPUTE WS-4355-TOTAL-LIABILITY ROUNDED =
              WS-4355-TOTAL-GUARANTEE 
              ON SIZE ERROR
                 MOVE 4355 TO WS-8020-PARAGRAPH-NO
                 MOVE 90017 TO WS-8020-INT-ERROR-NO
                 MOVE 'TOTALG*SHARE'
                   TO WS-8020-FIELD-NAME
                 MOVE WS-4355-TOTAL-LIABILITY
                   TO WS-8020-BAD-DATA
                 MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
                 PERFORM 8020-RECORD-INT-ERROR
                    THRU 8020-RECORD-INT-ERROR-EXIT
           END-COMPUTE

           COMPUTE WS-4355-PREMIUM-LIABILITY ROUNDED =
              WS-4355-PREMIUM-GUARANTEE 
              ON SIZE ERROR
                 MOVE 4355 TO WS-8020-PARAGRAPH-NO
                 MOVE 90017 TO WS-8020-INT-ERROR-NO
                 MOVE 'PREMG*SHARE'
                   TO WS-8020-FIELD-NAME
                 MOVE WS-4355-PREMIUM-LIABILITY
                   TO WS-8020-BAD-DATA
                 MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
                 PERFORM 8020-RECORD-INT-ERROR
                    THRU 8020-RECORD-INT-ERROR-EXIT
           END-COMPUTE.


      ***************************************************************
      *                DISPLAY LIABILITY RESULTS                    *
      ***************************************************************

      $IF DEBUG-SW DEFINED
           MOVE WS-4355-TOTAL-LIABILITY
             TO WS-4355-TOTAL-LIABILITY-X
           DISPLAY 'TOTAL LIABILITY   = $',
           WS-4355-TOTAL-LIABILITY-X
           UPON CONSOLE
           MOVE WS-4355-PREMIUM-LIABILITY
             TO WS-4355-PREMIUM-LIABILITY-X
           DISPLAY 'PREMIUM LIABILITY = $',
           WS-4355-PREMIUM-LIABILITY-X
           UPON CONSOLE.
      $END


       4355-CALC-IP-LIABILITY-EXIT.
           EXIT.
