      ***************************************************************
      * File:      C4365.CBL
      * Author:    Mike Ray
      * Date:      06/09/97
      * Purpose:   Calculates the Avocado Liability
      *            according to the calculation in M-13.
      ***************************************************************

       4365-CALC-AVOCADO-LIAB.

      $IF DEBUG-SW DEFINED
           DISPLAY '4365-CALCULATING AVOCADO LIABILITY'
           UPON CONSOLE
      $END


      *****************************************************
      *    INITIALIZE LOCAL VARIABLES                     *
      *****************************************************
           INITIALIZE WS-4365-WORK
           INITIALIZE WS-4365-OUTPUT

      *****************************************************
      *    SET UP DISPLAY FIELDS                          *
      *****************************************************
           MOVE WS-4365-INSURED-SHARE
             TO WS-4365-INSURED-SHARE-X
           MOVE WS-4365-TOTAL-GUARANTEE
             TO WS-4365-TOTAL-GUARANTEE-X

      $IF DEBUG-SW DEFINED
           DISPLAY 'INSURED SHARE     = ', WS-4365-INSURED-SHARE-X
           UPON CONSOLE
           DISPLAY 'TOTAL GUARANTEE   = ', WS-4365-TOTAL-GUARANTEE-X
           UPON CONSOLE
      $END

      *****************************************************
      *    CHECK INPUT FIELDS                             *
      *****************************************************
           IF WS-4365-INSURED-SHARE = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 042 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-4365-CALC-ERROR
              MOVE 'WS-4365-INS-SHARE' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 4365 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-4365-TOTAL-GUARANTEE = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 042 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-4365-CALC-ERROR
              MOVE 'WS-4365-TOTAL-GUAR' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 4365 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-4365-CALC-ERROR = WS-LITERAL-YES
              GO TO 4365-CALC-AVOCADO-LIAB-EXIT
           END-IF

      *****************************************************
      *    LIABILITY CALCULATION                          *
      *****************************************************
           COMPUTE WS-4365-TOTAL-LIABILITY ROUNDED =
              WS-4365-TOTAL-GUARANTEE * WS-4365-INSURED-SHARE
              ON SIZE ERROR
                 MOVE 4365 TO WS-8020-PARAGRAPH-NO
                 MOVE 90017 TO WS-8020-INT-ERROR-NO
                 MOVE 'TOTLG*SHARE'
                   TO WS-8020-FIELD-NAME
                 MOVE WS-4365-TOTAL-LIABILITY
                   TO WS-8020-BAD-DATA
                 MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
                 PERFORM 8020-RECORD-INT-ERROR
                    THRU 8020-RECORD-INT-ERROR-EXIT
           END-COMPUTE.

      $IF DEBUG-SW DEFINED
           MOVE WS-4365-TOTAL-LIABILITY
             TO WS-4365-TOTAL-LIABILITY-X
           DISPLAY 'TOTAL LIABILITY = ',
           WS-4365-TOTAL-LIABILITY-X
           UPON CONSOLE.
      $END


       4365-CALC-AVOCADO-LIAB-EXIT.
           EXIT.
