
      ***************************************************************
      * File:      C4430.CBL
      * Author:    Laurie Viles
      * Date:      06/12/96
      * Purpose:   Calculates the GRP premium
      *            according to the calculation in M-13.
      ***************************************************************

       4430-CALC-GRP-PREMIUM.

      $IF DEBUG-SW DEFINED
           DISPLAY '4430-CALCULATING GRP PREMIUM'
           UPON CONSOLE
      $END


      *****************************************************
      *    INITIALIZE LOCAL VARIABLES                     *
      *****************************************************
           INITIALIZE WS-4430-OUTPUT
           INITIALIZE WS-4430-LOCAL

      *****************************************************
      *    SET UP DISPLAY FIELDS                          *
      *****************************************************
           MOVE WS-4430-PREMIUM-LIABILITY
             TO WS-4430-PREMIUM-LIABILITY-X
           MOVE WS-4430-PREM-SURCHARGE-PCT
             TO WS-4430-PREM-SURCHARGE-PCT-X

      $IF DEBUG-SW DEFINED
           DISPLAY 'PREMIUM LIABILITY   = ',
           WS-4430-PREMIUM-LIABILITY-X   UPON CONSOLE
           DISPLAY 'PREMIUM RT SURCHG % = ',
           WS-4430-PREM-SURCHARGE-PCT-X  UPON CONSOLE
      $END

      *****************************************************
      *    CHECK INPUT FIELDS                             *
      *****************************************************

           IF WS-4430-PREMIUM-LIABILITY = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 042 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-4430-CALC-ERROR
              MOVE 'WS-4430-PREM-LIAB' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 4430 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

      *    WS-4430-PREM-SURCHARGE-PCT CAN EQUAL ZERO

           IF WS-4430-CALC-ERROR = WS-LITERAL-YES
              GO TO 4430-CALC-GRP-PREMIUM-EXIT
           END-IF


      *****************************************************
      *              LOOKUP UNSUBSIDIZED RATE             *
      *****************************************************
           PERFORM 4430-LOOKUP-GRP-RATE
              THRU 4430-LOOKUP-GRP-RATE-EXIT

           IF WS-4430-CALC-ERROR = WS-LITERAL-YES
              GO TO 4430-CALC-GRP-PREMIUM-EXIT
           END-IF
      *****************************************************
      *              PERFORM CALCULATIONS                 *
      *****************************************************
           COMPUTE WS-4430-TOTAL-PREMIUM ROUNDED =
              (WS-4430-GRP-UNSUBSIDIZED-RT / 100)
              * WS-4430-PREMIUM-LIABILITY
              ON SIZE ERROR
                 MOVE 4430 TO WS-8020-PARAGRAPH-NO
                 MOVE 90017 TO WS-8020-INT-ERROR-NO
                 MOVE 'PLIAB*GRP RT'
                   TO WS-8020-FIELD-NAME
                 MOVE WS-4430-PREMIUM-LIABILITY
                   TO WS-8020-BAD-DATA
                 MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
                 PERFORM 8020-RECORD-INT-ERROR
                    THRU 8020-RECORD-INT-ERROR-EXIT
           END-COMPUTE.


       4430-CALC-GRP-PREMIUM-EXIT.
           EXIT.


       4430-LOOKUP-GRP-RATE.

           INITIALIZE WS-7507-INPUT-KEY
           MOVE WS-4430-CROP-YEAR TO WS-7507-INPUT-CROP-YR
           MOVE WS-4430-RATE-STATE TO WS-7507-INPUT-STATE-CD
           MOVE WS-4430-RATE-COUNTY TO WS-7507-INPUT-COUNTY-CD
           MOVE WS-4430-CROP-CD TO WS-7507-INPUT-CROP-CD
           MOVE WS-4430-INS-PLAN TO WS-7507-INPUT-INSURANCE-PLAN
           MOVE WS-4430-PRACTICE-CD TO WS-7507-INPUT-PRACTICE-CD
           MOVE WS-4430-TYPE-CD TO WS-7507-INPUT-TYPE-CD
      *    *** SET UP ERROR
           STRING 'KEY = '
            DELIMITED BY SIZE
            WS-7507-INPUT-KEY
            DELIMITED BY SIZE
            INTO WS-8000-CORR-DATA1
           END-STRING
           PERFORM 7507-LOOKUP-ADM1G
              THRU 7507-LOOKUP-ADM1G-EXIT

           IF MATCH-FOUND-7507
      *       *** CLEAR ERROR
              MOVE SPACES TO WS-8000-CORR-DATA1
              IF WS-4430-CROP-CD = WS-LITERAL-FORAGE-PROD
                 EVALUATE WS-4430-CVG-LVL-PCT
                   WHEN 65
                      MOVE WS-7507-BASE-RATE-01
                        TO WS-4430-GRP-UNSUBSIDIZED-RT
                   WHEN 70
                      MOVE WS-7507-BASE-RATE-02
                        TO WS-4430-GRP-UNSUBSIDIZED-RT
                   WHEN 75
                      MOVE WS-7507-BASE-RATE-03
                        TO WS-4430-GRP-UNSUBSIDIZED-RT
                   WHEN 80
                      MOVE WS-7507-BASE-RATE-04
                        TO WS-4430-GRP-UNSUBSIDIZED-RT
                   WHEN 85
                      MOVE WS-7507-BASE-RATE-05
                        TO WS-4430-GRP-UNSUBSIDIZED-RT
                   WHEN 90
                      MOVE WS-7507-BASE-RATE-06
                        TO WS-4430-GRP-UNSUBSIDIZED-RT
                   WHEN OTHER
                      MOVE 4430 TO WS-8020-PARAGRAPH-NO
                      MOVE 1108 TO WS-8020-INT-ERROR-NO
                      MOVE 'GRP CVG LVL %' TO WS-8020-FIELD-NAME
                      MOVE WS-4430-CVG-LVL-PCT TO WS-8020-BAD-DATA
                      MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
                      PERFORM 8020-RECORD-INT-ERROR
                         THRU 8020-RECORD-INT-ERROR-EXIT
                 END-EVALUATE
              ELSE
                 EVALUATE WS-4430-CVG-LVL-PCT
                   WHEN 70
                      MOVE WS-7507-BASE-RATE-01
                        TO WS-4430-GRP-UNSUBSIDIZED-RT
                   WHEN 75
                      MOVE WS-7507-BASE-RATE-02
                        TO WS-4430-GRP-UNSUBSIDIZED-RT
                   WHEN 80
                      MOVE WS-7507-BASE-RATE-03
                        TO WS-4430-GRP-UNSUBSIDIZED-RT
                   WHEN 85
                      MOVE WS-7507-BASE-RATE-04
                        TO WS-4430-GRP-UNSUBSIDIZED-RT
                   WHEN 90
                      MOVE WS-7507-BASE-RATE-05
                        TO WS-4430-GRP-UNSUBSIDIZED-RT
                   WHEN OTHER
                      MOVE 4430 TO WS-8020-PARAGRAPH-NO
                      MOVE 1108 TO WS-8020-INT-ERROR-NO
                      MOVE 'GRP CVG LVL %' TO WS-8020-FIELD-NAME
                      MOVE WS-4430-CVG-LVL-PCT TO WS-8020-BAD-DATA
                      MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
                      PERFORM 8020-RECORD-INT-ERROR
                         THRU 8020-RECORD-INT-ERROR-EXIT
                 END-EVALUATE
              END-IF
           ELSE
              MOVE 11009 TO WS-8000-ERROR-CODE
              MOVE WS-LITERAL-IF TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-4430-CALC-ERROR
              MOVE 'ADM1G REC' TO WS-8000-FIELD-NAME1
              MOVE SPACES TO WS-8000-BAD-DATA1
              MOVE 4430 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

      $IF DEBUG-SW DEFINED
           MOVE WS-4430-GRP-UNSUBSIDIZED-RT
             TO WS-4430-GRP-UNSUBSIDIZED-RT-X
           DISPLAY 'GRP UNSUBSIDIZED RT = ',
           WS-4430-GRP-UNSUBSIDIZED-RT-X
           UPON CONSOLE
      $END

           IF WS-4430-GRP-UNSUBSIDIZED-RT = ZEROS
              MOVE 11009 TO WS-8000-ERROR-CODE
              MOVE WS-LITERAL-IF TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-4430-CALC-ERROR
              MOVE 'ADM1G BASE RT' TO WS-8000-FIELD-NAME1
              MOVE 0 TO WS-8000-BAD-DATA1
              MOVE 'NO RATE DATA IN ADM FOR THIS COVERAGE LEVEL!'
                TO WS-8000-CORR-DATA1
              MOVE 4430 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF.

       4430-LOOKUP-GRP-RATE-EXIT.
           EXIT.

