
      ***************************************************************
      * File:      C4445.CBL
      * Author:    Mike Ray
      * Date:      06/06/96
      * Purpose:   Calculates the premium using the premium
      *            calculation in M-13.
      ***************************************************************

       4445-CALC-CRC-PREMIUM.

      $IF DEBUG-SW DEFINED
           DISPLAY '4445-CALCULATING CRC PREMIUM'
           UPON CONSOLE
      $END


      *****************************************************
      *    INITIALIZE LOCAL VARIABLES                     *
      *****************************************************
           INITIALIZE WS-4445-OUTPUT
           INITIALIZE WS-4445-LOCAL

      *****************************************************
      *    SET UP DISPLAY FIELDS                          *
      *****************************************************
           MOVE WS-4445-CRC-RATE-FACTOR
             TO WS-4445-CRC-RATE-FACTOR-X
           MOVE WS-4445-PREMIUM-GPA
             TO WS-4445-PREMIUM-GPA-X
           MOVE WS-4445-BASE-PREMIUM-RATE
             TO WS-4445-BASE-PREMIUM-RATE-X
           MOVE WS-4445-LOW-PRICE-FCTR
             TO WS-4445-LOW-PRICE-FCTR-X
           MOVE WS-4445-HIGH-PRICE-FCTR
             TO WS-4445-HIGH-PRICE-FCTR-X
           MOVE WS-4445-BASE-PRICE
             TO WS-4445-BASE-PRICE-X
           MOVE WS-4445-ACRES
             TO WS-4445-ACRES-X
           MOVE WS-4445-INSURED-SHARE
             TO WS-4445-INSURED-SHARE-X
           MOVE WS-4445-RATE-MAP-AREA-FCTR
             TO WS-4445-RATE-MAP-AREA-FCTR-X
           MOVE WS-4445-TYPE-PRACT-OPT-FCTR
             TO WS-4445-TYPE-PRACT-OPT-FCTR-X
           MOVE WS-4445-OPTION-FCTR
             TO WS-4445-OPTION-FCTR-X
           MOVE WS-4445-EXPERIENCE-FCTR
             TO WS-4445-EXPERIENCE-FCTR-X
           MOVE WS-4445-PREM-SURCHARGE-PCT
             TO WS-4445-PREM-SURCHARGE-PCT-X

      $IF DEBUG-SW DEFINED
           DISPLAY 'CRC RATE FACTOR = ',
           WS-4445-CRC-RATE-FACTOR-X UPON CONSOLE
           DISPLAY 'PREM GUARANTEE/ACRE = ',
           WS-4445-PREMIUM-GPA-X UPON CONSOLE
           DISPLAY 'BASE PREMIUM RATE   = ',
           WS-4445-BASE-PREMIUM-RATE-X UPON CONSOLE
           DISPLAY 'LOW PRICE FACTOR  = ',
           WS-4445-LOW-PRICE-FCTR-X UPON CONSOLE
           DISPLAY 'HIGH PRICE FACTOR   = ',
           WS-4445-HIGH-PRICE-FCTR-X UPON CONSOLE
           DISPLAY 'BASE PRICE = ',
           WS-4445-BASE-PRICE-X UPON CONSOLE
           DISPLAY 'ACRES               = ',
           WS-4445-ACRES-X UPON CONSOLE
           DISPLAY 'INSURED SHARE       = ',
           WS-4445-INSURED-SHARE-X UPON CONSOLE
           DISPLAY 'RATE MAP FCTR       = ',
           WS-4445-RATE-MAP-AREA-FCTR-X UPON CONSOLE
           DISPLAY 'TYPE/PRACT FCTR     = ',
           WS-4445-TYPE-PRACT-OPT-FCTR-X UPON CONSOLE
           DISPLAY 'OPTION FACTOR       = ', WS-4445-OPTION-FCTR-X
           UPON CONSOLE
           DISPLAY 'EXPERIENCE FACTOR   = ',
           WS-4445-EXPERIENCE-FCTR-X UPON CONSOLE
           DISPLAY 'PREMIUM RT SURCHG % = ',
           WS-4445-PREM-SURCHARGE-PCT-X UPON CONSOLE
      $END

      *****************************************************
      *    CHECK INPUT FIELDS                             *
      *****************************************************

           IF WS-4445-CRC-RATE-FACTOR = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 042 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-4445-CALC-ERROR
              MOVE 'WS-4445-CRC-RATE-FCTR' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 4445 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-4445-PREMIUM-GPA = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 042 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-4445-CALC-ERROR
              MOVE 'WS-4445-PREM-GPA' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 4445 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-4445-BASE-PREMIUM-RATE = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 042 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-4445-CALC-ERROR
              MOVE 'WS-4445-BASE-PREM-RT' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 4445 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-4445-LOW-PRICE-FCTR = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 042 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-4445-CALC-ERROR
              MOVE 'WS-4445-LOW-PRICE-FCTR' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 4445 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-4445-HIGH-PRICE-FCTR = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 042 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-4445-CALC-ERROR
              MOVE 'WS-4445-HIGH-PRICE-FCTR' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 4445 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-4445-BASE-PRICE = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 042 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-4445-CALC-ERROR
              MOVE 'WS-4445-BASE-PRICE' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 4445 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-4445-ACRES = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 042 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-4445-CALC-ERROR
              MOVE 'WS-4445-ACRES' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 4445 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-4445-INSURED-SHARE = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 042 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-4445-CALC-ERROR
              MOVE 'WS-4445-INS-SHARE' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 4445 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-4445-RATE-MAP-AREA-FCTR = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 042 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-4445-CALC-ERROR
              MOVE 'WS-4445-RATE-MAP-FCTR' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 4445 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-4445-TYPE-PRACT-OPT-FCTR = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 042 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-4445-CALC-ERROR
              MOVE 'WS-4445-TYPE-PRACT-OPT-FCTR'
                TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 4445 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-4445-OPTION-FCTR = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 042 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-4445-CALC-ERROR
              MOVE 'WS-4445-OPT-FCTR' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 4445 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
          END-IF

           IF WS-4445-EXPERIENCE-FCTR = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 042 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-4445-CALC-ERROR
              MOVE 'WS-4445-EXPER-FCTR' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 4445 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

      *    WS-4445-PREM-SURCHARGE-PCT CAN EQUAL ZERO

           IF WS-4445-CALC-ERROR = WS-LITERAL-YES
              GO TO 4445-CALC-CRC-PREMIUM-EXIT
           END-IF

      *****************************************************
      *             REVENUE RISK                          *
      *****************************************************
           COMPUTE WS-4445-REVENUE-RISK ROUNDED =
              WS-4445-PREMIUM-GPA * WS-4445-CRC-RATE-FACTOR
              * WS-4445-LOW-PRICE-FCTR
              ON SIZE ERROR
                 MOVE 4445 TO WS-8020-PARAGRAPH-NO
                 MOVE 90017 TO WS-8020-INT-ERROR-NO
                 MOVE 'PREM GPA * CRC RT * LOW PRICE'
                   TO WS-8020-FIELD-NAME
                 MOVE ZEROS
                   TO WS-8020-BAD-DATA
                 MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
                 PERFORM 8020-RECORD-INT-ERROR
                    THRU 8020-RECORD-INT-ERROR-EXIT
           END-COMPUTE

           MOVE WS-4445-REVENUE-RISK
             TO WS-4445-REVENUE-RISK-X

      $IF DEBUG-SW DEFINED
           DISPLAY 'REVENUE RISK    = ',
           WS-4445-REVENUE-RISK-X
           UPON CONSOLE
      $END


      *****************************************************
      *               PRICE RISK                          *
      *****************************************************
           COMPUTE WS-4445-PRICE-RISK ROUNDED =
              WS-4445-PREMIUM-GPA
              * WS-4445-HIGH-PRICE-FCTR
              * WS-4445-BASE-PREMIUM-RATE
              ON SIZE ERROR
                 MOVE 4445 TO WS-8020-PARAGRAPH-NO
                 MOVE 90017 TO WS-8020-INT-ERROR-NO
                 MOVE 'GPA * HP * BASE RT'
                   TO WS-8020-FIELD-NAME
                 MOVE ZEROS
                   TO WS-8020-BAD-DATA
                 MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
                 PERFORM 8020-RECORD-INT-ERROR
                    THRU 8020-RECORD-INT-ERROR-EXIT
           END-COMPUTE

           MOVE WS-4445-PRICE-RISK
             TO WS-4445-PRICE-RISK-X

      $IF DEBUG-SW DEFINED
           DISPLAY 'PRICE RISK  = ',
           WS-4445-PRICE-RISK-X
           UPON CONSOLE
      $END

      *****************************************************
      *               YIELD RISK                          *
      *****************************************************
           COMPUTE WS-4445-YIELD-RISK ROUNDED =
              WS-4445-PREMIUM-GPA
              * WS-4445-BASE-PRICE
              * WS-4445-BASE-PREMIUM-RATE
              ON SIZE ERROR
                 MOVE 4445 TO WS-8020-PARAGRAPH-NO
                 MOVE 90017 TO WS-8020-INT-ERROR-NO
                 MOVE 'GPA * PRICE * BASE RT'
                   TO WS-8020-FIELD-NAME
                 MOVE ZEROS
                   TO WS-8020-BAD-DATA
                 MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
                 PERFORM 8020-RECORD-INT-ERROR
                    THRU 8020-RECORD-INT-ERROR-EXIT
           END-COMPUTE

           MOVE WS-4445-YIELD-RISK
             TO WS-4445-YIELD-RISK-X.

      $IF DEBUG-SW DEFINED
           DISPLAY 'YIELD RISK   = ',
           WS-4445-YIELD-RISK-X
           UPON CONSOLE.
      $END


      *****************************************************
      *               CRC TOTAL PREMIUM                   *
      *****************************************************
           COMPUTE WS-4445-TOTAL-PREMIUM ROUNDED =
              (WS-4445-REVENUE-RISK +
              WS-4445-PRICE-RISK +
              WS-4445-YIELD-RISK)
              * WS-4445-ACRES
              * WS-4445-INSURED-SHARE
              * WS-4445-RATE-MAP-AREA-FCTR
              * WS-4445-TYPE-PRACT-OPT-FCTR
              * WS-4445-OPTION-FCTR
              * WS-4445-EXPERIENCE-FCTR
              * (1 + WS-4445-PREM-SURCHARGE-PCT)
              ON SIZE ERROR
                 MOVE 4445 TO WS-8020-PARAGRAPH-NO
                 MOVE 90017 TO WS-8020-INT-ERROR-NO
                 MOVE 'SEE M-13'
                   TO WS-8020-FIELD-NAME
                 MOVE ZEROS
                   TO WS-8020-BAD-DATA
                 MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
                 PERFORM 8020-RECORD-INT-ERROR
                    THRU 8020-RECORD-INT-ERROR-EXIT
           END-COMPUTE

           MOVE WS-4445-TOTAL-PREMIUM
             TO WS-4445-TOTAL-PREMIUM-X.

      $IF DEBUG-SW DEFINED
           DISPLAY 'CRC TOTAL PREMIUM   = ',
           WS-4445-TOTAL-PREMIUM-X
           UPON CONSOLE.
      $END


       4445-CALC-CRC-PREMIUM-EXIT.
           EXIT.


