
      ***************************************************************
      * File:      C4450.CBL
      * Author:    Laurie Viles
      * Date:      06/06/96
      * Purpose:   Calculates the Florida fruit tree premium
      *            according to the calculation in M-13.
      ***************************************************************

       4450-CALC-FL-FRUIT-PREM.

      $IF DEBUG-SW DEFINED
           DISPLAY '4450-CALCULATING FL FRUIT TREE PREMIUM'
           UPON CONSOLE
      $END


      *****************************************************
      *    INITIALIZE LOCAL VARIABLES                     *
      *****************************************************
           INITIALIZE WS-4450-OUTPUT
           INITIALIZE WS-4450-LOCAL

      *****************************************************
      *    SET UP DISPLAY FIELDS                          *
      *****************************************************
           MOVE WS-4450-TOTAL-LIABILITY
             TO WS-4450-TOTAL-LIABILITY-X
           MOVE WS-4450-BASE-PREMIUM-RATE
             TO WS-4450-BASE-PREMIUM-RATE-X
           MOVE WS-4450-PREM-SURCHARGE-PCT
             TO WS-4450-PREM-SURCHARGE-PCT-X

      $IF DEBUG-SW DEFINED
           DISPLAY 'TOTAL LIABILITY   = ',
           WS-4450-TOTAL-LIABILITY-X   UPON CONSOLE
           DISPLAY 'BASE PREMIUM RATE   = ',
           WS-4450-BASE-PREMIUM-RATE-X   UPON CONSOLE
           DISPLAY 'PREMIUM RT SURCHG % = ',
           WS-4450-PREM-SURCHARGE-PCT-X  UPON CONSOLE
      $END

      *****************************************************
      *    CHECK INPUT FIELDS                             *
      *****************************************************
           IF WS-4450-TOTAL-LIABILITY = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 042 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-4450-CALC-ERROR
              MOVE 'WS-4450-TOTAL-LIAB' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 4450 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-4450-BASE-PREMIUM-RATE = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 042 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-4450-CALC-ERROR
              MOVE 'WS-4450-BASE-PREM-RT' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 4450 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

      *    WS-4450-PREM-SURCHARGE-PCT CAN EQUAL ZERO

           IF WS-4450-CALC-ERROR = WS-LITERAL-YES
              GO TO 4450-CALC-FL-FRUIT-PREM-EXIT
           END-IF


      *****************************************************
      *    PREMIUM CALCULATION FOR FL FRUIT TREE          *
      *****************************************************
           COMPUTE WS-4450-TOTAL-PREMIUM ROUNDED =
              WS-4450-TOTAL-LIABILITY
              * WS-4450-BASE-PREMIUM-RATE
              * (1 + WS-4450-PREM-SURCHARGE-PCT)
              ON SIZE ERROR
                 MOVE 4450 TO WS-8020-PARAGRAPH-NO
                 MOVE 90017 TO WS-8020-INT-ERROR-NO
                 MOVE 'TLIAB*BRATE'
                   TO WS-8020-FIELD-NAME
                 MOVE WS-4450-TOTAL-LIABILITY
                   TO WS-8020-BAD-DATA
                 MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
                 PERFORM 8020-RECORD-INT-ERROR
                    THRU 8020-RECORD-INT-ERROR-EXIT
           END-COMPUTE.

      $IF DEBUG-SW DEFINED
           DISPLAY 'TOTAL PREMIUM = ', WS-4450-TOTAL-PREMIUM
           UPON CONSOLE.
      $END


       4450-CALC-FL-FRUIT-PREM-EXIT.
           EXIT.

