      ***************************************************************
      * File:      C4455.CBL
      * Author:    Mike Ray
      * Date:      01/28/97
      * Purpose:   Calculates the premium using the premium
      *            calculation in M-13.
      ***************************************************************

       4455-CALC-RA-PREMIUM.

      $IF DEBUG-SW DEFINED
           DISPLAY '4455-CALCULATING RA PREMIUM'
           UPON CONSOLE
      $END


      *****************************************************
      *    INITIALIZE LOCAL VARIABLES                     *
      *****************************************************
           INITIALIZE WS-4455-OUTPUT
           INITIALIZE WS-4455-LOCAL

      *****************************************************
      *    SET UP DISPLAY FIELDS                          *
      *****************************************************
           MOVE WS-4455-BASE-PREMIUM-RATE
             TO WS-4455-BASE-PREMIUM-RATE-X
           MOVE WS-4455-ACRES
             TO WS-4455-ACRES-X
           MOVE WS-4455-INSURED-SHARE
             TO WS-4455-INSURED-SHARE-X
           MOVE WS-4455-UNIT-PREM-ADJ-FCTR
             TO WS-4455-UNIT-PREM-ADJ-FCTR-X
           MOVE WS-4455-WFARM-DISCOUNT-FCTR
             TO WS-4455-WFARM-DISCOUNT-FCTR-X

      *****************************************************
      *    CHECK INPUT FIELDS                             *
      *****************************************************
           IF WS-4455-BASE-PREMIUM-RATE = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 042 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-4455-CALC-ERROR
              MOVE 'WS-4455-BASE-PREM-RT' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 4455 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-4455-ACRES = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 042 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-4455-CALC-ERROR
              MOVE 'WS-4455-ACRES' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 4455 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-4455-INSURED-SHARE = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 042 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-4455-CALC-ERROR
              MOVE 'WS-4455-INS-SHARE' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 4455 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-4455-UNIT-PREM-ADJ-FCTR = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 042 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-4455-CALC-ERROR
              MOVE 'WS-4455-UNIT-PREM-ADJ-FCTR'
                TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 4455 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-4455-WFARM-DISCOUNT-FCTR = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 042 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-4455-CALC-ERROR
              MOVE 'WS-4455-WFARM-DISCOUNT-FCTR'
                TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 4455 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-4455-CALC-ERROR = WS-LITERAL-YES
              GO TO 4455-CALC-RA-PREMIUM-EXIT
           END-IF

      *****************************************************
      *               TOTAL PREMIUM                       *
      *****************************************************

      $IF DEBUG-SW DEFINED
           DISPLAY 'PER ACRE PREMIUM    = $',
           WS-4455-BASE-PREMIUM-RATE-X UPON CONSOLE
           DISPLAY 'REPORTED ACRES      = ',
           WS-4455-ACRES-X
           UPON CONSOLE
           DISPLAY 'UNIT PREM ADJ FCTR  = ',
           WS-4455-UNIT-PREM-ADJ-FCTR-X
           UPON CONSOLE
           DISPLAY 'WHOLE FARM DIS FCTR = ',
           WS-4455-WFARM-DISCOUNT-FCTR-X
           UPON CONSOLE
           DISPLAY 'INSURED SHARE       = ',
           WS-4455-INSURED-SHARE-X
           UPON CONSOLE
      $END

           COMPUTE WS-4455-TOTAL-PREMIUM ROUNDED =
              WS-4455-BASE-PREMIUM-RATE *
              WS-4455-ACRES *
              WS-4455-UNIT-PREM-ADJ-FCTR *
              WS-4455-WFARM-DISCOUNT-FCTR *
              WS-4455-INSURED-SHARE
              ON SIZE ERROR
                 MOVE 4455 TO WS-8020-PARAGRAPH-NO
                 MOVE 90017 TO WS-8020-INT-ERROR-NO
                 MOVE 'TOTAL PREMIUM'
                   TO WS-8020-FIELD-NAME
                 MOVE ZEROS
                   TO WS-8020-BAD-DATA
                 MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
                 PERFORM 8020-RECORD-INT-ERROR
                    THRU 8020-RECORD-INT-ERROR-EXIT
           END-COMPUTE

           MOVE WS-4455-TOTAL-PREMIUM
             TO WS-4455-TOTAL-PREMIUM-X.

      $IF DEBUG-SW DEFINED
           DISPLAY 'TOTAL PREMIUM   = $',
           WS-4455-TOTAL-PREMIUM-X
           UPON CONSOLE.
      $END


       4455-CALC-RA-PREMIUM-EXIT.
           EXIT.


