      ***************************************************************
      * File:      C4465.CBL
      * Author:    Mike Ray
      * Date:      06/09/97
      * Purpose:   Calculates the Avocado premium according to the
      *            calculation in M-13.
      ***************************************************************

       4465-CALC-AVOCADO-PREM.

      $IF DEBUG-SW DEFINED
           DISPLAY '4465-CALCULATING AVOCADO PREMIUM'
           UPON CONSOLE
      $END


      *****************************************************
      *    INITIALIZE LOCAL VARIABLES                     *
      *****************************************************
           INITIALIZE WS-4465-OUTPUT
           INITIALIZE WS-4465-LOCAL

      *****************************************************
      *    SET UP DISPLAY FIELDS                          *
      *****************************************************
           MOVE WS-4465-TOTAL-LIABILITY
             TO WS-4465-TOTAL-LIABILITY-X
           MOVE WS-4465-BASE-PREMIUM-RATE
             TO WS-4465-BASE-PREMIUM-RATE-X
           MOVE WS-4465-OPTION-FCTR
             TO WS-4465-OPTION-FCTR-X

      $IF DEBUG-SW DEFINED
           DISPLAY 'TOTAL LIABILITY     = ',
           WS-4465-TOTAL-LIABILITY-X UPON CONSOLE
           DISPLAY 'BASE PREMIUM RATE   = ',
           WS-4465-BASE-PREMIUM-RATE-X UPON CONSOLE
           DISPLAY 'OPTION FACTOR       = ',
           WS-4465-OPTION-FCTR-X UPON CONSOLE
      $END

      *****************************************************
      *    CHECK INPUT FIELDS                             *
      *****************************************************
           IF WS-4465-TOTAL-LIABILITY = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 042 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-4465-CALC-ERROR
              MOVE 'WS-4465-TOT-LIAB' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 4465 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-4465-BASE-PREMIUM-RATE = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 042 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-4465-CALC-ERROR
              MOVE 'WS-4465-BASE-PREM-RT' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 4465 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-4465-OPTION-FCTR = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 042 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-4465-CALC-ERROR
              MOVE 'WS-4465-OPT-FCTR' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 4465 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
          END-IF

           IF WS-4465-CALC-ERROR = WS-LITERAL-YES
              GO TO 4465-CALC-AVOCADO-PREM-EXIT
           END-IF

      *****************************************************
      *    PREMIUM CALCULATION                            *
      *****************************************************
           COMPUTE WS-4465-TOTAL-PREMIUM ROUNDED =
              WS-4465-TOTAL-LIABILITY
              * WS-4465-BASE-PREMIUM-RATE
              * WS-4465-OPTION-FCTR
              ON SIZE ERROR
                 MOVE 4465 TO WS-8020-PARAGRAPH-NO
                 MOVE 90017 TO WS-8020-INT-ERROR-NO
                 MOVE 'TLIAB*BRATE*FACTORS'
                   TO WS-8020-FIELD-NAME
                 MOVE WS-4465-TOTAL-LIABILITY
                   TO WS-8020-BAD-DATA
                 MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
                 PERFORM 8020-RECORD-INT-ERROR
                    THRU 8020-RECORD-INT-ERROR-EXIT
           END-COMPUTE.

      $IF DEBUG-SW DEFINED
           DISPLAY 'TOTAL PREMIUM = ', WS-4465-TOTAL-PREMIUM
           UPON CONSOLE.
      $END


       4465-CALC-AVOCADO-PREM-EXIT.
           EXIT.

