      ***************************************************************
      * File:      C4470.CBL
      * Author:    Mike Ray
      * Date:      07/01/97
      * Purpose:   Calculates the IP Premium
      ***************************************************************

       4470-CALC-IP-PREMIUM.

      $IF DEBUG-SW DEFINED
           DISPLAY '4470-CALCULATING IP PREMIUM'
           UPON CONSOLE
      $END


      *****************************************************
      *    INITIALIZE LOCAL VARIABLES                     *
      *****************************************************
           INITIALIZE WS-4470-OUTPUT
           INITIALIZE WS-4470-LOCAL

      *****************************************************
      *    SET UP DISPLAY FIELDS                          *
      *****************************************************
           MOVE WS-4470-TOTAL-LIABILITY
             TO WS-4470-TOTAL-LIABILITY-X
           MOVE WS-4470-BASE-PREMIUM-RATE
             TO WS-4470-BASE-PREMIUM-RATE-X
           MOVE WS-4470-PREM-SURCHARGE-PCT
             TO WS-4470-PREM-SURCHARGE-PCT-X

      $IF DEBUG-SW DEFINED
           DISPLAY 'TOTAL LIABILITY   = ',
           WS-4470-TOTAL-LIABILITY-X   UPON CONSOLE
           DISPLAY 'BASE PREMIUM RATE   = ',
           WS-4470-BASE-PREMIUM-RATE-X   UPON CONSOLE
           DISPLAY 'PREMIUM RT SURCHG % = ',
           WS-4470-PREM-SURCHARGE-PCT-X  UPON CONSOLE
      $END

      *****************************************************
      *    CHECK INPUT FIELDS                             *
      *****************************************************
           IF WS-4470-TOTAL-LIABILITY = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 042 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-4470-CALC-ERROR
              MOVE 'WS-4470-TOTAL-LIAB' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 4470 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-4470-BASE-PREMIUM-RATE = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 042 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-4470-CALC-ERROR
              MOVE 'WS-4470-BASE-PREM-RT' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 4470 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

      *    WS-4470-PREM-SURCHARGE-PCT CAN EQUAL ZERO

           IF WS-4470-CALC-ERROR = WS-LITERAL-YES
              GO TO 4470-CALC-IP-PREMIUM-EXIT
           END-IF


      *****************************************************
      *    PREMIUM CALCULATION FOR IP                     *
      *****************************************************
           COMPUTE WS-4470-TOTAL-PREMIUM ROUNDED =
              WS-4470-TOTAL-LIABILITY
              * WS-4470-BASE-PREMIUM-RATE
              * (1 + WS-4470-PREM-SURCHARGE-PCT)
              ON SIZE ERROR
                 MOVE 4470 TO WS-8020-PARAGRAPH-NO
                 MOVE 90017 TO WS-8020-INT-ERROR-NO
                 MOVE 'TLIAB*BRATE'
                   TO WS-8020-FIELD-NAME
                 MOVE WS-4470-TOTAL-LIABILITY
                   TO WS-8020-BAD-DATA
                 MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
                 PERFORM 8020-RECORD-INT-ERROR
                    THRU 8020-RECORD-INT-ERROR-EXIT
           END-COMPUTE.

      $IF DEBUG-SW DEFINED
           DISPLAY 'TOTAL PREMIUM = ', WS-4470-TOTAL-PREMIUM
           UPON CONSOLE.
      $END


       4470-CALC-IP-PREMIUM-EXIT.
           EXIT.

