
      ***************************************************************
      * File:      IF4510.CBL
      * Author:    Laura Dittamo
      * Date:      06/14/96
      * Purpose:   Calculates the Final group payment calculation
      *            factor.
      ***************************************************************

       4510-CALC-FINAL-GRP-PMT.

      $IF DEBUG-SW DEFINED
           DISPLAY '4510-CALCULATING FINAL GROUP PMT FACTOR'
           UPON CONSOLE
      $END

      *****************************************************
      *    INITIALIZE LOCAL AND OUTPUT VARIABLES          *
      *****************************************************
           INITIALIZE WS-4510-WORK
           INITIALIZE WS-4510-OUTPUT

      *****************************************************
      *              SET UP ANY DISPLAY FIELDS            *
      *****************************************************

      $IF DEBUG-SW DEFINED
           DISPLAY 'CROP CODE         = ', WS-4510-CROP-CD
           UPON CONSOLE
           DISPLAY 'INSURANCE PLAN    = ', WS-4510-INSURANCE-PLAN-ID
           UPON CONSOLE
           DISPLAY 'CROP YEAR         = ', WS-4510-CROP-YEAR
           UPON CONSOLE
           DISPLAY 'LOCATION STATE    = ', WS-4510-LOCATION-STATE
           UPON CONSOLE
           DISPLAY 'LOCATION COUNTY   = ', WS-4510-LOCATION-COUNTY
           UPON CONSOLE
           DISPLAY 'CVG LEVEL PERCENT = ', WS-4510-COVERAGE-LVL-PCT
           UPON CONSOLE
           DISPLAY 'CROP UNIT OF MEAS = ', WS-4510-CROP-UNIT-OF-MEASURE
           UPON CONSOLE
      $END

      *****************************************************
      *    CHECK PRE-CONDITIONS                           *
      *****************************************************
           IF WS-4510-CROP-CD = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 042 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-4510-CALC-ERROR
              MOVE 'WS-4510-CROP-CD' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 4510 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-4510-CROP-YEAR = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 042 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-4510-CALC-ERROR
              MOVE 'WS-4510-CROP-YR' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 4510 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-4510-LOCATION-STATE = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 042 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-4510-CALC-ERROR
              MOVE 'WS-4510-LOC-STATE' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 4510 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-4510-LOCATION-COUNTY = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 042 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-4510-CALC-ERROR
              MOVE 'WS-4510-LOC-COUNTY' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 4510 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-4510-COVERAGE-LVL-PCT = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 042 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-4510-CALC-ERROR
              MOVE 'WS-4510-CVG-LVL-PCT' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 4510 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-4510-CROP-UNIT-OF-MEASURE = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 042 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-4510-CALC-ERROR
              MOVE 'WS-4510-CROP-UM' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 4510 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-4510-CALC-ERROR = WS-LITERAL-YES
              GO TO 4510-CALC-FINAL-GRP-PMT-EXIT
           END-IF


      *****************************************************
      *  DETERMINE THE APPROPRIATE TRIGGER YIELD FACTOR   *
      *                                                   *
      *  THIS SHOULD BE REPLACED WITH AN ADM LOOKUP WHEN  *
      *  TRIGGER YIELD FACTOR DATA IS AVAILABLE.          *
      *****************************************************
           EVALUATE WS-4510-CROP-CD
               WHEN WS-LITERAL-WHEAT
               WHEN WS-LITERAL-FORAGE-PROD
               WHEN WS-LITERAL-GRAIN-SORGHUM
               WHEN WS-LITERAL-BARLEY
                  MOVE .85 TO WS-4510-TRIGGER-YIELD-FACTOR
               WHEN WS-LITERAL-COTTON
                  MOVE .80 TO WS-4510-TRIGGER-YIELD-FACTOR
               WHEN WS-LITERAL-CORN
               WHEN WS-LITERAL-PEANUTS
               WHEN WS-LITERAL-SOYBEANS
                  MOVE .90 TO WS-4510-TRIGGER-YIELD-FACTOR
               WHEN OTHER
                  MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
                  MOVE 044 TO WS-8000-SHORT-ERROR
                  MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
                  MOVE WS-LITERAL-YES TO WS-4510-CALC-ERROR
                  MOVE 'TRIGGER YLD FCTR' TO WS-8000-FIELD-NAME1
                  MOVE ZERO TO WS-8000-BAD-DATA1
                  STRING 'NOT KNOWN FOR CROP '
                   DELIMITED BY SIZE
                   WS-4510-CROP-CD
                   DELIMITED BY SIZE
                   INTO WS-8000-CORR-DATA1
                  END-STRING
                  MOVE 4510 TO WS-8000-PARAGRAPH-NO
                  PERFORM 8000-RECORD-TRAN-ERROR
                     THRU 8000-RECORD-TRAN-ERROR-EXIT
                  GO TO 4510-CALC-FINAL-GRP-PMT-EXIT
           END-EVALUATE

      *****************************************************
      *    LOOKUP EXPECTED COUNTY YIELD & FINAL PAYMENT   *
      *    YIELD IN ADM1G                                 *
      *****************************************************
           PERFORM 4510-LOOKUP-ADM1G-YIELDS
              THRU 4510-LOOKUP-ADM1G-YIELDS

           IF WS-4510-CALC-ERROR = WS-LITERAL-YES
              GO TO 4510-CALC-FINAL-GRP-PMT-EXIT
           END-IF

      *****************************************************
      *    CHECK POST CONDITIONS                          *
      *****************************************************
           IF WS-4510-EXPECTED-COUNTY-YIELD = ZEROS
              AND WS-4510-FINAL-PMT-YIELD = ZEROS
              GO TO 4510-CALC-FINAL-GRP-PMT-EXIT
           END-IF

      *****************************************************************
      *  THE CACULATION FOR FINAL PAYMENT CALCULATION FACTOR IS
      *
      *  (TRIGGER YIELD - FINAL PAYMENT YIELD)
      *  -------------------------------------
      *            TRIGGER YIELD
      *
      *  WHERE TRIGGER YIELD = EXPECTED COUNTY YIELD * COVERAGE LVL PCT
      *****************************************************************
           COMPUTE WS-4510-FINAL-PMT-CALC-FACTOR ROUNDED =
              ((WS-4510-EXPECTED-COUNTY-YIELD *
              (WS-4510-COVERAGE-LVL-PCT / 100)) -
              WS-4510-FINAL-PMT-YIELD) /
              (WS-4510-EXPECTED-COUNTY-YIELD *
              (WS-4510-COVERAGE-LVL-PCT / 100))
              ON SIZE ERROR
                 MOVE 4510 TO WS-8020-PARAGRAPH-NO
                 MOVE 90017 TO WS-8020-INT-ERROR-NO
                 MOVE 'FINAL PMT CALC FACTOR' TO WS-8020-FIELD-NAME
                 MOVE WS-4510-FINAL-PMT-CALC-FACTOR
                   TO WS-4510-FINAL-PMT-CALC-FCTR-X
                 MOVE WS-4510-FINAL-PMT-CALC-FCTR-X TO WS-8020-BAD-DATA
                 MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
                 PERFORM 8020-RECORD-INT-ERROR
                    THRU 8020-RECORD-INT-ERROR-EXIT
           END-COMPUTE.

      ***************************************************************
      *     DISPLAY FINAL GROUP PAYMENT FACTOR RESULTS              *
      ***************************************************************

      $IF DEBUG-SW DEFINED
           MOVE WS-4510-FINAL-PMT-CALC-FACTOR
             TO WS-4510-FINAL-PMT-CALC-FCTR-X.
           DISPLAY 'FINAL PMT CALC FCTR = ',
           WS-4510-FINAL-PMT-CALC-FCTR-X
           UPON CONSOLE.
      $END


       4510-CALC-FINAL-GRP-PMT-EXIT.
           EXIT.


      $IF ISAM-SW DEFINED

       4510-LOOKUP-ADM1G-YIELDS.
      *  ** LOOKUP TRIGGER YIELD & FINAL PAYMENT YIELD IN ADM1G
           INITIALIZE WS-7507-INPUT-KEY
           MOVE WS-4510-CROP-YEAR TO WS-7507-INPUT-CROP-YR
           MOVE WS-4510-LOCATION-STATE TO WS-7507-INPUT-STATE-CD
           MOVE WS-4510-LOCATION-COUNTY TO WS-7507-INPUT-COUNTY-CD
           MOVE WS-4510-CROP-CD TO WS-7507-INPUT-CROP-CD
           MOVE WS-4510-INSURANCE-PLAN-ID
             TO WS-7507-INPUT-INSURANCE-PLAN
           MOVE WS-4510-PRACTICE-CD TO WS-7507-INPUT-PRACTICE-CD
           IF (WS-4510-TYPE-CD = ZEROS) OR
              (WS-4510-TYPE-CD NOT NUMERIC)
              MOVE 997 TO WS-7507-INPUT-TYPE-CD
           ELSE
              MOVE WS-4510-TYPE-CD TO WS-7507-INPUT-TYPE-CD
           END-IF

           STRING 'SEARCHED WITH '
            DELIMITED BY SIZE
            WS-7507-INPUT-KEY
            DELIMITED BY SIZE
            INTO WS-8000-CORR-DATA1
           END-STRING
           PERFORM 7507-LOOKUP-ADM1G
              THRU 7507-LOOKUP-ADM1G-EXIT

           IF MATCH-FOUND-7507
      *    *** WIPE OUT THE ERROR THAT WAS SET UP ABOVE
              INITIALIZE WS-8000-CORR-DATA1
              IF WS-4510-CROP-UNIT-OF-MEASURE = WS-LITERAL-BARRELS OR
                 WS-4510-CROP-UNIT-OF-MEASURE = WS-LITERAL-TONS
                 MOVE WS-7507-EXPECTED-CNTY-YLD-DEC
                   TO WS-4510-EXPECTED-COUNTY-YIELD
                 MOVE WS-7507-FINAL-ANNUAL-YIELD-DEC
                   TO WS-4510-FINAL-PMT-YIELD
              ELSE
                 MOVE WS-7507-EXPECTED-CNTY-YLD
                   TO WS-4510-EXPECTED-COUNTY-YIELD
                 MOVE WS-7507-FINAL-ANNUAL-YIELD
                   TO WS-4510-FINAL-PMT-YIELD
              END-IF

      *****************************************************
      *    SET UP DISPLAY FIELDS                          *
      *****************************************************
              MOVE WS-4510-TRIGGER-YIELD-FACTOR
                TO WS-4510-TRIGGER-YIELD-FACTOR-X
              MOVE WS-4510-EXPECTED-COUNTY-YIELD
                TO WS-4510-EXPECTED-COUNTY-YLD-X
              MOVE WS-4510-FINAL-PMT-YIELD
                TO WS-4510-FINAL-PMT-YIELD-X
           ELSE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 009 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-4510-CALC-ERROR
              MOVE 'ADM1G DATA' TO WS-8000-FIELD-NAME1
              MOVE 'NOT FOUND' TO WS-8000-BAD-DATA1
      *       *** CORRECT DATA IS SET ABOVE ***
              MOVE 4510 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF.


       4510-LOOKUP-ADM1G-YIELDS-EXIT.
           EXIT.
      $END
