      $SET FLAG "MF"
      $SET SIGN "EBCDIC"
      $SET WARNING "1"
      $SET CHECKDIV "COBOL370"
      $SET CONSTANT ISAM-SW "ON"
      $SET CONSTANT CRC-SW "ON"
      $SET NOMS
      $SET APOST
      $SET MF(4)
      $SET VSC2
      $SET TRICKLECHECK
      $SET NOTRICKLE
      $SET SETTING

      $IF PC-SW DEFINED
      $SET OPTSIZE
      $ELSE
      $SET RETRYLOCK
      $SET CALLSORT
      $SET NOCHECKNUM
      $SET 01SHUFFLE
      $SET NOSMALLDD
      $SET EXPANDDATA
      $SET OPTSPEED
      $END

       IDENTIFICATION DIVISION.
       PROGRAM-ID. DAS97.
       AUTHOR. DAS DEVELOPMENT TEAM.
       DATE-WRITTEN. DEC 19, 1995
       DATE-COMPILED.

       ENVIRONMENT DIVISION.
       CONFIGURATION SECTION.
       SOURCE-COMPUTER. IFXSUN.
       OBJECT-COMPUTER. IFXSUN.

       INPUT-OUTPUT SECTION.
       FILE-CONTROL.

      ******************************************************
      *           INPUT FILES                              *
      ******************************************************

           SELECT INPUT-TRANSACTION-FILE
                  ASSIGN TO DYNAMIC WS-0004-INPUT-FILE-NAME
                  ORGANIZATION IS LINE SEQUENTIAL
                  ACCESS IS SEQUENTIAL
                  FILE STATUS IS WS-FILE-STAT.

      *    SELECT INPUT-TRANSACTION-FILE-400
      *           ASSIGN TO DYNAMIC WS-0004-INPUT-FILE-NAME
      *           ORGANIZATION IS LINE SEQUENTIAL
      *           ACCESS IS SEQUENTIAL
      *           FILE STATUS IS WS-FILE-STAT.

      ******************************************************
      *           OUTPUT FILES                             *
      ******************************************************

           SELECT ACCEPTED-TRANSACTION-FILE
                  ASSIGN TO DYNAMIC WS-0004-ACCEPT-FILE-NAME
                  ORGANIZATION IS LINE SEQUENTIAL
                  ACCESS IS SEQUENTIAL
                  FILE STATUS IS WS-FILE-STAT.

           SELECT REJECTED-TRANSACTION-FILE
                  ASSIGN TO DYNAMIC WS-0004-REJECT-FILE-NAME
                  ORGANIZATION IS LINE SEQUENTIAL
                  ACCESS IS SEQUENTIAL
                  FILE STATUS IS WS-FILE-STAT.

           SELECT SUSPENDED-TRANSACTION-FILE
                  ASSIGN TO DYNAMIC WS-0004-SUSPEND-FILE-NAME
                  ORGANIZATION IS LINE SEQUENTIAL
                  ACCESS IS SEQUENTIAL
                  FILE STATUS IS WS-FILE-STAT.

           SELECT ESCROW-TRANSACTION-FILE
                  ASSIGN TO DYNAMIC WS-0004-ESCROW-FILE-NAME
                  ORGANIZATION IS LINE SEQUENTIAL
                  ACCESS IS SEQUENTIAL
                  FILE STATUS IS WS-FILE-STAT.

           SELECT PMEMO-TRANSACTION-FILE
                  ASSIGN TO DYNAMIC WS-0004-PMEMO-FILE-NAME
                  ORGANIZATION IS LINE SEQUENTIAL
                  ACCESS IS SEQUENTIAL
                  FILE STATUS IS WS-FILE-STAT.

           SELECT ERROR-LOG-FILE
                  ASSIGN TO DYNAMIC WS-0004-LOG-FILE-NAME
                  ORGANIZATION IS LINE SEQUENTIAL
                  ACCESS IS SEQUENTIAL.

           SELECT ERROR-SUM-FILE
                  ASSIGN TO DYNAMIC WS-0004-SUM-FILE-NAME
                  ORGANIZATION IS LINE SEQUENTIAL
                  ACCESS IS SEQUENTIAL.

           SELECT ERROR-REPT-FILE
                  ASSIGN TO DYNAMIC WS-0004-REPORT-FILE-NAME
                  ORGANIZATION IS LINE SEQUENTIAL
                  ACCESS IS SEQUENTIAL
                  FILE STATUS IS WS-FILE-STAT.

           SELECT MDAS-STATS-FILE
                  ASSIGN TO DYNAMIC WS-0004-STATS-FILE-NAME
                  ORGANIZATION IS LINE SEQUENTIAL
                  ACCESS IS SEQUENTIAL
                  FILE STATUS IS WS-FILE-STAT.

           SELECT T14EXPR-FILE
                  ASSIGN TO DYNAMIC WS-0004-t14expr-file-name
                  ORGANIZATION IS LINE SEQUENTIAL
                  ACCESS IS SEQUENTIAL
                  FILE STATUS IS WS-FILE-STAT.

      ******************************************************
      *           TEMP FILES                               *
      ******************************************************

           SELECT TEMP-POLICY-FILE
                  ASSIGN TO DYNAMIC WS-0004-TEMP-POL-FILE-NAME
                  ORGANIZATION IS LINE SEQUENTIAL
                  ACCESS IS SEQUENTIAL.

           SELECT TEMP-ERROR-FILE
                  ASSIGN TO DYNAMIC WS-0004-ERRORS-FILE-NAME
                  ORGANIZATION IS LINE SEQUENTIAL
                  ACCESS IS SEQUENTIAL.

           SELECT INPUT-ERROR-FILE
                  ASSIGN TO DYNAMIC WS-0004-ERRORS-FILE-NAME
                  ORGANIZATION IS LINE SEQUENTIAL
                  ACCESS IS SEQUENTIAL
                  FILE STATUS IS WS-FILE-STAT.

           SELECT TEMP-REJECT-FILE
                  ASSIGN TO DYNAMIC WS-0004-REJECT-FILE-NAME
                  ORGANIZATION IS LINE SEQUENTIAL
                  ACCESS IS SEQUENTIAL.


      ******************************************************
      *           LOAD FILES                               *
      ******************************************************

           SELECT IP-FILE
                  ASSIGN TO 'LOAD/RO.TXT'
                  ORGANIZATION IS LINE SEQUENTIAL
                  ACCESS IS SEQUENTIAL
                  FILE STATUS IS WS-FILE-STAT.


           SELECT COMPANY-FILE
                  ASSIGN TO 'LOAD/COMPANY.TXT'
                  ORGANIZATION IS LINE SEQUENTIAL
                  ACCESS IS SEQUENTIAL
                  FILE STATUS IS WS-FILE-STAT.

           SELECT FIPS-STATE-FILE
                  ASSIGN TO 'LOAD/STATE.TXT'
                  ORGANIZATION IS LINE SEQUENTIAL
                  ACCESS IS SEQUENTIAL
                  FILE STATUS IS WS-FILE-STAT.

           SELECT COUNTY-FILE
                  ASSIGN TO 'LOAD/COUNTY.TXT'
                  ORGANIZATION IS LINE SEQUENTIAL
                  ACCESS IS SEQUENTIAL
                  FILE STATUS IS WS-FILE-STAT.

           SELECT CROP-FILE
                  ASSIGN TO 'LOAD/CROP.TXT'
                  ORGANIZATION IS LINE SEQUENTIAL
                  ACCESS IS SEQUENTIAL
                  FILE STATUS IS WS-FILE-STAT.

           SELECT CROP-LIMIT-FILE
                  ASSIGN TO 'LOAD/CROP-MAX.TXT'
                  ORGANIZATION IS LINE SEQUENTIAL
                  ACCESS IS SEQUENTIAL
                  FILE STATUS IS WS-FILE-STAT.

           SELECT CROP-TYPE-FILE
                  ASSIGN TO 'LOAD/CROPTYPE.TXT'
                  ORGANIZATION IS LINE SEQUENTIAL
                  ACCESS IS SEQUENTIAL
                  FILE STATUS IS WS-FILE-STAT.

           SELECT CROP-POLICY-TYPE-FILE
                  ASSIGN TO 'LOAD/CROP-POL.TXT'
                  ORGANIZATION IS LINE SEQUENTIAL
                  ACCESS IS SEQUENTIAL
                  FILE STATUS IS WS-FILE-STAT.

           SELECT ERROR-MSG-FILE
                  ASSIGN TO 'LOAD/ERRMSG.TXT'
                  ORGANIZATION IS LINE SEQUENTIAL
                  ACCESS IS SEQUENTIAL
                  FILE STATUS IS WS-FILE-STAT.

           SELECT UM-FILE
                  ASSIGN TO 'LOAD/UM.TXT'
                  ORGANIZATION IS LINE SEQUENTIAL
                  ACCESS IS SEQUENTIAL
                  FILE STATUS IS WS-FILE-STAT.

           SELECT STAGE-FILE
                  ASSIGN TO 'LOAD/STAGE.TXT'
                  ORGANIZATION IS LINE SEQUENTIAL
                  ACCESS IS SEQUENTIAL
                  FILE STATUS IS WS-FILE-STAT.

           SELECT STAGE-CROP-FILE
                  ASSIGN TO 'LOAD/STGCROP.TXT'
                  ORGANIZATION IS LINE SEQUENTIAL
                  ACCESS IS SEQUENTIAL
                  FILE STATUS IS WS-FILE-STAT.

           SELECT LOSS-CAUSE-FILE
                  ASSIGN TO 'LOAD/LC.TXT'
                  ORGANIZATION IS LINE SEQUENTIAL
                  ACCESS IS SEQUENTIAL
                  FILE STATUS IS WS-FILE-STAT.

           SELECT LOSS-CAUSE-CROP-FILE
                  ASSIGN TO 'LOAD/LC-CROP.TXT'
                  ORGANIZATION IS LINE SEQUENTIAL
                  ACCESS IS SEQUENTIAL
                  FILE STATUS IS WS-FILE-STAT.


      ******************************************************
      *           SORT FILES                               *
      ******************************************************

           SELECT ERROR-SORT-FILE
                  ASSIGN TO DYNAMIC WS-0004-SORT-ERR-FILE-NAME.

           SELECT TRAN-SORT-FILE
                  ASSIGN TO DYNAMIC WS-0004-SORT-REJ-FILE-NAME.


      ******************************************************
      *           ISAM FILES                               *
      ******************************************************

      $IF ISAM-SW DEFINED

      $IF COMPRESS-SW DEFINED
      $SET DATACOMPRESS "1"
      $SET KEYCOMPRESS "6"
      $END

           SELECT ADM1-FILE
                  ASSIGN TO DYNAMIC WS-0004-ADM1-FILE-NAME
                  ORGANIZATION IS INDEXED
                  ACCESS IS RANDOM
                  LOCK MODE IS AUTOMATIC
                  RECORD ADM1-REC-KEY
                  FILE STATUS IS WS-FILE-STAT.

           SELECT ADM1G-FILE
                  ASSIGN TO DYNAMIC WS-0004-ADM1G-FILE-NAME
                  ORGANIZATION IS INDEXED
                  ACCESS IS RANDOM
                  LOCK MODE IS AUTOMATIC
                  RECORD ADM1G-REC-KEY
                  FILE STATUS IS WS-FILE-STAT.

           SELECT ADM2-FILE
                  ASSIGN TO DYNAMIC WS-0004-ADM2-FILE-NAME
                  ORGANIZATION IS INDEXED
                  ACCESS IS DYNAMIC
                  LOCK MODE IS AUTOMATIC
                  RECORD ADM2-REC-KEY
                  FILE STATUS IS WS-FILE-STAT.

           SELECT ADM3-FILE
                  ASSIGN TO DYNAMIC WS-0004-ADM3-FILE-NAME
                  ORGANIZATION IS INDEXED
                  ACCESS IS DYNAMIC
                  LOCK MODE IS AUTOMATIC
                  RECORD ADM3-REC-KEY
                  FILE STATUS IS WS-FILE-STAT.

           SELECT ADM4-FILE
                  ASSIGN TO DYNAMIC WS-0004-ADM4-FILE-NAME
                  ORGANIZATION IS INDEXED
                  ACCESS IS RANDOM
                  LOCK MODE IS AUTOMATIC
                  RECORD ADM4-REC-KEY
                  FILE STATUS IS WS-FILE-STAT.

           SELECT ADMAC-FILE
                  ASSIGN TO DYNAMIC WS-0004-ADMAC-FILE-NAME
                  ORGANIZATION IS INDEXED
                  ACCESS IS RANDOM
                  LOCK MODE IS AUTOMATIC
                  RECORD ADMAC-REC-KEY
                  FILE STATUS IS WS-FILE-STAT.

           SELECT ADMAR-FILE
                  ASSIGN TO DYNAMIC WS-0004-ADMAR-FILE-NAME
                  ORGANIZATION IS INDEXED
                  ACCESS IS RANDOM
                  LOCK MODE IS AUTOMATIC
                  RECORD ADMAR-REC-KEY
                  FILE STATUS IS WS-FILE-STAT.

           SELECT ADMC-FILE
                  ASSIGN TO DYNAMIC WS-0004-ADMC-FILE-NAME
                  ORGANIZATION IS INDEXED
                  ACCESS IS RANDOM
                  LOCK MODE IS AUTOMATIC
                  RECORD ADMC-REC-KEY
                  FILE STATUS IS WS-FILE-STAT.

           SELECT ADMH-FILE
                  ASSIGN TO DYNAMIC WS-0004-ADMH-FILE-NAME
                  ORGANIZATION IS INDEXED
                  ACCESS IS RANDOM
                  LOCK MODE IS AUTOMATIC
                  RECORD ADMH-REC-KEY
                  FILE STATUS IS WS-FILE-STAT.

           SELECT ADMIR-FILE
                  ASSIGN TO DYNAMIC WS-0004-ADMIR-FILE-NAME
                  ORGANIZATION IS INDEXED
                  ACCESS IS RANDOM
                  LOCK MODE IS AUTOMATIC
                  RECORD ADMIR-REC-KEY
                  FILE STATUS IS WS-FILE-STAT.

           SELECT ADMIY-FILE
                  ASSIGN TO DYNAMIC WS-0004-ADMIY-FILE-NAME
                  ORGANIZATION IS INDEXED
                  ACCESS IS RANDOM
                  LOCK MODE IS AUTOMATIC
                  RECORD ADMIY-REC-KEY
                  FILE STATUS IS WS-FILE-STAT.

           SELECT ADMM-FILE
                  ASSIGN TO DYNAMIC WS-0004-ADMM-FILE-NAME
                  ORGANIZATION IS INDEXED
                  ACCESS IS RANDOM
                  LOCK MODE IS AUTOMATIC
                  RECORD ADMM-REC-KEY
                  FILE STATUS IS WS-FILE-STAT.

           SELECT ADMO-FILE
                  ASSIGN TO DYNAMIC WS-0004-ADMO-FILE-NAME
                  ORGANIZATION IS INDEXED
                  ACCESS IS RANDOM
                  LOCK MODE IS AUTOMATIC
                  RECORD ADMO-REC-KEY
                  FILE STATUS IS WS-FILE-STAT.

           SELECT ADMR-FILE
                  ASSIGN TO DYNAMIC WS-0004-ADMR-FILE-NAME
                  ORGANIZATION IS INDEXED
                  ACCESS IS RANDOM
                  LOCK MODE IS AUTOMATIC
                  RECORD ADMR-REC-KEY
                  FILE STATUS IS WS-FILE-STAT.

           SELECT ADMSSN-FILE
                  ASSIGN TO DYNAMIC WS-0004-ADMSSN-FILE-NAME
                  ORGANIZATION IS INDEXED
                  ACCESS IS RANDOM
                  LOCK MODE IS AUTOMATIC
                  RECORD ADMSSN-REC-KEY
                  FILE STATUS IS WS-FILE-STAT.

           SELECT ADMVC-FILE
                  ASSIGN TO DYNAMIC WS-0004-ADMVC-FILE-NAME
                  ORGANIZATION IS INDEXED
                  ACCESS IS RANDOM
                  LOCK MODE IS AUTOMATIC
                  RECORD ADMVC-REC-KEY
                  FILE STATUS IS WS-FILE-STAT.

           SELECT ADMVS-FILE
                  ASSIGN TO DYNAMIC WS-0004-ADMVS-FILE-NAME
                  ORGANIZATION IS INDEXED
                  ACCESS IS RANDOM
                  LOCK MODE IS AUTOMATIC
                  RECORD ADMVS-REC-KEY
                  FILE STATUS IS WS-FILE-STAT.

           SELECT ADMWE-FILE
                  ASSIGN TO DYNAMIC WS-0004-ADMWE-FILE-NAME
                  ORGANIZATION IS INDEXED
                  ACCESS IS RANDOM
                  LOCK MODE IS AUTOMATIC
                  RECORD ADMWE-REC-KEY
                  FILE STATUS IS WS-FILE-STAT.

           SELECT ADMWF-FILE
                  ASSIGN TO DYNAMIC WS-0004-ADMWF-FILE-NAME
                  ORGANIZATION IS INDEXED
                  ACCESS IS RANDOM
                  LOCK MODE IS AUTOMATIC
                  RECORD ADMWF-REC-KEY
                  FILE STATUS IS WS-FILE-STAT.

           SELECT ADMY-FILE
                  ASSIGN TO DYNAMIC WS-0004-ADMY-FILE-NAME
                  ORGANIZATION IS INDEXED
                  ACCESS IS DYNAMIC
                  LOCK MODE IS AUTOMATIC
                  RECORD ADMY-REC-KEY
                  FILE STATUS IS WS-FILE-STAT.

      $IF COMPRESS-SW DEFINED
      $SET NOKEYCOMPRESS
      $SET NODATACOMPRESS
      $END

      $SET DATACOMPRESS "1"
      $SET KEYCOMPRESS "6"


           SELECT TYPE-11-DATES-FILE
                  ASSIGN TO DYNAMIC WS-0004-T11-FILE-NAME
                  ORGANIZATION IS INDEXED
                  ACCESS IS DYNAMIC
                  LOCK MODE IS AUTOMATIC
                  RECORD TYPE-11-DATES-REC-KEY
                  FILE STATUS IS WS-FILE-STAT.

           SELECT TYPE-14-DATES-FILE
                  ASSIGN TO DYNAMIC WS-0004-T14-FILE-NAME
                  ORGANIZATION IS INDEXED
                  ACCESS IS RANDOM
                  LOCK MODE IS AUTOMATIC
                  RECORD TYPE-14-DATES-REC-KEY
                  FILE STATUS IS WS-FILE-STAT.

           SELECT BATCH-ISAM-FILE
                  ASSIGN TO DYNAMIC WS-0004-BATCH-FILE-NAME
                  ORGANIZATION IS INDEXED
                  RECORD KEY IS BATCH-ISAM-KEY
                  ALTERNATE KEY IS BATCH-ISAM-DATA WITH DUPLICATES
                  LOCK MODE IS AUTOMATIC
                  ACCESS IS DYNAMIC
                  FILE STATUS IS WS-FILE-STAT.

      $SET NOKEYCOMPRESS
      $SET NODATACOMPRESS

           SELECT T55-AGENT-FILE
                  ASSIGN TO DYNAMIC WS-0004-T55-FILE-NAME
                  ORGANIZATION IS INDEXED
                  ACCESS IS RANDOM
                  LOCK MODE IS AUTOMATIC
                  RECORD T55-AGENT-REC-KEY
                  FILE STATUS IS WS-FILE-STAT.

           SELECT T56-ADJUSTER-FILE
                  ASSIGN TO DYNAMIC WS-0004-T56-FILE-NAME
                  ORGANIZATION IS INDEXED
                  ACCESS IS RANDOM
                  LOCK MODE IS AUTOMATIC
                  RECORD T56-ADJUSTER-REC-KEY
                  FILE STATUS IS WS-FILE-STAT.

           SELECT POLICY-STATS-FILE
                  ASSIGN TO DYNAMIC WS-0004-PSTATS-FILE-NAME
                  ORGANIZATION IS INDEXED
                  ACCESS IS DYNAMIC
                  LOCK MODE IS AUTOMATIC
                  RECORD PSTATS-KEY
                  FILE STATUS IS WS-FILE-STAT.

      $END



       DATA DIVISION.
       FILE SECTION.

      ****************************************************************
      *     THIS COPY FILE DEFINES THE FILE DESCRIPTIONS USED BY     *
      *     THE DAS EDIT PROGRAM.                                    *
      *                                                              *
      *     FILE  : FD0001.CBL                                       *
      *     AUTHOR: CHERYL D. WOOD & MIKE RAY                        *
      *     DATE  : 12/20/95                                         *
      ****************************************************************

       COPY "FD/FD0001.CBL".

       WORKING-STORAGE SECTION.

       01  WS-FILE-STAT.
           05 F-STAT-1                       PIC X.
           05 F-STAT-2                       PIC X.


      ****************************************************************
      *     FILE  : WS0000.CBL                                       *
      *     AUTHOR: MIKE RAY                                         *
      *     DATE  : 07/11/96                                         *
      *                                                              *
      *     THIS COPY FILE CONTAINS THE COPY FILES WHICH DEFINE ALL  *
      *     OF THE WORKING STORAGE USED BY THE MAIN PROGRAM, HERE ARE*
      *     THE FILES AND THE SECTIONS WHICH THEY APPLY TO:          *
      *                                                              *
      *     WS0001.CBL - TRANSACTION REDEFINITIONS                   *
      *     WS0002.CBL - FIELD ERROR FLAGS                           *
      *     WS0003.CBL - FIELD NAME LITERALS                         *
      *     WS0004.CBL - CURRENT BATCH INFO                          *
      *     WS0005.CBL - CURRENT POLICY INFO                         *
      *     WS0006.CBL - CURRENT CROP INFO                           *
      *     WS0007.CBL - CURRENT TRANSACTION INFO                    *
      *     WS0008.CBL - STATISTICS                                  *
      *     WS0009.CBL - GLOBAL NAMED FIELDS (88 LEVELS)             *
      *     WS0010.CBL - SBI TABLE                                   *
      *     WS0011.CBL - T11 TABLE                                   *
      *     WS0012.CBL - T12 TABLE                                   *
      *     WS0014.CBL - T14 TABLE                                   *
      *     WS0015.CBL - T15 TABLE                                   *
      *     WS0016.CBL - T16 TABLE                                   *
      *     WS0020.CBL - T20 TABLE                                   *
      *     WS0021.CBL - T21 TABLE                                   *
      *     WS0022.CBL - T21N TABLE                                  *
      *     WS0050.CBL - T50 TABLE                                   *
      *     WS0099.CBL - TRANSACTION BUFFER TABLE                    *
      ****************************************************************
       COPY 'WS/WS0000.CBL'.


      ***************************************************************
      * File:      WS0100.CBL
      * Author:    Mike Ray
      * Date:      8/22/95
      * Purpose:
      *
      *    This copy file contains the working storage fields required
      *    by all of the 0100 Setup modules.
      *    It contains the following working storage copy files:
      *
      *    WS0135.CBL  for 0135-GET-PARAMETERS
      *    WS0165.CBL  for 0165-SET-FILE-NAMES
      *
      ***************************************************************
       COPY 'SETUP/WS0100.CBL'.

      ****************************************************************
      *     THIS AREA OF WORKING STORAGE CONTAINS THE WORKING        *
      *     STORAGE USED BY 0200-PROCESS-TRANSACTIONS.               *
      *                                                              *
      *     FILE  : WS0200.CBL                                       *
      *     AUTHOR: MIKE RAY                                         *
      *     DATE  : AUG 10, 1995                                     *
      *     CONTAINS:                                                *
      *     WS0210.CBL FOR 0210-PROCESS-POLICY                       *
      *     WS0211.ECO FOR 0211-LOOKUP-CROP-POL-TYPE                 *
      ****************************************************************
       COPY 'PROCESS/WS0200.CBL'.

      ***************************************************************
      * File:      WS0500.CBL
      * Author:    Mike Ray
      * Date:      10/27/95
      * Purpose:
      *    This copy file contains working storage for general
      *    system level utility routines.
      * Contains:
      *    WS0510.CBL for 0510-CONVERT-MMDDCCYY
      *    WS0515.CBL for 0515-VAL-DATE
      *    WS0520.CBL for 0520-GET-DAYS-IN-MONTH
      *    WS0525.CBL for 0525-DETERMINE-IF-LEAP-YR
      *    WS0530.CBL for 0530-ADD-DAYS-TO-DATE
      *    WS0535.CBL for 0535-GET-DAY-OF-WEEK
      *    WS0540.CBL for 0540-GET-DATE-TIME
      *    WS0550.CBL for 0550-GET-JULIAN-DATE
      *    WS0555.CBL for 0555-VAL-MMDDYY-DATE
      *    WS0560.CBL for 0560-COMPARE-DATES-6
      *    WS0565.CBL for 0565-BUILD-FILE-NAME
      *    WS0570.CBL for 0570-VAL-SSN
      ***************************************************************
       COPY 'UTILS/WS0500.CBL'.


      ***************************************************************
      * File:      WS0700.CBL
      * Author:    Mike Ray
      * Date:      8/30/95
      * Purpose:
      *    This file contains the common working storage for
      *    all of the reporting modules.
      *
      * Contains:
      *    WS0707.CBL 0707-PRODUCE-ERROR-RPT
      *    WS0755.CBL 0755-WRITE-T97-STATS
      *    WS0770.CBL 0770-LOG-ERROR-COUNTS
      ***************************************************************
       COPY 'REPORTS/WS0700.CBL'.



      *************************************************************
      * File:      WS0900.CBL
      * Author:    Mike Ray
      * Date:      12/19/95
      * Purpose:   Working Storage for File Modules.
      * Contains:
      *    WS0905.CBL FOR 0905-READ-TRANSACTION
      *    WS0935.CBL FOR 0935-WRITE-BATCH-HEADER
      *    WS0952.CBL FOR 0952-GET-NEXT-BATCH-NO
      *    WS0970.CBL FOR 0970-PRODUCE-ERROR-REPORT
      *    WS0975.CBL FOR 0975-WRITE-TYPE-14-DT-REC
      *    WS0980.CBL FOR 0980-WRITE-TYPE-11-DT-REC
      *    WS0995.CBL FOR 0995-RECORD-ACCEPTED-14
      *************************************************************
       COPY 'FILES/WS0900.CBL'.

      ***************************************************************
      * File:      WS1000.ECO
      * Author:    Mike Ray
      * Date:      11/13/95
      * Purpose:
      *
      *    This copy file contains the working storage fields required
      *    by all of the 1000 series field validation modules.
      *    It contains the following working storage copy files:
      *
      *    WS1020.CBL FOR 1020-VAL-T20
      *
      *    WS1200.CBL FOR 1200-VAL-REPORTING-ORG
      *    WS1205.CBL FOR 1205-VAL-LOCATION-STATE
      *    WS1210.CBL FOR 1210-VAL-COMPANY-COUNTY
      *    WS1215.CBL FOR 1215-VAL-POLICY-NUMBER
      *    WS1220.CBL FOR 1220-VAL-CROP-YEAR
      *    WS1230.CBL FOR 1230-VAL-RECORD-NUMBER
      *    WS1235.CBL FOR 1235-VAL-ENTITY-TYPE
      *    WS1240.CBL FOR 1240-VAL-LAST-NAME
      *    WS1245.CBL FOR 1245-VAL-FIRST-NAME
      *    WS1250.CBL FOR 1250-VAL-MIDDLE-NAME
      *    WS1255.CBL FOR 1255-VAL-NAME-SUFFIX
      *    WS1260.CBL FOR 1260-VAL-TITLE
      *    WS1265.CBL FOR 1265-VAL-BUSINESS-NAME
      *    WS1270.CBL FOR 1270-VAL-ADDRESS
      *    WS1275.CBL FOR 1275-VAL-CITY
      *    WS1280.CBL FOR 1280-VAL-ADDRESS-STATE
      *    WS1285.CBL FOR 1285-VAL-ZIP-CODE
      *    WS1290.CBL FOR 1290-VAL-ZIP-EXTENSION
      *    WS1295.CBL FOR 1295-VAL-ID-TYPE
      *    WS1300.CBL FOR 1300-VAL-ID-NUMBER
      *    WS1305.CBL FOR 1305-VAL-PHONE-NUMBER
      *    WS1307.CBL FOR 1307-VAL-PREVIOUS-RO
      *    WS1310.CBL FOR 1310-VAL-PREVIOUS-POLICY
      *    WS1320.CBL FOR ******** NOT  ASSIGNED **********
      *    WS1340.CBL FOR 1340-VAL-CROP-CODE
      *    WS1350.CBL FOR 1350-VAL-LOC-COUNTY
      *    WS1355.CBL FOR 1355-VAL-RATE-STATE
      *    WS1360.CBL FOR 1360-VAL-RATE-COUNTY
      *    WS1365.CBL FOR 1365-VAL-FEE-PREPYMT-FL
      *    WS1370.CBL FOR 1370-VAL-MAX-FEE-CAUSE
      *    WS1390.CBL FOR 1390-VAL-FCIC-CTRL-DT
      *    WS1395.CBL FOR 1395-VAL-CRUSH-DISTRICT
      *    WS1400.CBL FOR ******** NOT  ASSIGNED **********
      *    WS1415.CBL FOR 1415-VAL-TYPE-15-REC
      *    WS1425.CBL FOR 1425-VAL-UNIT-NO
      *    WS1430.CBL FOR 1430-VAL-GUAR-RED-FLAG
      *    WS1435.CBL FOR 1435-VAL-CVG-LEVEL-PCT
      *    WS1440.CBL FOR 1440-VAL-PRICE-ELECTION
      *    WS1445.CBL FOR 1445-VAL-REPORTED-ACRES
      *    WS1450.CBL FOR 1450-VAL-YIELD-QUOTA
      *    WS1455.CBL FOR 1455-VAL-INSURED-SHARE
      *    WS1460.CBL FOR 1460-VAL-LIABILITY
      *    WS1465.CBL FOR 1465-VAL-BASE-PREM-RATE
      *    WS1470.CBL FOR 1470-VAL-EXPERIENCE-FCTR
      *    WS1475.CBL FOR 1475-VAL-TOTAL-PREMIUM
      *    WS1485.CBL FOR 1485-VAL-PRODUCER-PREMIUM
      *    WS1490.CBL FOR 1490-VAL-DATE-PLANTED
      *    WS1495.CBL FOR 1495-VAL-DOLLAR-AMT-INS
      *    WS1500.CBL FOR 1500-VAL-UNIT-OPTION-CD
      *    WS1505.CBL FOR 1505-VAL-OPTION-CD
      *    WS1507.CBL FOR 1507-VAL-TYPE-PRAC-OPT-CD
      *    WS1510.CBL FOR 1510-VAL-SEED-CPNY
      *    WS1515.CBL FOR 1515-VAL-YLD-CNV-PCT-ELCT
      *    WS1525.CBL FOR 1525-VAL-PMT TYPE
      *    WS1530.CBL FOR 1530-VAL-PAID-AMT
      *    WS1535.CBL FOR 1535-VAL-PREPMT-FL
      *    WS1540.CBL FOR 1540-VAL-PAID-DT
      *    WS1545.CBL FOR 1545-VAL-REINSURE-YR
      *    WS1550.CBL FOR 1550-VAL-CLAIM-NO
      *    WS1555.CBL FOR 1555-VAL-TOTAL-PMT-METHOD
      *    WS1560.CBL FOR 1560-VAL-1ST-ESCROW-CHK
      *    WS1565.CBL FOR 1565-VAL-2ND-ESCROW-CHK
      *    WS1570.CBL FOR 1570-VAL-3RD-ESCROW-CHK
      *    WS1575.CBL FOR 1575-VAL-4TH-ESCROW-CHK
      *    WS1580.CBL FOR 1580-VAL-1ST-TOT-AMT
      *    WS1585.CBL FOR 1585-VAL-2ND-TOT-AMT
      *    WS1590.CBL FOR 1590-VAL-3RD-TOT-AMT
      *    WS1595.CBL FOR 1595-VAL-4TH-TOT-AMT
      *    WS1600.CBL FOR 1600-VAL-P-CR-MEMO-CPNY
      *    WS1605.CBL FOR 1605-VAL-DT-DRAFT-ISSUE
      *    WS1610.CBL FOR 1610-VAL-DETERM-ACRES
      *    WS1615.CBL FOR 1615-VAL-LIAB-FCTR
      *    WS1620.CBL FOR 1620-VAL-LOSS-GUAR
      *    WS1625.CBL FOR 1625-VAL-WFARM-DISC-FCTR
      *    WS1630.CBL FOR ******** NOT  ASSIGNED **********
      *    WS1635.CBL FOR ******** NOT  ASSIGNED **********
      *    WS1640.CBL FOR ******** NOT  ASSIGNED **********
      *    WS1645.CBL FOR ******** NOT  ASSIGNED **********
      *    WS1650.CBL FOR 1650-VAL-PROD-TO-CNT
      *    WS1655.CBL FOR 1655-VAL-FARM-UNIT-DEF
      *    WS1660.CBL FOR 1660-VAL-AUDIT-CORRECTION
      *    WS1665.CBL FOR 1665-VAL-GRP-PMT-CALC
      *    WS1670.CBL FOR 1670-VAL-HARVEST-PROD
      *    WS1675.CBL FOR 1675-VAL-MONTH
      *    WS1680.CBL FOR 1680-VAL-REPLANT-GUAR
      *    WS1685.CBL FOR 1685-VAL-PARTIAL-PP-FLAG
      *    WS1690.CBL FOR 1690-VAL-PRIMARY-PCT
      *    WS1695.CBL FOR 1695-VAL-LOSS-CAUSE-CD
      *    WS1700.CBL FOR 1700-VAL-SUGAR-FACTOR
      *    WS1705.CBL FOR 1705-ACREAGE-REC-NO
      *    WS1710.CBL FOR 1710-VAL-NURSERY-INS-PLAN
      *    WS1715.CBL FOR 1715-VAL-ADJUSTER-ID-CD
      *    WS1720.CBL FOR 1720-VAL-HARDINESS-ZONE
      *    WS1725.CBL FOR 1725-VAL-NEW-MKT-VALUE
      *    WS1730.CBL FOR 1730-VAL-AVG-MONTHLY
      *    WS1735.CBL FOR 1735-VAL-LOSS-FROM-AVG
      *    WS1740.CBL FOR 1740-VAL-AVG-MTH-MKT-VAL
      *    WS1745.CBL FOR 1745-VAL-FIELD-MKT-VAL
      *    WS1750.CBL FOR 1750-VAL-AGGREGATE-DEDUCT
      *    WS1755.CBL FOR 1755-VAL-LOSS-FRM-ANNUAL
      *    WS1760.CBL FOR 1760-VAL-LOSS-USED
      *    WS1765.CBL FOR 1765-VAL-ACCUM-DEDUCTIBLE
      *    WS1770.CBL FOR 1770-VAL-4TH-REINS-YR
      *    WS1775.CBL FOR 1775-VAL-SIMPLE-CLAIM-FL
      *    WS1780.CBL FOR 1780-VAL-STAGE-CODE
      *    WS1785.CBL FOR 1785-VAL-PREM-RT-SURCHG
      *    WS1790.CBL FOR 1790-VAL-PNUT-QUOTA
      *    WS1795.CBL FOR ******** NOT  ASSIGNED **********
      *    WS1800.CBL FOR ******** NOT  ASSIGNED **********
      *    WS1805.CBL FOR 1805-VAL-INDEMNITY
      *    WS1810.CBL FOR 1810-VAL-ADJUSTER-SIG-DT
      *    WS1815.CBL FOR 1815-VAL-INSURED-SIG-DT
      *    WS1820.CBL FOR ******** NOT  ASSIGNED **********
      *    WS1825.CBL FOR ******** NOT  ASSIGNED **********
      *    WS1830.CBL FOR 1830-VAL-TOTAL-INDEMNITY
      *    WS1835.CBL FOR 1835-VAL-1ST-REINS-YR
      *    WS1840.CBL FOR 1840-VAL-2ND-REINS-YR
      *    WS1845.CBL FOR 1845-VAL-3RD-REINS-YR
      *    WS1852.CBL FOR 1852-VAL-DELETE-FLG
      *    WS1854.CBL FOR 1854-VAL-PRIV-POLY-NO
      *    WS1864.CBL FOR 1864-VAL-YIELD-LIMIT-FLG
      *    WS1866.CBL FOR 1866-VAL-PRIV-POLY-CD
      *    WS1867.CBL FOR 1867-VAL-NCS-EXECPTION-FLAG
      *    WS1868.CBL FOR 1868-VAL-NCS-YLD-FACTOR
      *    WS1870.CBL FOR 1870-VAL-REVIEW-FLG
      *    WS1872.CBL FOR 1872-VAL-YIELD-TYPE-YEAR
      *    WS1874.CBL FOR 1874-VAL-YIELD-INDICATOR
      *    WS1876.CBL FOR 1876-VAL-YIELD-QTY
      *    WS1878.CBL FOR 1878-VAL-YIELD-YEAR
      *    WS1880.CBL FOR 1880-VAL-YIELD-ACRE
      *    WS1885.CBL FOR 1885-VAL-TOTAL-GUARANTEE
      *    WS1890.CBL FOR 1890-VAL-GUARANTEE-PER-ACRE
      *    WS1900.CBL FOR 1900-VAL-ACTIVE-FLG
      *    WS1905.CBL FOR 1905-VAL-INACTIVE-DATE
      *    WS1920.CBL FOR 1920-VAL-TYPE-OF-ID-CODE
      *    WS1925.CBL FOR 1925-VAL-AGENT-ID
      *    WS1940.CBL FOR 1940-VAL-AGENCY-NAME
      *    WS1945.CBL FOR 1945-VAL-BUSINESS-ADDRESS
      *    WS1950.CBL FOR 1950-VAL-AGENCY-CITY
      *    WS1960.CBL FOR 1960-VAL-PHONE-EXTEN
      *    WS1970.CBL FOR 1970-VAL-SOC-SEC-NUM
      ***************************************************************
       COPY 'FV/WS1000.CBL'.

      ***************************************************************
      * File:      WS2000.CBL
      * Author:    Mike Ray
      * Date:      01/16/96
      * Purpose:
      *
      *    This copy file contains the working storage fields required
      *    by all of the 2000 series inter-field validation modules.
      *    It contains the following working storage copy files:
      *
      *    WS2011.CBL FOR 2011-VALIDATE-T11
      *    WS2014.CBL FOR 2014-VALIDATE-T14
      *    WS2015.CBL FOR 2015-VALIDATE-T15
      *    WS2021.CBL FOR 2021-VALIDATE-T21
      *
      *    WS2200.CBL FOR *** NOT ASSIGNED ***
      *    WS2205.CBL FOR 2205-VAL-REINSURED-INFO
      *    WS2210.CBL FOR 2210-VAL-NAME
      *    WS2213.CBL FOR 2213-VAL-ID-TY-W-ID-NO
      *    WS2215.CBL FOR 2215-VAL-ENTITY-ID-INFO
      *    WS2220.CBL FOR 2220-VAL-PREV-POL-PREV-RO
      *    WS2235.CBL FOR 2235-VAL-NON-CAT-RATE
      *    WS2237.CBL FOR 2237-VAL-CROP-CODE
      *    WS2240.CBL FOR 2240-VAL-CROP-TYPE
      *    WS2245.CBL FOR 2245-VAL-ADMIN-FEE-CVG-CD
      *    WS2247.CBL FOR 2247-VAL-FEE-PREPMT-FL
      *    WS2250.CBL FOR 2250-VAL-LOC-CNTY-INFO
      *    WS2255.CBL FOR 2255-DETERMINE-TRANS-LATE
      *    WS2260.CBL FOR 2260-VAL-MAP-AREA
      *    WS2265.CBL FOR 2265-VAL-PRACTICE-CD
      *    WS2270.CBL FOR 2270-VAL-OPTION-CDS
      *    WS2272.CBL FOR 2272-VAL-CAT-W-UNIT-OPT
      *    WS2275.CBL FOR 2275-VAL-TYPE-PRAC-OPT-CD
      *    WS2280.CBL FOR *** NOT ASSIGNED ***
      *    WS2282.CBL FOR *** NOT ASSIGNED ***
      *    WS2285.CBL FOR 2285-VAL-FARM-SERIAL-NO
      *    WS2287.CBL FOR 2287-VAL-COVERAGE-LVL-PCT
      *    WS2289.CBL FOR 2289-VAL-EXPERIENCE-FCTR
      *    WS2290.CBL FOR *** NOT ASSIGNED ***
      *    WS2292.CBL FOR 2292-VAL-DOLLAR-AMT-INS
      *    WS2295.CBL FOR 2295-VAL-NON-CAT-PRICE-11
      *    WS2300.CBL FOR 2300-VAL-LIABILITY
      *    WS2305.CBL FOR *** NOT ASSIGNED ***
      *    WS2307.CBL FOR 2307-VAL-REINS-INS-CROP
      *    WS2310.CBL FOR 2310-VAL-IP-CNTY-AVG-YLD
      *    WS2315.CBL FOR 2315-VAL-QUOTA
      *    WS2320.CBL FOR 2320-VAL-DATE-PLANTED
      *    WS2325.CBL FOR 2325-VAL-CROP-SEED-CPNY
      *    WS2330.CBL FOR 2330-VAL-PERCENT-ELECTION
      *    WS2335.CBL FOR 2335-VAL-BASE-PREM-RT
      *    WS2340.CBL FOR 2340-VAL-YIELD-W-RATE-CLS
      *    WS2342.CBL FOR 2342-LOOKUP-YIELD-QTY
      *    WS2343.CBL FOR 2343-VAL-PREM-RT-SURCHG
      *    WS2345.CBL FOR 2345-VAL-ESCROW-FIELDS
      *    WS2350.CBL FOR 2350-VAL-PREMIUM
      *    WS2355.CBL FOR 2355-VAL-PROD-PREMIUM
      *    WS2360.CBL FOR 2360-VAL-TOTAL-FIELDS
      *    WS2365.CBL FOR 2365-VAL-PAID-DATE
      *    WS2370.CBL FOR 2370-VAL-RATE-CLASS
      *    WS2375.CBL FOR 2375-VAL-REPORTED-ACRES
      *    WS2380.CBL FOR 2380-VAL-GUAR-RED-FLG
      *    WS2385.CBL FOR 2385-VAL-CRUSH-DISTRICT
      *    WS2390.CBL FOR 2390-VAL-GUAR-RED-PCT
      *    WS2395.CBL FOR 2395-VAL-REV-CVG-LVL
      *    WS2400.CBL FOR *** NOT ASSIGNED ***
      *    WS2405.CBL FOR *** NOT ASSIGNED ***
      *    WS2410.CBL FOR *** NOT ASSIGNED ***
      *    WS2415.CBL FOR 2415-VAL-P-CR-MEMO-CPNY
      *    WS2420.CBL FOR *** NOT ASSIGNED ***
      *    WS2425.CBL FOR *** NOT ASSIGNED ***
      *    WS2430.CBL FOR *** NOT ASSIGNED ***
      *    WS2435.CBL FOR 2435-VAL-REINS-LOSS-INFO
      *    WS2440.CBL FOR 2440-VAL-INDEM-W-DEFICNY
      *    WS2445.CBL FOR 2445-VAL-HARVESTED-PROD
      *    WS2450.CBL FOR 2450-VAL-PRIMARY-MONTH
      *    WS2453.CBL FOR 2453-VAL-LOSS-MONTH
      *    WS2455.CBL FOR 2455-VAL-PRIMARY-PCT
      *    WS2460.CBL FOR 2460-VAL-SECONDARY-MONTH
      *    WS2465.CBL FOR 2465-VAL-SUGAR-FACTOR
      *    WS2470.CBL FOR 2470-VAL-NON-CAT-DUAL-CVG
      *    WS2475.CBL FOR 2475-VAL-CROP-YR
      *    WS2480.CBL FOR 2480-CALC-SUBSIDY
      *    WS2485.CBL FOR 2485-CALC-GUARANTEE
      *    WS2490.CBL FOR 2490-VAL-TOTAL-AMOUNT
      *    WS2495.CBL FOR 2495-VAL-TOTAL-REINS-YR
      *    WS2500.CBL FOR 2500-DETERMINE-WEEKS-LATE
      *    WS2505.CBL FOR 2505-VAL-YLD-LIMIT-FLAG
      *    WS2510.CBL FOR 2510-VAL-YIELD-TYPES
      *    WS2515.CBL FOR 2515-VAL-YIELD-TY-SEQ
      *    WS2520.CBL FOR 2520-VAL-UNIT-PREM-ADJ
      *    WS2525.CBL FOR 2525-VAL-YIELD-COMBOS
      *    WS2530.CBL FOR 2530-VAL-TRANSITIONAL-YLD
      *    WS2535.CBL FOR *** NOT ASSIGNED ***
      *    WS2540.CBL FOR 2540-VAL-YIELD-YEARS
      *    WS2545.CBL FOR 2545-VAL-PR-APPROVED-YLD
      *    WS2550.CBL FOR 2550-VAL-APPROVED-YIELD
      *    WS2555.CBL FOR 2555-VAL-YIELD-INDICATOR
      *    WS2560.CBL FOR 2560-VAL-NCS-YLD-FACTOR
      *    WS2565.CBL FOR 2565-VAL-NCS-FCIC2-FLAG
      *    WS2570.CBL FOR 2570-VAL-T15-MAP-AREA
      *    WS2575.CBL FOR 2575-VAL-INSURED-SHARE
      *    WS2580.CBL FOR 2580-VAL-GRP-PMT-CALC
      *    WS2585.CBL FOR 2585-VAL-REINS-LOSS-TRANS
      *    WS2590.CBL FOR 2590-VAL-STAGE-CODE
      *    WS2595.CBL FOR 2595-VAL-LOSS-CAUSE-CD
      *    WS2600.CBL FOR 2600-VAL-SIMPLE-CLAIM-FL
      *    WS2605.CBL FOR *** NOT ASSIGNED ***
      *    WS2610.CBL FOR 2610-VAL-T21-YIELD-QUOTA
      *    WS2615.CBL FOR 2615-VAL-LOSS-GUARANTEE
      *    WS2620.CBL FOR *** NOT ASSIGNED ***
      *    WS2625.CBL FOR *** NOT ASSIGNED ***
      *    WS2630.CBL FOR 2630-VAL-INDEMNITY
      *    WS2705.CBL FOR 2705-VAL-INACTIVE-DATE
      *    WS2706.CBL FOR 2706-VAL-COUNTY
      *    WS2707.CBL FOR 2707-VAL-ADDRESS-STATE
      *    WS2708.CBL FOR 2708-VAL-ZIP-CODE
      ***************************************************************
       COPY 'IF/WS2000.CBL'.

      ***************************************************************
      * File:      WS3000.CBL
      * Author:    Mike Ray
      * Date:      01/17/96
      * Purpose:
      *    This copy file contains the working storage for the
      *    inter-record validation modules.
      *
      * Contains:
      *    WS3100.CBL  3100-PROCESS-HELD-CROP
      *    WS3200.CBL  3200-PROCESS-HELD-POLICY
      *
      * Policy Edits:
      *    WS3300.CBL  3300-FIND-REQUIRED-SBI
      *
      * SBI Edits:
      *
      * Type 11 Edits:
      *    WS3370.CBL  3370-SAME-CVG-LVL-PCT
      *    WS3375.CBL  3375-VAL-RELATED-TYPE-15
      *    WS3385.CBL  3385-VAL-TYPE-10-ID-TYPE
      *    WS3390.CBL  3390-VAL-UNIQUE-FSN-UNIT
      *    WS3395.CBL  3395-VAL-PP-ACRES
      *    WS3410.CBL  3410-VAL-PREPAYMENT-FLG
      *
      * Type 12 Edits:
      *    WS3405.CBL  3405-VAL-RECORD-NUMBER
      *    WS3420.CBL  3420-VAL-PAID-AMOUNT
      *
      * Type 14 Edits:
      *    WS3320.CBL  3320-VAL-T14-BRANCH-OFF
      *    WS3330.CBL  3330-CHECK-ENTITY-TYPE
      *    WS3340.CBL  3340-SAME-ASGD-RISK
      *    WS3345.CBL  3345-SAME-ASGD-RISK
      *    WS3350.CBL  3350-LIMIT-NO-OF-TYPE-14
      *    WS3360.CBL  3360-DETERMINE-VAL-REFUND
      *    WS3380.CBL  3380-VAL-RELATED-TYPE-14
      *
      * Type 15 Edits:
      *    WS3430.CBL  3430-FIND-T14-FOR-T15
      *
      * Type 16 Edits:
      *
      * Type 20 Edits:
      *
      * Type 21 Edits:
      *    WS3400.CBL  3400-VAL-RELATE-TYPE-20
      *    WS3425.CBL  3425-VAL-RELATED-TYPE-11
      *    WS3485.CBL  3485-COMP-UNIT-TOT-21-11
      *    WS3505.CBL  3505-COMP-CROP-TOT-21-11
      *
      * Type 22 Edits:
      *    WS3415.CBL  3415-VAL-REL-T20-NURSERY
      *    WS3490.CBL  3490-COMP-UNIT-TOT-22-11
      *    WS3535.CBL  3535-VAL-REL-T11-NURSERY
      *
      * Type 50 Edits:
      *
      ***************************************************************
       COPY 'IR/WS3000.CBL'.


      ***************************************************************
      * File:      WS4000.CBL
      * Author:    Mike Ray
      * Date:      05/22/96
      * Purpose:
      *
      *    This copy file contains the working storage fields required
      *    by all of the 4000 series calculation modules.
      *
      *   WS4105.CBL FOR 4105-CALC-IP-DOLLAR-AMT
      *   WS4200.CBL FOR 4200-CALC-AR-CUTOFF-DT
      *   WS4205.CBL FOR 4205-CALC-APH-GUARANTEE
      *   WS4210.CBL FOR 4210-CALC-QUOTA-PNUT-GUAR
      *   WS4215.CBL FOR 4215-CALC-DOLLAR-GUAR
      *   WS4220.CBL FOR 4220-CALC-CITMAC-GUAR
      *   WS4225.CBL FOR 4225-CALC-YLDDLR-GUAR
      *   WS4230.CBL FOR 4230-CALC-GRP-GUARANTEE
      *   WS4235.CBL FOR 4235-CALC-GTOBACCO-GUAR
      *   WS4240.CBL FOR 4240-CALC-QTOBACCO-GUAR
      *   WS4245.CBL FOR 4245-CALC-CRC-GUARANTEE
      *   WS4250.CBL FOR 4250-CALC-FL-FRUIT-GUAR
      *   WS4305.CBL FOR 4305-CALC-APH-LIABILITY
      *   WS4310.CBL FOR 4310-CALC-QUOTA-PNUT-LIAB
      *   WS4315.CBL FOR 4315-CALC-DOLLAR-LIAB
      *   WS4320.CBL FOR 4320-CALC-CITMAC-LIAB
      *   WS4325.CBL FOR 4325-CALC-YLDDLR-LIAB
      *   WS4330.CBL FOR 4330-CALC-GRP-LIABILITY
      *   WS4335.CBL FOR 4335-CALC-GTOBACCO-LIAB
      *   WS4340.CBL FOR 4340-CALC-QTOBACCO-LIAB
      *   WS4245.CBL FOR 4345-CALC-CRC-LIABILITY
      *   WS4350.CBL FOR 4350-CALC-FL-FRUIT-LIAB
      *   WS4355.CBL FOR 4355-CALC-IP-LIABILITY
      *   WS4405.CBL FOR 4405-CALC-APH-PREMIUM
      *   WS4410.CBL FOR 4410-CALC-QUOTA-PNUT-PREM
      *   WS4415.CBL FOR 4415-CALC-DOLLAR-PREM
      *   WS4420.CBL FOR 4420-CALC-CITMAC-PREM
      *   WS4425.CBL FOR 4425-CALC-YLDDLR-PREM
      *   WS4430.CBL FOR 4430-CALC-GRP-PREMIUM
      *   WS4435.CBL FOR 4435-CALC-GTOBACCO-PREM
      *   WS4440.CBL FOR 4440-CALC-QTOBACCO-PREM
      *   WS4445.CBL FOR 4445-CALC-CRC-PREMIUM
      *   WS4450.CBL FOR 4450-CALC-FL-FRUIT-PREM
      *   WS4505.CBL FOR 4505-CALC-PRELIM-GRP-PMT
      *   WS4510.CBL FOR 4510-CALC-FINAL-GRP-PMT
      *   WS4605.CBL FOR 4605-CALC-STAGE-GUARANTEE
      *   WS4610.CBL FOR 4610-CALC-TOT-REV-GUAR
      *   WS4615.CBL FOR 4615-CALC-LOSS-GUARANTEE
      *   WS4620.CBL FOR 4620-CALC-RPLNT-LOSS-GUAR
      *   WS4625.CBL FOR 4625-CALC-IP-LOSS-DLR-AMT
      *   WS4650.CBL FOR 4650-CALC-FARM-UNIT-DEF-1
      *   WS4655.CBL FOR 4655-CALC-FARM-UNIT-DEF-2
      *   WS4675.CBL FOR 4675-CALC-REPLANT-INDEM
      *   WS4680.CBL FOR 4680-CALC-HYBRID-INDEM
      *   WS4685.CBL FOR 4685-CALC-CRC-INDEMNITY
      *   WS4690.CBL FOR 4690-CALC-IP-INDEMNITY
      *   WS4695.CBL FOR 4695-CALC-REG-INDEMNITY
      *   WS4697.CBL FOR 4697-CALC-PRELIM-PMT
      *   WS4699.CBL FOR 4699-CALC-FINAL-PMT
      ***************************************************************
       COPY 'CALC/WS4000.CBL'.

      ****************************************************************
      *     THIS AREA OF WORKING STORAGE DEFINES THE WORKING STORAGE *
      *     USED BY THE TABLE MODULES.                               *
      *                                                              *
      *     FILE  : WS7000.CBL                                       *
      *     AUTHOR: MIKE RAY                                         *
      *     DATE  : 01/11/96                                         *
      *                                                              *
      *     CONTAINS THE FOLLOWING TABLES AND THEIR ASSOCIATED STATUS*
      *     VARIABLES:                                               *
      *     IP-TBL               INSURANCE PROVIDERS (RPT ORGS)      *
      *     COMPANY-TBL          RE-INSURED COMPANIES                *
      *     FIPS-ST-TBL          NUMERIC (FIPS) STATE TABLE          *
      *     COUNTY-TBL           COUNTIES BY STATE                   *
      *     CROP-TBL             CROPS                               *
      *     CROP-TYPE-TBL        CROP TYPES BY CROP                  *
      *     CROP-POL-TY-TBL      CROP POLICY TYPE BY CROP            *
      *     ERROR-MSG-TBL        ERROR MESSAGES FOR TRAN ERRORS      *
      *     SCD-TBL              SALES CLOSING DATES                 *
      *     ARD-TBL              ACREAGE REPORTING DATES             *
      *     UM-TBL               CROP UNITS OF MEASURE               *
      *     STAGE-CROP-TBL       GROWTH STAGES BY CROP               *
      *     LOSS-CAUSE-CROP-TBL  LOSS CAUSES BY CROP                 *
      *     ASGD-RISK            ASSIGNED RISK                       *
      *     STAGE-TBL            GROWTH STAGES                       *
      *     LOSS-CAUSE-TBL       LOSS CAUSES                         *
      *                                                              *
      *     CONTAINS:                                                *
      *         WS7005.CBL  for 7005-ADD-SBI-RECORD                  *
      *         WS7010.CBL  for 7010-ADD-T11-RECORD                  *
      *         WS7012.CBL  for 7012-ADD-T12-RECORD                  *
      *         WS7015.CBL  for 7015-ADD-T14-RECORD                  *
      *         WS7020.CBL  for 7020-ADD-T15-RECORD                  *
      *         WS7025.CBL  for 7025-ADD-T16-RECORD                  *
      *         WS7030.CBL  for 7030-ADD-T20-RECORD                  *
      *         WS7035.CBL  for 7035-ADD-T21-RECORD                  *
      *         WS7037.CBL  for 7037-ADD-T21N-RECORD                  *
      *         WS7040.CBL  for 7040-ADD-T50-RECORD                  *
      *         WS7045.CBL  for 7045-ADD-ASGD-RISK-RECORD            *
      *         WS7200.CBL  for 7200-LOAD-IP-TABLE                   *
      *         WS7205.CBL  for 7205-LOAD-COMPANY-TBL                *
      *         WS7210.CBL  for 7210-LOAD-FIPS-ST-TBL                *
      *         WS7215.CBL  for 7215-LOAD-COUNTY-TBL                 *
      *         WS7220.CBL  for 7220-LOAD-CROP-TBL                   *
      *         WS7225.CBL  for 7225-LOAD-CROP-TYPE-TBL              *
      *         WS7230.CBL  for 7230-LOAD-CROP-POL-TY-TBL            *
      *         WS7235.CBL  for 7235-LOAD-ERROR-MSG-TBL              *
      *         WS7250.CBL  for 7250-LOOKUP-IP-TBL                   *
      *         WS7255.CBL  for 7255-LOOKUP-COMPANY-TBL              *
      *         WS7260.CBL  for 7260-LOOKUP-FIPS-ST-TBL              *
      *         WS7265.CBL  for 7265-LOOKUP-COUNTY-TBL               *
      *         WS7270.CBL  for 7270-LOOKUP-CROP-TBL                 *
      *         WS7275.CBL  for 7275-LOOKUP-CROP-TYPE-TBL            *
      *         WS7280.CBL  for 7280-LOOKUP-CPT-TBL                  *
      *         WS7285.CBL  for 7285-LOOKUP-ERROR-MSG-TBL            *
      *         WS7287.CBL  for 7287-INCREMENT-ERR-COUNT             *
      *         WS7290.CBL  for 7290-LOOKUP-UM                       *
      *         WS7295.CBL  for 7295-LOAD-UM-TBL                     *
      *         WS7300.CBL  for 7300-LOAD-STAGE-CROP-TBL             *
      *         WS7315.CBL  for 7315-LOOKUP-STATE-ABBREV             *
      *         WS7320.CBL  for 7320-LOAD-LOSS-CAUSE-CROP            *
      *         WS7325.CBL  for 7325-LOAD-CROP-LIMIT-TBL             *
      *         WS7330.CBL  for 7330-LOOKUP-CROP-LIMIT               *
      *         WS7350.CBL  for 7350-LOOKUP-STAGE-CROP               *
      *         WS7355.CBL  for 7355-LOOKUP-LOSS-CSE-CROP            *
      *         WS7360.CBL  for 7360-LOAD-STAGE-TBL                  *
      *         WS7365.CBL  for 7365-LOOKUP-STAGE-CD                 *
      *         WS7370.CBL  for 7370-LOAD-LOSS-CAUSE-TBL             *
      *         WS7375.CBL  for 7375-LOOKUP-LOSS-CAUSE-CD            *
      ****************************************************************
      *         *** ADM ISAM LOOKUPS ***                             *
      *         WS7505.CBL  for 7505-LOOKUP-ADM1                     *
      *         WS7507.CBL  for 7507-LOOKUP-ADM1G                    *
      *         WS7510.CBL  for 7510-LOOKUP-ADM2                     *
      *         WS7515.CBL  for 7515-LOOKUP-ADM3                     *
      *         WS7520.CBL  for 7520-LOOKUP-ADM4                     *
      *         WS7525.CBL  for 7525-LOOKUP-ADMH                     *
      *         WS7530.CBL  for 7530-LOOKUP-ADMM                     *
      *         WS7535.CBL  for 7535-LOOKUP-ADMO                     *
      *         WS7540.CBL  for 7540-LOOKUP-ADMR                     *
      *         WS7545.CBL  for 7545-LOOKUP-ADM8                     *
      *         WS7550.CBL  for 7550-LOOKUP-ADMTF                    *
      *         WS7555.CBL  for 7555-LOOKUP-ADMSSN                   *
      *         WS7558.CBL  for 7558-LOOKUP-ADMY                     *
      *         WS7575.CBL  for 7575-LOOKUP-ADMC                     *
      *         WS7580.CBL  for 7580-LOOKUP-ZIP-CODE                 *
      *         WS7582.CBL  for 7582-LOOKUP-STATE                    *
      *         WS7583.CBL  for 7583-LOOKUP-COUNTY                   *
      *         WS7585.CBL  for 7585-LOOKUP-ADMVC                    *
      *         WS7590.CBL  for 7590-LOOKUP-ADMVS                    *
      *         WS7595.CBL  for 7595-LOOKUP-ADMWE                    *
      *         WS7600.CBL  for 7600-LOOKUP-ADMWF                    *
      ****************************************************************
      *         *** SUBMISSION DATES ISAM LOOKUPS ***                *
      *         WS7560.CBL  for 7560-LOOKUP-TYPE-14-DATES            *
      *         WS7565.CBL  for 7565-LOOKUP-TYPE-11-DATES            *
      ****************************************************************
       COPY 'TABLES/WS7000.CBL'.


      ***************************************************************
      * File:      WS8000.CBL
      * Author:    Mike Ray
      * Date:      8/10/95
      * Purpose:
      *
      *    This copy file contains the working storage fields required
      *    by all of the 8000 series error modules.
      *    It contains the following working storage copy files:
      *
      *    WS8010.CBL  for 8010-RECORD-SQL-ERROR
      *    WS8020.CBL  for 8020-RECORD-INT-ERROR
      *    WS8030.CBL  for 8030-LOG-MESSAGE
      *    WS8040.CBL  for 8040-RECORD-FILE-ERROR
      *    WS8050.CBL  for 8050-WRITE-TEMP-ERROR-REC
      ***************************************************************
       COPY 'ERROR/WS8000.CBL'.


       PROCEDURE DIVISION.
       DECLARATIVES.

       INPUT-TRAN-FILE-ERROR SECTION.
       USE AFTER STANDARD ERROR PROCEDURE ON INPUT-TRANSACTION-FILE.
         INITIALIZE WS-8040-INPUT
         MOVE WS-0004-INPUT-FILE-NAME TO WS-8040-FILE-NAME
         MOVE WS-FILE-STAT TO WS-8040-FILE-STAT
         PERFORM 8040-RECORD-FILE-ERROR
            THRU 8040-RECORD-FILE-ERROR-EXIT.

      *INPUT-TRAN-FILE-400-ERROR SECTION.
      *USE AFTER STANDARD ERROR PROCEDURE ON INPUT-TRANSACTION-FILE-400.
      *  INITIALIZE WS-8040-INPUT
      *  MOVE WS-0004-INPUT-FILE-NAME TO WS-8040-FILE-NAME
      *  MOVE WS-FILE-STAT TO WS-8040-FILE-STAT
      *  PERFORM 8040-RECORD-FILE-ERROR
      *     THRU 8040-RECORD-FILE-ERROR-EXIT.

       ACCEPTED-TRAN-FILE-ERROR SECTION.
       USE AFTER STANDARD ERROR PROCEDURE
         ON ACCEPTED-TRANSACTION-FILE.
         INITIALIZE WS-8040-INPUT
         MOVE WS-0004-ACCEPT-FILE-NAME TO WS-8040-FILE-NAME
         MOVE WS-FILE-STAT TO WS-8040-FILE-STAT
         PERFORM 8040-RECORD-FILE-ERROR
            THRU 8040-RECORD-FILE-ERROR-EXIT.

       REJECTED-TRAN-FILE-ERROR SECTION.
       USE AFTER STANDARD ERROR PROCEDURE
         ON REJECTED-TRANSACTION-FILE.
         INITIALIZE WS-8040-INPUT
         MOVE WS-0004-REJECT-FILE-NAME TO WS-8040-FILE-NAME
         MOVE WS-FILE-STAT TO WS-8040-FILE-STAT
         PERFORM 8040-RECORD-FILE-ERROR
            THRU 8040-RECORD-FILE-ERROR-EXIT.

       SUSPENDED-TRAN-FILE-ERROR SECTION.
       USE AFTER STANDARD ERROR PROCEDURE
         ON SUSPENDED-TRANSACTION-FILE.
         INITIALIZE WS-8040-INPUT
         MOVE WS-0004-SUSPEND-FILE-NAME TO WS-8040-FILE-NAME
         MOVE WS-FILE-STAT TO WS-8040-FILE-STAT
         PERFORM 8040-RECORD-FILE-ERROR
            THRU 8040-RECORD-FILE-ERROR-EXIT.

       ESCROW-TRAN-FILE-ERROR SECTION.
       USE AFTER STANDARD ERROR PROCEDURE
         ON ESCROW-TRANSACTION-FILE.
         INITIALIZE WS-8040-INPUT
         MOVE WS-0004-ESCROW-FILE-NAME TO WS-8040-FILE-NAME
         MOVE WS-FILE-STAT TO WS-8040-FILE-STAT
         PERFORM 8040-RECORD-FILE-ERROR
            THRU 8040-RECORD-FILE-ERROR-EXIT.

       PMEMO-FILE-ERROR SECTION.
       USE AFTER STANDARD ERROR PROCEDURE
         ON PMEMO-TRANSACTION-FILE.
         INITIALIZE WS-8040-INPUT
         MOVE WS-0004-PMEMO-FILE-NAME TO WS-8040-FILE-NAME
         MOVE WS-FILE-STAT TO WS-8040-FILE-STAT
         PERFORM 8040-RECORD-FILE-ERROR
            THRU 8040-RECORD-FILE-ERROR-EXIT.

       MDAS-STATS-FILE-ERROR SECTION.
       USE AFTER STANDARD ERROR PROCEDURE
         ON MDAS-STATS-FILE.
         INITIALIZE WS-8040-INPUT
         MOVE WS-0004-STATS-FILE-NAME TO WS-8040-FILE-NAME
         MOVE WS-FILE-STAT TO WS-8040-FILE-STAT
         PERFORM 8040-RECORD-FILE-ERROR
            THRU 8040-RECORD-FILE-ERROR-EXIT.

       INPUT-ERROR-FILE-ERROR SECTION.
       USE AFTER STANDARD ERROR PROCEDURE
         ON INPUT-ERROR-FILE.
         INITIALIZE WS-8040-INPUT
         MOVE WS-0004-ERRORS-FILE-NAME TO WS-8040-FILE-NAME
         MOVE WS-FILE-STAT TO WS-8040-FILE-STAT
         PERFORM 8040-RECORD-FILE-ERROR
            THRU 8040-RECORD-FILE-ERROR-EXIT.


       REPORT-FILE-ERROR SECTION.
       USE AFTER STANDARD ERROR PROCEDURE
         ON ERROR-REPT-FILE.
         INITIALIZE WS-8040-INPUT
         MOVE WS-0004-REPORT-FILE-NAME TO WS-8040-FILE-NAME
         MOVE WS-FILE-STAT TO WS-8040-FILE-STAT
         PERFORM 8040-RECORD-FILE-ERROR
            THRU 8040-RECORD-FILE-ERROR-EXIT.

      ******** ADM ISAM FILES *******************************

       ADM1-FILE-ERROR SECTION.
       USE AFTER STANDARD ERROR PROCEDURE
         ON ADM1-FILE.
         INITIALIZE WS-8040-INPUT
         MOVE WS-0004-ADM1-FILE-NAME TO WS-8040-FILE-NAME
         MOVE WS-FILE-STAT TO WS-8040-FILE-STAT
         PERFORM 8040-RECORD-FILE-ERROR
            THRU 8040-RECORD-FILE-ERROR-EXIT.

       ADM1G-FILE-ERROR SECTION.
       USE AFTER STANDARD ERROR PROCEDURE
         ON ADM1G-FILE.
         INITIALIZE WS-8040-INPUT
         MOVE WS-0004-ADM1G-FILE-NAME TO WS-8040-FILE-NAME
         MOVE WS-FILE-STAT TO WS-8040-FILE-STAT
         PERFORM 8040-RECORD-FILE-ERROR
            THRU 8040-RECORD-FILE-ERROR-EXIT.

       ADM2-FILE-ERROR SECTION.
       USE AFTER STANDARD ERROR PROCEDURE
         ON ADM2-FILE.
         INITIALIZE WS-8040-INPUT
         MOVE WS-0004-ADM2-FILE-NAME TO WS-8040-FILE-NAME
         MOVE WS-FILE-STAT TO WS-8040-FILE-STAT
         PERFORM 8040-RECORD-FILE-ERROR
            THRU 8040-RECORD-FILE-ERROR-EXIT.

       ADM3-FILE-ERROR SECTION.
       USE AFTER STANDARD ERROR PROCEDURE
         ON ADM3-FILE.
         INITIALIZE WS-8040-INPUT
         MOVE WS-0004-ADM3-FILE-NAME TO WS-8040-FILE-NAME
         MOVE WS-FILE-STAT TO WS-8040-FILE-STAT
         PERFORM 8040-RECORD-FILE-ERROR
            THRU 8040-RECORD-FILE-ERROR-EXIT.

       ADM4-FILE-ERROR SECTION.
       USE AFTER STANDARD ERROR PROCEDURE
         ON ADM4-FILE.
         INITIALIZE WS-8040-INPUT
         MOVE WS-0004-ADM4-FILE-NAME TO WS-8040-FILE-NAME
         MOVE WS-FILE-STAT TO WS-8040-FILE-STAT
         PERFORM 8040-RECORD-FILE-ERROR
            THRU 8040-RECORD-FILE-ERROR-EXIT.

       ADMAC-FILE-ERROR SECTION.
       USE AFTER STANDARD ERROR PROCEDURE
         ON ADMAC-FILE.
         INITIALIZE WS-8040-INPUT
         MOVE WS-0004-ADMAC-FILE-NAME TO WS-8040-FILE-NAME
         MOVE WS-FILE-STAT TO WS-8040-FILE-STAT
         PERFORM 8040-RECORD-FILE-ERROR
            THRU 8040-RECORD-FILE-ERROR-EXIT.

       ADMAR-FILE-ERROR SECTION.
       USE AFTER STANDARD ERROR PROCEDURE
         ON ADMAR-FILE.
         INITIALIZE WS-8040-INPUT
         MOVE WS-0004-ADMAR-FILE-NAME TO WS-8040-FILE-NAME
         MOVE WS-FILE-STAT TO WS-8040-FILE-STAT
         PERFORM 8040-RECORD-FILE-ERROR
            THRU 8040-RECORD-FILE-ERROR-EXIT.

       ADMC-FILE-ERROR SECTION.
       USE AFTER STANDARD ERROR PROCEDURE
         ON ADMC-FILE.
         INITIALIZE WS-8040-INPUT
         MOVE WS-0004-ADMC-FILE-NAME TO WS-8040-FILE-NAME
         MOVE WS-FILE-STAT TO WS-8040-FILE-STAT
         PERFORM 8040-RECORD-FILE-ERROR
            THRU 8040-RECORD-FILE-ERROR-EXIT.

       ADMH-FILE-ERROR SECTION.
       USE AFTER STANDARD ERROR PROCEDURE
         ON ADMH-FILE.
         INITIALIZE WS-8040-INPUT
         MOVE WS-0004-ADMH-FILE-NAME TO WS-8040-FILE-NAME
         MOVE WS-FILE-STAT TO WS-8040-FILE-STAT
         PERFORM 8040-RECORD-FILE-ERROR
            THRU 8040-RECORD-FILE-ERROR-EXIT.

       ADMIR-FILE-ERROR SECTION.
       USE AFTER STANDARD ERROR PROCEDURE
         ON ADMIR-FILE.
         INITIALIZE WS-8040-INPUT
         MOVE WS-0004-ADMIR-FILE-NAME TO WS-8040-FILE-NAME
         MOVE WS-FILE-STAT TO WS-8040-FILE-STAT
         PERFORM 8040-RECORD-FILE-ERROR
            THRU 8040-RECORD-FILE-ERROR-EXIT.

       ADMIY-FILE-ERROR SECTION.
       USE AFTER STANDARD ERROR PROCEDURE
         ON ADMIY-FILE.
         INITIALIZE WS-8040-INPUT
         MOVE WS-0004-ADMIY-FILE-NAME TO WS-8040-FILE-NAME
         MOVE WS-FILE-STAT TO WS-8040-FILE-STAT
         PERFORM 8040-RECORD-FILE-ERROR
            THRU 8040-RECORD-FILE-ERROR-EXIT.

       ADMM-FILE-ERROR SECTION.
       USE AFTER STANDARD ERROR PROCEDURE
         ON ADMM-FILE.
         INITIALIZE WS-8040-INPUT
         MOVE WS-0004-ADMM-FILE-NAME TO WS-8040-FILE-NAME
         MOVE WS-FILE-STAT TO WS-8040-FILE-STAT
         PERFORM 8040-RECORD-FILE-ERROR
            THRU 8040-RECORD-FILE-ERROR-EXIT.

       ADMO-FILE-ERROR SECTION.
       USE AFTER STANDARD ERROR PROCEDURE
         ON ADMO-FILE.
         INITIALIZE WS-8040-INPUT
         MOVE WS-0004-ADMO-FILE-NAME TO WS-8040-FILE-NAME
         MOVE WS-FILE-STAT TO WS-8040-FILE-STAT
         PERFORM 8040-RECORD-FILE-ERROR
            THRU 8040-RECORD-FILE-ERROR-EXIT.

       ADMR-FILE-ERROR SECTION.
       USE AFTER STANDARD ERROR PROCEDURE
         ON ADMR-FILE.
         INITIALIZE WS-8040-INPUT
         MOVE WS-0004-ADMR-FILE-NAME TO WS-8040-FILE-NAME
         MOVE WS-FILE-STAT TO WS-8040-FILE-STAT
         PERFORM 8040-RECORD-FILE-ERROR
            THRU 8040-RECORD-FILE-ERROR-EXIT.

       ADMSSN-FILE-ERROR SECTION.
       USE AFTER STANDARD ERROR PROCEDURE
         ON ADMSSN-FILE.
         INITIALIZE WS-8040-INPUT
         MOVE WS-0004-ADMSSN-FILE-NAME TO WS-8040-FILE-NAME
         MOVE WS-FILE-STAT TO WS-8040-FILE-STAT
         PERFORM 8040-RECORD-FILE-ERROR
            THRU 8040-RECORD-FILE-ERROR-EXIT.

       ADMVC-FILE-ERROR SECTION.
       USE AFTER STANDARD ERROR PROCEDURE
         ON ADMVC-FILE.
         INITIALIZE WS-8040-INPUT
         MOVE WS-0004-ADMVC-FILE-NAME TO WS-8040-FILE-NAME
         MOVE WS-FILE-STAT TO WS-8040-FILE-STAT
         PERFORM 8040-RECORD-FILE-ERROR
            THRU 8040-RECORD-FILE-ERROR-EXIT.

       ADMVS-FILE-ERROR SECTION.
       USE AFTER STANDARD ERROR PROCEDURE
         ON ADMVS-FILE.
         INITIALIZE WS-8040-INPUT
         MOVE WS-0004-ADMVS-FILE-NAME TO WS-8040-FILE-NAME
         MOVE WS-FILE-STAT TO WS-8040-FILE-STAT
         PERFORM 8040-RECORD-FILE-ERROR
            THRU 8040-RECORD-FILE-ERROR-EXIT.

       ADMWE-FILE-ERROR SECTION.
       USE AFTER STANDARD ERROR PROCEDURE
         ON ADMWE-FILE.
         INITIALIZE WS-8040-INPUT
         MOVE WS-0004-ADMWE-FILE-NAME TO WS-8040-FILE-NAME
         MOVE WS-FILE-STAT TO WS-8040-FILE-STAT
         PERFORM 8040-RECORD-FILE-ERROR
            THRU 8040-RECORD-FILE-ERROR-EXIT.

       ADMWF-FILE-ERROR SECTION.
       USE AFTER STANDARD ERROR PROCEDURE
         ON ADMWF-FILE.
         INITIALIZE WS-8040-INPUT
         MOVE WS-0004-ADMWF-FILE-NAME TO WS-8040-FILE-NAME
         MOVE WS-FILE-STAT TO WS-8040-FILE-STAT
         PERFORM 8040-RECORD-FILE-ERROR
            THRU 8040-RECORD-FILE-ERROR-EXIT.

      ****** RO SPECIFIC ISAM FILES ****************************

       TYPE11-FILE-ERROR SECTION.
       USE AFTER STANDARD ERROR PROCEDURE
         ON TYPE-11-DATES-FILE.
         INITIALIZE WS-8040-INPUT
         MOVE WS-0004-T11-FILE-NAME TO WS-8040-FILE-NAME
         MOVE WS-FILE-STAT TO WS-8040-FILE-STAT
         PERFORM 8040-RECORD-FILE-ERROR
            THRU 8040-RECORD-FILE-ERROR-EXIT.

       TYPE14-FILE-ERROR SECTION.
       USE AFTER STANDARD ERROR PROCEDURE
         ON TYPE-14-DATES-FILE.
         INITIALIZE WS-8040-INPUT
         MOVE WS-0004-T14-FILE-NAME TO WS-8040-FILE-NAME
         MOVE WS-FILE-STAT TO WS-8040-FILE-STAT
         PERFORM 8040-RECORD-FILE-ERROR
            THRU 8040-RECORD-FILE-ERROR-EXIT.

       BATCH-FILE-ERROR SECTION.
       USE AFTER STANDARD ERROR PROCEDURE
         ON BATCH-ISAM-FILE.
         INITIALIZE WS-8040-INPUT
         MOVE WS-0004-BATCH-FILE-NAME TO WS-8040-FILE-NAME
         MOVE WS-FILE-STAT TO WS-8040-FILE-STAT
         PERFORM 8040-RECORD-FILE-ERROR
            THRU 8040-RECORD-FILE-ERROR-EXIT.

       TYPE55-FILE-ERROR SECTION.
       USE AFTER STANDARD ERROR PROCEDURE
         ON T55-AGENT-FILE.
         INITIALIZE WS-8040-INPUT
         MOVE WS-0004-T55-FILE-NAME TO WS-8040-FILE-NAME
         MOVE WS-FILE-STAT TO WS-8040-FILE-STAT
         PERFORM 8040-RECORD-FILE-ERROR
            THRU 8040-RECORD-FILE-ERROR-EXIT.

       TYPE56-FILE-ERROR SECTION.
       USE AFTER STANDARD ERROR PROCEDURE
         ON T56-ADJUSTER-FILE.
         INITIALIZE WS-8040-INPUT
         MOVE WS-0004-T56-FILE-NAME TO WS-8040-FILE-NAME
         MOVE WS-FILE-STAT TO WS-8040-FILE-STAT
         PERFORM 8040-RECORD-FILE-ERROR
            THRU 8040-RECORD-FILE-ERROR-EXIT.

       PSTAT-FILE-ERROR SECTION.
       USE AFTER STANDARD ERROR PROCEDURE
         ON POLICY-STATS-FILE.
         INITIALIZE WS-8040-INPUT
         MOVE WS-0004-PSTATS-FILE-NAME TO WS-8040-FILE-NAME
         MOVE WS-FILE-STAT TO WS-8040-FILE-STAT
         PERFORM 8040-RECORD-FILE-ERROR
            THRU 8040-RECORD-FILE-ERROR-EXIT.

      ****** TABLE LOAD FILES **********************************

       IP-FILE-ERROR SECTION.
       USE AFTER STANDARD ERROR PROCEDURE
         ON IP-FILE.
         INITIALIZE WS-8040-INPUT
         MOVE 'LOAD\RO.TXT' TO WS-8040-FILE-NAME
         MOVE WS-FILE-STAT TO WS-8040-FILE-STAT
         PERFORM 8040-RECORD-FILE-ERROR
            THRU 8040-RECORD-FILE-ERROR-EXIT.

       COMPANY-FILE-ERROR SECTION.
       USE AFTER STANDARD ERROR PROCEDURE
         ON COMPANY-FILE.
         INITIALIZE WS-8040-INPUT
         MOVE 'LOAD\COMPANY.TXT' TO WS-8040-FILE-NAME
         MOVE WS-FILE-STAT TO WS-8040-FILE-STAT
         PERFORM 8040-RECORD-FILE-ERROR
            THRU 8040-RECORD-FILE-ERROR-EXIT.

       STATE-FILE-ERROR SECTION.
       USE AFTER STANDARD ERROR PROCEDURE
         ON FIPS-STATE-FILE.
         INITIALIZE WS-8040-INPUT
         MOVE 'LOAD\STATE.TXT' TO WS-8040-FILE-NAME
         MOVE WS-FILE-STAT TO WS-8040-FILE-STAT
         PERFORM 8040-RECORD-FILE-ERROR
            THRU 8040-RECORD-FILE-ERROR-EXIT.

       COUNTY-FILE-ERROR SECTION.
       USE AFTER STANDARD ERROR PROCEDURE
         ON COUNTY-FILE.
         INITIALIZE WS-8040-INPUT
         MOVE 'LOAD\COUNTY.TXT' TO WS-8040-FILE-NAME
         MOVE WS-FILE-STAT TO WS-8040-FILE-STAT
         PERFORM 8040-RECORD-FILE-ERROR
            THRU 8040-RECORD-FILE-ERROR-EXIT.

       CROP-FILE-ERROR SECTION.
       USE AFTER STANDARD ERROR PROCEDURE
         ON CROP-FILE.
         INITIALIZE WS-8040-INPUT
         MOVE 'LOAD\CROP.TXT' TO WS-8040-FILE-NAME
         MOVE WS-FILE-STAT TO WS-8040-FILE-STAT
         PERFORM 8040-RECORD-FILE-ERROR
            THRU 8040-RECORD-FILE-ERROR-EXIT.

       CROP-LIMIT-FILE-ERROR SECTION.
       USE AFTER STANDARD ERROR PROCEDURE
         ON CROP-LIMIT-FILE.
         INITIALIZE WS-8040-INPUT
         MOVE 'LOAD\CROP-MAX.TXT' TO WS-8040-FILE-NAME
         MOVE WS-FILE-STAT TO WS-8040-FILE-STAT
         PERFORM 8040-RECORD-FILE-ERROR
            THRU 8040-RECORD-FILE-ERROR-EXIT.

       CROP-TYPE-FILE-ERROR SECTION.
       USE AFTER STANDARD ERROR PROCEDURE
         ON CROP-TYPE-FILE.
         INITIALIZE WS-8040-INPUT
         MOVE 'LOAD\CROPTYPE.TXT' TO WS-8040-FILE-NAME
         MOVE WS-FILE-STAT TO WS-8040-FILE-STAT
         PERFORM 8040-RECORD-FILE-ERROR
            THRU 8040-RECORD-FILE-ERROR-EXIT.

       CROP-POL-TY-FILE-ERROR SECTION.
       USE AFTER STANDARD ERROR PROCEDURE
         ON CROP-POLICY-TYPE-FILE.
         INITIALIZE WS-8040-INPUT
         MOVE 'LOAD\CROP-POL.TXT' TO WS-8040-FILE-NAME
         MOVE WS-FILE-STAT TO WS-8040-FILE-STAT
         PERFORM 8040-RECORD-FILE-ERROR
            THRU 8040-RECORD-FILE-ERROR-EXIT.

       ERROR-MSG-FILE-ERROR SECTION.
       USE AFTER STANDARD ERROR PROCEDURE
         ON ERROR-MSG-FILE.
         INITIALIZE WS-8040-INPUT
         MOVE 'LOAD\ERRMSG.TXT' TO WS-8040-FILE-NAME
         MOVE WS-FILE-STAT TO WS-8040-FILE-STAT
         PERFORM 8040-RECORD-FILE-ERROR
            THRU 8040-RECORD-FILE-ERROR-EXIT.

       UM-FILE-ERROR SECTION.
       USE AFTER STANDARD ERROR PROCEDURE
         ON UM-FILE.
         INITIALIZE WS-8040-INPUT
         MOVE 'LOAD\UM.TXT' TO WS-8040-FILE-NAME
         MOVE WS-FILE-STAT TO WS-8040-FILE-STAT
         PERFORM 8040-RECORD-FILE-ERROR
            THRU 8040-RECORD-FILE-ERROR-EXIT.

       STAGE-FILE-ERROR SECTION.
       USE AFTER STANDARD ERROR PROCEDURE
         ON STAGE-FILE.
         INITIALIZE WS-8040-INPUT
         MOVE 'LOAD\STAGE.TXT' TO WS-8040-FILE-NAME
         MOVE WS-FILE-STAT TO WS-8040-FILE-STAT
         PERFORM 8040-RECORD-FILE-ERROR
            THRU 8040-RECORD-FILE-ERROR-EXIT.

       STAGE-CROP-FILE-ERROR SECTION.
       USE AFTER STANDARD ERROR PROCEDURE
         ON STAGE-CROP-FILE.
         INITIALIZE WS-8040-INPUT
         MOVE 'LOAD\STGCROP.TXT' TO WS-8040-FILE-NAME
         MOVE WS-FILE-STAT TO WS-8040-FILE-STAT
         PERFORM 8040-RECORD-FILE-ERROR
            THRU 8040-RECORD-FILE-ERROR-EXIT.

       LOSS-CAUSE-FILE-ERROR SECTION.
       USE AFTER STANDARD ERROR PROCEDURE
         ON LOSS-CAUSE-FILE.
         INITIALIZE WS-8040-INPUT
         MOVE 'LOAD\LC.TXT' TO WS-8040-FILE-NAME
         MOVE WS-FILE-STAT TO WS-8040-FILE-STAT
         PERFORM 8040-RECORD-FILE-ERROR
            THRU 8040-RECORD-FILE-ERROR-EXIT.

       LOSS-CAUSE-CROP-FILE-ERROR SECTION.
       USE AFTER STANDARD ERROR PROCEDURE
         ON LOSS-CAUSE-CROP-FILE.
         INITIALIZE WS-8040-INPUT
         MOVE 'LOAD\LC-CROP.TXT' TO WS-8040-FILE-NAME
         MOVE WS-FILE-STAT TO WS-8040-FILE-STAT
         PERFORM 8040-RECORD-FILE-ERROR
            THRU 8040-RECORD-FILE-ERROR-EXIT.

       ACCEPTED-T14EXPR-FILE-ERROR SECTION.
         USE AFTER STANDARD ERROR PROCEDURE
         ON T14EXPR-FILE.
         INITIALIZE WS-8040-INPUT
         MOVE WS-0004-t14expr-file-name TO WS-8040-FILE-NAME
         MOVE WS-FILE-STAT TO WS-8040-FILE-STAT
         PERFORM 8040-RECORD-FILE-ERROR
            THRU 8040-RECORD-FILE-ERROR-EXIT.

       END DECLARATIVES.

      ****************************************************************
      *     THIS IS THE MAINLINE MODULE.  IT WILL CONTROL THE HIGH  *
      *     LEVEL PROCESSING FLOW OF THIS PROGRAM.                  *
      ***************************************************************

       0000-MAINLINE.

      *    ** SET UP FAILURE RETURN-CODE
      *    ** 2 = PROGRAM ABENDED
      *    ** 1 = PROGRAM ABORTED
      *    ** 0 = PROGRAM COMPLETED SUCCESSFULLY

           MOVE 2 TO RETURN-CODE

           DISPLAY SPACES
           UPON CONSOLE

      $IF DEBUG-SW DEFINED
           DISPLAY 'ENTERING MAINLINE'
           UPON CONSOLE
      $END


           PERFORM 0540-GET-DATE-TIME
              THRU 0540-GET-DATE-TIME-EXIT
           DISPLAY 'STARTED AT ', WS-0540-FULL-TIME, ' ', WS-0540-DATE
           UPON CONSOLE
           MOVE WS-0540-FULL-TIME TO WS-0004-START-TIME

           ACCEPT WS-0004-CMD-LINE FROM COMMAND-LINE
           IF (WS-0004-CMD-LINE = '?') OR
              (WS-0004-CMD-LINE = '-?') OR
              (WS-0004-CMD-LINE = '/?')
              PERFORM 0585-DISPLAY-PARAMETERS
                 THRU 0585-DISPLAY-PARAMETERS-EXIT
              GO TO 0000-MAINLINE-EXIT
           END-IF

           PERFORM 0100-SETUP
              THRU 0100-SETUP-EXIT

           PERFORM 0200-PROCESS-TRANSACTIONS
              THRU 0200-PROCESS-EXIT
             UNTIL WS-0004-END-BATCH-FLAG = WS-LITERAL-YES

           PERFORM 0300-END-RUN
              THRU 0300-END-RUN-EXIT.

           PERFORM 0540-GET-DATE-TIME
              THRU 0540-GET-DATE-TIME-EXIT
           DISPLAY 'ENDED AT   ', WS-0540-FULL-TIME, ' ', WS-0540-DATE,
           ' FILE = ', WS-0004-FILE-NAME ' RECS= '
           WS-0008-INFILE-TOTAL-RECS
           UPON CONSOLE

           MOVE ZERO TO RETURN-CODE.

       0000-MAINLINE-EXIT.
           STOP RUN GIVING RETURN-CODE.


      ***************************************************************
      * File:      M0100.CBL
      * Author:    Mike Ray
      * Date:      8/9/95
      * Purpose:
      *    This paragraph initializes working storage fields,
      *    gets parameters from the linkage section, gets system
      *    environment information, looks up das environment info
      *    from the database and opens all files by performing the
      *    appropriate setup paragraphs.
      * Contains:
      *    M0105.CBL  0105-INITIALIZE-STATS
      *    M0110.CBL  0110-INITIALIZE-TABLES
      *    M0115.CBL  0115-INITIALIZE-BATCH
      *    M0120.CBL  0120-INITIALIZE-POLICY
      *    M0125.CBL  0125-INITIALIZE-CROP
      *    M0130.CBL  0130-INITIALIZE-TRAN
      *    M0135.CBL  0135-GET-PARAMETERS
      *    M0140.CBL  0140-GET-SYSTEM-DATA
      *    M0145.CBL  0145-GET-IP-DB-DATA
      *    M0155.CBL  0155-INIT-CROP-TABLES
      *    M0160.CBL  0160-INIT-POLICY-TABLES
      *    M0165.CBL  0165-SET-FILE-NAMES
      ***************************************************************
       COPY 'SETUP/M0100.CBL'.


      ***************************************************************
      * File:      M0200.CBL
      * Author:    Mike Ray
      * Date:      8/13/95
      * Purpose:
      *    This paragraph performs all validation and sequencing
      *    logic.
      * Contains:
      *    M0205.CBL    0205-PROCESS-POLICY-CHG
      *    M0210.CBL    0210-PROCESS-CROP-CHG
      *    M0211.CBL    0211-LOOKUP-CROP-POL-TYPE
      *    M0215.CBL    0215-PROCESS-CROP-TRAN
      *    M0220.CBL    0220-PROCESS-POLICY-TRAN
      *    M0225.CBL    0225-PROCESS-IP-TRAN
      *    M0230.CBL    0230-PROCESS-INQUIRY
      *    M0240.CBL    0240-PROCESS-TRAILER
      ***************************************************************
       COPY 'PROCESS/M0200.CBL'.


      ***************************************************************
      * File:      M0300.CBL
      * Author:    Mike Ray
      * Date:      8/13/95
      * Purpose:
      *    This paragraph performs all deferred processing and cleanup
      *    logic at the end of an input file.
      ***************************************************************
       COPY 'END-RUN/M0300.CBL'.

      ***************************************************************
      * File:      M0500.CBL
      * Author:    Mike Ray
      * Date:      10/27/95
      * Purpose:
      *    This copy file contains general system level utility
      *    routines.
      * Contains:
      *    M0510.CBL  0510-CONVERT-MMDDCCYY
      *    M0515.CBL  0515-VAL-DATE
      *    M0520.CBL  0520-GET-DAYS-IN-MONTH
      *    M0525.CBL  0525-DETERMINE-IF-LEAP-YR
      *    M0530.CBL  0530-ADD-DAYS-TO-DATE
      *    M0535.CBL  0535-GET-DAY-OF-WEEK
      *    M0540.CBL  0540-GET-DATE-TIME
      *    M0550.CBL  0550-GET-JULIAN-DATE
      *    M0555.CBL  0555-VAL-MMDDYY-DATE
      *    M0560.CBL  0560-COMPARE-DATES-6
      *    M0565.CBL  0565-BUILD-FILE-NAME
      *    M0570.CBL  0570-VAL-SSN
      ***************************************************************
       COPY 'UTILS/M0500.CBL'.

      ***************************************************************
      * File:      M0700.CBL
      * Author:    Mike Ray
      * Date:      8/30/95
      * Purpose:
      *    This copy file contains the routines for producing
      *    system transactions in a report form.
      * Contains:
      *    M0707.CBL 0707-PRODUCE-ERROR-RPT
      *    M0755.CBL 0755-WRITE-T97-STATS
      *    M0770.CBL 0770-LOG-ERROR-COUNTS
      ***************************************************************
       COPY 'REPORTS/M0700.CBL'.

      ***************************************************************
      * File:      M0800.CBL
      * Paragraph: 0800-ABORT-PROGRAM
      * Author:    Mike Ray
      * Date:      8/15/95
      * Purpose:
      *    This paragraph performs all cleanup actions possible when
      *    it is neccessary to abnormally terminate the program.
      ***************************************************************
       COPY 'ABORT/M0800.CBL'.

      ***************************************************************
      * File:      M0900.CBL
      * Author:    Mike Ray
      * Date:      8/13/95
      * Purpose:
      *    This copy file contains the paragraphs needed for file
      *    input and output.
      *
      * Contains:  M0905.CBL 0905-READ-TRANSACTION
      *            M0910.CBL 0910-OPEN-FILES
      *            M0915.CBL 0915-ACCEPT-TRANSACTION
      *            M0920.CBL 0920-REJECT-TRANSACTION
      *            M0925.CBL 0925-SUSPEND-TRANSACTION
      *            M0930.CBL 0930-CLOSE-FILES
      *            M0932.CBL 0932-DELETE-TEMP-FILES
      *            M0935.CBL 0935-WRITE-BATCH-HEADER
      *            M0940.CBL 0940-HOLD-TRANSACTION
      *            M0945.CBL 0945-CLOSE-TEMP-FILE
      *            M0950.CBL 0950-OPEN-TEMP-FOR-INPUT
      *            M0952.CBL 0952-GET-NEXT-BATCH-NO
      *            M0953.CBL 0953-WRITE-BATCH-ISAM
      *            M0955.CBL 0955-OPEN-TEMP-FOR-OUTPUT
      *            M0960.CBL 0960-SORT-REJECT-FILE
      *            M0965.CBL 0965-SORT-ERROR-FILE
      *            M0975.CBL 0975-WRITE-TYPE-14-DT-REC
      *            M0980.CBL 0980-WRITE-TYPE-11-DT-REC
      *            M0990.CBL 0990-RECORD-ASSIGNED-RISK
      *            M0995.CBL 0995-RECORD-ACCEPTED-14
      ***************************************************************
       COPY 'FILES/M0900.CBL'.

      ***************************************************************
      * File:      FV1000.CBL
      * Author:    Mike Ray
      * DATE:      01/11/96
      * PURPOSE:
      *    THIS COPY FILE CONTAINS THE FIELD VALIDATION MODULES AND
      *    SEQUENCING LOGIC.
      *
      * CONTAINS:
      *    ********** TRANSACTION SEQUENCING MODULES ***********
      *    FV1001.CBL     1001-VALIDATE-T00
      *    FV1010.CBL     1010-VALIDATE-T10
      *    FV1011.CBL     1011-VALIDATE-T11
      *    FV1012.CBL     1012-VALIDATE-T12
      *    FV1014.CBL     1014-VALIDATE-T14
      *    FV1015.CBL     1015-VALIDATE-T15
      *    FV1020.CBL     1020-VALIDATE-T20
      *    FV1021.CBL     1021-VALIDATE-T21
      *    FV1049.CBL     1049-VALIDATE-T49
      *    FV1050.CBL     1050-VALIDATE-T50
      *    FV1055.CBL     1055-VALIDATE-T55
      *    FV1056.CBL     1055-VALIDATE-T56
      *    FV1097.CBL     1097-VALIDATE-T97
      *    ********** FIELD VALIDATION MODULES *****************
      *    FV1200.CBL     1200-VAL-REPORTING-ORG
      *    FV1205.CBL     1205-VAL-LOCATION-STATE
      *    FV1210.CBL     1210-VAL-COMPANY-COUNTY
      *    FV1215.CBL     1215-VAL-POLICY-NUMBER
      *    FV1220.CBL     1220-VAL-CROP-YEAR
      *    FV1230.CBL     1230-VAL-RECORD-NUMBER
      *    FV1235.CBL     1235-VAL-ENTITY-TYPE
      *    FV1240.CBL     1240-VAL-LAST-NAME
      *    FV1245.CBL     1245-VAL-FIRST-NAME
      *    FV1250.CBL     1250-VAL-MIDDLE-NAME
      *    FV1255.CBL     1255-VAL-NAME-SUFFIX
      *    FV1260.CBL     1260-VAL-TITLE
      *    FV1265.CBL     1265-VAL-BUSINESS-NAME
      *    FV1270.CBL     1270-VAL-ADDRESS
      *    FV1275.CBL     1275-VAL-CITY
      *    FV1280.CBL     1280-VAL-ADDRESS-STATE
      *    FV1285.CBL     1285-VAL-ZIP-CODE
      *    FV1290.CBL     1290-VAL-ZIP-EXTENSION
      *    FV1295.CBL     1295-VAL-ID-TYPE
      *    FV1300.CBL     1300-VAL-ID-NUMBER
      *    FV1305.CBL     1305-VAL-PHONE-NUMBER
      *    FV1307.CBL     1307-VAL-PREVIOUS-RO
      *    FV1310.CBL     1310-VAL-PREVIOUS-POLICY
      *    FV1315.CBL     1315-VAL-CFSA-CPNY-EMP
      *    FV1325.CBL     1325-VAL-ASGD-RISK
      *    FV1330.CBL     1330-VAL-LATE-PROC-FL
      *    FV1340.CBL     1340-VAL-CROP-CODE
      *    FV1345.CBL     1345-VAL-DUAL-CVG-FL
      *    FV1350.CBL     1350-VAL-LOC-COUNTY
      *    FV1355.CBL     1355-VAL-RATE-STATE
      *    FV1360.CBL     1360-VAL-RATE-COUNTY
      *    FV1365.CBL     1365-VAL-FEE-PREPYMT-FL
      *    FV1370.CBL     1370-VAL-MAX-FEE-CAUSE
      *    FV1375.CBL     1375-VAL-ADMIN-FEE-FL
      *    FV1380.CBL     1380-VAL-REFUND-CANCEL
      *    FV1385.CBL     1385-VAL-COVERAGE-FL
      *    FV1390.CBL     1390-VAL-FCIC-CONTROL-DT
      *    FV1395.CBL     1395-VAL-CRUSH-DISTRICT
      *    FV1400.CBL     ******** NOT  ASSIGNED **********
      *    FV1405.CBL     1405-VAL-INS-PLAN-CD
      *    FV1410.CBL     1410-VAL-GUAR-REDUCT-FLG
      *    FV1415.CBL     1415-VAL-TYPE-15-REC-NO
      *    FV1425.CBL     1425-VAL-UNIT-NO
      *    FV1430.CBL     1430-VAL-GUAR-RED-FLAG
      *    FV1435.CBL     1435-VAL-CVG-LEVEL-PCT
      *    FV1440.CBL     1440-VAL-PRICE-ELECTION
      *    FV1445.CBL     1445-VAL-REPORTED-ACRES
      *    FV1450.CBL     1450-VAL-YIELD-QUOTA
      *    FV1455.CBL     1455-VAL-INSURED-SHARE
      *    FV1460.CBL     1460-VAL-LIABILITY
      *    FV1465.CBL     1465-VAL-BASE-PREM-RATE
      *    FV1470.CBL     1470-VAL-EXPERIENCE-FCTR
      *    FV1475.CBL     1475-VAL-TOTAL-PREMIUM
      *    FV1485.CBL     1485-VAL-PRODUCER-PREMIUM
      *    FV1490.CBL     1490-VAL-DATE-PLANTED
      *    FV1495.CBL     1495-VAL-DOLLAR-AMT-INS
      *    FV1500.CBL     1500-VAL-UNIT-OPTION-CD
      *    FV1505.CBL     1505-VAL-OPTION-CD
      *    FV1507.CBL     1507-VAL-TYPE-PRAC-OPT-CD
      *    FV1510.CBL     1510-VAL-SEED-CPNY
      *    FV1515.CBL     1515-VAL-YLD-CNV-PCT-ELCT
      *    FV1520.CBL     1520-VAL-NCS-FCIC2-FL
      *    FV1525.CBL     1525-VAL-PMT TYPE
      *    FV1530.CBL     1530-VAL-PAID-AMT
      *    FV1535.CBL     1535-VAL-PREPMT-FL
      *    FV1540.CBL     1540-VAL-PAID-DT
      *    FV1545.CBL     1545-VAL-REINSURE-YR
      *    FV1550.CBL     1550-VAL-CLAIM-NO
      *    FV1555.CBL     1555-VAL-TOTAL-PMT-METHOD
      *    FV1560.CBL     1560-VAL-1ST-ESCROW-CHK
      *    FV1565.CBL     1565-VAL-2ND-ESCROW-CHK
      *    FV1570.CBL     1570-VAL-3RD-ESCROW-CHK
      *    FV1575.CBL     1575-VAL-4TH-ESCROW-CHK
      *    FV1580.CBL     1580-VAL-1ST-TOT-AMT
      *    FV1585.CBL     1585-VAL-2ND-TOT-AMT
      *    FV1590.CBL     1590-VAL-3RD-TOT-AMT
      *    FV1595.CBL     1595-VAL-4TH-TOT-AMT
      *    FV1600.CBL     1600-VAL-P-CR-MEMO-CPNY
      *    FV1605.CBL     1605-VAL-DT-DRAFT-ISSUE
      *    FV1610.CBL     1610-VAL-DETERM-ACRES
      *    FV1615.CBL     1615-VAL-LIAB-FCTR
      *    FV1620.CBL     1620-VAL-LOSS-GUAR
      *    FV1625.CBL     1625-VAL-WFARM-DISC-FCTR
      *    FV1630.CBL     ******** NOT  ASSIGNED **********
      *    FV1635.CBL     ******** NOT  ASSIGNED **********
      *    FV1640.CBL     ******** NOT  ASSIGNED **********
      *    FV1645.CBL     ******** NOT  ASSIGNED **********
      *    FV1650.CBL     1650-VAL-PROD-TO-CNT
      *    FV1655.CBL     1655-VAL-FARM-UNIT-DEF
      *    FV1660.CBL     1660-VAL-AUDIT-CORRECTION
      *    FV1665.CBL     1665-VAL-GRP-PMT-CALC
      *    FV1670.CBL     1670-VAL-HARVEST-PROD
      *    FV1675.CBL     1675-VAL-MONTH
      *    FV1680.CBL     1680-VAL-REPLANT-GUARANTEE
      *    FV1685.CBL     1685-VAL-PARTIAL-PP-FLAG
      *    FV1690.CBL     1690-VAL-PRIMARY-PCT
      *    FV1695.CBL     1695-VAL-LOSS-CAUSE-CD
      *    FV1700.CBL     1700-VAL-SUGAR-FACTOR
      *    FV1705.CBL     1705-ACREAGE-REC-NO
      *    FV1710.CBL     1710-VAL-NURSERY-INS-PLAN
      *    FV1715.CBL     1715-VAL-ADJUSTER-ID-CD
      *    FV1720.CBL     1720-VAL-HARDINESS-ZONE
      *    FV1725.CBL     1725-VAL-NEW-MKT-VALUE
      *    FV1730.CBL     1730-VAL-AVG-MONTHLY
      *    FV1735.CBL     1735-VAL-LOSS-FROM-AVG
      *    FV1740.CBL     1740-VAL-AVG-MTH-MKT-VAL
      *    FV1745.CBL     1745-VAL-FIELD-MKT-VAL
      *    FV1750.CBL     1750-VAL-AGGREGATE-DEDUCT
      *    FV1755.CBL     1755-VAL-LOSS-FRM-ANNUAL
      *    FV1760.CBL     1760-VAL-LOSS-USED
      *    FV1765.CBL     1765-VAL-ACCUM-DEDUCTIBLE
      *    FV1770.CBL     1770-VAL-4TH-REINS-YR
      *    FV1775.CBL     1775-VAL-SIMPLE-CLAIM-FL
      *    FV1780.CBL     1780-VAL-STAGE-CODE
      *    FV1785.CBL     1785-VAL-PREM-RT-SURCHG
      *    FV1790.CBL     1790-VAL-PNUT-QUOTA
      *    FV1795.CBL     ******** NOT  ASSIGNED **********
      *    FV1800.CBL     ******** NOT  ASSIGNED **********
      *    FV1805.CBL     1805-VAL-INDEMNITY
      *    FV1810.CBL     1810-VAL-ADJUSTER-SIG-DT
      *    FV1815.CBL     1815-VAL-INSURED-SIG-DT
      *    FV1820.CBL     ******** NOT  ASSIGNED **********
      *    FV1825.CBL     ******** NOT  ASSIGNED **********
      *    FV1830.CBL     1830-VAL-TOTAL-INDEMNITY
      *    FV1835.CBL     1835-VAL-1ST-REINS-YR
      *    FV1840.CBL     1840-VAL-2ND-REINS-YR
      *    FV1845.CBL     1845-VAL-3RD-REINS-YR
      *    FV1852.CBL     1852-VAL-DELETE-FLG
      *    FV1854.CBL     1854-VAL-PRIV-POLY-NO
      *    FV1864.CBL     1864-VAL-YIELD-LIMIT-FLG
      *    FV1866.CBL     1866-VAL-PRIV-POLY-CD
      *    FV1867.CBL     1867-VAL-NCS-EXCEPTION-FLAG
      *    FV1868.CBL     1868-VAL-NCS-YLD-FACTOR
      *    FV1870.CBL     1870-VAL-REVIEW-FLG
      *    FV1872.CBL     1872-VAL-YIELD-TYPE-YEAR
      *    FV1874.CBL     1874-VAL-YIELD-INDICATOR
      *    FV1876.CBL     1876-VAL-YIELD-QTY
      *    FV1878.CBL     1878-VAL-YIELD-YEAR
      *    FV1880.CBL     1880-VAL-YIELD-ACRE
      *    FV1885.CBL     1885-VAL-TOTAL-GUARANTEE
      *    FV1890.CBL     1890-VAL-GUARANTEE-PER-ACRE
      *    FV1900.CBL     1900-VAL-ACTIVE-FLG
      *    FV1905.CBL     1905-VAL-INACTIVE-DATE
      *    FV1920.CBL     1920-VAL-TYPE-OF-ID-CODE
      *    FV1925.CBL     1925-VAL-AGENT-ID
      *    FV1930.CBL     ******** NOT  ASSIGNED **********
      *    FV1940.CBL     1940-VAL-AGENCY-NAME
      *    FV1945.CBL     1945-VAL-BUSINESS-ADDRESS
      *    FV1950.CBL     1950-VAL-AGENCY-CITY
      *    FV1960.CBL     1960-VAL-PHONE-EXTEN
      *    FV1970.CBL     1970-VAL-SOC-SEC-NUM
      ***************************************************************
       COPY 'FV/FV1000.CBL'.


      ***************************************************************
      * File:      IF2000.CBL
      * Author:    Mike Ray
      * Date:      01/11/96
      * Purpose:
      *    This copy file contains the inter-field validation modules
      *    and sequencing logic.
      *
      * Contains:
      *    ********** TRANSACTION SEQUENCING MODULES ***********
      *    IF2010.CBL     2010-VALIDATE-T10
      *    IF2011.CBL     2011-VALIDATE-T11
      *    IF2012.CBL     2012-VALIDATE-T12
      *    IF2014.CBL     2014-VALIDATE-T14
      *    IF2015.CBL     2015-VALIDATE-T15
      *    IF2020.CBL     2020-VALIDATE-T20
      *    IF2021.CBL     2021-VALIDATE-T21
      *    IF2055.CBL     2055-VALIDATE-T55
      *    IF2056.CBL     2056-VALIDATE-T56
      *
      *    ********** FIELD VALIDATION MODULES *****************
      *    IF2200.CBL      *** NOT ASSIGNED ***
      *    IF2205.CBL      2205-VAL-REINSURED-INFO
      *    IF2210.CBL      2210-VAL-NAME
      *    IF2213.CBL      2213-VAL-ID-TY-W-ID-NO
      *    IF2215.CBL      2215-VAL-ENTITY-ID-INFO
      *    IF2220.CBL      2220-VAL-PREV-POL-PREV-RO
      *    IF2225.CBL      2225-VAL-NON-CAT-ASG-RISK
      *    IF2230.CBL      *** NOT ASSIGNED ***
      *    IF2235.CBL      2235-VAL-NON-CAT-RATE
      *    IF2237.CBL      2237-VAL-CROP-CODE
      *    IF2240.CBL      2240-VAL-CROP-TYPE
      *    IF2245.CBL      2245-VAL-ADMIN-FEE-CVG-CD
      *    IF2247.CBL      2247-VAL-FEE-PREPMT-FL
      *    IF2250.CBL      2250-VAL-LOC-CNTY-INFO
      *    IF2255.CBL      2255-DETERMINE-TRANS-LATE
      *    IF2260.CBL      2260-VAL-MAP-AREA
      *    IF2265.CBL      2265-VAL-PRACTICE-CD
      *    IF2270.CBL      2270-VAL-OPTION-CDS
      *    IF2272.CBL      2272-VAL-CAT-W-UNIT-OPT
      *    IF2275.CBL      2275-VAL-TYPE-PRAC-OPT-CD
      *    IF2280.CBL      *** NOT ASSIGNED ***
      *    IF2282.CBL      *** NOT ASSIGNED ***
      *    IF2285.CBL      2285-VAL-FARM-SERIAL-NO
      *    IF2287.CBL      2287-VAL-COVERAGE-LVL-PCT
      *    IF2289.CBL      2289-VAL-EXPERIENCE-FCTR
      *    IF2290.CBL      *** NOT ASSIGNED ***
      *    IF2292.CBL      2292-VAL-DOLLAR-AMT-INS
      *    IF2295.CBL      2295-VAL-PRICE-ELECTION
      *    IF2300.CBL      2300-VAL-LIABILITY
      *    IF2305.CBL      *** NOT ASSIGNED ***
      *    IF2307.CBL      2307-VAL-REINS-INS-CROP
      *    IF2310.CBL      2310-VAL-IP-CNTY-AVG-YLD
      *    IF2315.CBL      2315-VAL-QUOTA
      *    IF2320.CBL      2320-VAL-DATE-PLANTED
      *    IF2325.CBL      2325-VAL-CROP-SEED-CPNY
      *    IF2330.CBL      2330-VAL-PERCENT-ELECTION
      *    IF2335.CBL      2335-VAL-BASE-PREM-RT
      *    IF2340.CBL      2340-VAL-YIELD-W-RATE-CLS
      *    IF2342.CBL      2342-LOOKUP-YIELD-QTY
      *    IF2343.CBL      2343-VAL-PREM-RT-SURCHG
      *    IF2345.CBL      2345-VAL-ESCROW-FIELDS
      *    IF2350.CBL      2350-VAL-PREMIUM
      *    IF2355.CBL      2355-VAL-PROD-PREMIUM
      *    IF2360.CBL      2360-VAL-TOTAL-FIELDS
      *    IF2365.CBL      2365-VAL-PAID-DATE
      *    IF2370.CBL      2370-VAL-RATE-CLASS
      *    IF2375.CBL      2375-VAL-REPORTED-ACRES
      *    IF2380.CBL      2380-VAL-GUAR-RED-FLG
      *    IF2385.CBL      2385-VAL-CRUSH-DISTRICT
      *    IF2390.CBL      2390-VAL-GUAR-RED-PCT
      *    IF2395.CBL      2395-VAL-REV-CVG-LVL
      *    IF2400.CBL      *** NOT ASSIGNED ***
      *    IF2405.CBL      *** NOT ASSIGNED ***
      *    IF2410.CBL      *** NOT ASSIGNED ***
      *    IF2415.CBL      2415-VAL-P-CR-MEMO-CPNY
      *    IF2420.CBL      *** NOT ASSIGNED ***
      *    IF2425.CBL      *** NOT ASSIGNED ***
      *    IF2430.CBL      *** NOT ASSIGNED ***
      *    IF2435.CBL      2435-VAL-REINS-LOSS-INFO
      *    IF2440.CBL      2440-VAL-INDEM-W-DEFICNY
      *    IF2445.CBL      2445-VAL-HARVESTED-PROD
      *    IF2450.CBL      2450-VAL-PRIMARY-MONTH
      *    IF2453.CBL      2453-VAL-LOSS-MONTH
      *    IF2455.CBL      2455-VAL-PRIMARY-PCT
      *    IF2460.CBL      2460-VAL-SECONDARY-MONTH
      *    IF2465.CBL      2465-VAL-SUGAR-FACTOR
      *    IF2470.CBL      2470-VAL-NON-CAT-DUAL-CVG
      *    IF2475.CBL      2475-VAL-CROP-YR
      *    IF2480.CBL      2480-CALC-SUBSIDY
      *    IF2485.CBL      2485-CALC-GUARANTEE
      *    IF2490.CBL      2490-VAL-TOTAL-AMOUNT
      *    IF2495.CBL      2495-VAL-TOTAL-REINS-YR
      *    IF2500.CBL      2500-DETERMINE-WEEKS-LATE
      *    IF2505.CBL      2505-VAL-YLD-LIMIT-FLAG
      *    IF2510.CBL      2510-VAL-YIELD-TYPES
      *    IF2515.CBL      2515-VAL-YIELD-TY-SEQ
      *    IF2520.CBL      2520-VAL-UNIT-PREM-ADJ
      *    IF2525.CBL      2525-VAL-YIELD-COMBOS
      *    IF2530.CBL      2530-VAL-TRANSITIONAL-YLD
      *    IF2535.CBL      *** NOT ASSIGNED ***
      *    IF2540.CBL      2540-VAL-YIELD-YEARS
      *    IF2545.CBL      2545-VAL-PR-APPROVED-YLD
      *    IF2550.CBL      2550-VAL-APPROVED-YIELD
      *    IF2555.CBL      2555-VAL-YIELD-INDICATOR
      *    IF2560.CBL      2560-VAL-NCS-YLD-FACTOR
      *    IF2565.CBL      2565-VAL-NCS-FCIC2-FLAG
      *    IF2570.CBL      2570-VAL-T15-MAP-AREA
      *    IF2575.CBL      2575-VAL-INSURED-SHARE
      *    IF2580.CBL      2580-VAL-GRP-PMT-CALC
      *    IF2585.CBL      2585-VAL-REINS-LOSS-TRANS
      *    IF2590.CBL      2590-VAL-STAGE-CODE
      *    IF2595.CBL      2595-VAL-LOSS-CAUSE-CD
      *    IF2600.CBL      2600-VAL-SIMPLE-CLAIM-FL
      *    IF2605.CBL      *** NOT ASSIGNED ***
      *    IF2610.CBL      2610-VAL-T21-YIELD-QUOTA
      *    IF2615.CBL      2615-VAL-LOSS-GUARANTEE
      *    IF2620.CBL      *** NOT ASSIGNED ***
      *    IF2625.CBL      *** NOT ASSIGNED ***
      *    IF2630.CBL      2630-VAL-INDEMNITY
      *    IF2705.CBL      2705-VAL-INACTIVE-DATE
      *    IF2706.CBL      2706-VAL-COUNTY
      *    IF2707.CBL      2707-VAL-ADDRESS-STATE
      *    IF2708.CBL      2708-VAL-ZIP-CODE
      ***************************************************************
       COPY 'IF/IF2000.CBL'.


      ***************************************************************
      * File:      IR3000.CBL
      * Author:    Mike Ray
      * Date:      01/17/96
      * Purpose:
      *    This copy file contains the inter-record validation
      *    modules.
      *
      * Contains:
      *    IR3100.CBL  3100-PROCESS-HELD-CROP
      *    IR3200.CBL  3200-PROCESS-HELD-POLICY
      *
      * Policy Edits:
      *    IR3010A.CBL 3010-VAL-POLICY
      *    IR3300.CBL  3300-FIND-REQUIRED-SBI
      *
      * SBI Edits:
      *    IR3010B.CBL 3010-VAL-SBI-TABLE
      *
      * Type 11 Edits:
      *    IR3011.CBL  3011-VAL-T11-TABLE
      *    IR3370.CBL  3370-SAME-CVG-LVL-PCT
      *    IR3375.CBL  3375-VAL-RELATED-TYPE-15
      *    IR3380.CBL  3380-VAL-RELATED-TYPE-14
      *    IR3385.CBL  3385-VAL-TYPE-10-ID-TYPE
      *    IR3390.CBL  3390-VAL-UNIQUE-FSN-UNIT
      *    IR3395.CBL  3395-VAL-PP-ACRES
      *
      * Type 12 Edits:
      *    IR3012.CBL  3012-VAL-T12-TABLE
      *    IR3405.CBL  3405-VAL-RECORD-NUMBER
      *    IR3410.CBL  3410-VAL-PREPAYMENT-FLG
      *    IR3420.CBL  3420-VAL-PAID-AMOUNT
      *
      * Type 14 Edits:
      *    IR3014.CBL  3014-VAL-T14-TABLE
      *    IR3320.CBL  3320-VAL-T14-BRANCH-OFF
      *    IR3330.CBL  3330-CHECK-ENTITY-TYPE
      *    IR3340.CBL  3340-SAME-ASGD-RISK
      *    IR3345.CBL  3345-SAME-ASGD-RISK
      *    IR3350.CBL  3350-LIMIT-NO-OF-TYPE-14
      *    IR3360.CBL  3360-DETERMINE-VAL-REFUND
      *
      * Type 15 Edits:
      *    IR3015.CBL  3015-VAL-T15-TABLE
      *    IR3430.CBL  3430-FIND-T14-FOR-T15
      *
      * Type 16 Edits:
      *    IR3016.CBL  3016-VAL-T16-TABLE
      *
      * Type 20 Edits:
      *    IR3020.CBL  3020-VAL-T20-TABLE
      *    IR3495.CBL  3495-COMP-TOTALS-20-21
      *    IR3500.CBL  3500-REJECT-CLAIM-NO
      *
      * Type 21 Edits:
      *    IR3021.CBL  3021-VAL-T21-TABLE
      *    IR3400.CBL  3400-VAL-RELATED-TYPE-20
      *    IR3425.CBL  3425-VAL-RELATED-TYPE-11
      *    IR3485.CBL  3485-COMP-UNIT-TOT-21-11
      *    IR3505.CBL  3505-COMP-CROP-TOT-21-11
      *
      * Type 22 Edits:
      *    IR3022.CBL  3022-VAL-T21N-TABLE
      *    IR3415.CBL  3415-VAL-REL-T20-NURSERY
      *    IR3490.CBL  3490-COMP-UNIT-TOT-22-11
      *    IR3535.CBL  3535-VAL-REL-T11-NURSERY
      *
      * Type 50 Edits:
      *    IR3050.CBL  3050-VAL-T50-TABLE
      ***************************************************************
       COPY 'IR/IR3000.CBL'.

      ***************************************************************
      * File:      C4000.CBL
      * Author:    Mike Ray
      * Date:      05/21/96
      * Purpose:
      *    This copy file contains the modules that perform complex
      *    or repetitive calculations.
      *
      * Contains:
      *    C4105.CBL      4105-CALC-IP-DOLLAR-AMT
      *    C4200.CBL      4200-CALC-AR-CUTOFF-DT
      *    C4205.CBL      4205-CALC-APH-GUARANTEE
      *    C4210.CBL      4210-CALC-QUOTA-PNUT-GUAR
      *    C4215.CBL      4215-CALC-DOLLAR-GUAR
      *    C4220.CBL      4220-CALC-CITMAC-GUAR
      *    C4225.CBL      4225-CALC-YLDDLR-GUAR
      *    C4230.CBL      4230-CALC-GRP-GUARANTEE
      *    C4235.CBL      4235-CALC-GTOBACCO-GUAR
      *    C4240.CBL      4240-CALC-QTOBACCO-GUAR
      *    C4245.CBL      4245-CALC-CRC-GUARANTEE
      *    C4250.CBL      4250-CALC-FL-FRUIT-GUAR
      *    C4305.CBL      4305-CALC-APH-LIABILITY
      *    C4310.CBL      4310-CALC-QUOTA-PNUT-LIAB
      *    C4315.CBL      4315-CALC-DOLLAR-LIAB
      *    C4320.CBL      4320-CALC-CITMAC-LIAB
      *    C4325.CBL      4325-CALC-YLDDLR-LIAB
      *    C4330.CBL      4330-CALC-GRP-LIABILITY
      *    C4335.CBL      4335-CALC-GTOBACCO-LIAB
      *    C4340.CBL      4340-CALC-QTOBACCO-LIAB
      *    C4345.CBL      4345-CALC-CRC-LIABILITY
      *    C4350.CBL      4350-CALC-FL-FRUIT-LIAB
      *    C4355.CBL      4355-CALC-IP-LIABILITY
      *    C4405.CBL      4405-CALC-APH-PREMIUM
      *    C4410.CBL      4410-CALC-QUOTA-PNUT-PREM
      *    C4415.CBL      4415-CALC-DOLLAR-PREM
      *    C4420.CBL      4420-CALC-CITMAC-PREM
      *    C4425.CBL      4425-CALC-YLDDLR-PREM
      *    C4430.CBL      4430-CALC-GRP-PREMIUM
      *    C4435.CBL      4435-CALC-GTOBACCO-PREM
      *    C4440.CBL      4440-CALC-QTOBACCO-PREM
      *    C4445.CBL      4445-CALC-CRC-PREMIUM
      *    C4450.CBL      4450-CALC-FL-FRUIT-PREM
      *    C4505.CBL      4505-CALC-PRELIM-GRP-PMT
      *    C4510.CBL      4510-CALC-FINAL-GRP-PMT
      *    C4605.CBL      4605-CALC-STAGE-GUARANTEE
      *    C4610.CBL      4610-CALC-TOT-REV-GUAR
      *    C4615.CBL      4615-CALC-LOSS-GUARANTEE
      *    C4620.CBL      4620-CALC-RPLNT-LOSS-GUAR
      *    C4625.CBL      4625-CALC-IP-LOSS-DLR-AMT
      *    C4650.CBL      4650-CALC-FARM-UNIT-DEF-1
      *    C4655.CBL      4655-CALC-FARM-UNIT-DEF-2
      *    C4675.CBL      4675-CALC-REPLANT-INDEM
      *    C4680.CBL      4680-CALC-HYBRID-INDEM
      *    C4685.CBL      4685-CALC-CRC-INDEMNITY
      *    C4690.CBL      4690-CALC-IP-INDEMNITY
      *    C4695.CBL      4695-CALC-REG-INDEMNITY
      *    C4697.CBL      4697-CALC-PRELIM-PMT
      *    C4699.CBL      4699-CALC-FINAL-PMT
      ***************************************************************
       COPY 'CALC/C4000.CBL'.

      ***************************************************************
      * File:      M7000.CBL
      * Author:    Mike Ray
      * Date:      01/11/96
      * Purpose:
      *    This copy file contains the paragraphs needed for table
      *    input and output.
      *
      * Contains:  M7005.CBL 7005-ADD-SBI-RECORD
      *            M7010.CBL 7010-ADD-T11-RECORD
      *            M7012.CBL 7012-ADD-T12-RECORD
      *            M7015.CBL 7015-ADD-T14-RECORD
      *            M7020.CBL 7020-ADD-T15-RECORD
      *            M7025.CBL 7025-ADD-T16-RECORD
      *            M7030.CBL 7030-ADD-T20-RECORD
      *            M7035.CBL 7035-ADD-T21-RECORD
      *            M7037.CBL 7037-ADD-T21N-RECORD
      *            M7040.CBL 7040-ADD-T50-RECORD
      *            M7045.CBL 7045-ADD-ASGD-RISK-RECORD
      *            M7099.CBL 7099-BUFFER-POLICY-RECORD
      *            M7200.CBL 7200-LOAD-IP-TBL
      *            M7205.CBL 7205-LOAD-COMPANY-TBL
      *            M7210.CBL 7210-LOAD-FIPS-ST-TBL
      *            M7215.CBL 7215-LOAD-COUNTY-TBL
      *            M7220.CBL 7220-LOAD-CROP-TBL
      *            M7225.CBL 7225-LOAD-CROP-TYPE-TBL
      *            M7230.CBL 7230-LOAD-CROP-POL-TY-TBL
      *            M7235.CBL 7235-LOAD-ERROR-MSG-TBL
      *            M7250.CBL 7250-LOOKUP-IP
      *            M7255.CBL 7255-LOOKUP-COMPANY
      *            M7260.CBL 7260-LOOKUP-FIPS-STATE
      *            M7265.CBL 7265-LOOKUP-COUNTY
      *            M7270.CBL 7270-LOOKUP-CROP
      *            M7275.CBL 7275-LOOKUP-CROP-TYPE
      *            M7280.CBL 7280-LOOKUP-CPT-TBL
      *            M7285.CBL 7285-LOOKUP-ERROR-MSG
      *            M7287.CBL 7287-INCREMENT-ERR-COUNT
      *            M7290.CBL 7290-LOOKUP-UM
      *            M7295.CBL 7295-LOAD-UM-TBL
      *            M7300.CBL 7300-LOAD-STAGE-CROP-TBL
      *            M7315.CBL 7315-LOOKUP-STATE-ABBREV
      *            M7320.CBL 7320-LOAD-LOSS-CAUSE-CROP
      *            M7325.CBL 7325-LOAD-CROP-LIMIT-TBL
      *            M7330.CBL 7330-LOOKUP-CROP-LIMIT
      *            M7350.CBL 7350-LOOKUP-STAGE-CROP
      *            M7355.CBL 7355-LOOKUP-LOSS-CSE-CROP
      *            M7360.CBL 7360-LOAD-STAGE-TBL
      *            M7365.CBL 7365-LOOKUP-STAGE-CD
      *            M7370.CBL 7370-LOAD-LOSS-CAUSE-TBL
      *            M7375.CBL 7375-LOOKUP-LOSS-CAUSE-CD
      ********************************************************
      *         *** ADM ISAM LOOKUPS ***
      *            M7505.CBL 7505-LOOKUP-ADM1
      *            M7507.CBL 7507-LOOKUP-ADM1G
      *            M7510.CBL 7510-LOOKUP-ADM2
      *            M7515.CBL 7515-LOOKUP-ADM3
      *            M7520.CBL 7520-LOOKUP-ADM4
      *            M7525.CBL 7525-LOOKUP-ADMH
      *            M7530.CBL 7530-LOOKUP-ADMM
      *            M7535.CBL 7535-LOOKUP-ADMO
      *            M7540.CBL 7540-LOOKUP-ADMR
      *            M7545.CBL 7545-LOOKUP-ADM8
      *            M7550.CBL 7550-LOOKUP-ADMTF
      *            M7555.CBL 7555-LOOKUP-ADMSSN
      *            M7558.CBL 7558-LOOKUP-ADMY
      *            M7575.CBL 7575-LOOKUP-ADMC
      *            M7580.CBL 7580-LOOKUP-ZIP-CODE
      *            M7582.CBL 7582-LOOKUP-STATE
      *            M7583.CBL 7583-LOOKUP-COUNTY
      *            M7585.CBL 7585-LOOKUP-ADMVC
      *            M7590.CBL 7590-LOOKUP-ADMVS
      *            M7595.CBL 7595-LOOKUP-ADMWE
      *            M7600.CBL 7600-LOOKUP-ADMWF
      ********************************************************
      *         *** SUBMISSION DATES ISAM LOOKUPS ***
      *            M7560.CBL 7560-LOOKUP-TYPE-14-DATES
      *            M7565.CBL 7565-LOOKUP-TYPE-11-DATES
      ********************************************************
       COPY 'TABLES/M7000.CBL'.


      ***************************************************************
      * File:      M8000.CBL
      * Author:    Mike Ray
      * Date:      8/10/95
      * Purpose:
      *    This copy file contains the error handler modules needed
      *    to create transaction errors, SQL errors, internal errors,
      *    and logfile messages, as well as the routine to produce
      *    type the error report to be sent back to the IP in lieu of
      *    the old type 99 records.
      *
      * Contains:  M8005.CBL 8005-INIT-ERRORHANDLER
      *            M8006.CBL 8006-VAL-BASE-ERR-FLDS
      *            M8010.CBL 8010-RECORD-SQL-ERROR
      *            M8020.CBL 8020-RECORD-INT-ERROR
      *            M8030.CBL 8030-RECORD-LOG-MESSAGE
      *            M8040.CBL 8040-RECORD-FILE-ERROR
      *            M8050.CBL 8050-WRITE-TEMP-ERROR-REC
      ***************************************************************
       COPY 'ERROR/M8000.CBL'.
