      ***************************************************************
      * File:      M8000.CBL
      * Author:    Mike Ray
      * Date:      8/10/95
      * Purpose:
      *    This copy file contains the error handler modules needed
      *    to create transaction errors, SQL errors, internal errors,
      *    and logfile messages, as well as the routine to produce
      *    type the error report to be sent back to the IP in lieu of
      *    the old type 99 records.
      *
      * Contains:  M8005.CBL 8005-INIT-ERRORHANDLER
      *            M8006.CBL 8006-VAL-BASE-ERR-FLDS
      *            M8007.CBL 8007-LOAD-IR-ERRORS
      *            M8010.CBL 8010-RECORD-SQL-ERROR
      *            M8020.CBL 8020-RECORD-INT-ERROR
      *            M8030.CBL 8030-RECORD-LOG-MESSAGE
      *            M8040.CBL 8040-RECORD-FILE-ERROR
      *            M8050.CBL 8050-WRITE-TEMP-ERROR-REC
      ***************************************************************


       8000-RECORD-TRAN-ERROR.

      $IF DEBUG-SW DEFINED
           DISPLAY '8000-RECORD TRANSACTION ERROR'
           UPON CONSOLE
      $END
            PERFORM 8006-VAL-BASE-ERR-FLDS
               THRU 8006-VAL-BASE-ERR-FLDS-EXIT

      *****************************************************
      *             SPECIFIC ERROR FIELDS                 *
      *                                                   *
      *            - SET FOR EVERY ERROR -                *
      *****************************************************



      *****************************************************
      *  IF THE TRANSACTION SEQUENCE NUMBER IS NOT PASSED *
      *  BY THE CALLING PARAGRAPH, THEN THE ERROR IS      *
      *  ASSUMED TO BE FOR THE CURRENT INPUT TRANSACTION  *
      *****************************************************

           IF WS-8000-TRAN-SEQ-NO = ZEROS OR
              WS-8000-TRAN-SEQ-NO = SPACES
              IF WS-8000-ERROR-TYPE = WS-LITERAL-IR
                 MOVE 8000 TO WS-8020-PARAGRAPH-NO
                 MOVE 90027 TO WS-8020-INT-ERROR-NO
                 MOVE 'Tran Seq #' TO WS-8020-FIELD-NAME
                 MOVE SPACES TO WS-8020-BAD-DATA
                 MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
                 PERFORM 8020-RECORD-INT-ERROR
                    THRU 8020-RECORD-INT-ERROR-EXIT
                 GO TO 8000-RECORD-TRAN-ERROR-EXIT
              ELSE
                 IF WS-0004-TRAN-SEQ-NO NOT = SPACES
                    MOVE WS-0004-TRAN-SEQ-NO TO WS-8000-TRAN-SEQ-NO
                 ELSE
                    MOVE 8000 TO WS-8020-PARAGRAPH-NO
                    MOVE 000004 TO WS-8020-INT-ERROR-NO
                    MOVE 'WS-0004-TRAN-SEQ #' TO WS-8020-FIELD-NAME
                    MOVE SPACES TO WS-8020-BAD-DATA
                    MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
                    PERFORM 8020-RECORD-INT-ERROR
                       THRU 8020-RECORD-INT-ERROR-EXIT
                    GO TO 8000-RECORD-TRAN-ERROR-EXIT
                 END-IF
              END-IF
           ELSE
              IF WS-8000-TRAN-SEQ-NO IS NOT NUMERIC
                 MOVE 8000 TO WS-8020-PARAGRAPH-NO
                 MOVE 90001 TO WS-8020-INT-ERROR-NO
                 MOVE 'WS-8000-TRAN-SEQ-NO' TO WS-8020-FIELD-NAME
                 PERFORM 8020-RECORD-INT-ERROR
                    THRU 8020-RECORD-INT-ERROR-EXIT
                 GO TO 8000-RECORD-TRAN-ERROR-EXIT
              END-IF
           END-IF

           IF WS-8000-ERROR-CODE = SPACES
              MOVE 8000 TO WS-8020-PARAGRAPH-NO
              MOVE 90001 TO WS-8020-INT-ERROR-NO
              MOVE 'WS-8000-ERROR-CODE ' TO WS-8020-FIELD-NAME
              MOVE WS-8000-ERROR-CODE TO WS-8020-BAD-DATA
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
              GO TO 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-8000-ERROR-TYPE = SPACES
              MOVE 8000 TO WS-8020-PARAGRAPH-NO
              MOVE 90002 TO WS-8020-INT-ERROR-NO
              MOVE 'WS-8000-ERROR-TYPE ' TO WS-8020-FIELD-NAME
              MOVE WS-8000-ERROR-TYPE TO WS-8020-BAD-DATA
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
              GO TO 8000-RECORD-TRAN-ERROR-EXIT
           END-IF


           IF WS-8000-PARAGRAPH-NO = ZEROS
              MOVE 8000 TO WS-8020-PARAGRAPH-NO
              MOVE 90032 TO WS-8020-INT-ERROR-NO
              MOVE 'WS-8000-PARAGRAPH-NO' TO WS-8020-FIELD-NAME
              MOVE SPACES TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
              GO TO 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

      *    *** ON AN INTER-RECORD ERROR, THE CURRENT
      *    *** CROP MAY BE DIFFERENT THEN THE CROP
      *    *** CODE IN WS-8000 BECAUSE THE WS-8000
      *    *** VALUE IS SET BY THE INPUT TRANSACTION
      *    *** WHICH MAY BE A DIFFERENT CROP THEN THOSE
      *    *** CURRENTLY IN THE CROP TABLE.
           IF WS-8000-ERROR-TYPE = WS-LITERAL-IR
              IF WS-8000-CROP-CD = SPACES
                 MOVE WS-0006-CROP-CODE
                   TO WS-8000-CROP-CD
              END-IF
              IF WS-8000-INSURANCE-PLAN-ID = SPACES
                 MOVE WS-0006-INS-PLAN-CD
                   TO WS-8000-INSURANCE-PLAN-ID
              END-IF
              IF WS-8000-LOC-COUNTY = SPACES
                 MOVE WS-0006-LOC-COUNTY
                   TO WS-8000-LOC-COUNTY
              END-IF
              IF WS-8000-RECORD-NUM = SPACES
                 MOVE '000' TO WS-8000-RECORD-NUM
              END-IF
           ELSE
              IF WS-8000-CROP-CD = SPACES
                 MOVE WS-0006-CROP-CODE
                   TO WS-8000-CROP-CD
                 MOVE WS-0006-INS-PLAN-CD
                   TO WS-8000-INSURANCE-PLAN-ID
                 MOVE WS-0006-LOC-COUNTY
                   TO WS-8000-LOC-COUNTY
                 MOVE '000' TO WS-8000-RECORD-NUM
              END-IF
           END-IF

      *    *** IF THE SHORT ERROR IS 02 THEN THERE
      *    *** IS A NUMERIC ERROR.
           IF WS-8000-SHORT-ERROR = 002
              MOVE WS-LITERAL-YES TO WS-0007-NUMERIC-ERROR
           END-IF

      *****************************************************
      *   FIELD-NAME AND BAD-DATA ARE OPTIONAL            *
      *****************************************************


      *****************************************************
      *          INCREMENT ERROR SEQUENCE NUMBER          *
      *****************************************************
           ADD 1 TO WS-0004-ERR-SEQ-NO.

      *****************************************************
      *              UPDATE ERROR STATISTICS              *
      *****************************************************

           EVALUATE WS-8000-ERROR-TYPE
               WHEN WS-LITERAL-PR
                    MOVE WS-LITERAL-YES
                      TO WS-0007-REJECT-TRANSACTION
                    MOVE WS-0007-REJECT-TRANSACTION
                      TO WS-TRAN-REJ-FLAG
                    ADD 1 TO WS-0008-PROGRAMMER-ERRORS
               WHEN WS-LITERAL-FV
                    MOVE WS-LITERAL-YES
                      TO WS-0007-REJECT-TRANSACTION
                    MOVE WS-0007-REJECT-TRANSACTION
                      TO WS-TRAN-REJ-FLAG
                    ADD 1 TO WS-0008-FIELD-VAL-ERRORS
               WHEN WS-LITERAL-IF
                    MOVE WS-LITERAL-YES
                      TO WS-0007-REJECT-TRANSACTION
                    MOVE WS-0007-REJECT-TRANSACTION
                      TO WS-TRAN-REJ-FLAG
                    ADD 1 TO WS-0008-INTER-FIELD-VAL-ERRORS
               WHEN WS-LITERAL-IR
                    ADD 1 TO WS-0008-INTER-REC-VAL-ERRORS
               WHEN OTHER
                    MOVE 8000 TO WS-8020-PARAGRAPH-NO
                    MOVE 90002 TO WS-8020-INT-ERROR-NO
                    MOVE 'WS-8000-ERROR-TYPE-FL' TO WS-8020-FIELD-NAME
                    PERFORM 8020-RECORD-INT-ERROR
                       THRU 8020-RECORD-INT-ERROR-EXIT
                    GO TO 8000-RECORD-TRAN-ERROR-EXIT
           END-EVALUATE

      *****************************************************
      *           WRITE ERROR RECORD TO FILE OR DB        *
      *****************************************************


      $IF ISAM-SW DEFINED
              INITIALIZE WS-8050-TEMP-ERROR-REC
              MOVE WS-8000-BATCH-NO TO WS-8050-BATCH-NO
              MOVE WS-8000-MDAS-PROCESS-NO TO WS-8050-MDAS-PROCESS-NO
              MOVE WS-8000-FCIC-DATE TO WS-8050-FCIC-DATE
              MOVE WS-8000-TRAN-SEQ-NO TO WS-8050-TRAN-SEQ-NO
              MOVE WS-0004-ERR-SEQ-NO TO WS-8050-ERR-SEQ-NO
              MOVE WS-8000-ERROR-TYPE TO WS-8050-ERROR-TYPE
              MOVE WS-8000-ERROR-CODE TO WS-8050-ERROR-CODE
              MOVE WS-8000-TRAN-TYPE TO WS-8050-TRAN-TYPE
              MOVE WS-8000-POLICY-NO TO WS-8050-POLICY-NO
              MOVE WS-8000-CROP-CD TO WS-8050-CROP-CD
              MOVE WS-8000-INSURANCE-PLAN-ID
                TO WS-8050-INSURANCE-PLAN-ID
              MOVE WS-8000-LOC-COUNTY
                TO WS-8050-LOC-COUNTY
              MOVE WS-8000-RECORD-NUM
                TO WS-8050-RECORD-NUM
              MOVE WS-8000-FIELD-NAME1 TO WS-8050-FIELD-NAME1
              MOVE WS-8000-FIELD-NAME2 TO WS-8050-FIELD-NAME2
              MOVE WS-8000-FIELD-NAME3 TO WS-8050-FIELD-NAME3
              MOVE WS-8000-BAD-DATA1 TO WS-8050-BAD-DATA1
              MOVE WS-8000-BAD-DATA2 TO WS-8050-BAD-DATA2
              MOVE WS-8000-BAD-DATA3 TO WS-8050-BAD-DATA3
              MOVE WS-8000-CORR-DATA1 TO WS-8050-CORR-DATA1
              MOVE WS-8000-CORR-DATA2 TO WS-8050-CORR-DATA2
              MOVE WS-8000-CORR-DATA3 TO WS-8050-CORR-DATA3
              MOVE WS-8000-TABLE-NAME TO WS-8050-TABLE-NAME
              MOVE WS-8000-PARAGRAPH-NO TO WS-8050-PARAGRAPH-NO
              PERFORM 8050-WRITE-TEMP-ERROR-REC
                 THRU 8050-WRITE-TEMP-ERROR-REC-EXIT

              INITIALIZE WS-7287-ERROR-NO
              MOVE WS-8000-ERROR-CODE TO WS-7287-ERROR-NO
              PERFORM 7287-INCREMENT-ERR-COUNT
                 THRU 7287-INCREMENT-ERR-COUNT-EXIT
              IF NOT MATCH-FOUND-7287
                 MOVE WS-8000-PARAGRAPH-NO
                   TO WS-8020-PARAGRAPH-NO
                 MOVE 90031 TO WS-8020-INT-ERROR-NO
                 MOVE '8000 ERR CD' TO WS-8020-FIELD-NAME
                 MOVE WS-8000-ERROR-CODE TO WS-8020-BAD-DATA
                 MOVE WS-LITERAL-NO TO WS-8020-ABORT-PROGRAM
                 PERFORM 8020-RECORD-INT-ERROR
                    THRU 8020-RECORD-INT-ERROR-EXIT
              END-IF
      $END

      *****************************************************
      *               DEBUG ERROR MESSAGE                 *
      *****************************************************

      $IF DEBUG-SW DEFINED
              DISPLAY 'TRAN SEQ # IS ', WS-8000-TRAN-SEQ-NO
              UPON CONSOLE
              DISPLAY 'ERROR CODE IS ', WS-8000-ERROR-CODE
              UPON CONSOLE
              DISPLAY WS-8000-FIELD-NAME1, '= ', WS-8000-BAD-DATA1
              UPON CONSOLE
              DISPLAY 'SHOULD BE ', WS-8000-CORR-DATA1
              UPON CONSOLE
              MOVE WS-8000-ERROR-CODE TO WS-7285-ERROR-NO
              PERFORM 7285-LOOKUP-ERROR-MSG-TBL
                 THRU 7285-LOOKUP-ERROR-MSG-TBL-EXIT
              IF MATCH-FOUND-7285
                 DISPLAY WS-7285-ERROR-MSG
                 UPON CONSOLE
              ELSE
                 DISPLAY 'ERROR MESSAGE NOT FOUND IN LOOKUP TABLE'
                 UPON CONSOLE
              END-IF
              DISPLAY 'PARAGRAPH NUMBER IS ', WS-8000-PARAGRAPH-NO
              UPON CONSOLE
      $END

      *****************************************************
      *           RESET ERROR FIELDS FOR NEXT TIME        *
      *****************************************************

           INITIALIZE WS-8000-TRAN-ERROR-FIELDS.
           INITIALIZE WS-8050-TEMP-ERROR-REC.



       8000-RECORD-TRAN-ERROR-EXIT.
           EXIT.

       COPY 'ERROR/M8005.CBL'.
       COPY 'ERROR/M8006.CBL'.
       COPY 'ERROR/M8007.CBL'.
       COPY 'ERROR/M8010.CBL'.
       COPY 'ERROR/M8020.CBL'.
       COPY 'ERROR/M8030.CBL'.
       COPY 'ERROR/M8040.CBL'.
       COPY 'ERROR/M8050.CBL'.



