      ***************************************************************
      * File:      M8005.CBL
      * Author:    Mike Ray
      * Date:      8/13/95
      * Purpose:
      *    THIS COPY FILE CONTAINS THE INITIALIZATION ROUTINE FOR THE
      *    ERROR RECORDING MODULE.  IT TAKES THE CURRENT BATCH,
      *    CURRENT POLICY, AND CURRENT TRANSACTION INFORMATION AND
      *    USES IT TO POPULATE THE DATA COMMON TO ALL ERROR TYPES.
      *
      ***************************************************************

       8005-INIT-ERRORHANDLER.

      $IF DEBUG-SW DEFINED
           DISPLAY '8005-INITIALIZING ERROR HANDLER'
           UPON CONSOLE
      $END

           MOVE WS-0004-BATCH-NO TO WS-8000-BATCH-NO
           MOVE WS-0004-MDAS-PROCESS-NO TO WS-8000-MDAS-PROCESS-NO
           MOVE WS-0004-BATCH-INS-PROV TO WS-8000-INS-PROV
           MOVE WS-0004-CURRENT-BOOK-NO TO WS-8000-BOOK-NO
           MOVE WS-0004-TRAN-SEQ-NO TO WS-8000-TRAN-SEQ-NO
           MOVE WS-0004-FILE-NAME TO WS-8000-FILE-NAME
           MOVE WS-0004-FCIC-PROC-DATE TO WS-8000-FCIC-DATE
           MOVE WS-0004-FCIC-PROC-TIME TO WS-8000-FCIC-TIME
           MOVE WS-TRAN-TYPE TO WS-8000-TRAN-TYPE
           IF WS-T-REPORTING-ORG = SPACES
              MOVE '??' TO WS-8000-REPORTING-ORG
              MOVE WS-LITERAL-YES TO WS-0007-POLICY-NO-ERROR
           ELSE
              MOVE WS-T-REPORTING-ORG TO WS-8000-REPORTING-ORG
           END-IF
           IF WS-T-LOC-STATE = SPACES
              MOVE '??' TO WS-8000-LOC-STATE
              MOVE WS-LITERAL-YES TO WS-0007-POLICY-NO-ERROR
           ELSE
              MOVE WS-T-LOC-STATE TO WS-8000-LOC-STATE
           END-IF
           IF WS-T-COMPANY-COUNTY = SPACES
              MOVE '???' TO WS-8000-COMPANY-COUNTY
              MOVE WS-LITERAL-YES TO WS-0007-POLICY-NO-ERROR
           ELSE
              MOVE WS-T-COMPANY-COUNTY TO WS-8000-COMPANY-COUNTY
           END-IF
           IF WS-T-POLICY-NUM = SPACES
              MOVE '???????' TO WS-8000-POLICY-NUM
              MOVE WS-LITERAL-YES TO WS-0007-POLICY-NO-ERROR
           ELSE
              MOVE WS-T-POLICY-NUM TO WS-8000-POLICY-NUM
           END-IF
           IF WS-T-CROP-YEAR = SPACES
              MOVE '????' TO WS-8000-CROP-YEAR
              MOVE WS-LITERAL-YES TO WS-0007-POLICY-NO-ERROR
           ELSE
              MOVE WS-T-CROP-YEAR TO WS-8000-CROP-YEAR
           END-IF
           EVALUATE WS-TRAN-TYPE
               WHEN 10
                  MOVE '0000' TO WS-8000-CROP-CD
                  MOVE '00' TO WS-8000-INSURANCE-PLAN-ID
                  MOVE '000' TO WS-8000-LOC-COUNTY
                  MOVE WS-T10-RECORD-NUM TO WS-8000-RECORD-NUM
               WHEN 11
                  MOVE WS-T11-CROP-CD-X TO WS-8000-CROP-CD
                  MOVE WS-T11-INSUR-PLAN-CD-X
                       TO WS-8000-INSURANCE-PLAN-ID
                  MOVE WS-T11-LOCATION-COUNTY
                    TO WS-8000-LOC-COUNTY
                  MOVE WS-T11-RECORD-NUM
                    TO WS-8000-RECORD-NUM
               WHEN 14
                  MOVE WS-T14-CROP-CD-X TO WS-8000-CROP-CD
                  MOVE WS-T14-INSURANCE-PLAN-ID-X
                       TO WS-8000-INSURANCE-PLAN-ID
                  MOVE WS-T14-LOCATION-COUNTY
                    TO WS-8000-LOC-COUNTY
                  MOVE WS-T14-RECORD-NUM
                    TO WS-8000-RECORD-NUM
               WHEN 15
                  MOVE WS-T15-CROP-CD-X TO WS-8000-CROP-CD
                  MOVE WS-T15-INS-PLAN-CD-X
                       TO WS-8000-INSURANCE-PLAN-ID
                  MOVE WS-T15-LOCATION-COUNTY
                    TO WS-8000-LOC-COUNTY
                  MOVE WS-T15-RECORD-NUMBER
                    TO WS-8000-RECORD-NUM
               WHEN 21
                  MOVE WS-T21-CROP-CD-X TO WS-8000-CROP-CD
                  MOVE WS-T21-INS-PLAN-CD-X
                    TO WS-8000-INSURANCE-PLAN-ID
                  MOVE WS-T21-LOCATION-COUNTY
                    TO WS-8000-LOC-COUNTY
                  MOVE WS-T21-RECORD-NUM
                    TO WS-8000-RECORD-NUM
               WHEN 33
                  MOVE WS-T33-CROP-CD-X TO WS-8000-CROP-CD
                  MOVE '00' TO WS-8000-INSURANCE-PLAN-ID
                  MOVE '000' TO WS-8000-LOC-COUNTY
                  MOVE '000' TO WS-8000-RECORD-NUM
               WHEN 49
                  MOVE '0000' TO WS-8000-CROP-CD
                  MOVE '00' TO WS-8000-INSURANCE-PLAN-ID
                  MOVE '000' TO WS-8000-LOC-COUNTY
                  MOVE '000' TO WS-8000-RECORD-NUM
               WHEN 50
                  MOVE WS-T50-CROP-CD-X TO WS-8000-CROP-CD
                  MOVE '00' TO WS-8000-INSURANCE-PLAN-ID
                  MOVE '000' TO WS-8000-LOC-COUNTY
                  MOVE '000' TO WS-8000-RECORD-NUM
               WHEN OTHER
                  MOVE '0000' TO WS-8000-CROP-CD
                  MOVE '00' TO WS-8000-INSURANCE-PLAN-ID
                  MOVE '000' TO WS-8000-LOC-COUNTY
                  MOVE '000' TO WS-8000-RECORD-NUM
           END-EVALUATE.


       8005-INIT-ERRORHANDLER-EXIT.
           EXIT.
