      ***************************************************************
      * File:      M8007.CBL
      * Author:    Alice Will
      * Date:      2/25/97
      * Purpose:
      *    This copy file contains the logic to populate the
      *    WS-8000-ERROR-FIELDS from the correct indexed table
      *    record, when an error occurs during inter-record (IR)
      *    validation.
      *
      ***************************************************************

       8007-LOAD-IR-TABLE-ERRORS.

      $IF DEBUG-SW DEFINED
           DISPLAY '8007-LOADING IR TABLE ERRORS'
           UPON CONSOLE
      $END

           IF WS-8000-ERROR-TYPE <> WS-LITERAL-IR
              GO TO 8007-LOAD-IR-TABLE-ERRORS-EXIT
           END-IF

           MOVE WS-0004-BATCH-NO TO WS-8000-BATCH-NO
           MOVE WS-0004-BATCH-INS-PROV TO WS-8000-INS-PROV
           MOVE WS-0004-CURRENT-BOOK-NO TO WS-8000-BOOK-NO
           MOVE WS-0004-TRAN-SEQ-NO TO WS-8000-TRAN-SEQ-NO
           MOVE WS-0004-FILE-NAME TO WS-8000-FILE-NAME
           MOVE WS-0004-FCIC-PROC-DATE TO WS-8000-FCIC-DATE
           MOVE WS-0004-FCIC-PROC-TIME TO WS-8000-FCIC-TIME
           IF WS-T-REPORTING-ORG = SPACES
              MOVE '??' TO WS-8000-REPORTING-ORG
              MOVE WS-LITERAL-YES TO WS-0007-POLICY-NO-ERROR
           ELSE
              MOVE WS-T-REPORTING-ORG TO WS-8000-REPORTING-ORG
           END-IF
           IF WS-T-LOC-STATE = SPACES
              MOVE '??' TO WS-8000-LOC-STATE
              MOVE WS-LITERAL-YES TO WS-0007-POLICY-NO-ERROR
           ELSE
              MOVE WS-T-LOC-STATE TO WS-8000-LOC-STATE
           END-IF
           IF WS-T-COMPANY-COUNTY = SPACES
              MOVE '???' TO WS-8000-COMPANY-COUNTY
              MOVE WS-LITERAL-YES TO WS-0007-POLICY-NO-ERROR
           ELSE
              MOVE WS-T-COMPANY-COUNTY TO WS-8000-COMPANY-COUNTY
           END-IF
           IF WS-T-POLICY-NUM = SPACES
              MOVE '???????' TO WS-8000-POLICY-NUM
              MOVE WS-LITERAL-YES TO WS-0007-POLICY-NO-ERROR
           ELSE
              MOVE WS-T-POLICY-NUM TO WS-8000-POLICY-NUM
           END-IF
           IF WS-T-CROP-YEAR = SPACES
              MOVE '??' TO WS-8000-CROP-YEAR
              MOVE WS-LITERAL-YES TO WS-0007-POLICY-NO-ERROR
           ELSE
              MOVE WS-T-CROP-YEAR TO WS-8000-CROP-YEAR
           END-IF
           IF WS-8000-TRAN-TYPE NUMERIC
             EVALUATE WS-8000-TRAN-TYPE
               WHEN 10
                  CONTINUE
               WHEN 11
                  MOVE WS-LITERAL-YES
                    TO WS-0011-TBL-TRAN-REJECTED-FLAG(WS-0011-T11-INDEX)
                  MOVE WS-0011-TBL-TRAN-SEQ-NO(WS-0011-T11-INDEX)
                    TO WS-8000-TRAN-SEQ-NO
                  MOVE WS-0011-TBL-POLICY-NO(WS-0011-T11-INDEX)
                    TO WS-8000-POLICY-NO
                  MOVE WS-0011-TBL-CROP-CD(WS-0011-T11-INDEX)
                    TO WS-8000-CROP-CD
                  MOVE WS-0011-TBL-INSURANCE-PLAN-CD(WS-0011-T11-INDEX)
                    TO WS-8000-INSURANCE-PLAN-ID
                  MOVE WS-0011-TBL-LOCATION-COUNTY(WS-0011-T11-INDEX)
                    TO WS-8000-LOC-COUNTY
                  MOVE WS-0011-TBL-RECORD-NUM(WS-0011-T11-INDEX)
                    TO WS-8000-RECORD-NUM
               WHEN 12
                  MOVE WS-LITERAL-YES
                    TO WS-0012-TBL-TRAN-REJECTED-FLAG(WS-0012-T12-INDEX)
                  MOVE WS-0012-TBL-TRAN-SEQ-NO(WS-0012-T12-INDEX)
                    TO WS-8000-TRAN-SEQ-NO
                  MOVE WS-0012-TBL-POLICY-NO(WS-0012-T12-INDEX)
                    TO WS-8000-POLICY-NO
                  MOVE '0000' TO WS-8000-CROP-CD
                  MOVE '00' TO WS-8000-INSURANCE-PLAN-ID
                  MOVE '000' TO WS-8000-LOC-COUNTY
                  MOVE WS-0012-TBL-RECORD-NUM(WS-0012-T12-INDEX)
                    TO WS-8000-RECORD-NUM
               WHEN 14
                  MOVE WS-LITERAL-YES
                   TO WS-0014-TBL-TRAN-REJECTED-FLAG (WS-0014-T14-INDEX)
                  MOVE WS-LITERAL-YES TO WS-0006-REJECT-14S-FLAG
                  MOVE WS-0014-TBL-TRAN-SEQ-NO(WS-0014-T14-INDEX)
                   TO WS-8000-TRAN-SEQ-NO
                  MOVE WS-0014-TBL-POLICY-NO(WS-0014-T14-INDEX)
                   TO WS-8000-POLICY-NO
                  MOVE WS-0014-TBL-CROP-CD(WS-0014-T14-INDEX)
                    TO WS-8000-CROP-CD
                  MOVE WS-0014-TBL-INSURANCE-PLAN-CD(WS-0014-T14-INDEX)
                    TO WS-8000-INSURANCE-PLAN-ID
                  MOVE WS-0014-TBL-LOCATION-COUNTY(WS-0014-T14-INDEX)
                    TO WS-8000-LOC-COUNTY
                  MOVE WS-0014-TBL-RECORD-NUM(WS-0014-T14-INDEX)
                   TO WS-8000-RECORD-NUM
               WHEN 15
                  MOVE WS-LITERAL-YES
                    TO WS-0015-TBL-TRAN-REJECTED-FLAG(WS-0015-T15-INDEX)
                  MOVE WS-0015-TBL-TRAN-SEQ-NO(WS-0015-T15-INDEX)
                    TO WS-8000-TRAN-SEQ-NO
                  MOVE WS-0015-TBL-POLICY-NO(WS-0015-T15-INDEX)
                    TO WS-8000-POLICY-NO
                  MOVE WS-0015-TBL-CROP-CD(WS-0015-T15-INDEX)
                    TO WS-8000-CROP-CD
                  MOVE WS-0015-TBL-INSURANCE-PLAN-CD(WS-0015-T15-INDEX)
                    TO WS-8000-INSURANCE-PLAN-ID
                  MOVE WS-0015-TBL-LOCATION-COUNTY(WS-0015-T15-INDEX)
                    TO WS-8000-LOC-COUNTY
                  MOVE WS-0015-TBL-RECORD-NUM(WS-0015-T15-INDEX)
                    TO WS-8000-RECORD-NUM
               WHEN 20
                 MOVE WS-LITERAL-YES
                   TO WS-0020-TBL-TRAN-REJECTED-FLAG(WS-0020-T20-INDEX)
                 MOVE WS-0020-TBL-TRAN-SEQ-NO(WS-0020-T20-INDEX)
                   TO WS-8000-TRAN-SEQ-NO
                 MOVE WS-0020-TBL-POLICY-NO(WS-0020-T20-INDEX)
                   TO WS-8000-POLICY-NO
                 MOVE '0000' TO WS-8000-CROP-CD
                 MOVE '00' TO WS-8000-INSURANCE-PLAN-ID
                 MOVE '000' TO WS-8000-LOC-COUNTY
                 MOVE WS-0020-TBL-RECORD-NUM(WS-0020-T20-INDEX)
                   TO WS-8000-RECORD-NUM
               WHEN 21
                  MOVE WS-LITERAL-YES
                    TO WS-0021-TBL-TRAN-REJECTED-FLAG(WS-0021-T21-INDEX)
                  MOVE WS-0021-TBL-TRAN-SEQ-NO(WS-0021-T21-INDEX)
                    TO WS-8000-TRAN-SEQ-NO
                  MOVE WS-0021-TBL-POLICY-NO(WS-0021-T21-INDEX)
                    TO WS-8000-POLICY-NO
                  MOVE WS-0021-TBL-CROP-CD(WS-0021-T21-INDEX)
                    TO WS-8000-CROP-CD
                  MOVE WS-0021-TBL-INSURANCE-PLAN-CD(WS-0021-T21-INDEX)
                    TO WS-8000-INSURANCE-PLAN-ID
                  MOVE WS-0021-TBL-LOCATION-COUNTY(WS-0021-T21-INDEX)
                    TO WS-8000-LOC-COUNTY
                  MOVE WS-0021-TBL-RECORD-NUM(WS-0021-T21-INDEX)
                    TO WS-8000-RECORD-NUM
      *        WHEN 33
      *        WHEN 49
      *        WHEN 50
               WHEN OTHER
                  MOVE '0000' TO WS-8000-CROP-CD
                  move '00' to ws-8000-insurance-plan-id
               END-EVALUATE
           END-IF.


       8007-LOAD-IR-TABLE-ERRORS-EXIT.
           EXIT.
