      ***************************************************************
      * File:      M8010.CBL
      * Author:    Mike Ray
      * Date:      8/10/95
      * Purpose:
      *    This copy file contains the error handler for SQL errors.
      *
      ***************************************************************

       8010-RECORD-SQL-ERROR.

      $IF DEBUG-SW DEFINED
           DISPLAY '8010-RECORDING SQL ERROR'
           UPON CONSOLE
      $END

           PERFORM 8006-VAL-BASE-ERR-FLDS
              THRU 8006-VAL-BASE-ERR-FLDS-EXIT.

           MOVE SPACES TO WS-8010-SQL-MSG.

      *****************************************************
      *             SPECIFIC ERROR FIELDS                 *
      *                                                   *
      *            - SET FOR EVERY ERROR -                *
      *****************************************************

           IF WS-8010-SQL-CODE IS NOT NUMERIC
              MOVE 8010 TO WS-8020-PARAGRAPH-NO
              MOVE 90001 TO WS-8020-INT-ERROR-NO
              MOVE 'WS-8010-SQL-CODE' TO WS-8020-FIELD-NAME
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-8010-PARAGRAPH-NO = SPACES
              MOVE 8010 TO WS-8020-PARAGRAPH-NO
              MOVE 90003 TO WS-8020-INT-ERROR-NO
              MOVE 'WS-8010-PARAGRAPH-NO' TO WS-8020-FIELD-NAME
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-8010-TABLE-NAME = SPACES
              MOVE 8010 TO WS-8020-PARAGRAPH-NO
              MOVE 90003 TO WS-8020-INT-ERROR-NO
              MOVE 'WS-8010-TABLE-NAME' TO WS-8020-FIELD-NAME
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-8010-CRUD-ACTION = SPACES
              MOVE 8010 TO WS-8020-PARAGRAPH-NO
              MOVE 90003 TO WS-8020-INT-ERROR-NO
              MOVE 'WS-8010-CRUD-ACTION' TO WS-8020-FIELD-NAME
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-8010-CRUD-ACTION = 'C' OR
              WS-8010-CRUD-ACTION = 'R' OR
              WS-8010-CRUD-ACTION = 'U' OR
              WS-8010-CRUD-ACTION = 'D'
              NEXT SENTENCE
           ELSE
              MOVE 8010 TO WS-8020-PARAGRAPH-NO
              MOVE 90004 TO WS-8020-INT-ERROR-NO
              MOVE 'WS-8010-CRUD-ACTION' TO WS-8020-FIELD-NAME
              MOVE WS-8010-CRUD-ACTION TO WS-8020-BAD-DATA
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF


      *****************************************************
      *           RESET ERROR FIELDS FOR NEXT TIME        *
      *****************************************************

           INITIALIZE WS-8010-SQL-ERROR.


       8010-RECORD-SQL-ERROR-EXIT.
           EXIT.
