      ***************************************************************
      * File:      M8020.CBL
      * Author:    Mike Ray
      * Date:      8/10/95
      * Purpose:
      *    This copy file contains the error handler for internal
      *    errors.  Internal errors will be written out in a printable
      *    form to the Error Log File.
      *
      ***************************************************************

       8020-RECORD-INT-ERROR.

      $IF DEBUG-SW DEFINED
           DISPLAY '8020-RECORD INTERNAL ERROR'
           UPON CONSOLE
      $END

      *****************************************************
      *             SPECIFIC ERROR FIELDS                 *
      *                                                   *
      *            - SET FOR EVERY ERROR -                *
      *****************************************************
           INITIALIZE WS-8020-ERROR-LINE1
           INITIALIZE WS-8020-ERROR-LINE2
           INITIALIZE WS-8020-ERROR-LINE3

      *****************************************************
      *  IF THE TRANSACTION SEQUENCE NUMBER IS NOT PASSED *
      *  BY THE CALLING PARAGRAPH, THEN THE ERROR IS      *
      *  ASSUMED TO BE FOR THE CURRENT INPUT TRANSACTION  *
      *****************************************************


           IF WS-8000-TRAN-SEQ-NO IS EQUAL ZEROS OR
              WS-8000-TRAN-SEQ-NO IS EQUAL SPACES
              IF WS-0004-TRAN-SEQ-NO NOT = SPACES
                 MOVE WS-0004-TRAN-SEQ-NO TO WS-8000-TRAN-SEQ-NO
              ELSE
                 DISPLAY 'THE TRANSACTION SEQ NO WAS NOT SET FOR THIS
      -          'INTERNAL ERROR!' UPON CONSOLE
                 MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              END-IF
           ELSE
              IF WS-8000-TRAN-SEQ-NO IS NOT NUMERIC
                 DISPLAY 'THE TRANSACTION SEQ NO IS NOT NUMERIC
      -          'FOR THIS INTERNAL ERROR!' UPON CONSOLE
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              END-IF
           END-IF

           IF WS-8020-PARAGRAPH-NO IS NOT NUMERIC
              DISPLAY 'THE PARAGRAPH NUMBER PASSED TO
      -       '8020-RECORD-INT-ERROR WAS NOT NUMERIC!' UPON CONSOLE
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
           END-IF

           IF WS-8020-INT-ERROR-NO IS NUMERIC
              PERFORM 8020-LOOKUP-ERROR-MSG
                 THRU 8020-LOOKUP-ERROR-MSG-EXIT
           ELSE
              DISPLAY 'THE INTERNAL ERROR NUMBER PASSED TO
      -       '8020-RECORD-INT-ERROR WAS NOT NUMERIC!' UPON CONSOLE
              MOVE 'THE ERROR NUMBER WAS NOT PASSED BY THE
      -         'CALLING PARAGRAPH'
                TO WS-8020-LINE3-ERROR-MSG
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
           END-IF

           IF WS-8020-FIELD-NAME = SPACES
              DISPLAY 'THE FIELD NAME WAS NOT PASSED TO
      -       '8020-RECORD-INT-ERROR!' UPON CONSOLE
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
           END-IF

           IF WS-8020-ABORT-PROGRAM = WS-LITERAL-NO
              CONTINUE
           ELSE
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
           END-IF


      *****************************************************
      *             ASSEMBLE ERROR LINE 1                 *
      *****************************************************

           MOVE WS-8000-TRAN-SEQ-NO TO WS-8020-LINE1-TRAN-SEQ-NO
           MOVE WS-8020-PARAGRAPH-NO TO WS-8020-LINE1-PARA-NO
           MOVE WS-8020-FIELD-NAME TO WS-8020-LINE1-FIELD-NAME

      *****************************************************
      *             ASSEMBLE ERROR LINE 2                 *
      *****************************************************
           MOVE WS-8020-BAD-DATA TO WS-8020-LINE2-BAD-DATA

      *****************************************************
      *             ASSEMBLE ERROR LINE 3                 *
      *****************************************************

           MOVE WS-8020-INT-ERROR-NO TO WS-8020-LINE3-INT-ERROR-NO

      *****************************************************
      *             WRITE LINES TO LOG FILE               *
      *****************************************************

           IF LOG-FILE-OPEN
              MOVE WS-8020-ERROR-LINE1 TO ERROR-LOG-REC
              WRITE ERROR-LOG-REC
              MOVE WS-8020-ERROR-LINE2 TO ERROR-LOG-REC
              WRITE ERROR-LOG-REC
              MOVE WS-8020-ERROR-LINE3 TO ERROR-LOG-REC
              WRITE ERROR-LOG-REC
              MOVE WS-8020-BLANK-LINE TO ERROR-LOG-REC
              WRITE ERROR-LOG-REC
           ELSE
              DISPLAY '8020-INTERNAL ERROR - LOG FILE ALREADY CLOSED'
              UPON CONSOLE
              DISPLAY 'ERROR WAS AS FOLLOWS:'
              UPON CONSOLE
              DISPLAY WS-8020-ERROR-LINE1
              UPON CONSOLE
              DISPLAY WS-8020-ERROR-LINE2
              UPON CONSOLE
              DISPLAY WS-8020-ERROR-LINE3
              UPON CONSOLE
           END-IF

      $IF DEBUG-SW DEFINED
           DISPLAY WS-8020-ERROR-LINE1
           UPON CONSOLE
           DISPLAY WS-8020-ERROR-LINE2
           UPON CONSOLE
           DISPLAY WS-8020-ERROR-LINE3
           UPON CONSOLE
      $END

           IF WS-8020-ABORT-PROGRAM = WS-LITERAL-YES
              PERFORM 0800-ABORT-PROGRAM
                 THRU 0800-ABORT-PROGRAM-EXIT
           END-IF


      *****************************************************
      *             INITIALIZE INPUT FIELDS               *
      *****************************************************
           INITIALIZE WS-8020-INT-ERROR.


       8020-RECORD-INT-ERROR-EXIT.
           EXIT.

       8020-LOOKUP-ERROR-MSG.

           MOVE WS-8020-INT-ERROR-NO TO WS-7285-ERROR-NO
           PERFORM 7285-LOOKUP-ERROR-MSG-TBL
              THRU 7285-LOOKUP-ERROR-MSG-TBL-EXIT
           IF MATCH-FOUND-7285
              MOVE WS-7285-ERROR-MSG TO WS-8020-LINE3-ERROR-MSG
           ELSE

      $IF DEBUG-SW DEFINED
           DISPLAY 'ERROR MESSAGE NOT FOUND IN LOOKUP TABLE'
           UPON CONSOLE
      $END
              MOVE 'ERROR MESSAGE NOT FOUND IN LOOKUP TABLE'
                TO WS-8020-LINE3-ERROR-MSG
           END-IF.


       8020-LOOKUP-ERROR-MSG-EXIT.
           EXIT.
