      ***************************************************************
      * File:      M8040.CBL
      * Author:    Mike Ray
      * Date:      03/26/96
      * Purpose:
      *    This copy file contains the error handler module which
      *    interprets and records file access errors.
      ***************************************************************

       8040-RECORD-FILE-ERROR.

      $IF DEBUG-SW DEFINED
           DISPLAY '8040-RECORDING FILE ACCESS ERROR'
           UPON CONSOLE
      $END

      *****************************************************
      *      INITIALIZE LOCAL & OUTPUT VARIABLES          *
      *****************************************************
           INITIALIZE WS-8040-LOCAL

      *****************************************************
      *          DETERMINE WHAT THE ERROR IS              *
      *****************************************************
           EVALUATE WS-8040-F-STAT-1
               WHEN '0'
                  EVALUATE WS-8040-F-STAT-2
                   WHEN '4'
                     MOVE 'INVALID RECORD LENGTH!'
                       TO WS-8040-ERR-MSG
                   WHEN '5'
                     MOVE 'OPEN FAILED!'
                       TO WS-8040-ERR-MSG
                   WHEN OTHER
                     MOVE 'NO MESSAGE!'
                       TO WS-8040-ERR-MSG
                  END-EVALUATE
               WHEN '1'
                  EVALUATE WS-8040-F-STAT-2
                   WHEN '0'
                     MOVE 'END OF FILE!'
                       TO WS-8040-ERR-MSG
                   WHEN '4'
                     MOVE 'RELATIVE FILE KEY VALUE OVERFLOW!'
                       TO WS-8040-ERR-MSG
                   WHEN OTHER
                     MOVE 'NO MESSAGE!'
                       TO WS-8040-ERR-MSG
                  END-EVALUATE

               WHEN '2'
                  EVALUATE WS-8040-F-STAT-2
                   WHEN '2'
                     MOVE 'INDEXED FILE - DUPLICATE KEY ERROR!'
                       TO WS-8040-ERR-MSG
                   WHEN '3'
                     MOVE 'INDEXED FILE - RECORD NOT FOUND!'
                       TO WS-8040-ERR-MSG
                   WHEN '4'
                     MOVE 'FILE SIZE OR RELATIVE FILE KEY OVERFLOW!'
                       TO WS-8040-ERR-MSG
                   WHEN OTHER
                     MOVE 'NO MESSAGE!'
                       TO WS-8040-ERR-MSG
                  END-EVALUATE

               WHEN '3'
                  EVALUATE WS-8040-F-STAT-2
                   WHEN '5'
                     MOVE 'OPEN FAILED - FILE NOT FOUND!'
                       TO WS-8040-ERR-MSG
                   WHEN '7'
                     MOVE 'OPEN FAILED - INVALID FILE MODE!'
                       TO WS-8040-ERR-MSG
                   WHEN '8'
                     MOVE 'OPEN FAILED - FILE IS LOCKED!'
                       TO WS-8040-ERR-MSG
                   WHEN '9'
                     MOVE 'OPEN FAILED - FILE ATTRIBUTE CONFLICT!'
                       TO WS-8040-ERR-MSG
                   WHEN OTHER
                     MOVE 'NO MESSAGE!'
                       TO WS-8040-ERR-MSG
                  END-EVALUATE

               WHEN '4'
                  EVALUATE WS-8040-F-STAT-2
                   WHEN '1'
                     MOVE 'OPEN FAILED - FILE ALREADY OPEN!'
                       TO WS-8040-ERR-MSG
                   WHEN '2'
                     MOVE 'CLOSE FAILED - FILE ALREADY CLOSED!'
                       TO WS-8040-ERR-MSG
                   WHEN '3'
                     MOVE 'REWRITE FAILED - RECORD NOT LOCKED!'
                       TO WS-8040-ERR-MSG
                   WHEN '4'
                     MOVE 'BOUNDARY VIOLATION!'
                       TO WS-8040-ERR-MSG
                   WHEN '6'
                     MOVE 'READ FAILED - NEXT RECORD UNDEFINED!'
                       TO WS-8040-ERR-MSG
                   WHEN '7'
                     MOVE 'READ FAILED - FILE NOT OPENED FOR INPUT!'
                       TO WS-8040-ERR-MSG
                   WHEN '8'
                     MOVE 'WRITE FAILED - FILE NOT OPEN FOR OUTPUT!'
                       TO WS-8040-ERR-MSG
                   WHEN '9'
                     MOVE 'DELETE/REWRITE FAILED - NOT OPEN FOR I-O!'
                       TO WS-8040-ERR-MSG
                   WHEN OTHER
                     MOVE 'NO MESSAGE!'
                       TO WS-8040-ERR-MSG
                  END-EVALUATE

               WHEN '9'
                  MOVE WS-8040-F-STAT-2-BIN TO WS-8040-F-STAT-2-9
                  EVALUATE WS-8040-F-STAT-2-9
                   WHEN 1
                     MOVE 'INSUFFICIENT BUFFER SPACE!'
                       TO WS-8040-ERR-MSG
                   WHEN 2
                     MOVE 'FILE NOT OPEN WHEN ACCESS ATTEMPTED!'
                       TO WS-8040-ERR-MSG
                   WHEN 3
                     MOVE 'SERIAL MODE ERROR!'
                       TO WS-8040-ERR-MSG
                   WHEN 4
                     MOVE 'ILLEGAL FILE NAME!'
                       TO WS-8040-ERR-MSG
                   WHEN 5
                     MOVE 'ILLEGAL DEVICE SPECIFICATION!'
                       TO WS-8040-ERR-MSG
                   WHEN 6
                     MOVE 'ATTEMPTED WRITE TO INPUT MODE FILE!'
                       TO WS-8040-ERR-MSG
                   WHEN 7
                     MOVE 'DISK SPACE EXHAUSTED?!'
                       TO WS-8040-ERR-MSG
                   WHEN 8
                     MOVE 'ATTEMPTED READ FROM OUTPUT MODE FILE!'
                       TO WS-8040-ERR-MSG
                   WHEN 9
                     MOVE 'DIRECTORY DOES NOT EXIST OR IS FULL!'
                       TO WS-8040-ERR-MSG
                   WHEN 10
                     MOVE 'FILE NAME NOT SUPPLIED!'
                       TO WS-8040-ERR-MSG
                   WHEN 12
                     MOVE 'ATTEMPT TO OPEN AN OPEN FILE!'
                       TO WS-8040-ERR-MSG
                   WHEN 13
                     MOVE 'FILE NOT FOUND!'
                       TO WS-8040-ERR-MSG
                   WHEN 14
                     STRING 'TOO MANY FILES OPEN SIMULTANEOUSLY! - '
                       DELIMITED BY SIZE
                       WS-0004-FILES-OPEN
                       DELIMITED BY SIZE
                       ' FILES OPEN'
                       DELIMITED BY SIZE
                       INTO WS-8040-ERR-MSG
                     END-STRING
                   WHEN 15
                     MOVE 'TOO MANY INDEXED FILES OPEN!'
                       TO WS-8040-ERR-MSG
                   WHEN 16
                     MOVE 'TOO MANY DEVICE FILES OPEN!'
                       TO WS-8040-ERR-MSG
                   WHEN 17
                     MOVE 'RECORD ERROR: PROBABLY ZERO LENGTH!'
                       TO WS-8040-ERR-MSG
                   WHEN 18
                     MOVE 'EOF BEFORE EOR OR FILE IN WRONG MODE!'
                       TO WS-8040-ERR-MSG
                   WHEN 19
                     MOVE 'REWRITE: OPEN OR ACCESS MODE ERROR!'
                       TO WS-8040-ERR-MSG
                   WHEN 20
                     MOVE 'DEVICE OR RESOURCE BUSY!'
                       TO WS-8040-ERR-MSG
                   WHEN 21
                     MOVE 'FILE IS A DIRECTORY!'
                       TO WS-8040-ERR-MSG
                   WHEN 22
                     MOVE 'OPEN: ILLEGAL/IMPOSSIBLE ACCESS MODE!'
                       TO WS-8040-ERR-MSG
                   WHEN 23
                     MOVE 'CLOSE: ILLEGAL/IMPOSSIBLE ACCESS MODE!'
                       TO WS-8040-ERR-MSG
                   WHEN 24
                     MOVE 'DISK I-O ERROR!'
                       TO WS-8040-ERR-MSG
                   WHEN 25
                     MOVE 'OPERATING SYSTEM ERROR!'
                       TO WS-8040-ERR-MSG
                   WHEN 26
                     MOVE 'BLOCK I-O ERROR!'
                       TO WS-8040-ERR-MSG
                   WHEN 27
                     MOVE 'DEVICE NOT AVAILABLE!'
                       TO WS-8040-ERR-MSG
                   WHEN 28
                     MOVE 'NO SPACE ON DEVICE!'
                       TO WS-8040-ERR-MSG
                   WHEN 29
                     MOVE 'ATTEMPT TO DELETE OPEN FILE!'
                       TO WS-8040-ERR-MSG
                   WHEN 30
                     MOVE 'FILE SYSTEM IS READ ONLY!'
                       TO WS-8040-ERR-MSG
                   WHEN 31
                     MOVE 'NOT OWNER OF THE FILE!'
                       TO WS-8040-ERR-MSG
                   WHEN 32
                     MOVE 'TOO MANY INDEXED FILES OR NO SUCH PROC!'
                       TO WS-8040-ERR-MSG
                   WHEN 33
                     MOVE 'PHYSICAL I-O ERROR!'
                       TO WS-8040-ERR-MSG
                   WHEN 34
                     MOVE 'INCORRECT MODE OR FILE DESCRIPTOR!'
                       TO WS-8040-ERR-MSG
                   WHEN 35
                     MOVE 'ATTEMPT TO ACCESS FILE W/O PERMISSION!'
                       TO WS-8040-ERR-MSG
                   WHEN 36
                     MOVE 'FILE ALREADY EXISTS!'
                       TO WS-8040-ERR-MSG
                   WHEN 37
                     MOVE 'FILE ACCESS DENIED!'
                       TO WS-8040-ERR-MSG
                   WHEN 38
                     MOVE 'DISK NOT COMPATIBLE!'
                       TO WS-8040-ERR-MSG
                   WHEN 39
                     MOVE 'FILE NOT COMPATIBLE!'
                       TO WS-8040-ERR-MSG
                   WHEN 40
                     MOVE 'LANGUAGE INITIALIZATION INCORRECT!'
                       TO WS-8040-ERR-MSG
                   WHEN 41
                     MOVE 'CORRUPT INDEXED FILE!'
                       TO WS-8040-ERR-MSG
                   WHEN 42
                     MOVE 'ATTEMPT TO WRITE ON BROKEN PIPE!'
                       TO WS-8040-ERR-MSG
                   WHEN 43
                     MOVE 'FILE INFO MISSING FOR INDEXED FILE!'
                       TO WS-8040-ERR-MSG
                   WHEN 45
                     MOVE 'ATTEMPT TO OPEN INCOMPATIBLE NLS FILE!'
                       TO WS-8040-ERR-MSG
                   WHEN 47
                     MOVE 'INDEXED STRUCT OVERFLOW -MAX DUPLICATES!'
                       TO WS-8040-ERR-MSG
                   WHEN 65
                     MOVE 'FILE LOCKED!'
                       TO WS-8040-ERR-MSG
                   WHEN 66
                     MOVE 'ATTEMPT TO ADD DUPLICATE TO INDEXED FILE!'
                       TO WS-8040-ERR-MSG
                   WHEN 67
                     MOVE 'INDEXED FILE NOT OPEN!'
                       TO WS-8040-ERR-MSG
                   WHEN 68
                     MOVE 'RECORD LOCKED!'
                       TO WS-8040-ERR-MSG
                   WHEN 69
                     MOVE 'ILLEGAL ARGUMENT TO ISAM MODULE!'
                       TO WS-8040-ERR-MSG
                   WHEN 70
                     MOVE 'TOO MANY INDEXED FILES OPEN!'
                       TO WS-8040-ERR-MSG
                   WHEN 71
                     MOVE 'BAD INDEXED FILE FORMAT!'
                       TO WS-8040-ERR-MSG
                   WHEN 72
                     MOVE 'END OF INDEXED FILE!'
                       TO WS-8040-ERR-MSG
                   WHEN 73
                     MOVE 'RECORD NOT FOUND -INDEXED FILE!'
                       TO WS-8040-ERR-MSG
                   WHEN 74
                     MOVE 'NO CURRENT RECORD -INDEXED FILE!'
                       TO WS-8040-ERR-MSG
                   WHEN 75
                     MOVE 'INDEXED FILE NAME TOO LONG!'
                       TO WS-8040-ERR-MSG
                   WHEN OTHER
      *              MOVE 'NO MESSAGE!'
                     MOVE WS-8040-F-STAT-2-9
                       TO WS-8040-ERR-MSG
                  END-EVALUATE

               WHEN OTHER
                     MOVE 'NO MESSAGE!'
                       TO WS-8040-ERR-MSG
           END-EVALUATE
           MOVE WS-8040-FILE-NAME TO WS-8040-ERR-FILE-NAME
           MOVE WS-8040-F-STAT-1 TO WS-8040-ERR-POS1
           MOVE WS-8040-F-STAT-2 TO WS-8040-F-STAT-2-9
           MOVE WS-8040-F-STAT-2-9 TO WS-8040-ERR-POS2

      *****************************************************
      *           DISPLAY LINES TO CONSOLE                *
      *****************************************************
           DISPLAY WS-8040-ERROR-LINE1 UPON CONSOLE
           DISPLAY WS-8040-ERROR-LINE2 UPON CONSOLE

      *****************************************************
      *             WRITE LINES TO LOG FILE               *
      *****************************************************

           IF LOG-FILE-OPEN
              MOVE WS-8040-ERROR-LINE1 TO ERROR-LOG-REC
              WRITE ERROR-LOG-REC BEFORE ADVANCING 1

              MOVE WS-8040-ERROR-LINE2 TO ERROR-LOG-REC
              WRITE ERROR-LOG-REC BEFORE ADVANCING 1
           END-IF

           DISPLAY 'PROCESSED ', WS-0004-TRAN-SEQ-NO, ' RECORDS'
           UPON CONSOLE
           PERFORM 0800-ABORT-PROGRAM
              THRU 0800-ABORT-PROGRAM-EXIT.


       8040-RECORD-FILE-ERROR-EXIT.
           EXIT.
