      ***************************************************************
      * File:      M8050.CBL
      * Para:      8050-WRITE-TEMP-ERROR-REC
      * Author:    Mike Ray
      * Date:      8/13/95
      * Purpose:
      *
      *    This paragraph writes out errors to the temporary error file
      *    when the database is not present.
      ***************************************************************

       8050-WRITE-TEMP-ERROR-REC.

      $IF DEBUG-SW DEFINED
           DISPLAY '8050-WRITING TEMP ERROR REC'
           UPON CONSOLE
      $END

      *    *** MARK THE LAST POSITION IN THE RECORD ***
           MOVE '|' TO WS-8050-FILLER-2

      $IF DEBUG-SW DEFINED
           PERFORM 8050-DISPLAY-ERROR
              THRU 8050-DISPLAY-ERROR-EXIT
      $END

           IF TEMP-ERR-FILE-OPEN
              MOVE WS-8050-TEMP-ERROR-REC TO TEMP-ERR-RECORD
              WRITE TEMP-ERR-RECORD
           ELSE
              DISPLAY '8050-UNABLE TO RECORD ERROR - FILE CLOSED!'
              UPON CONSOLE
              DISPLAY 'ERROR WAS: ', WS-8050-TEMP-ERROR-REC
              UPON CONSOLE
              PERFORM 0800-ABORT-PROGRAM
                 THRU 0800-ABORT-PROGRAM-EXIT
           END-IF.


       8050-WRITE-TEMP-ERROR-REC-EXIT.
           EXIT.


      $IF DEBUG-SW DEFINED

       8050-DISPLAY-ERROR.

           DISPLAY '----- DISPLAYING 8050 ERROR RECORD -----'
           UPON CONSOLE
           DISPLAY 'BATCH NUMBER           : ',
           WS-8050-BATCH-NO UPON CONSOLE
           DISPLAY 'MDAS PROCESS NUMBER    : ',
           WS-8050-MDAS-PROCESS-NO UPON CONSOLE
           DISPLAY 'FCIC CONTROL DATE      : ',
           WS-8050-FCIC-DATE UPON CONSOLE
           DISPLAY 'ERROR FOR TRANSACTION #: ',
           WS-8050-TRAN-SEQ-NO UPON CONSOLE
           DISPLAY 'ERROR SEQUENCE #       : ',
           WS-8050-ERR-SEQ-NO UPON CONSOLE
           DISPLAY 'ERROR TYPE             : ',
           WS-8050-ERROR-TYPE UPON CONSOLE
           DISPLAY 'ERROR CODE             : ',
           WS-8050-ERROR-CODE UPON CONSOLE
           DISPLAY 'TRANSACTION TYPE       : ',
           WS-8050-TRAN-TYPE UPON CONSOLE
           DISPLAY 'POLICY NUMBER          : ',
           WS-8050-POLICY-NO UPON CONSOLE
           DISPLAY 'CROP CD                : ',
           WS-8050-CROP-CD UPON CONSOLE
           DISPLAY 'FIELD NAME 01          : ',
           WS-8050-FIELD-NAME1 UPON CONSOLE
           DISPLAY 'BAD DATA 01            : ',
           WS-8050-BAD-DATA1 UPON CONSOLE
           DISPLAY 'CORRECT DATA 01        : ',
           WS-8050-CORR-DATA1 UPON CONSOLE
           DISPLAY 'TABLE NAME             : ',
           WS-8050-TABLE-NAME UPON CONSOLE
           DISPLAY 'PARAGRAPH NO           : ',
           WS-8050-PARAGRAPH-NO UPON CONSOLE
           DISPLAY 'INS PLAN               : ',
           WS-8050-INSURANCE-PLAN-ID UPON CONSOLE
           DISPLAY 'LOCATION COUNTY        : ',
           WS-8050-LOC-COUNTY UPON CONSOLE
           DISPLAY 'RECORD NUMBER          : ',
           WS-8050-RECORD-NUM UPON CONSOLE
           DISPLAY 'FILLER 01              : ',
           WS-8050-FILLER-1 UPON CONSOLE
           DISPLAY 'FILLER 02              : ',
           WS-8050-FILLER-2 UPON CONSOLE.


       8050-DISPLAY-ERROR-EXIT.
           EXIT.
      $END
