      ***************************************************************
      * File:      WS8000.CBL
      * Author:    Mike Ray
      * Date:      8/10/95
      * Purpose:
      *
      *    This copy file contains the working storage fields required
      *    by all of the 8000 series error modules.
      *    It contains the following working storage copy files:
      *
      *    WS8010.CBL  for 8010-RECORD-SQL-ERROR
      *    WS8020.CBL  for 8020-RECORD-INT-ERROR
      *    WS8030.CBL  for 8030-LOG-MESSAGE
      *    WS8040.CBL  for 8040-RECORD-FILE-ERROR
      *    WS8050.CBL  for 8050-WRITE-TEMP-ERROR-REC
      ***************************************************************



      *****************************************************
      *  IF THE TRANSACTION SEQUENCE NUMBER IS NOT PASSED *
      *  BY THE CALLING PARAGRAPH, THEN THE ERROR IS      *
      *  ASSUMED TO BE FOR THE CURRENT INPUT TRANSACTION  *
      *****************************************************

      *****************************************************
      *   SET ERROR TYPE USING WS-LITERAL-FV              *
      *                        WS-LITERAL-IF              *
      *                        WS-LITERAL-IR              *
      *****************************************************

       01 WS-8000-TRAN-ERROR-FIELDS.
          05 WS-8000-TRAN-SEQ-NO           PIC 9(08).
          05 WS-8020-TRAN-SEQ-NO REDEFINES
             WS-8000-TRAN-SEQ-NO           PIC 9(08).
          05 WS-8000-ERROR-TYPE            PIC X(02) VALUE SPACES.
          05 WS-8000-ERROR-CODE.
             10 WS-8000-ERROR-TRAN-TYPE        PIC 9(02) VALUE ZEROS.
             10 WS-8000-SHORT-ERROR            PIC 9(03) VALUE ZEROS.
          05 WS-8000-FIELD-NAME1           PIC X(15) VALUE SPACES.
          05 WS-8000-FIELD-NAME2           PIC X(15) VALUE SPACES.
          05 WS-8000-FIELD-NAME3           PIC X(15) VALUE SPACES.
          05 WS-8000-BAD-DATA1             PIC X(15) VALUE SPACES.
          05 WS-8000-BAD-DATA2             PIC X(15) VALUE SPACES.
          05 WS-8000-BAD-DATA3             PIC X(15) VALUE SPACES.
          05 WS-8000-CORR-DATA1            PIC X(40) VALUE SPACES.
          05 WS-8000-CORR-DATA2            PIC X(15) VALUE SPACES.
          05 WS-8000-CORR-DATA3            PIC X(15) VALUE SPACES.
          05 WS-8000-TABLE-NAME            PIC X(20) VALUE SPACES.
          05 WS-8000-PARAGRAPH-NO          PIC 9(04) VALUE ZEROS.

      *************** PRIVATE - DO NOT USE OUTSIDE M8000 **********

      *** THESE FIELDS ARE SET BY M8005 FOR INTER-FIELD ERRORS
      *** BUT MUST BE SET MANUALLY FOR INTER-RECORD ERRORS IF THEY
      *** WILL BE DIFFERENT BY TRANSACTION

       01 WS-8000-ERROR-FIELDS.
          05 WS-8000-BATCH-NO               PIC 9(08).
          05 WS-8000-MDAS-PROCESS-NO        PIC 9(02).
          05 WS-8000-INS-PROV               PIC X(02).
          05 WS-8000-BOOK-NO                PIC 9(08).
          05 WS-8000-FILE-NAME              PIC X(20).
          05 WS-8000-FCIC-DATE              PIC 9(08).
          05 WS-8000-FCIC-TIME              PIC 9(06).
          05 WS-8000-TRAN-TYPE              PIC 9(02).
          05 WS-8000-POLICY-NO.
             10 WS-8000-REPORTING-ORG          PIC X(02).
             10 WS-8000-LOC-STATE              PIC X(02).
             10 WS-8000-COMPANY-COUNTY         PIC X(03).
             10 WS-8000-POLICY-NUM             PIC X(07).
             10 WS-8000-CROP-YEAR              PIC X(04).
          05 WS-8000-CROP-CD                PIC X(04).
          05 WS-8000-INSURANCE-PLAN-ID      PIC X(02).
          05 WS-8000-LOC-COUNTY             PIC X(03).
          05 WS-8000-RECORD-NUM             PIC X(03).


       COPY 'ERROR/WS8010.CBL'.
       COPY 'ERROR/WS8020.CBL'.
       COPY 'ERROR/WS8030.CBL'.
       COPY 'ERROR/WS8040.CBL'.
       COPY 'ERROR/WS8050.CBL'.
