      ****************************************************************
      *     THIS COPY FILE DEFINES THE FILE DESCRIPTIONS USED BY     *
      *     THE DAS EDIT PROGRAM.                                    *
      *                                                              *
      *     FILE  : FD0001.CBL                                       *
      *     AUTHOR: CHERYL D. WOOD & MIKE RAY                        *
      *     DATE  : 12/20/95                                         *
      ****************************************************************


      *    THE SOURCE FILE FROM THE RO.

       FD  INPUT-TRANSACTION-FILE
           RECORD CONTAINS 350 CHARACTERS
           DATA RECORD IS INPUT-RECORD.

       01  INPUT-RECORD.
           05 INPUT-REC                      PIC X(350).

      *    DATA FROM A PREVIOUS RUN.
      *FD  INPUT-TRANSACTION-FILE-400
      *    RECORD CONTAINS 400 CHARACTERS
      *    DATA RECORD IS INPUT-RECORD-400.

      *01  INPUT-RECORD-400.
      *    05 INPUT-REC-400                  PIC X(400).

      ******************************************************
      *           OUTPUT FILES                             *
      ******************************************************

      *    THE RECORDS WHICH PASS VALIDATION.
       FD  ACCEPTED-TRANSACTION-FILE
           RECORD CONTAINS 400 CHARACTERS
           DATA RECORD IS ACCEPTED-RECORD.

       01  ACCEPTED-RECORD.
            05 ACCEPT-REC                     PIC X(400).

      *    THE RECORDS WHICH FAIL VALIDATION.
       FD  REJECTED-TRANSACTION-FILE
           RECORD CONTAINS 400 CHARACTERS
           DATA RECORD IS REJECTED-RECORD.

       01  REJECTED-RECORD.
           05 REJECT-REC                     PIC X(400).

      *    THE RECORDS WHICH THE SOFTWARE CANNOT CURRENTLY VALIDATE.
       FD  SUSPENDED-TRANSACTION-FILE
           RECORD CONTAINS 400 CHARACTERS
           DATA RECORD IS SUSPENDED-RECORD.

       01  SUSPENDED-RECORD.
           05 SUSPEND-REC                    PIC X(400).

      *    THE RECORDS WHICH PASS MINIMAL EDITS REQUIRED TO FUND
      *    REPORTING ORGANIZATION ESCROW ACCOUNTS
       FD  ESCROW-TRANSACTION-FILE
           RECORD CONTAINS 400 CHARACTERS
           DATA RECORD IS ESCROW-RECORD.

       01  ESCROW-RECORD.
           05 ESCROW-REC                     PIC X(400).

      *    THE RECORDS WHICH ARE CREATED WHEN A VALID T20 TRANSACTION
      *    TRANSFERS SOME OF THE INDEMNITY TO ANOTHER POLICY
       FD  PMEMO-TRANSACTION-FILE
           RECORD CONTAINS 400 CHARACTERS
           DATA RECORD IS PMEMO-RECORD.

       01  PMEMO-RECORD.
           05 PMEMO-REC                      PIC X(400).

      *    THE STATISTICS WHICH ARE GATHERED DURING A PROGRAM
      *    RUN ARE EXPORTED IN THIS FILE WHEN IT IS NEEDED TO
      *    BE COMBINED WITH OTHERS TO MAKE AN MDAS ERROR REPORT.
       FD  MDAS-STATS-FILE
           RECORD CONTAINS 1121 CHARACTERS
           DATA RECORD IS MDAS-STATS-RECORD.

       01  MDAS-STATS-RECORD.
           05 MDAS-STATS-REC                 PIC X(1121).

      *    AN ERROR LOGFILE FOR THE OPERATOR'S BENEFIT.
       FD  ERROR-LOG-FILE
           RECORD CONTAINS 80 CHARACTERS
           DATA RECORD IS ERROR-LOG-REC.

       01  ERROR-LOG-REC                  PIC X(80).

      *    AN ERROR SUMMARY.

       FD  ERROR-SUM-FILE
           RECORD CONTAINS 132 CHARACTERS
           DATA RECORD IS ERROR-SUM-REC.

       01  ERROR-SUM-REC                  PIC X(132).

      *    THE ERROR REPORT TO BE RETURNED TO THE RO.

       FD  ERROR-REPT-FILE
           RECORD CONTAINS 132 CHARACTERS
           DATA RECORD IS ERROR-REPT-RECORD.

       01  ERROR-REPT-RECORD              PIC X(132).

       FD  T14EXPR-FILE
           DATA RECORD IS T14EXPR-RECORD.

       01  T14EXPR-RECORD.
           05 T14EXPR-REC                    PIC X(400).

      ******************************************************
      *           TEMP FILES                               *
      ******************************************************


      *    THE TEMPORARY FILE WHICH CONTAINS THE VALID TRANSACTIONS
      *    FOR THE CURRENT POLICY WHICH HAVE BEEN VALIDATED BY CROP.
      *    IF THE POLICY IS NOT REJECTED THIS FILE WILL BE COPIED INTO
      *    THE ACCEPTED TRANSACTION FILE, OTHERWISE IT WILL BE COPIED
      *    INTO THE REJECTED TRANSACTION FILE.  IT WILL BE OPENED FOR
      *    WRITE ACCESS AND THEN OPENED AGAIN FOR READ ACCESS TO BE
      *    COPIED INTO THE OTHER FILE AND TO UPDATE THE TRANSACTION
      *    DATABASE.


       FD  TEMP-POLICY-FILE
           RECORD CONTAINS 400 CHARACTERS
           DATA RECORD IS TEMP-RECORD.

       01  TEMP-RECORD.
           05 TEMP-REC                       PIC X(400).

      **********************************************************
      *    THE TEMPORARY ERROR FILE WHICH HOLDS ALL TRAN       *
      *    ERRORS UNTIL THEY ARE SORTED AND COMBINED WITH THE  *
      *    REJECTED TRANSACTIONS TO MAKE THE ERROR-REPT-FILE   *
      *    WHICH IS RETURNED TO THE IP WHOM SUBMITTED THE      *
      *    INPUT FILE.                                         *
      **********************************************************

       FD  TEMP-ERROR-FILE
           RECORD CONTAINS 262 CHARACTERS
           DATA RECORD IS TEMP-ERR-RECORD.

       01  TEMP-ERR-RECORD                PIC X(262).

       FD  INPUT-ERROR-FILE
           RECORD CONTAINS 262 CHARACTERS
           DATA RECORD IS INPUT-ERR-RECORD.

       01  INPUT-ERR-RECORD               PIC X(262).


       FD  TEMP-REJECT-FILE
           RECORD CONTAINS 400 CHARACTERS
           DATA RECORD IS TEMP-REJ-RECORD.

       01  TEMP-REJ-RECORD               PIC X(400).

      **********************************************************
      *    LOOKUP TABLE LOAD FILES                             *
      **********************************************************


       FD  IP-FILE
           DATA RECORD IS IP-RECORD.

       01  IP-RECORD                      PIC X(47).


       FD  COMPANY-FILE
           DATA RECORD IS COMPANY-RECORD.

       01  COMPANY-RECORD                 PIC X(05).


       FD  FIPS-STATE-FILE
           DATA RECORD IS FIPS-STATE-RECORD.

       01  FIPS-STATE-RECORD              PIC X(22).


       FD  COUNTY-FILE
           DATA RECORD IS COUNTY-RECORD.

       01  COUNTY-RECORD                  PIC X(35).


       FD  CROP-FILE
           DATA RECORD IS CROP-RECORD.

       01  CROP-RECORD                    PIC X(34).

       FD  CROP-LIMIT-FILE
           DATA RECORD IS CROP-LIMIT-RECORD.

       01  CROP-LIMIT-RECORD              PIC X(14).


       FD  CROP-TYPE-FILE
           DATA RECORD IS CROP-TYPE-RECORD.

       01  CROP-TYPE-RECORD               PIC X(47).


       FD  CROP-POLICY-TYPE-FILE
           DATA RECORD IS CROP-POLICY-TYPE-RECORD.

       01  CROP-POLICY-TYPE-RECORD        PIC X(13).


       FD  ERROR-MSG-FILE
           DATA RECORD IS ERROR-MSG-RECORD.

       01  ERROR-MSG-RECORD               PIC X(85).


       FD  UM-FILE
           DATA RECORD IS UM-RECORD.

       01  UM-RECORD                      PIC X(08).

       FD  STAGE-FILE
           DATA RECORD IS STAGE-RECORD.

       01  STAGE-RECORD                   PIC X(62).

       FD  STAGE-CROP-FILE
           DATA RECORD IS STAGE-CROP-RECORD.

       01  STAGE-CROP-RECORD              PIC X(13).

       FD  LOSS-CAUSE-FILE
           DATA RECORD IS LOSS-CAUSE-RECORD.

       01  LOSS-CAUSE-RECORD              PIC X(52).

       FD  LOSS-CAUSE-CROP-FILE
           DATA RECORD IS LOSS-CAUSE-CROP-RECORD.

       01  LOSS-CAUSE-CROP-RECORD         PIC X(10).

      **********************************************************
      *              SORT DESCRIPTIONS                         *
      **********************************************************

       SD  ERROR-SORT-FILE
           DATA RECORD IS ERR-SORT-REC.

       01  ERR-SORT-REC.
           05 ERR-SORT-BATCH-NO              PIC 9(04).
           05 ERR-SORT-MDAS-PROCESS-NO       PIC 9(02).
           05 ERR-SORT-FCIC-CTRL-DATE        PIC 9(08).
           05 ERR-SORT-TRAN-SEQ-NO           PIC 9(08).
           05 ERR-SORT-ERR-SEQ-NO            PIC 9(12).
           05 ERR-SORT-ERROR-TYPE            PIC X(02).
           05 ERR-SORT-ERROR-CODE            PIC 9(06).
           05 FILLER                         PIC X(220).

       SD  TRAN-SORT-FILE
           DATA RECORD IS TRAN-SORT-REC.

       01  TRAN-SORT-REC.
           05 FILLER                         PIC X(350).
           05 TRAN-SORT-FCIC-CONTROL-TIME    PIC 9(08).
           05 TRAN-SORT-FCIC-CONTROL-DATE    PIC 9(08).
           05 TRAN-SORT-REINS-YR             PIC 9(04).
           05 TRAN-SORT-BATCH-NO             PIC 9(04).
           05 TRAN-SORT-TRAN-SEQ-NO          PIC 9(08).
           05 FILLER                         PIC X(02).
           05 TRAN-SORT-MDAS-PROCESS-NO      PIC 9(02).
           05 FILLER                         PIC X(14).


      **********************************************************
      *              ISAM FILE DESCRIPTIONS                    *
      **********************************************************

      $IF ISAM-SW DEFINED

       FD  ADM1-FILE
           DATA RECORD IS ADM1-RECORD.
      *                                       TOTAL = 175
       01  ADM1-RECORD.
           05 ADM1-REC-KEY                    PIC X(23).
           05 ADM1-REC-DATA                   PIC X(152).


       FD  ADM1G-FILE
           DATA RECORD IS ADM1G-RECORD.
      *                                       TOTAL = 175
       01  ADM1G-RECORD.
           05 ADM1G-REC-KEY                   PIC X(21).
           05 ADM1G-REC-DATA                  PIC X(154).


       FD  ADM2-FILE
           DATA RECORD IS ADM2-RECORD.
      *                                       TOTAL = 175
       01  ADM2-RECORD.
           05 ADM2-REC-KEY                    PIC X(21).
           05 ADM2-REC-DATA                   PIC X(154).


       FD  ADM3-FILE
           DATA RECORD IS ADM3-RECORD.
      *                                       TOTAL = 175
       01  ADM3-RECORD.
           05 ADM3-REC-KEY                    PIC X(21).
           05 ADM3-REC-DATA                   PIC X(154).


       FD  ADM4-FILE
           DATA RECORD IS ADM4-RECORD.
      *                                       TOTAL = 175
       01  ADM4-RECORD.
           05 ADM4-REC-KEY                    PIC X(23).
           05 ADM4-REC-DATA                   PIC X(152).


       FD  ADMAC-FILE
           DATA RECORD IS ADMAC-RECORD.

      *                                       TOTAL = 175
       01  ADMAC-RECORD.
           05 ADMAC-REC-KEY                   PIC X(21).
           05 ADMAC-REC-DATA                  PIC X(154).

       FD  ADMAR-FILE
           DATA RECORD IS ADMAR-RECORD.

      *                                       TOTAL = 175
       01  ADMAR-RECORD.
           05 ADMAR-REC-KEY                   PIC X(24).
           05 ADMAR-REC-DATA                  PIC X(151).

       FD  ADMC-FILE
           DATA RECORD IS ADMC-RECORD.

       01  ADMC-RECORD.
           05 ADMC-REC-KEY                    PIC X(24).
           05 ADMC-REC-DATA                   PIC X(151).

       FD  ADMH-FILE
           DATA RECORD IS ADMH-RECORD.
      *                                       TOTAL = 175
       01  ADMH-RECORD.
           05 ADMH-REC-KEY                    PIC X(24).
           05 ADMH-REC-DATA                   PIC X(151).

       FD  ADMIR-FILE
           DATA RECORD IS ADMIR-RECORD.
      *                                       TOTAL = 175
       01  ADMIR-RECORD.
           05 ADMIR-REC-KEY                   PIC X(24).
           05 ADMIR-REC-DATA                  PIC X(151).

       FD  ADMIY-FILE
           DATA RECORD IS ADMIY-RECORD.
      *                                       TOTAL = 175
       01  ADMIY-RECORD.
           05 ADMIY-REC-KEY                   PIC X(21).
           05 ADMIY-REC-DATA                  PIC X(155).

       FD  ADMM-FILE
           DATA RECORD IS ADMM-RECORD.
      *                                       TOTAL = 175
       01  ADMM-RECORD.
           05 ADMM-REC-KEY                    PIC X(21).
           05 ADMM-REC-DATA                   PIC X(154).


       FD  ADMO-FILE
           DATA RECORD IS ADMO-RECORD.
      *                                       TOTAL = 175
       01  ADMO-RECORD.
           05 ADMO-REC-KEY                    PIC X(23).
           05 ADMO-REC-DATA                   PIC X(152).


       FD  ADMR-FILE
           DATA RECORD IS ADMR-RECORD.

      *                                       TOTAL = 175
       01  ADMR-RECORD.
           05 ADMR-REC-KEY                    PIC X(32).
           05 ADMR-REC-DATA                   PIC X(143).

       FD  ADMSSN-FILE
           DATA RECORD IS ADMSSN-RECORD.

      *                                       TOTAL = 185
       01  ADMSSN-RECORD.
           05 ADMSSN-REC-KEY                    PIC X(36).
           05 ADMSSN-REC-DATA                   PIC X(149).

       FD  ADMY-FILE
           DATA RECORD IS ADMY-RECORD.

      *                                       TOTAL = 175
       01  ADMY-RECORD.
           05 ADMY-REC-KEY                   PIC X(24).
           05 ADMY-REC-DATA                  PIC X(151).


       FD  ADMVC-FILE
           DATA RECORD IS ADMVC-RECORD.

       01  ADMVC-RECORD.
           05 ADMVC-REC-KEY                   PIC X(15).
           05 ADMVC-REC-DATA                  PIC X(160).

       FD  ADMVS-FILE
           DATA RECORD IS ADMVS-RECORD.

       01  ADMVS-RECORD.
           05 ADMVS-REC-KEY                   PIC X(12).
           05 ADMVS-REC-DATA                  PIC X(213).

       FD  ADMWE-FILE
           DATA RECORD IS ADMWE-RECORD.
      *                                       TOTAL = 175
       01  ADMWE-RECORD.
           05 ADMWE-REC-KEY                   PIC X(22).
           05 ADMWE-REC-DATA                  PIC X(153).

       FD  ADMWF-FILE
           DATA RECORD IS ADMWF-RECORD.
      *                                       TOTAL = 175
       01  ADMWF-RECORD.
           05 ADMWF-REC-KEY                   PIC X(22).
           05 ADMWF-REC-DATA                  PIC X(153).


       FD  TYPE-11-DATES-FILE
           DATA RECORD IS TYPE-11-DATES-RECORD.

      *                                       TOTAL = 120
       01  TYPE-11-DATES-RECORD.
           05 TYPE-11-DATES-REC-KEY            PIC X(28).
           05 TYPE-11-DATES-REC-DATA           PIC X(92).


       FD  TYPE-14-DATES-FILE
           DATA RECORD IS TYPE-14-DATES-RECORD.

      *                                       TOTAL = 145
       01  TYPE-14-DATES-RECORD.
           05 TYPE-14-DATES-REC-KEY            PIC X(32).
           05 TYPE-14-DATES-REC-DATA           PIC X(113).

       FD  T55-AGENT-FILE
           DATA RECORD IS T55-AGENT-REC.

       01  T55-AGENT-REC.
           05 T55-AGENT-REC-KEY              PIC X(09).
           05 T55-AGENT-REC-DATA             PIC X(425).

       FD  T56-ADJUSTER-FILE
           DATA RECORD IS T56-ADJUSTER-REC.

       01  T56-ADJUSTER-REC.
           05 T56-ADJUSTER-REC-KEY           PIC X(09).
           05 T56-ADJUSTER-REC-DATA          PIC X(425).

      *    THE BATCH ISAM FILE IS AN INPUT/OUTPUT FILE.
       FD  BATCH-ISAM-FILE
           DATA RECORD IS BATCH-ISAM-RECORD.

       01  BATCH-ISAM-RECORD.
           05 BATCH-ISAM-KEY                 PIC X(14).
           05 BATCH-ISAM-DATA                PIC X(394).

      *    THE BATCH ISAM FILE IS AN INPUT/OUTPUT FILE.
       FD  POLICY-STATS-FILE
           DATA RECORD IS POLICY-STATS-RECORD.

       01  POLICY-STATS-RECORD.
           05 PSTATS-KEY                     PIC X(18).
           05 PSTATS-DATA                    PIC X(82).

      $END
