      *************************************************************
      * File:      M0905.CBL
      * Author:    Mike Ray
      * Date:      8/9/95
      * Purpose:   Reads a transaction from the input file into the
      *            buffer.
      *************************************************************

       0905-READ-TRANSACTION.

      $IF DEBUG-SW DEFINED
           DISPLAY '0905-READING A TRANSACTION'
           UPON CONSOLE
      $END

      ************************************************
      *    IF THE CURRENT TRANSACTION IS A TYPE 20
      *    WHICH CAUSED PAYMENT-CREDIT MEMOS TO BE
      *    GENERATED, THE NUMBER OF P-CREDIT MEMOS
      *    GENERATED MUST BE ADDED TO THE CURRENT
      *    TRANSACTION SEQUENCE NUMBER TO MAKE SURE
      *    THAT SPACE IS LEFT IN THE SEQUENCE FOR THE
      *    NEW TRANSACTIONS.
      ************************************************
           IF WS-0007-PCR-MEMO-COUNT > ZERO
              ADD WS-0007-PCR-MEMO-COUNT TO WS-0004-TRAN-SEQ-NO
           END-IF

      ************************************************
      *    CLEAR OUT PRIOR TRANSACTION DATA FROM THE
      *    BUFFER AND FROM THE CURRENT TRAN FIELDS.
      ************************************************

           PERFORM 0130-INITIALIZE-TRAN
              THRU 0130-INITIALIZE-TRAN-EXIT.

           IF INPUT-FILE-OPEN
              INITIALIZE WS-0905-FILE-TRANS-400
              IF WS-0004-TRAN-400-FLAG = WS-LITERAL-YES
                 READ INPUT-TRANSACTION-FILE
                 INTO WS-0905-FILE-TRANS-400
                    AT END
                       MOVE WS-LITERAL-YES TO WS-0004-END-BATCH-FLAG
                       MOVE 0905 TO WS-8020-PARAGRAPH-NO
                       MOVE 90033 TO WS-8020-INT-ERROR-NO
                       MOVE WS-LITERAL-NO TO WS-8020-ABORT-PROGRAM
                       MOVE 'INPUT FILE' TO WS-8020-FIELD-NAME
                       PERFORM 8020-RECORD-INT-ERROR
                          THRU 8020-RECORD-INT-ERROR-EXIT
                       GO TO 0905-READ-TRANSACTION-EXIT
                    NOT AT END
                       IF WS-0004-KEEP-SEQ-NO-FLAG = WS-LITERAL-YES
                          IF WS-0905-REINS-YR NOT NUMERIC OR
                             WS-0905-BATCH-NO NOT NUMERIC OR
                             WS-0905-TRAN-SEQ-NO NOT NUMERIC
                             MOVE 0905 TO WS-8020-PARAGRAPH-NO
                             MOVE 90050 TO WS-8020-INT-ERROR-NO
                             MOVE WS-LITERAL-YES
                               TO WS-8020-ABORT-PROGRAM
                             MOVE 'INPUT FILE' TO WS-8020-FIELD-NAME
                             PERFORM 8020-RECORD-INT-ERROR
                                THRU 8020-RECORD-INT-ERROR-EXIT
                          END-IF
                          IF WS-0905-REINS-YR = ZERO OR
                             WS-0905-BATCH-NO = ZERO OR
                             WS-0905-TRAN-SEQ-NO = ZERO
                             MOVE 0905 TO WS-8020-PARAGRAPH-NO
                             MOVE 90050 TO WS-8020-INT-ERROR-NO
                             MOVE WS-LITERAL-YES
                               TO WS-8020-ABORT-PROGRAM
                             MOVE 'INPUT FILE' TO WS-8020-FIELD-NAME
                             PERFORM 8020-RECORD-INT-ERROR
                                THRU 8020-RECORD-INT-ERROR-EXIT
                          END-IF
                          MOVE WS-0905-FILE-TRANS-400
                            TO WS-TRAN-400
                          MOVE WS-LITERAL-INPUT
                            TO WS-0007-TRANSACTION-SOURCE
                       ELSE
                          MOVE WS-0905-TRANS-350 TO WS-TRANS
                          ADD 1 TO WS-0004-TRAN-SEQ-NO
                          ADD 1 TO WS-0008-INFILE-TOTAL-RECS
                          MOVE WS-LITERAL-INPUT
                            TO WS-0007-TRANSACTION-SOURCE
                          MOVE WS-LITERAL-NO
                            TO WS-0007-REJECT-TRANSACTION
                          MOVE WS-0007-REJECT-TRANSACTION
                            TO WS-TRAN-REJ-FLAG
                          MOVE WS-0007-TRANSACTION-SOURCE
                            TO WS-TRAN-SOURCE-FLAG
                          MOVE WS-0004-REINS-YR
                            TO WS-REINS-YR
                          MOVE WS-0004-BATCH-NO TO WS-BATCH-NO
                          MOVE WS-0004-MDAS-PROCESS-NO
                            TO WS-MDAS-PROCESS-NO
                          MOVE WS-0004-TRAN-SEQ-NO
                            TO WS-TRAN-SEQ-NO
                          MOVE WS-0004-FCIC-PROC-TIME
                            TO WS-FCIC-CONTROL-TIME
                          STRING WS-0004-FCIC-MONTH
                              DELIMITED BY SIZE
                              WS-0004-FCIC-DAY
                              DELIMITED BY SIZE
                              WS-0004-FCIC-YEAR
                              DELIMITED BY SIZE
                              INTO WS-FCIC-CONTROL-DATE
                          END-STRING
                       END-IF
                 END-READ
              ELSE
                 READ INPUT-TRANSACTION-FILE INTO WS-0905-TRANS-350
                    AT END
                       MOVE WS-LITERAL-YES TO WS-0004-END-BATCH-FLAG
                       MOVE 0905 TO WS-8020-PARAGRAPH-NO
                       MOVE 90033 TO WS-8020-INT-ERROR-NO
                       MOVE WS-LITERAL-NO TO WS-8020-ABORT-PROGRAM
                       MOVE 'INPUT FILE' TO WS-8020-FIELD-NAME
                       PERFORM 8020-RECORD-INT-ERROR
                          THRU 8020-RECORD-INT-ERROR-EXIT
                       GO TO 0905-READ-TRANSACTION-EXIT
                    NOT AT END
                       MOVE WS-0905-TRANS-350 TO WS-TRANS
                       ADD 1 TO WS-0004-TRAN-SEQ-NO
      * don't count generated header record to avoid confusing ROs
                       IF WS-TRAN-TYPE NOT = '00'
                            ADD 1 TO WS-0008-INFILE-TOTAL-RECS
                       END-IF
                       MOVE WS-LITERAL-INPUT
                         TO WS-0007-TRANSACTION-SOURCE
                       MOVE WS-LITERAL-NO
                         TO WS-0007-REJECT-TRANSACTION
                       MOVE WS-0007-REJECT-TRANSACTION
                         TO WS-TRAN-REJ-FLAG
                       MOVE WS-0007-TRANSACTION-SOURCE
                         TO WS-TRAN-SOURCE-FLAG
                       MOVE WS-0004-REINS-YR
                         TO WS-REINS-YR
                       MOVE WS-0004-BATCH-NO TO WS-BATCH-NO
                       MOVE WS-0004-MDAS-PROCESS-NO
                         TO WS-MDAS-PROCESS-NO
                       MOVE WS-0004-TRAN-SEQ-NO TO WS-TRAN-SEQ-NO
                       MOVE WS-0004-FCIC-PROC-TIME
                         TO WS-FCIC-CONTROL-TIME
                       STRING WS-0004-FCIC-MONTH
                           DELIMITED BY SIZE
                           WS-0004-FCIC-DAY
                           DELIMITED BY SIZE
                           WS-0004-FCIC-YEAR
                           DELIMITED BY SIZE
                           INTO WS-FCIC-CONTROL-DATE
                       END-STRING

                 END-READ
              END-IF

              PERFORM 8005-INIT-ERRORHANDLER
                 THRU 8005-INIT-ERRORHANDLER-EXIT


      **************************************************************
      **************************************************************
              IF NOT VALID-TRAN-TYPE
                 ADD 1 TO WS-0008-INFILE-UNKNOWN-RECS
                 MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
                 MOVE 00050 TO WS-8000-ERROR-CODE
                 MOVE WS-LITERAL-REC-TYPE TO WS-8000-FIELD-NAME1
                 MOVE WS-TRAN-TYPE TO WS-8000-BAD-DATA1
                 MOVE '10-12, 14-16,' TO WS-8000-CORR-DATA1
                 MOVE '20-21, 33, 49,' TO WS-8000-CORR-DATA2
                 MOVE '50, 55-56, 65,97' TO WS-8000-CORR-DATA3
                 MOVE 0905 TO WS-8000-PARAGRAPH-NO
                 MOVE WS-TRAN-TYPE TO WS-8000-TRAN-TYPE
                 MOVE WS-0004-TRAN-SEQ-NO
                   TO WS-8000-TRAN-SEQ-NO
                 PERFORM 8000-RECORD-TRAN-ERROR
                    THRU 8000-RECORD-TRAN-ERROR-EXIT
                 INITIALIZE WS-0920-REJECT-REC
                 MOVE WS-TRAN-400 TO WS-0920-REJECT-REC
                 MOVE WS-0007-TRANSACTION-SOURCE
                   TO WS-0920-TRAN-SOURCE-FLAG
                 MOVE WS-0007-REJECT-TRANSACTION
                   TO WS-0920-TRAN-REJECTED-FLAG
                 PERFORM 0920-REJECT-TRANSACTION
                    THRU 0920-REJECT-TRANSACTION-EXIT
                 GO TO 0905-READ-TRANSACTION
              END-IF
      **************************************************************
      **************************************************************


      *       *** IF POLICY # = SPACES, ASSUME THE RECORD IS A
      *       *** BLANK LINE AND READ ANOTHER LINE OUT OF THE
      *       *** INPUT FILE.
             IF WS-POLICY-NO = SPACES
                IF WS-0004-END-BATCH-FLAG <> WS-LITERAL-YES
                   GO TO 0905-READ-TRANSACTION
                ELSE
                   GO TO 0905-READ-TRANSACTION-EXIT
                END-IF
              END-IF

              IF WS-TRAN-TYPE IS NOT NUMERIC
                 ADD 1 TO WS-0008-INFILE-UNKNOWN-RECS
                 INITIALIZE WS-0940-HOLD-REC
                 MOVE WS-TRAN-400 TO WS-0940-HOLD-REC
                 MOVE WS-LITERAL-YES TO WS-0940-TRAN-REJECTED-FLAG
                 MOVE WS-0007-TRANSACTION-SOURCE
                   TO WS-0940-TRAN-SOURCE-FLAG
                 PERFORM 7099-BUFFER-POLICY-RECORD
                    THRU 7099-BUFFER-POLICY-RECORD-EXIT
                 IF WS-0004-END-BATCH-FLAG <> WS-LITERAL-YES
                    GO TO 0905-READ-TRANSACTION
                 ELSE
                    GO TO 0905-READ-TRANSACTION-EXIT
                 END-IF
              ELSE
      $IF DEBUG-SW DEFINED
           DISPLAY ' '
           UPON CONSOLE
           DISPLAY '0905-READ TRANSACTION TYPE: ',
           WS-TRAN-TYPE, ' SEQ NO: ', WS-0004-TRAN-SEQ-NO
           UPON CONSOLE
           DISPLAY 'POLICY NO = ', WS-POLICY-NO
           UPON CONSOLE
      $END

                 EVALUATE TRUE
                   WHEN TYPE10
                      IF WS-T10-RECORD-NUM = '001'
                         ADD 1 TO WS-0008-INFILE-POLICY-RECS

      $IF DEBUG-SW DEFINED
           DISPLAY '0905-THIS IS A POLICY RECORD'
           UPON CONSOLE
      $END
                      ELSE

      $IF DEBUG-SW DEFINED
           DISPLAY '0905-THIS IS AN SBI RECORD'
           UPON CONSOLE
      $END
                         ADD 1 TO WS-0008-INFILE-SBI-RECS
                      END-IF
                   WHEN TYPE11
                      ADD 1 TO WS-0008-INFILE-T11-RECS
                   WHEN TYPE12
                      ADD 1 TO WS-0008-INFILE-T12-RECS
                   WHEN TYPE14
                      ADD 1 TO WS-0008-INFILE-T14-RECS
                   WHEN TYPE15
                      ADD 1 TO WS-0008-INFILE-T15-RECS
                   WHEN TYPE16
                      ADD 1 TO WS-0008-INFILE-T16-RECS
                   WHEN TYPE20
                      ADD 1 TO WS-0008-INFILE-T20-RECS
                   WHEN TYPE21
                      ADD 1 TO WS-0008-INFILE-T21-RECS
                   WHEN TYPE33
                      ADD 1 TO WS-0008-INFILE-T33-RECS
                   WHEN TYPE49
                      ADD 1 TO WS-0008-INFILE-T49-RECS
                   WHEN TYPE50
                      ADD 1 TO WS-0008-INFILE-T50-RECS
                   WHEN TYPE55
                      ADD 1 TO WS-0008-INFILE-T55-RECS
                   WHEN TYPE56
                      ADD 1 TO WS-0008-INFILE-T56-RECS
                   WHEN TYPE65
                      ADD 1 TO WS-0008-INFILE-T65-RECS
                   WHEN TYPE97
                      ADD 1 TO WS-0008-INFILE-T97-RECS
                   WHEN TYPE00
                       CONTINUE
                   WHEN OTHER
                      ADD 1 TO WS-0008-INFILE-UNKNOWN-RECS
      ************************************************************
                      MOVE 'Y' TO ERROR-REC-TYPE
      ************************************************************
                 END-EVALUATE
              END-IF
           ELSE
              MOVE 0905 TO WS-8020-PARAGRAPH-NO
              MOVE 90013 TO WS-8020-INT-ERROR-NO
              MOVE 'INPUT-TRAN-FILE' TO WS-8020-FIELD-NAME
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF.

       0905-READ-TRANSACTION-EXIT.
           EXIT.


