      *************************************************************
      * File:      M0910.CBL
      * Author:    Mike Ray
      * Date:      12/19/95
      * Purpose:   Opens the files used by the program.
      *************************************************************

       0910-OPEN-FILES.

      $IF DEBUG-SW DEFINED
           DISPLAY '0910-OPENING FILES'
           UPON CONSOLE
      $END

           INITIALIZE WS-0900-FILE-STATUS

      *****************************************************
      *    OPEN INPUT FILE                                *
      *****************************************************
      *    IF WS-0004-TRAN-400-FLAG = WS-LITERAL-YES
      *       OPEN INPUT INPUT-TRANSACTION-FILE-400
      *       MOVE WS-LITERAL-YES TO WS-0900-INPUT-FILE-OPEN
      *       ADD 1 TO WS-0004-FILES-OPEN
      *       IF WS-0004-FILES-OPEN > WS-0008-MAX-FILES-OPENED
      *          MOVE WS-0004-FILES-OPEN
      *            TO WS-0008-MAX-FILES-OPENED
      *       END-IF
      *IF DEBUG-SW DEFINED
      *    DISPLAY '0910-INPUT FILE OPENED (** 400 LENGTH **)'
      *    UPON CONSOLE
      *END
      *    ELSE
              OPEN INPUT INPUT-TRANSACTION-FILE
              MOVE WS-LITERAL-YES TO WS-0900-INPUT-FILE-OPEN
              ADD 1 TO WS-0004-FILES-OPEN
              IF WS-0004-FILES-OPEN > WS-0008-MAX-FILES-OPENED
                 MOVE WS-0004-FILES-OPEN
                   TO WS-0008-MAX-FILES-OPENED
              END-IF
      $IF DEBUG-SW DEFINED
           DISPLAY '0910-INPUT FILE OPENED'
           UPON CONSOLE
      $END
      *    END-IF


      *****************************************************
      *    OPEN OUTPUT FILES                              *
      *****************************************************


           OPEN OUTPUT ACCEPTED-TRANSACTION-FILE
           MOVE WS-LITERAL-YES TO WS-0900-ACCEPT-FILE-OPEN
           ADD 1 TO WS-0004-FILES-OPEN
           IF WS-0004-FILES-OPEN > WS-0008-MAX-FILES-OPENED
              MOVE WS-0004-FILES-OPEN
                TO WS-0008-MAX-FILES-OPENED
           END-IF

      $IF DEBUG-SW DEFINED
           DISPLAY '0910-ACCEPTED TRANSACTION FILE OPENED'
           UPON CONSOLE
      $END


           OPEN OUTPUT SUSPENDED-TRANSACTION-FILE
           MOVE WS-LITERAL-YES TO WS-0900-SUSPEND-FILE-OPEN
           ADD 1 TO WS-0004-FILES-OPEN
           IF WS-0004-FILES-OPEN > WS-0008-MAX-FILES-OPENED
              MOVE WS-0004-FILES-OPEN
                TO WS-0008-MAX-FILES-OPENED
           END-IF

      $IF DEBUG-SW DEFINED
           DISPLAY '0910-SUSPENDED TRANSACTION FILE OPENED'
           UPON CONSOLE
      $END

           OPEN OUTPUT ESCROW-TRANSACTION-FILE
           MOVE WS-LITERAL-YES TO WS-0900-ESCROW-FILE-OPEN
           ADD 1 TO WS-0004-FILES-OPEN
           IF WS-0004-FILES-OPEN > WS-0008-MAX-FILES-OPENED
              MOVE WS-0004-FILES-OPEN
                TO WS-0008-MAX-FILES-OPENED
           END-IF

      $IF DEBUG-SW DEFINED
           DISPLAY '0910-ESCROW TRANSACTION FILE OPENED'
           UPON CONSOLE
      $END

           OPEN OUTPUT PMEMO-TRANSACTION-FILE
           MOVE WS-LITERAL-YES TO WS-0900-PMEMO-FILE-OPEN
           ADD 1 TO WS-0004-FILES-OPEN
           IF WS-0004-FILES-OPEN > WS-0008-MAX-FILES-OPENED
              MOVE WS-0004-FILES-OPEN
                TO WS-0008-MAX-FILES-OPENED
           END-IF

      $IF DEBUG-SW DEFINED
           DISPLAY '0910-PMEMO TRANSACTION FILE OPENED'
           UPON CONSOLE
      $END

           IF WS-0004-MULTI-PROCESSOR-SW = WS-LITERAL-YES
              OPEN OUTPUT MDAS-STATS-FILE
              MOVE WS-LITERAL-YES TO WS-0900-STATS-FILE-OPEN
              ADD 1 TO WS-0004-FILES-OPEN
      $IF DEBUG-SW DEFINED
           DISPLAY '0910-MDAS STATS FILE OPENED'
           UPON CONSOLE
      $END
           END-IF


           OPEN OUTPUT ERROR-LOG-FILE
           MOVE WS-LITERAL-YES TO WS-0900-LOG-FILE-OPEN
           ADD 1 TO WS-0004-FILES-OPEN
           IF WS-0004-FILES-OPEN > WS-0008-MAX-FILES-OPENED
              MOVE WS-0004-FILES-OPEN
                TO WS-0008-MAX-FILES-OPENED
           END-IF

      $IF DEBUG-SW DEFINED
           DISPLAY '0910-ERROR LOG FILE OPENED'
           UPON CONSOLE
      $END

           OPEN OUTPUT T14EXPR-FILE
           MOVE WS-LITERAL-YES TO WS-0900-T14EXPR-FILE-OPEN
           ADD 1 TO WS-0004-FILES-OPEN
           IF WS-0004-FILES-OPEN > WS-0008-MAX-FILES-OPENED
              MOVE WS-0004-FILES-OPEN
                TO WS-0008-MAX-FILES-OPENED
           END-IF

      $IF DEBUG-SW DEFINED
           display '0910-t14expr file opened'  UPON CONSOLE
      $END

           IF WS-0004-MULTI-PROCESSOR-SW <> WS-LITERAL-YES
              OPEN OUTPUT ERROR-SUM-FILE
              MOVE WS-LITERAL-YES TO WS-0900-SUM-FILE-OPEN
              ADD 1 TO WS-0004-FILES-OPEN
      $IF DEBUG-SW DEFINED
           DISPLAY '0910-ERROR SUMMARY FILE OPENED'
           UPON CONSOLE
      $END
           END-IF

           IF WS-0004-MULTI-PROCESSOR-SW <> WS-LITERAL-YES
              OPEN OUTPUT ERROR-REPT-FILE
              MOVE WS-LITERAL-YES TO WS-0900-ERR-RPT-FILE-OPEN
              ADD 1 TO WS-0004-FILES-OPEN
           IF WS-0004-FILES-OPEN > WS-0008-MAX-FILES-OPENED
              MOVE WS-0004-FILES-OPEN
                TO WS-0008-MAX-FILES-OPENED
           END-IF

      $IF DEBUG-SW DEFINED
           DISPLAY '0910-ERROR-REPT-FILE-OPENED'
           UPON CONSOLE
      $END
           END-IF

      *****************************************************
      *    OPEN TEMP FILES                                *
      *****************************************************

      *    DO NOT OPEN TEMP POLICY FILE BY DEFAULT; FILE
      *    WILL BE OPENED ON DEMAND WHEN THE T99 BUFFER
      *    TABLE IS FULL.

           OPEN OUTPUT TEMP-ERROR-FILE.
           MOVE WS-LITERAL-YES TO WS-0900-TEMP-ERR-FILE-OPEN.
           ADD 1 TO WS-0004-FILES-OPEN
           IF WS-0004-FILES-OPEN > WS-0008-MAX-FILES-OPENED
              MOVE WS-0004-FILES-OPEN
                TO WS-0008-MAX-FILES-OPENED
           END-IF

      $IF DEBUG-SW DEFINED
           DISPLAY '0910-TEMP ERROR FILE OPENED'
           UPON CONSOLE.
      $END

           OPEN OUTPUT TEMP-REJECT-FILE
           MOVE WS-LITERAL-YES TO WS-0900-TEMP-REJECT-FILE-OPEN
           ADD 1 TO WS-0004-FILES-OPEN
           IF WS-0004-FILES-OPEN > WS-0008-MAX-FILES-OPENED
              MOVE WS-0004-FILES-OPEN
                TO WS-0008-MAX-FILES-OPENED
           END-IF

      $IF DEBUG-SW DEFINED
           DISPLAY '0910-TEMP REJECT FILE OPENED'
           UPON CONSOLE.
      $END

      *****************************************************
      *    OPEN ISAM FILES                                *
      *****************************************************

      $IF ISAM-SW DEFINED

           OPEN INPUT ADM1-FILE
           MOVE WS-LITERAL-YES TO WS-0900-ADM1-FILE-OPEN
           ADD 1 TO WS-0004-FILES-OPEN
           IF WS-0004-FILES-OPEN > WS-0008-MAX-FILES-OPENED
              MOVE WS-0004-FILES-OPEN
                TO WS-0008-MAX-FILES-OPENED
           END-IF

           OPEN INPUT ADM1G-FILE
           MOVE WS-LITERAL-YES TO WS-0900-ADM1G-FILE-OPEN
           ADD 1 TO WS-0004-FILES-OPEN
           IF WS-0004-FILES-OPEN > WS-0008-MAX-FILES-OPENED
              MOVE WS-0004-FILES-OPEN
                TO WS-0008-MAX-FILES-OPENED
           END-IF

           OPEN INPUT ADM2-FILE
           MOVE WS-LITERAL-YES TO WS-0900-ADM2-FILE-OPEN
           ADD 1 TO WS-0004-FILES-OPEN
           IF WS-0004-FILES-OPEN > WS-0008-MAX-FILES-OPENED
              MOVE WS-0004-FILES-OPEN
                TO WS-0008-MAX-FILES-OPENED
           END-IF

           OPEN INPUT ADM3-FILE
           MOVE WS-LITERAL-YES TO WS-0900-ADM3-FILE-OPEN
           ADD 1 TO WS-0004-FILES-OPEN
           IF WS-0004-FILES-OPEN > WS-0008-MAX-FILES-OPENED
              MOVE WS-0004-FILES-OPEN
                TO WS-0008-MAX-FILES-OPENED
           END-IF

           OPEN INPUT ADM4-FILE
           MOVE WS-LITERAL-YES TO WS-0900-ADM4-FILE-OPEN
           ADD 1 TO WS-0004-FILES-OPEN
           IF WS-0004-FILES-OPEN > WS-0008-MAX-FILES-OPENED
              MOVE WS-0004-FILES-OPEN
                TO WS-0008-MAX-FILES-OPENED
           END-IF

           OPEN INPUT ADMAC-FILE
           MOVE WS-LITERAL-YES TO WS-0900-ADMAC-FILE-OPEN
           ADD 1 TO WS-0004-FILES-OPEN
           IF WS-0004-FILES-OPEN > WS-0008-MAX-FILES-OPENED
              MOVE WS-0004-FILES-OPEN
                TO WS-0008-MAX-FILES-OPENED
           END-IF

           OPEN INPUT ADMAR-FILE
           MOVE WS-LITERAL-YES TO WS-0900-ADMAR-FILE-OPEN
           ADD 1 TO WS-0004-FILES-OPEN
           IF WS-0004-FILES-OPEN > WS-0008-MAX-FILES-OPENED
              MOVE WS-0004-FILES-OPEN
                TO WS-0008-MAX-FILES-OPENED
           END-IF

           OPEN INPUT ADMC-FILE
           MOVE WS-LITERAL-YES TO WS-0900-ADMC-FILE-OPEN
           ADD 1 TO WS-0004-FILES-OPEN
           IF WS-0004-FILES-OPEN > WS-0008-MAX-FILES-OPENED
              MOVE WS-0004-FILES-OPEN
                TO WS-0008-MAX-FILES-OPENED
           END-IF

           OPEN INPUT ADMH-FILE
           MOVE WS-LITERAL-YES TO WS-0900-ADMH-FILE-OPEN
           ADD 1 TO WS-0004-FILES-OPEN
           IF WS-0004-FILES-OPEN > WS-0008-MAX-FILES-OPENED
              MOVE WS-0004-FILES-OPEN
                TO WS-0008-MAX-FILES-OPENED
           END-IF

           OPEN INPUT ADMIR-FILE
           MOVE WS-LITERAL-YES TO WS-0900-ADMIR-FILE-OPEN
           ADD 1 TO WS-0004-FILES-OPEN
           IF WS-0004-FILES-OPEN > WS-0008-MAX-FILES-OPENED
              MOVE WS-0004-FILES-OPEN
                TO WS-0008-MAX-FILES-OPENED
           END-IF

           OPEN INPUT ADMIY-FILE
           MOVE WS-LITERAL-YES TO WS-0900-ADMIY-FILE-OPEN
           ADD 1 TO WS-0004-FILES-OPEN
           IF WS-0004-FILES-OPEN > WS-0008-MAX-FILES-OPENED
              MOVE WS-0004-FILES-OPEN
                TO WS-0008-MAX-FILES-OPENED
           END-IF

           OPEN INPUT ADMM-FILE
           MOVE WS-LITERAL-YES TO WS-0900-ADMM-FILE-OPEN
           ADD 1 TO WS-0004-FILES-OPEN
           IF WS-0004-FILES-OPEN > WS-0008-MAX-FILES-OPENED
              MOVE WS-0004-FILES-OPEN
                TO WS-0008-MAX-FILES-OPENED
           END-IF

           OPEN INPUT ADMO-FILE
           MOVE WS-LITERAL-YES TO WS-0900-ADMO-FILE-OPEN
           ADD 1 TO WS-0004-FILES-OPEN
           IF WS-0004-FILES-OPEN > WS-0008-MAX-FILES-OPENED
              MOVE WS-0004-FILES-OPEN
                TO WS-0008-MAX-FILES-OPENED
           END-IF

           OPEN INPUT ADMR-FILE
           MOVE WS-LITERAL-YES TO WS-0900-ADMR-FILE-OPEN
           ADD 1 TO WS-0004-FILES-OPEN
           IF WS-0004-FILES-OPEN > WS-0008-MAX-FILES-OPENED
              MOVE WS-0004-FILES-OPEN
                TO WS-0008-MAX-FILES-OPENED
           END-IF

           OPEN INPUT ADMVC-FILE
           MOVE WS-LITERAL-YES TO WS-0900-ADMVC-FILE-OPEN
           ADD 1 TO WS-0004-FILES-OPEN
           IF WS-0004-FILES-OPEN > WS-0008-MAX-FILES-OPENED
              MOVE WS-0004-FILES-OPEN
                TO WS-0008-MAX-FILES-OPENED
           END-IF

           OPEN INPUT ADMVS-FILE
           MOVE WS-LITERAL-YES TO WS-0900-ADMVS-FILE-OPEN
           ADD 1 TO WS-0004-FILES-OPEN
           IF WS-0004-FILES-OPEN > WS-0008-MAX-FILES-OPENED
              MOVE WS-0004-FILES-OPEN
                TO WS-0008-MAX-FILES-OPENED
           END-IF

           OPEN INPUT ADMWE-FILE
           MOVE WS-LITERAL-YES TO WS-0900-ADMWE-FILE-OPEN
           ADD 1 TO WS-0004-FILES-OPEN
           IF WS-0004-FILES-OPEN > WS-0008-MAX-FILES-OPENED
              MOVE WS-0004-FILES-OPEN
                TO WS-0008-MAX-FILES-OPENED
           END-IF

           OPEN INPUT ADMWF-FILE
           MOVE WS-LITERAL-YES TO WS-0900-ADMWF-FILE-OPEN
           ADD 1 TO WS-0004-FILES-OPEN
           IF WS-0004-FILES-OPEN > WS-0008-MAX-FILES-OPENED
              MOVE WS-0004-FILES-OPEN
                TO WS-0008-MAX-FILES-OPENED
           END-IF

           OPEN INPUT ADMY-FILE
           MOVE WS-LITERAL-YES TO WS-0900-ADMY-FILE-OPEN
           ADD 1 TO WS-0004-FILES-OPEN
           IF WS-0004-FILES-OPEN > WS-0008-MAX-FILES-OPENED
              MOVE WS-0004-FILES-OPEN
                TO WS-0008-MAX-FILES-OPENED
           END-IF

           OPEN INPUT ADMSSN-FILE
           MOVE WS-LITERAL-YES TO WS-0900-ADMSSN-FILE-OPEN
           ADD 1 TO WS-0004-FILES-OPEN
           IF WS-0004-FILES-OPEN > WS-0008-MAX-FILES-OPENED
              MOVE WS-0004-FILES-OPEN
                TO WS-0008-MAX-FILES-OPENED
           END-IF

           OPEN I-O TYPE-11-DATES-FILE
           MOVE WS-LITERAL-YES TO WS-0900-TYPE-11-DATE-FILE-OPEN
           ADD 1 TO WS-0004-FILES-OPEN
           IF WS-0004-FILES-OPEN > WS-0008-MAX-FILES-OPENED
              MOVE WS-0004-FILES-OPEN
                TO WS-0008-MAX-FILES-OPENED
           END-IF

           OPEN I-O TYPE-14-DATES-FILE
           MOVE WS-LITERAL-YES TO WS-0900-TYPE-14-DATE-FILE-OPEN
           ADD 1 TO WS-0004-FILES-OPEN
           IF WS-0004-FILES-OPEN > WS-0008-MAX-FILES-OPENED
              MOVE WS-0004-FILES-OPEN
                TO WS-0008-MAX-FILES-OPENED
           END-IF

           OPEN I-O T55-AGENT-FILE
           MOVE WS-LITERAL-YES TO WS-0900-T55-AGENT-FILE-OPEN
           ADD 1 TO WS-0004-FILES-OPEN
           IF WS-0004-FILES-OPEN > WS-0008-MAX-FILES-OPENED
              MOVE WS-0004-FILES-OPEN
                TO WS-0008-MAX-FILES-OPENED
           END-IF

           OPEN I-O T56-ADJUSTER-FILE
           MOVE WS-LITERAL-YES TO WS-0900-T56-ADJUSTER-FILE-OPEN
           ADD 1 TO WS-0004-FILES-OPEN
           IF WS-0004-FILES-OPEN > WS-0008-MAX-FILES-OPENED
              MOVE WS-0004-FILES-OPEN
                TO WS-0008-MAX-FILES-OPENED
           END-IF

           OPEN I-O POLICY-STATS-FILE
           MOVE WS-LITERAL-YES TO WS-0900-PSTATS-FILE-OPEN
           ADD 1 TO WS-0004-FILES-OPEN
           IF WS-0004-FILES-OPEN > WS-0008-MAX-FILES-OPENED
              MOVE WS-0004-FILES-OPEN
                TO WS-0008-MAX-FILES-OPENED
           END-IF
      $IF DEBUG-SW DEFINED
           DISPLAY '0910-' WS-0004-PSTATS-FILE-NAME ' OPENED'
           UPON CONSOLE
      $END

           IF PSTATS-FILE-OPEN
               continue
           ELSE
              MOVE 0910 TO WS-8020-PARAGRAPH-NO
              MOVE 90013 TO WS-8020-INT-ERROR-NO
              MOVE 'POLICY STATS FILE' TO WS-8020-FIELD-NAME
              MOVE SPACES TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

      *    *** This File gets opened before all of the others in order
      *    *** to get the current batch number to create output file names.
           IF NOT INPUT-BATCH-FILE-OPEN
              OPEN I-O BATCH-ISAM-FILE
              MOVE WS-LITERAL-YES TO WS-0900-INPUT-BATCH-OPEN
              ADD 1 TO WS-0004-FILES-OPEN
              IF WS-0004-FILES-OPEN > WS-0008-MAX-FILES-OPENED
                 MOVE WS-0004-FILES-OPEN
                   TO WS-0008-MAX-FILES-OPENED
              END-IF
           END-IF.

      $END

       0910-OPEN-FILES-EXIT.
           EXIT.


