      *************************************************************
      * File:      M0915.CBL
      * Author:    Mike Ray
      * Date:      8/13/95
      * Purpose:   Writes an accepted transaction to the accepted
      *            transaction file.
      *************************************************************

       0915-ACCEPT-TRANSACTION.

      $IF DEBUG-SW DEFINED
           DISPLAY '0915-ACCEPTING TRANSACTION'
           UPON CONSOLE
      $END

      ************************************************
      *             CHECK INPUT FIELDS               *
      ************************************************

      *    *** SET BATCH NUMBER & REINSURANCE YEAR
           MOVE WS-0004-REINS-YR TO WS-0915-REINS-YR
           MOVE WS-0004-BATCH-NO TO WS-0915-BATCH-NO

           IF WS-0915-TRAN-SEQ-NO = ZEROS
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              MOVE 0915 TO WS-8020-PARAGRAPH-NO
              MOVE 90003 TO WS-8020-INT-ERROR-NO
              MOVE 'WS-0915-TRAN-SEQ-NO' TO WS-8020-FIELD-NAME
              MOVE WS-0915-TRAN-SEQ-NO TO WS-8020-BAD-DATA
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

      $IF DEBUG-SW DEFINED
           DISPLAY 'TRAN SEQ NO = ', WS-0915-TRAN-SEQ-NO
           UPON CONSOLE
      $END

           IF WS-0915-TRANS-REC = SPACES
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              MOVE 0915 TO WS-8020-PARAGRAPH-NO
              MOVE 90003 TO WS-8020-INT-ERROR-NO
              MOVE 'WS-0915-TRANS-REC' TO WS-8020-FIELD-NAME
              MOVE WS-0915-TRAN-SEQ-NO TO WS-8020-BAD-DATA
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF.

      *************************************************
      * SET LAST POSITION TO MAKE RECORDS SAME LENGTH *
      *************************************************
           MOVE '*' TO WS-0915-POSITION-400

      ************************************************
      *         WRITE ACCEPTED TRANSACTION           *
      ************************************************

           IF ACCEPT-FILE-OPEN
      * move new claim data to old claim data for mike flynn
            if ws-0915-tran-type = '20'
              move WS-0915-CLAIM-NUM to WS-0915-OLD-CLAIM-NUMBER
              move WS-0915-REINSURE-YR to WS-0915-OLD-REINS-YR
            end-if
              MOVE WS-0915-ACCEPT-REC TO ACCEPT-REC
              WRITE ACCEPTED-RECORD
              ADD 1 TO WS-0008-ACCEPTED-TRANSACTIONS
              EVALUATE WS-0915-TRAN-TYPE
                WHEN '10'
                   IF WS-0915-REC-NO = '001'
                      ADD 1 TO WS-0008-ACCEPTED-POLICY-RECS
                      IF T14EXPR-REC-FOUND
                         MOVE WS-0915-ACCEPT-REC TO T14EXPR-REC
                         WRITE T14EXPR-RECORD
                         MOVE SPACES TO T14EXPR-REC-FOUND-SW
                      end-if
                   ELSE
                      ADD 1 TO WS-0008-ACCEPTED-SBI-RECS
                   END-IF
                WHEN '11'
                   ADD 1 TO WS-0008-ACCEPTED-T11-RECS
                   IF WS-0915-T11-ACRES IS NUMERIC AND
                      WS-0915-T11-INSURED-SHARE IS NUMERIC
                         COMPUTE WS-0008-ACCEPTED-ACRES-DEC ROUNDED
                            = (WS-0915-T11-ACRES *
                               WS-0915-T11-INSURED-SHARE)
                            + WS-0008-ACCEPTED-ACRES-DEC
                            ON SIZE ERROR
                               MOVE 915 TO WS-8020-PARAGRAPH-NO
                               MOVE 90017 TO WS-8020-INT-ERROR-NO
                               MOVE 'BATCH ACP NET ACRES'
                                 TO WS-8020-FIELD-NAME
                               MOVE WS-LITERAL-YES
                                 TO WS-8020-ABORT-PROGRAM
                               PERFORM 8020-RECORD-INT-ERROR
                                  THRU 8020-RECORD-INT-ERROR-EXIT
                         END-COMPUTE
                         COMPUTE WS-0005-ACCEPTED-ACRES ROUNDED
                            = (WS-0915-T11-ACRES *
                               WS-0915-T11-INSURED-SHARE)
                            + WS-0005-ACCEPTED-ACRES
                            ON SIZE ERROR
                               MOVE 915 TO WS-8020-PARAGRAPH-NO
                               MOVE 90017 TO WS-8020-INT-ERROR-NO
                               MOVE 'POL ACP NET ACRES'
                                 TO WS-8020-FIELD-NAME
                               MOVE WS-LITERAL-YES
                                 TO WS-8020-ABORT-PROGRAM
                               PERFORM 8020-RECORD-INT-ERROR
                                  THRU 8020-RECORD-INT-ERROR-EXIT
                         END-COMPUTE
                   END-IF
                   IF WS-0915-T11-LIABILITY IS NUMERIC
                      ADD WS-0915-T11-LIABILITY
                       TO WS-0008-ACCEPTED-LIABILITY
                      ADD WS-0915-T11-LIABILITY
                       TO WS-0005-ACCEPTED-LIABILITY
                   END-IF
                   IF WS-0915-T11-PREMIUM IS NUMERIC
                      ADD WS-0915-T11-PREMIUM
                       TO WS-0008-ACCEPTED-PREMIUM
                      ADD WS-0915-T11-PREMIUM
                       TO WS-0005-ACCEPTED-PREMIUM
                   END-IF
                   IF WS-0915-T11-PROD-PREMIUM IS NUMERIC
                      ADD WS-0915-T11-PROD-PREMIUM
                       TO WS-0008-ACCEPTED-PROD-PREM
                      ADD WS-0915-T11-PROD-PREMIUM
                       TO WS-0005-ACCEPTED-PROD-PREMIUM
                   END-IF

                WHEN '12'
                   IF WS-0915-T12-PARENT-TSEQ-NO > ZEROS
                      ADD 1 TO WS-0008-ACCEPTED-PCR-MEMO-RECS
                   ELSE
                      ADD 1 TO WS-0008-ACCEPTED-T12-RECS
                   END-IF
                   IF WS-0915-T12-PAID-AMT IS NUMERIC
                      ADD WS-0915-T12-PAID-AMT
                       TO WS-0008-ACCEPTED-PAID-DEC
                   END-IF
                WHEN '14'
                   ADD 1 TO WS-0008-ACCEPTED-T14-RECS
                   IF WS-0915-ACCEPT-REC (91:1) = 'Y'
                      MOVE WS-0915-ACCEPT-REC TO T14EXPR-REC
                      WRITE T14EXPR-RECORD
                      SET T14EXPR-REC-FOUND TO TRUE
                   END-IF
                WHEN '15'
                   ADD 1 TO WS-0008-ACCEPTED-T15-RECS
                WHEN '16'
                   ADD 1 TO WS-0008-ACCEPTED-T16-RECS
                WHEN '20'
                   ADD 1 TO WS-0008-ACCEPTED-T20-RECS
                WHEN '21'
                   ADD 1 TO WS-0008-ACCEPTED-T21-RECS
                   IF WS-0915-T21-INDEMNITY IS NUMERIC
                      ADD WS-0915-T21-INDEMNITY
                       TO WS-0008-ACCEPTED-LOSSES
                      ADD WS-0915-T21-INDEMNITY
                       TO WS-0005-ACCEPTED-LOSSES
                   END-IF
                WHEN '33'
                   ADD 1 TO WS-0008-ACCEPTED-T33-RECS
                WHEN '49'
                   ADD 1 TO WS-0008-ACCEPTED-T49-RECS
                WHEN '50'
                   ADD 1 TO WS-0008-ACCEPTED-T50-RECS
                WHEN '55'
                   ADD 1 TO WS-0008-ACCEPTED-T55-RECS
                WHEN '56'
                   ADD 1 TO WS-0008-ACCEPTED-T56-RECS
                WHEN '65'
                   ADD 1 TO WS-0008-ACCEPTED-T65-RECS
                WHEN '97'
                   ADD 1 TO WS-0008-ACCEPTED-T97-RECS
                WHEN OTHER
                   ADD 1 TO WS-0008-ACCEPTED-UNKNOWN-RECS
              END-EVALUATE
           ELSE
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              MOVE 0915 TO WS-8020-PARAGRAPH-NO
              MOVE 90013 TO WS-8020-INT-ERROR-NO
              MOVE 'ACCPT-TRAN-FILE' TO WS-8020-FIELD-NAME
              MOVE WS-0915-TRAN-SEQ-NO TO WS-8020-BAD-DATA
              PERFORM 8020-RECORD-INT-ERROR
                  THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           INITIALIZE WS-0915-ACCEPT-REC.


       0915-ACCEPT-TRANSACTION-EXIT.
           EXIT.



