      *************************************************************
      * File:      M0920.CBL
      * Author:    Mike Ray
      * Date:      8/13/95
      * Purpose:   Writes a rejected transaction to the rejected
      *            transaction file.
      *************************************************************

       0920-REJECT-TRANSACTION.

      $IF DEBUG-SW DEFINED
           DISPLAY '0920-REJECTING TRANSACTION'
           UPON CONSOLE
      $END

      ************************************************
      *             CHECK INPUT FIELDS               *
      ************************************************

      *    *** SET BATCH NUMBER & REINSURANCE YEAR
           MOVE WS-0004-REINS-YR TO WS-0925-REINS-YR
           MOVE WS-0004-BATCH-NO TO WS-0925-BATCH-NO

           IF WS-0920-TRAN-SEQ-NO = ZEROS
              MOVE 0920 TO WS-8020-PARAGRAPH-NO
              MOVE 90003 TO WS-8020-INT-ERROR-NO
              MOVE 'WS-0920-TRAN-SEQ-NO' TO WS-8020-FIELD-NAME
              MOVE ZEROS TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-NO TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
              MOVE WS-0004-TRAN-SEQ-NO TO WS-0920-TRAN-SEQ-NO
           END-IF

      ************************************************
      *         REMOVE ID NUMBER IF NECESSARY        *
      ************************************************

           IF WS-0920-TRAN-TYPE = '10'
              IF WS-0004-REMOVE-ID-FLAG = WS-LITERAL-YES
                 MOVE ZEROS TO WS-0920-T10-ID-NUMBER
              END-IF
           END-IF

      *************************************************
      * SET LAST POSITION TO MAKE RECORDS SAME LENGTH *
      *************************************************
           MOVE '*' TO WS-0920-POSITION-400

      ************************************************
      *         WRITE REJECTED TRANSACTION           *
      ************************************************

           IF TEMP-REJECT-FILE-OPEN

      $IF DEBUG-SW DEFINED
           DISPLAY 'REJECTED TRANS # ', WS-0920-TRAN-SEQ-NO
           UPON CONSOLE
           DISPLAY 'TRAN TYPE IS ', WS-0920-TRAN-TYPE
           UPON CONSOLE
      $END

      * move new claim data to old claim data for mike flynn
            if ws-0915-tran-type = '20'
              move WS-0915-CLAIM-NUM to WS-0915-OLD-CLAIM-NUMBER
              move WS-0915-REINSURE-YR to WS-0915-OLD-REINS-YR
            end-if
              MOVE WS-0920-REJECT-REC TO TEMP-REJ-RECORD
              WRITE TEMP-REJ-RECORD
              ADD 1 TO WS-0008-REJECTED-TRANSACTIONS
              EVALUATE WS-0920-TRAN-TYPE
                WHEN '10'
                   IF WS-0920-REC-NO = '001'
                      ADD 1 TO WS-0008-REJECTED-POLICY-RECS
                   ELSE
                      ADD 1 TO WS-0008-REJECTED-SBI-RECS
                   END-IF
                WHEN '11'
                   ADD 1 TO WS-0008-REJECTED-T11-RECS
                   IF WS-0920-T11-ACRES IS NUMERIC AND
                      WS-0920-T11-INSURED-SHARE IS NUMERIC
                      COMPUTE WS-0008-REJECTED-ACRES-DEC ROUNDED
                         = (WS-0920-T11-ACRES *
                            WS-0920-T11-INSURED-SHARE)
                         + WS-0008-REJECTED-ACRES-DEC
                         ON SIZE ERROR
                            MOVE 920 TO WS-8020-PARAGRAPH-NO
                            MOVE 90017 TO WS-8020-INT-ERROR-NO
                            MOVE 'POL REJ NET ACRES'
                              TO WS-8020-FIELD-NAME
                            MOVE WS-LITERAL-YES
                              TO WS-8020-ABORT-PROGRAM
                            PERFORM 8020-RECORD-INT-ERROR
                               THRU 8020-RECORD-INT-ERROR-EXIT
                      END-COMPUTE
                   END-IF
                   IF WS-0920-T11-LIABILITY IS NUMERIC
                      ADD WS-0920-T11-LIABILITY
                       TO WS-0008-REJECTED-LIABILITY
                   END-IF
                   IF WS-0920-T11-PREMIUM IS NUMERIC
                      ADD WS-0920-T11-PREMIUM
                       TO WS-0008-REJECTED-PREMIUM
                   END-IF
                   IF WS-0920-T11-PROD-PREMIUM IS NUMERIC
                      ADD WS-0920-T11-PROD-PREMIUM
                       TO WS-0008-REJECTED-PROD-PREM
                   END-IF

                WHEN '12'
                   IF WS-0920-T12-PARENT-TSEQ-NO > ZEROS
                      ADD 1 TO WS-0008-REJECTED-PCR-MEMO-RECS
                   ELSE
                      ADD 1 TO WS-0008-REJECTED-T12-RECS
                   END-IF
                   IF WS-0920-T12-PAID-AMT IS NUMERIC
                      ADD WS-0920-T12-PAID-AMT
                       TO WS-0008-REJECTED-PAID-DEC
                   END-IF
                WHEN '14'
                   ADD 1 TO WS-0008-REJECTED-T14-RECS
                WHEN '15'
                   ADD 1 TO WS-0008-REJECTED-T15-RECS
                WHEN '16'
                   ADD 1 TO WS-0008-REJECTED-T16-RECS
                WHEN '20'
                   ADD 1 TO WS-0008-REJECTED-T20-RECS
                WHEN '21'
                   ADD 1 TO WS-0008-REJECTED-T21-RECS
                   IF WS-0920-T21-INDEMNITY IS NUMERIC
                      ADD WS-0920-T21-INDEMNITY
                       TO WS-0008-REJECTED-LOSSES
                   END-IF
                WHEN '33'
                   ADD 1 TO WS-0008-REJECTED-T33-RECS
                WHEN '49'
                   ADD 1 TO WS-0008-REJECTED-T49-RECS
                WHEN '50'
                   ADD 1 TO WS-0008-REJECTED-T50-RECS
                WHEN '55'
                   ADD 1 TO WS-0008-REJECTED-T55-RECS
                WHEN '56'
                   ADD 1 TO WS-0008-REJECTED-T56-RECS
                WHEN '65'
                   ADD 1 TO WS-0008-REJECTED-T65-RECS
                WHEN '97'
                   ADD 1 TO WS-0008-REJECTED-T97-RECS
                WHEN OTHER
                   ADD 1 TO WS-0008-REJECTED-UNKNOWN-RECS
              END-EVALUATE
           ELSE
               MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
               MOVE 0920 TO WS-8020-PARAGRAPH-NO
               MOVE 90013 TO WS-8020-INT-ERROR-NO
               MOVE 'REJ-TRAN-FILE' TO WS-8020-FIELD-NAME
               MOVE WS-0920-TRAN-SEQ-NO TO WS-8020-BAD-DATA
               PERFORM 8020-RECORD-INT-ERROR
                   THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           INITIALIZE WS-0920-REJECT-REC.



       0920-REJECT-TRANSACTION-EXIT.
           EXIT.


