      *************************************************************
      * File:      M0925.CBL
      * Author:    Mike Ray
      * Date:      8/13/95
      * Purpose:   Writes an unimplemented or unprocessable
      *            transaction to the suspended transaction file.
      *************************************************************

       0925-SUSPEND-TRANSACTION.

      $IF DEBUG-SW DEFINED
           DISPLAY '0925-SUSPENDING TRANSACTION'
           UPON CONSOLE
      $END

      ************************************************
      *             CHECK INPUT FIELDS               *
      ************************************************

      *    *** SET BATCH NUMBER & REINSURANCE YEAR
           MOVE WS-0004-REINS-YR TO WS-0925-REINS-YR
           MOVE WS-0004-BATCH-NO TO WS-0925-BATCH-NO

           IF WS-0925-TRAN-SEQ-NO = ZEROS
              MOVE 0925 TO WS-8020-PARAGRAPH-NO
              MOVE 90003 TO WS-8020-INT-ERROR-NO
              MOVE 'WS-0925-TRAN-SEQ-NO' TO WS-8020-FIELD-NAME
              MOVE ZEROS TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-NO TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
              MOVE WS-0004-TRAN-SEQ-NO TO WS-0925-TRAN-SEQ-NO
           END-IF

      *************************************************
      * SET LAST POSITION TO MAKE RECORDS SAME LENGTH *
      *************************************************
           MOVE '*' TO WS-0925-POSITION-400

      ************************************************
      *         WRITE SUSPENDED TRANSACTION          *
      ************************************************
           IF SUSPEND-FILE-OPEN
              MOVE WS-0925-SUSPEND-REC TO SUSPENDED-RECORD
              WRITE SUSPENDED-RECORD
              ADD 1 TO WS-0008-SUSPENDED-TRANSACTIONS

              EVALUATE WS-0925-TRAN-TYPE
                WHEN '10'
                   IF WS-0925-REC-NO = '001'
                      ADD 1 TO WS-0008-SUSPENDED-POLICY-RECS
                   ELSE
                      ADD 1 TO WS-0008-SUSPENDED-SBI-RECS
                   END-IF
                WHEN '11'
                   ADD 1 TO WS-0008-SUSPENDED-T11-RECS
                   IF WS-0925-T11-ACRES IS NUMERIC AND
                      WS-0925-T11-INSURED-SHARE IS NUMERIC
                      COMPUTE WS-0008-SUSPENDED-ACRES-DEC ROUNDED
                         = (WS-0925-T11-ACRES *
                            WS-0925-T11-INSURED-SHARE)
                         + WS-0008-SUSPENDED-ACRES-DEC
                         ON SIZE ERROR
                            MOVE 925 TO WS-8020-PARAGRAPH-NO
                            MOVE 90017 TO WS-8020-INT-ERROR-NO
                            MOVE 'POL SUSPD NET ACRES'
                              TO WS-8020-FIELD-NAME
                            MOVE WS-LITERAL-YES
                              TO WS-8020-ABORT-PROGRAM
                            PERFORM 8020-RECORD-INT-ERROR
                               THRU 8020-RECORD-INT-ERROR-EXIT
                      END-COMPUTE
                   END-IF
                   IF WS-0925-T11-LIABILITY IS NUMERIC
                      ADD WS-0925-T11-LIABILITY
                       TO WS-0008-SUSPENDED-LIABILITY
                   END-IF
                   IF WS-0925-T11-PREMIUM IS NUMERIC
                      ADD WS-0925-T11-PREMIUM
                       TO WS-0008-SUSPENDED-PREMIUM
                   END-IF
                   IF WS-0925-T11-PROD-PREMIUM IS NUMERIC
                      ADD WS-0925-T11-PROD-PREMIUM
                       TO WS-0008-SUSPENDED-PROD-PREM
                   END-IF
                WHEN '12'
                   ADD 1 TO WS-0008-SUSPENDED-T12-RECS
                   IF WS-0925-T12-PAID-AMT IS NUMERIC
                      ADD WS-0925-T12-PAID-AMT
                       TO WS-0008-SUSPENDED-PAID-DEC
                   END-IF
                WHEN '14'
                   ADD 1 TO WS-0008-SUSPENDED-T14-RECS
                WHEN '15'
                   ADD 1 TO WS-0008-SUSPENDED-T15-RECS
                WHEN '16'
                   ADD 1 TO WS-0008-SUSPENDED-T16-RECS
                WHEN '20'
                   ADD 1 TO WS-0008-SUSPENDED-T20-RECS
                WHEN '21'
                   ADD 1 TO WS-0008-SUSPENDED-T21-RECS
                   IF WS-0925-T21-INDEMNITY IS NUMERIC
                      ADD WS-0925-T21-INDEMNITY
                       TO WS-0008-SUSPENDED-LOSSES
                   END-IF
                WHEN '33'
                   ADD 1 TO WS-0008-SUSPENDED-T33-RECS
                WHEN '49'
                   ADD 1 TO WS-0008-SUSPENDED-T49-RECS
                WHEN '50'
                   ADD 1 TO WS-0008-SUSPENDED-T50-RECS
                WHEN '55'
                   ADD 1 TO WS-0008-SUSPENDED-T55-RECS
                WHEN '56'
                   ADD 1 TO WS-0008-SUSPENDED-T56-RECS
                WHEN '65'
                   ADD 1 TO WS-0008-SUSPENDED-T65-RECS
                WHEN '97'
                   ADD 1 TO WS-0008-SUSPENDED-T97-RECS
                WHEN OTHER
                   ADD 1 TO WS-0008-SUSPENDED-UNKNOWN-RECS
              END-EVALUATE
           ELSE
               MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
               MOVE 0925 TO WS-8020-PARAGRAPH-NO
               MOVE 90013 TO WS-8020-INT-ERROR-NO
               MOVE 'SUSP-TRAN-FILE' TO WS-8020-FIELD-NAME
               MOVE WS-0925-TRAN-SEQ-NO TO WS-8020-BAD-DATA
               PERFORM 8020-RECORD-INT-ERROR
                   THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           INITIALIZE WS-0925-SUSPEND-REC.


       0925-SUSPEND-TRANSACTION-EXIT.
           EXIT.


