      *************************************************************
      * File:      M0927.CBL
      * Author:    Mike Ray
      * Date:      04/02/97
      * Purpose:   Writes a transaction which has passed the minimal
      *            edits necessary to fund escrow accounts, but which
      *            has failed the full set of edits, to an escrow
      *            file which will be passed on to accounting.
      *************************************************************

       0927-ESCROW-TRANSACTION.

      $IF DEBUG-SW DEFINED
           DISPLAY '0927-WRITING ESCROW TRANSACTION'
           UPON CONSOLE
      $END

      ************************************************
      *             CHECK INPUT FIELDS               *
      ************************************************

      *    *** SET BATCH NUMBER & REINSURANCE YEAR
           MOVE WS-0004-REINS-YR TO WS-0927-REINS-YR
           MOVE WS-0004-BATCH-NO TO WS-0927-BATCH-NO

           IF WS-0927-TRAN-SEQ-NO = ZEROS
              MOVE 0927 TO WS-8020-PARAGRAPH-NO
              MOVE 90003 TO WS-8020-INT-ERROR-NO
              MOVE 'WS-0927-TRAN-SEQ-NO' TO WS-8020-FIELD-NAME
              MOVE ZEROS TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-NO TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
              MOVE WS-0004-TRAN-SEQ-NO TO WS-0927-TRAN-SEQ-NO
           END-IF

      *************************************************
      * SET LAST POSITION TO MAKE RECORDS SAME LENGTH *
      *************************************************
           MOVE '*' TO WS-0927-POSITION-400

      ************************************************
      *         WRITE SUSPENDED TRANSACTION          *
      ************************************************
           IF ESCROW-FILE-OPEN
      * move new claim data to old claim data for mike flynn
            if ws-0915-tran-type = '20'
              move WS-0915-CLAIM-NUM to WS-0915-OLD-CLAIM-NUMBER
              move WS-0915-REINSURE-YR to WS-0915-OLD-REINS-YR
            end-if
              MOVE WS-0927-ESCROW-REC TO ESCROW-RECORD
              WRITE ESCROW-RECORD
              ADD 1 TO WS-0008-ESCROW-TRANSACTIONS

              EVALUATE WS-0927-TRAN-TYPE
                WHEN '10'
                   IF WS-0927-REC-NO = '001'
                      ADD 1 TO WS-0008-ESCROW-POLICY-RECS
                   END-IF
                WHEN '20'
                   ADD 1 TO WS-0008-ESCROW-T20-RECS
                WHEN '21'
                   ADD 1 TO WS-0008-ESCROW-T21-RECS
                   IF WS-0927-T21-INDEMNITY IS NUMERIC
                      ADD WS-0927-T21-INDEMNITY
                       TO WS-0008-ESCROW-LOSSES
                   END-IF
              END-EVALUATE
           ELSE
               MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
               MOVE 0927 TO WS-8020-PARAGRAPH-NO
               MOVE 90013 TO WS-8020-INT-ERROR-NO
               MOVE 'ESCR-TRAN-FILE' TO WS-8020-FIELD-NAME
               MOVE WS-0927-TRAN-SEQ-NO TO WS-8020-BAD-DATA
               PERFORM 8020-RECORD-INT-ERROR
                   THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF.



       0927-ESCROW-TRANSACTION-EXIT.
           EXIT.


