      *************************************************************
      * File:      M0928.CBL
      * Author:    Mike Ray
      * Date:      07/02/97
      * Purpose:   Writes a generated payment/credit memo to the P/CR
      *            memo file.  Uses its own working storage instead of
      *            a redefine of WS0900 because the parent T20 record
      *            will already be in the WS-0900 area awaiting acceptance.
      *************************************************************

       0928-RECORD-PCR-MEMO.

      $IF DEBUG-SW DEFINED
           DISPLAY '0928-RECORDING PAYMENT/CREDIT MEMO'
           UPON CONSOLE
      $END

      ************************************************
      *             CHECK INPUT FIELDS               *
      ************************************************

      *************************************************
      * SET LAST POSITION TO MAKE RECORDS SAME LENGTH *
      *************************************************
           MOVE '*' TO WS-0928-POSITION-400

      ************************************************
      *         WRITE SUSPENDED TRANSACTION          *
      ************************************************
           IF PMEMO-FILE-OPEN
              MOVE WS-0928-INPUT-REC TO PMEMO-RECORD
              WRITE PMEMO-RECORD
           ELSE
               MOVE WS-LITERAL-NO TO WS-8020-ABORT-PROGRAM
               MOVE 0928 TO WS-8020-PARAGRAPH-NO
               MOVE 90013 TO WS-8020-INT-ERROR-NO
               MOVE 'PCR-MEMO-FILE' TO WS-8020-FIELD-NAME
               MOVE WS-0928-PMEMO-PARENT-TSEQ-NO
                 TO WS-8020-BAD-DATA
               PERFORM 8020-RECORD-INT-ERROR
                  THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF.



       0928-RECORD-PCR-MEMO-EXIT.
           EXIT.


