      *************************************************************
      * File:      M0934.CBL
      * Author:    Mike Ray
      * Date:      05/26/97
      * Purpose:   Moves updated files back to the ISAM directory
      *            and OUTPUT directories after successful program
      *            completion.
      *************************************************************

       0934-SAVE-TEMP-FILES.

      $IF DEBUG-SW DEFINED
           DISPLAY '0934-SAVING UPDATED TEMP/ISAM FILES'
           UPON CONSOLE
      $END

      *==============================================================*
      *           TEMP FILES WHICH ARE USED AS OUTPUT                *
      *     MUST BE COPIED BACK TO OUTPUT DIRECTORY UPON SUCCESSFUL  *
      *     COMPLETION.                                              *
      *==============================================================*


      ************************************************
      *    COPY ACCEPTED FILE                        *
      ************************************************
      *    INITIALIZE WS-0590-INPUT
      *    MOVE WS-0004-TEMP-ACP-FILE-NAME
      *      TO WS-0590-SRC-FILE-NAME
      *    MOVE WS-0004-OUT-ACCEPT-FILE-NAME
      *      TO WS-0590-DEST-FILE-NAME
      *    PERFORM 0590-COPY-FILE
      *       THRU 0590-COPY-FILE-EXIT
      *    IF NOT COPY-SUCCESS-0590
      *       DISPLAY '0934-UNABLE TO COPY ACCEPTED FILE TO OUTPUT'
      *       UPON CONSOLE
      *       PERFORM 0800-ABORT-PROGRAM
      *          THRU 0800-ABORT-PROGRAM-EXIT
      *    END-IF

      ************************************************
      *    COPY REJECTED FILE                        *
      ************************************************
           INITIALIZE WS-0590-INPUT
           MOVE WS-0004-TEMP-REJ-FILE-NAME
             TO WS-0590-SRC-FILE-NAME
           MOVE WS-0004-OUT-REJECT-FILE-NAME
             TO WS-0590-DEST-FILE-NAME
           PERFORM 0590-COPY-FILE
              THRU 0590-COPY-FILE-EXIT
           IF NOT COPY-SUCCESS-0590
              DISPLAY '0934-UNABLE TO COPY REJECTED FILE TO OUTPUT'
              UPON CONSOLE
              PERFORM 0800-ABORT-PROGRAM
                 THRU 0800-ABORT-PROGRAM-EXIT
           END-IF

      ************************************************
      *    COPY SUSPENDED FILE                       *
      ************************************************
           INITIALIZE WS-0590-INPUT
           MOVE WS-0004-TEMP-SUS-FILE-NAME
             TO WS-0590-SRC-FILE-NAME
           MOVE WS-0004-OUT-SUSPEND-FILE-NAME
             TO WS-0590-DEST-FILE-NAME
           PERFORM 0590-COPY-FILE
              THRU 0590-COPY-FILE-EXIT
           IF NOT COPY-SUCCESS-0590
              DISPLAY '0934-UNABLE TO COPY SUSPENDED FILE TO OUTPUT'
              UPON CONSOLE
              PERFORM 0800-ABORT-PROGRAM
                 THRU 0800-ABORT-PROGRAM-EXIT
           END-IF

      ************************************************
      *    COPY ESCROW FILE                          *
      ************************************************
           INITIALIZE WS-0590-INPUT
           MOVE WS-0004-TEMP-ESC-FILE-NAME
             TO WS-0590-SRC-FILE-NAME
           MOVE WS-0004-OUT-ESCROW-FILE-NAME
             TO WS-0590-DEST-FILE-NAME
           PERFORM 0590-COPY-FILE
              THRU 0590-COPY-FILE-EXIT
           IF NOT COPY-SUCCESS-0590
              DISPLAY '0934-UNABLE TO COPY ESCROW FILE TO OUTPUT'
              UPON CONSOLE
              PERFORM 0800-ABORT-PROGRAM
                 THRU 0800-ABORT-PROGRAM-EXIT
           END-IF

      ************************************************
      *    COPY PMEMO FILE                           *
      ************************************************
           INITIALIZE WS-0590-INPUT
           MOVE WS-0004-TEMP-PCR-FILE-NAME
             TO WS-0590-SRC-FILE-NAME
           MOVE WS-0004-OUT-PMEMO-FILE-NAME
             TO WS-0590-DEST-FILE-NAME
           PERFORM 0590-COPY-FILE
              THRU 0590-COPY-FILE-EXIT
           IF NOT COPY-SUCCESS-0590
              DISPLAY '0934-UNABLE TO COPY PMEMO FILE TO OUTPUT'
              UPON CONSOLE
              PERFORM 0800-ABORT-PROGRAM
                 THRU 0800-ABORT-PROGRAM-EXIT
           END-IF

      ************************************************
      *    COPY ERROR FILE                           *
      ************************************************
           INITIALIZE WS-0590-INPUT
           MOVE WS-0004-TEMP-ERR-FILE-NAME
             TO WS-0590-SRC-FILE-NAME
           MOVE WS-0004-OUT-ERRORS-FILE-NAME
             TO WS-0590-DEST-FILE-NAME
           PERFORM 0590-COPY-FILE
              THRU 0590-COPY-FILE-EXIT
           IF NOT COPY-SUCCESS-0590
              DISPLAY '0934-UNABLE TO COPY ERROR FILE TO OUTPUT'
              UPON CONSOLE
              PERFORM 0800-ABORT-PROGRAM
                 THRU 0800-ABORT-PROGRAM-EXIT
           END-IF

      *==============================================================*
      *                  UPDATABLE ISAM FILES                        *
      *     MUST BE COPIED BACK TO ISAM DIRECTORY UPON SUCCESSFUL    *
      *     COMPLETION.                                              *
      *==============================================================*

      ************************************************
      *    COPY T11 FILES                            *
      ************************************************
           INITIALIZE WS-0590-INPUT
           MOVE WS-0004-TEMP-T11-FILE-NAME
             TO WS-0590-SRC-FILE-NAME
           MOVE WS-0004-OUT-T11-FILE-NAME
             TO WS-0590-DEST-FILE-NAME
           PERFORM 0590-COPY-FILE
              THRU 0590-COPY-FILE-EXIT
           IF NOT COPY-SUCCESS-0590
              DISPLAY '0934-UNABLE TO COPY T11 ISAM FILE TO ISAM DIR'
              UPON CONSOLE
              PERFORM 0800-ABORT-PROGRAM
                 THRU 0800-ABORT-PROGRAM-EXIT
           END-IF
           INITIALIZE WS-0590-INPUT
           STRING WS-0004-TEMP-T11-FILE-NAME
            DELIMITED BY SPACE
            '.idx'
            DELIMITED BY SIZE
            INTO WS-0590-SRC-FILE-NAME
           END-STRING
           STRING WS-0004-OUT-T11-FILE-NAME
            DELIMITED BY SPACE
            '.idx'
            DELIMITED BY SIZE
            INTO WS-0590-DEST-FILE-NAME
           END-STRING
           PERFORM 0590-COPY-FILE
              THRU 0590-COPY-FILE-EXIT
           IF NOT COPY-SUCCESS-0590
              DISPLAY '0934-UNABLE TO COPY T11 INDEX FILE TO ISAM DIR'
              UPON CONSOLE
              PERFORM 0800-ABORT-PROGRAM
                 THRU 0800-ABORT-PROGRAM-EXIT
           END-IF


      ************************************************
      *    COPY T14 FILES                            *
      ************************************************
           INITIALIZE WS-0590-INPUT
           MOVE WS-0004-TEMP-T14-FILE-NAME
             TO WS-0590-SRC-FILE-NAME
           MOVE WS-0004-OUT-T14-FILE-NAME
             TO WS-0590-DEST-FILE-NAME
           PERFORM 0590-COPY-FILE
              THRU 0590-COPY-FILE-EXIT
           IF NOT COPY-SUCCESS-0590
              DISPLAY '0934-UNABLE TO COPY T14 ISAM FILE TO ISAM DIR'
              UPON CONSOLE
              PERFORM 0800-ABORT-PROGRAM
                 THRU 0800-ABORT-PROGRAM-EXIT
           END-IF
           INITIALIZE WS-0590-INPUT
           STRING WS-0004-TEMP-T14-FILE-NAME
            DELIMITED BY SPACE
            '.idx'
            DELIMITED BY SIZE
            INTO WS-0590-SRC-FILE-NAME
           END-STRING
           STRING WS-0004-OUT-T14-FILE-NAME
            DELIMITED BY SPACE
            '.idx'
            DELIMITED BY SIZE
            INTO WS-0590-DEST-FILE-NAME
           END-STRING
           PERFORM 0590-COPY-FILE
              THRU 0590-COPY-FILE-EXIT
           IF NOT COPY-SUCCESS-0590
              DISPLAY '0934-UNABLE TO COPY T14 INDEX FILE TO ISAM DIR'
              UPON CONSOLE
              PERFORM 0800-ABORT-PROGRAM
                 THRU 0800-ABORT-PROGRAM-EXIT
           END-IF


      ************************************************
      *    COPY T55 FILES                            *
      ************************************************
           INITIALIZE WS-0590-INPUT
           MOVE WS-0004-TEMP-T55-FILE-NAME
             TO WS-0590-SRC-FILE-NAME
           MOVE WS-0004-OUT-T55-FILE-NAME
             TO WS-0590-DEST-FILE-NAME
           PERFORM 0590-COPY-FILE
              THRU 0590-COPY-FILE-EXIT
           IF NOT COPY-SUCCESS-0590
              DISPLAY '0934-UNABLE TO COPY T55 ISAM FILE TO ISAM DIR'
              UPON CONSOLE
              PERFORM 0800-ABORT-PROGRAM
                 THRU 0800-ABORT-PROGRAM-EXIT
           END-IF
           INITIALIZE WS-0590-INPUT
           STRING WS-0004-TEMP-T55-FILE-NAME
            DELIMITED BY SPACE
            '.idx'
            DELIMITED BY SIZE
            INTO WS-0590-SRC-FILE-NAME
           END-STRING
           STRING WS-0004-OUT-T55-FILE-NAME
            DELIMITED BY SPACE
            '.idx'
            DELIMITED BY SIZE
            INTO WS-0590-DEST-FILE-NAME
           END-STRING
           PERFORM 0590-COPY-FILE
              THRU 0590-COPY-FILE-EXIT
           IF NOT COPY-SUCCESS-0590
              DISPLAY '0934-UNABLE TO COPY T55 INDEX FILE TO ISAM DIR'
              UPON CONSOLE
              PERFORM 0800-ABORT-PROGRAM
                 THRU 0800-ABORT-PROGRAM-EXIT
           END-IF


      ************************************************
      *    COPY T56 FILES                            *
      ************************************************
           INITIALIZE WS-0590-INPUT
           MOVE WS-0004-TEMP-T56-FILE-NAME
             TO WS-0590-SRC-FILE-NAME
           MOVE WS-0004-OUT-T56-FILE-NAME
             TO WS-0590-DEST-FILE-NAME
           PERFORM 0590-COPY-FILE
              THRU 0590-COPY-FILE-EXIT
           IF NOT COPY-SUCCESS-0590
              DISPLAY '0934-UNABLE TO COPY T56 ISAM FILE TO ISAM DIR'
              UPON CONSOLE
              PERFORM 0800-ABORT-PROGRAM
                 THRU 0800-ABORT-PROGRAM-EXIT
           END-IF
           INITIALIZE WS-0590-INPUT
           STRING WS-0004-TEMP-T56-FILE-NAME
            DELIMITED BY SPACE
            '.idx'
            DELIMITED BY SIZE
            INTO WS-0590-SRC-FILE-NAME
           END-STRING
           STRING WS-0004-OUT-T56-FILE-NAME
            DELIMITED BY SPACE
            '.idx'
            DELIMITED BY SIZE
            INTO WS-0590-DEST-FILE-NAME
           END-STRING
           PERFORM 0590-COPY-FILE
              THRU 0590-COPY-FILE-EXIT
           IF NOT COPY-SUCCESS-0590
              DISPLAY '0934-UNABLE TO COPY T56 INDEX FILE TO ISAM DIR'
              UPON CONSOLE
              PERFORM 0800-ABORT-PROGRAM
                 THRU 0800-ABORT-PROGRAM-EXIT
           END-IF

      ************************************************
      *    COPY POLICY STATS FILES                   *
      ************************************************
           INITIALIZE WS-0590-INPUT
           MOVE WS-0004-TEMP-PSTATS-FILE-NAME
             TO WS-0590-SRC-FILE-NAME
           MOVE WS-0004-OUT-PSTATS-FILE-NAME
             TO WS-0590-DEST-FILE-NAME
           PERFORM 0590-COPY-FILE
              THRU 0590-COPY-FILE-EXIT
           IF NOT COPY-SUCCESS-0590
              DISPLAY '0934-UNABLE TO COPY PSTAT ISAM TO ISAM DIR'
              UPON CONSOLE
              PERFORM 0800-ABORT-PROGRAM
                 THRU 0800-ABORT-PROGRAM-EXIT
           END-IF
           INITIALIZE WS-0590-INPUT
           STRING WS-0004-TEMP-PSTATS-FILE-NAME
            DELIMITED BY SPACE
            '.idx'
            DELIMITED BY SIZE
            INTO WS-0590-SRC-FILE-NAME
           END-STRING
           STRING WS-0004-OUT-PSTATS-FILE-NAME
            DELIMITED BY SPACE
            '.idx'
            DELIMITED BY SIZE
            INTO WS-0590-DEST-FILE-NAME
           END-STRING
           PERFORM 0590-COPY-FILE
              THRU 0590-COPY-FILE-EXIT
           IF NOT COPY-SUCCESS-0590
              DISPLAY '0934-UNABLE TO COPY PSTAT INDEX TO ISAM DIR'
              UPON CONSOLE
              PERFORM 0800-ABORT-PROGRAM
                 THRU 0800-ABORT-PROGRAM-EXIT
           END-IF.



       0934-SAVE-TEMP-FILES-EXIT.
           EXIT.


