      *************************************************************
      * File:      M0935.CBL
      * Author:    Mike Ray
      * Date:      8/15/95
      * Purpose:   Writes a header to the transaction log file
      *            that gives the information about the current
      *            batch.
      *************************************************************

       0935-WRITE-BATCH-HEADER.

      $IF DEBUG-SW DEFINED
           DISPLAY '0935-WRITING BATCH HEADER'
           UPON CONSOLE
      $END

      ************************************************
      *             CHECK INPUT FIELDS               *
      ************************************************

           IF WS-0004-BATCH-INS-PROV EQUAL SPACES
               MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
               MOVE 0935 TO WS-8020-PARAGRAPH-NO
               MOVE 90003 TO WS-8020-INT-ERROR-NO
               MOVE 'WS-0004-BATCH-INS-PROV' TO WS-8020-FIELD-NAME
               MOVE WS-0004-BATCH-INS-PROV TO WS-8020-BAD-DATA
               PERFORM 8020-RECORD-INT-ERROR
                  THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-0004-FILE-NAME EQUAL SPACES
               MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
               MOVE 0935 TO WS-8020-PARAGRAPH-NO
               MOVE 90003 TO WS-8020-INT-ERROR-NO
               MOVE 'WS-0004-FILE-NAME' TO WS-8020-FIELD-NAME
               MOVE WS-0004-FILE-NAME TO WS-8020-BAD-DATA
               PERFORM 8020-RECORD-INT-ERROR
                   THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

      ************************************************
      *            ASSEMBLE HEADER LINE 1            *
      ************************************************
           MOVE WS-0004-CURRENT-BOOK-NO TO WS-0935-LINE1-CURR-BOOK-NO
           MOVE WS-0004-BATCH-NO TO WS-0935-LINE1-BATCH-NO
           MOVE WS-0004-SYS-DATE TO WS-0935-LINE1-SYS-DATE
           MOVE WS-0004-SYS-TIME TO WS-0935-LINE1-SYS-TIME

      ************************************************
      *            ASSEMBLE HEADER LINE 2            *
      ************************************************
           MOVE WS-0004-INS-PROVIDER-NAME TO WS-0935-LINE2-ORG-NAME
           MOVE WS-0004-REINS-YR TO WS-0935-LINE2-REINSURANCE-YR

      ************************************************
      *            ASSEMBLE HEADER LINE 3            *
      ************************************************
           MOVE WS-0004-FILE-NAME TO WS-0935-LINE3-FILE-NAME
           MOVE WS-0004-FCIC-PROC-DATE
             TO WS-0935-LINE3-FCIC-PROC-DATE
           MOVE WS-0004-FCIC-PROC-TIME
             TO WS-0935-LINE3-FCIC-PROC-TIME.



       0935-WRITE-BATCH-HEADER-EXIT.
           EXIT.



