      *************************************************************
      * File:      M0940.CBL
      * Author:    Laura Dittamo
      * Date:      8/23/95
      * Purpose:   Writes a validated transaction to the
      *            temporary hold transaction file.
      *************************************************************

       0940-HOLD-TRANSACTION.

      $IF DEBUG-SW DEFINED
           DISPLAY '0940-WRITING TRANSACTION TO THE HELD POLICY FILE'
           UPON CONSOLE
      $END

      ************************************************
      *             CHECK INPUT FIELDS               *
      ************************************************


           IF WS-0940-TRANS-REC = SPACES
               MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
               MOVE 0940 TO WS-8020-PARAGRAPH-NO
               MOVE 90003 TO WS-8020-INT-ERROR-NO
               MOVE 'WS-0940-HOLD-REC' TO WS-8020-FIELD-NAME
               MOVE WS-0940-TRAN-SEQ-NO TO WS-8020-BAD-DATA
               PERFORM 8020-RECORD-INT-ERROR
                   THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF.

           IF WS-0940-TRAN-SEQ-NO IS NOT NUMERIC
              MOVE 0940 TO WS-8020-PARAGRAPH-NO
              MOVE 90001 TO WS-8020-INT-ERROR-NO
              MOVE 'WS-0940-TRAN-SEQ-NO' TO WS-8020-FIELD-NAME
              MOVE WS-0940-TRAN-SEQ-NO TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-0940-TRAN-SEQ-NO IS EQUAL ZEROS
              MOVE 0940 TO WS-8020-PARAGRAPH-NO
              MOVE 90003 TO WS-8020-INT-ERROR-NO
              MOVE 'WS-0940-TRAN-SEQ-NO' TO WS-8020-FIELD-NAME
              MOVE WS-0940-TRAN-SEQ-NO TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-0940-TRAN-SOURCE-FLAG = SPACES
               MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
               MOVE 0940 TO WS-8020-PARAGRAPH-NO
               MOVE 90003 TO WS-8020-INT-ERROR-NO
               MOVE 'WS-0940-TRAN-SOURCE-FLAG' TO WS-8020-FIELD-NAME
               MOVE WS-0940-TRAN-SOURCE-FLAG TO WS-8020-BAD-DATA
               PERFORM 8020-RECORD-INT-ERROR
                   THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF.

      ************************************************
      *         WRITE TEMP HOLD TRANSACTION          *
      ************************************************

           IF NOT TEMP-POL-FILE-OPEN
              PERFORM 0955-OPEN-TEMP-FOR-OUTPUT
                 THRU 0955-OPEN-TEMP-FOR-OUTPUT-EXIT
           END-IF
           MOVE WS-0940-HOLD-REC TO TEMP-RECORD
           WRITE TEMP-RECORD.


       0940-HOLD-TRANSACTION-EXIT.
           EXIT.


