      *************************************************************
      * File:      M0952.CBL
      * Author:    Yo-I Tsui
      * Date:      3/20/96
      * Purpose:   Gets the next batch number for the given RO/Year
      *************************************************************

       0952-GET-NEXT-BATCH-NO.

      $IF DEBUG-SW DEFINED
           DISPLAY '0952-GETTING THE NEXT BATCH NUMBER'
           UPON CONSOLE
      $END

      ************************************************
      *       INITIALIZE OUTPUT/LOCAL FIELDS         *
      ************************************************
           MOVE 1 TO WS-0952-INPUT-BATCH-NO
           INITIALIZE WS-0952-LOCAL
           INITIALIZE WS-0952-OUTPUT

      ************************************************
      *             CHECK INPUT FIELDS               *
      ************************************************
           IF WS-0952-INPUT-BATCH-YR = ZEROS
              MOVE 0952 TO WS-8020-PARAGRAPH-NO
              MOVE 90003 TO WS-8020-INT-ERROR-NO
              MOVE 'REINS YR' TO WS-8020-FIELD-NAME
              MOVE SPACES TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-0952-INPUT-BATCH-RO = SPACES
              MOVE 0952 TO WS-8020-PARAGRAPH-NO
              MOVE 90003 TO WS-8020-INT-ERROR-NO
              MOVE 'RO' TO WS-8020-FIELD-NAME
              MOVE SPACES TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-0952-FILE-NAME = SPACES
              MOVE 0952 TO WS-8020-PARAGRAPH-NO
              MOVE 90003 TO WS-8020-INT-ERROR-NO
              MOVE 'INFILE NAME' TO WS-8020-FIELD-NAME
              MOVE SPACES TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF


      ************************************************
      *         FIND FIRST RECORD FOR RO/YEAR        *
      ************************************************

           IF WS-0900-INPUT-BATCH-OPEN = WS-LITERAL-YES
              MOVE WS-0952-INPUT-KEY TO BATCH-ISAM-KEY
              START BATCH-ISAM-FILE
                KEY = BATCH-ISAM-KEY
                  INVALID KEY
      *             *** NO RECORDS EXIST FOR THIS RO/YEAR
                    MOVE ZERO TO WS-0952-BATCH-NO
                  NOT INVALID KEY
      *             *** AT LEAST ONE RECORD EXISTS FOR THIS RO/YEAR
                    MOVE WS-LITERAL-NO TO WS-0952-MATCH-FOUND
                    PERFORM 0952-READ-NEXT-RECORD
                       THRU 0952-READ-NEXT-RECORD-EXIT
                      UNTIL WS-0952-MATCH-FOUND = WS-LITERAL-YES
              END-START

      *       *** THE VALUE IN WS-0952-BATCH-NO WILL BE THE
      *       *** LAST BATCH # FOUND OR ZERO IF NO RECORD
      *       *** EXISTS FOR THE CURRENT YEAR.
      *       *** ADD ONE TO THE VALUE AND SET UP THE RECORD
      *       *** IN MEMORY BUT DON'T WRITE IT TO THE FILE
              MOVE WS-0952-INPUT-KEY TO WS-0900-BATCH-KEY
              ADD 1 TO WS-0952-BATCH-NO
              MOVE WS-0952-BATCH-NO TO WS-0900-BATCH-NO
              MOVE WS-0952-FILE-NAME TO WS-0900-FILE-NAME
              MOVE WS-0952-FCIC-CTRL-DT
                TO WS-0900-FCIC-CTRL-DT
              MOVE WS-0952-FCIC-CTRL-TIME
                TO WS-0900-FCIC-CTRL-TIME
              MOVE WS-0952-SYS-DATE TO WS-0900-SYS-DATE
              MOVE WS-0952-SYS-TIME TO WS-0900-SYS-TIME
           ELSE
              DISPLAY '0952-INPUT BATCH FILE NOT OPEN!'
              UPON CONSOLE
              PERFORM 0800-ABORT-PROGRAM
                 THRU 0800-ABORT-PROGRAM-EXIT
           END-IF

      $IF DEBUG-SW DEFINED
           DISPLAY 'BATCH FILE # = ', WS-0952-BATCH-NO
           UPON CONSOLE
      $END

      ************************************************
      *         INITIALIZE INPUT FIELDS              *
      ************************************************
           INITIALIZE WS-0952-INPUT.


       0952-GET-NEXT-BATCH-NO-EXIT.
           EXIT.



       0952-READ-NEXT-RECORD.

           READ BATCH-ISAM-FILE NEXT RECORD
              AT END
                 MOVE WS-LITERAL-YES TO WS-0952-MATCH-FOUND
              NOT AT END
                 MOVE BATCH-ISAM-RECORD TO WS-0900-BATCH-REC
                 IF WS-0900-BATCH-YR NOT = WS-0952-INPUT-BATCH-YR OR
                    WS-0900-BATCH-RO NOT = WS-0952-INPUT-BATCH-RO
      *             *** THE LAST RECORD READ WAS THE LAST BATCH FOR THIS RO/YR
                    MOVE WS-LITERAL-YES TO WS-0952-MATCH-FOUND
                 ELSE
      *             *** THIS RECORD WAS FOR THIS RO/YR SAVE ITS BATCH NO.
                    MOVE WS-0900-BATCH-NO TO WS-0952-BATCH-NO
                 END-IF
           END-READ.

       0952-READ-NEXT-RECORD-EXIT.
           EXIT.
