      ***************************************************************
      * File:      M0953.CBL
      * Author:    Yo-I Tsui
      * Date:      04/01/96
      * Purpose:
      *    This paragraph formats a type Batch ISAM Record
      ***************************************************************


       0953-WRITE-BATCH-ISAM.

      $IF DEBUG-SW DEFINED
           DISPLAY '0953-WRITING BATCH ISAM FILE'
           UPON CONSOLE
      $END

      *********************************************************
      *    SET UP KEY                                         *
      *********************************************************
           MOVE WS-0004-REINS-YR TO WS-0900-BATCH-YR
           MOVE WS-0004-BATCH-INS-PROV TO WS-0900-BATCH-RO
           MOVE WS-0004-BATCH-NO TO WS-0900-BATCH-NO
           MOVE WS-0004-FILE-NAME TO WS-0900-FILE-NAME
           MOVE WS-0004-FCIC-PROC-DATE TO WS-0900-FCIC-CTRL-DT
           MOVE WS-0004-FCIC-PROC-TIME TO WS-0900-FCIC-CTRL-TIME
           MOVE WS-0004-SYS-DATE TO WS-0900-SYS-DATE
           MOVE WS-0004-SYS-TIME TO WS-0900-SYS-TIME

      *********************************************************
      *    SET UP STATISTICS                                  *
      *********************************************************
           MOVE WS-0008-INFILE-TOTAL-RECS TO WS-0900-TRANS-RECS-COUNT
           MOVE WS-0008-ACCEPTED-TRANSACTIONS TO WS-0900-ACCEPT-TRANS
           MOVE WS-0008-REJECTED-TRANSACTIONS TO WS-0900-REJECT-TRANS
           MOVE WS-0008-SUSPENDED-TRANSACTIONS TO WS-0900-SUSPEND-TRANS

           MOVE WS-0008-INFILE-ACRES TO WS-0900-TOT-ACRES
           MOVE WS-0008-ACCEPTED-ACRES TO WS-0900-ACCEPT-TOT-ACRES
           MOVE WS-0008-REJECTED-ACRES TO WS-0900-REJECT-TOT-ACRES
           MOVE WS-0008-SUSPENDED-ACRES TO WS-0900-SUSPEND-TOT-ACRES

           MOVE WS-0008-INFILE-LIABILITY TO WS-0900-TOT-LIAB
           MOVE WS-0008-ACCEPTED-LIABILITY TO WS-0900-ACCEPT-TOT-LIAB
           MOVE WS-0008-REJECTED-LIABILITY TO WS-0900-REJECT-TOT-LIAB
           MOVE WS-0008-SUSPENDED-LIABILITY TO WS-0900-SUSPEND-TOT-LIAB

           MOVE WS-0008-INFILE-PREMIUM TO WS-0900-TOT-PREM
           MOVE WS-0008-ACCEPTED-PREMIUM TO WS-0900-ACCEPT-TOT-PREM
           MOVE WS-0008-REJECTED-PREMIUM TO WS-0900-REJECT-TOT-PREM
           MOVE WS-0008-SUSPENDED-PREMIUM TO WS-0900-SUSPEND-TOT-PREM

           MOVE WS-0008-INFILE-PROD-PREM TO WS-0900-TOT-PRD-PR
           MOVE WS-0008-ACCEPTED-PROD-PREM TO WS-0900-ACCEPT-TOT-PRD-PR
           MOVE WS-0008-REJECTED-PROD-PREM TO WS-0900-REJECT-TOT-PRD-PR
           MOVE WS-0008-SUSPENDED-PROD-PREM TO WS-0900-SUSPND-TOT-PRD-PR

           MOVE WS-0008-INFILE-LOSSES TO WS-0900-TOT-LOSSES
           MOVE WS-0008-ACCEPTED-LOSSES TO WS-0900-ACCEPT-TOT-LOSS
           MOVE WS-0008-REJECTED-LOSSES TO WS-0900-REJECT-TOT-LOSS
           MOVE WS-0008-SUSPENDED-LOSSES TO WS-0900-SUSPEND-TOT-LOSS

           MOVE WS-0008-INFILE-PAID TO WS-0900-TOTAL-PAID
           MOVE WS-0008-ACCEPTED-PAID TO WS-0900-ACCEPT-TOT-PAID
           MOVE WS-0008-REJECTED-PAID TO WS-0900-REJECT-TOT-PAID
           MOVE WS-0008-SUSPENDED-PAID TO WS-0900-SUSPEND-TOT-PD

           COMPUTE WS-0900-TOTAL-ERRORS =
                   WS-0008-FIELD-VAL-ERRORS
                 + WS-0008-INTER-FIELD-VAL-ERRORS
                 + WS-0008-INTER-REC-VAL-ERRORS

      ************************************************
      *         FIND ANY EXISTING RECORD             *
      ************************************************
           IF WS-0900-INPUT-BATCH-OPEN = WS-LITERAL-YES
              MOVE WS-0900-BATCH-KEY TO BATCH-ISAM-KEY
      $IF DEBUG-SW DEFINED
           DISPLAY 'READING BATCH ISAM FOR KEY = ',
           WS-0900-BATCH-KEY
           UPON CONSOLE
      $END
              READ BATCH-ISAM-FILE
                 INVALID KEY
      *            *** NO RECORD EXISTS FOR THIS BATCH
      $IF DEBUG-SW DEFINED
           DISPLAY 'NEW BATCH RECORD'
           UPON CONSOLE
      $END
                   MOVE WS-0900-BATCH-REC
                     TO BATCH-ISAM-RECORD
                   WRITE BATCH-ISAM-RECORD
                       INVALID KEY
                          MOVE 0953 TO WS-8020-PARAGRAPH-NO
                          MOVE 90029 TO WS-8020-INT-ERROR-NO
                          MOVE 'BATCH ISAM KEY'
                            TO WS-8020-FIELD-NAME
                          MOVE WS-0900-BATCH-KEY
                            TO WS-8020-BAD-DATA
                          MOVE WS-LITERAL-YES
                            TO WS-8020-ABORT-PROGRAM
                          PERFORM 8020-RECORD-INT-ERROR
                             THRU 8020-RECORD-INT-ERROR-EXIT
                   END-WRITE
                   GO TO 0953-WRITE-BATCH-ISAM-EXIT

                 NOT INVALID KEY
      *            *** RECORD ALREADY EXISTS
      $IF DEBUG-SW DEFINED
           DISPLAY 'EXISTING RECORD FOUND - REWRITING'
           UPON CONSOLE
      $END
                   MOVE WS-0900-BATCH-REC
                     TO BATCH-ISAM-RECORD
                   REWRITE BATCH-ISAM-RECORD
                       INVALID KEY
                          MOVE 0953 TO WS-8020-PARAGRAPH-NO
                          MOVE 90030 TO WS-8020-INT-ERROR-NO
                          MOVE 'BATCH ISAM KEY'
                            TO WS-8020-FIELD-NAME
                          MOVE WS-0900-BATCH-KEY
                            TO WS-8020-BAD-DATA
                          MOVE WS-LITERAL-YES
                            TO WS-8020-ABORT-PROGRAM
                          PERFORM 8020-RECORD-INT-ERROR
                             THRU 8020-RECORD-INT-ERROR-EXIT
                   END-REWRITE
              END-READ
           END-IF.

       0953-WRITE-BATCH-ISAM-EXIT.
          EXIT.

