      *************************************************************
      * File:      M0975.CBL
      * Author:    Laura Dittamo
      * Date:      1/26/96
      * Purpose:   Writes a new record to the ISAM Type 14 Dates
      *            File.
      *************************************************************

       0975-WRITE-TYPE-14-DT-REC.

      $IF DEBUG-SW DEFINED
           DISPLAY '0975-WRITE/REWRITE TYPE 14 DATES RECORD'
           UPON CONSOLE
      $END

      ************************************************
      *             CHECK INPUT FIELDS               *
      ************************************************

           IF WS-0975-REPORTING-ORG IS EQUAL SPACES
              MOVE 0975 TO WS-8020-PARAGRAPH-NO
              MOVE 90003 TO WS-8020-INT-ERROR-NO
              MOVE WS-LITERAL-RO TO WS-8020-FIELD-NAME
              MOVE WS-0975-REPORTING-ORG TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-0975-LOCATION-STATE IS NOT NUMERIC
              MOVE 0975 TO WS-8020-PARAGRAPH-NO
              MOVE 90001 TO WS-8020-INT-ERROR-NO
              MOVE WS-LITERAL-STATE TO WS-8020-FIELD-NAME
              MOVE SPACES TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-0975-LOCATION-STATE IS EQUAL ZEROS
              MOVE 0975 TO WS-8020-PARAGRAPH-NO
              MOVE 90003 TO WS-8020-INT-ERROR-NO
              MOVE WS-LITERAL-STATE TO WS-8020-FIELD-NAME
              MOVE WS-0975-LOCATION-STATE TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-0975-COMPANY-COUNTY IS NOT NUMERIC
              MOVE 0975 TO WS-8020-PARAGRAPH-NO
              MOVE 90001 TO WS-8020-INT-ERROR-NO
              MOVE WS-LITERAL-CPNY-CNTY TO WS-8020-FIELD-NAME
              MOVE SPACES TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-0975-COMPANY-COUNTY IS EQUAL ZEROS
              MOVE 0975 TO WS-8020-PARAGRAPH-NO
              MOVE 90003 TO WS-8020-INT-ERROR-NO
              MOVE WS-LITERAL-CPNY-CNTY TO WS-8020-FIELD-NAME
              MOVE WS-0975-COMPANY-COUNTY TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-0975-POLICY-NUM IS NOT NUMERIC
              MOVE 0975 TO WS-8020-PARAGRAPH-NO
              MOVE 90001 TO WS-8020-INT-ERROR-NO
              MOVE WS-LITERAL-POLICY-NO TO WS-8020-FIELD-NAME
              MOVE SPACES TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-0975-POLICY-NUM IS EQUAL ZEROS
              MOVE 0975 TO WS-8020-PARAGRAPH-NO
              MOVE 90003 TO WS-8020-INT-ERROR-NO
              MOVE WS-LITERAL-POLICY-NO TO WS-8020-FIELD-NAME
              MOVE WS-0975-POLICY-NUM TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-0975-CROP-YEAR IS NOT NUMERIC
              MOVE 0975 TO WS-8020-PARAGRAPH-NO
              MOVE 90001 TO WS-8020-INT-ERROR-NO
              MOVE WS-LITERAL-CROP-YR TO WS-8020-FIELD-NAME
              MOVE SPACES TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-0975-CROP-YEAR IS EQUAL ZEROS
              MOVE 0975 TO WS-8020-PARAGRAPH-NO
              MOVE 90003 TO WS-8020-INT-ERROR-NO
              MOVE WS-LITERAL-CROP-YR TO WS-8020-FIELD-NAME
              MOVE WS-0975-CROP-YEAR TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-0975-LOCATION-COUNTY IS NOT NUMERIC
              MOVE 0975 TO WS-8020-PARAGRAPH-NO
              MOVE 90001 TO WS-8020-INT-ERROR-NO
              MOVE WS-LITERAL-LOC-CNTY TO WS-8020-FIELD-NAME
              MOVE SPACES TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-0975-LOCATION-COUNTY IS EQUAL ZEROS
              MOVE 0975 TO WS-8020-PARAGRAPH-NO
              MOVE 90003 TO WS-8020-INT-ERROR-NO
              MOVE WS-LITERAL-LOC-CNTY TO WS-8020-FIELD-NAME
              MOVE WS-0975-LOCATION-COUNTY TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-0975-LOCATION-COUNTY IS EQUAL 999
              MOVE 0975 TO WS-8020-PARAGRAPH-NO
              MOVE 90048 TO WS-8020-INT-ERROR-NO
              MOVE WS-LITERAL-LOC-CNTY TO WS-8020-FIELD-NAME
              MOVE WS-0975-LOCATION-COUNTY TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-0975-CROP-CD IS NOT NUMERIC
              MOVE 0975 TO WS-8020-PARAGRAPH-NO
              MOVE 90001 TO WS-8020-INT-ERROR-NO
              MOVE WS-LITERAL-CROP-CD TO WS-8020-FIELD-NAME
              MOVE SPACES TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-0975-CROP-CD IS EQUAL ZEROS
              MOVE 0975 TO WS-8020-PARAGRAPH-NO
              MOVE 90003 TO WS-8020-INT-ERROR-NO
              MOVE WS-LITERAL-CROP-CD TO WS-8020-FIELD-NAME
              MOVE SPACES TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-0975-CROP-POLICY-TYPE IS EQUAL SPACES
              MOVE 0975 TO WS-8020-PARAGRAPH-NO
              MOVE 90003 TO WS-8020-INT-ERROR-NO
              MOVE 'CROP POLICY TYPE' TO WS-8020-FIELD-NAME
              MOVE WS-0975-CROP-POLICY-TYPE TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

      $IF DEBUG-SW DEFINED
           DISPLAY 'CROP POLICY TYPE: |', WS-0975-CROP-POLICY-TYPE,
           '|' UPON CONSOLE
      $END
           IF WS-0975-DUAL-CVG-FLG IS NOT NUMERIC
              MOVE 0975 TO WS-8020-PARAGRAPH-NO
              MOVE 90001 TO WS-8020-INT-ERROR-NO
              MOVE WS-LITERAL-DUAL-CVG-FL TO WS-8020-FIELD-NAME
              MOVE SPACES TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-0975-DUAL-CVG-FLG > 1
              MOVE 0975 TO WS-8020-PARAGRAPH-NO
              MOVE 90003 TO WS-8020-INT-ERROR-NO
              MOVE WS-LITERAL-DUAL-CVG-FL TO WS-8020-FIELD-NAME
              MOVE WS-0975-DUAL-CVG-FLG TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-0975-ASSIGNED-RISK IS NOT NUMERIC
              MOVE 0975 TO WS-8020-PARAGRAPH-NO
              MOVE 90001 TO WS-8020-INT-ERROR-NO
              MOVE WS-LITERAL-ASSIGNED-RISK TO WS-8020-FIELD-NAME
              MOVE SPACES TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-0975-ASSIGNED-RISK > 2 and <> 4
              MOVE 0975 TO WS-8020-PARAGRAPH-NO
              MOVE 90003 TO WS-8020-INT-ERROR-NO
              MOVE WS-LITERAL-ASSIGNED-RISK TO WS-8020-FIELD-NAME
              MOVE WS-0975-ASSIGNED-RISK TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-0975-ORIG-SUB-DATE IS NOT NUMERIC
              MOVE 0975 TO WS-8020-PARAGRAPH-NO
              MOVE 90001 TO WS-8020-INT-ERROR-NO
              MOVE 'ORIG SUBMISSION DT' TO WS-8020-FIELD-NAME
              MOVE SPACES TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-0975-ORIG-SUB-DATE IS EQUAL ZEROS
              MOVE 0975 TO WS-8020-PARAGRAPH-NO
              MOVE 90003 TO WS-8020-INT-ERROR-NO
              MOVE 'ORIG SUBMISSION DT' TO WS-8020-FIELD-NAME
              MOVE WS-0975-ORIG-SUB-DATE TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-0975-ORIG-SUB-TIME IS NOT NUMERIC
              MOVE 0975 TO WS-8020-PARAGRAPH-NO
              MOVE 90001 TO WS-8020-INT-ERROR-NO
              MOVE 'ORIG SUBMISSION TIME' TO WS-8020-FIELD-NAME
              MOVE SPACES TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-0975-ORIG-SUB-TIME IS EQUAL ZEROS
              MOVE 0975 TO WS-8020-PARAGRAPH-NO
              MOVE 90003 TO WS-8020-INT-ERROR-NO
              MOVE 'ORIG SUBMISSION TIME' TO WS-8020-FIELD-NAME
              MOVE WS-0975-ORIG-SUB-TIME TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-0975-ORIG-SUB-BATCH-NUM IS NOT NUMERIC
              MOVE 0975 TO WS-8020-PARAGRAPH-NO
              MOVE 90001 TO WS-8020-INT-ERROR-NO
              MOVE 'ORIG SUB BATCH NUM' TO WS-8020-FIELD-NAME
              MOVE SPACES TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-0975-ORIG-SUB-TRANS-SEQ-NUM IS NOT NUMERIC
              MOVE 0975 TO WS-8020-PARAGRAPH-NO
              MOVE 90001 TO WS-8020-INT-ERROR-NO
              MOVE 'ORIG SUB TRANS SEQ NUM' TO WS-8020-FIELD-NAME
              MOVE SPACES TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF


           IF WS-0975-ASGD-RISK-CUTOFF-DATE IS NOT NUMERIC
              MOVE 0975 TO WS-8020-PARAGRAPH-NO
              MOVE 90001 TO WS-8020-INT-ERROR-NO
              MOVE 'ASGD RISK CUTOFF DT' TO WS-8020-FIELD-NAME
              MOVE SPACES TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-0975-ASGD-RISK-CUTOFF-DATE IS EQUAL ZEROS
              MOVE 0975 TO WS-8020-PARAGRAPH-NO
              MOVE 90003 TO WS-8020-INT-ERROR-NO
              MOVE 'ASGD RISK CUTOFF DT' TO WS-8020-FIELD-NAME
              MOVE WS-0975-ASGD-RISK-CUTOFF-DATE TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-0975-LAST-CHANGE-DATE IS NOT NUMERIC
              MOVE 0975 TO WS-8020-PARAGRAPH-NO
              MOVE 90001 TO WS-8020-INT-ERROR-NO
              MOVE 'LAST CHANGE DATE' TO WS-8020-FIELD-NAME
              MOVE SPACES TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-0975-CHANGE-BATCH-NUM IS NOT NUMERIC
              MOVE 0975 TO WS-8020-PARAGRAPH-NO
              MOVE 90001 TO WS-8020-INT-ERROR-NO
              MOVE 'CHANGE BATCH NUM' TO WS-8020-FIELD-NAME
              MOVE SPACES TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-0975-CHANGE-TRANS-SEQ-NUM IS NOT NUMERIC
              MOVE 0975 TO WS-8020-PARAGRAPH-NO
              MOVE 90001 TO WS-8020-INT-ERROR-NO
              MOVE 'CHANGE TRANS SEQ NUM' TO WS-8020-FIELD-NAME
              MOVE SPACES TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-0975-ACCEPTED-DATE IS NOT NUMERIC
              MOVE 0975 TO WS-8020-PARAGRAPH-NO
              MOVE 90001 TO WS-8020-INT-ERROR-NO
              MOVE 'ACCEPTED DATE' TO WS-8020-FIELD-NAME
              MOVE SPACES TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-0975-ACCEPTED-TIME IS NOT NUMERIC
              MOVE 0975 TO WS-8020-PARAGRAPH-NO
              MOVE 90001 TO WS-8020-INT-ERROR-NO
              MOVE 'ACCEPTED TIME' TO WS-8020-FIELD-NAME
              MOVE SPACES TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-0975-ACCEPTED-BATCH-NUM IS NOT NUMERIC
              MOVE 0975 TO WS-8020-PARAGRAPH-NO
              MOVE 90001 TO WS-8020-INT-ERROR-NO
              MOVE 'ACCEPTED BATCH NUM' TO WS-8020-FIELD-NAME
              MOVE SPACES TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-0975-ACCEPTED-TRANS-SEQ-NUM IS NOT NUMERIC
              MOVE 0975 TO WS-8020-PARAGRAPH-NO
              MOVE 90001 TO WS-8020-INT-ERROR-NO
              MOVE 'ACCEPTED TRANS SEQ NUM' TO WS-8020-FIELD-NAME
              MOVE SPACES TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-0975-OVERRIDE-DATE IS NOT NUMERIC
              MOVE 0975 TO WS-8020-PARAGRAPH-NO
              MOVE 90001 TO WS-8020-INT-ERROR-NO
              MOVE 'OVERRIDE DATE' TO WS-8020-FIELD-NAME
              MOVE SPACES TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF


      ************************************************
      *         WRITE TYPE 14 DATES REC              *
      ************************************************

           IF TYPE-14-DATES-FILE-OPEN

      $IF DEBUG-SW DEFINED
           PERFORM 0975-SHOW-INPUT
              THRU 0975-SHOW-INPUT-EXIT
      $END
      ************************************************
      *         READ RECORD FROM ISAM FILE           *
      ************************************************

              MOVE WS-0975-INPUT-KEY TO TYPE-14-DATES-REC-KEY
              READ TYPE-14-DATES-FILE
                 INVALID KEY
                    WRITE TYPE-14-DATES-RECORD FROM WS-0975-INPUT-REC
                       INVALID KEY
                          MOVE 0975 TO WS-8020-PARAGRAPH-NO
                          MOVE 90029 TO WS-8020-INT-ERROR-NO
                          MOVE 'TYPE 14 DATES KEY' TO WS-8020-FIELD-NAME
                          MOVE WS-0975-INPUT-KEY TO WS-8020-BAD-DATA
                          MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
                          PERFORM 8020-RECORD-INT-ERROR
                             THRU 8020-RECORD-INT-ERROR-EXIT
                       NOT INVALID KEY
                          ADD 1 TO WS-0008-14-DT-RECS-ADDED
                    END-WRITE

                 NOT INVALID KEY
                    REWRITE TYPE-14-DATES-RECORD FROM WS-0975-INPUT-REC
                       INVALID KEY
                          MOVE 0975 TO WS-8020-PARAGRAPH-NO
                          MOVE 90030 TO WS-8020-INT-ERROR-NO
                          MOVE 'TYPE 14 DATES KEY' TO WS-8020-FIELD-NAME
                          MOVE WS-0975-INPUT-KEY TO WS-8020-BAD-DATA
                          MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
                          PERFORM 8020-RECORD-INT-ERROR
                             THRU 8020-RECORD-INT-ERROR-EXIT
                       NOT INVALID KEY
                          ADD 1 TO WS-0008-14-DT-RECS-UPDATED
                    END-REWRITE
              END-READ

           ELSE
               MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
               MOVE 0975 TO WS-8020-PARAGRAPH-NO
               MOVE 90013 TO WS-8020-INT-ERROR-NO
               MOVE 'TYPE 14 DATES FILE' TO WS-8020-FIELD-NAME
               MOVE SPACES TO WS-8020-BAD-DATA
               PERFORM 8020-RECORD-INT-ERROR
                   THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF
           INITIALIZE WS-0975-INPUT-REC.



       0975-WRITE-TYPE-14-DT-REC-EXIT.
           EXIT.


      $IF DEBUG-SW DEFINED

       0975-SHOW-INPUT.

           DISPLAY 'REPORTING ORG    : ',
             WS-0975-REPORTING-ORG UPON CONSOLE
           DISPLAY 'LOCATION STATE   : ',
             WS-0975-LOCATION-STATE UPON CONSOLE
           DISPLAY 'COMPANY/COUNTY   : ',
             WS-0975-COMPANY-COUNTY UPON CONSOLE
           DISPLAY 'POLICY NUMBER    : ',
             WS-0975-POLICY-NUM UPON CONSOLE
           DISPLAY 'CROP YEAR        : ',
             WS-0975-CROP-YEAR UPON CONSOLE
           DISPLAY 'LOCATION COUNTY  : ',
             WS-0975-LOCATION-COUNTY UPON CONSOLE
           DISPLAY 'CROP CODE        : ',
             WS-0975-CROP-CD UPON CONSOLE
           DISPLAY 'INS PLAN CD      : ',
             WS-0975-INSURANCE-PLAN-ID UPON CONSOLE
           DISPLAY 'CROP POLICY TYPE : ',
             WS-0975-CROP-POLICY-TYPE UPON CONSOLE
           DISPLAY 'DUAL CVG FLG     : ',
             WS-0975-DUAL-CVG-FLG UPON CONSOLE
           DISPLAY '---------------------------'
             UPON CONSOLE
           DISPLAY 'ASSIGNED RISK         : ',
             WS-0975-ASSIGNED-RISK UPON CONSOLE
           DISPLAY 'ORIG SUBMISSION DATE  : ',
             WS-0975-ORIG-SUB-DATE UPON CONSOLE
           DISPLAY 'ORIG SUBMISSION TIME  : ',
             WS-0975-ORIG-SUB-TIME UPON CONSOLE
           DISPLAY 'ORIG SUB BATCH NUMBER : ',
             WS-0975-ORIG-SUB-BATCH-NUM UPON CONSOLE
           DISPLAY 'ORIG SUB TRANS SEQ NUM: ',
             WS-0975-ORIG-SUB-TRANS-SEQ-NUM UPON CONSOLE
           DISPLAY 'ASGD RISK CUTOFF DATE : ',
             WS-0975-ASGD-RISK-CUTOFF-DATE UPON CONSOLE
           DISPLAY 'LAST CHANGE DATE      : ',
             WS-0975-LAST-CHANGE-DATE UPON CONSOLE
           DISPLAY 'CHANGE BATCH NUMBER   : ',
             WS-0975-CHANGE-BATCH-NUM UPON CONSOLE
           DISPLAY 'CHANGE TRANS SEQ NUM  : ',
             WS-0975-CHANGE-TRANS-SEQ-NUM UPON CONSOLE
           DISPLAY 'ACCEPTED DATE         : ',
             WS-0975-ACCEPTED-DATE UPON CONSOLE
           DISPLAY 'ACCEPTED TIME         : ',
             WS-0975-ACCEPTED-TIME UPON CONSOLE
           DISPLAY 'ACCEPTED BATCH NUMBER : ',
             WS-0975-ACCEPTED-BATCH-NUM UPON CONSOLE
           DISPLAY 'ACCEPTED TRANS SEQ NUM: ',
             WS-0975-ACCEPTED-TRANS-SEQ-NUM UPON CONSOLE
           DISPLAY 'OVERRIDE APPROVAL CD  : ',
             WS-0975-OVERRIDE-APPROVAL-CD UPON CONSOLE
           DISPLAY 'OVERRIDE USER ID      : ',
             WS-0975-OVERRIDE-USER-ID UPON CONSOLE
           DISPLAY 'OVERRIDE DATE         : ',
             WS-0975-OVERRIDE-DATE UPON CONSOLE
           DISPLAY ' ' UPON CONSOLE.

       0975-SHOW-INPUT-EXIT.
           EXIT.

      $END
