      *************************************************************
      * File:      M0985.CBL
      * Author:    Mike Ray
      * Date:      03/12/97
      * Purpose:   Searches the type 55 file for an existing record
      *            and then updates it.  If no record is found, a
      *            new one is created.
      *************************************************************

       0985-WRITE-T55-AGENT-REC.

      $IF DEBUG-SW DEFINED
           DISPLAY '0985-WRITING T55 AGENT RECORD'
           UPON CONSOLE
      $END

      ************************************************
      *     INITIALIZE LOCAL WORKING STORAGE         *
      ************************************************
           INITIALIZE WS-0985-WORK

      ************************************************
      *             CHECK INPUT FIELDS               *
      ************************************************
      $IF DEBUG-SW DEFINED
           DISPLAY 'INPUT AGENT ID = ',
           WS-0985-AGENT-ID
           UPON CONSOLE
      $END

           IF WS-0985-REJECTED-FLAG = SPACES
              MOVE WS-LITERAL-NO TO WS-0985-REJECTED-FLAG
           END-IF

           IF WS-0985-AGENT-ID = SPACES
              IF WS-0985-REJECTED-FLAG <> WS-LITERAL-YES
                 MOVE 0985 TO WS-8020-PARAGRAPH-NO
                 MOVE 90003 TO WS-8020-INT-ERROR-NO
                 MOVE WS-LITERAL-AGENT-ID-NO TO WS-8020-FIELD-NAME
                 MOVE SPACES TO WS-8020-BAD-DATA
                 MOVE WS-LITERAL-NO TO WS-8020-ABORT-PROGRAM
                 PERFORM 8020-RECORD-INT-ERROR
                    THRU 8020-RECORD-INT-ERROR-EXIT
              END-IF
              GO TO 0985-WRITE-T55-AGENT-REC-EXIT
           END-IF

           IF WS-0985-BATCH-NO IS NOT NUMERIC
              MOVE 0985 TO WS-8020-PARAGRAPH-NO
              MOVE 90001 TO WS-8020-INT-ERROR-NO
              MOVE 'WS-0985-BATCH-NO' TO WS-8020-FIELD-NAME
              MOVE WS-0985-BATCH-NO TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-0985-BATCH-NO = ZEROS
              MOVE 0985 TO WS-8020-PARAGRAPH-NO
              MOVE 90003 TO WS-8020-INT-ERROR-NO
              MOVE 'WS-0985-BATCH-NO' TO WS-8020-FIELD-NAME
              MOVE WS-0985-BATCH-NO TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-0985-TRAN-SEQ-NO IS NOT NUMERIC
              MOVE 0985 TO WS-8020-PARAGRAPH-NO
              MOVE 90001 TO WS-8020-INT-ERROR-NO
              MOVE 'WS-0985-TRAN-SEQ-NO' TO WS-8020-FIELD-NAME
              MOVE WS-0985-TRAN-SEQ-NO TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-0985-TRAN-SEQ-NO = ZEROS
              MOVE 0985 TO WS-8020-PARAGRAPH-NO
              MOVE 90003 TO WS-8020-INT-ERROR-NO
              MOVE 'WS-0985-TRAN-SEQ-NO' TO WS-8020-FIELD-NAME
              MOVE WS-0985-TRAN-SEQ-NO TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-0985-FCIC-CONTROL-DATE IS NOT NUMERIC
              MOVE 0985 TO WS-8020-PARAGRAPH-NO
              MOVE 90001 TO WS-8020-INT-ERROR-NO
              MOVE 'WS-0985-FCIC-CONTROL-DATE' TO WS-8020-FIELD-NAME
              MOVE WS-0985-FCIC-CONTROL-DATE TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-0985-FCIC-CONTROL-DATE = ZEROS
              MOVE 0985 TO WS-8020-PARAGRAPH-NO
              MOVE 90003 TO WS-8020-INT-ERROR-NO
              MOVE 'WS-0985-FCIC-CONTROL-DATE' TO WS-8020-FIELD-NAME
              MOVE WS-0985-FCIC-CONTROL-DATE TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

      ************************************************
      *         SEARCH FOR TYPE 55 RECORD            *
      ************************************************
           MOVE WS-LITERAL-NO TO WS-0985-MATCH-FOUND

           IF T55-AGENT-FILE-OPEN
              MOVE WS-0985-AGENT-ID TO T55-AGENT-REC-KEY
              READ T55-AGENT-FILE
                 INVALID KEY
                    MOVE WS-LITERAL-NO TO WS-0985-MATCH-FOUND
                 NOT INVALID KEY
                    MOVE T55-AGENT-REC TO WS-0985-ISAM-T55
                    MOVE WS-LITERAL-YES TO WS-0985-MATCH-FOUND
              END-READ
           ELSE
              MOVE 0985 TO WS-8020-PARAGRAPH-NO
              MOVE 90013 TO WS-8020-INT-ERROR-NO
              MOVE 'T55 AGENT FILE' TO WS-8020-FIELD-NAME
              MOVE SPACES TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

      ************************************************
      *         SET UP TYPE 55 ISAM RECORD           *
      ************************************************
           MOVE WS-0985-AGENT-ID
             TO WS-0985-ISAM-AGENT-ID
           MOVE WS-0985-REJECTED-FLAG
             TO WS-0985-ISAM-REJECT-FLAG
           MOVE WS-0985-BATCH-NO
             TO WS-0985-ISAM-LATEST-SUB-BATCH
           MOVE WS-0985-FCIC-CONTROL-DATE
             TO WS-0985-ISAM-LATEST-SUB-DATE
           MOVE WS-0985-INPUT-T55
             TO WS-0985-ISAM-LATEST-RECORD

      ************************************************
      *         WRITE TYPE 55 ISAM RECORD            *
      ************************************************

           IF WS-0985-MATCH-FOUND = WS-LITERAL-YES
              REWRITE T55-AGENT-REC FROM WS-0985-ISAM-T55
                 INVALID KEY
                    DISPLAY 'INVALID KEY ERROR - WRITE SKIPPED'
                    UPON CONSOLE
                    DISPLAY 'TYPE 55 AGENT KEY: ',
                    WS-0985-ISAM-AGENT-ID UPON CONSOLE
                    MOVE 0985 TO WS-8020-PARAGRAPH-NO
                    MOVE 90030 TO WS-8020-INT-ERROR-NO
                    MOVE 'TYPE 55 AGENT KEY' TO WS-8020-FIELD-NAME
                    MOVE WS-0985-ISAM-AGENT-ID TO WS-8020-BAD-DATA
                    MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
                    PERFORM 8020-RECORD-INT-ERROR
                       THRU 8020-RECORD-INT-ERROR-EXIT
      $IF DEBUG-SW DEFINED
                 NOT INVALID KEY
                    DISPLAY 'UPDATED AGENT # ',
                    WS-0985-ISAM-AGENT-ID, ' ',
                    WS-0985-AGENT-LAST-NAME, ', ',
                    WS-0985-AGENT-FIRST-NAME, ' REJECTED FLAG = ',
                    WS-0985-ISAM-REJECT-FLAG
                    UPON CONSOLE
                    DISPLAY 'AGENT WAS ORIGINALLY SUBMITTED ON ',
                    WS-0985-ISAM-FIRST-SUB-DATE, ' IN BATCH# ',
                    WS-0985-ISAM-FIRST-SUB-BATCH
                    UPON CONSOLE
      $END
              END-REWRITE
           ELSE
      *       *** SET UP FIRST SUBMISSION FIELDS ***
              MOVE WS-0985-BATCH-NO
                TO WS-0985-ISAM-FIRST-SUB-BATCH
              MOVE WS-0985-FCIC-CONTROL-DATE
                TO WS-0985-ISAM-FIRST-SUB-DATE
              WRITE T55-AGENT-REC FROM WS-0985-ISAM-T55
                 INVALID KEY
                    DISPLAY 'INVALID KEY ERROR - WRITE SKIPPED'
                    UPON CONSOLE
                    DISPLAY 'TYPE 55 AGENT KEY: ',
                    WS-0985-ISAM-AGENT-ID UPON CONSOLE
                    MOVE 0985 TO WS-8020-PARAGRAPH-NO
                    MOVE 90029 TO WS-8020-INT-ERROR-NO
                    MOVE 'TYPE 55 AGENT KEY' TO WS-8020-FIELD-NAME
                    MOVE WS-0985-ISAM-AGENT-ID TO WS-8020-BAD-DATA
                    MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
                    PERFORM 8020-RECORD-INT-ERROR
                       THRU 8020-RECORD-INT-ERROR-EXIT
      $IF DEBUG-SW DEFINED
                 NOT INVALID KEY
                    DISPLAY 'ADDED AGENT # ',
                    WS-0985-ISAM-AGENT-ID, ' ',
                    WS-0985-AGENT-LAST-NAME, ', ',
                    WS-0985-AGENT-FIRST-NAME, ' REJECTED FLAG = ',
                    WS-0985-ISAM-REJECT-FLAG
                    UPON CONSOLE
      $END
              END-WRITE
           END-IF

      ************************************************
      *          INITIALIZE INPUT FIELDS             *
      ************************************************
           INITIALIZE WS-0985-INPUT.


       0985-WRITE-T55-AGENT-REC-EXIT.
           EXIT.


