      *************************************************************
      * File:      M0986.CBL
      * Author:    Mike Ray
      * Date:      04/28/97
      * Purpose:   Searches the type 56 file for an existing record
      *            and then updates it.  If no record is found, a
      *            new one is created.
      *************************************************************

       0986-WRITE-T56-ADJ-REC.

      $IF DEBUG-SW DEFINED
           DISPLAY '0986-WRITING T56 LOSS ADJUSTER RECORD'
           UPON CONSOLE
      $END

      ************************************************
      *     INITIALIZE LOCAL WORKING STORAGE         *
      ************************************************
           INITIALIZE WS-0986-WORK

      ************************************************
      *             CHECK INPUT FIELDS               *
      ************************************************
      $IF DEBUG-SW DEFINED
           DISPLAY 'INPUT ADJUSTER ID = ',
           WS-0986-ADJUSTER-ID
           UPON CONSOLE
      $END

           IF WS-0986-REJECTED-FLAG = SPACES
              MOVE WS-LITERAL-NO TO WS-0986-REJECTED-FLAG
           END-IF

           IF WS-0986-ADJUSTER-ID = SPACES
              IF WS-0986-REJECTED-FLAG <> WS-LITERAL-YES
                 MOVE 0986 TO WS-8020-PARAGRAPH-NO
                 MOVE 90003 TO WS-8020-INT-ERROR-NO
                 MOVE WS-LITERAL-ADJUSTER-ID-CD TO WS-8020-FIELD-NAME
                 MOVE SPACES TO WS-8020-BAD-DATA
                 MOVE WS-LITERAL-NO TO WS-8020-ABORT-PROGRAM
                 PERFORM 8020-RECORD-INT-ERROR
                    THRU 8020-RECORD-INT-ERROR-EXIT
              END-IF
              GO TO 0986-WRITE-T56-ADJ-REC-EXIT
           END-IF

           IF WS-0986-BATCH-NO IS NOT NUMERIC
              MOVE 0986 TO WS-8020-PARAGRAPH-NO
              MOVE 90001 TO WS-8020-INT-ERROR-NO
              MOVE 'WS-0986-BATCH-NO' TO WS-8020-FIELD-NAME
              MOVE WS-0986-BATCH-NO TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-0986-BATCH-NO = ZEROS
              MOVE 0986 TO WS-8020-PARAGRAPH-NO
              MOVE 90003 TO WS-8020-INT-ERROR-NO
              MOVE 'WS-0986-BATCH-NO' TO WS-8020-FIELD-NAME
              MOVE WS-0986-BATCH-NO TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-0986-TRAN-SEQ-NO IS NOT NUMERIC
              MOVE 0986 TO WS-8020-PARAGRAPH-NO
              MOVE 90001 TO WS-8020-INT-ERROR-NO
              MOVE 'WS-0986-TRAN-SEQ-NO' TO WS-8020-FIELD-NAME
              MOVE WS-0986-TRAN-SEQ-NO TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-0986-TRAN-SEQ-NO = ZEROS
              MOVE 0986 TO WS-8020-PARAGRAPH-NO
              MOVE 90003 TO WS-8020-INT-ERROR-NO
              MOVE 'WS-0986-TRAN-SEQ-NO' TO WS-8020-FIELD-NAME
              MOVE WS-0986-TRAN-SEQ-NO TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-0986-FCIC-CONTROL-DATE IS NOT NUMERIC
              MOVE 0986 TO WS-8020-PARAGRAPH-NO
              MOVE 90001 TO WS-8020-INT-ERROR-NO
              MOVE 'WS-0986-FCIC-CONTROL-DATE' TO WS-8020-FIELD-NAME
              MOVE WS-0986-FCIC-CONTROL-DATE TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-0986-FCIC-CONTROL-DATE = ZEROS
              MOVE 0986 TO WS-8020-PARAGRAPH-NO
              MOVE 90003 TO WS-8020-INT-ERROR-NO
              MOVE 'WS-0986-FCIC-CONTROL-DATE' TO WS-8020-FIELD-NAME
              MOVE WS-0986-FCIC-CONTROL-DATE TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

      ************************************************
      *         SEARCH FOR TYPE 55 RECORD            *
      ************************************************
           MOVE WS-LITERAL-NO TO WS-0986-MATCH-FOUND

           IF T56-ADJUSTER-FILE-OPEN
              MOVE WS-0986-ADJUSTER-ID TO T56-ADJUSTER-REC-KEY
              READ T56-ADJUSTER-FILE
                 INVALID KEY
                    MOVE WS-LITERAL-NO TO WS-0986-MATCH-FOUND
                 NOT INVALID KEY
                    MOVE T56-ADJUSTER-REC TO WS-0986-ISAM-T56
                    MOVE WS-LITERAL-YES TO WS-0986-MATCH-FOUND
              END-READ
           ELSE
              MOVE 0986 TO WS-8020-PARAGRAPH-NO
              MOVE 90013 TO WS-8020-INT-ERROR-NO
              MOVE 'T56 ADJUSTER FILE' TO WS-8020-FIELD-NAME
              MOVE SPACES TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

      ************************************************
      *         SET UP TYPE 55 ISAM RECORD           *
      ************************************************
           MOVE WS-0986-ADJUSTER-ID
             TO WS-0986-ISAM-ADJUSTER-ID
           MOVE WS-0986-REJECTED-FLAG
             TO WS-0986-ISAM-REJECT-FLAG
           MOVE WS-0986-BATCH-NO
             TO WS-0986-ISAM-LATEST-SUB-BATCH
           MOVE WS-0986-FCIC-CONTROL-DATE
             TO WS-0986-ISAM-LATEST-SUB-DATE
           MOVE WS-0986-INPUT-T56
             TO WS-0986-ISAM-LATEST-RECORD

      ************************************************
      *         WRITE TYPE 55 ISAM RECORD            *
      ************************************************

           IF WS-0986-MATCH-FOUND = WS-LITERAL-YES
              REWRITE T56-ADJUSTER-REC FROM WS-0986-ISAM-T56
                 INVALID KEY
                    DISPLAY 'INVALID KEY ERROR - WRITE SKIPPED'
                    UPON CONSOLE
                    DISPLAY 'TYPE 56 ADJUSTER KEY: ',
                    WS-0986-ISAM-ADJUSTER-ID UPON CONSOLE
                    MOVE 0986 TO WS-8020-PARAGRAPH-NO
                    MOVE 90030 TO WS-8020-INT-ERROR-NO
                    MOVE 'TYPE 56 ADJUSTER KEY' TO WS-8020-FIELD-NAME
                    MOVE WS-0986-ISAM-ADJUSTER-ID TO WS-8020-BAD-DATA
                    MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
                    PERFORM 8020-RECORD-INT-ERROR
                       THRU 8020-RECORD-INT-ERROR-EXIT
      $IF DEBUG-SW DEFINED
                 NOT INVALID KEY
                    DISPLAY 'UPDATED ADJUSTER # ',
                    WS-0986-ISAM-ADJUSTER-ID, ' ',
                    WS-0986-ADJ-LAST-NAME, ', ',
                    WS-0986-ADJ-FIRST-NAME, ' REJECTED FLAG = ',
                    WS-0986-ISAM-REJECT-FLAG
                    UPON CONSOLE
                    DISPLAY 'ADJUSTER WAS ORIGINALLY SUBMITTED ON ',
                    WS-0986-ISAM-FIRST-SUB-DATE, ' IN BATCH# ',
                    WS-0986-ISAM-FIRST-SUB-BATCH
                    UPON CONSOLE
      $END
              END-REWRITE
           ELSE
      *       *** SET UP FIRST SUBMISSION FIELDS ***
              MOVE WS-0986-BATCH-NO
                TO WS-0986-ISAM-FIRST-SUB-BATCH
              MOVE WS-0986-FCIC-CONTROL-DATE
                TO WS-0986-ISAM-FIRST-SUB-DATE
              WRITE T56-ADJUSTER-REC FROM WS-0986-ISAM-T56
                 INVALID KEY
                    DISPLAY 'INVALID KEY ERROR - WRITE SKIPPED'
                    UPON CONSOLE
                    DISPLAY 'TYPE 56 ADJUSTER KEY: ',
                    WS-0986-ISAM-ADJUSTER-ID UPON CONSOLE
                    MOVE 0986 TO WS-8020-PARAGRAPH-NO
                    MOVE 90029 TO WS-8020-INT-ERROR-NO
                    MOVE 'TYPE 56 ADJUSTER KEY' TO WS-8020-FIELD-NAME
                    MOVE WS-0986-ISAM-ADJUSTER-ID TO WS-8020-BAD-DATA
                    MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
                    PERFORM 8020-RECORD-INT-ERROR
                       THRU 8020-RECORD-INT-ERROR-EXIT
      $IF DEBUG-SW DEFINED
                 NOT INVALID KEY
                    DISPLAY 'ADDED ADJUSTER # ',
                    WS-0986-ISAM-ADJUSTER-ID, ' ',
                    WS-0986-ADJ-LAST-NAME, ', ',
                    WS-0986-ADJ-FIRST-NAME, ' REJECTED FLAG = ',
                    WS-0986-ISAM-REJECT-FLAG
                    UPON CONSOLE
      $END
              END-WRITE
           END-IF

      ************************************************
      *          INITIALIZE INPUT FIELDS             *
      ************************************************
           INITIALIZE WS-0986-INPUT.


       0986-WRITE-T56-ADJ-REC-EXIT.
           EXIT.


