      *************************************************************
      * File:      M0989.CBL
      * Author:    Mike Ray
      * Date:      04/07/97
      * Purpose:   Reads sequentially through the policy stats
      *            file and adds up the year to date totals for
      *            the reporting organization.
      *************************************************************

       0989-SUM-POLICY-STATS.

      $IF DEBUG-SW DEFINED
           DISPLAY '0989-SUMMING POLICY STATISTICS'
           UPON CONSOLE
      $END

      ************************************************
      *  INITIALIZE LOCAL WORKING STORAGE            *
      ************************************************
           INITIALIZE WS-0989-WORK

      ************************************************
      *  START TIME                                  *
      ************************************************
      $IF DEBUG-SW DEFINED
           PERFORM 0540-GET-DATE-TIME
              THRU 0540-GET-DATE-TIME-EXIT
      $END

      ************************************************
      *  CLOSE THE ISAM FILE AND OPEN IT FOR INPUT   *
      ************************************************
           IF PSTATS-FILE-OPEN
              CLOSE POLICY-STATS-FILE
              MOVE WS-LITERAL-NO TO WS-0900-PSTATS-FILE-OPEN
              SUBTRACT 1 FROM WS-0004-FILES-OPEN
           END-IF

      $IF DEBUG-SW DEFINED
           DISPLAY 'POLICY STATISTICS FILE CLOSED'
           UPON CONSOLE
      $END

           OPEN INPUT POLICY-STATS-FILE
           MOVE WS-LITERAL-YES TO WS-0900-PSTATS-FILE-OPEN
           ADD 1 TO WS-0004-FILES-OPEN
           IF WS-0004-FILES-OPEN > WS-0008-MAX-FILES-OPENED
              MOVE WS-0004-FILES-OPEN TO WS-0008-MAX-FILES-OPENED
           END-IF

      $IF DEBUG-SW DEFINED
           DISPLAY 'POLICY STATISTICS FILE OPENED FOR INPUT'
           UPON CONSOLE
      $END

      ************************************************
      *         SUM UP THE POLICY RECORDS            *
      ************************************************
           MOVE WS-LITERAL-NO TO WS-0989-EOF
           PERFORM 0989-READ-PSTAT-REC
              THRU 0989-READ-PSTAT-REC-EXIT
             UNTIL WS-0989-EOF = WS-LITERAL-YES

           COMPUTE WS-0008-ACCEPTED-ACRES-YTD ROUNDED
              = (WS-0008-ACCEPTED-ACRES-YTD-DEC * 1)
              ON SIZE ERROR
                 MOVE 989 TO WS-8020-PARAGRAPH-NO
                 MOVE 90017 TO WS-8020-INT-ERROR-NO
                 MOVE 'ACPTD ACRES YTD' TO WS-8020-FIELD-NAME
                 MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
                 PERFORM 8020-RECORD-INT-ERROR
                    THRU 8020-RECORD-INT-ERROR-EXIT
           END-COMPUTE


           MOVE WS-0989-POLICY-COUNT
             TO WS-0989-POLICY-COUNT-X.

      ************************************************
      *  END TIME                                    *
      ************************************************
      $IF DEBUG-SW DEFINED
           PERFORM 0540-GET-DATE-TIME
              THRU 0540-GET-DATE-TIME-EXIT
           DISPLAY 'POLICY COUNT = ', WS-0989-POLICY-COUNT-X
           UPON CONSOLE.
      $END

       0989-SUM-POLICY-STATS-EXIT.
           EXIT.


       0989-READ-PSTAT-REC.

           INITIALIZE WS-0989-ISAM-PSTATS
           READ POLICY-STATS-FILE NEXT RECORD
           INTO WS-0989-ISAM-PSTATS
                 AT END
                    MOVE WS-LITERAL-YES TO WS-0989-EOF
                    GO TO 0989-READ-PSTAT-REC-EXIT
                 NOT AT END
                    ADD 1 TO WS-0989-POLICY-COUNT
           END-READ

      $IF DEBUG-SW DEFINED
           DISPLAY 'READ POLICY # ', WS-0989-POLICY-COUNT
           UPON CONSOLE
      $END

           IF WS-0989-ISAM-DELETE-FLAG = WS-LITERAL-YES
              GO TO 0989-READ-PSTAT-REC-EXIT
           END-IF

           ADD WS-0989-ISAM-ACP-ACRES
            TO WS-0008-ACCEPTED-ACRES-YTD-DEC
           ADD WS-0989-ISAM-ACP-LIABILITY
            TO WS-0008-ACCEPTED-LIABILITY-YTD
           ADD WS-0989-ISAM-ACP-PREMIUM
            TO WS-0008-ACCEPTED-PREMIUM-YTD
           ADD WS-0989-ISAM-ACP-PROD-PREMIUM
            TO WS-0008-ACCEPTED-PROD-PREM-YTD
           ADD WS-0989-ISAM-ACP-LOSSES
            TO WS-0008-ACCEPTED-LOSSES-YTD.

       0989-READ-PSTAT-REC-EXIT.
           EXIT.

      $IF DEBUG-SW DEFINED

       0989-DISPLAY-RECORD.

           DISPLAY 'POLICY NUMBER : ', WS-0989-ISAM-POLICY-NO
           UPON CONSOLE
           DISPLAY '-----------------------------------------'
           UPON CONSOLE
           DISPLAY 'DELETE FLAG   : ', WS-0989-ISAM-DELETE-FLAG
           UPON CONSOLE
           DISPLAY 'LATEST SUBMISSION BATCH NO : ',
           WS-0989-ISAM-LATEST-SUB-BATCH UPON CONSOLE
           DISPLAY 'LATEST SUBMISSION DATE     : ',
           WS-0989-ISAM-LATEST-SUB-DATE UPON CONSOLE
           DISPLAY 'FIRST SUBMISSION BATCH NO  : ',
           WS-0989-ISAM-FIRST-SUB-BATCH UPON CONSOLE
           DISPLAY 'FIRST SUBMISSION DATE      : ',
           WS-0989-ISAM-FIRST-SUB-DATE UPON CONSOLE
           DISPLAY '-----------------------------------------'
           UPON CONSOLE
           DISPLAY 'ACCEPTED ACRES         : ',
           WS-0989-ISAM-ACP-ACRES UPON CONSOLE
           DISPLAY 'ACCEPTED LIABILITY     : ',
           WS-0989-ISAM-ACP-LIABILITY UPON CONSOLE
           DISPLAY 'ACCPETED PREMIUM       : ',
           WS-0989-ISAM-ACP-PREMIUM UPON CONSOLE
           DISPLAY 'ACCEPTED PROD PREMIUM  : ',
           WS-0989-ISAM-ACP-PROD-PREMIUM UPON CONSOLE
           DISPLAY 'ACCEPTED LOSSES        : ',
           WS-0989-ISAM-ACP-LOSSES UPON CONSOLE.

       0989-DISPLAY-RECORD-EXIT.
           EXIT.

      $END
