      *****************************************************************
      * File:      M0990.CBL
      * Author:    Laura Dittamo
      * Date:      02/12/96
      * Purpose:
      *    This routine updates the Type 14 Dates file with assigned
      *    risk information from Type 14 transactions in the assigned
      *    risk table built in 2255-DETERMINE-TRANS-LATE.
      *****************************************************************

       0990-RECORD-ASSIGNED-RISK.

      $IF DEBUG-SW DEFINED
           DISPLAY '0990-RECORDING ASSIGNED RISK'
           UPON CONSOLE
      $END

      $IF DEBUG-SW DEFINED
           DISPLAY '0990-ASSIGNED RISK COUNT = ',
           WS-7014-ASGD-RISK-REC-COUNT UPON CONSOLE
      $END

      *********************************************************
      *   2255-DETERMINE-TRANS-LATE POPULATED THE ASSIGNED    *
      *   RISK TABLE WITH TYPE 14 TRANSACTIONS THAT MAY       *
      *   ESTABLISH/UPDATE ASSIGNED RISK FOR A POLICY.        *
      *   THIS LOGIC UPDATES THE TYPE 14 DATES FILE USING     *
      *   THE ASSIGNED RISK TABLE.                            *
      *********************************************************

      $IF DEBUG-SW DEFINED
           DISPLAY 'ASGD RISK(01)= ', WS-7014-ASGD-RISK-REC(1)
           UPON CONSOLE
           DISPLAY 'ASGD RISK(02)= ', WS-7014-ASGD-RISK-REC(2)
           UPON CONSOLE
           DISPLAY 'ASGD RISK(03)= ', WS-7014-ASGD-RISK-REC(3)
           UPON CONSOLE
           DISPLAY 'ASGD RISK(MAX)= ',
           WS-7014-ASGD-RISK-REC(WS-7014-MAX-SIZE)
           UPON CONSOLE
      $END

           PERFORM 0990-PROCESS-ASGD-RISK
              THRU 0990-PROCESS-ASGD-RISK-EXIT
              WITH TEST AFTER
              VARYING WS-7014-ASGD-RISK-INT-INDEX FROM 1 BY 1
              UNTIL WS-7014-ASGD-RISK-INT-INDEX =
                    WS-7014-ASGD-RISK-REC-COUNT.

      ** INITIALIZE THE ASSIGNED RISK TABLE
           INITIALIZE WS-7014-ASGD-RISK-STATUS
           INITIALIZE WS-7014-ASGD-RISK-TBL.


       0990-RECORD-ASSIGNED-RISK-EXIT.
           EXIT.


       0990-PROCESS-ASGD-RISK.

      $IF DEBUG-SW DEFINED
           DISPLAY 'PROCESSING ASSIGNED RISK RECORD # ',
           WS-7014-ASGD-RISK-INT-INDEX UPON CONSOLE
      $END

           SET WS-7014-ASGD-RISK-INDEX TO WS-7014-ASGD-RISK-INT-INDEX
           IF WS-7014-TRAN-REJECTED-FLAG(WS-7014-ASGD-RISK-INDEX)
              = WS-LITERAL-YES
      *       *** SKIP TO NEXT RECORD
      $IF DEBUG-SW DEFINED
           DISPLAY 'SKIPPING REJECTED RECORD!'
           UPON CONSOLE
      $END
              GO TO 0990-PROCESS-ASGD-RISK-EXIT
           END-IF

           INITIALIZE WS-7560-INPUT-KEY
           INITIALIZE WS-7560-INPUT-DUAL-CVG-FLG-CHG

           MOVE WS-7014-REPORTING-ORG (WS-7014-ASGD-RISK-INDEX)
             TO WS-7560-INPUT-REPORTING-ORG
           MOVE WS-7014-LOC-STATE (WS-7014-ASGD-RISK-INDEX)
             TO WS-7560-INPUT-LOC-STATE
           MOVE WS-7014-COMPANY-COUNTY (WS-7014-ASGD-RISK-INDEX)
             TO WS-7560-INPUT-COMPANY-COUNTY
           MOVE WS-7014-POLICY-NUM (WS-7014-ASGD-RISK-INDEX)
             TO WS-7560-INPUT-POLICY-NUM
           MOVE WS-7014-CROP-YEAR (WS-7014-ASGD-RISK-INDEX)
             TO WS-7560-INPUT-CROP-YEAR
           MOVE WS-7014-LOC-COUNTY(WS-7014-ASGD-RISK-INDEX)
             TO WS-7560-INPUT-LOC-COUNTY
           MOVE WS-7014-CROP-CD (WS-7014-ASGD-RISK-INDEX)
             TO WS-7560-INPUT-CROP-CD
           MOVE WS-7014-insurance-plan-id (WS-7014-ASGD-RISK-INDEX)
             TO WS-7560-INPUT-insurance-plan
           MOVE WS-7014-CROP-POLICY-TYPE (WS-7014-ASGD-RISK-INDEX)
             TO WS-7560-INPUT-CROP-POLICY-TYPE
           MOVE WS-7014-DUAL-COVERAGE-FLAG (WS-7014-ASGD-RISK-INDEX)
             TO WS-7560-INPUT-DUAL-CVG-FLG

           MOVE WS-7014-FCIC-CONTROL-DATE (WS-7014-ASGD-RISK-INDEX)
             TO WS-7560-DUAL-LAST-DATE-CHANGE
           MOVE WS-7014-BATCH-ID-NUM (WS-7014-ASGD-RISK-INDEX)
             TO WS-7560-DUAL-BATCH-NUM-CHANGE
           MOVE WS-7014-TRAN-SEQ-NUM (WS-7014-ASGD-RISK-INDEX)
             TO WS-7560-DUAL-BATCH-NUM-CHANGE

           PERFORM 7560-LOOKUP-TYPE-14-DATES
              THRU 7560-LOOKUP-TYPE-14-DATES-EXIT

           IF MATCH-FOUND-7560
      $IF DEBUG-SW DEFINED
              DISPLAY 'MATCH FOUND IN TYPE 14 DATES'
              UPON CONSOLE
      $END

      **      PREPARE TO UPDATE TYPE 14 DATES
              MOVE WS-7560-TYPE-14-DATES-REC
                TO WS-0975-INPUT-REC
      *       ** RESET THE VALUE OF LOCATION COUNTY WITH THE INPUT 14'S
      *       ** VALUE IF THE RECORD FOUND HAS LOCATION COUNTY = 999.
      *       ** THIS LOGIC CAN BE REMOVED WHEN ALL OF THE DATA MIGRATED
      *       ** FROM THE IBM IS NO LONGER NECESSARY
              IF WS-0975-LOCATION-COUNTY = 999
                 MOVE WS-7014-LOC-COUNTY(WS-7014-ASGD-RISK-INDEX)
                   TO WS-0975-LOCATION-COUNTY
              END-IF
              IF WS-0975-ASGD-RISK-CUTOFF-DATE = ZEROS
                 MOVE WS-7014-CUTOFF-DATE (WS-7014-ASGD-RISK-INDEX)
                   TO WS-0975-ASGD-RISK-CUTOFF-DATE
              END-IF

              MOVE WS-7014-ASSIGNED-RISK (WS-7014-ASGD-RISK-INDEX)
                TO WS-0975-ASSIGNED-RISK
              MOVE WS-7014-FCIC-CONTROL-DATE (WS-7014-ASGD-RISK-INDEX)
                TO WS-0975-LAST-CHANGE-DATE
              MOVE WS-7014-BATCH-ID-NUM (WS-7014-ASGD-RISK-INDEX)
                TO WS-0975-CHANGE-BATCH-NUM
              MOVE WS-7014-TRAN-SEQ-NUM (WS-7014-ASGD-RISK-INDEX)
                TO WS-0975-CHANGE-TRANS-SEQ-NUM
           ELSE
      **      PREPARE TO CREATE A NEW RECORD IN TYPE 14 DATES
              INITIALIZE WS-0975-INPUT-REC

              MOVE WS-7014-REPORTING-ORG (WS-7014-ASGD-RISK-INDEX)
                TO WS-0975-REPORTING-ORG
              MOVE WS-7014-LOC-STATE (WS-7014-ASGD-RISK-INDEX)
                TO WS-0975-LOCATION-STATE
              MOVE WS-7014-COMPANY-COUNTY (WS-7014-ASGD-RISK-INDEX)
                TO WS-0975-COMPANY-COUNTY
              MOVE WS-7014-POLICY-NUM (WS-7014-ASGD-RISK-INDEX)
                TO WS-0975-POLICY-NUM
              MOVE WS-7014-CROP-YEAR (WS-7014-ASGD-RISK-INDEX)
                TO WS-0975-CROP-YEAR
              MOVE WS-7014-LOC-COUNTY(WS-7014-ASGD-RISK-INDEX)
                TO WS-0975-LOCATION-COUNTY
              MOVE WS-7014-CROP-CD (WS-7014-ASGD-RISK-INDEX)
                TO WS-0975-CROP-CD
              MOVE WS-7014-insurance-plan-id (WS-7014-ASGD-RISK-INDEX)
                TO WS-0975-insurance-plan-id
              MOVE WS-7014-CROP-POLICY-TYPE (WS-7014-ASGD-RISK-INDEX)
                TO WS-0975-CROP-POLICY-TYPE
              MOVE WS-7014-DUAL-COVERAGE-FLAG (WS-7014-ASGD-RISK-INDEX)
                TO WS-0975-DUAL-CVG-FLG
              MOVE WS-7014-ASSIGNED-RISK (WS-7014-ASGD-RISK-INDEX)
                TO WS-0975-ASSIGNED-RISK
              MOVE WS-7014-FCIC-CONTROL-DATE (WS-7014-ASGD-RISK-INDEX)
                TO WS-0975-ORIG-SUB-DATE
              move ws-7014-fcic-proc-time (ws-7014-asgd-risk-index)
                to ws-0975-orig-sub-time
              MOVE WS-7014-BATCH-ID-NUM (WS-7014-ASGD-RISK-INDEX)
                TO WS-0975-ORIG-SUB-BATCH-NUM
              MOVE WS-7014-TRAN-SEQ-NUM (WS-7014-ASGD-RISK-INDEX)
                TO WS-0975-ORIG-SUB-TRANS-SEQ-NUM
              MOVE WS-7014-CUTOFF-DATE (WS-7014-ASGD-RISK-INDEX)
                TO WS-0975-ASGD-RISK-CUTOFF-DATE
      **      CHANGE DATE INFORMATION IS ONLY SET FOR AN UPDATE
              MOVE ZEROS TO WS-0975-LAST-CHANGE-DATE
              MOVE ZEROS TO WS-0975-CHANGE-BATCH-NUM
              MOVE ZEROS TO WS-0975-CHANGE-TRANS-SEQ-NUM

      **      ACCEPTANCE INFORMATION IS ONLY SET WHEN THE 14 HAS
      **      PASSED ALL VALIDATION
              MOVE ZEROS TO WS-0975-ACCEPTED-DATE
              MOVE ZEROS TO WS-0975-ACCEPTED-TIME
              MOVE ZEROS TO WS-0975-ACCEPTED-BATCH-NUM
              MOVE ZEROS TO WS-0975-ACCEPTED-TRANS-SEQ-NUM

      **      OVERRIDE INFORMATION IS NOT SET BY NORMAL PROCESSING
              MOVE SPACES TO WS-0975-OVERRIDE-APPROVAL-CD
              MOVE SPACES TO WS-0975-OVERRIDE-USER-ID
              MOVE ZEROS TO WS-0975-OVERRIDE-DATE
           END-IF

           PERFORM 0975-WRITE-TYPE-14-DT-REC
              THRU 0975-WRITE-TYPE-14-DT-REC-EXIT.

       0990-PROCESS-ASGD-RISK-EXIT.
           EXIT.

