      *****************************************************************
      * File:      M0995.CBL
      * Author:    Laura Dittamo
      * Date:      02/12/96
      * Purpose:
      *    This routine marks the associated assigned risk record from
      *    the Type 14 Dates file as accepted.
      *****************************************************************

       0995-RECORD-ACCEPTED-14.

      $IF DEBUG-SW DEFINED
           DISPLAY '0995-RECORDING ACCEPTED TYPE 14'
           UPON CONSOLE
      $END

      ************************************************
      *   INTIALIZE WORK & OUTPUT FIELDS             *
      ************************************************
           INITIALIZE WS-0995-WORK
           INITIALIZE WS-0995-OUTPUT

      ************************************************
      *             CHECK INPUT FIELDS               *
      ************************************************
           IF WS-0995-FCIC-CONTROL-DATE IS NOT NUMERIC
              MOVE 0995 TO WS-8020-PARAGRAPH-NO
              MOVE 90001 TO WS-8020-INT-ERROR-NO
              MOVE 'WS-0995-FCIC-CONTROL-DATE' TO WS-8020-FIELD-NAME
              MOVE WS-0995-FCIC-CONTROL-DATE TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-0995-FCIC-CONTROL-TIME IS NOT NUMERIC
              MOVE 0995 TO WS-8020-PARAGRAPH-NO
              MOVE 90001 TO WS-8020-INT-ERROR-NO
              MOVE 'WS-0995-FCIC-CONTROL-TIME' TO WS-8020-FIELD-NAME
              MOVE WS-0995-FCIC-CONTROL-TIME TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-0995-BATCH-NO IS NOT NUMERIC
              MOVE 0995 TO WS-8020-PARAGRAPH-NO
              MOVE 90001 TO WS-8020-INT-ERROR-NO
              MOVE 'WS-0995-BATCH-NO' TO WS-8020-FIELD-NAME
              MOVE SPACES TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-0995-TRAN-SEQ-NO IS NOT NUMERIC
              MOVE 0995 TO WS-8020-PARAGRAPH-NO
              MOVE 90001 TO WS-8020-INT-ERROR-NO
              MOVE 'WS-0995-TRAN-SEQ-NO' TO WS-8020-FIELD-NAME
              MOVE SPACES TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

      ************************************************
      *    LOOKUP CROP POLICY TYPE                   *
      ************************************************
           IF WS-0995-TYPE-CD = SPACES OR
              WS-0995-TYPE-CD = ZEROS
              MOVE '9997' TO WS-0995-CROP-POLICY-TYPE
           ELSE
              INITIALIZE WS-7280-I-CROP-POL-TYPE-AREA
              MOVE WS-0995-RATE-STATE TO WS-7280-I-FIPS-STATE
              MOVE WS-0995-CROP-CD TO WS-7280-I-CROP
              MOVE WS-0995-TYPE-CD TO WS-7280-I-CROP-TYPE
              PERFORM 7280-LOOKUP-CPT-TBL
                 THRU 7280-LOOKUP-CPT-TBL-EXIT

              IF MATCH-FOUND-7280
                 MOVE WS-7280-O-CROP-POL-TYPE
                   TO WS-0995-CROP-POLICY-TYPE
              ELSE
                 MOVE '9997' TO WS-0995-CROP-POLICY-TYPE
              END-IF
           END-IF

      ************************************************
      *    FIND EXISTING T14 RECORD TO UPDATE        *
      ************************************************
           INITIALIZE WS-7560-INPUT-KEY
           INITIALIZE WS-7560-INPUT-DUAL-CVG-FLG-CHG
           MOVE WS-0995-REPORTING-ORG TO WS-7560-INPUT-REPORTING-ORG
           MOVE WS-0995-LOC-STATE TO WS-7560-INPUT-LOC-STATE
           MOVE WS-0995-COMPANY-COUNTY TO WS-7560-INPUT-COMPANY-COUNTY
           MOVE WS-0995-POLICY-NUM TO WS-7560-INPUT-POLICY-NUM
           MOVE WS-0995-CROP-YEAR TO WS-7560-INPUT-CROP-YEAR
           MOVE WS-0995-LOCATION-COUNTY TO WS-7560-INPUT-LOC-COUNTY
           MOVE WS-0995-CROP-CD TO WS-7560-INPUT-CROP-CD
           MOVE WS-0995-INSURANCE-PLAN-ID
             TO WS-7560-INPUT-INSURANCE-PLAN
           MOVE WS-0995-CROP-POLICY-TYPE
             TO WS-7560-INPUT-CROP-POLICY-TYPE
           MOVE WS-0995-DUAL-COVERAGE-FLG
             TO WS-7560-INPUT-DUAL-CVG-FLG

           MOVE WS-0995-FCIC-CONTROL-DATE
                                    TO WS-7560-DUAL-LAST-DATE-CHANGE
           MOVE WS-0995-BATCH-NO    TO WS-7560-DUAL-BATCH-NUM-CHANGE
           MOVE WS-0995-TRAN-SEQ-NO TO WS-7560-DUAL-TRANS-SEQ-CHANGE

           PERFORM 7560-LOOKUP-TYPE-14-DATES
              THRU 7560-LOOKUP-TYPE-14-DATES-EXIT

           IF MATCH-FOUND-7560
      $IF DEBUG-SW DEFINED
              DISPLAY 'MATCH FOUND IN TYPE 14 DATES'
              UPON CONSOLE
      $END
      *       *** FORMAT ORIGINAL SUBMISSION DATE/TIME FOR OUTPUT
              MOVE WS-7560-ORIG-SUB-DATE
                TO WS-0995-ISAM-ORIGINAL-SUB-DATE
              MOVE WS-7560-ORIG-SUB-TIME
                TO WS-0995-ISAM-ORIGINAL-SUB-TIME
      *       *** CONVERT YYYYMMDD TO MMDDYYYY
              MOVE WS-0995-ISAM-YEAR TO WS-0995-OUTPUT-SUB-YEARS
              MOVE WS-0995-ISAM-MONTH TO WS-0995-OUTPUT-SUB-MONTH
              MOVE WS-0995-ISAM-DAY TO WS-0995-OUTPUT-SUB-DAYS
      *       *** CONVERT HHMMSS TO HH:MM:SS
              MOVE WS-0995-ISAM-HOUR TO WS-0995-OUTPUT-SUB-HOURS
              MOVE ':' TO WS-0995-OUTPUT-SPACER-1
              MOVE WS-0995-ISAM-MIN TO WS-0995-OUTPUT-SUB-MINUTES
              MOVE ':' TO WS-0995-OUTPUT-SPACER-2
              MOVE WS-0995-ISAM-SEC TO WS-0995-OUTPUT-SUB-SECONDS

      **      PREPARE TO UPDATE TYPE 14 DATES
              MOVE WS-7560-TYPE-14-DATES-REC TO WS-0975-INPUT-REC
              MOVE WS-0995-FCIC-CONTROL-DATE TO WS-0975-ACCEPTED-DATE
              MOVE WS-0995-FCIC-CONTROL-TIME TO WS-0975-ACCEPTED-TIME
              MOVE WS-0995-BATCH-NO TO WS-0975-ACCEPTED-BATCH-NUM
              MOVE WS-0995-TRAN-SEQ-NO
                TO WS-0975-ACCEPTED-TRANS-SEQ-NUM

              PERFORM 0975-WRITE-TYPE-14-DT-REC
                 THRU 0975-WRITE-TYPE-14-DT-REC-EXIT
           ELSE
              MOVE 0995 TO WS-8020-PARAGRAPH-NO
              MOVE 90012 TO WS-8020-INT-ERROR-NO
              MOVE 'NO 14 FOUND' TO WS-8020-FIELD-NAME
              MOVE WS-7560-INPUT-KEY TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF.

       0995-RECORD-ACCEPTED-14-EXIT.
           EXIT.

