      *****************************************************************
      * File:      0998.CBL
      * Author:    Mike Ray & Laura Dittamo
      * Date:      08/06/96
      * Purpose:
      *    This routine updates the late filed acreage records for this
      *    policy to use the latest acreage reporting date for any of the
      *    crops submitted.
      *****************************************************************

       0998-UPDATE-T11-LFA.

      $IF DEBUG-SW DEFINED
           DISPLAY '0998-UPDATING T11 LATE FILED ACREAGE DATE'
           UPON CONSOLE
      $END

      *****************************************************
      *    CHECK INPUTS                                   *
      *****************************************************
           IF WS-0998-IN-REPORTING-ORG IS EQUAL SPACES
              MOVE 0980 TO WS-8020-PARAGRAPH-NO
              MOVE 90003 TO WS-8020-INT-ERROR-NO
              MOVE WS-LITERAL-RO TO WS-8020-FIELD-NAME
              MOVE WS-0998-IN-REPORTING-ORG TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-0998-IN-LOC-STATE IS NOT NUMERIC
              MOVE 0980 TO WS-8020-PARAGRAPH-NO
              MOVE 90001 TO WS-8020-INT-ERROR-NO
              MOVE WS-LITERAL-STATE TO WS-8020-FIELD-NAME
              MOVE WS-0998-IN-LOC-STATE TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-0998-IN-LOC-STATE IS EQUAL ZEROS
              MOVE 0980 TO WS-8020-PARAGRAPH-NO
              MOVE 90003 TO WS-8020-INT-ERROR-NO
              MOVE WS-LITERAL-STATE TO WS-8020-FIELD-NAME
              MOVE WS-0998-IN-LOC-STATE TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-0998-IN-COMPANY-COUNTY IS NOT NUMERIC
              MOVE 0980 TO WS-8020-PARAGRAPH-NO
              MOVE 90001 TO WS-8020-INT-ERROR-NO
              MOVE WS-LITERAL-CPNY-CNTY TO WS-8020-FIELD-NAME
              MOVE WS-0998-IN-COMPANY-COUNTY TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-0998-IN-COMPANY-COUNTY IS EQUAL ZEROS
              MOVE 0980 TO WS-8020-PARAGRAPH-NO
              MOVE 90003 TO WS-8020-INT-ERROR-NO
              MOVE WS-LITERAL-CPNY-CNTY TO WS-8020-FIELD-NAME
              MOVE WS-0998-IN-COMPANY-COUNTY TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-0998-IN-POLICY-NUM IS NOT NUMERIC
              MOVE 0980 TO WS-8020-PARAGRAPH-NO
              MOVE 90001 TO WS-8020-INT-ERROR-NO
              MOVE WS-LITERAL-POLICY-NO TO WS-8020-FIELD-NAME
              MOVE WS-0998-IN-POLICY-NUM TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-0998-IN-POLICY-NUM IS EQUAL ZEROS
              MOVE 0980 TO WS-8020-PARAGRAPH-NO
              MOVE 90003 TO WS-8020-INT-ERROR-NO
              MOVE WS-LITERAL-POLICY-NO TO WS-8020-FIELD-NAME
              MOVE WS-0998-IN-POLICY-NUM TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-0998-IN-CROP-YEAR IS NOT NUMERIC
              MOVE 0980 TO WS-8020-PARAGRAPH-NO
              MOVE 90001 TO WS-8020-INT-ERROR-NO
              MOVE WS-LITERAL-CROP-YR TO WS-8020-FIELD-NAME
              MOVE WS-0998-IN-CROP-YEAR TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-0998-IN-CROP-YEAR IS EQUAL ZEROS
              MOVE 0980 TO WS-8020-PARAGRAPH-NO
              MOVE 90003 TO WS-8020-INT-ERROR-NO
              MOVE WS-LITERAL-CROP-YR TO WS-8020-FIELD-NAME
              MOVE WS-0998-IN-CROP-YEAR TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF


           IF WS-0998-IN-CROP-CD IS NOT NUMERIC
              MOVE 0980 TO WS-8020-PARAGRAPH-NO
              MOVE 90001 TO WS-8020-INT-ERROR-NO
              MOVE WS-LITERAL-CROP-CD TO WS-8020-FIELD-NAME
              MOVE WS-0998-IN-CROP-CD TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-0998-IN-CROP-CD IS EQUAL ZEROS
              MOVE 0980 TO WS-8020-PARAGRAPH-NO
              MOVE 90003 TO WS-8020-INT-ERROR-NO
              MOVE WS-LITERAL-CROP-CD TO WS-8020-FIELD-NAME
              MOVE WS-0998-IN-CROP-CD TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF



           IF WS-0998-IN-LOCATION-COUNTY IS NOT NUMERIC
              MOVE 0980 TO WS-8020-PARAGRAPH-NO
              MOVE 90001 TO WS-8020-INT-ERROR-NO
              MOVE WS-LITERAL-LOC-CNTY TO WS-8020-FIELD-NAME
              MOVE WS-0998-IN-LOCATION-COUNTY TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-0998-IN-LOCATION-COUNTY IS EQUAL ZEROS
              MOVE 0980 TO WS-8020-PARAGRAPH-NO
              MOVE 90003 TO WS-8020-INT-ERROR-NO
              MOVE WS-LITERAL-LOC-CNTY TO WS-8020-FIELD-NAME
              MOVE WS-0998-IN-LOCATION-COUNTY TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-0998-IN-SEED-CYCLE-CODE IS EQUAL SPACES
              MOVE 0980 TO WS-8020-PARAGRAPH-NO
              MOVE 90003 TO WS-8020-INT-ERROR-NO
              MOVE 'WS-0998-IN-SEED-CYCLE-CODE' TO WS-8020-FIELD-NAME
              MOVE WS-0998-IN-SEED-CYCLE-CODE TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-0998-IN-LATE-FILED-DT IS NOT NUMERIC
              MOVE 0980 TO WS-8020-PARAGRAPH-NO
              MOVE 90001 TO WS-8020-INT-ERROR-NO
              MOVE 'LATE FILED DATE' TO WS-8020-FIELD-NAME
              MOVE WS-0998-IN-LATE-FILED-DT TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-0998-IN-LATE-FILED-DT IS EQUAL ZEROS
              MOVE 0980 TO WS-8020-PARAGRAPH-NO
              MOVE 90003 TO WS-8020-INT-ERROR-NO
              MOVE 'LATE FILED DATE' TO WS-8020-FIELD-NAME
              MOVE WS-0998-IN-LATE-FILED-DT TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-0998-IN-REDUCTION-WEEKS IS NOT NUMERIC
              MOVE 0980 TO WS-8020-PARAGRAPH-NO
              MOVE 90001 TO WS-8020-INT-ERROR-NO
              MOVE 'REDUCTION WEEKS' TO WS-8020-FIELD-NAME
              MOVE WS-0998-IN-REDUCTION-WEEKS TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-0998-IN-ACREAGE-RPT-DATE IS NOT NUMERIC
              MOVE 0980 TO WS-8020-PARAGRAPH-NO
              MOVE 90001 TO WS-8020-INT-ERROR-NO
              MOVE 'ACREAGE RPT DATE' TO WS-8020-FIELD-NAME
              MOVE WS-0998-IN-ACREAGE-RPT-DATE TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-0998-IN-ACREAGE-RPT-DATE IS EQUAL ZEROS
              MOVE 0980 TO WS-8020-PARAGRAPH-NO
              MOVE 90003 TO WS-8020-INT-ERROR-NO
              MOVE 'ACREAGE RPT DATE' TO WS-8020-FIELD-NAME
              MOVE WS-0998-IN-ACREAGE-RPT-DATE TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

      $IF DEBUG-SW DEFINED
           DISPLAY ' LATE FILED DT = ', WS-0998-IN-LATE-FILED-DT
           UPON CONSOLE
           DISPLAY ' REDUCTION WEEKS = ', WS-0998-IN-REDUCTION-WEEKS
           UPON CONSOLE
           DISPLAY ' ARD = ', WS-0998-IN-ACREAGE-RPT-DATE
           UPON CONSOLE
      $END

      **  INITIALIZE LOCAL WORKING STORAGE
           INITIALIZE WS-0998-T11-REC

      **  LOOKUP THE CORRESPONDING T11 ISAM RECORD

      $IF ISAM-SW DEFINED
           INITIALIZE WS-7565-INPUT-KEY
           MOVE WS-0998-IN-REPORTING-ORG TO WS-7565-INPUT-REPORTING-ORG
           MOVE WS-0998-IN-rate-STATE
             TO WS-7565-INPUT-rate-STATE
           MOVE WS-0998-IN-COMPANY-COUNTY
             TO WS-7565-INPUT-COMPANY-COUNTY
           MOVE WS-0998-IN-POLICY-NUM TO WS-7565-INPUT-POLICY-NUM
           MOVE WS-0998-IN-CROP-YEAR TO WS-7565-INPUT-CROP-YEAR
           MOVE WS-0998-IN-RATE-COUNTY
             TO WS-7565-INPUT-RATE-COUNTY
           MOVE WS-0998-IN-CROP-CD TO WS-7565-INPUT-CROP-CD
           MOVE WS-0998-IN-INS-PLAN-ID
             TO WS-7565-INPUT-INSURANCE-PLAN
           MOVE WS-0998-IN-SEED-CYCLE-CODE
             TO WS-7565-INPUT-SEED-CYCLE
           PERFORM 7565-LOOKUP-TYPE-11-DATES
              THRU 7565-LOOKUP-TYPE-11-DATES-EXIT

           IF MATCH-FOUND-7565

      $IF DEBUG-SW DEFINED
           DISPLAY 'MATCH FOUND IN TYPE 11 LATE FILED ACREAGE'
           UPON CONSOLE
      $END
              MOVE WS-7565-TYPE-11-DATES-REC TO WS-0998-T11-REC

      *    *** UPDATE RECORD ***
              MOVE WS-0998-IN-LATE-FILED-DT
                TO WS-0998-LATE-FILED-DT
              MOVE WS-0998-IN-REDUCTION-WEEKS
                TO WS-0998-REDUCTION-WEEKS
              MOVE WS-0998-IN-ACREAGE-RPT-DATE
                TO WS-0998-ACREAGE-RPT-DATE

      *    *** RE-WRITE RECORD ***
              REWRITE TYPE-11-DATES-RECORD FROM WS-0998-T11-REC
                 INVALID KEY
                    DISPLAY 'INVALID KEY ERROR - REWRITE SKIPPED'
                    UPON CONSOLE
                    DISPLAY 'TYPE 11 DATES KEY: ',
                    WS-0980-INPUT-KEY UPON CONSOLE
                    DISPLAY ' '
                    UPON CONSOLE
                    MOVE 0998 TO WS-8020-PARAGRAPH-NO
                    MOVE 90030 TO WS-8020-INT-ERROR-NO
                    MOVE 'TYPE 11 DATES KEY' TO WS-8020-FIELD-NAME
                    MOVE WS-0980-INPUT-KEY TO WS-8020-BAD-DATA
                    MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
                    PERFORM 8020-RECORD-INT-ERROR
                       THRU 8020-RECORD-INT-ERROR-EXIT
      $IF DEBUG-SW DEFINED
                 NOT INVALID KEY
                    DISPLAY '0998-LFA RECORD UPDATED'
                    UPON CONSOLE
      $END
              END-REWRITE

           ELSE
              MOVE 0998 TO WS-8020-PARAGRAPH-NO
              MOVE 90012 TO WS-8020-INT-ERROR-NO
              MOVE 'NO 11 ISAM FOUND' TO WS-8020-FIELD-NAME
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF.



       0998-UPDATE-T11-LFA-EXIT.
           EXIT.




