      ***************************************************************
      * File:      FV1000.CBL
      * Author:    Mike Ray
      * DATE:      01/11/96
      * PURPOSE:
      *    THIS COPY FILE CONTAINS THE FIELD VALIDATION MODULES AND
      *    SEQUENCING LOGIC.
      *
      * CONTAINS:
      *    ********** TRANSACTION SEQUENCING MODULES ***********
      *    FV1001.CBL     1001-VALIDATE-T00
      *    FV1010.CBL     1010-VALIDATE-T10
      *    FV1011.CBL     1011-VALIDATE-T11
      *    FV1012.CBL     1012-VALIDATE-T12
      *    FV1014.CBL     1014-VALIDATE-T14
      *    FV1015.CBL     1015-VALIDATE-T15
      *    FV1020.CBL     1020-VALIDATE-T20
      *    FV1021.CBL     1021-VALIDATE-T21
      *    FV1049.CBL     1049-VALIDATE-T49
      *    FV1050.CBL     1050-VALIDATE-T50
      *    FV1055.CBL     1055-VALIDATE-T55
      *    FV1056.CBL     1055-VALIDATE-T56
      *    FV1097.CBL     1097-VALIDATE-T97
      *    ********** FIELD VALIDATION MODULES *****************
      *    FV1200.CBL     1200-VAL-REPORTING-ORG
      *    FV1205.CBL     1205-VAL-LOCATION-STATE
      *    FV1210.CBL     1210-VAL-COMPANY-COUNTY
      *    FV1215.CBL     1215-VAL-POLICY-NUMBER
      *    FV1220.CBL     1220-VAL-CROP-YEAR
      *    FV1230.CBL     1230-VAL-RECORD-NUMBER
      *    FV1235.CBL     1235-VAL-ENTITY-TYPE
      *    FV1240.CBL     1240-VAL-LAST-NAME
      *    FV1245.CBL     1245-VAL-FIRST-NAME
      *    FV1250.CBL     1250-VAL-MIDDLE-NAME
      *    FV1255.CBL     1255-VAL-NAME-SUFFIX
      *    FV1260.CBL     1260-VAL-TITLE
      *    FV1265.CBL     1265-VAL-BUSINESS-NAME
      *    FV1270.CBL     1270-VAL-ADDRESS
      *    FV1275.CBL     1275-VAL-CITY
      *    FV1280.CBL     1280-VAL-ADDRESS-STATE
      *    FV1285.CBL     1285-VAL-ZIP-CODE
      *    FV1290.CBL     1290-VAL-ZIP-EXTENSION
      *    FV1295.CBL     1295-VAL-ID-TYPE
      *    FV1300.CBL     1300-VAL-ID-NUMBER
      *    FV1305.CBL     1305-VAL-PHONE-NUMBER
      *    FV1307.CBL     1307-VAL-PREVIOUS-RO
      *    FV1310.CBL     1310-VAL-PREVIOUS-POLICY
      *    FV1315.CBL     1315-VAL-CFSA-CPNY-EMP
      *    FV1325.CBL     1325-VAL-ASGD-RISK
      *    FV1330.CBL     1330-VAL-LATE-PROC-FL
      *    FV1340.CBL     1340-VAL-CROP-CODE
      *    FV1345.CBL     1345-VAL-DUAL-CVG-FL
      *    FV1350.CBL     1350-VAL-LOC-COUNTY
      *    FV1355.CBL     1355-VAL-RATE-STATE
      *    FV1360.CBL     1360-VAL-RATE-COUNTY
      *    FV1365.CBL     1365-VAL-FEE-PREPYMT-FL
      *    FV1370.CBL     1370-VAL-MAX-FEE-CAUSE
      *    FV1375.CBL     1375-VAL-ADMIN-FEE-FL
      *    FV1380.CBL     1380-VAL-REFUND-CANCEL
      *    FV1385.CBL     1385-VAL-COVERAGE-FL
      *    FV1390.CBL     1390-VAL-FCIC-CONTROL-DT
      *    FV1395.CBL     1395-VAL-CRUSH-DISTRICT
      *    FV1400.CBL     ******** NOT  ASSIGNED **********
      *    FV1405.CBL     1405-VAL-INS-PLAN-CD
      *    FV1410.CBL     1410-VAL-GUAR-REDUCT-FLG
      *    FV1415.CBL     1415-VAL-TYPE-15-REC-NO
      *    FV1425.CBL     1425-VAL-UNIT-NO
      *    FV1430.CBL     1430-VAL-GUAR-RED-FLAG
      *    FV1435.CBL     1435-VAL-CVG-LEVEL-PCT
      *    FV1440.CBL     1440-VAL-PRICE-ELECTION
      *    FV1445.CBL     1445-VAL-REPORTED-ACRES
      *    FV1450.CBL     1450-VAL-YIELD-QUOTA
      *    FV1455.CBL     1455-VAL-INSURED-SHARE
      *    FV1460.CBL     1460-VAL-LIABILITY
      *    FV1465.CBL     1465-VAL-BASE-PREM-RATE
      *    FV1470.CBL     1470-VAL-EXPERIENCE-FCTR
      *    FV1475.CBL     1475-VAL-TOTAL-PREMIUM
      *    FV1485.CBL     1485-VAL-PRODUCER-PREMIUM
      *    FV1490.CBL     1490-VAL-DATE-PLANTED
      *    FV1495.CBL     1495-VAL-DOLLAR-AMT-INS
      *    FV1500.CBL     1500-VAL-UNIT-OPTION-CD
      *    FV1505.CBL     1505-VAL-OPTION-CD
      *    FV1507.CBL     1507-VAL-TYPE-PRAC-OPT-CD
      *    FV1510.CBL     1510-VAL-SEED-CPNY
      *    FV1515.CBL     1515-VAL-YLD-CNV-PCT-ELCT
      *    FV1520.CBL     1520-VAL-NCS-FCIC2-FL
      *    FV1525.CBL     1525-VAL-PMT TYPE
      *    FV1530.CBL     1530-VAL-PAID-AMT
      *    FV1535.CBL     1535-VAL-PREPMT-FL
      *    FV1540.CBL     1540-VAL-PAID-DT
      *    FV1545.CBL     1545-VAL-REINSURE-YR
      *    FV1550.CBL     1550-VAL-CLAIM-NO
      *    FV1555.CBL     1555-VAL-TOTAL-PMT-METHOD
      *    FV1560.CBL     1560-VAL-1ST-ESCROW-CHK
      *    FV1565.CBL     1565-VAL-2ND-ESCROW-CHK
      *    FV1570.CBL     1570-VAL-3RD-ESCROW-CHK
      *    FV1575.CBL     1575-VAL-4TH-ESCROW-CHK
      *    FV1580.CBL     1580-VAL-1ST-TOT-AMT
      *    FV1585.CBL     1585-VAL-2ND-TOT-AMT
      *    FV1590.CBL     1590-VAL-3RD-TOT-AMT
      *    FV1595.CBL     1595-VAL-4TH-TOT-AMT
      *    FV1600.CBL     1600-VAL-P-CR-MEMO-CPNY
      *    FV1605.CBL     1605-VAL-DT-DRAFT-ISSUE
      *    FV1610.CBL     1610-VAL-DETERM-ACRES
      *    FV1615.CBL     1615-VAL-LIAB-FCTR
      *    FV1620.CBL     1620-VAL-LOSS-GUAR
      *    FV1625.CBL     1625-VAL-WFARM-DISC-FCTR
      *    FV1630.CBL     ******** NOT  ASSIGNED **********
      *    FV1635.CBL     ******** NOT  ASSIGNED **********
      *    FV1640.CBL     ******** NOT  ASSIGNED **********
      *    FV1645.CBL     ******** NOT  ASSIGNED **********
      *    FV1650.CBL     1650-VAL-PROD-TO-CNT
      *    FV1655.CBL     1655-VAL-FARM-UNIT-DEF
      *    FV1660.CBL     1660-VAL-AUDIT-CORRECTION
      *    FV1665.CBL     1665-VAL-GRP-PMT-CALC
      *    FV1670.CBL     1670-VAL-HARVEST-PROD
      *    FV1675.CBL     1675-VAL-MONTH
      *    FV1680.CBL     1680-VAL-REPLANT-GUARANTEE
      *    FV1685.CBL     1685-VAL-PARTIAL-PP-FLAG
      *    FV1690.CBL     1690-VAL-PRIMARY-PCT
      *    FV1695.CBL     1695-VAL-LOSS-CAUSE-CD
      *    FV1700.CBL     1700-VAL-SUGAR-FACTOR
      *    FV1705.CBL     1705-ACREAGE-REC-NO
      *    FV1710.CBL     1710-VAL-NURSERY-INS-PLAN
      *    FV1715.CBL     1715-VAL-ADJUSTER-ID-CD
      *    FV1720.CBL     1720-VAL-HARDINESS-ZONE
      *    FV1725.CBL     1725-VAL-NEW-MKT-VALUE
      *    FV1730.CBL     1730-VAL-AVG-MONTHLY
      *    FV1735.CBL     1735-VAL-LOSS-FROM-AVG
      *    FV1740.CBL     1740-VAL-AVG-MTH-MKT-VAL
      *    FV1745.CBL     1745-VAL-FIELD-MKT-VAL
      *    FV1750.CBL     1750-VAL-AGGREGATE-DEDUCT
      *    FV1755.CBL     1755-VAL-LOSS-FRM-ANNUAL
      *    FV1760.CBL     1760-VAL-LOSS-USED
      *    FV1765.CBL     1765-VAL-ACCUM-DEDUCTIBLE
      *    FV1770.CBL     1770-VAL-4TH-REINS-YR
      *    FV1775.CBL     1775-VAL-SIMPLE-CLAIM-FL
      *    FV1780.CBL     1780-VAL-STAGE-CODE
      *    FV1785.CBL     1785-VAL-PREM-RT-SURCHG
      *    FV1790.CBL     1790-VAL-PNUT-QUOTA
      *    FV1795.CBL     ******** NOT  ASSIGNED **********
      *    FV1800.CBL     ******** NOT  ASSIGNED **********
      *    FV1805.CBL     1805-VAL-INDEMNITY
      *    FV1810.CBL     1810-VAL-ADJUSTER-SIG-DT
      *    FV1815.CBL     1815-VAL-INSURED-SIG-DT
      *    FV1820.CBL     ******** NOT  ASSIGNED **********
      *    FV1825.CBL     ******** NOT  ASSIGNED **********
      *    FV1830.CBL     1830-VAL-TOTAL-INDEMNITY
      *    FV1835.CBL     1835-VAL-1ST-REINS-YR
      *    FV1840.CBL     1840-VAL-2ND-REINS-YR
      *    FV1845.CBL     1845-VAL-3RD-REINS-YR
      *    FV1852.CBL     1852-VAL-DELETE-FLG
      *    FV1854.CBL     1854-VAL-PRIV-POLY-NO
      *    FV1864.CBL     1864-VAL-YIELD-LIMIT-FLG
      *    FV1866.CBL     1866-VAL-PRIV-POLY-CD
      *    FV1867.CBL     1867-VAL-NCS-EXCEPTION-FLAG
      *    FV1868.CBL     1868-VAL-NCS-YLD-FACTOR
      *    FV1870.CBL     1870-VAL-REVIEW-FLG
      *    FV1872.CBL     1872-VAL-YIELD-TYPE-YEAR
      *    FV1874.CBL     1874-VAL-YIELD-INDICATOR
      *    FV1876.CBL     1876-VAL-YIELD-QTY
      *    FV1878.CBL     1878-VAL-YIELD-YEAR
      *    FV1880.CBL     1880-VAL-YIELD-ACRE
      *    FV1885.CBL     1885-VAL-TOTAL-GUARANTEE
      *    FV1890.CBL     1890-VAL-GUARANTEE-PER-ACRE
      *    FV1900.CBL     1900-VAL-ACTIVE-FLG
      *    FV1905.CBL     1905-VAL-INACTIVE-DATE
      *    FV1920.CBL     1920-VAL-TYPE-OF-ID-CODE
      *    FV1925.CBL     1925-VAL-AGENT-ID
      *    FV1930.CBL     ******** NOT  ASSIGNED **********
      *    FV1940.CBL     1940-VAL-AGENCY-NAME
      *    FV1945.CBL     1945-VAL-BUSINESS-ADDRESS
      *    FV1950.CBL     1950-VAL-AGENCY-CITY
      *    FV1960.CBL     1960-VAL-PHONE-EXTEN
      *    FV1970.CBL     1970-VAL-SOC-SEC-NUM
      ***************************************************************


       1000-FIELD-VALIDATION.

           EVALUATE TRUE
               WHEN TYPE00
                  IF WS-TRAN-SEQ-NO = 1
                     PERFORM 1001-VALIDATE-T00
                        THRU 1001-VALIDATE-T00-EXIT
                  END-IF
               WHEN TYPE10
                  PERFORM 1010-VALIDATE-T10
                     THRU 1010-VALIDATE-T10-EXIT
               WHEN TYPE11
                  PERFORM 1011-VALIDATE-T11
                     THRU 1011-VALIDATE-T11-EXIT
               WHEN TYPE12
                  PERFORM 1012-VALIDATE-T12
                     THRU 1012-VALIDATE-T12-EXIT
               WHEN TYPE14
                  PERFORM 1014-VALIDATE-T14
                     THRU 1014-VALIDATE-T14-EXIT
               WHEN TYPE15
                  PERFORM 1015-VALIDATE-T15
                     THRU 1015-VALIDATE-T15-EXIT
               WHEN TYPE20
                  PERFORM 1020-VALIDATE-T20
                     THRU 1020-VALIDATE-T20-EXIT
               WHEN TYPE21
                  PERFORM 1021-VALIDATE-T21
                     THRU 1021-VALIDATE-T21-EXIT
               WHEN TYPE49
                  PERFORM 1049-VALIDATE-T49
                     THRU 1049-VALIDATE-T49-EXIT
               WHEN TYPE50
                  PERFORM 1050-VALIDATE-T50
                     THRU 1050-VALIDATE-T50-EXIT
               WHEN TYPE55
                  PERFORM 1055-VALIDATE-T55
                     THRU 1055-VALIDATE-T55-EXIT
               WHEN TYPE56
                  PERFORM 1056-VALIDATE-T56
                     THRU 1056-VALIDATE-T56-EXIT
               WHEN TYPE97
                  PERFORM 1097-VALIDATE-T97
                     THRU 1097-VALIDATE-T97-EXIT
               WHEN VALID-TRAN-TYPE
                  MOVE 1000 TO WS-8020-PARAGRAPH-NO
                  MOVE 90005 TO WS-8020-INT-ERROR-NO
                  MOVE WS-LITERAL-TRAN-TYPE TO WS-8020-FIELD-NAME
                  MOVE WS-TRAN-TYPE TO WS-8020-BAD-DATA
                  MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
                  PERFORM 8020-RECORD-INT-ERROR
                     THRU 8020-RECORD-INT-ERROR-EXIT
               WHEN NOT VALID-TRAN-TYPE
                  MOVE 1000 TO WS-8020-PARAGRAPH-NO
                  MOVE 90036 TO WS-8020-INT-ERROR-NO
                  MOVE WS-LITERAL-TRAN-TYPE TO WS-8020-FIELD-NAME
                  MOVE WS-TRAN-TYPE TO WS-8020-BAD-DATA
                  MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
                  PERFORM 8020-RECORD-INT-ERROR
                     THRU 8020-RECORD-INT-ERROR-EXIT
           END-EVALUATE.


       1000-FIELD-VALIDATION-EXIT.
           EXIT.


       COPY 'FV/FV1001.CBL'.
       COPY 'FV/FV1010.CBL'.
       COPY 'FV/FV1011.CBL'.
       COPY 'FV/FV1012.CBL'.
       COPY 'FV/FV1014.CBL'.
       COPY 'FV/FV1015.CBL'.
       COPY 'FV/FV1020.CBL'.
       COPY 'FV/FV1021.CBL'.
       COPY 'FV/FV1049.CBL'.
       COPY 'FV/FV1050.CBL'.
       COPY 'FV/FV1055.CBL'.
       COPY 'FV/FV1056.CBL'.
       COPY 'FV/FV1097.CBL'.

       COPY 'FV/FV1200.CBL'.
       COPY 'FV/FV1205.CBL'.
       COPY 'FV/FV1210.CBL'.
       COPY 'FV/FV1215.CBL'.
       COPY 'FV/FV1220.CBL'.
       COPY 'FV/FV1230.CBL'.
       COPY 'FV/FV1235.CBL'.
       COPY 'FV/FV1240.CBL'.
       COPY 'FV/FV1245.CBL'.
       COPY 'FV/FV1250.CBL'.
       COPY 'FV/FV1255.CBL'.
       COPY 'FV/FV1260.CBL'.
       COPY 'FV/FV1265.CBL'.
       COPY 'FV/FV1270.CBL'.
       COPY 'FV/FV1275.CBL'.
       COPY 'FV/FV1280.CBL'.
       COPY 'FV/FV1285.CBL'.
       COPY 'FV/FV1290.CBL'.
       COPY 'FV/FV1295.CBL'.
       COPY 'FV/FV1300.CBL'.
       COPY 'FV/FV1305.CBL'.
       COPY 'FV/FV1307.CBL'.
       COPY 'FV/FV1310.CBL'.
       COPY 'FV/FV1315.CBL'.
      *COPY 'FV/FV1320.CBL'.
       COPY 'FV/FV1325.CBL'.
       COPY 'FV/FV1330.CBL'.
       COPY 'FV/FV1340.CBL'.
       COPY 'FV/FV1345.CBL'.
       COPY 'FV/FV1350.CBL'.
       COPY 'FV/FV1355.CBL'.
       COPY 'FV/FV1360.CBL'.
       COPY 'FV/FV1365.CBL'.
       COPY 'FV/FV1370.CBL'.
       COPY 'FV/FV1375.CBL'.
       COPY 'FV/FV1380.CBL'.
       COPY 'FV/FV1385.CBL'.
       COPY 'FV/FV1390.CBL'.
       COPY 'FV/FV1395.CBL'.
      *COPY 'FV/FV1400.CBL'.
       COPY 'FV/FV1405.CBL'.
       COPY 'FV/FV1410.CBL'.
       COPY 'FV/FV1415.CBL'.
       COPY 'FV/FV1425.CBL'.
       COPY 'FV/FV1430.CBL'.
       COPY 'FV/FV1435.CBL'.
       COPY 'FV/FV1440.CBL'.
       COPY 'FV/FV1445.CBL'.
       COPY 'FV/FV1450.CBL'.
       COPY 'FV/FV1455.CBL'.
       COPY 'FV/FV1460.CBL'.
       COPY 'FV/FV1465.CBL'.
       COPY 'FV/FV1470.CBL'.
       COPY 'FV/FV1475.CBL'.
       COPY 'FV/FV1485.CBL'.
       COPY 'FV/FV1490.CBL'.
       COPY 'FV/FV1495.CBL'.
       COPY 'FV/FV1500.CBL'.
       COPY 'FV/FV1505.CBL'.
       COPY 'FV/FV1507.CBL'.
       COPY 'FV/FV1510.CBL'.
       COPY 'FV/FV1515.CBL'.
       COPY 'FV/FV1520.CBL'.
       COPY 'FV/FV1525.CBL'.
       COPY 'FV/FV1530.CBL'.
       COPY 'FV/FV1535.CBL'.
       COPY 'FV/FV1540.CBL'.
       COPY 'FV/FV1545.CBL'.
       COPY 'FV/FV1550.CBL'.
       COPY 'FV/FV1555.CBL'.
       COPY 'FV/FV1560.CBL'.
       COPY 'FV/FV1565.CBL'.
       COPY 'FV/FV1570.CBL'.
       COPY 'FV/FV1575.CBL'.
       COPY 'FV/FV1580.CBL'.
       COPY 'FV/FV1585.CBL'.
       COPY 'FV/FV1590.CBL'.
       COPY 'FV/FV1595.CBL'.
       COPY 'FV/FV1600.CBL'.
       COPY 'FV/FV1605.CBL'.
       COPY 'FV/FV1610.CBL'.
       COPY 'FV/FV1615.CBL'.
       COPY 'FV/FV1620.CBL'.
       COPY 'FV/FV1625.CBL'.
      *COPY 'FV/FV1630.CBL'.
      *COPY 'FV/FV1635.CBL'.
      *COPY 'FV/FV1640.CBL'.
      *COPY 'FV/FV1645.CBL'.
       COPY 'FV/FV1650.CBL'.
       COPY 'FV/FV1655.CBL'.
       COPY 'FV/FV1660.CBL'.
       COPY 'FV/FV1665.CBL'.
       COPY 'FV/FV1670.CBL'.
       COPY 'FV/FV1675.CBL'.
       COPY 'FV/FV1680.CBL'.
       COPY 'FV/FV1685.CBL'.
       COPY 'FV/FV1690.CBL'.
       COPY 'FV/FV1695.CBL'.
       COPY 'FV/FV1700.CBL'.
       COPY 'FV/FV1705.CBL'.
       COPY 'FV/FV1710.CBL'.
       COPY 'FV/FV1715.CBL'.
       COPY 'FV/FV1720.CBL'.
       COPY 'FV/FV1725.CBL'.
       COPY 'FV/FV1730.CBL'.
       COPY 'FV/FV1735.CBL'.
       COPY 'FV/FV1740.CBL'.
       COPY 'FV/FV1745.CBL'.
       COPY 'FV/FV1750.CBL'.
       COPY 'FV/FV1755.CBL'.
       COPY 'FV/FV1760.CBL'.
       COPY 'FV/FV1765.CBL'.
       COPY 'FV/FV1770.CBL'.
       COPY 'FV/FV1775.CBL'.
       COPY 'FV/FV1780.CBL'.
       COPY 'FV/FV1785.CBL'.
       COPY 'FV/FV1790.CBL'.
      *COPY 'FV/FV1795.CBL'.
      *COPY 'FV/FV1800.CBL'.
       COPY 'FV/FV1805.CBL'.
       COPY 'FV/FV1810.CBL'.
       COPY 'FV/FV1815.CBL'.
      *COPY 'FV/FV1820.CBL'.
      *COPY 'FV/FV1825.CBL'.
       COPY 'FV/FV1830.CBL'.
       COPY 'FV/FV1835.CBL'.
       COPY 'FV/FV1840.CBL'.
       COPY 'FV/FV1845.CBL'.
       COPY 'FV/FV1852.CBL'.
       COPY 'FV/FV1854.CBL'.
       COPY 'FV/FV1864.CBL'.
       COPY 'FV/FV1866.CBL'.
       COPY 'FV/FV1867.CBL'.
       COPY 'FV/FV1868.CBL'.
       COPY 'FV/FV1870.CBL'.
       COPY 'FV/FV1872.CBL'.
       COPY 'FV/FV1874.CBL'.
       COPY 'FV/FV1876.CBL'.
       COPY 'FV/FV1878.CBL'.
       COPY 'FV/FV1880.CBL'.
       COPY 'FV/FV1885.CBL'.
       COPY 'FV/FV1890.CBL'.
       COPY 'FV/FV1900.CBL'.
       COPY 'FV/FV1905.CBL'.
       COPY 'FV/FV1920.CBL'.
       COPY 'FV/FV1925.CBL'.
      *COPY 'FV/FV1930.CBL'.
       COPY 'FV/FV1940.CBL'.
       COPY 'FV/FV1945.CBL'.
       COPY 'FV/FV1950.CBL'.
       COPY 'FV/FV1960.CBL'.
       COPY 'FV/FV1970.CBL'.


