      ***************************************************************
      * File:      FV1010.CBL
      * Author:    Mike Ray
      * Date:      8/13/95
      *    This copy file contains the sequencing logic for the type
      *    10 record.
      ***************************************************************
       1010-VALIDATE-T10.

      $IF DEBUG-SW DEFINED
           DISPLAY '1010-FIELD VALIDATING TYPE 10 RECORD'
           UPON CONSOLE
      $END

      ****************************************************************
      *   DISPLAY INPUT RECORD                                       *
      ****************************************************************
      $IF DEBUG-SW DEFINED
           PERFORM 1010-DISPLAY-RECORD
              THRU 1010-DISPLAY-RECORD-EXIT
      $END

      *    *** WS-T10-RECORD-TYPE (Numeric)
      *    *** NO FV EDIT ***

      *    *** WS-T10-REPORTING-ORG (Non-Numeric)
           INITIALIZE WS-1200-REPORTING-ORG
           MOVE WS-T10-REPORTING-ORG TO WS-1200-REPORTING-ORG
           PERFORM 1200-VAL-REPORTING-ORG
              THRU 1200-VAL-REPORTING-ORG-EXIT

      *    *** WS-T10-LOC-STATE (Numeric)
           IF WS-T10-LOC-STATE NUMERIC
              INITIALIZE WS-1205-LOC-STATE
              MOVE WS-T10-LOC-STATE TO WS-1205-LOC-STATE
              PERFORM 1205-VAL-LOCATION-STATE
                 THRU 1205-VAL-LOCATION-STATE-EXIT
           ELSE
              MOVE WS-LITERAL-YES TO ERROR-LOC-STATE
              MOVE WS-LITERAL-YES TO WS-0007-POLICY-NO-ERROR
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-LOC-STATE TO WS-8000-FIELD-NAME1
              MOVE WS-T10-LOC-STATE-X TO WS-8000-BAD-DATA1
              MOVE 1010 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T10-LOC-STATE
           END-IF

      *    *** WS-T10-COMPANY-COUNTY (Numeric)
           IF WS-T10-COMPANY-COUNTY NUMERIC
              INITIALIZE WS-1210-COMPANY-COUNTY
              MOVE WS-T10-COMPANY-COUNTY TO WS-1210-COMPANY-COUNTY
              PERFORM 1210-VAL-COMPANY-COUNTY
                 THRU 1210-VAL-COMPANY-COUNTY-EXIT
           ELSE
              MOVE WS-LITERAL-YES TO ERROR-CPNY-CNTY
              MOVE WS-LITERAL-YES TO WS-0007-POLICY-NO-ERROR
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-CPNY-CNTY TO WS-8000-FIELD-NAME1
              MOVE WS-T10-COMPANY-COUNTY-X TO WS-8000-BAD-DATA1
              MOVE 1010 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T10-COMPANY-COUNTY
           END-IF

      *    *** WS-T10-POLICY-NUM (Numeric)
           IF WS-T10-POLICY-NUM NUMERIC
              INITIALIZE WS-1215-POLICY-NO
              MOVE WS-T10-POLICY-NUM TO WS-1215-POLICY-NO
              PERFORM 1215-VAL-POLICY-NUMBER
                 THRU 1215-VAL-POLICY-NUMBER-EXIT
           ELSE
              MOVE WS-LITERAL-YES TO ERROR-POLICY-NO
              MOVE WS-LITERAL-YES TO WS-0007-POLICY-NO-ERROR
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-POLICY-NO TO WS-8000-FIELD-NAME1
              MOVE WS-T10-POLICY-NUM-X TO WS-8000-BAD-DATA1
              MOVE 1010 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T10-POLICY-NUM
           END-IF

      *    *** WS-T10-CROP-YEAR (Numeric)
           IF WS-T10-CROP-YEAR NUMERIC
              INITIALIZE WS-1220-CROP-YEAR
              MOVE WS-T10-CROP-YEAR TO WS-1220-CROP-YEAR
              PERFORM 1220-VAL-CROP-YEAR
                 THRU 1220-VAL-CROP-YEAR-EXIT
           ELSE
              MOVE WS-LITERAL-YES TO ERROR-CROP-YR
              MOVE WS-LITERAL-YES TO WS-0007-POLICY-NO-ERROR
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-CROP-YR TO WS-8000-FIELD-NAME1
              MOVE WS-T10-CROP-YEAR-X TO WS-8000-BAD-DATA1
              MOVE 'Reinsurance Yr + or - 2'
                TO WS-8000-CORR-DATA1
              MOVE 1010 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T10-CROP-YEAR
           END-IF

      *    *====================================================*
      *    *   END OF POLICY/CONTRACT NUMBER FIELDS             *
      *    *====================================================*

      *    *** WS-T10-KEY-RESERVE (Non-Numeric)
           MOVE SPACES TO WS-T10-KEY-RESERVE

      *    *** WS-T10-RECORD-NUM (Numeric)
           IF WS-T10-RECORD-NUM NUMERIC
              INITIALIZE WS-1230-RECORD-NO
              MOVE WS-T10-RECORD-NUM TO WS-1230-RECORD-NO
              PERFORM 1230-VAL-RECORD-NUMBER
                 THRU 1230-VAL-RECORD-NUMBER-EXIT
           ELSE
              MOVE WS-LITERAL-YES TO ERROR-REC-NO
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-REC-NO TO WS-8000-FIELD-NAME1
              MOVE WS-T10-RECORD-NUM-X TO WS-8000-BAD-DATA1
              MOVE 1010 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T10-RECORD-NUM
           END-IF

      *    *** WS-T10-BRNCH-OFF-STATE-CD (Non-Numeric)
      *    *** No FV Edit

      *    *** WS-T10-ID-TYPE (Numeric)
           IF WS-T10-ID-TYPE NUMERIC
              INITIALIZE WS-1295-ID-TYPE
              MOVE WS-T10-ID-TYPE TO WS-1295-ID-TYPE
              PERFORM 1295-VAL-ID-TYPE
                 THRU 1295-VAL-ID-TYPE-EXIT
           ELSE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-ID-TYPE
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-ID-TYPE TO WS-8000-FIELD-NAME1
              MOVE WS-T10-ID-TYPE-X TO WS-8000-BAD-DATA1
              MOVE '1,2,3,4,5' TO WS-8000-CORR-DATA1
              MOVE 1010 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T10-ID-TYPE
           END-IF

      *    *** WS-T10-ID-NUM (Numeric)
            IF WS-T10-ID-NUM NUMERIC
               INITIALIZE WS-1300-ID-NUMBER
               MOVE WS-T10-ID-NUM TO WS-1300-ID-NUMBER
               PERFORM 1300-VAL-ID-NUMBER
                  THRU 1300-VAL-ID-NUMBER-EXIT
           ELSE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-ID-NO
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-ID-NO TO WS-8000-FIELD-NAME1
              MOVE WS-T10-ID-NUM-X TO WS-8000-BAD-DATA1
              MOVE 1010 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T10-ID-NUM
           END-IF

      *    *** WS-T10-ENTITY-TYPE (Non-Numeric)
           INITIALIZE WS-1235-ENTITY-TYPE
           MOVE WS-T10-ENTITY-TYPE TO WS-1235-ENTITY-TYPE
           PERFORM 1235-VAL-ENTITY-TYPE
              THRU 1235-VAL-ENTITY-TYPE-EXIT

      *    *** WS-T10-PROD-LST-NAME (Non-Numeric)
           INITIALIZE WS-1240-INPUT
           MOVE WS-T10-PROD-LST-NAME TO WS-1240-LAST-NAME
           PERFORM 1240-VAL-LAST-NAME
              THRU 1240-VAL-LAST-NAME-EXIT

      *    *** WS-T10-PROD-FRST-NAME (Non-Numeric)
           INITIALIZE WS-1245-INPUT
           MOVE WS-T10-PROD-FRST-NAME TO WS-1245-FIRST-NAME
           PERFORM 1245-VAL-FIRST-NAME
              THRU 1245-VAL-FIRST-NAME-EXIT

      *    *** WS-T10-PROD-MIDDLE-NAME (Non-Numeric)
           INITIALIZE WS-1250-INPUT
           MOVE WS-T10-PROD-MIDDLE-NAME TO WS-1250-MIDDLE-NAME
           PERFORM 1250-VAL-MIDDLE-NAME
              THRU 1250-VAL-MIDDLE-NAME-EXIT

      *    *** WS-T10-PROD-NAME-SFX (Non-Numeric)
           INITIALIZE WS-1255-INPUT
           MOVE WS-T10-PROD-NAME-SFX TO WS-1255-NAME-SUFFIX
           PERFORM 1255-VAL-NAME-SUFFIX
              THRU 1255-VAL-NAME-SUFFIX-EXIT

      *    *** WS-T10-PROD-TITLE (Non-Numeric)
           INITIALIZE WS-1260-INPUT
           MOVE WS-T10-PROD-TITLE TO WS-1260-TITLE
           PERFORM 1260-VAL-TITLE
              THRU 1260-VAL-TITLE-EXIT

      *    *** WS-T10-BUSINESS-NAME (Non-Numeric)
           INITIALIZE WS-1265-BUSINESS-NAME
           MOVE WS-T10-BUSINESS-NAME TO WS-1265-BUSINESS-NAME
           PERFORM 1265-VAL-BUSINESS-NAME
              THRU 1265-VAL-BUSINESS-NAME-EXIT

      *    *** WS-T10-ADDRESS-1 (Non-Numeric)
           INITIALIZE WS-1270-ADDRESS
           MOVE WS-T10-ADDRESS-1 TO WS-1270-ADDRESS
           PERFORM 1270-VAL-ADDRESS
              THRU 1270-VAL-ADDRESS-EXIT

      *    *** WS-T10-ADDRESS-2 (Non-Numeric)
      *    *** No FV Edit

      *    *** WS-T10-CITY (Non-Numeric)
           INITIALIZE WS-1275-CITY
           MOVE WS-T10-CITY TO WS-1275-CITY
           PERFORM 1275-VAL-CITY
              THRU 1275-VAL-CITY-EXIT

      *    *** WS-T10-ADDRESS-STATE (Non-Numeric)
           INITIALIZE WS-1280-ADDRESS-STATE
           MOVE WS-T10-ADDRESS-STATE TO WS-1280-ADDRESS-STATE
           PERFORM 1280-VAL-ADDRESS-STATE
              THRU 1280-VAL-ADDRESS-STATE-EXIT

      *    *** WS-T10-ZIP-CODE (Numeric)
            IF WS-T10-ZIP-CODE NUMERIC
               INITIALIZE WS-1285-ZIP-CODE
               MOVE WS-T10-ZIP-CODE TO WS-1285-ZIP-CODE
               PERFORM 1285-VAL-ZIP-CODE
                  THRU 1285-VAL-ZIP-CODE-EXIT
           ELSE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-ZIP-CD
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-ZIP-CODE TO WS-8000-FIELD-NAME1
              MOVE WS-T10-ZIP-CODE-X TO WS-8000-BAD-DATA1
              MOVE 1010 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T10-ZIP-CODE
           END-IF

      *    *** WS-T10-ZIP-EXT (Numeric)
            IF WS-T10-ZIP-EXT NUMERIC
               INITIALIZE WS-1290-ZIP-EXT
               MOVE WS-T10-ZIP-EXT TO WS-1290-ZIP-EXT
               PERFORM 1290-VAL-ZIP-EXTENSION
                  THRU 1290-VAL-ZIP-EXTENSION-EXIT
           ELSE
      *       MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
      *       MOVE 002 TO WS-8000-SHORT-ERROR
      *       MOVE WS-LITERAL-YES TO ERROR-ZIP-EXT
      *       MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
      *       MOVE WS-LITERAL-ZIP-EXT TO WS-8000-FIELD-NAME1
      *       MOVE WS-T10-ZIP-EXT-X TO WS-8000-BAD-DATA1
      *       MOVE 1010 TO WS-8000-PARAGRAPH-NO
      *       PERFORM 8000-RECORD-TRAN-ERROR
      *          THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T10-ZIP-EXT
           END-IF

      *    *** WS-T10-PHONE-NUM (Non-Numeric)
      *    PHONE NUMBER EDIT IS DELETED FOR '97 VALIDATION
      *    PER PHONE CONVERSATION WITH FCIC (KEITH B.) ON 7/9/96.

      *    *** WS-T10-CFSA-COMP-EMPL (Non-Numeric)
           IF WS-T10-CFSA-COMP-EMPL = SPACES
              MOVE WS-LITERAL-NO TO WS-T10-CFSA-COMP-EMPL
           ELSE
              INITIALIZE WS-0009-CFSA-COMP-EMPL
              MOVE WS-T10-CFSA-COMP-EMPL TO WS-0009-CFSA-COMP-EMPL
              PERFORM 1315-VAL-CFSA-CPNY-EMP
                 THRU 1315-VAL-CFSA-CPNY-EMP-EXIT
           END-IF

      *    === ADDITIONAL FIELDS NEEDED BY ACCOUNTING ===

      *    *** WS-T10-FILLER-1 (Non-Numeric)
           MOVE SPACES TO WS-T10-FILLER-1

      *    *** WS-T10-LOSS-INDICATOR (Non-Numeric)
           MOVE WS-LITERAL-NO TO WS-T10-LOSS-INDICATOR.

      *    *** WS-T10-RM-DATA-RECEIPT-DATE (Numeric)
      *    *** No FV Edit

      *    === END OF ADDITIONAL FIELDS FOR ACCOUNING ===

      *    *** WS-T10-FSA-CONTROL-DATE (Numeric)
      *    *** No FV Edit



       1010-VALIDATE-T10-EXIT.
           EXIT.



       1010-DISPLAY-RECORD.

           DISPLAY '1010-INPUT TYPE 10 RECORD'
           UPON CONSOLE
           DISPLAY 'RECORD TYPE        : ',
           WS-T10-RECORD-TYPE UPON CONSOLE
           DISPLAY 'REPORTING ORG      : ',
           WS-T10-REPORTING-ORG UPON CONSOLE
           DISPLAY 'LOCATION STATE     : ',
           WS-T10-LOC-STATE UPON CONSOLE
           DISPLAY 'COMPANY            : ',
           WS-T10-COMPANY-COUNTY UPON CONSOLE
           DISPLAY 'POLICY NUMBER      : ',
           WS-T10-POLICY-NUM UPON CONSOLE
           DISPLAY 'CROP YEAR          : ',
           WS-T10-CROP-YEAR UPON CONSOLE
           DISPLAY '--------------------------------'
           UPON CONSOLE
           DISPLAY 'KEY RESERVE        : ',
           WS-T10-KEY-RESERVE UPON CONSOLE
           DISPLAY 'RECORD NUMBER      : ',
           WS-T10-RECORD-NUM UPON CONSOLE
           DISPLAY 'BRANCH OFFICE      : ',
           WS-T10-BRNCH-OFF-STATE-CD UPON CONSOLE
           DISPLAY 'ID TYPE            : ',
           WS-T10-ID-TYPE UPON CONSOLE
           DISPLAY 'ID NUMBER          : ',
           WS-T10-ID-NUM UPON CONSOLE
           DISPLAY 'ENTITY TYPE        : ',
           WS-T10-ENTITY-TYPE UPON CONSOLE
           DISPLAY 'LAST NAME          : ',
           WS-T10-PROD-LST-NAME UPON CONSOLE
           DISPLAY 'FIRST NAME         : ',
           WS-T10-PROD-FRST-NAME UPON CONSOLE
           DISPLAY 'MIDDLE NAME        : ',
           WS-T10-PROD-MIDDLE-NAME UPON CONSOLE
           DISPLAY 'NAME SUFFIX        : ',
           WS-T10-PROD-NAME-SFX UPON CONSOLE
           DISPLAY 'TITLE              : ',
           WS-T10-PROD-TITLE UPON CONSOLE
           DISPLAY 'BUSINESS NAME      : ',
           WS-T10-BUSINESS-NAME UPON CONSOLE
           DISPLAY 'ADDRESS LINE 1     : ',
           WS-T10-ADDRESS-1 UPON CONSOLE
           DISPLAY 'ADDRESS LINE 2     : ',
           WS-T10-ADDRESS-2 UPON CONSOLE
           DISPLAY 'CITY               : ',
           WS-T10-CITY UPON CONSOLE
           DISPLAY 'STATE              : ',
           WS-T10-ADDRESS-STATE UPON CONSOLE
           DISPLAY 'ZIP CODE           : ',
           WS-T10-ZIP-CODE UPON CONSOLE
           DISPLAY 'ZIP EXTENSION      : ',
           WS-T10-ZIP-EXT UPON CONSOLE
           DISPLAY 'PHONE NUMBER       : ',
           WS-T10-PHONE-NUM UPON CONSOLE
           DISPLAY 'COMPANY EMPLOYEE   : ',
           WS-T10-CFSA-COMP-EMPL UPON CONSOLE
           DISPLAY '--------------------------------'
           UPON CONSOLE
           DISPLAY 'FILLER 1             : ',
           WS-T10-FILLER-1 UPON CONSOLE
           DISPLAY 'LOSS INDICATOR       : ',
           WS-T10-LOSS-INDICATOR UPON CONSOLE
           DISPLAY 'RM DATA RECEIPT DATE : ',
           WS-T10-RM-DATA-RECEIPT-DATE UPON CONSOLE
           DISPLAY 'FSA CONTROL DATE     : ',
           WS-T10-FSA-CONTROL-DATE UPON CONSOLE
           DISPLAY '--------------------------------'
           UPON CONSOLE
           DISPLAY 'FCIC CONTROL TIME    : ',
           WS-FCIC-CONTROL-TIME UPON CONSOLE
           DISPLAY 'FCIC CONTROL DATE    : ',
           WS-FCIC-CONTROL-DATE UPON CONSOLE
           DISPLAY 'REINSURANCE YEAR     : ',
           WS-REINS-YR UPON CONSOLE
           DISPLAY 'BATCH NUMBER         : ',
           WS-BATCH-NO UPON CONSOLE
           DISPLAY 'TRANS SEQUENCE NUM   : ',
           WS-TRAN-SEQ-NO UPON CONSOLE
           DISPLAY 'TRANS REJECTED FLAG  : ',
           WS-TRAN-REJ-FLAG UPON CONSOLE
           DISPLAY 'TRANS SOURCE FLAG    : ',
           WS-TRAN-SOURCE-FLAG UPON CONSOLE
           DISPLAY 'MDAS PROCESS NUMBER  : ',
           WS-MDAS-PROCESS-NO UPON CONSOLE
           DISPLAY 'FILLER 2             : ',
           WS-FILLER-14 UPON CONSOLE.

       1010-DISPLAY-RECORD-EXIT.
           EXIT.


