      ***************************************************************
      * File:      FV1011.CBL
      * Author:    Mike Ray
      * Date:      8/13/95
      * Purpose:
      *    This copy file contains the sequencing logic for the type
      *    11 record.
      *
      * Contains:
      *
      ***************************************************************


       1011-VALIDATE-T11.

      $IF DEBUG-SW DEFINED
           DISPLAY '1011-FIELD VALIDATING TYPE 11 RECORD'
           UPON CONSOLE
      $END

      ****************************************************************
      *   DISPLAY INPUT RECORD                                       *
      ****************************************************************
      $IF DEBUG-SW DEFINED
           PERFORM 1011-DISPLAY-RECORD
              THRU 1011-DISPLAY-RECORD-EXIT
      $END

      *    *** WS-T11-RECORD-TYPE (Numeric)
      *    *** NO FV EDIT ***

      *    *** WS-T11-REPORTING-ORG (Non-Numeric)
           INITIALIZE WS-1200-REPORTING-ORG
           MOVE WS-T11-REPORTING-ORG TO WS-1200-REPORTING-ORG
           PERFORM 1200-VAL-REPORTING-ORG
              THRU 1200-VAL-REPORTING-ORG-EXIT

      *    *** WS-T11-LOC-STATE (Numeric)
           IF WS-T11-LOC-STATE NUMERIC
              INITIALIZE WS-1205-LOC-STATE
              MOVE WS-T11-LOC-STATE TO WS-1205-LOC-STATE
              PERFORM 1205-VAL-LOCATION-STATE
                 THRU 1205-VAL-LOCATION-STATE-EXIT
           ELSE
              MOVE WS-LITERAL-YES TO ERROR-LOC-STATE
              MOVE WS-LITERAL-YES TO WS-0007-POLICY-NO-ERROR
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-LOC-STATE TO WS-8000-FIELD-NAME1
              MOVE WS-T11-LOC-STATE-X TO WS-8000-BAD-DATA1
              MOVE 1011 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T11-LOC-STATE
           END-IF

      *    *** WS-T11-COMPANY-COUNTY (Numeric)
           IF WS-T11-COMPANY-COUNTY NUMERIC
              INITIALIZE WS-1210-COMPANY-COUNTY
              MOVE WS-T11-COMPANY-COUNTY TO WS-1210-COMPANY-COUNTY
              PERFORM 1210-VAL-COMPANY-COUNTY
                 THRU 1210-VAL-COMPANY-COUNTY-EXIT
           ELSE
              MOVE WS-LITERAL-YES TO ERROR-CPNY-CNTY
              MOVE WS-LITERAL-YES TO WS-0007-POLICY-NO-ERROR
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-CPNY-CNTY TO WS-8000-FIELD-NAME1
              MOVE WS-T11-COMPANY-COUNTY-X TO WS-8000-BAD-DATA1
              MOVE 1011 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T11-COMPANY-COUNTY
           END-IF

      *    *** WS-T11-POLICY-NUM (Numeric)
           IF WS-T11-POLICY-NUM NUMERIC
              INITIALIZE WS-1215-POLICY-NO
              MOVE WS-T11-POLICY-NUM TO WS-1215-POLICY-NO
              PERFORM 1215-VAL-POLICY-NUMBER
                 THRU 1215-VAL-POLICY-NUMBER-EXIT
           ELSE
              MOVE WS-LITERAL-YES TO ERROR-POLICY-NO
              MOVE WS-LITERAL-YES TO WS-0007-POLICY-NO-ERROR
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-POLICY-NO TO WS-8000-FIELD-NAME1
              MOVE WS-T11-POLICY-NUM-X TO WS-8000-BAD-DATA1
              MOVE 1011 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T11-POLICY-NUM
           END-IF

      *    *** WS-T11-CROP-YEAR (Numeric)
           IF WS-T11-CROP-YEAR NUMERIC
              INITIALIZE WS-1220-CROP-YEAR
              MOVE WS-T11-CROP-YEAR TO WS-1220-CROP-YEAR
              PERFORM 1220-VAL-CROP-YEAR
                 THRU 1220-VAL-CROP-YEAR-EXIT
           ELSE
              MOVE WS-LITERAL-YES TO ERROR-CROP-YR
              MOVE WS-LITERAL-YES TO WS-0007-POLICY-NO-ERROR
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-CROP-YR TO WS-8000-FIELD-NAME1
              MOVE WS-T11-CROP-YEAR-X TO WS-8000-BAD-DATA1
              MOVE 'Reinsurance Yr + or - 2'
                TO WS-8000-CORR-DATA1
              MOVE 1011 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T11-CROP-YEAR
           END-IF

      *    *====================================================*
      *    *   END OF POLICY/CONTRACT NUMBER FIELDS             *
      *    *====================================================*

      *    *** WS-T11-CROP-CD (Numeric)
           IF WS-T11-CROP-CD NUMERIC
              INITIALIZE WS-1340-CROP-CODE
              MOVE WS-T11-CROP-CD TO WS-1340-CROP-CODE
              PERFORM 1340-VAL-CROP-CODE
                 THRU 1340-VAL-CROP-CODE-EXIT
           ELSE
              MOVE WS-LITERAL-YES TO WS-0007-REJECT-TRANSACTION
              MOVE WS-LITERAL-YES TO ERROR-CROP-CD
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-CROP-CD TO WS-8000-FIELD-NAME1
              MOVE WS-T11-CROP-CD-X TO WS-8000-BAD-DATA1
              MOVE SPACES TO WS-8000-CORR-DATA1
              MOVE 1011 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T11-CROP-CD
           END-IF

      *    *** WS-T11-INSUR-PLAN-CD (Numeric)
           IF WS-T11-INSUR-PLAN-CD NUMERIC
              INITIALIZE WS-0009-INSURANCE-PLAN
              MOVE WS-T11-INSUR-PLAN-CD
                TO WS-0009-INSURANCE-PLAN
              PERFORM 1405-VAL-INS-PLAN-CD
                 THRU 1405-VAL-INS-PLAN-CD-EXIT
           ELSE
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-INSUR-PLAN-CD
              MOVE WS-LITERAL-INSURE-PLAN-CD TO WS-8000-FIELD-NAME1
              MOVE WS-T11-INSUR-PLAN-CD-X TO WS-8000-BAD-DATA1
              MOVE SPACES TO WS-8000-CORR-DATA1
              MOVE 1011 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

      *    *** WS-T11-LOCATION-COUNTY (Numeric)
           IF WS-T11-LOCATION-COUNTY NUMERIC
              INITIALIZE WS-1350-LOCATION-COUNTY
              MOVE WS-T11-LOCATION-COUNTY TO WS-1350-LOCATION-COUNTY
              PERFORM 1350-VAL-LOC-COUNTY
                 THRU 1350-VAL-LOC-COUNTY-EXIT
           ELSE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-LOC-CNTY
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-LOC-CNTY TO WS-8000-FIELD-NAME1
              MOVE WS-T11-LOCATION-COUNTY-X TO WS-8000-BAD-DATA1
              MOVE 1011 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T11-LOCATION-COUNTY
           END-IF

      *    *** WS-T11-UNIT-NUM (Numeric)
           IF WS-T11-UNIT-NUM NUMERIC
              INITIALIZE WS-1425-UNIT-NO
              MOVE WS-T11-UNIT-NUM TO WS-1425-UNIT-NO
              PERFORM 1425-VAL-UNIT-NO
                 THRU 1425-VAL-UNIT-NO-EXIT
           ELSE
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-UNIT-NO
              MOVE WS-LITERAL-UNIT-NO TO WS-8000-FIELD-NAME1
              MOVE WS-T11-UNIT-NUM-X TO WS-8000-BAD-DATA1
              MOVE SPACES TO WS-8000-CORR-DATA1
              MOVE 1011 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T11-UNIT-NUM
           END-IF

      *    *** WS-T11-TYPE-CD (Numeric)
           IF WS-T11-TYPE-CD NOT NUMERIC
              MOVE WS-LITERAL-YES TO ERROR-CROP-TYPE
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-CROP-TYPE TO WS-8000-FIELD-NAME1
              MOVE WS-T11-TYPE-CD-X TO WS-8000-BAD-DATA1
              MOVE SPACES TO WS-8000-CORR-DATA1
              MOVE 1011 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T11-TYPE-CD
           END-IF


      *    *** WS-T11-PRACTICE-CD (Numeric)
           IF WS-T11-PRACTICE-CD NOT NUMERIC
              MOVE WS-LITERAL-YES TO ERROR-PRACTICE-CD
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PRACTICE-CD TO WS-8000-FIELD-NAME1
              MOVE WS-T11-PRACTICE-CD-X TO WS-8000-BAD-DATA1
              MOVE SPACES TO WS-8000-CORR-DATA1
              MOVE 1011 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T11-PRACTICE-CD
           END-IF


      *    *** WS-T11-COVERAGE-FLG (Non-Numeric)
           INITIALIZE WS-0009-COVERAGE-FLG
           MOVE WS-T11-COVERAGE-FLG TO WS-0009-COVERAGE-FLG
           PERFORM 1385-VAL-COVERAGE-FL
              THRU 1385-VAL-COVERAGE-FL-EXIT

      *    *** WS-T11-KEY-RESERVE (Non-Numeric)
           MOVE SPACES TO WS-T11-KEY-RESERVE

      *    *====================================================*
      *    *          END OF "KEY" FIELDS                       *
      *    *====================================================*

      *    *** WS-T11-FILLER-1 (Not Numeric)
           MOVE SPACES TO WS-T11-FILLER-1

      *    *** WS-T11-RECORD-NUM (Numeric)
           IF WS-T11-RECORD-NUM NUMERIC
              INITIALIZE WS-1230-RECORD-NO
              MOVE WS-T11-RECORD-NUM TO WS-1230-RECORD-NO
              PERFORM 1230-VAL-RECORD-NUMBER
                 THRU 1230-VAL-RECORD-NUMBER-EXIT
           ELSE
              MOVE WS-LITERAL-YES TO ERROR-REC-NO
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-REC-NO TO WS-8000-FIELD-NAME1
              MOVE WS-T11-RECORD-NUM-X TO WS-8000-BAD-DATA1
              MOVE 1011 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T11-RECORD-NUM
           END-IF

      *    *** WS-T11-TYPE15-REC-NO (Numeric)
           IF WS-T11-TYPE15-REC-NO NUMERIC
              INITIALIZE WS-1415-TYPE-15-REC-NO
              MOVE WS-T11-TYPE15-REC-NO TO WS-1415-TYPE-15-REC-NO
              PERFORM 1415-VAL-TYPE-15-REC-NO
                 THRU 1415-VAL-TYPE-15-REC-NO-EXIT
           ELSE
      *       MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
      *       MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
      *       MOVE 002 TO WS-8000-SHORT-ERROR
      *       MOVE WS-LITERAL-YES TO ERROR-TYPE-15-REC-NO
      *       MOVE WS-LITERAL-TYPE-15-REC-NO TO WS-8000-FIELD-NAME1
      *       MOVE WS-T11-TYPE15-REC-NO-X TO WS-8000-BAD-DATA1
      *       MOVE SPACES TO WS-8000-CORR-DATA1
      *       MOVE 1011 TO WS-8000-PARAGRAPH-NO
      *       PERFORM 8000-RECORD-TRAN-ERROR
      *          THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T11-TYPE15-REC-NO
           END-IF


      *    *** WS-T11-AGENT-ID-CODE (Non Numeric)
           INITIALIZE WS-1925-INPUT
           MOVE WS-T11-AGENT-ID-CODE
             TO WS-1925-AGENT-ID
           PERFORM 1925-VAL-AGENT-ID
              THRU 1925-VAL-AGENT-ID-EXIT

      *    *** No FV Edit

      *    *** WS-T11-RATE-CLASS (Non Numeric)
      *    *** No FV Edit

      *    *** WS-T11-MAP-AREA (Non Numeric)
      *    *** No FV Edit

      *    *** WS-T11-CRUSH-DISTRICT (Non Numeric)
           INITIALIZE WS-1395-INPUT
           MOVE WS-T11-CRUSH-DISTRICT
             TO WS-1395-CRUSH-DISTRICT
           PERFORM 1395-VAL-CRUSH-DISTRICT
              THRU 1395-VAL-CRUSH-DISTRICT-EXIT


      *    *** WS-T11-REFERENCE-CROP-YR (Numeric)
           IF WS-T11-REFERENCE-CROP-YR NOT NUMERIC
      *       MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
      *       MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
      *       MOVE 002 TO WS-8000-SHORT-ERROR
      *       MOVE WS-LITERAL-YES TO ERROR-REFERENCE-CROP-YR
      *       MOVE WS-LITERAL-REF-CROP-YR TO WS-8000-FIELD-NAME1
      *       MOVE WS-T11-REFERENCE-CROP-YR-X TO WS-8000-BAD-DATA1
      *       MOVE SPACES TO WS-8000-CORR-DATA1
      *       MOVE 1011 TO WS-8000-PARAGRAPH-NO
      *       PERFORM 8000-RECORD-TRAN-ERROR
      *          THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T11-REFERENCE-CROP-YR
           END-IF

      *    *** WS-T11-NCS-FCIC-2-FL (Not Numeric)
           INITIALIZE WS-0009-NCS-FCIC-2-FLG
           MOVE WS-T11-NCS-FCIC-2-FL TO WS-0009-NCS-FCIC-2-FLG
           PERFORM 1520-VAL-NCS-FCIC2-FL
              THRU 1520-VAL-NCS-FCIC2-FL-EXIT

      *    *** WS-T11-DATE-PLANTED (Numeric)
           IF WS-T11-DATE-PLANTED NUMERIC
              INITIALIZE WS-1490-DATE-PLANTED
              MOVE WS-T11-DATE-PLANTED TO WS-1490-DATE-PLANTED
              PERFORM 1490-VAL-DATE-PLANTED
                 THRU 1490-VAL-DATE-PLANTED-EXIT
           ELSE
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-DT-PLANTED
              MOVE WS-LITERAL-DT-PLANTED TO WS-8000-FIELD-NAME1
              MOVE WS-T11-DATE-PLANTED-X TO WS-8000-BAD-DATA1
              MOVE SPACES TO WS-8000-CORR-DATA1
              MOVE 1011 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T11-DATE-PLANTED
           END-IF

      *    *** WS-T11-GUARANTEE-REDUCT-FLG (Non-Numeric)
           INITIALIZE WS-1430-GUAR-RED-FLAG
           MOVE WS-T11-GUARANTEE-REDUCT-FLG
             TO WS-1430-GUAR-RED-FLAG
           PERFORM 1430-VAL-GUAR-RED-FLAG
              THRU 1430-VAL-GUAR-RED-FLAG-EXIT

      *    *** WS-T11-YIELD (Numeric)
           IF WS-T11-YIELD NUMERIC
              INITIALIZE WS-1450-YIELD-QUOTA
              MOVE WS-T11-YIELD TO WS-1450-YIELD-QUOTA
              PERFORM 1450-VAL-YIELD-QUOTA
                 THRU 1450-VAL-YIELD-QUOTA-EXIT
           ELSE
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-YLD-QUOTA
              MOVE WS-LITERAL-YLD-QUOTA TO WS-8000-FIELD-NAME1
              MOVE WS-T11-YIELD-X TO WS-8000-BAD-DATA1
              MOVE SPACES TO WS-8000-CORR-DATA1
              MOVE 1011 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T11-YIELD
           END-IF


      *    *** WS-T11-DOLLAR-AMT-INSUR (Numeric)
           IF WS-T11-DOLLAR-AMT-INSUR NUMERIC
              INITIALIZE WS-1495-DOLLAR-AMT-INS
              MOVE WS-T11-DOLLAR-AMT-INSUR
                TO WS-1495-DOLLAR-AMT-INS
              PERFORM 1495-VAL-DOLLAR-AMT-INS
                 THRU 1495-VAL-DOLLAR-AMT-INS-EXIT
           ELSE
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-DOLLAR-AMT-INSUR
              MOVE WS-LITERAL-DOLLAR-AMT-INSUR TO WS-8000-FIELD-NAME1
              MOVE WS-T11-DOLLAR-AMT-INSUR-X TO WS-8000-BAD-DATA1
              MOVE SPACES TO WS-8000-CORR-DATA1
              MOVE 1011 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T11-DOLLAR-AMT-INSUR
           END-IF

      *    *** WS-T11-QUOTA (Numeric)
           IF WS-T11-QUOTA NUMERIC
              INITIALIZE WS-1790-PNUT-QUOTA
              MOVE WS-T11-QUOTA TO WS-1790-PNUT-QUOTA
              PERFORM 1790-VAL-PNUT-QUOTA
                 THRU 1790-VAL-PNUT-QUOTA-EXIT
           ELSE
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-QUOTA
              MOVE WS-LITERAL-QUOTA TO WS-8000-FIELD-NAME1
              MOVE WS-T11-QUOTA-X TO WS-8000-BAD-DATA1
              MOVE SPACES TO WS-8000-CORR-DATA1
              MOVE 1011 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T11-QUOTA
           END-IF

      *    *** WS-T11-COVERAGE-LEVEL-PCT (Numeric)
           IF WS-T11-COVERAGE-LEVEL-PCT NUMERIC
              INITIALIZE WS-1435-COVERAGE-LEVEL-PCT
              MOVE WS-T11-COVERAGE-LEVEL-PCT
                TO WS-1435-COVERAGE-LEVEL-PCT
              PERFORM 1435-VAL-CVG-LEVEL-PCT
                 THRU 1435-VAL-CVG-LEVEL-PCT-EXIT
           ELSE
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-CVG-LVL-PCT
              MOVE WS-LITERAL-CVG-LVL-PCT TO WS-8000-FIELD-NAME1
              MOVE WS-T11-COVERAGE-LEVEL-PCT-X TO WS-8000-BAD-DATA1
              MOVE SPACES TO WS-8000-CORR-DATA1
              MOVE 1011 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T11-COVERAGE-LEVEL-PCT
           END-IF

      *    *** WS-T11-GUARANTEE-PER-ACRE (Numeric)
           IF WS-T11-GUARANTEE-PER-ACRE NUMERIC
              MOVE WS-T11-GUARANTEE-PER-ACRE
                TO WS-1890-GUARANTEE-PER-ACRE
              PERFORM 1890-VAL-GUARANTEE-PER-ACRE
                 THRU 1890-VAL-GUARANTEE-PER-EXIT
           ELSE
              MOVE WS-LITERAL-YES TO ERROR-GUARANTEE-PER-ACRE
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-GUARANTEE-PER-ACRE TO WS-8000-FIELD-NAME1
              MOVE WS-T11-GUARANTEE-PER-ACRE-X TO WS-8000-BAD-DATA1
              MOVE 1011 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T11-GUARANTEE-PER-ACRE
           END-IF


      *    *** WS-T11-GUARANTEE-RED-PCT (Numeric)
           IF WS-T11-GUARANTEE-RED-PCT NOT NUMERIC
      *       MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
      *       MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
      *       MOVE 002 TO WS-8000-SHORT-ERROR
      *       MOVE WS-LITERAL-YES TO ERROR-GUAR-RED-PCT
      *       MOVE WS-LITERAL-GUAR-RED-PCT TO WS-8000-FIELD-NAME1
      *       MOVE WS-T11-GUARANTEE-RED-PCT-X TO WS-8000-BAD-DATA1
      *       MOVE SPACES TO WS-8000-CORR-DATA1
      *       MOVE 1011 TO WS-8000-PARAGRAPH-NO
      *       PERFORM 8000-RECORD-TRAN-ERROR
      *          THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T11-GUARANTEE-RED-PCT
           END-IF


      *    *** WS-T11-REPORTED-ACRES (Numeric)
           IF WS-T11-REPORTED-ACRES NUMERIC
              INITIALIZE WS-1445-REPORTED-ACRES
              MOVE WS-T11-REPORTED-ACRES TO WS-1445-REPORTED-ACRES
              PERFORM 1445-VAL-REPORTED-ACRES
                 THRU 1445-VAL-REPORTED-ACRES-EXIT
           ELSE
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-REPORTED-ACRES
              MOVE WS-LITERAL-REPORTED-ACRE TO WS-8000-FIELD-NAME1
              MOVE WS-T11-REPORTED-ACRES-X TO WS-8000-BAD-DATA1
              MOVE SPACES TO WS-8000-CORR-DATA1
              MOVE 1011 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T11-REPORTED-ACRES
           END-IF

      *    *** WS-T11-TOTAL-GUARANTEE (Numeric)
           IF WS-T11-TOTAL-GUARANTEE NUMERIC
              MOVE WS-T11-TOTAL-GUARANTEE TO WS-1885-TOTAL-GUARANTEE
              PERFORM 1885-VAL-TOTAL-GUARANTEE
                 THRU 1885-VAL-TOTAL-GUARANTEE-EXIT
           ELSE
              MOVE WS-LITERAL-YES TO ERROR-TOTAL-GUARANTEE
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-TOTAL-GUARANTEE TO WS-8000-FIELD-NAME1
              MOVE WS-T11-TOTAL-GUARANTEE-X TO WS-8000-BAD-DATA1
              MOVE 1011 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T11-TOTAL-GUARANTEE
           END-IF

      *    *** WS-T11-PRICE-ELECTION (Numeric)
           IF WS-T11-PRICE-ELECTION NUMERIC
              INITIALIZE WS-1440-PRICE-ELECTION
              MOVE WS-T11-PRICE-ELECTION TO WS-1440-PRICE-ELECTION
              PERFORM 1440-VAL-PRICE-ELECTION
                 THRU 1440-VAL-PRICE-ELECTION-EXIT
           ELSE
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-PRICE-ELECTION
              MOVE WS-LITERAL-PRICE-ELECT TO WS-8000-FIELD-NAME1
              MOVE WS-T11-PRICE-ELECTION-X TO WS-8000-BAD-DATA1
              MOVE SPACES TO WS-8000-CORR-DATA1
              MOVE 1011 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T11-PRICE-ELECTION
           END-IF

      *    *** WS-T11-INSURED-SHARE (Numeric)
           IF WS-T11-INSURED-SHARE NUMERIC
              INITIALIZE WS-1455-INSURED-SHARE
              MOVE WS-T11-INSURED-SHARE TO WS-1455-INSURED-SHARE
              PERFORM 1455-VAL-INSURED-SHARE
                 THRU 1455-VAL-INSURED-SHARE-EXIT
           ELSE
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-INSURED-SHARE
              MOVE WS-LITERAL-INSURE-SHR TO WS-8000-FIELD-NAME1
              MOVE WS-T11-INSURED-SHARE-X TO WS-8000-BAD-DATA1
              MOVE SPACES TO WS-8000-CORR-DATA1
              MOVE 1011 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T11-INSURED-SHARE
           END-IF


      *    *** WS-T11-LIABILITY (Numeric)
           IF WS-T11-LIABILITY NUMERIC
              ADD WS-T11-LIABILITY TO WS-0008-INFILE-LIABILITY
              INITIALIZE WS-1460-LIABILITY
              MOVE WS-T11-LIABILITY TO WS-1460-LIABILITY
              PERFORM 1460-VAL-LIABILITY
                 THRU 1460-VAL-LIABILITY-EXIT
           ELSE
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-LIAB
              MOVE WS-LITERAL-LIAB TO WS-8000-FIELD-NAME1
              MOVE WS-T11-LIABILITY-X TO WS-8000-BAD-DATA1
              MOVE SPACES TO WS-8000-CORR-DATA1
              MOVE 1011 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T11-LIABILITY
           END-IF

      *    *** WS-T11-YIELD-CONVR-PCT-FCTR/PERCENT ELECTION (Numeric)
           IF WS-T11-YIELD-CONVR-PCT-FCTR NUMERIC
              INITIALIZE WS-1515-YLD-CNV-PCT-ELCT
              MOVE WS-T11-YIELD-CONVR-PCT-FCTR
                TO WS-1515-YLD-CNV-PCT-ELCT
              PERFORM 1515-VAL-YLD-CNV-PCT-ELCT
                 THRU 1515-VAL-YLD-CNV-PCT-ELCT-EXIT
           ELSE
              MOVE WS-LITERAL-FV  TO WS-8000-ERROR-TYPE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-YLD-CONVER-FCTR
              MOVE WS-LITERAL-YLD-CONVER-FCTR TO WS-8000-FIELD-NAME1
      *       MOVE WS-T11-PERCENT-ELECTION-X TO WS-8000-BAD-DATA1

              MOVE WS-T11-YIELD-CONVR-PCT-FCTR-9 TO WS-8000-BAD-DATA1
              MOVE SPACES TO WS-8000-CORR-DATA1
              MOVE 1011 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T11-YIELD-CONVR-PCT-FCTR
           END-IF


      *    *** WS-T11-BASE-PREM-RATE (Numeric)
           IF WS-T11-BASE-PREM-RATE NUMERIC
              INITIALIZE WS-1465-BASE-PREM-RATE
              MOVE WS-T11-BASE-PREM-RATE TO WS-1465-BASE-PREM-RATE
              PERFORM 1465-VAL-BASE-PREM-RATE
                 THRU 1465-VAL-BASE-PREM-RATE-EXIT
           ELSE
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-BASE-PREM-RT
              MOVE WS-LITERAL-BASE-PREM-RT TO WS-8000-FIELD-NAME1
              MOVE WS-T11-BASE-PREM-RATE-X TO WS-8000-BAD-DATA1
              MOVE SPACES TO WS-8000-CORR-DATA1
              MOVE 1011 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T11-BASE-PREM-RATE
           END-IF

      *    *** WS-T11-UNIT-OPT-CD (Non-Numeric)
           INITIALIZE WS-1500-UNIT-OPT-CD
           MOVE WS-T11-UNIT-OPT-CD TO WS-1500-UNIT-OPT-CD
           PERFORM 1500-VAL-UNIT-OPTION-CD
              THRU 1500-VAL-UNIT-OPTION-CD-EXIT


      *    *** WS-T11-ADD-OPT-CD (Non-Numeric)
           INITIALIZE WS-1505-OPT-CD
           MOVE WS-T11-ADD-OPT-CD TO WS-1505-OPT-CD
           PERFORM 1505-VAL-OPTION-CD
              THRU 1505-VAL-OPTION-CD-EXIT


      *    *** WS-T11-TYPE-PRAC-OPT-CD (Non-Numeric)
           INITIALIZE WS-1507-TYPE-PRAC-OPT-CD
           MOVE WS-T11-TYPE-PRAC-OPT-CD TO WS-1507-TYPE-PRAC-OPT-CD
           PERFORM 1507-VAL-TYPE-PRAC-OPT-CD
              THRU 1507-VAL-TYPE-PRAC-OPT-CD-EXIT


      *    *** WS-T11-EXPERIENCE-FACTOR (Numeric)
           IF WS-T11-EXPERIENCE-FACTOR NUMERIC
              INITIALIZE WS-1470-EXPERIENCE-FACTOR
              MOVE WS-T11-EXPERIENCE-FACTOR
                TO WS-1470-EXPERIENCE-FACTOR
              PERFORM 1470-VAL-EXPERIENCE-FCTR
                 THRU 1470-VAL-EXPERIENCE-FCTR-EXIT
           ELSE
              MOVE WS-LITERAL-FV  TO WS-8000-ERROR-TYPE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-EXPER-FCTR
              MOVE WS-LITERAL-EXPER-FCTR TO WS-8000-FIELD-NAME1
              MOVE WS-T11-EXPERIENCE-FACTOR-X TO WS-8000-BAD-DATA1
              MOVE SPACES TO WS-8000-CORR-DATA1
              MOVE 1011 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T11-EXPERIENCE-FACTOR
           END-IF

      *    *** WS-T11-PREM-RATE-SURCHARGE (Non-Numeric)
           INITIALIZE WS-1785-PREM-RT-SURCHG
           MOVE WS-T11-PREM-RATE-SURCHARGE TO WS-1785-PREM-RT-SURCHG
           PERFORM 1785-VAL-PREM-RT-SURCHG
              THRU 1785-VAL-PREM-RT-SURCHG-EXIT

      *    *** WS-T11-TOTAL-PREMIUM (Numeric)
           IF WS-T11-TOTAL-PREMIUM NUMERIC
              ADD WS-T11-TOTAL-PREMIUM TO WS-0008-INFILE-PREMIUM
              INITIALIZE WS-1475-TOTAL-PREMIUM
              MOVE WS-T11-TOTAL-PREMIUM TO WS-1475-TOTAL-PREMIUM
              PERFORM 1475-VAL-TOTAL-PREMIUM
                 THRU 1475-VAL-TOTAL-PREMIUM-EXIT
           ELSE
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-TOT-PREM
              MOVE WS-LITERAL-TOT-PREM TO WS-8000-FIELD-NAME1
              MOVE WS-T11-TOTAL-PREMIUM-X TO WS-8000-BAD-DATA1
              MOVE SPACES TO WS-8000-CORR-DATA1
              MOVE 1011 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T11-TOTAL-PREMIUM
           END-IF


      *    *** WS-T11-PRODUCER-PREMIUM (Numeric)
           IF WS-T11-PRODUCER-PREMIUM NUMERIC
              ADD WS-T11-PRODUCER-PREMIUM
               TO WS-0008-INFILE-PROD-PREM
              INITIALIZE WS-1485-PRODUCER-PREMIUM
              MOVE WS-T11-PRODUCER-PREMIUM
                TO WS-1485-PRODUCER-PREMIUM
              PERFORM 1485-VAL-PRODUCER-PREMIUM
                 THRU 1485-VAL-PRODUCER-PREMIUM-EXIT
           ELSE
              MOVE WS-LITERAL-FV  TO WS-8000-ERROR-TYPE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-PROD-PREM
              MOVE WS-LITERAL-PROD-PREM TO WS-8000-FIELD-NAME1
              MOVE WS-T11-PRODUCER-PREMIUM-X TO WS-8000-BAD-DATA1
              MOVE SPACES TO WS-8000-CORR-DATA1
              MOVE 1011 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T11-PRODUCER-PREMIUM
           END-IF

      *    *** WS-T11-PRIVATE-POLICY-CD (Non Numeric)
      *    *** No FV Edit


      *    *** WS-T11-INTENDED-ACREAGE-FLAG (Non Numeric)
      *    *** CURRENTLY NOT USED.
           MOVE SPACES TO WS-T11-INTENDED-ACREAGE-FLAG


      *    *** WS-T11-SEED-COMPANY-CD (Numeric)
           IF WS-T11-SEED-COMPANY-CD NUMERIC
              INITIALIZE WS-1510-SEED-COMPANY
              MOVE WS-T11-SEED-COMPANY-CD TO WS-1510-SEED-COMPANY
              PERFORM 1510-VAL-SEED-CPNY
                 THRU 1510-VAL-SEED-CPNY-EXIT
           ELSE
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-SEED-CPNY-CD
              MOVE WS-LITERAL-SEED-CPNY-CD TO WS-8000-FIELD-NAME1
              MOVE WS-T11-SEED-COMPANY-CD-X TO WS-8000-BAD-DATA1
              MOVE SPACES TO WS-8000-CORR-DATA1
              MOVE 1011 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T11-SEED-COMPANY-CD
           END-IF

      *    *** WS-T11-RATE-STATE (Numeric)
           IF WS-T11-RATE-STATE NUMERIC
              INITIALIZE WS-1355-RATE-STATE
              MOVE WS-T11-RATE-STATE TO WS-1355-RATE-STATE
              PERFORM 1355-VAL-RATE-STATE
                 THRU 1355-VAL-RATE-STATE-EXIT
           ELSE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-RATE-STATE
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-RATE-STATE TO WS-8000-FIELD-NAME1
              MOVE WS-T11-RATE-STATE-X TO WS-8000-BAD-DATA1
              MOVE 1011 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T11-RATE-STATE
           END-IF


      *    *** WS-T11-RATE-COUNTY (Numeric)
           IF WS-T11-RATE-COUNTY NUMERIC
              INITIALIZE WS-1360-RATE-COUNTY
              MOVE WS-T11-RATE-COUNTY TO WS-1360-RATE-COUNTY
              PERFORM 1360-VAL-RATE-COUNTY
                 THRU 1360-VAL-RATE-COUNTY-EXIT
           ELSE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-RATE-COUNTY
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-RATE-COUNTY TO WS-8000-FIELD-NAME1
              MOVE WS-T11-RATE-COUNTY-X TO WS-8000-BAD-DATA1
              MOVE 1011 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T11-RATE-COUNTY
           END-IF

      *    *** WS-T11-FARM-SERIAL-NUM (Non-Numeric)
      *    no FV test
      *    if ws-t11-farm-serial-num not alpha-numeric
      *       move spaces to ws-t11-farm-serial-num
      *       MOVE WS-LITERAL-fv TO WS-8000-ERROR-TYPE
      *       MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
      *       MOVE 000 TO WS-8000-SHORT-ERROR
      *       MOVE WS-LITERAL-YES TO ERROR-FARM-SER-NO
      *       MOVE WS-LITERAL-FARM-SER-NO TO WS-8000-FIELD-NAME1
      *       MOVE 'NOT ALPHANUMERIC' TO WS-8000-BAD-DATA1
      *       MOVE 'ALPHANUMERIC DATA' TO WS-8000-CORR-DATA1
      *       MOVE 1011 TO WS-8000-PARAGRAPH-NO
      *       PERFORM 8000-RECORD-TRAN-ERROR
      *          THRU 8000-RECORD-TRAN-ERROR-EXIT
      *    END-IF


      *    *** WS-T11-REVENUE-CVG-LEVEL-PCT (Numeric)
           IF WS-T11-REVENUE-CVG-LEVEL-PCT NOT NUMERIC
      *       MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
      *       MOVE 002 TO WS-8000-SHORT-ERROR
      *       MOVE WS-LITERAL-YES TO ERROR-REVENUE-CVG-LVL
      *       MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
      *       MOVE WS-LITERAL-REVENUE-CVG-LVL
      *         TO WS-8000-FIELD-NAME1
      *       MOVE WS-T11-REVENUE-CVG-LEVEL-PCT-X
      *         TO WS-8000-BAD-DATA1
      *       MOVE 1011 TO WS-8000-PARAGRAPH-NO
      *       PERFORM 8000-RECORD-TRAN-ERROR
      *          THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T11-REVENUE-CVG-LEVEL-PCT
           ELSE
              IF WS-T11-REVENUE-CVG-LEVEL-PCT <> ZERO
                 IF (WS-T11-REVENUE-CVG-LEVEL-PCT < 0.650) OR
                    (WS-T11-REVENUE-CVG-LEVEL-PCT > 0.750)
                    MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
                    MOVE 008 TO WS-8000-SHORT-ERROR
                    MOVE WS-LITERAL-YES TO ERROR-REVENUE-CVG-LVL
                    MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
                    MOVE WS-LITERAL-REVENUE-CVG-LVL
                      TO WS-8000-FIELD-NAME1
                    MOVE WS-T11-REVENUE-CVG-LEVEL-PCT-X
                      TO WS-8000-BAD-DATA1
                    MOVE '0.650 - 0.750' TO WS-8000-CORR-DATA1
                    MOVE 1011 TO WS-8000-PARAGRAPH-NO
                    PERFORM 8000-RECORD-TRAN-ERROR
                       THRU 8000-RECORD-TRAN-ERROR-EXIT
                 END-IF
              END-IF
           END-IF

      *    *** WS-T11-NUMBER-OF-SECTIONS (Numeric)
           IF WS-T11-NUMBER-OF-SECTIONS NOT NUMERIC
      *       MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
      *       MOVE 002 TO WS-8000-SHORT-ERROR
      *       MOVE WS-LITERAL-YES TO ERROR-NBR-OF-SECTIONS
      *       MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
      *       MOVE WS-LITERAL-NBR-OF-SECTIONS
      *         TO WS-8000-FIELD-NAME1
      *       MOVE WS-T11-NUMBER-OF-SECTIONS-X
      *         TO WS-8000-BAD-DATA1
      *       MOVE 1011 TO WS-8000-PARAGRAPH-NO
      *       PERFORM 8000-RECORD-TRAN-ERROR
      *          THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T11-NUMBER-OF-SECTIONS
           END-IF

      *    *** WS-T11-UNIT-PREMIUM-ADJ-FCTR (Numeric)
           IF WS-T11-UNIT-PREMIUM-ADJ-FCTR NOT NUMERIC
      *       MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
      *       MOVE 002 TO WS-8000-SHORT-ERROR
      *       MOVE WS-LITERAL-YES TO ERROR-UNIT-PREM-ADJ-FACTOR
      *       MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
      *       MOVE WS-LITERAL-UNIT-PREM-ADJ-FCTR
      *         TO WS-8000-FIELD-NAME1
      *       MOVE WS-T11-UNIT-PREMIUM-ADJ-FCTR-X
      *         TO WS-8000-BAD-DATA1
      *       MOVE 1011 TO WS-8000-PARAGRAPH-NO
      *       PERFORM 8000-RECORD-TRAN-ERROR
      *          THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T11-UNIT-PREMIUM-ADJ-FCTR
           END-IF

      *    *** WS-T11-PARTIAL-PP-FLAG (Non-Numeric)
           INITIALIZE WS-1685-INPUT
           MOVE WS-T11-PARTIAL-PP-FLAG TO WS-1685-PARTIAL-PP-FLAG
           PERFORM 1685-VAL-PARTIAL-PP-FLAG
              THRU 1685-VAL-PARTIAL-PP-FLAG-EXIT

      *    *** WS-T11-IP-COUNTY-AVG-YIELD (Numeric)
           IF WS-T11-IP-COUNTY-AVG-YIELD NOT NUMERIC
      *       MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
      *       MOVE 002 TO WS-8000-SHORT-ERROR
      *       MOVE WS-LITERAL-YES TO ERROR-IP-COUNTY-AVG-YIELD
      *       MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
      *       MOVE WS-LITERAL-IP-COUNTY-AVG-YLD
      *         TO WS-8000-FIELD-NAME1
      *       MOVE WS-T11-IP-COUNTY-AVG-YIELD-X
      *         TO WS-8000-BAD-DATA1
      *       MOVE 1011 TO WS-8000-PARAGRAPH-NO
      *       PERFORM 8000-RECORD-TRAN-ERROR
      *          THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T11-IP-COUNTY-AVG-YIELD
           END-IF

      *    *** WS-T11-WFARM-DISCOUNT-FCTR (Numeric)
xxx        if ws-0004-sys-date > '19970813'
           IF WS-T11-WFARM-DISCOUNT-FCTR NUMERIC
              INITIALIZE WS-1625-INPUT
              MOVE WS-T11-WFARM-DISCOUNT-FCTR
                TO WS-1625-WFARM-DISC-FCTR
              PERFORM 1625-VAL-WFARM-DISC-FCTR
                 THRU 1625-VAL-WFARM-DISC-FCTR-EXIT
           ELSE
      *       MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
      *       MOVE 002 TO WS-8000-SHORT-ERROR
      *       MOVE WS-LITERAL-YES TO ERROR-WHOLE-FARM-DISCOUNT-FCTR
      *       MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
      *       MOVE WS-LITERAL-WHOLE-FARM-DISC
      *         TO WS-8000-FIELD-NAME1
      *       MOVE WS-T11-WFARM-DISCOUNT-FCTR-X
      *         TO WS-8000-BAD-DATA1
      *       MOVE 1011 TO WS-8000-PARAGRAPH-NO
      *       PERFORM 8000-RECORD-TRAN-ERROR
      *          THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T11-WFARM-DISCOUNT-FCTR
           END-IF
xxx        end-if

      *    *====================================================*
      *    *          BEGINNING OF ACCOUNTING FIELDS            *
      *    *====================================================*

      *    *** WS-T11-FILLER-2
           MOVE SPACES TO WS-T11-FILLER-2

      *    *** WS-T11-SEED-CYCLE-CODE (Non-Numeric)
           MOVE SPACES TO WS-T11-SEED-CYCLE-CODE

      *    *** WS-T11-CRC-APH-PREMIUM (NUMERIC)
           MOVE ZEROS TO WS-T11-CRC-APH-PREMIUM

      *    *** WS-T11-CAT-65-100-PREMIUM (NUMERIC)
           MOVE ZEROS TO WS-T11-CAT-65-100-PREMIUM

      *    *** WS-T11-1996-CROP-CODE (NUMERIC)
           MOVE ZEROS TO WS-T11-1996-CROP-CODE

      *    *** WS-T11-1996-TYPE-CODE (NON-NUMERIC)
           MOVE SPACES TO WS-T11-1996-TYPE-CODE

      *    *** WS-T11-RM-DATA-RECEIPT-DATE (NUMERIC)
           MOVE ZEROS TO WS-T11-RM-DATA-RECEIPT-DATE

      *    *** WS-T11-FILLER-3 (NON-NUMERIC)
           MOVE SPACES TO WS-T11-FILLER-3

      *    *** WS-T11-WEEKS-LATE (NUMERIC)
           MOVE ZEROS TO WS-T11-WEEKS-LATE

      *    *** WS-T11-FIRST-SUBMISSION-FLG (NON-NUMERIC)
           MOVE SPACES TO WS-T11-FIRST-SUBMISSION-FLG

      *    *** WS-T11-FILLER-4 (NON-NUMERIC)
           MOVE SPACES TO WS-T11-FILLER-4

      *    *** WS-T11-FSA-CONTROL-DATE (NUMERIC)
      *    *** NOT USED FOR DAS97
           MOVE ZEROS TO WS-T11-FSA-CONTROL-DATE

      *    *====================================================*
      *    *            END OF INPUT TRANSACTION                *
      *    *====================================================*


      *    *** WS-REINS-YR (NUMERIC)

      *    *** WS-BATCH-NO (NUMERIC)

      *    *** WS-TRAN-SEQ-NO (Numeric)

      *    *** FILLER ***


      *    *====================================================*
      *    *           COMPUTE INPUT NET ACRES                  *
      *    *====================================================*

           IF WS-T11-REPORTED-ACRES IS NUMERIC AND
              WS-T11-INSURED-SHARE IS NUMERIC
              COMPUTE WS-0008-INFILE-ACRES-DEC ROUNDED
                 = (WS-T11-REPORTED-ACRES *
                    WS-T11-INSURED-SHARE)
                 + WS-0008-INFILE-ACRES-DEC
                 ON SIZE ERROR
                    MOVE 1011 TO WS-8020-PARAGRAPH-NO
                    MOVE 90017 TO WS-8020-INT-ERROR-NO
                    MOVE 'LINE NET ACRES' TO WS-8020-FIELD-NAME
                    MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
                    PERFORM 8020-RECORD-INT-ERROR
                       THRU 8020-RECORD-INT-ERROR-EXIT
              END-COMPUTE
           END-IF.

      *    *====================================================*
      *    *           END OF OUTPUT TRANSACTION                *
      *    *====================================================*


          1011-VALIDATE-T11-EXIT.
           EXIT.


       1011-DISPLAY-RECORD.

           DISPLAY '1011-INPUT TYPE 11 RECORD'
           UPON CONSOLE
           DISPLAY 'RECORD TYPE        : ',
           WS-T11-RECORD-TYPE UPON CONSOLE
           DISPLAY 'REPORTING ORG      : ',
           WS-T11-REPORTING-ORG UPON CONSOLE
           DISPLAY 'LOCATION STATE     : ',
           WS-T11-LOC-STATE UPON CONSOLE
           DISPLAY 'COMPANY            : ',
           WS-T11-COMPANY-COUNTY UPON CONSOLE
           DISPLAY 'POLICY NUMBER      : ',
           WS-T11-POLICY-NUM UPON CONSOLE
           DISPLAY 'CROP YEAR          : ',
           WS-T11-CROP-YEAR UPON CONSOLE
           DISPLAY '--------------------------------'
           UPON CONSOLE
           DISPLAY 'CROP CODE          : ',
           WS-T11-CROP-CD UPON CONSOLE
           DISPLAY 'INSURANCE PLAN CD  : ',
           WS-T11-INSUR-PLAN-CD UPON CONSOLE
           DISPLAY 'LOCATION COUNTY    : ',
           WS-T11-LOCATION-COUNTY UPON CONSOLE
           DISPLAY 'UNIT NUMBER        : ',
           WS-T11-UNIT-NUM UPON CONSOLE
           DISPLAY 'TYPE CODE          : ',
           WS-T11-TYPE-CD UPON CONSOLE
           DISPLAY 'PRACTICE CODE      : ',
           WS-T11-PRACTICE-CD UPON CONSOLE
           DISPLAY 'COVERAGE FLAG      : ',
           WS-T11-COVERAGE-FLG UPON CONSOLE
           DISPLAY '--------------------------------'
           UPON CONSOLE
           DISPLAY 'KEY RESERVE          : ',
           WS-T11-KEY-RESERVE UPON CONSOLE
           DISPLAY 'FILLER 01 (02)       : ',
           WS-T11-FILLER-1 UPON CONSOLE
           DISPLAY 'RECORD NUMBER        : ',
           WS-T11-RECORD-NUM UPON CONSOLE
           DISPLAY 'TYPE 15 RECORD NUM   : ',
           WS-T11-TYPE15-REC-NO UPON CONSOLE
           DISPLAY 'AGENT ID CODE        : ',
           WS-T11-AGENT-ID-CODE UPON CONSOLE
           DISPLAY 'RATE CLASSIFICATION  : ',
           WS-T11-RATE-CLASS UPON CONSOLE
           DISPLAY 'MAP AREA             : ',
           WS-T11-MAP-AREA UPON CONSOLE
           DISPLAY 'CRUSH DISTRICT       : ',
           WS-T11-CRUSH-DISTRICT UPON CONSOLE
           DISPLAY 'REFERENCE CROP YEAR  : ',
           WS-T11-REFERENCE-CROP-YR UPON CONSOLE
           DISPLAY 'NCS/FCIC-2 FLAG      : ',
           WS-T11-NCS-FCIC-2-FL UPON CONSOLE
           DISPLAY 'DATE PLANTED         : ',
           WS-T11-DATE-PLANTED UPON CONSOLE
           DISPLAY 'GUAR REDUCTION FLAG  : ',
           WS-T11-GUARANTEE-REDUCT-FLG UPON CONSOLE
           DISPLAY 'YIELD                : ',
           WS-T11-YIELD UPON CONSOLE
           DISPLAY 'DOLLAR AMT OF INS    : ',
           WS-T11-DOLLAR-AMT-INSUR UPON CONSOLE
           DISPLAY 'QUOTA                : ',
           WS-T11-QUOTA UPON CONSOLE
           DISPLAY 'COVERAGE LEVEL %     : ',
           WS-T11-COVERAGE-LEVEL-PCT UPON CONSOLE
           DISPLAY 'GUARANTEE PER ACRE   : ',
           WS-T11-GUARANTEE-PER-ACRE UPON CONSOLE
           DISPLAY 'GUARANTEE REDUCTION% : ',
           WS-T11-GUARANTEE-RED-PCT UPON CONSOLE
           DISPLAY 'REPORTED ACRES       : ',
           WS-T11-REPORTED-ACRES UPON CONSOLE
           DISPLAY 'TOTAL GUARANTEE      : ',
           WS-T11-TOTAL-GUARANTEE UPON CONSOLE
           DISPLAY 'PRICE ELECTION       : ',
           WS-T11-PRICE-ELECTION UPON CONSOLE
           DISPLAY 'INSURED SHARE        : ',
           WS-T11-INSURED-SHARE UPON CONSOLE
           DISPLAY 'LIABILITY            : ',
           WS-T11-LIABILITY UPON CONSOLE
           DISPLAY 'PERCENT ELECTION     : ',
           WS-T11-PERCENT-ELECTION UPON CONSOLE
           DISPLAY 'BASE PREMIUM RATE    : ',
           WS-T11-BASE-PREM-RATE UPON CONSOLE
           DISPLAY 'UNIT OPTION CODE     : ',
           WS-T11-UNIT-OPT-CD UPON CONSOLE
           DISPLAY 'ADDITIONAL OPT CODE  : ',
           WS-T11-ADD-OPT-CD UPON CONSOLE
           DISPLAY 'TYPE/PRACTICE OPT CD : ',
           WS-T11-TYPE-PRAC-OPT-CD UPON CONSOLE
           DISPLAY 'EXPERIENCE FACTOR    : ',
           WS-T11-EXPERIENCE-FACTOR UPON CONSOLE
           DISPLAY 'PREMIUM RATE SURCHG  : ',
           WS-T11-PREM-RATE-SURCHARGE UPON CONSOLE
           DISPLAY 'TOTAL PREMIUM        : ',
           WS-T11-TOTAL-PREMIUM UPON CONSOLE
           DISPLAY 'PRODUCER PREMIUM     : ',
           WS-T11-PRODUCER-PREMIUM UPON CONSOLE
           DISPLAY 'PRIVATE POLICY CODE  : ',
           WS-T11-PRIVATE-POLICY-CD UPON CONSOLE
           DISPLAY 'INTENDED ACREAGE FLG : ',
           WS-T11-INTENDED-ACREAGE-FLAG UPON CONSOLE
           DISPLAY 'SEED COMPANY CODE    : ',
           WS-T11-SEED-COMPANY-CD UPON CONSOLE
           DISPLAY 'RATE STATE           : ',
           WS-T11-RATE-STATE UPON CONSOLE
           DISPLAY 'RATE COUNTY          : ',
           WS-T11-RATE-COUNTY UPON CONSOLE
           DISPLAY 'FARM SERIAL NUMBER   : ',
           WS-T11-FARM-SERIAL-NUM UPON CONSOLE
           DISPLAY 'REVENUE CVG LVL %    : ',
           WS-T11-REVENUE-CVG-LEVEL-PCT UPON CONSOLE
           DISPLAY 'NUMBER OF SECTIONS   : ',
           WS-T11-NUMBER-OF-SECTIONS UPON CONSOLE
           DISPLAY 'UNIT PREMIUM ADJ FCTR: ',
           WS-T11-UNIT-PREMIUM-ADJ-FCTR UPON CONSOLE
           DISPLAY 'PARTIAL PREV PLANTING: ',
           WS-T11-PARTIAL-PP-FLAG UPON CONSOLE
           DISPLAY 'IP COUNTY AVERAGE YLD: ',
           WS-T11-IP-COUNTY-AVG-YIELD UPON CONSOLE
           DISPLAY 'WHOLE FARM DISC FCTR : ',
           WS-T11-WFARM-DISCOUNT-FCTR UPON CONSOLE
           DISPLAY '--------------------------------'
           UPON CONSOLE
           DISPLAY 'FILLER 02 (28)       : ',
           WS-T11-FILLER-2 UPON CONSOLE
           DISPLAY 'SEED CYCLE CODE      : ',
           WS-T11-SEED-CYCLE-CODE UPON CONSOLE
           DISPLAY 'CRC APH PREMIUM      : ',
           WS-T11-CRC-APH-PREMIUM UPON CONSOLE
           DISPLAY 'CAT 65/100 PREMIUM   : ',
           WS-T11-CAT-65-100-PREMIUM UPON CONSOLE
           DISPLAY '1996 CROP CODE       : ',
           WS-T11-1996-CROP-CODE UPON CONSOLE
           DISPLAY '1996 TYPE CODE       : ',
           WS-T11-1996-TYPE-CODE UPON CONSOLE
           DISPLAY 'RM DATA RECEIPT DATE : ',
           WS-T11-RM-DATA-RECEIPT-DATE UPON CONSOLE
           DISPLAY 'FILLER 03 (02)       : ',
           WS-T11-FILLER-3 UPON CONSOLE
           DISPLAY 'WEEKS LATE           : ',
           WS-T11-WEEKS-LATE UPON CONSOLE
           DISPLAY 'FIRST SUBMISSION FLG : ',
           WS-T11-FIRST-SUBMISSION-FLG UPON CONSOLE
           DISPLAY 'FILLER 04 (02)       : ',
           WS-T11-FILLER-4 UPON CONSOLE
           DISPLAY 'FSA CONTROL DATE     : ',
           WS-T11-FSA-CONTROL-DATE UPON CONSOLE
           DISPLAY '--------------------------------'
           UPON CONSOLE
           DISPLAY 'FCIC CONTROL TIME    : ',
           WS-FCIC-CONTROL-TIME UPON CONSOLE
           DISPLAY 'FCIC CONTROL DATE    : ',
           WS-FCIC-CONTROL-DATE UPON CONSOLE
           DISPLAY 'REINSURANCE YEAR     : ',
           WS-REINS-YR UPON CONSOLE
           DISPLAY 'BATCH NUMBER         : ',
           WS-BATCH-NO UPON CONSOLE
           DISPLAY 'TRANS SEQUENCE NUM   : ',
           WS-TRAN-SEQ-NO UPON CONSOLE
           DISPLAY 'TRANS REJECTED FLAG  : ',
           WS-TRAN-REJ-FLAG UPON CONSOLE
           DISPLAY 'TRANS SOURCE FLAG    : ',
           WS-TRAN-SOURCE-FLAG UPON CONSOLE
           DISPLAY 'MDAS PROCESS NUMBER  : ',
           WS-MDAS-PROCESS-NO UPON CONSOLE
           DISPLAY 'FILLER 14            : ',
           WS-FILLER-14 UPON CONSOLE.


       1011-DISPLAY-RECORD-EXIT.
           EXIT.


