      ***************************************************************
      * File:      FV1012.CBL
      * Author:    Yo-I Tsui
      * Date:      1/2/96
      * Purpose:
      *    This copy file contains the sequencing logic for the type
      *    12 record.
      *
      * Contains:
      *
      ***************************************************************


       1012-VALIDATE-T12.

      $IF DEBUG-SW DEFINED
           DISPLAY '1012 FIELD VALIDATING TYPE 12 RECORD'
           UPON CONSOLE
      $END

      ****************************************************************
      *   DISPLAY INPUT RECORD                                       *
      ****************************************************************
      $IF DEBUG-SW DEFINED
           PERFORM 1012-DISPLAY-RECORD
              THRU 1012-DISPLAY-RECORD-EXIT
      $END

      *    *** INITIALIZE SIGN CONVERSION WORKING STORAGE
           INITIALIZE WS-1012-WORK

      *    *** WS-T12-REPORTING-ORG (Non-Numeric)
           INITIALIZE WS-1200-REPORTING-ORG
           MOVE WS-T12-REPORTING-ORG TO WS-1200-REPORTING-ORG
           PERFORM 1200-VAL-REPORTING-ORG
              THRU 1200-VAL-REPORTING-ORG-EXIT


      *    *** WS-T12-LOC-STATE (Numeric)
           IF WS-T12-LOC-STATE NUMERIC
              INITIALIZE WS-1205-LOC-STATE
              MOVE WS-T12-LOC-STATE TO WS-1205-LOC-STATE
              PERFORM 1205-VAL-LOCATION-STATE
                 THRU 1205-VAL-LOCATION-STATE-EXIT
           ELSE
              MOVE WS-LITERAL-YES TO ERROR-LOC-STATE
              MOVE WS-LITERAL-YES TO WS-0007-POLICY-NO-ERROR
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-LOC-STATE TO WS-8000-FIELD-NAME1
              MOVE WS-T12-LOC-STATE-X TO WS-8000-BAD-DATA1
              MOVE 1012 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T12-LOC-STATE
           END-IF


      *    *** WS-T12-COMPANY (Numeric)
           IF WS-T12-COMPANY-COUNTY-x NUMERIC
              INITIALIZE WS-1210-COMPANY-COUNTY
              MOVE WS-T12-COMPANY-COUNTY TO WS-1210-COMPANY-COUNTY
              PERFORM 1210-VAL-COMPANY-COUNTY
                 THRU 1210-VAL-COMPANY-COUNTY-EXIT
           ELSE
              MOVE WS-LITERAL-YES TO ERROR-CPNY-CNTY
              MOVE WS-LITERAL-YES TO WS-0007-POLICY-NO-ERROR
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-CPNY-CNTY TO WS-8000-FIELD-NAME1
              MOVE WS-T12-COMPANY-COUNTY-X TO WS-8000-BAD-DATA1
              MOVE 1012 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T12-COMPANY-COUNTY
           END-IF


      *    *** WS-T12-POLICY-NUM (Numeric)
           IF WS-T12-POLICY-NUM NUMERIC
              INITIALIZE WS-1215-POLICY-NO
              MOVE WS-T12-POLICY-NUM TO WS-1215-POLICY-NO
              PERFORM 1215-VAL-POLICY-NUMBER
                 THRU 1215-VAL-POLICY-NUMBER-EXIT
           ELSE
              MOVE WS-LITERAL-YES TO ERROR-POLICY-NO
              MOVE WS-LITERAL-YES TO WS-0007-POLICY-NO-ERROR
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-POLICY-NO TO WS-8000-FIELD-NAME1
              MOVE WS-T12-POLICY-NUM-X TO WS-8000-BAD-DATA1
              MOVE 1012 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T12-POLICY-NUM
           END-IF


      *    *** WS-T12-CROP-YEAR (Numeric)
           IF WS-T12-CROP-YEAR NUMERIC
              INITIALIZE WS-1220-CROP-YEAR
              MOVE WS-T12-CROP-YEAR TO WS-1220-CROP-YEAR
              PERFORM 1220-VAL-CROP-YEAR
                 THRU 1220-VAL-CROP-YEAR-EXIT
           ELSE
              MOVE WS-LITERAL-YES TO ERROR-CROP-YR
              MOVE WS-LITERAL-YES TO WS-0007-POLICY-NO-ERROR
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-CROP-YR TO WS-8000-FIELD-NAME1
              MOVE WS-T12-CROP-YEAR-X TO WS-8000-BAD-DATA1
              MOVE 'Reinsurance Yr + or - 2'
                TO WS-8000-CORR-DATA1
              MOVE 1012 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T12-CROP-YEAR
           END-IF

      *    *====================================================*
      *    *   END OF POLICY/CONTRACT NUMBER FIELDS             *
      *    *====================================================*

      *    *** WS-T12-KEY-RESERVE
           MOVE SPACES TO WS-T12-KEY-RESERVE

      *    *** WS-T12-RECORD-NUM (Numeric)
           IF WS-T12-RECORD-NUM NUMERIC
              INITIALIZE WS-1230-RECORD-NO
              MOVE WS-T12-RECORD-NUM TO WS-1230-RECORD-NO
              PERFORM 1230-VAL-RECORD-NUMBER
                 THRU 1230-VAL-RECORD-NUMBER-EXIT
           ELSE
              MOVE WS-LITERAL-YES TO ERROR-REC-NO
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-REC-NO TO WS-8000-FIELD-NAME1
              MOVE WS-T12-RECORD-NUM-X TO WS-8000-BAD-DATA1
              MOVE 1012 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T12-RECORD-NUM
           END-IF


      *    *** WS-T12-PAYMENT-TYPE (Numeric)
           IF WS-T12-PAYMENT-TYPE NUMERIC
              INITIALIZE WS-1525-PAYMENT-TYPE
              MOVE WS-T12-PAYMENT-TYPE TO WS-1525-PAYMENT-TYPE
              PERFORM 1525-VAL-PMT-TYPE
                 THRU 1525-VAL-PMT-TYPE-EXIT
           ELSE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-PMT-TYPE
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-PMT-TYPE TO WS-8000-FIELD-NAME1
              MOVE WS-T12-PAYMENT-TYPE-X TO WS-8000-BAD-DATA1
              MOVE 1012 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T12-PAYMENT-TYPE
           END-IF

      *    *** WS-T12-PAID-AMOUNT (Numeric)
           IF WS-T12-PAID-AMOUNT NUMERIC
              ADD WS-T12-PAID-AMOUNT TO WS-0008-INFILE-PAID-DEC
              INITIALIZE WS-1530-PAID-AMOUNT
              MOVE WS-T12-PAID-AMOUNT TO WS-1530-PAID-AMOUNT
              PERFORM 1530-VAL-PAID-AMT
                 THRU 1530-VAL-PAID-AMT-EXIT
           ELSE
              IF WS-T12-PAID-AMOUNT-N NUMERIC
                 MOVE ZERO TO WS-1012-TEMP-SIGNED-PAID-AMT
                 MOVE WS-T12-PAID-AMOUNT-N
                   TO WS-1012-TEMP-SIGNED-PAID-AMT
                 MOVE WS-1012-TEMP-SIGNED-PAID-AMT
                   TO WS-T12-PAID-AMOUNT
                 ADD WS-T12-PAID-AMOUNT TO WS-0008-INFILE-PAID-DEC
                 INITIALIZE WS-1530-PAID-AMOUNT
                 MOVE WS-T12-PAID-AMOUNT TO WS-1530-PAID-AMOUNT
                 PERFORM 1530-VAL-PAID-AMT
                    THRU 1530-VAL-PAID-AMT-EXIT
              ELSE
                 MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
                 MOVE 002 TO WS-8000-SHORT-ERROR
                 MOVE WS-LITERAL-YES TO ERROR-PAID-AMT
                 MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
                 MOVE WS-LITERAL-PAID-AMT TO WS-8000-FIELD-NAME1
                 MOVE WS-T12-PAID-AMOUNT-X TO WS-8000-BAD-DATA1
                 MOVE SPACES TO WS-8000-CORR-DATA1
                 MOVE 1012 TO WS-8000-PARAGRAPH-NO
                 PERFORM 8000-RECORD-TRAN-ERROR
                    THRU 8000-RECORD-TRAN-ERROR-EXIT
                 MOVE ZEROS TO WS-T12-PAID-AMOUNT
              END-IF
           END-IF


      *    *** WS-T12-PREPAYMENT-FLG (Numeric)
           IF WS-T12-PREPAYMENT-FLG NUMERIC
              INITIALIZE WS-1535-PREPAYMENT-FL
              MOVE WS-T12-PREPAYMENT-FLG TO WS-1535-PREPAYMENT-FL
              PERFORM 1535-VAL-PREPMT-FL
                 THRU 1535-VAL-PREPMT-FL-EXIT
           ELSE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-PREPMT-FL
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-PREPMT-FL TO WS-8000-FIELD-NAME1
              MOVE WS-T12-PREPAYMENT-FLG-X TO WS-8000-BAD-DATA1
              MOVE 1012 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T12-PREPAYMENT-FLG
           END-IF

      *    *** WS-T12-PAID-DATE (Numeric)
           IF WS-T12-PAID-DATE NUMERIC
              INITIALIZE WS-1540-PAID-DT
              MOVE WS-T12-PAID-DATE TO WS-1540-PAID-DT
              PERFORM 1540-VAL-PAID-DT
                 THRU 1540-VAL-PAID-DT-EXIT
           ELSE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-PAID-DT
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-PAID-DT TO WS-8000-FIELD-NAME1
              MOVE WS-T12-PAID-DATE-X TO WS-8000-BAD-DATA1
              MOVE 1012 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T12-PAID-DATE
           END-IF

      *    *** WS-T12-FILLER-1
           MOVE SPACES TO WS-T12-FILLER-1

      *    *** WS-T12-PMEMO-CONTRACT-NUMBER
           MOVE SPACES TO WS-T12-PMEMO-CONTRACT-NUMBER

      *    *** WS-T12-RM-DATA-RECEIPT-DATE (Numeric)
           MOVE ZEROS TO WS-T12-RM-DATA-RECEIPT-DATE

      *    *** WS-T12-FILLER-2
           MOVE SPACES TO WS-T12-FILLER-2.


       1012-VALIDATE-T12-EXIT.
           EXIT.


       1012-DISPLAY-RECORD.

           DISPLAY '1012-INPUT TYPE 12 RECORD'
           UPON CONSOLE
           DISPLAY 'RECORD TYPE        : ',
           WS-T12-RECORD-TYPE UPON CONSOLE
           DISPLAY 'REPORTING ORG      : ',
           WS-T12-REPORTING-ORG UPON CONSOLE
           DISPLAY 'LOCATION STATE     : ',
           WS-T12-LOC-STATE UPON CONSOLE
           DISPLAY 'COMPANY            : ',
           WS-T12-COMPANY-COUNTY UPON CONSOLE
           DISPLAY 'POLICY NUMBER      : ',
           WS-T12-POLICY-NUM UPON CONSOLE
           DISPLAY 'CROP YEAR          : ',
           WS-T12-CROP-YEAR UPON CONSOLE
           DISPLAY 'KEY RESERVE        : ',
           WS-T12-KEY-RESERVE UPON CONSOLE
           DISPLAY '--------------------------------'
           UPON CONSOLE
           DISPLAY 'RECORD NUMBER      : ',
           WS-T12-RECORD-NUM UPON CONSOLE
           DISPLAY 'PAYMENT TYPE       : ',
           WS-T12-PAYMENT-TYPE UPON CONSOLE
           DISPLAY 'PAID AMOUNT        : ',
           WS-T12-PAID-AMOUNT UPON CONSOLE
           DISPLAY 'PREPAYMENT FLAG    : ',
           WS-T12-PREPAYMENT-FLG UPON CONSOLE
           DISPLAY 'PAID DATE          : ',
           WS-T12-PAID-DATE UPON CONSOLE
           DISPLAY 'FILLER 01 (209)    : ',
           WS-T12-FILLER-1 UPON CONSOLE
           DISPLAY 'PARENT T20 SEQ NO  : ',
           WS-T12-PMEMO-PARENT-TSEQ-NO UPON CONSOLE
           DISPLAY 'PARENT T20 POLICY  : ',
           WS-T12-PMEMO-CONTRACT-NUMBER UPON CONSOLE
           DISPLAY 'RM DATA RECEIPT DT : ',
           WS-T12-RM-DATA-RECEIPT-DATE UPON CONSOLE
           DISPLAY 'FILLER 02 (08)     : ',
           WS-T12-FILLER-2 UPON CONSOLE
           DISPLAY '--------------------------------'
           UPON CONSOLE
           DISPLAY 'FCIC CONTROL TIME    : ',
           WS-FCIC-CONTROL-TIME UPON CONSOLE
           DISPLAY 'FCIC CONTROL DATE    : ',
           WS-FCIC-CONTROL-DATE UPON CONSOLE
           DISPLAY 'REINSURANCE YEAR     : ',
           WS-REINS-YR UPON CONSOLE
           DISPLAY 'BATCH NUMBER         : ',
           WS-BATCH-NO UPON CONSOLE
           DISPLAY 'TRANS SEQUENCE NUM   : ',
           WS-TRAN-SEQ-NO UPON CONSOLE
           DISPLAY 'TRANS REJECTED FLAG  : ',
           WS-TRAN-REJ-FLAG UPON CONSOLE
           DISPLAY 'TRANS SOURCE FLAG    : ',
           WS-TRAN-SOURCE-FLAG UPON CONSOLE
           DISPLAY 'MDAS PROCESS NUMBER  : ',
           WS-MDAS-PROCESS-NO UPON CONSOLE
           DISPLAY 'FILLER 14  (14)      : ',
           WS-FILLER-14 UPON CONSOLE.

       1012-DISPLAY-RECORD-EXIT.
           EXIT.


