      ***************************************************************
      * File:      FV1014.CBL
      * Author:    Mike Ray
      * Date:      8/13/95
      * Purpose:
      *    This copy file contains the sequencing logic for the type
      *    14 record.
      *
      * Contains:
      *
      ***************************************************************


       1014-VALIDATE-T14.

      $IF DEBUG-SW DEFINED
           DISPLAY '1014-FIELD VALIDATING TYPE 14 RECORD'
           UPON CONSOLE
      $END

      ****************************************************************
      *   DISPLAY INPUT RECORD                                       *
      ****************************************************************
      $IF DEBUG-SW DEFINED
           PERFORM 1014-DISPLAY-RECORD
              THRU 1014-DISPLAY-RECORD-EXIT
      $END


      *    *** WS-T14-RECORD-TYPE (NUMERIC)
      *    *** NO FV EDIT


      *    *** WS-T14-REPORTING-ORG (NON-NUMERIC)
           INITIALIZE WS-1200-REPORTING-ORG
           MOVE WS-T14-REPORTING-ORG TO WS-1200-REPORTING-ORG
           PERFORM 1200-VAL-REPORTING-ORG
              THRU 1200-VAL-REPORTING-ORG-EXIT


      *    *** WS-T14-LOC-STATE (NUMERIC)
           IF WS-T14-LOC-STATE NUMERIC
              INITIALIZE WS-1205-LOC-STATE
              MOVE WS-T14-LOC-STATE TO WS-1205-LOC-STATE
              PERFORM 1205-VAL-LOCATION-STATE
                 THRU 1205-VAL-LOCATION-STATE-EXIT
           ELSE
              MOVE WS-LITERAL-YES TO ERROR-LOC-STATE
              MOVE WS-LITERAL-YES TO WS-0007-POLICY-NO-ERROR
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-LOC-STATE TO WS-8000-FIELD-NAME1
              MOVE WS-T14-LOC-STATE-X TO WS-8000-BAD-DATA1
              MOVE 1014 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T14-LOC-STATE
           END-IF


      *    *** WS-T14-COMPANY-COUNTY (NUMERIC)
           IF WS-T14-COMPANY-COUNTY-X NUMERIC
              INITIALIZE WS-1210-COMPANY-COUNTY
              MOVE WS-T14-COMPANY-COUNTY TO WS-1210-COMPANY-COUNTY
              PERFORM 1210-VAL-COMPANY-COUNTY
                 THRU 1210-VAL-COMPANY-COUNTY-EXIT
           ELSE
              MOVE WS-LITERAL-YES TO ERROR-CPNY-CNTY
              MOVE WS-LITERAL-YES TO WS-0007-POLICY-NO-ERROR
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-CPNY-CNTY TO WS-8000-FIELD-NAME1
              MOVE WS-T14-COMPANY-COUNTY-X TO WS-8000-BAD-DATA1
              MOVE 1014 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T14-COMPANY-COUNTY
           END-IF


      *    *** WS-T14-POLICY-NUM (NUMERIC)
           IF WS-T14-POLICY-NUM NUMERIC
              INITIALIZE WS-1215-POLICY-NO
              MOVE WS-T14-POLICY-NUM TO WS-1215-POLICY-NO
              PERFORM 1215-VAL-POLICY-NUMBER
                 THRU 1215-VAL-POLICY-NUMBER-EXIT
           ELSE
              MOVE WS-LITERAL-YES TO ERROR-POLICY-NO
              MOVE WS-LITERAL-YES TO WS-0007-POLICY-NO-ERROR
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-POLICY-NO TO WS-8000-FIELD-NAME1
              MOVE WS-T14-POLICY-NUM-X TO WS-8000-BAD-DATA1
              MOVE 1014 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T14-POLICY-NUM
           END-IF


      *    *** WS-T14-CROP-YEAR (NUMERIC)
           IF WS-T14-CROP-YEAR NUMERIC
              INITIALIZE WS-1220-CROP-YEAR
              MOVE WS-T14-CROP-YEAR TO WS-1220-CROP-YEAR
              PERFORM 1220-VAL-CROP-YEAR
                 THRU 1220-VAL-CROP-YEAR-EXIT
           ELSE
              MOVE WS-LITERAL-YES TO ERROR-CROP-YR
              MOVE WS-LITERAL-YES TO WS-0007-POLICY-NO-ERROR
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-CROP-YR TO WS-8000-FIELD-NAME1
              MOVE WS-T14-CROP-YEAR-X TO WS-8000-BAD-DATA1
              MOVE 'REINSURANCE YR + OR - 2'
                TO WS-8000-CORR-DATA1
              MOVE 1014 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T14-CROP-YEAR
           END-IF

      *    *====================================================*
      *    *   END OF POLICY/CONTRACT NUMBER FIELDS             *
      *    *====================================================*


      *    *** WS-T14-CROP-CD (NUMERIC)
           IF WS-T14-CROP-CD NUMERIC
              INITIALIZE WS-1340-CROP-CODE
              MOVE WS-T14-CROP-CD TO WS-1340-CROP-CODE
              PERFORM 1340-VAL-CROP-CODE
                 THRU 1340-VAL-CROP-CODE-EXIT
           ELSE
              MOVE WS-LITERAL-YES TO ERROR-CROP-CD
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-CROP-CD TO WS-8000-FIELD-NAME1
              MOVE WS-T14-CROP-CD-X TO WS-8000-BAD-DATA1
              MOVE SPACES TO WS-8000-CORR-DATA1
              MOVE 1014 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T14-CROP-CD
           END-IF


      *    *** WS-T14-INSURANCE-PLAN-ID (NUMERIC)
           IF WS-T14-INSURANCE-PLAN-ID NOT NUMERIC
              MOVE WS-LITERAL-YES TO ERROR-INSUR-PLAN-CD
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-INSURE-PLAN-CD TO WS-8000-FIELD-NAME1
              MOVE WS-T14-INSURANCE-PLAN-ID-X TO WS-8000-BAD-DATA1
              MOVE SPACES TO WS-8000-CORR-DATA1
              MOVE 1014 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T14-INSURANCE-PLAN-ID
           END-IF


      *    *** WS-T14-LOCATION-COUNTY (NUMERIC)
           IF WS-T14-LOCATION-COUNTY NUMERIC
              INITIALIZE WS-1350-LOCATION-COUNTY
              MOVE WS-T14-LOCATION-COUNTY TO WS-1350-LOCATION-COUNTY
              PERFORM 1350-VAL-LOC-COUNTY
                 THRU 1350-VAL-LOC-COUNTY-EXIT
           ELSE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-LOC-CNTY
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-LOC-CNTY TO WS-8000-FIELD-NAME1
              MOVE WS-T14-LOCATION-COUNTY-X TO WS-8000-BAD-DATA1
              MOVE 1014 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T14-LOCATION-COUNTY
           END-IF


      *    *** WS-T14-UNIT-NUMBER (NON-NUMERIC)
           MOVE zeroes TO WS-T14-UNIT-NUMBER


      *    *** WS-T14-TYPE-CD (NUMERIC)
           IF WS-T14-TYPE-CD NOT NUMERIC
              MOVE WS-LITERAL-YES TO ERROR-CROP-TYPE
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-CROP-TYPE TO WS-8000-FIELD-NAME1
              MOVE WS-T14-TYPE-CD-X TO WS-8000-BAD-DATA1
              MOVE SPACES TO WS-8000-CORR-DATA1
              MOVE 1014 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T14-TYPE-CD
           END-IF


      *    *** WS-T14-RSERVD-PRACT-CODE (NUMERIC)
           IF WS-T14-RSERVD-PRACT-CODE NOT NUMERIC
              MOVE ZEROS TO WS-T14-RSERVD-PRACT-CODE
           END-IF


      *    *** WS-T14-COVERAGE-FLG (NON-NUMERIC)
           INITIALIZE WS-0009-COVERAGE-FLG
           MOVE WS-T14-COVERAGE-FLG TO WS-0009-COVERAGE-FLG
           PERFORM 1385-VAL-COVERAGE-FL
              THRU 1385-VAL-COVERAGE-FL-EXIT.


      *    *** WS-T14-KEY-RESERVE (NON-NUMERIC)
           MOVE SPACES TO WS-T14-KEY-RESERVE


      *    *** WS-T14-FILLER-2 (Not Numeric)
           MOVE SPACES TO WS-T14-FILLER-2


      *    *** WS-T14-RECORD-NUM (NUMERIC)
           IF WS-T14-RECORD-NUM NUMERIC
              INITIALIZE WS-1230-RECORD-NO
              MOVE WS-T14-RECORD-NUM TO WS-1230-RECORD-NO
              PERFORM 1230-VAL-RECORD-NUMBER
                 THRU 1230-VAL-RECORD-NUMBER-EXIT
           ELSE
              MOVE WS-LITERAL-YES TO ERROR-REC-NO
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-REC-NO TO WS-8000-FIELD-NAME1
              MOVE WS-T14-RECORD-NUM-X TO WS-8000-BAD-DATA1
              MOVE 1014 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
               MOVE ZEROS TO WS-T14-RECORD-NUM
           END-IF


      *    *** WS-T14-ASSIGNED-RISK (NUMERIC)
           IF WS-T14-ASSIGNED-RISK NUMERIC
              INITIALIZE WS-0009-ASSIGNED-RISK
              MOVE WS-T14-ASSIGNED-RISK TO WS-0009-ASSIGNED-RISK
              PERFORM 1325-VAL-ASGD-RISK
                 THRU 1325-VAL-ASGD-RISK-EXIT
           ELSE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-ASSIGNED-RISK
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-ASSIGNED-RISK TO WS-8000-FIELD-NAME1
              MOVE WS-T14-ASSIGNED-RISK-X TO WS-8000-BAD-DATA1
              MOVE '0,1,2' TO WS-8000-CORR-DATA1
              MOVE 1014 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T14-ASSIGNED-RISK
           END-IF


      *    *** WS-T14-LATE-PROCESS-FLG (NUMERIC)
           IF WS-T14-LATE-PROCESS-FLG NUMERIC
              INITIALIZE WS-0009-LATE-PROCESS-FLG
              MOVE WS-T14-LATE-PROCESS-FLG
                TO WS-0009-LATE-PROCESS-FLG
              PERFORM 1330-VAL-LATE-PROC-FL
                 THRU 1330-VAL-LATE-PROC-FL-EXIT
           ELSE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-LATE-PROCESS-FL
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-LATE-PROC-FL TO WS-8000-FIELD-NAME1
              MOVE WS-T14-LATE-PROCESS-FLG-X TO WS-8000-BAD-DATA1
              MOVE '0,1,2,3,4,5' TO WS-8000-CORR-DATA1
              MOVE 1014 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T14-LATE-PROCESS-FLG
           END-IF


      *    *** WS-T14-PREPAYMENT-FLG (NOT NUMERIC)
           INITIALIZE WS-1365-FEE-PREPAYMENT-FLAG
           MOVE WS-T14-PREPAYMENT-FLG TO WS-1365-FEE-PREPAYMENT-FLAG
           PERFORM 1365-VAL-FEE-PREPMT-FL
              THRU 1365-VAL-FEE-PREPMT-FL-EXIT


      *    *** WS-T14-MAX-FEE-CAUSE (NOT NUMERIC)
           INITIALIZE WS-1370-MAX-FEE-CAUSE
           MOVE WS-T14-MAX-FEE-CAUSE TO WS-1370-MAX-FEE-CAUSE
           PERFORM 1370-VAL-MAX-FEE-CAUSE
              THRU 1370-VAL-MAX-FEE-CAUSE-EXIT


      *    *** WS-T14-ADMIN-FEE-FL (NOT NUMERIC)
           INITIALIZE WS-0009-ADMIN-FEE-FLG
           MOVE WS-T14-ADMIN-FEE-FL TO WS-0009-ADMIN-FEE-FLG
           PERFORM 1375-VAL-ADMIN-FEE-FL
              THRU 1375-VAL-ADMIN-FEE-FL-EXIT


      *    *** WS-T14-REFND-CANCEL-FLG (NOT NUMERIC)
           INITIALIZE WS-0009-REFUND-CANCEL-FLG
           MOVE WS-T14-REFND-CANCEL-FLG TO WS-0009-REFUND-CANCEL-FLG
           PERFORM 1380-VAL-REFUND-CANCEL
              THRU 1380-VAL-REFUND-CANCEL-EXIT


      *    *** WS-T14-RATE-STATE (NUMERIC)
           IF WS-T14-RATE-STATE NUMERIC
              INITIALIZE WS-1355-RATE-STATE
              MOVE WS-T14-RATE-STATE TO WS-1355-RATE-STATE
              PERFORM 1355-VAL-RATE-STATE
                 THRU 1355-VAL-RATE-STATE-EXIT
           ELSE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-RATE-STATE
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-RATE-STATE TO WS-8000-FIELD-NAME1
              MOVE WS-T14-RATE-STATE-X TO WS-8000-BAD-DATA1
              MOVE 1014 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T14-RATE-STATE
           END-IF


      *    *** WS-T14-RATE-COUNTY (NUMERIC)
           IF WS-T14-RATE-COUNTY NUMERIC
              INITIALIZE WS-1360-RATE-COUNTY
              MOVE WS-T14-RATE-COUNTY TO WS-1360-RATE-COUNTY
              PERFORM 1360-VAL-RATE-COUNTY
                 THRU 1360-VAL-RATE-COUNTY-EXIT
           ELSE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-RATE-COUNTY
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-RATE-COUNTY TO WS-8000-FIELD-NAME1
              MOVE WS-T14-RATE-COUNTY-X TO WS-8000-BAD-DATA1
              MOVE 1014 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T14-RATE-COUNTY
           END-IF


      *    *** WS-T14-DUAL-COVERAGE-FLG (NUMERIC)
           IF WS-T14-DUAL-COVERAGE-FLG NUMERIC
              INITIALIZE WS-0009-DUAL-COVERAGE-FLG
              MOVE WS-T14-DUAL-COVERAGE-FLG
                TO WS-0009-DUAL-COVERAGE-FLG
              PERFORM 1345-VAL-DUAL-CVG-FL
                 THRU 1345-VAL-DUAL-CVG-FL-EXIT
           ELSE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-DUAL-CVG-FL
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-DUAL-CVG-FL TO WS-8000-FIELD-NAME1
              MOVE WS-T14-DUAL-COVERAGE-FLG-X TO WS-8000-BAD-DATA1
              MOVE '0 OR 1' TO WS-8000-CORR-DATA1
              MOVE 1014 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T14-DUAL-COVERAGE-FLG
           END-IF


      *    *** WS-T14-EXPERIENCE-INQ (NON-NUMERIC)
      *    *** FV EDIT NEEDED

      *    *====================================================*
      *    *            END OF INPUT TRANSACTION                *
      *    *====================================================*

      *    *** WS-T14-FILLER-3 (NON-NUMERIC)
           MOVE SPACES TO WS-T14-FILLER-3


      *    *** WS-T14-1996-CROP-CODE (NUMERIC)
           MOVE ZEROS TO WS-T14-1996-CROP-CODE


      *    *** WS-T14-1996-TYPE-CODE  (NON-NUMERIC)
           MOVE SPACES TO WS-T14-1996-TYPE-CODE


      *    *** WS-T14-RM-DATA-RECEIPT-DATE (NUMERIC)
           IF WS-T14-RM-DATA-RECEIPT-DATE NOT NUMERIC
              MOVE ZEROS TO WS-T14-RM-DATA-RECEIPT-DATE
           END-IF


      *    *** WS-T14-ORIG-SUBMISSION-TIME (NON-NUMERIC)
           MOVE SPACES TO WS-T14-ORIG-SUBMISSION-TIME


      *    *** WS-T14-ORIG-SUBMISSION-DATE (NUMERIC)
           MOVE ZEROS TO WS-T14-ORIG-SUBMISSION-DATE


      *    *** WS-T14-FSA-CONTROL-DATE (NUMERIC)
           IF WS-T14-FSA-CONTROL-DATE NOT NUMERIC
              MOVE ZEROS TO WS-T14-FSA-CONTROL-DATE
           END-IF.
      *    *====================================================*
      *    *            END OF OUTPUT TRANSACTION               *
      *    *====================================================*


       1014-VALIDATE-T14-EXIT.
           EXIT.



       1014-DISPLAY-RECORD.

           DISPLAY '1014-INPUT TYPE 14 RECORD'
           UPON CONSOLE
           DISPLAY 'RECORD TYPE        : ',
           WS-T14-RECORD-TYPE UPON CONSOLE
           DISPLAY 'REPORTING ORG      : ',
           WS-T14-REPORTING-ORG UPON CONSOLE
           DISPLAY 'LOCATION STATE     : ',
           WS-T14-LOC-STATE UPON CONSOLE
           DISPLAY 'COMPANY            : ',
           WS-T14-COMPANY-COUNTY UPON CONSOLE
           DISPLAY 'POLICY NUMBER      : ',
           WS-T14-POLICY-NUM UPON CONSOLE
           DISPLAY 'CROP YEAR          : ',
           WS-T14-CROP-YEAR UPON CONSOLE
           DISPLAY '--------------------------------'
           UPON CONSOLE
           DISPLAY 'CROP CODE          : ',
           WS-T14-CROP-CD UPON CONSOLE
           DISPLAY 'INSURANCE PLAN CD  : ',
           WS-T14-INSURANCE-PLAN-ID UPON CONSOLE
           DISPLAY 'LOCATION COUNTY    : ',
           WS-T14-LOCATION-COUNTY UPON CONSOLE
           DISPLAY 'FILLER 01 (05)       : ',
           WS-T14-UNIT-NUMBER UPON CONSOLE
           DISPLAY 'TYPE CODE          : ',
           WS-T14-TYPE-CD UPON CONSOLE
           DISPLAY 'PRACTICE CODE      : ',
           WS-T14-RSERVD-PRACT-CODE UPON CONSOLE
           DISPLAY 'COVERAGE FLAG      : ',
           WS-T14-COVERAGE-FLG UPON CONSOLE
           DISPLAY '--------------------------------'
           UPON CONSOLE
           DISPLAY 'KEY RESERVE          : ',
           WS-T14-KEY-RESERVE UPON CONSOLE
           DISPLAY 'FILLER 02 (02)       : ',
           WS-T14-FILLER-2 UPON CONSOLE
           DISPLAY 'RECORD NUMBER        : ',
           WS-T14-RECORD-NUM UPON CONSOLE
           DISPLAY 'ASSIGNED RISK        : ',
           WS-T14-ASSIGNED-RISK UPON CONSOLE
           DISPLAY 'LATE PROCESSING FLAG : ',
           WS-T14-LATE-PROCESS-FLG UPON CONSOLE
           DISPLAY 'FEE PREPAYMENT FLAG  : ',
           WS-T14-PREPAYMENT-FLG UPON CONSOLE
           DISPLAY 'MAXIMUM FEE FLAG     : ',
           WS-T14-MAX-FEE-CAUSE UPON CONSOLE
           DISPLAY 'ADMIN FEE FLAG       : ',
           WS-T14-ADMIN-FEE-FL UPON CONSOLE
           DISPLAY 'REFUND/CANCEL FLAG   : ',
           WS-T14-REFND-CANCEL-FLG UPON CONSOLE
           DISPLAY 'RATE STATE           : ',
           WS-T14-RATE-STATE UPON CONSOLE
           DISPLAY 'RATE COUNTY          : ',
           WS-T14-RATE-COUNTY UPON CONSOLE
           DISPLAY 'DUAL COVERAGE FLAG   : ',
           WS-T14-DUAL-COVERAGE-FLG UPON CONSOLE
           DISPLAY 'EXPERIENCE INQUIRY   : ',
           WS-T14-EXPERIENCE-INQ UPON CONSOLE
           DISPLAY '--------------------------------'
           UPON CONSOLE
           DISPLAY 'FILLER 03 (221)      : ',
           WS-T14-FILLER-3 UPON CONSOLE
           DISPLAY '1996 CROP CODE       : ',
           WS-T14-1996-CROP-CODE UPON CONSOLE
           DISPLAY '1996 TYPE CODE       : ',
           WS-T14-1996-TYPE-CODE UPON CONSOLE
           DISPLAY 'RM DATA RECEIPT DATE : ',
           WS-T14-RM-DATA-RECEIPT-DATE UPON CONSOLE
           DISPLAY 'ORIGINAL SUB TIME    : ',
           WS-T14-ORIG-SUBMISSION-TIME UPON CONSOLE
           DISPLAY 'ORIGINAL SUB DATE    : ',
           WS-T14-ORIG-SUBMISSION-DATE UPON CONSOLE
           DISPLAY 'FSA CONTROL DATE     : ',
           WS-T14-FSA-CONTROL-DATE UPON CONSOLE
           DISPLAY '--------------------------------'
           UPON CONSOLE
           DISPLAY 'FCIC CONTROL TIME    : ',
           WS-FCIC-CONTROL-TIME UPON CONSOLE
           DISPLAY 'FCIC CONTROL DATE    : ',
           WS-FCIC-CONTROL-DATE UPON CONSOLE
           DISPLAY 'REINSURANCE YEAR     : ',
           WS-REINS-YR UPON CONSOLE
           DISPLAY 'BATCH NUMBER         : ',
           WS-BATCH-NO UPON CONSOLE
           DISPLAY 'TRANS SEQUENCE NUM   : ',
           WS-TRAN-SEQ-NO UPON CONSOLE
           DISPLAY 'TRANS REJECTED FLAG  : ',
           WS-TRAN-REJ-FLAG UPON CONSOLE
           DISPLAY 'TRANS SOURCE FLAG    : ',
           WS-TRAN-SOURCE-FLAG UPON CONSOLE
           DISPLAY 'MDAS PROCESS NUMBER  : ',
           WS-MDAS-PROCESS-NO UPON CONSOLE
           DISPLAY 'FILLER 14 (14)       : ',
           WS-FILLER-14 UPON CONSOLE.


       1014-DISPLAY-RECORD-EXIT.
           EXIT.


