      ***************************************************************
      * File:      FV1015.CBL
      * Author:    Cliff Walker
      * Date:      01/06/96
      * Purpose:
      *    This copy file contains the sequencing logic for the type
      *    15 record.
      *
      * MODIFICATIONS:
      *    01/96  PUT Full VALIDATION OF yield-limit-flag.   jlh
      ***************************************************************

       1015-VALIDATE-T15.

      $IF DEBUG-SW DEFINED
           DISPLAY '1015-FIELD VALIDATING TYPE 15 RECORD'
      $END

      ****************************************************************
      *   DISPLAY INPUT RECORD                                       *
      ****************************************************************
      $IF DEBUG-SW DEFINED
           PERFORM 1015-DISPLAY-RECORD
              THRU 1015-DISPLAY-RECORD-EXIT
      $END


      *    *** WS-T15-RECORD-TYPE (NUMERIC)
      *    *** NO FV EDIT

      *    *** WS-T15-REPORTING-ORG (Non-Numeric)
           INITIALIZE WS-1200-REPORTING-ORG
           MOVE WS-T15-REPORTING-ORG TO WS-1200-REPORTING-ORG
           PERFORM 1200-VAL-REPORTING-ORG
              THRU 1200-VAL-REPORTING-ORG-EXIT


      *    *** WS-T15-LOC-STATE (Numeric)
           IF WS-T15-LOC-STATE NUMERIC
              INITIALIZE WS-1205-LOC-STATE
              MOVE WS-T15-LOC-STATE TO WS-1205-LOC-STATE
              PERFORM 1205-VAL-LOCATION-STATE
                 THRU 1205-VAL-LOCATION-STATE-EXIT
           ELSE
              MOVE WS-LITERAL-YES TO ERROR-LOC-STATE
              MOVE WS-LITERAL-YES TO WS-0007-POLICY-NO-ERROR
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-LOC-STATE TO WS-8000-FIELD-NAME1
              MOVE WS-T15-LOC-STATE-X TO WS-8000-BAD-DATA1
              MOVE 1015 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T15-LOC-STATE
           END-IF


      *    *** WS-T15-COMPANY-COUNTY (Numeric)
           IF WS-T15-COMPANY-COUNTY NUMERIC
              INITIALIZE WS-1210-COMPANY-COUNTY
              MOVE WS-T15-COMPANY-COUNTY TO WS-1210-COMPANY-COUNTY
              PERFORM 1210-VAL-COMPANY-COUNTY
                 THRU 1210-VAL-COMPANY-COUNTY-EXIT
           ELSE
              MOVE WS-LITERAL-YES TO ERROR-CPNY-CNTY
              MOVE WS-LITERAL-YES TO WS-0007-POLICY-NO-ERROR
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-CPNY-CNTY TO WS-8000-FIELD-NAME1
              MOVE WS-T15-COMPANY-COUNTY-X TO WS-8000-BAD-DATA1
              MOVE 1015 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T15-COMPANY-COUNTY
           END-IF


      *    *** WS-T15-POLICY-NUM (Numeric)
           IF WS-T15-POLICY-NUM NUMERIC
              INITIALIZE WS-1215-POLICY-NO
              MOVE WS-T15-POLICY-NUM TO WS-1215-POLICY-NO
              PERFORM 1215-VAL-POLICY-NUMBER
                 THRU 1215-VAL-POLICY-NUMBER-EXIT
           ELSE
              MOVE WS-LITERAL-YES TO ERROR-POLICY-NO
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-POLICY-NO TO WS-8000-FIELD-NAME1
              MOVE WS-T15-POLICY-NUM-X TO WS-8000-BAD-DATA1
              MOVE 1015 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T15-POLICY-NUM
           END-IF


      *    *** WS-T15-CROP-YEAR (Numeric)
           IF WS-T15-CROP-YEAR NUMERIC
              INITIALIZE WS-1220-CROP-YEAR
              MOVE WS-T15-CROP-YEAR TO WS-1220-CROP-YEAR
              PERFORM 1220-VAL-CROP-YEAR
                 THRU 1220-VAL-CROP-YEAR-EXIT
           ELSE
              MOVE WS-LITERAL-YES TO ERROR-CROP-YR
              MOVE WS-LITERAL-YES TO WS-0007-POLICY-NO-ERROR
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-CROP-YR TO WS-8000-FIELD-NAME1
              MOVE WS-T15-CROP-YEAR-X TO WS-8000-BAD-DATA1
              MOVE 'Reinsurance Yr + or - 2'
                TO WS-8000-CORR-DATA1
              MOVE 1015 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T15-CROP-YEAR
           END-IF

      *    *====================================================*
      *    *   END OF POLICY/CONTRACT NUMBER FIELDS             *
      *    *====================================================*


      *    *** WS-T15-CROP-CD (Numeric)
           IF WS-T15-CROP-CD NUMERIC
              INITIALIZE WS-1340-CROP-CODE
              MOVE WS-T15-CROP-CD TO WS-1340-CROP-CODE
              PERFORM 1340-VAL-CROP-CODE
                 THRU 1340-VAL-CROP-CODE-EXIT
           ELSE
              MOVE WS-LITERAL-YES TO WS-0007-REJECT-TRANSACTION
              MOVE WS-LITERAL-YES TO ERROR-CROP-CD
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-CROP-CD TO WS-8000-FIELD-NAME1
              MOVE WS-T15-CROP-CD-X TO WS-8000-BAD-DATA1
              MOVE SPACES TO WS-8000-CORR-DATA1
              MOVE 1015 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T15-CROP-CD
           END-IF


      *    *** WS-T15-INS-PLAN-CD (Numeric)
           IF WS-T15-INS-PLAN-CD NUMERIC
              INITIALIZE WS-0009-INSURANCE-PLAN
              MOVE WS-T15-INS-PLAN-CD
                TO WS-0009-INSURANCE-PLAN
              PERFORM 1405-VAL-INS-PLAN-CD
                 THRU 1405-VAL-INS-PLAN-CD-EXIT
           ELSE
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-INSUR-PLAN-CD
              MOVE WS-LITERAL-INSURE-PLAN-CD TO WS-8000-FIELD-NAME1
              MOVE WS-T15-INS-PLAN-CD-X TO WS-8000-BAD-DATA1
              MOVE SPACES TO WS-8000-CORR-DATA1
              MOVE 1015 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T15-INS-PLAN-CD
           END-IF


      *    *** WS-T15-LOCATION-COUNTY (Numeric)
           IF WS-T15-LOCATION-COUNTY NUMERIC
              INITIALIZE WS-1350-LOCATION-COUNTY
              MOVE WS-T15-LOCATION-COUNTY TO WS-1350-LOCATION-COUNTY
              PERFORM 1350-VAL-LOC-COUNTY
                 THRU 1350-VAL-LOC-COUNTY-EXIT
           ELSE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-LOC-CNTY
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-LOC-CNTY TO WS-8000-FIELD-NAME1
              MOVE WS-T15-LOCATION-COUNTY-X TO WS-8000-BAD-DATA1
              MOVE 1015 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T15-LOCATION-COUNTY
           END-IF


      *    *** WS-T15-UNIT-NUMBER (Numeric)
           IF WS-T15-UNIT-NUMBER NUMERIC
              INITIALIZE WS-1425-UNIT-NO
              MOVE WS-T15-UNIT-NUMBER TO WS-1425-UNIT-NO
              PERFORM 1425-VAL-UNIT-NO
                 THRU 1425-VAL-UNIT-NO-EXIT
           ELSE
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-UNIT-NO
              MOVE WS-LITERAL-UNIT-NO TO WS-8000-FIELD-NAME1
              MOVE WS-T15-UNIT-NUMBER-X TO WS-8000-BAD-DATA1
              MOVE SPACES TO WS-8000-CORR-DATA1
              MOVE 1015 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T15-UNIT-NUMBER
           END-IF


      *    *** WS-T15-TYPE-CD (NUMERIC)
           IF WS-T15-TYPE-CD NOT NUMERIC
              MOVE WS-LITERAL-YES TO ERROR-CROP-TYPE
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-CROP-TYPE TO WS-8000-FIELD-NAME1
              MOVE WS-T15-TYPE-CD-X TO WS-8000-BAD-DATA1
              MOVE SPACES TO WS-8000-CORR-DATA1
              MOVE 1015 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T15-TYPE-CD
           END-IF


      *    *** WS-T15-PRACTICE-CD (NUMERIC)
           IF WS-T15-PRACTICE-CD NOT NUMERIC
              MOVE WS-LITERAL-YES TO ERROR-PRACTICE-CD
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PRACTICE-CD TO WS-8000-FIELD-NAME1
              MOVE WS-T15-PRACTICE-CD-X TO WS-8000-BAD-DATA1
              MOVE SPACES TO WS-8000-CORR-DATA1
              MOVE 1015 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T15-PRACTICE-CD
           END-IF


      *    *** WS-T15-COVERAGE-FLG (Non-Numeric)
           INITIALIZE WS-0009-COVERAGE-FLG
           MOVE WS-T15-COVERAGE-FLG TO WS-0009-COVERAGE-FLG
           PERFORM 1385-VAL-COVERAGE-FL
              THRU 1385-VAL-COVERAGE-FL-EXIT


      *    *** WS-T15-KEY-RESERVE (NON-NUMERIC)
           MOVE SPACES TO WS-T15-KEY-RESERVE


      *    *** WS-T15-FILLER-1 (Not Numeric)
           MOVE SPACES TO WS-T15-FILLER-1


      *    *** WS-T15-RECORD-NUMBER (Numeric)
           IF WS-T15-RECORD-NUMBER NUMERIC
              INITIALIZE WS-1230-RECORD-NO
              MOVE WS-T15-RECORD-NUMBER TO WS-1230-RECORD-NO
              PERFORM 1230-VAL-RECORD-NUMBER
                 THRU 1230-VAL-RECORD-NUMBER-EXIT
           ELSE
              MOVE WS-LITERAL-YES TO ERROR-REC-NO
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-REC-NO TO WS-8000-FIELD-NAME1
              MOVE WS-T15-RECORD-NUMBER-X TO WS-8000-BAD-DATA1
              MOVE 1015 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T15-RECORD-NUMBER
           END-IF


      *    *** WS-T15-MAP-AREA (NON-NUMERIC)
      *    *** No FV Edit


      *    *** WS-T15-NCS-EXCEPTION-FLAG
           INITIALIZE WS-1867-NCS-EXCEPTION-FLAG
           MOVE WS-T15-NCS-EXCEPTION-FLAG
             TO WS-1867-NCS-EXCEPTION-FLAG
           PERFORM 1867-NCS-EXCEPTION-FLAG
              THRU 1867-NCS-EXCEPTION-FLAG-EXIT


      *    *** WS-T15-NCS-YIELD-FACTOR (Numeric)
           IF WS-T15-NCS-YIELD-FACTOR NUMERIC
              INITIALIZE WS-1868-NCS-YLD-FACTOR
              MOVE WS-T15-NCS-YIELD-FACTOR
                TO WS-1868-NCS-YLD-FACTOR
              PERFORM 1868-VAL-NCS-YLD-FACTOR
                 THRU 1868-VAL-NCS-YLD-FACTOR-EXIT
           ELSE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-NCS-YLD-FCTR
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-NCS-YLD-FCTR TO WS-8000-FIELD-NAME1
              MOVE WS-T15-NCS-YIELD-FACTOR-X TO WS-8000-BAD-DATA1
              MOVE SPACES TO WS-8000-CORR-DATA1
              MOVE 1015 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T15-NCS-YIELD-FACTOR
           END-IF


      *    *** WS-T15-REVIEW-FLG (Numeric)
           IF WS-T15-REVIEW-FLG NUMERIC
              INITIALIZE WS-1870-REVIEW-FLG
              MOVE WS-T15-REVIEW-FLG TO WS-1870-REVIEW-FLG
              PERFORM 1870-VAL-REVIEW-FLG
                 THRU 1870-VAL-REVIEW-FLG-EXIT
           ELSE
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-REVIEW-FL
              MOVE WS-LITERAL-REVIEW-FL TO WS-8000-FIELD-NAME1
              MOVE WS-T15-REVIEW-FLG-X TO WS-8000-BAD-DATA1
              MOVE '00 - 05' TO WS-8000-CORR-DATA1
              MOVE 1015 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T15-REVIEW-FLG
           END-IF


      *    *** WS-T15-YIELD-INDICATOR (Not Numeric)
           INITIALIZE WS-1874-YIELD-INDICATOR
           MOVE WS-T15-YIELD-INDICATOR TO WS-1874-YIELD-INDICATOR
           PERFORM 1874-VAL-YIELD-INDICATOR
              THRU 1874-VAL-YIELD-INDICATOR-EXIT


      *    *** WS-T15-TRANSITIONAL-YIELD (Numeric)
           IF NOT WS-T15-TRANSITIONAL-YIELD NUMERIC
              INITIALIZE WS-1876-INPUT
              MOVE WS-T15-TRANSITIONAL-YIELD-X TO WS-1876-YIELD-QTY
              MOVE 'TY' TO WS-1876-FIELD-NO
      *    ** THIS EDIT DOES NOTHING BUT SET THE CORRECT ERROR
              PERFORM 1876-VAL-YIELD-QTY
                 THRU 1876-VAL-YIELD-QTY-EXIT
              MOVE ZEROS TO WS-T15-TRANSITIONAL-YIELD
           END-IF


      *    *** WS-T15-CFSA-YIELD (Numeric)
           IF NOT WS-T15-CFSA-YIELD NUMERIC
              INITIALIZE WS-1876-INPUT
              MOVE 'CY' TO WS-1876-FIELD-NO
      *    ** THIS EDIT DOES NOTHING BUT SET THE CORRECT ERROR
              PERFORM 1876-VAL-YIELD-QTY
                 THRU 1876-VAL-YIELD-QTY-EXIT
              MOVE ZEROS TO WS-T15-CFSA-YIELD
           END-IF


      *    *** WS-T15-APPROVED-YIELD (Numeric)
           IF NOT WS-T15-APPROVED-YIELD NUMERIC
              INITIALIZE WS-1876-INPUT
              MOVE 'AY' TO WS-1876-FIELD-NO
      *    ** THIS EDIT DOES NOTHING BUT SET THE CORRECT ERROR
              PERFORM 1876-VAL-YIELD-QTY
                 THRU 1876-VAL-YIELD-QTY-EXIT
              MOVE ZEROS TO WS-T15-APPROVED-YIELD
           END-IF


      *    *** WS-T15-PREV-APPROV-YIELD (Numeric)
           IF NOT WS-T15-PREV-APPROV-YIELD NUMERIC
              INITIALIZE WS-1876-INPUT
              MOVE 'PA' TO WS-1876-FIELD-NO
      *    ** THIS EDIT DOES NOTHING BUT SET THE CORRECT ERROR
              PERFORM 1876-VAL-YIELD-QTY
                 THRU 1876-VAL-YIELD-QTY-EXIT
              MOVE ZEROS TO WS-T15-PREV-APPROV-YIELD
           END-IF


      *    *** WS-T15-YIELD-YEAR1 (Numeric)
           IF NOT WS-T15-YIELD-YEAR1 NUMERIC
              INITIALIZE WS-1878-INPUT
              MOVE '01' TO WS-1878-FIELD-NO
              MOVE WS-T15-YIELD-YEAR1-X
                TO WS-1878-YIELD-YEAR
      *    ** THIS EDIT DOES NOTHING BUT SET THE CORRECT ERROR
              PERFORM 1878-VAL-YIELD-YEAR
                 THRU 1878-VAL-YIELD-YEAR-EXIT
              MOVE ZEROS TO WS-T15-YIELD-YEAR1
           END-IF


      *    *** WS-T15-YIELD-TYPE-YEAR1 (NON-NUMERIC)
           INITIALIZE WS-1872-INPUT
           MOVE '01' TO WS-1872-FIELD-NO
           MOVE WS-T15-YIELD-TYPE-YEAR1 TO WS-1872-YIELD-TYPE-YEAR
           PERFORM 1872-VAL-YIELD-TYPE-YEAR
              THRU 1872-VAL-YIELD-TYPE-YEAR-EXIT


      *    *** WS-T15-ANNUAL-YIELD1 (Numeric)
           IF NOT WS-T15-ANNUAL-YIELD1 NUMERIC
              INITIALIZE WS-1876-INPUT
              MOVE '01' TO WS-1876-FIELD-NO
      *    ** THIS EDIT DOES NOTHING BUT SET THE CORRECT ERROR
              PERFORM 1876-VAL-YIELD-QTY
                 THRU 1876-VAL-YIELD-QTY-EXIT
              MOVE ZEROS TO WS-T15-ANNUAL-YIELD1
           END-IF


      *    *** WS-T15-YIELD-ACRE1 (Numeric)
           IF NOT WS-T15-YIELD-ACRE1 NUMERIC
              INITIALIZE WS-1880-INPUT
              MOVE '01' TO WS-1880-FIELD-NO
      *    ** THIS EDIT DOES NOTHING BUT SET THE CORRECT ERROR
              PERFORM 1880-VAL-YIELD-ACRE
                 THRU 1880-VAL-YIELD-ACRE-EXIT
              MOVE ZEROS TO WS-T15-YIELD-ACRE1
           END-IF


      *    *** WS-T15-YIELD-YEAR2 (Numeric)
           IF NOT WS-T15-YIELD-YEAR2 NUMERIC
              INITIALIZE WS-1878-INPUT
              MOVE '02' TO WS-1878-FIELD-NO
              MOVE WS-T15-YIELD-YEAR2-X
                TO WS-1878-YIELD-YEAR
      *    ** THIS EDIT DOES NOTHING BUT SET THE CORRECT ERROR
              PERFORM 1878-VAL-YIELD-YEAR
                 THRU 1878-VAL-YIELD-YEAR-EXIT
              MOVE ZEROS TO WS-T15-YIELD-YEAR2
           END-IF


      *    *** WS-T15-YIELD-TYPE-YEAR2 (Not Numeric)
           INITIALIZE WS-1872-INPUT
           MOVE '02' TO WS-1872-FIELD-NO
           MOVE WS-T15-YIELD-TYPE-YEAR2 TO WS-1872-YIELD-TYPE-YEAR
           PERFORM 1872-VAL-YIELD-TYPE-YEAR
              THRU 1872-VAL-YIELD-TYPE-YEAR-EXIT


      *    *** WS-T15-ANNUAL-YIELD2 (Numeric)
           IF NOT WS-T15-ANNUAL-YIELD2 NUMERIC
              INITIALIZE WS-1876-INPUT
              MOVE '02' TO WS-1876-FIELD-NO
      *    ** THIS EDIT DOES NOTHING BUT SET THE CORRECT ERROR
              PERFORM 1876-VAL-YIELD-QTY
                 THRU 1876-VAL-YIELD-QTY-EXIT
              MOVE ZEROS TO WS-T15-ANNUAL-YIELD2
           END-IF


      *    *** WS-T15-YIELD-ACRE2 (Numeric)
           IF NOT WS-T15-YIELD-ACRE2 NUMERIC
              INITIALIZE WS-1880-INPUT
              MOVE '02' TO WS-1880-FIELD-NO
      *    ** THIS EDIT DOES NOTHING BUT SET THE CORRECT ERROR
              PERFORM 1880-VAL-YIELD-ACRE
                 THRU 1880-VAL-YIELD-ACRE-EXIT
              MOVE ZEROS TO WS-T15-YIELD-ACRE2
           END-IF


      *    *** WS-T15-YIELD-YEAR3 (Numeric)
           IF NOT WS-T15-YIELD-YEAR3 NUMERIC
              INITIALIZE WS-1878-INPUT
              MOVE '03' TO WS-1878-FIELD-NO
              MOVE WS-T15-YIELD-YEAR3-X
                TO WS-1878-YIELD-YEAR
      *    ** THIS EDIT DOES NOTHING BUT SET THE CORRECT ERROR
              PERFORM 1878-VAL-YIELD-YEAR
                 THRU 1878-VAL-YIELD-YEAR-EXIT
              MOVE ZEROS TO WS-T15-YIELD-YEAR3
           END-IF


      *    *** WS-T15-YIELD-TYPE-YEAR3 (Not Numeric)
           INITIALIZE WS-1872-INPUT
           MOVE '03' TO WS-1872-FIELD-NO
           MOVE WS-T15-YIELD-TYPE-YEAR3 TO WS-1872-YIELD-TYPE-YEAR
           PERFORM 1872-VAL-YIELD-TYPE-YEAR
              THRU 1872-VAL-YIELD-TYPE-YEAR-EXIT


      *    *** WS-T15-ANNUAL-YIELD3 (Numeric)
           IF NOT WS-T15-ANNUAL-YIELD3 NUMERIC
              INITIALIZE WS-1876-INPUT
              MOVE '03' TO WS-1876-FIELD-NO
      *    ** THIS EDIT DOES NOTHING BUT SET THE CORRECT ERROR
              PERFORM 1876-VAL-YIELD-QTY
                 THRU 1876-VAL-YIELD-QTY-EXIT
              MOVE ZEROS TO WS-T15-ANNUAL-YIELD3
           END-IF


      *    *** WS-T15-YIELD-ACRE3 (Numeric)
           IF NOT WS-T15-YIELD-ACRE3 NUMERIC
              INITIALIZE WS-1880-INPUT
              MOVE '03' TO WS-1880-FIELD-NO
      *    ** THIS EDIT DOES NOTHING BUT SET THE CORRECT ERROR
              PERFORM 1880-VAL-YIELD-ACRE
                 THRU 1880-VAL-YIELD-ACRE-EXIT
              MOVE ZEROS TO WS-T15-YIELD-ACRE3
           END-IF


      *    *** WS-T15-YIELD-YEAR4 (Numeric)
           IF NOT WS-T15-YIELD-YEAR4 NUMERIC
              INITIALIZE WS-1878-INPUT
              MOVE '04' TO WS-1878-FIELD-NO
              MOVE WS-T15-YIELD-YEAR4-X
                TO WS-1878-YIELD-YEAR
      *    ** THIS EDIT DOES NOTHING BUT SET THE CORRECT ERROR
              PERFORM 1878-VAL-YIELD-YEAR
                 THRU 1878-VAL-YIELD-YEAR-EXIT
              MOVE ZEROS TO WS-T15-YIELD-YEAR4
           END-IF


      *    *** WS-T15-YIELD-TYPE-YEAR4 (Not Numeric)
           INITIALIZE WS-1872-INPUT
           MOVE '04' TO WS-1872-FIELD-NO
           MOVE WS-T15-YIELD-TYPE-YEAR4 TO WS-1872-YIELD-TYPE-YEAR
           PERFORM 1872-VAL-YIELD-TYPE-YEAR
              THRU 1872-VAL-YIELD-TYPE-YEAR-EXIT


      *    *** WS-T15-ANNUAL-YIELD4 (Numeric)
           IF NOT WS-T15-ANNUAL-YIELD4 NUMERIC
              INITIALIZE WS-1876-INPUT
              MOVE '04' TO WS-1876-FIELD-NO
      *    ** THIS EDIT DOES NOTHING BUT SET THE CORRECT ERROR
              PERFORM 1876-VAL-YIELD-QTY
                 THRU 1876-VAL-YIELD-QTY-EXIT
              MOVE ZEROS TO WS-T15-ANNUAL-YIELD4
           END-IF


      *    *** WS-T15-YIELD-ACRE4 (Numeric)
           IF NOT WS-T15-YIELD-ACRE4 NUMERIC
              INITIALIZE WS-1880-INPUT
              MOVE '04' TO WS-1880-FIELD-NO
      *    ** THIS EDIT DOES NOTHING BUT SET THE CORRECT ERROR
              PERFORM 1880-VAL-YIELD-ACRE
                 THRU 1880-VAL-YIELD-ACRE-EXIT
              MOVE ZEROS TO WS-T15-YIELD-ACRE4
           END-IF


      *    *** WS-T15-YIELD-YEAR5 (Numeric)
           IF NOT WS-T15-YIELD-YEAR5 NUMERIC
              INITIALIZE WS-1878-INPUT
              MOVE '05' TO WS-1878-FIELD-NO
              MOVE WS-T15-YIELD-YEAR5-X
                TO WS-1878-YIELD-YEAR
      *    ** THIS EDIT DOES NOTHING BUT SET THE CORRECT ERROR
              PERFORM 1878-VAL-YIELD-YEAR
                 THRU 1878-VAL-YIELD-YEAR-EXIT
              MOVE ZEROS TO WS-T15-YIELD-YEAR5
           END-IF


      *    *** WS-T15-YIELD-TYPE-YEAR5 (Not Numeric)
           INITIALIZE WS-1872-INPUT
           MOVE '05' TO WS-1872-FIELD-NO
           MOVE WS-T15-YIELD-TYPE-YEAR5 TO WS-1872-YIELD-TYPE-YEAR
           PERFORM 1872-VAL-YIELD-TYPE-YEAR
              THRU 1872-VAL-YIELD-TYPE-YEAR-EXIT


      *    *** WS-T15-ANNUAL-YIELD5 (Numeric)
           IF NOT WS-T15-ANNUAL-YIELD6 NUMERIC
              INITIALIZE WS-1876-INPUT
              MOVE '05' TO WS-1876-FIELD-NO
      *    ** THIS EDIT DOES NOTHING BUT SET THE CORRECT ERROR
              PERFORM 1876-VAL-YIELD-QTY
                 THRU 1876-VAL-YIELD-QTY-EXIT
              MOVE ZEROS TO WS-T15-ANNUAL-YIELD5
           END-IF


      *    *** WS-T15-YIELD-ACRE5 (Numeric)
           IF NOT WS-T15-YIELD-ACRE5 NUMERIC
              INITIALIZE WS-1880-INPUT
              MOVE '05' TO WS-1880-FIELD-NO
      *    ** THIS EDIT DOES NOTHING BUT SET THE CORRECT ERROR
              PERFORM 1880-VAL-YIELD-ACRE
                 THRU 1880-VAL-YIELD-ACRE-EXIT
              MOVE ZEROS TO WS-T15-YIELD-ACRE5
           END-IF


      *    *** WS-T15-YIELD-YEAR6 (Numeric)
           IF NOT WS-T15-YIELD-YEAR6 NUMERIC
              INITIALIZE WS-1878-INPUT
              MOVE '06' TO WS-1878-FIELD-NO
              MOVE WS-T15-YIELD-YEAR6-X
                TO WS-1878-YIELD-YEAR
      *    ** THIS EDIT DOES NOTHING BUT SET THE CORRECT ERROR
              PERFORM 1878-VAL-YIELD-YEAR
                 THRU 1878-VAL-YIELD-YEAR-EXIT
              MOVE ZEROS TO WS-T15-YIELD-YEAR6
           END-IF


      *    *** WS-T15-YIELD-TYPE-YEAR6 (Not Numeric)
           INITIALIZE WS-1872-INPUT
           MOVE '06' TO WS-1872-FIELD-NO
           MOVE WS-T15-YIELD-TYPE-YEAR6 TO WS-1872-YIELD-TYPE-YEAR
           PERFORM 1872-VAL-YIELD-TYPE-YEAR
              THRU 1872-VAL-YIELD-TYPE-YEAR-EXIT


      *    *** WS-T15-ANNUAL-YIELD6 (Numeric)
           IF NOT WS-T15-ANNUAL-YIELD6 NUMERIC
              INITIALIZE WS-1876-INPUT
              MOVE '06' TO WS-1876-FIELD-NO
      *    ** THIS EDIT DOES NOTHING BUT SET THE CORRECT ERROR
              PERFORM 1876-VAL-YIELD-QTY
                 THRU 1876-VAL-YIELD-QTY-EXIT
              MOVE ZEROS TO WS-T15-ANNUAL-YIELD6
           END-IF


      *    *** WS-T15-YIELD-ACRE6 (Numeric)
           IF NOT WS-T15-YIELD-ACRE6 NUMERIC
              INITIALIZE WS-1880-INPUT
              MOVE '06' TO WS-1880-FIELD-NO
      *    ** THIS EDIT DOES NOTHING BUT SET THE CORRECT ERROR
              PERFORM 1880-VAL-YIELD-ACRE
                 THRU 1880-VAL-YIELD-ACRE-EXIT
              MOVE ZEROS TO WS-T15-YIELD-ACRE6
           END-IF


      *    *** WS-T15-YIELD-YEAR7 (Numeric)
           IF NOT WS-T15-YIELD-YEAR7 NUMERIC
              INITIALIZE WS-1878-INPUT
              MOVE '07' TO WS-1878-FIELD-NO
              MOVE WS-T15-YIELD-YEAR7-X
                TO WS-1878-YIELD-YEAR
      *    ** THIS EDIT DOES NOTHING BUT SET THE CORRECT ERROR
              PERFORM 1878-VAL-YIELD-YEAR
                 THRU 1878-VAL-YIELD-YEAR-EXIT
              MOVE ZEROS TO WS-T15-YIELD-YEAR7
           END-IF


      *    *** WS-T15-YIELD-TYPE-YEAR7 (Not Numeric)
           INITIALIZE WS-1872-INPUT
           MOVE '07' TO WS-1872-FIELD-NO
           MOVE WS-T15-YIELD-TYPE-YEAR7 TO WS-1872-YIELD-TYPE-YEAR
           PERFORM 1872-VAL-YIELD-TYPE-YEAR
              THRU 1872-VAL-YIELD-TYPE-YEAR-EXIT


      *    *** WS-T15-ANNUAL-YIELD7 (Numeric)
           IF NOT WS-T15-ANNUAL-YIELD7 NUMERIC
              INITIALIZE WS-1876-INPUT
              MOVE '07' TO WS-1876-FIELD-NO
      *    ** THIS EDIT DOES NOTHING BUT SET THE CORRECT ERROR
              PERFORM 1876-VAL-YIELD-QTY
                 THRU 1876-VAL-YIELD-QTY-EXIT
              MOVE ZEROS TO WS-T15-ANNUAL-YIELD7
           END-IF


      *    *** WS-T15-YIELD-ACRE7 (Numeric)
           IF NOT WS-T15-YIELD-ACRE7 NUMERIC
              INITIALIZE WS-1880-INPUT
              MOVE '07' TO WS-1880-FIELD-NO
      *    ** THIS EDIT DOES NOTHING BUT SET THE CORRECT ERROR
              PERFORM 1880-VAL-YIELD-ACRE
                 THRU 1880-VAL-YIELD-ACRE-EXIT
              MOVE ZEROS TO WS-T15-YIELD-ACRE7
           END-IF


      *    *** WS-T15-YIELD-YEAR8 (Numeric)
           IF NOT WS-T15-YIELD-YEAR8 NUMERIC
              INITIALIZE WS-1878-INPUT
              MOVE '08' TO WS-1878-FIELD-NO
              MOVE WS-T15-YIELD-YEAR8-X
                TO WS-1878-YIELD-YEAR
      *    ** THIS EDIT DOES NOTHING BUT SET THE CORRECT ERROR
              PERFORM 1878-VAL-YIELD-YEAR
                 THRU 1878-VAL-YIELD-YEAR-EXIT
              MOVE ZEROS TO WS-T15-YIELD-YEAR8
           END-IF


      *    *** WS-T15-YIELD-TYPE-YEAR8 (Not Numeric)
           INITIALIZE WS-1872-INPUT
           MOVE '08' TO WS-1872-FIELD-NO
           MOVE WS-T15-YIELD-TYPE-YEAR8 TO WS-1872-YIELD-TYPE-YEAR
           PERFORM 1872-VAL-YIELD-TYPE-YEAR
              THRU 1872-VAL-YIELD-TYPE-YEAR-EXIT


      *    *** WS-T15-ANNUAL-YIELD8 (Numeric)
           IF NOT WS-T15-ANNUAL-YIELD8 NUMERIC
              INITIALIZE WS-1876-INPUT
              MOVE '08' TO WS-1876-FIELD-NO
      *    ** THIS EDIT DOES NOTHING BUT SET THE CORRECT ERROR
              PERFORM 1876-VAL-YIELD-QTY
                 THRU 1876-VAL-YIELD-QTY-EXIT
              MOVE ZEROS TO WS-T15-ANNUAL-YIELD8
           END-IF


      *    *** WS-T15-YIELD-ACRE8 (Numeric)
           IF NOT WS-T15-YIELD-ACRE8 NUMERIC
              INITIALIZE WS-1880-INPUT
              MOVE '08' TO WS-1880-FIELD-NO
      *    ** THIS EDIT DOES NOTHING BUT SET THE CORRECT ERROR
              PERFORM 1880-VAL-YIELD-ACRE
                 THRU 1880-VAL-YIELD-ACRE-EXIT
              MOVE ZEROS TO WS-T15-YIELD-ACRE8
           END-IF


      *    *** WS-T15-YIELD-YEAR9 (Numeric)
           IF NOT WS-T15-YIELD-YEAR9 NUMERIC
              INITIALIZE WS-1878-INPUT
              MOVE '09' TO WS-1878-FIELD-NO
              MOVE WS-T15-YIELD-YEAR9-X
                TO WS-1878-YIELD-YEAR
      *    ** THIS EDIT DOES NOTHING BUT SET THE CORRECT ERROR
              PERFORM 1878-VAL-YIELD-YEAR
                 THRU 1878-VAL-YIELD-YEAR-EXIT
              MOVE ZEROS TO WS-T15-YIELD-YEAR9
           END-IF


      *    *** WS-T15-YIELD-TYPE-YEAR9 (Not Numeric)
           INITIALIZE WS-1872-INPUT
           MOVE '09' TO WS-1872-FIELD-NO
           MOVE WS-T15-YIELD-TYPE-YEAR9 TO WS-1872-YIELD-TYPE-YEAR
           PERFORM 1872-VAL-YIELD-TYPE-YEAR
              THRU 1872-VAL-YIELD-TYPE-YEAR-EXIT


      *    *** WS-T15-ANNUAL-YIELD9 (Numeric)
           IF NOT WS-T15-ANNUAL-YIELD9 NUMERIC
              INITIALIZE WS-1876-INPUT
              MOVE '09' TO WS-1876-FIELD-NO
      *    ** THIS EDIT DOES NOTHING BUT SET THE CORRECT ERROR
              PERFORM 1876-VAL-YIELD-QTY
                 THRU 1876-VAL-YIELD-QTY-EXIT
              MOVE ZEROS TO WS-T15-ANNUAL-YIELD9
           END-IF


      *    *** WS-T15-YIELD-ACRE9 (Numeric)
           IF NOT WS-T15-YIELD-ACRE9 NUMERIC
              INITIALIZE WS-1880-INPUT
              MOVE '09' TO WS-1880-FIELD-NO
      *    ** THIS EDIT DOES NOTHING BUT SET THE CORRECT ERROR
              PERFORM 1880-VAL-YIELD-ACRE
                 THRU 1880-VAL-YIELD-ACRE-EXIT
              MOVE ZEROS TO WS-T15-YIELD-ACRE9
           END-IF


      *    *** WS-T15-YIELD-YEAR10 (Numeric)
           IF NOT WS-T15-YIELD-YEAR10 NUMERIC
              INITIALIZE WS-1878-INPUT
              MOVE '10' TO WS-1878-FIELD-NO
              MOVE WS-T15-YIELD-YEAR10-X
                TO WS-1878-YIELD-YEAR
      *    ** THIS EDIT DOES NOTHING BUT SET THE CORRECT ERROR
              PERFORM 1878-VAL-YIELD-YEAR
                 THRU 1878-VAL-YIELD-YEAR-EXIT
              MOVE ZEROS TO WS-T15-YIELD-YEAR10
           END-IF


      *    *** WS-T15-YIELD-TYPE-YEAR10 (Not Numeric)
           INITIALIZE WS-1872-INPUT
           MOVE '10' TO WS-1872-FIELD-NO
           MOVE WS-T15-YIELD-TYPE-YEAR10 TO WS-1872-YIELD-TYPE-YEAR
           PERFORM 1872-VAL-YIELD-TYPE-YEAR
              THRU 1872-VAL-YIELD-TYPE-YEAR-EXIT


      *    *** WS-T15-ANNUAL-YIELD10 (Numeric)
           IF NOT WS-T15-ANNUAL-YIELD10 NUMERIC
              INITIALIZE WS-1876-INPUT
              MOVE '10' TO WS-1876-FIELD-NO
      *    ** THIS EDIT DOES NOTHING BUT SET THE CORRECT ERROR
              PERFORM 1876-VAL-YIELD-QTY
                 THRU 1876-VAL-YIELD-QTY-EXIT
              MOVE ZEROS TO WS-T15-ANNUAL-YIELD10
           END-IF


      *    *** WS-T15-YIELD-ACRE10 (Numeric)
           IF NOT WS-T15-YIELD-ACRE10 NUMERIC
              INITIALIZE WS-1880-INPUT
              MOVE '10' TO WS-1880-FIELD-NO
      *    ** THIS EDIT DOES NOTHING BUT SET THE CORRECT ERROR
              PERFORM 1880-VAL-YIELD-ACRE
                 THRU 1880-VAL-YIELD-ACRE-EXIT
              MOVE ZEROS TO WS-T15-YIELD-ACRE10
           END-IF


      *    *** WS-T15-RATE-STATE (Numeric)
           IF WS-T15-RATE-STATE NUMERIC
              INITIALIZE WS-1355-RATE-STATE
              MOVE WS-T15-RATE-STATE TO WS-1355-RATE-STATE
              PERFORM 1355-VAL-RATE-STATE
                 THRU 1355-VAL-RATE-STATE-EXIT
           ELSE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-RATE-STATE
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-RATE-STATE TO WS-8000-FIELD-NAME1
              MOVE WS-T15-RATE-STATE-X TO WS-8000-BAD-DATA1
              MOVE 1015 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T15-RATE-STATE
           END-IF


      *    *** WS-T15-RATE-COUNTY (Numeric)
           IF WS-T15-RATE-COUNTY NUMERIC
              INITIALIZE WS-1360-RATE-COUNTY
              MOVE WS-T15-RATE-COUNTY TO WS-1360-RATE-COUNTY
              PERFORM 1360-VAL-RATE-COUNTY
                 THRU 1360-VAL-RATE-COUNTY-EXIT
           ELSE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-RATE-COUNTY
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-RATE-COUNTY TO WS-8000-FIELD-NAME1
              MOVE WS-T15-RATE-COUNTY-X TO WS-8000-BAD-DATA1
              MOVE 1015 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T15-RATE-COUNTY
           END-IF


      *    *** WS-T15-FARM-SERIAL-NUM (NON-NUMERIC)
      *    no FV test
      *    if ws-t15-farm-serial-num not alpha-numeric
      *       move spaces to ws-t15-farm-serial-num
      *       MOVE WS-LITERAL-fv TO WS-8000-ERROR-TYPE
      *       MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
      *       MOVE 000 TO WS-8000-SHORT-ERROR
      *       MOVE WS-LITERAL-YES TO ERROR-FARM-SER-NO
      *       MOVE WS-LITERAL-FARM-SER-NO TO WS-8000-FIELD-NAME1
      *       MOVE 'NOT ALPHANUMERIC' TO WS-8000-BAD-DATA1
      *       MOVE 'ALPHANUMERIC DATA' TO WS-8000-CORR-DATA1
      *       MOVE 1015 TO WS-8000-PARAGRAPH-NO
      *       PERFORM 8000-RECORD-TRAN-ERROR
      *          THRU 8000-RECORD-TRAN-ERROR-EXIT
      *    END-IF


      *    *** WS-T15-YIELD-LIMIT-FLG (Numeric)
           INITIALIZE WS-1864-YIELD-LIMIT-FLG
           IF WS-T15-YIELD-LIMIT-FLG NUMERIC
              MOVE WS-T15-YIELD-LIMIT-FLG
                TO WS-1864-YIELD-LIMIT-FLG
              PERFORM 1864-VAL-YIELD-LIMIT-FLG
                 THRU 1864-VAL-YIELD-LIMIT-FLG-EXIT
           ELSE
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-YLD-LIMIT-FL
              MOVE WS-LITERAL-YLD-LIMIT-FL TO WS-8000-FIELD-NAME1
              MOVE WS-T15-YIELD-LIMIT-FLG-X TO WS-8000-BAD-DATA1
              MOVE SPACES TO WS-8000-CORR-DATA1
              MOVE 1015 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T15-YIELD-LIMIT-FLG
           END-IF


      *    *** WS-T15-FILLER-2 (NON-NUMERIC)
           MOVE SPACES TO WS-T15-FILLER-2.


       1015-VALIDATE-T15-EXIT.
           EXIT.



       1015-DISPLAY-RECORD.

           DISPLAY '1015-INPUT TYPE 15 RECORD'
           UPON CONSOLE
           DISPLAY 'RECORD TYPE        : ',
           WS-T15-RECORD-TYPE UPON CONSOLE
           DISPLAY 'REPORTING ORG      : ',
           WS-T15-REPORTING-ORG UPON CONSOLE
           DISPLAY 'LOCATION STATE     : ',
           WS-T15-LOC-STATE UPON CONSOLE
           DISPLAY 'COMPANY            : ',
           WS-T15-COMPANY-COUNTY UPON CONSOLE
           DISPLAY 'POLICY NUMBER      : ',
           WS-T15-POLICY-NUM UPON CONSOLE
           DISPLAY 'CROP YEAR          : ',
           WS-T15-CROP-YEAR UPON CONSOLE
           DISPLAY '--------------------------------'
           UPON CONSOLE
           DISPLAY 'CROP CODE          : ',
           WS-T15-CROP-CD UPON CONSOLE
           DISPLAY 'INSURANCE PLAN CD  : ',
           WS-T15-INS-PLAN-CD UPON CONSOLE
           DISPLAY 'LOCATION COUNTY    : ',
           WS-T15-LOCATION-COUNTY UPON CONSOLE
           DISPLAY 'UNIT NUMBER        : ',
           WS-T15-UNIT-NUMBER UPON CONSOLE
           DISPLAY 'TYPE CODE          : ',
           WS-T15-TYPE-CD UPON CONSOLE
           DISPLAY 'PRACTICE CODE      : ',
           WS-T15-PRACTICE-CD UPON CONSOLE
           DISPLAY 'COVERAGE FLAG      : ',
           WS-T15-COVERAGE-FLG UPON CONSOLE
           DISPLAY '--------------------------------'
           UPON CONSOLE
           DISPLAY 'KEY RESERVE          : ',
           WS-T15-KEY-RESERVE UPON CONSOLE
           DISPLAY 'FILLER 01 (02)       : ',
           WS-T15-FILLER-1 UPON CONSOLE
           DISPLAY 'RECORD NUMBER        : ',
           WS-T15-RECORD-NUMBER UPON CONSOLE
           DISPLAY 'MAP AREA             : ',
           WS-T15-MAP-AREA UPON CONSOLE
           DISPLAY 'NCS EXCEPTION FLAG   : ',
           WS-T15-NCS-EXCEPTION-FLAG UPON CONSOLE
           DISPLAY 'NCS YIELD FACTOR     : ',
           WS-T15-NCS-YIELD-FACTOR UPON CONSOLE
           DISPLAY 'REVIEW FLAG          : ',
           WS-T15-REVIEW-FLG UPON CONSOLE
           DISPLAY 'YIELD INDICATOR      : ',
           WS-T15-YIELD-INDICATOR UPON CONSOLE
           DISPLAY 'TRANSITIONAL YIELD   : ',
           WS-T15-TRANSITIONAL-YIELD UPON CONSOLE
           DISPLAY 'CFSA YIELD           : ',
           WS-T15-CFSA-YIELD UPON CONSOLE
           DISPLAY 'APPROVED YIELD       : ',
           WS-T15-APPROVED-YIELD UPON CONSOLE
           DISPLAY 'PREVIOUS APPROVED YLD: ',
           WS-T15-PREV-APPROV-YIELD UPON CONSOLE
           DISPLAY 'YIELD YEAR 01        : ',
           WS-T15-YIELD-YEAR1 UPON CONSOLE
           DISPLAY 'YIELD TYPE 01        : ',
           WS-T15-YIELD-TYPE-YEAR1 UPON CONSOLE
           DISPLAY 'ANNUAL YIELD 01      : ',
           WS-T15-ANNUAL-YIELD1 UPON CONSOLE
           DISPLAY 'YIELD ACRES 01       : ',
           WS-T15-YIELD-ACRE1 UPON CONSOLE
           DISPLAY 'YIELD YEAR 02        : ',
           WS-T15-YIELD-YEAR2 UPON CONSOLE
           DISPLAY 'YIELD TYPE 02        : ',
           WS-T15-YIELD-TYPE-YEAR2 UPON CONSOLE
           DISPLAY 'ANNUAL YIELD 02      : ',
           WS-T15-ANNUAL-YIELD2 UPON CONSOLE
           DISPLAY 'YIELD ACRES 02       : ',
           WS-T15-YIELD-ACRE2 UPON CONSOLE
           DISPLAY 'YIELD YEAR 03        : ',
           WS-T15-YIELD-YEAR3 UPON CONSOLE
           DISPLAY 'YIELD TYPE 03        : ',
           WS-T15-YIELD-TYPE-YEAR3 UPON CONSOLE
           DISPLAY 'ANNUAL YIELD 03      : ',
           WS-T15-ANNUAL-YIELD3 UPON CONSOLE
           DISPLAY 'YIELD ACRES 03       : ',
           WS-T15-YIELD-ACRE3 UPON CONSOLE
           DISPLAY 'YIELD YEAR 04        : ',
           WS-T15-YIELD-YEAR4 UPON CONSOLE
           DISPLAY 'YIELD TYPE 04        : ',
           WS-T15-YIELD-TYPE-YEAR4 UPON CONSOLE
           DISPLAY 'ANNUAL YIELD 04      : ',
           WS-T15-ANNUAL-YIELD4 UPON CONSOLE
           DISPLAY 'YIELD ACRES 04       : ',
           WS-T15-YIELD-ACRE4 UPON CONSOLE
           DISPLAY 'YIELD YEAR 05        : ',
           WS-T15-YIELD-YEAR5 UPON CONSOLE
           DISPLAY 'YIELD TYPE 05        : ',
           WS-T15-YIELD-TYPE-YEAR5 UPON CONSOLE
           DISPLAY 'ANNUAL YIELD 05      : ',
           WS-T15-ANNUAL-YIELD5 UPON CONSOLE
           DISPLAY 'YIELD ACRES 05       : ',
           WS-T15-YIELD-ACRE5 UPON CONSOLE
           DISPLAY 'YIELD YEAR 06        : ',
           WS-T15-YIELD-YEAR6 UPON CONSOLE
           DISPLAY 'YIELD TYPE 06        : ',
           WS-T15-YIELD-TYPE-YEAR6 UPON CONSOLE
           DISPLAY 'ANNUAL YIELD 06      : ',
           WS-T15-ANNUAL-YIELD6 UPON CONSOLE
           DISPLAY 'YIELD ACRES 06       : ',
           WS-T15-YIELD-ACRE6 UPON CONSOLE
           DISPLAY 'YIELD YEAR 07        : ',
           WS-T15-YIELD-YEAR7 UPON CONSOLE
           DISPLAY 'YIELD TYPE 07        : ',
           WS-T15-YIELD-TYPE-YEAR7 UPON CONSOLE
           DISPLAY 'ANNUAL YIELD 07      : ',
           WS-T15-ANNUAL-YIELD7 UPON CONSOLE
           DISPLAY 'YIELD ACRES 07       : ',
           WS-T15-YIELD-ACRE7 UPON CONSOLE
           DISPLAY 'YIELD YEAR 08        : ',
           WS-T15-YIELD-YEAR8 UPON CONSOLE
           DISPLAY 'YIELD TYPE 08        : ',
           WS-T15-YIELD-TYPE-YEAR8 UPON CONSOLE
           DISPLAY 'ANNUAL YIELD 08      : ',
           WS-T15-ANNUAL-YIELD8 UPON CONSOLE
           DISPLAY 'YIELD ACRES 08       : ',
           WS-T15-YIELD-ACRE8 UPON CONSOLE
           DISPLAY 'YIELD YEAR 09        : ',
           WS-T15-YIELD-YEAR9 UPON CONSOLE
           DISPLAY 'YIELD TYPE 09        : ',
           WS-T15-YIELD-TYPE-YEAR9 UPON CONSOLE
           DISPLAY 'ANNUAL YIELD 09      : ',
           WS-T15-ANNUAL-YIELD9 UPON CONSOLE
           DISPLAY 'YIELD ACRES 09       : ',
           WS-T15-YIELD-ACRE9 UPON CONSOLE
           DISPLAY 'YIELD YEAR 10        : ',
           WS-T15-YIELD-YEAR10 UPON CONSOLE
           DISPLAY 'YIELD TYPE 10        : ',
           WS-T15-YIELD-TYPE-YEAR10 UPON CONSOLE
           DISPLAY 'ANNUAL YIELD 10      : ',
           WS-T15-ANNUAL-YIELD10 UPON CONSOLE
           DISPLAY 'YIELD ACRES 10       : ',
           WS-T15-YIELD-ACRE10 UPON CONSOLE
           DISPLAY 'RATE STATE           : ',
           WS-T15-RATE-STATE UPON CONSOLE
           DISPLAY 'RATE COUNTY          : ',
           WS-T15-RATE-COUNTY UPON CONSOLE
           DISPLAY 'FARM SERIAL NUMBER   : ',
           WS-T15-FARM-SERIAL-NUM UPON CONSOLE
           DISPLAY 'YIELD LIMITATION FLG : ',
           WS-T15-YIELD-LIMIT-FLG UPON CONSOLE
           DISPLAY 'FILLER 02 (65)       : ',
           WS-T15-FILLER-2 UPON CONSOLE
           DISPLAY '--------------------------------'
           UPON CONSOLE
           DISPLAY 'FCIC CONTROL TIME    : ',
           WS-FCIC-CONTROL-TIME UPON CONSOLE
           DISPLAY 'FCIC CONTROL DATE    : ',
           WS-FCIC-CONTROL-DATE UPON CONSOLE
           DISPLAY 'REINSURANCE YEAR     : ',
           WS-REINS-YR UPON CONSOLE
           DISPLAY 'BATCH NUMBER         : ',
           WS-BATCH-NO UPON CONSOLE
           DISPLAY 'TRANS SEQUENCE NUM   : ',
           WS-TRAN-SEQ-NO UPON CONSOLE
           DISPLAY 'TRANS REJECTED FLAG  : ',
           WS-TRAN-REJ-FLAG UPON CONSOLE
           DISPLAY 'TRANS SOURCE FLAG    : ',
           WS-TRAN-SOURCE-FLAG UPON CONSOLE
           DISPLAY 'MDAS PROCESS NUMBER  : ',
           WS-MDAS-PROCESS-NO UPON CONSOLE
           DISPLAY 'FILLER 14 (14)       : ',
           WS-FILLER-14 UPON CONSOLE.


       1015-DISPLAY-RECORD-EXIT.
           EXIT.


