      ***************************************************************
      * File:      FV1020.CBL
      * Author:    Laura Dittamo
      * Date:      12/29/95
      * Purpose:
      *    This copy file contains the sequencing logic for the type
      *    20 record.
      *
      * Contains:
      *
      ***************************************************************


       1020-VALIDATE-T20.

      $IF DEBUG-SW DEFINED
           DISPLAY '1020 FIELD VALIDATING TYPE 20 RECORD'
           UPON CONSOLE
      $END

      ****************************************************************
      *   DISPLAY INPUT RECORD                                       *
      ****************************************************************
      $IF DEBUG-SW DEFINED
           PERFORM 1020-DISPLAY-RECORD
              THRU 1020-DISPLAY-RECORD-EXIT
      $END

      *    *** INITIALIZE SIGN CONVERSION WORKING STORAGE
           INITIALIZE WS-1020-WORK

      *    *** WS-T20-RECORD-TYPE (Numeric)
      *    *** FV Edit done in 0905-READ-TRANSACTION

      *    *** WS-T20-REPORTING-ORG (Non-Numeric)
           INITIALIZE WS-1200-REPORTING-ORG
           MOVE WS-T20-REPORTING-ORG TO WS-1200-REPORTING-ORG
           PERFORM 1200-VAL-REPORTING-ORG
              THRU 1200-VAL-REPORTING-ORG-EXIT


      *    *** WS-T20-LOC-STATE (Numeric)
           IF WS-T20-LOC-STATE NUMERIC
              INITIALIZE WS-1205-LOC-STATE
              MOVE WS-T20-LOC-STATE TO WS-1205-LOC-STATE
              PERFORM 1205-VAL-LOCATION-STATE
                 THRU 1205-VAL-LOCATION-STATE-EXIT
           ELSE
              MOVE WS-LITERAL-YES TO ERROR-LOC-STATE
              MOVE WS-LITERAL-YES TO WS-0007-POLICY-NO-ERROR
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-LOC-STATE TO WS-8000-FIELD-NAME1
              MOVE WS-T20-LOC-STATE-X TO WS-8000-BAD-DATA1
              MOVE 1020 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T20-LOC-STATE
           END-IF


      *    *** WS-T20-COMPANY-COUNTY (NUMERIC)
           IF WS-T20-COMPANY-COUNTY-X NUMERIC
              INITIALIZE WS-1210-COMPANY-COUNTY
              MOVE WS-T20-COMPANY-COUNTY TO WS-1210-COMPANY-COUNTY
              PERFORM 1210-VAL-COMPANY-COUNTY
                 THRU 1210-VAL-COMPANY-COUNTY-EXIT
           ELSE
              MOVE WS-LITERAL-YES TO ERROR-CPNY-CNTY
              MOVE WS-LITERAL-YES TO WS-0007-POLICY-NO-ERROR
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-CPNY-CNTY TO WS-8000-FIELD-NAME1
              MOVE WS-T20-COMPANY-COUNTY-X TO WS-8000-BAD-DATA1
              MOVE 1020 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T20-COMPANY-COUNTY
           END-IF


      *    *** WS-T20-POLICY-NUM (Numeric)
           IF WS-T20-POLICY-NUM NUMERIC
              INITIALIZE WS-1215-POLICY-NO
              MOVE WS-T20-POLICY-NUM TO WS-1215-POLICY-NO
              PERFORM 1215-VAL-POLICY-NUMBER
                 THRU 1215-VAL-POLICY-NUMBER-EXIT
           ELSE
              MOVE WS-LITERAL-YES TO ERROR-POLICY-NO
              MOVE WS-LITERAL-YES TO WS-0007-POLICY-NO-ERROR
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-POLICY-NO TO WS-8000-FIELD-NAME1
              MOVE WS-T20-POLICY-NUM-X TO WS-8000-BAD-DATA1
              MOVE 1020 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T20-POLICY-NUM
           END-IF


      *    *** WS-T20-CROP-YEAR (Numeric)
           IF WS-T20-CROP-YEAR NUMERIC
              INITIALIZE WS-1220-CROP-YEAR
              MOVE WS-T20-CROP-YEAR TO WS-1220-CROP-YEAR
              PERFORM 1220-VAL-CROP-YEAR
                 THRU 1220-VAL-CROP-YEAR-EXIT
           ELSE
              MOVE WS-LITERAL-YES TO ERROR-CROP-YR
              MOVE WS-LITERAL-YES TO WS-0007-POLICY-NO-ERROR
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-CROP-YR TO WS-8000-FIELD-NAME1
              MOVE WS-T20-CROP-YEAR-X TO WS-8000-BAD-DATA1
              MOVE 'Reinsurance Yr + or - 2'
                TO WS-8000-CORR-DATA1
              MOVE 1020 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T20-CROP-YEAR
           END-IF

      *    *====================================================*
      *    *   END OF POLICY/CONTRACT NUMBER FIELDS             *
      *    *====================================================*


      *    *** WS-T20-KEY-RESERVE-1 (Non-Numeric)
      *    *** THIS AREA MAY CONTAIN THE CLAIM NUMBER AND
      *    *** REINSURANCE YEAR; DON'T INITIALIZE UNTIL
      *    *** AFTER THOSE FIELDS HAVE BEEN CHECKED/UPDATED.
      *    MOVE SPACES TO WS-T20-KEY-RESERVE-1


      *    *** WS-T20-CLAIM-NUM (Numeric)
           IF WS-T20-CLAIM-NUM NUMERIC
              IF WS-T20-CLAIM-NUM > ZERO
                 INITIALIZE WS-1550-CLAIM-NUMBER
                 MOVE WS-T20-CLAIM-NUM TO WS-1550-CLAIM-NUMBER
                 PERFORM 1550-VAL-CLAIM-NO
                    THRU 1550-VAL-CLAIM-NO-EXIT
              ELSE
                 IF WS-T20-OLD-CLAIM-NUMBER NUMERIC
                    MOVE WS-T20-OLD-CLAIM-NUMBER
                      TO WS-T20-CLAIM-NUM
                    INITIALIZE WS-1550-CLAIM-NUMBER
                    MOVE WS-T20-CLAIM-NUM TO WS-1550-CLAIM-NUMBER
                    PERFORM 1550-VAL-CLAIM-NO
                       THRU 1550-VAL-CLAIM-NO-EXIT
                 ELSE
                    MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
                    MOVE 002 TO WS-8000-SHORT-ERROR
                    MOVE WS-LITERAL-YES TO ERROR-CLAIM-NO
                    MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
                    MOVE WS-LITERAL-CLAIM-NO TO WS-8000-FIELD-NAME1
                    MOVE WS-T20-CLAIM-NUM-X TO WS-8000-BAD-DATA1
                    MOVE SPACES TO WS-8000-CORR-DATA1
                    MOVE 1020 TO WS-8000-PARAGRAPH-NO
                    PERFORM 8000-RECORD-TRAN-ERROR
                       THRU 8000-RECORD-TRAN-ERROR-EXIT
                    MOVE ZEROS TO WS-T20-CLAIM-NUM
                 END-IF
              END-IF
           ELSE
              IF WS-T20-OLD-CLAIM-NUMBER NUMERIC
                 MOVE WS-T20-OLD-CLAIM-NUMBER
                   TO WS-T20-CLAIM-NUM
                 INITIALIZE WS-1550-CLAIM-NUMBER
                 MOVE WS-T20-CLAIM-NUM TO WS-1550-CLAIM-NUMBER
                 PERFORM 1550-VAL-CLAIM-NO
                    THRU 1550-VAL-CLAIM-NO-EXIT
              ELSE
                 MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
                 MOVE 002 TO WS-8000-SHORT-ERROR
                 MOVE WS-LITERAL-YES TO ERROR-CLAIM-NO
                 MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
                 MOVE WS-LITERAL-CLAIM-NO TO WS-8000-FIELD-NAME1
                 MOVE WS-T20-CLAIM-NUM-X TO WS-8000-BAD-DATA1
                 MOVE SPACES TO WS-8000-CORR-DATA1
                 MOVE 1020 TO WS-8000-PARAGRAPH-NO
                 PERFORM 8000-RECORD-TRAN-ERROR
                    THRU 8000-RECORD-TRAN-ERROR-EXIT
                 MOVE ZEROS TO WS-T20-CLAIM-NUM
              END-IF
           END-IF

      *    *** WS-T20-REINSURE-YR (Numeric)
           IF WS-T20-REINSURE-YR NUMERIC
              IF WS-T20-REINSURE-YR > ZERO
                 INITIALIZE WS-1545-REINSURE-YEAR
                 MOVE WS-0004-REINS-YR TO WS-1545-REINSURE-YEAR
                 MOVE WS-T20-REINSURE-YR TO WS-1545-REINSURE-YEAR
                 PERFORM 1545-VAL-REINSURE-YR
                    THRU 1545-VAL-REINSURE-YR-EXIT
              ELSE
                 IF WS-T20-OLD-REINS-YR NUMERIC
                    MOVE WS-T20-OLD-REINS-YR
                      TO WS-T20-REINSURE-YR
                    INITIALIZE WS-1545-REINSURE-YEAR
                    MOVE WS-0004-REINS-YR TO WS-1545-REINSURE-YEAR
                    MOVE WS-T20-REINSURE-YR TO WS-1545-REINSURE-YEAR
                    PERFORM 1545-VAL-REINSURE-YR
                       THRU 1545-VAL-REINSURE-YR-EXIT
                 ELSE
                    MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
                    MOVE 002 TO WS-8000-SHORT-ERROR
                    MOVE WS-LITERAL-YES TO ERROR-REINSURE-YR
                    MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
                    MOVE WS-LITERAL-REINS-YR TO WS-8000-FIELD-NAME1
                    MOVE WS-T20-REINSURE-YR-X TO WS-8000-BAD-DATA1
                    MOVE SPACES TO WS-8000-CORR-DATA1
                    MOVE 1020 TO WS-8000-PARAGRAPH-NO
                    PERFORM 8000-RECORD-TRAN-ERROR
                       THRU 8000-RECORD-TRAN-ERROR-EXIT
                    MOVE ZEROS TO WS-T20-REINSURE-YR
                 END-IF
              END-IF
           ELSE
              IF WS-T20-OLD-REINS-YR NUMERIC
                 MOVE WS-T20-OLD-REINS-YR
                   TO WS-T20-REINSURE-YR
                 INITIALIZE WS-1545-REINSURE-YEAR
                 MOVE WS-0004-REINS-YR TO WS-1545-REINSURE-YEAR
                 MOVE WS-T20-REINSURE-YR TO WS-1545-REINSURE-YEAR
                 PERFORM 1545-VAL-REINSURE-YR
                    THRU 1545-VAL-REINSURE-YR-EXIT
              ELSE
                 MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
                 MOVE 002 TO WS-8000-SHORT-ERROR
                 MOVE WS-LITERAL-YES TO ERROR-REINSURE-YR
                 MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
                 MOVE WS-LITERAL-REINS-YR TO WS-8000-FIELD-NAME1
                 MOVE WS-T20-REINSURE-YR-X TO WS-8000-BAD-DATA1
                 MOVE SPACES TO WS-8000-CORR-DATA1
                 MOVE 1020 TO WS-8000-PARAGRAPH-NO
                 PERFORM 8000-RECORD-TRAN-ERROR
                    THRU 8000-RECORD-TRAN-ERROR-EXIT
                 MOVE ZEROS TO WS-T20-REINSURE-YR
              END-IF
           END-IF

      *    *** WS-T20-KEY-RESERVE-1 (Non-Numeric)
      *    *** THIS AREA MAY CONTAIN THE CLAIM NUMBER AND
      *    *** REINSURANCE YEAR; DON'T INITIALIZE UNTIL
      *    *** AFTER THOSE FIELDS HAVE BEEN CHECKED/UPDATED.
           MOVE SPACES TO WS-T20-KEY-RESERVE-1


      *    *** WS-T20-KEY-RESERVE-2
           MOVE SPACES TO WS-T20-KEY-RESERVE-2


      *    *** WS-T20-FILLER-1 (Not Numeric)
           MOVE SPACES TO WS-T20-FILLER-1


      *    *** WS-T20-RECORD-NUM (Numeric)
           IF WS-T20-RECORD-NUM NUMERIC
              INITIALIZE WS-1230-RECORD-NO
              MOVE WS-T20-RECORD-NUM TO WS-1230-RECORD-NO
              PERFORM 1230-VAL-RECORD-NUMBER
                 THRU 1230-VAL-RECORD-NUMBER-EXIT
           ELSE
              MOVE WS-LITERAL-YES TO ERROR-REC-NO
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-REC-NO TO WS-8000-FIELD-NAME1
              MOVE WS-T20-RECORD-NUM-X TO WS-8000-BAD-DATA1
              MOVE 1020 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T20-RECORD-NUM
           END-IF

      *    *** WS-T20-1ST-TOT-REINSURE-YR (Non-Numeric)
           INITIALIZE WS-1835-1ST-REINS-YR
           MOVE WS-T20-1ST-TOT-REINSURE-YR-x TO WS-1835-1ST-REINS-YR-x
           PERFORM 1835-VAL-1ST-REINS-YR
              THRU 1835-VAL-1ST-REINS-YR-EXIT

      *    *** WS-T20-1ST-TOT-PCR-MEMO-CO (Numeric)
           IF WS-T20-1ST-TOT-PCR-MEMO-CO NUMERIC
              INITIALIZE WS-1600-P-CR-MEMO-CPNY
              MOVE WS-T20-1ST-TOT-PCR-MEMO-CO
                TO WS-1600-P-CR-MEMO-CPNY
              PERFORM 1600-VAL-P-CR-MEMO-CPNY
                 THRU 1600-VAL-P-CR-MEMO-CPNY-EXIT
           ELSE
              MOVE 20002 TO WS-8000-ERROR-CODE
              MOVE WS-LITERAL-YES TO ERROR-P-CR-MEMO-CPNY
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-P-CR-MEMO-CPNY TO WS-8000-FIELD-NAME1
              MOVE WS-T20-1ST-TOT-PCR-MEMO-CO TO WS-8000-BAD-DATA1
              MOVE '999' TO WS-8000-CORR-DATA1
              MOVE 1020 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T20-1ST-TOT-PCR-MEMO-CO
           END-IF

      *    *** WS-T20-1ST-TOTAL (Non-Numeric)
           INITIALIZE WS-1555-INPUT
           MOVE WS-T20-1ST-TOTAL TO WS-1555-TOTAL
           MOVE 1 TO WS-1555-TOTAL-NUMBER
           PERFORM 1555-VAL-TOTAL-PMT-METHOD
              THRU 1555-VAL-TOTAL-PMT-METHOD-EXIT

      *    *** WS-T20-1ST-ESCROW-CHK (Numeric)
           IF WS-T20-1ST-ESCROW-CHK NUMERIC
              INITIALIZE WS-1560-1ST-ESCROW-CHK
              MOVE WS-T20-1ST-ESCROW-CHK TO WS-1560-1ST-ESCROW-CHK
              PERFORM 1560-VAL-1ST-ESCROW-CHK
                 THRU 1560-VAL-1ST-ESCROW-CHK-EXIT
           ELSE
              MOVE 20002 TO WS-8000-ERROR-CODE
              MOVE WS-LITERAL-YES TO ERROR-1ST-ESCROW-CHK
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-1ST-ESCROW-CHK TO WS-8000-FIELD-NAME1
              MOVE WS-T20-1ST-ESCROW-CHK-X TO WS-8000-BAD-DATA1
              MOVE SPACES TO WS-8000-CORR-DATA1
              MOVE 1020 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T20-1ST-ESCROW-CHK
           END-IF

      *    *** WS-T20-1ST-TOT-DT-DRAFT-ISSUE (Numeric)
           IF WS-T20-1ST-TOT-DT-DRAFT-ISSUE NUMERIC
              INITIALIZE WS-1605-INPUT
              MOVE WS-T20-1ST-TOT-DT-DRAFT-ISSUE
                TO WS-1605-DRAFT-ISSUE-DT
              PERFORM 1605-VAL-DT-DRAFT-ISSUE
                 THRU 1605-VAL-DT-DRAFT-ISSUE-EXIT
           ELSE
              MOVE 20002 TO WS-8000-ERROR-CODE
              MOVE WS-LITERAL-YES TO ERROR-DT-DRAFT-ISSUED
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-DT-DRAFT-ISSUE TO WS-8000-FIELD-NAME1
              MOVE SPACES TO WS-8000-BAD-DATA1
              MOVE 00000000 TO WS-8000-CORR-DATA1
              MOVE 1020 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T20-1ST-TOT-DT-DRAFT-ISSUE
           END-IF

      *    *** WS-T20-1ST-TOTAL-AMOUNT (Numeric)
           IF WS-T20-1ST-TOTAL-AMOUNT NUMERIC
              INITIALIZE WS-1580-1ST-TOTAL-AMOUNT
              MOVE WS-T20-1ST-TOTAL-AMOUNT TO WS-1580-1ST-TOTAL-AMOUNT
              PERFORM 1580-VAL-1ST-TOT-AMT
                 THRU 1580-VAL-1ST-TOT-AMT-EXIT
           ELSE
              IF WS-T20-1ST-TOTAL-AMOUNT-N NUMERIC
                 MOVE ZEROS TO WS-1020-TEMP-SIGNED-AMOUNT
                 MOVE WS-T20-1ST-TOTAL-AMOUNT-N
                   TO WS-1020-TEMP-SIGNED-AMOUNT
                 MOVE WS-1020-TEMP-SIGNED-AMOUNT
                   TO WS-T20-1ST-TOTAL-AMOUNT
                 MOVE WS-T20-1ST-TOTAL-AMOUNT
                   TO WS-1580-1ST-TOTAL-AMOUNT
                 PERFORM 1580-VAL-1ST-TOT-AMT
                    THRU 1580-VAL-1ST-TOT-AMT-EXIT
              ELSE
                 MOVE 20002 TO WS-8000-ERROR-CODE
                 MOVE WS-LITERAL-YES TO ERROR-1ST-TOT-AMT
                 MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
                 MOVE WS-LITERAL-1ST-TOT-AMT TO WS-8000-FIELD-NAME1
                 MOVE WS-T20-1ST-TOTAL-AMOUNT-X TO WS-8000-BAD-DATA1
                 MOVE SPACES TO WS-8000-CORR-DATA1
                 MOVE 1020 TO WS-8000-PARAGRAPH-NO
                 PERFORM 8000-RECORD-TRAN-ERROR
                    THRU 8000-RECORD-TRAN-ERROR-EXIT
                 MOVE ZEROS TO WS-T20-1ST-TOTAL-AMOUNT
              END-IF
           END-IF

      *    *** WS-T20-2ND-TOT-REINSURE-YR (Non-Numeric)
           INITIALIZE WS-1840-2ND-REINS-YR
           MOVE WS-T20-2ND-TOT-REINSURE-YR-x TO WS-1840-2ND-REINS-YR-x
           PERFORM 1840-VAL-2ND-REINS-YR
              THRU 1840-VAL-2ND-REINS-YR-EXIT

      *    *** WS-T20-2ND-TOT-PCR-MEMO-CO (Numeric)
           IF WS-T20-2ND-TOT-PCR-MEMO-CO NUMERIC
              INITIALIZE WS-1600-P-CR-MEMO-CPNY
              MOVE WS-T20-2ND-TOT-PCR-MEMO-CO
                TO WS-1600-P-CR-MEMO-CPNY
              PERFORM 1600-VAL-P-CR-MEMO-CPNY
                 THRU 1600-VAL-P-CR-MEMO-CPNY-EXIT
           ELSE
              MOVE 20002 TO WS-8000-ERROR-CODE
              MOVE WS-LITERAL-YES TO ERROR-P-CR-MEMO-CPNY
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-P-CR-MEMO-CPNY TO WS-8000-FIELD-NAME1
              MOVE WS-T20-2ND-TOT-PCR-MEMO-CO TO WS-8000-BAD-DATA1
              MOVE '999' TO WS-8000-CORR-DATA1
              MOVE 1020 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T20-2ND-TOT-PCR-MEMO-CO
           END-IF


      *    *** WS-T20-2ND-TOTAL (Non-Numeric)
           INITIALIZE WS-1555-INPUT
           MOVE WS-T20-2ND-TOTAL TO WS-1555-TOTAL
           MOVE 2 TO WS-1555-TOTAL-NUMBER
           PERFORM 1555-VAL-TOTAL-PMT-METHOD
              THRU 1555-VAL-TOTAL-PMT-METHOD-EXIT


      *    *** WS-T20-2ND-ESCROW-CHK (Numeric)
           IF WS-T20-2ND-ESCROW-CHK NUMERIC
              INITIALIZE WS-1565-2ND-ESCROW-CHK
              MOVE WS-T20-2ND-ESCROW-CHK TO WS-1565-2ND-ESCROW-CHK
              PERFORM 1565-VAL-2ND-ESCROW-CHK
                 THRU 1565-VAL-2ND-ESCROW-CHK-EXIT
           ELSE
              MOVE 20002 TO WS-8000-ERROR-CODE
              MOVE WS-LITERAL-YES TO ERROR-2ND-ESCROW-CHK
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-2ND-ESCROW-CHK TO WS-8000-FIELD-NAME1
              MOVE WS-T20-2ND-ESCROW-CHK-X TO WS-8000-BAD-DATA1
              MOVE SPACES TO WS-8000-CORR-DATA1
              MOVE 1020 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T20-2ND-ESCROW-CHK
           END-IF

      *    *** WS-T20-2ND-TOT-DT-DRAFT-ISSUE (Numeric)
           IF WS-T20-2ND-TOT-DT-DRAFT-ISSUE NUMERIC
              INITIALIZE WS-1605-INPUT
              MOVE WS-T20-2ND-TOT-DT-DRAFT-ISSUE
                TO WS-1605-DRAFT-ISSUE-DT
              PERFORM 1605-VAL-DT-DRAFT-ISSUE
                 THRU 1605-VAL-DT-DRAFT-ISSUE-EXIT
           ELSE
              MOVE 20002 TO WS-8000-ERROR-CODE
              MOVE WS-LITERAL-YES TO ERROR-DT-DRAFT-ISSUED
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-DT-DRAFT-ISSUE TO WS-8000-FIELD-NAME1
              MOVE SPACES TO WS-8000-BAD-DATA1
              MOVE 00000000 TO WS-8000-CORR-DATA1
              MOVE 1020 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T20-2ND-TOT-DT-DRAFT-ISSUE
           END-IF


      *    *** WS-T20-2ND-TOTAL-AMOUNT (Numeric)
           IF WS-T20-2ND-TOTAL-AMOUNT NUMERIC
              INITIALIZE WS-1585-2ND-TOTAL-AMOUNT
              MOVE WS-T20-2ND-TOTAL-AMOUNT TO WS-1585-2ND-TOTAL-AMOUNT
              PERFORM 1585-VAL-2ND-TOT-AMT
                 THRU 1585-VAL-2ND-TOT-AMT-EXIT
           ELSE
              IF WS-T20-2ND-TOTAL-AMOUNT-N NUMERIC
                 MOVE ZEROS TO WS-1020-TEMP-SIGNED-AMOUNT
                 MOVE WS-T20-2ND-TOTAL-AMOUNT-N
                   TO WS-1020-TEMP-SIGNED-AMOUNT
                 MOVE WS-1020-TEMP-SIGNED-AMOUNT
                   TO WS-T20-2ND-TOTAL-AMOUNT
                 MOVE WS-T20-2ND-TOTAL-AMOUNT
                   TO WS-1585-2ND-TOTAL-AMOUNT
                 PERFORM 1585-VAL-2ND-TOT-AMT
                    THRU 1585-VAL-2ND-TOT-AMT-EXIT
              ELSE
                 MOVE 20002 TO WS-8000-ERROR-CODE
                 MOVE WS-LITERAL-YES TO ERROR-2ND-TOT-AMT
                 MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
                 MOVE WS-LITERAL-2ND-TOT-AMT TO WS-8000-FIELD-NAME1
                 MOVE WS-T20-2ND-TOTAL-AMOUNT-X TO WS-8000-BAD-DATA1
                 MOVE SPACES TO WS-8000-CORR-DATA1
                 MOVE 1020 TO WS-8000-PARAGRAPH-NO
                 PERFORM 8000-RECORD-TRAN-ERROR
                    THRU 8000-RECORD-TRAN-ERROR-EXIT
                 MOVE ZEROS TO WS-T20-2ND-TOTAL-AMOUNT
              END-IF
           END-IF


      *    *** WS-T20-3RD-TOT-REINSURE-YR (Non-Numeric)
           INITIALIZE WS-1845-3RD-REINS-YR
           MOVE WS-T20-3RD-TOT-REINSURE-YR-x TO WS-1845-3RD-REINS-YR-x
           PERFORM 1845-VAL-3RD-REINS-YR
              THRU 1845-VAL-3RD-REINS-YR-EXIT


      *    *** WS-T20-3RD-TOT-PCR-MEMO-CO (Numeric)
           IF WS-T20-3RD-TOT-PCR-MEMO-CO NUMERIC
              INITIALIZE WS-1600-P-CR-MEMO-CPNY
              MOVE WS-T20-3RD-TOT-PCR-MEMO-CO
                TO WS-1600-P-CR-MEMO-CPNY
              PERFORM 1600-VAL-P-CR-MEMO-CPNY
                 THRU 1600-VAL-P-CR-MEMO-CPNY-EXIT
           ELSE
              MOVE 20002 TO WS-8000-ERROR-CODE
              MOVE WS-LITERAL-YES TO ERROR-P-CR-MEMO-CPNY
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-P-CR-MEMO-CPNY TO WS-8000-FIELD-NAME1
              MOVE WS-T20-3RD-TOT-PCR-MEMO-CO TO WS-8000-BAD-DATA1
              MOVE '999' TO WS-8000-CORR-DATA1
              MOVE 1020 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T20-3RD-TOT-PCR-MEMO-CO
           END-IF


      *    *** WS-T20-3RD-TOTAL (Non-Numeric)
           INITIALIZE WS-1555-INPUT
           MOVE WS-T20-3RD-TOTAL TO WS-1555-TOTAL
           MOVE 3 TO WS-1555-TOTAL-NUMBER
           PERFORM 1555-VAL-TOTAL-PMT-METHOD
              THRU 1555-VAL-TOTAL-PMT-METHOD-EXIT


      *    *** WS-T20-3RD-ESCROW-CHK (Numeric)
           IF WS-T20-3RD-ESCROW-CHK NUMERIC
              INITIALIZE WS-1570-3RD-ESCROW-CHK
              MOVE WS-T20-3RD-ESCROW-CHK TO WS-1570-3RD-ESCROW-CHK
              PERFORM 1570-VAL-3RD-ESCROW-CHK
                 THRU 1570-VAL-3RD-ESCROW-CHK-EXIT
           ELSE
              MOVE 20002 TO WS-8000-ERROR-CODE
              MOVE WS-LITERAL-YES TO ERROR-3RD-ESCROW-CHK
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-3RD-ESCROW-CHK TO WS-8000-FIELD-NAME1
              MOVE WS-T20-3RD-ESCROW-CHK-X TO WS-8000-BAD-DATA1
              MOVE SPACES TO WS-8000-CORR-DATA1
              MOVE 1020 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T20-3RD-ESCROW-CHK
           END-IF

      *    *** WS-T20-3RD-TOT-DT-DRAFT-ISSUE (Numeric)
           IF WS-T20-3RD-TOT-DT-DRAFT-ISSUE NUMERIC
              INITIALIZE WS-1605-INPUT
              MOVE WS-T20-3RD-TOT-DT-DRAFT-ISSUE
                TO WS-1605-DRAFT-ISSUE-DT
              PERFORM 1605-VAL-DT-DRAFT-ISSUE
                 THRU 1605-VAL-DT-DRAFT-ISSUE-EXIT
           ELSE
              MOVE 20002 TO WS-8000-ERROR-CODE
              MOVE WS-LITERAL-YES TO ERROR-DT-DRAFT-ISSUED
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-DT-DRAFT-ISSUE TO WS-8000-FIELD-NAME1
              MOVE SPACES TO WS-8000-BAD-DATA1
              MOVE 00000000 TO WS-8000-CORR-DATA1
              MOVE 1020 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T20-3RD-TOT-DT-DRAFT-ISSUE
           END-IF

      *    *** WS-T20-3RD-TOTAL-AMOUNT (Numeric)
           IF WS-T20-3RD-TOTAL-AMOUNT NUMERIC
              INITIALIZE WS-1590-3RD-TOTAL-AMOUNT
              MOVE WS-T20-3RD-TOTAL-AMOUNT
                TO WS-1590-3RD-TOTAL-AMOUNT
              PERFORM 1590-VAL-3RD-TOT-AMT
                 THRU 1590-VAL-3RD-TOT-AMT-EXIT
           ELSE
              IF WS-T20-3RD-TOTAL-AMOUNT-N NUMERIC
                 MOVE ZEROS TO WS-1020-TEMP-SIGNED-AMOUNT
                 MOVE WS-T20-3RD-TOTAL-AMOUNT-N
                   TO WS-1020-TEMP-SIGNED-AMOUNT
                 MOVE WS-1020-TEMP-SIGNED-AMOUNT
                   TO WS-T20-3RD-TOTAL-AMOUNT
                 MOVE WS-T20-3RD-TOTAL-AMOUNT
                   TO WS-1590-3RD-TOTAL-AMOUNT
                 PERFORM 1590-VAL-3RD-TOT-AMT
                    THRU 1590-VAL-3RD-TOT-AMT-EXIT
              ELSE
                 MOVE 20002 TO WS-8000-ERROR-CODE
                 MOVE WS-LITERAL-YES TO ERROR-3RD-TOT-AMT
                 MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
                 MOVE WS-LITERAL-3RD-TOT-AMT TO WS-8000-FIELD-NAME1
                 MOVE WS-T20-3RD-TOTAL-AMOUNT-X TO WS-8000-BAD-DATA1
                 MOVE SPACES TO WS-8000-CORR-DATA1
                 MOVE 1020 TO WS-8000-PARAGRAPH-NO
                 PERFORM 8000-RECORD-TRAN-ERROR
                    THRU 8000-RECORD-TRAN-ERROR-EXIT
                 MOVE ZEROS TO WS-T20-3RD-TOTAL-AMOUNT
              END-IF
           END-IF


      *    *** WS-T20-4TH-TOT-REINSURE-YR (Non-Numeric)
           INITIALIZE WS-1770-4TH-REINS-YR
           MOVE WS-T20-4TH-TOT-REINSURE-YR-x TO WS-1770-4TH-REINS-YR-x
           PERFORM 1770-VAL-4TH-REINS-YR
              THRU 1770-VAL-4TH-REINS-YR-EXIT


      *    *** WS-T20-4TH-TOT-PCR-MEMO-CO (Numeric)
           IF WS-T20-4TH-TOT-PCR-MEMO-CO NUMERIC
              INITIALIZE WS-1600-P-CR-MEMO-CPNY
              MOVE WS-T20-4TH-TOT-PCR-MEMO-CO
                TO WS-1600-P-CR-MEMO-CPNY
              PERFORM 1600-VAL-P-CR-MEMO-CPNY
                 THRU 1600-VAL-P-CR-MEMO-CPNY-EXIT
           ELSE
              MOVE 20002 TO WS-8000-ERROR-CODE
              MOVE WS-LITERAL-YES TO ERROR-P-CR-MEMO-CPNY
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-P-CR-MEMO-CPNY TO WS-8000-FIELD-NAME1
              MOVE WS-T20-4TH-TOT-PCR-MEMO-CO TO WS-8000-BAD-DATA1
              MOVE '999' TO WS-8000-CORR-DATA1
              MOVE 1020 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T20-4TH-TOT-PCR-MEMO-CO
           END-IF

      *    *** WS-T20-4TH-TOTAL (Non-Numeric)
           INITIALIZE WS-1555-INPUT
           MOVE WS-T20-4TH-TOTAL TO WS-1555-TOTAL
           MOVE 4 TO WS-1555-TOTAL-NUMBER
           PERFORM 1555-VAL-TOTAL-PMT-METHOD
              THRU 1555-VAL-TOTAL-PMT-METHOD-EXIT

      *    *** WS-T20-4TH-ESCROW-CHK (Numeric)
           IF WS-T20-4TH-ESCROW-CHK NUMERIC
              INITIALIZE WS-1575-4TH-ESCROW-CHK
              MOVE WS-T20-4TH-ESCROW-CHK TO WS-1575-4TH-ESCROW-CHK
              PERFORM 1575-VAL-4TH-ESCROW-CHK
                 THRU 1575-VAL-4TH-ESCROW-CHK-EXIT
           ELSE
              MOVE 20002 TO WS-8000-ERROR-CODE
              MOVE WS-LITERAL-YES TO ERROR-4TH-ESCROW-CHK
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-4TH-ESCROW-CHK TO WS-8000-FIELD-NAME1
              MOVE WS-T20-4TH-ESCROW-CHK-X TO WS-8000-BAD-DATA1
              MOVE SPACES TO WS-8000-CORR-DATA1
              MOVE 1020 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T20-4TH-ESCROW-CHK
           END-IF

      *    *** WS-T20-4TH-TOT-DT-DRAFT-ISSUE (Numeric)
           IF WS-T20-4TH-TOT-DT-DRAFT-ISSUE NUMERIC
              INITIALIZE WS-1605-INPUT
              MOVE WS-T20-4TH-TOT-DT-DRAFT-ISSUE
                TO WS-1605-DRAFT-ISSUE-DT
              PERFORM 1605-VAL-DT-DRAFT-ISSUE
                 THRU 1605-VAL-DT-DRAFT-ISSUE-EXIT
           ELSE
              MOVE 20002 TO WS-8000-ERROR-CODE
              MOVE WS-LITERAL-YES TO ERROR-DT-DRAFT-ISSUED
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-DT-DRAFT-ISSUE TO WS-8000-FIELD-NAME1
              MOVE SPACES TO WS-8000-BAD-DATA1
              MOVE 00000000 TO WS-8000-CORR-DATA1
              MOVE 1020 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T20-4TH-TOT-DT-DRAFT-ISSUE
           END-IF


      *    *** WS-T20-4TH-TOTAL-AMOUNT (Numeric)
           IF WS-T20-4TH-TOTAL-AMOUNT NUMERIC
              INITIALIZE WS-1595-4TH-TOTAL-AMOUNT
              MOVE WS-T20-4TH-TOTAL-AMOUNT
                TO WS-1595-4TH-TOTAL-AMOUNT
              PERFORM 1595-VAL-4TH-TOT-AMT
                 THRU 1595-VAL-4TH-TOT-AMT-EXIT
           ELSE
              IF WS-T20-4TH-TOTAL-AMOUNT-N NUMERIC
                 MOVE ZEROS TO WS-1020-TEMP-SIGNED-AMOUNT
                 MOVE WS-T20-4TH-TOTAL-AMOUNT-N
                   TO WS-1020-TEMP-SIGNED-AMOUNT
                 MOVE WS-1020-TEMP-SIGNED-AMOUNT
                   TO WS-T20-4TH-TOTAL-AMOUNT
                 MOVE WS-T20-4TH-TOTAL-AMOUNT
                   TO WS-1595-4TH-TOTAL-AMOUNT
                 PERFORM 1595-VAL-4TH-TOT-AMT
                    THRU 1595-VAL-4TH-TOT-AMT-EXIT
              ELSE
                 MOVE 20002 TO WS-8000-ERROR-CODE
                 MOVE WS-LITERAL-YES TO ERROR-4TH-TOT-AMT
                 MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
                 MOVE WS-LITERAL-4TH-TOT-AMT TO WS-8000-FIELD-NAME1
                 MOVE WS-T20-4TH-TOTAL-AMOUNT-X TO WS-8000-BAD-DATA1
                 MOVE SPACES TO WS-8000-CORR-DATA1
                 MOVE 1020 TO WS-8000-PARAGRAPH-NO
                 PERFORM 8000-RECORD-TRAN-ERROR
                    THRU 8000-RECORD-TRAN-ERROR-EXIT
                 MOVE ZEROS TO WS-T20-4TH-TOTAL-AMOUNT
              END-IF
           END-IF


      *    *** WS-T20-FILLER-2 (123)
           MOVE SPACES TO WS-T20-FILLER-2

      *    *** WS-T20-VALID-FOR-ESCROW (Non-Numeric)
      *    *** SEE IF ANY OF THE FIELDS NEEDED FOR ESCROW ARE
      *    *** IN ERROR.
           IF WS-0007-POLICY-NO-ERROR = WS-LITERAL-YES OR
              ERROR-CLAIM-NO = WS-LITERAL-YES OR
              ERROR-1ST-TOT-AMT = WS-LITERAL-YES OR
              ERROR-2ND-TOT-AMT = WS-LITERAL-YES OR
              ERROR-3RD-TOT-AMT = WS-LITERAL-YES OR
              ERROR-4TH-TOT-AMT = WS-LITERAL-YES
              MOVE WS-LITERAL-NO TO WS-T20-VALID-FOR-ESCROW
           ELSE
              MOVE WS-LITERAL-YES TO WS-T20-VALID-FOR-ESCROW
           END-IF

      *    *** WS-T20-RM-DATA-RECEIPT-DATE (NUMERIC)
           IF WS-T20-RM-DATA-RECEIPT-DATE NOT NUMERIC
              MOVE ZEROS TO WS-T20-RM-DATA-RECEIPT-DATE
           END-IF

      *    *** WS-T20-FSA-CONTROL-DATE (NUMERIC)
           IF WS-T20-FSA-CONTROL-DATE NOT NUMERIC
              MOVE ZEROS TO WS-T20-FSA-CONTROL-DATE
           END-IF.


       1020-VALIDATE-T20-EXIT.
           EXIT.


       1020-DISPLAY-RECORD.

           DISPLAY '1020-INPUT TYPE 20 RECORD'
           UPON CONSOLE
           DISPLAY 'RECORD TYPE        : ',
           WS-T20-RECORD-TYPE UPON CONSOLE
           DISPLAY 'REPORTING ORG      : ',
           WS-T20-REPORTING-ORG UPON CONSOLE
           DISPLAY 'LOCATION STATE     : ',
           WS-T20-LOC-STATE UPON CONSOLE
           DISPLAY 'COMPANY            : ',
           WS-T20-COMPANY-COUNTY UPON CONSOLE
           DISPLAY 'POLICY NUMBER      : ',
           WS-T20-POLICY-NUM UPON CONSOLE
           DISPLAY 'CROP YEAR          : ',
           WS-T20-CROP-YEAR UPON CONSOLE
           DISPLAY '--------------------------------'
           UPON CONSOLE
           DISPLAY 'KEY RESERVE 01 (21)  : ',
           WS-T20-KEY-RESERVE-1 UPON CONSOLE
           DISPLAY 'CLAIM NUMBER         : ',
           WS-T20-CLAIM-NUM UPON CONSOLE
           DISPLAY 'REINSURANCE YEAR     : ',
           WS-T20-REINSURE-YR UPON CONSOLE
           DISPLAY 'KEY RESERVE 02 (20)  : ',
           WS-T20-KEY-RESERVE-2 UPON CONSOLE
           DISPLAY '--------------------------------'
           UPON CONSOLE
           DISPLAY 'FILLER 01 (02)       : ',
           WS-T20-FILLER-1 UPON CONSOLE
           DISPLAY 'RECORD NUMBER        : ',
           WS-T20-RECORD-NUM UPON CONSOLE
           DISPLAY '1ST TOTAL REINSURANCE YEAR  : ',
           WS-T20-1ST-TOT-REINSURE-YR UPON CONSOLE
           DISPLAY '1ST TOTAL P/CR MEMO COMPANY : ',
           WS-T20-1ST-TOT-PCR-MEMO-CO UPON CONSOLE
           DISPLAY '1ST TOTAL                   : ',
           WS-T20-1ST-TOTAL UPON CONSOLE
           DISPLAY '1ST ESCROW CHECK            : ',
           WS-T20-1ST-ESCROW-CHK UPON CONSOLE
           DISPLAY '1ST TOTAL DATE DRAFT ISSUED : ',
           WS-T20-1ST-TOT-DT-DRAFT-ISSUE UPON CONSOLE
           DISPLAY '1ST TOTAL AMOUNT            : ',
           WS-T20-1ST-TOTAL-AMOUNT UPON CONSOLE
           DISPLAY '---------------------------------------------'
           UPON CONSOLE
           DISPLAY '2ND TOTAL REINSURANCE YEAR  : ',
           WS-T20-2ND-TOT-REINSURE-YR UPON CONSOLE
           DISPLAY '2ND TOTAL P/CR MEMO COMPANY : ',
           WS-T20-2ND-TOT-PCR-MEMO-CO UPON CONSOLE
           DISPLAY '2ND TOTAL                   : ',
           WS-T20-2ND-TOTAL UPON CONSOLE
           DISPLAY '2ND ESCROW CHECK            : ',
           WS-T20-2ND-ESCROW-CHK UPON CONSOLE
           DISPLAY '2ND TOTAL DATE DRAFT ISSUED : ',
           WS-T20-2ND-TOT-DT-DRAFT-ISSUE UPON CONSOLE
           DISPLAY '2ND TOTAL AMOUNT            : ',
           WS-T20-2ND-TOTAL-AMOUNT UPON CONSOLE
           DISPLAY '---------------------------------------------'
           UPON CONSOLE
           DISPLAY '3RD TOTAL REINSURANCE YEAR  : ',
           WS-T20-3RD-TOT-REINSURE-YR UPON CONSOLE
           DISPLAY '3RD TOTAL P/CR MEMO COMPANY : ',
           WS-T20-3RD-TOT-PCR-MEMO-CO UPON CONSOLE
           DISPLAY '3RD TOTAL                   : ',
           WS-T20-3RD-TOTAL UPON CONSOLE
           DISPLAY '3RD ESCROW CHECK            : ',
           WS-T20-3RD-ESCROW-CHK UPON CONSOLE
           DISPLAY '3RD TOTAL DATE DRAFT ISSUED : ',
           WS-T20-3RD-TOT-DT-DRAFT-ISSUE UPON CONSOLE
           DISPLAY '3RD TOTAL AMOUNT            : ',
           WS-T20-3RD-TOTAL-AMOUNT UPON CONSOLE
           DISPLAY '---------------------------------------------'
           UPON CONSOLE
           DISPLAY '4TH TOTAL REINSURANCE YEAR  : ',
           WS-T20-4TH-TOT-REINSURE-YR UPON CONSOLE
           DISPLAY '4TH TOTAL P/CR MEMO COMPANY : ',
           WS-T20-4TH-TOT-PCR-MEMO-CO UPON CONSOLE
           DISPLAY '4TH TOTAL                   : ',
           WS-T20-4TH-TOTAL UPON CONSOLE
           DISPLAY '4TH ESCROW CHECK            : ',
           WS-T20-4TH-ESCROW-CHK UPON CONSOLE
           DISPLAY '4TH TOTAL DATE DRAFT ISSUED : ',
           WS-T20-4TH-TOT-DT-DRAFT-ISSUE UPON CONSOLE
           DISPLAY '4TH TOTAL AMOUNT            : ',
           WS-T20-4TH-TOTAL-AMOUNT UPON CONSOLE
           DISPLAY '---------------------------------------------'
           UPON CONSOLE
           DISPLAY 'FILLER 02 (123)             : ',
           WS-T20-FILLER-2 UPON CONSOLE
           DISPLAY '---------------------------------------------'
           UPON CONSOLE
           DISPLAY 'VALID FOR ESCROW FLAG       : ',
           WS-T20-VALID-FOR-ESCROW UPON CONSOLE
           DISPLAY 'RM DATA RECEIPT DATE        : ',
           WS-T20-RM-DATA-RECEIPT-DATE UPON CONSOLE
           DISPLAY 'FSA CONTROL DATE            : ',
           WS-T20-FSA-CONTROL-DATE UPON CONSOLE
           DISPLAY '--------------------------------'
           UPON CONSOLE
           DISPLAY 'FCIC CONTROL TIME    : ',
           WS-FCIC-CONTROL-TIME UPON CONSOLE
           DISPLAY 'FCIC CONTROL DATE    : ',
           WS-FCIC-CONTROL-DATE UPON CONSOLE
           DISPLAY 'REINSURANCE YEAR     : ',
           WS-REINS-YR UPON CONSOLE
           DISPLAY 'BATCH NUMBER         : ',
           WS-BATCH-NO UPON CONSOLE
           DISPLAY 'TRANS SEQUENCE NUM   : ',
           WS-TRAN-SEQ-NO UPON CONSOLE
           DISPLAY 'TRANS REJECTED FLAG  : ',
           WS-TRAN-REJ-FLAG UPON CONSOLE
           DISPLAY 'TRANS SOURCE FLAG    : ',
           WS-TRAN-SOURCE-FLAG UPON CONSOLE
           DISPLAY 'MDAS PROCESS NUMBER  : ',
           WS-MDAS-PROCESS-NO UPON CONSOLE
           DISPLAY 'FILLER 14 (14)       : ',
           WS-FILLER-14 UPON CONSOLE.


       1020-DISPLAY-RECORD-EXIT.
           EXIT.



