      ***************************************************************
      * File:      FV1021.CBL
      * Author:    Linda Funn
      * Date:      01/03/96
      * Purpose:
      *    This copy file contains the sequencing logic for the type
      *    21 Normal record.
      *
      * Contains:
      *
      ***************************************************************


       1021-VALIDATE-T21.

      $IF DEBUG-SW DEFINED
           DISPLAY '1021-FIELD VALIDATING TYPE 21 RECORD'
           UPON CONSOLE
      $END

      ****************************************************************
      *   DISPLAY INPUT RECORD                                       *
      ****************************************************************
      $IF DEBUG-SW DEFINED
           PERFORM 1021-DISPLAY-RECORD
              THRU 1021-DISPLAY-RECORD-EXIT
      $END


      *    *** INITIALIZE SIGN CONVERSION WORKING STORAGE
           INITIALIZE WS-1021-WORK

      *    *** WS-T21-RECORD-TYPE (Numeric)
      *    *** FV Edit done in 0905-READ-TRANSACTION

      *    *** WS-T21-REPORTING-ORG (Non-Numeric)
           INITIALIZE WS-1200-REPORTING-ORG
           MOVE WS-T21-REPORTING-ORG TO WS-1200-REPORTING-ORG
           PERFORM 1200-VAL-REPORTING-ORG
              THRU 1200-VAL-REPORTING-ORG-EXIT


      *    *** WS-T21-LOC-STATE (Numeric)
           IF WS-T21-LOC-STATE NUMERIC
              INITIALIZE WS-1205-LOC-STATE
              MOVE WS-T21-LOC-STATE TO WS-1205-LOC-STATE
              PERFORM 1205-VAL-LOCATION-STATE
                 THRU 1205-VAL-LOCATION-STATE-EXIT
           ELSE
              MOVE WS-LITERAL-YES TO ERROR-LOC-STATE
              MOVE WS-LITERAL-YES TO WS-0007-POLICY-NO-ERROR
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-LOC-STATE TO WS-8000-FIELD-NAME1
              MOVE WS-T21-LOC-STATE-X TO WS-8000-BAD-DATA1
              MOVE 1021 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T21-LOC-STATE
           END-IF

      *    *** WS-T21-COMPANY-COUNTY (NUMERIC)
           IF WS-T21-COMPANY-COUNTY-X NUMERIC
              INITIALIZE WS-1210-COMPANY-COUNTY
              MOVE WS-T21-COMPANY-COUNTY TO WS-1210-COMPANY-COUNTY
              PERFORM 1210-VAL-COMPANY-COUNTY
                 THRU 1210-VAL-COMPANY-COUNTY-EXIT
           ELSE
              MOVE WS-LITERAL-YES TO ERROR-CPNY-CNTY
              MOVE WS-LITERAL-YES TO WS-0007-POLICY-NO-ERROR
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-CPNY-CNTY TO WS-8000-FIELD-NAME1
              MOVE WS-T21-COMPANY-COUNTY-X TO WS-8000-BAD-DATA1
              MOVE 1021 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T21-COMPANY-COUNTY
           END-IF


      *    *** WS-T21-POLICY-NUM (Numeric)
           IF WS-T21-POLICY-NUM NUMERIC
              INITIALIZE WS-1215-POLICY-NO
              MOVE WS-T21-POLICY-NUM TO WS-1215-POLICY-NO
              PERFORM 1215-VAL-POLICY-NUMBER
                 THRU 1215-VAL-POLICY-NUMBER-EXIT
           ELSE
              MOVE WS-LITERAL-YES TO ERROR-POLICY-NO
              MOVE WS-LITERAL-YES TO WS-0007-POLICY-NO-ERROR
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-POLICY-NO TO WS-8000-FIELD-NAME1
              MOVE WS-T21-POLICY-NUM-X TO WS-8000-BAD-DATA1
              MOVE 1021 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T21-POLICY-NUM
           END-IF


      *    *** WS-T21-CROP-YEAR (Numeric)
           IF WS-T21-CROP-YEAR NUMERIC
              INITIALIZE WS-1220-CROP-YEAR
              MOVE WS-T21-CROP-YEAR TO WS-1220-CROP-YEAR
              PERFORM 1220-VAL-CROP-YEAR
                 THRU 1220-VAL-CROP-YEAR-EXIT
           ELSE
              MOVE WS-LITERAL-YES TO ERROR-CROP-YR
              MOVE WS-LITERAL-YES TO WS-0007-POLICY-NO-ERROR
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-CROP-YR TO WS-8000-FIELD-NAME1
              MOVE WS-T21-CROP-YEAR-X TO WS-8000-BAD-DATA1
              MOVE 'Reinsurance Yr + or - 1'
                TO WS-8000-CORR-DATA1
              MOVE 1021 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T21-CROP-YEAR
           END-IF

      *    *====================================================*
      *    *   END OF POLICY/CONTRACT NUMBER FIELDS             *
      *    *====================================================*

      *    *** WS-T21-CROP-CD (Numeric)
           IF WS-T21-CROP-CD NUMERIC
              INITIALIZE WS-1340-CROP-CODE
              MOVE WS-T21-CROP-CD TO WS-1340-CROP-CODE
              PERFORM 1340-VAL-CROP-CODE
                 THRU 1340-VAL-CROP-CODE-EXIT
           ELSE
              MOVE WS-LITERAL-YES TO WS-0007-REJECT-TRANSACTION
              MOVE WS-LITERAL-YES TO ERROR-CROP-CD
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-CROP-CD TO WS-8000-FIELD-NAME1
              MOVE WS-T21-CROP-CD-X TO WS-8000-BAD-DATA1
              MOVE SPACES TO WS-8000-CORR-DATA1
              MOVE 1021 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T21-CROP-CD
           END-IF


      *    *** WS-T21-INS-PLAN-CD (Numeric)
           IF WS-T21-INS-PLAN-CD NUMERIC
              INITIALIZE WS-0009-INSURANCE-PLAN
              MOVE WS-T21-INS-PLAN-CD
                TO WS-0009-INSURANCE-PLAN
              PERFORM 1405-VAL-INS-PLAN-CD
                 THRU 1405-VAL-INS-PLAN-CD-EXIT
           ELSE
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-INSUR-PLAN-CD
              MOVE WS-LITERAL-INSURE-PLAN-CD TO WS-8000-FIELD-NAME1
              MOVE WS-T21-INS-PLAN-CD-X TO WS-8000-BAD-DATA1
              MOVE SPACES TO WS-8000-CORR-DATA1
              MOVE 1021 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF


      *    *** WS-T21-LOCATION-COUNTY (Numeric)
           IF WS-T21-LOCATION-COUNTY NUMERIC
              INITIALIZE WS-1350-LOCATION-COUNTY
              MOVE WS-T21-LOCATION-COUNTY TO WS-1350-LOCATION-COUNTY
              PERFORM 1350-VAL-LOC-COUNTY
                 THRU 1350-VAL-LOC-COUNTY-EXIT
           ELSE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-LOC-CNTY
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-LOC-CNTY TO WS-8000-FIELD-NAME1
              MOVE WS-T21-LOCATION-COUNTY-X TO WS-8000-BAD-DATA1
              MOVE 1021 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T21-LOCATION-COUNTY
           END-IF


      *    *** WS-T21-UNIT-NUM (Numeric)
           IF WS-T21-UNIT-NUM NUMERIC
              INITIALIZE WS-1425-UNIT-NO
              MOVE WS-T21-UNIT-NUM TO WS-1425-UNIT-NO
              PERFORM 1425-VAL-UNIT-NO
                 THRU 1425-VAL-UNIT-NO-EXIT
           ELSE
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-UNIT-NO
              MOVE WS-LITERAL-UNIT-NO TO WS-8000-FIELD-NAME1
              MOVE WS-T21-UNIT-NUM-X TO WS-8000-BAD-DATA1
              MOVE SPACES TO WS-8000-CORR-DATA1
              MOVE 1021 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T21-UNIT-NUM
           END-IF


      *    *** WS-T21-TYPE-CD (Numeric)
           IF WS-T21-TYPE-CD NOT NUMERIC
              MOVE WS-LITERAL-YES TO ERROR-CROP-TYPE
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-CROP-TYPE TO WS-8000-FIELD-NAME1
              MOVE WS-T21-TYPE-CD-X TO WS-8000-BAD-DATA1
              MOVE SPACES TO WS-8000-CORR-DATA1
              MOVE 1021 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T21-TYPE-CD
           END-IF


      *    *** WS-T21-PRACTICE-CD (Numeric)
           IF WS-T21-PRACTICE-CD NOT NUMERIC
              MOVE WS-LITERAL-YES TO ERROR-PRACTICE-CD
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PRACTICE-CD TO WS-8000-FIELD-NAME1
              MOVE WS-T21-PRACTICE-CD-X TO WS-8000-BAD-DATA1
              MOVE SPACES TO WS-8000-CORR-DATA1
              MOVE 1021 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T21-PRACTICE-CD
           END-IF


      *    *** WS-T21-COVERAGE-FLG (Non-Numeric)
           INITIALIZE WS-0009-COVERAGE-FLG
           MOVE WS-T21-COVERAGE-FLG TO WS-0009-COVERAGE-FLG
           PERFORM 1385-VAL-COVERAGE-FL
              THRU 1385-VAL-COVERAGE-FL-EXIT


      *    *** WS-T21-CLAIM-NUM (Numeric)
           IF WS-T21-CLAIM-NUM NUMERIC
              INITIALIZE WS-1550-CLAIM-NUMBER
              MOVE WS-T21-CLAIM-NUM TO WS-1550-CLAIM-NUMBER
              PERFORM 1550-VAL-CLAIM-NO
                 THRU 1550-VAL-CLAIM-NO-EXIT
           ELSE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-CLAIM-NO
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-CLAIM-NO TO WS-8000-FIELD-NAME1
              MOVE WS-T21-CLAIM-NUM-X TO WS-8000-BAD-DATA1
              MOVE SPACES TO WS-8000-CORR-DATA1
              MOVE 1021 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T21-CLAIM-NUM
           END-IF

      *****************************************************

      *    *** WS-T21-KEY-RESERVE
           MOVE SPACES TO WS-T21-KEY-RESERVE


      *    *** WS-T21-FILLER-1 (Not Numeric)
           MOVE SPACES TO WS-T21-FILLER-1


      *    *** WS-T21-RECORD-NUM (Numeric)
           IF WS-T21-RECORD-NUM NUMERIC
              INITIALIZE WS-1230-RECORD-NO
              MOVE WS-T21-RECORD-NUM TO WS-1230-RECORD-NO
              PERFORM 1230-VAL-RECORD-NUMBER
                 THRU 1230-VAL-RECORD-NUMBER-EXIT
           ELSE
              MOVE WS-LITERAL-YES TO ERROR-REC-NO
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-REC-NO TO WS-8000-FIELD-NAME1
              MOVE WS-T21-RECORD-NUM-X TO WS-8000-BAD-DATA1
              MOVE 1021 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T21-RECORD-NUM
           END-IF


      *    *** WS-T21-ACREAGE-REC-NO (Numeric)
           IF WS-T21-ACREAGE-REC-NO NUMERIC
              INITIALIZE WS-1705-ACREAGE-REC-NO
              MOVE WS-T21-ACREAGE-REC-NO TO WS-1705-ACREAGE-REC-NO
              PERFORM 1705-VAL-ACREAGE-REC-NO
                 THRU 1705-VAL-ACREAGE-REC-NO-EXIT
           ELSE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-ACREAGE-REC-NO
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-ACRE-REC-NO TO WS-8000-FIELD-NAME1
              MOVE WS-T21-ACREAGE-REC-NO-X TO WS-8000-BAD-DATA1
              MOVE SPACES TO WS-8000-CORR-DATA1
              MOVE 1021 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T21-ACREAGE-REC-NO
           END-IF


      *    *** WS-T21-ADJUSTER-ID-CD (Not Numeric)
           INITIALIZE WS-1715-ADJUSTER-ID-CD
           MOVE WS-T21-ADJUSTER-ID-CD TO WS-1715-ADJUSTER-ID-CD
           PERFORM 1715-VAL-ADJUSTER-ID-CD
              THRU 1715-VAL-ADJUSTER-ID-CD-EXIT

      *    *** WS-T21-RATE-CLASS (Non Numeric)
      *    *** No FV Edit

      *    *** WS-T21-STAGE-CD (Non-Numeric)
           INITIALIZE WS-1780-INPUT
           MOVE WS-T21-STAGE-CD TO WS-1780-STAGE-CODE
           PERFORM 1780-VAL-STAGE-CODE
              THRU 1780-VAL-STAGE-CODE-EXIT

      *    *** WS-T21-100-PCT-REPLANT-FLG (NOT NUMERIC)
      *    *** NO FV EDIT?

      *    *** WS-T21-STAGE-GUAR-PER-ACRE (NUMERIC)
           IF WS-T21-STAGE-GUAR-PER-ACRE NOT NUMERIC
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-STAGE-GPA
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-STAGE-GPA TO WS-8000-FIELD-NAME1
              MOVE WS-T21-STAGE-GUAR-PER-ACRE-X TO WS-8000-BAD-DATA1
              MOVE SPACES TO WS-8000-CORR-DATA1
              MOVE 1021 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T21-STAGE-GUAR-PER-ACRE
           END-IF


      *    *** WS-T21-DETERMINED-ACRES (Numeric)
           IF WS-T21-DETERMINED-ACRES NUMERIC
              INITIALIZE WS-1610-DETERMINED-ACRES
              MOVE WS-T21-DETERMINED-ACRES TO WS-1610-DETERMINED-ACRES
              PERFORM 1610-VAL-DETERM-ACRES
                 THRU 1610-VAL-DETERM-ACRES-EXIT
           ELSE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-DETERM-ACRES
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-DETERM-ACRES TO WS-8000-FIELD-NAME1
              MOVE WS-T21-DETERMINED-ACRES-X TO WS-8000-BAD-DATA1
              MOVE SPACES TO WS-8000-CORR-DATA1
              MOVE 1021 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T21-DETERMINED-ACRES
           END-IF


      *    *** WS-T21-LIABILITY-FACTOR (Numeric)
           IF WS-T21-LIABILITY-FACTOR NUMERIC
              INITIALIZE WS-1615-LIABILITY-FACTOR
              MOVE WS-T21-LIABILITY-FACTOR TO WS-1615-LIABILITY-FACTOR
              PERFORM 1615-VAL-LIAB-FCTR
                 THRU 1615-VAL-LIAB-FCTR-EXIT
           ELSE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-LIAB-FCTR
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-LIAB-FCTR TO WS-8000-FIELD-NAME1
              MOVE WS-T21-LIABILITY-FACTOR-X TO WS-8000-BAD-DATA1
              MOVE SPACES TO WS-8000-CORR-DATA1
              MOVE 1021 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T21-LIABILITY-FACTOR
           END-IF

      *    *** WS-T21-LOSS-GUARANTEE (Numeric)
           IF WS-T21-LOSS-GUARANTEE NUMERIC
              INITIALIZE WS-1620-INPUT
              MOVE WS-T21-LOSS-GUARANTEE TO WS-1620-LOSS-GUARANTEE
              PERFORM 1620-VAL-LOSS-GUAR
                 THRU 1620-VAL-LOSS-GUAR-EXIT
           ELSE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-LOSS-GUAR
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-LOSS-GUAR TO WS-8000-FIELD-NAME1
              MOVE WS-T21-LOSS-GUARANTEE-X TO WS-8000-BAD-DATA1
              MOVE SPACES TO WS-8000-CORR-DATA1
              MOVE 1021 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T21-LOSS-GUARANTEE
           END-IF

      *    *** WS-T21-PROD-TO-CNT (Numeric)
           IF WS-T21-PROD-TO-CNT NUMERIC
              INITIALIZE WS-1650-PROD-TO-COUNT
              MOVE WS-T21-PROD-TO-CNT TO WS-1650-PROD-TO-COUNT
              PERFORM 1650-VAL-PROD-TO-CNT
                 THRU 1650-VAL-PROD-TO-CNT-EXIT
           ELSE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-PRODUCTION-TO-COUNT
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-PROD-TO-CNT TO WS-8000-FIELD-NAME1
              MOVE WS-T21-PROD-TO-CNT-X TO WS-8000-BAD-DATA1
              MOVE SPACES TO WS-8000-CORR-DATA1
              MOVE 1021 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T21-PROD-TO-CNT
           END-IF

      *    *** WS-T21-FARM-UNIT-DEFIC (Numeric)
           IF WS-T21-FARM-UNIT-DEFIC NUMERIC
              INITIALIZE WS-1655-INPUT
              MOVE WS-T21-FARM-UNIT-DEFIC
                TO WS-1655-FARM-UNIT-DEFICIENCY
              PERFORM 1655-VAL-FARM-UNIT-DEF
                 THRU 1655-VAL-FARM-UNIT-DEF-EXIT
           ELSE
              IF WS-T21-FARM-UNIT-DEFIC-N NUMERIC
                 MOVE ZERO TO WS-1021-TEMP-FARM-UNIT-DEF
                 MOVE WS-T21-FARM-UNIT-DEFIC-N
                   TO WS-1021-TEMP-FARM-UNIT-DEF
                 MOVE WS-1021-TEMP-FARM-UNIT-DEF
                   TO WS-T21-FARM-UNIT-DEFIC
                 INITIALIZE WS-1655-INPUT
                 MOVE WS-T21-FARM-UNIT-DEFIC
                   TO WS-1655-FARM-UNIT-DEFICIENCY
                 PERFORM 1655-VAL-FARM-UNIT-DEF
                    THRU 1655-VAL-FARM-UNIT-DEF-EXIT
              ELSE
                 MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
                 MOVE 002 TO WS-8000-SHORT-ERROR
                 MOVE WS-LITERAL-YES TO ERROR-FARM-UNIT-DEFICIENCY
                 MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
                 MOVE WS-LITERAL-FARM-UNIT-DEFC
                   TO WS-8000-FIELD-NAME1
                 MOVE WS-T21-FARM-UNIT-DEFIC-X
                   TO WS-8000-BAD-DATA1
                 MOVE SPACES TO WS-8000-CORR-DATA1
                 MOVE 1021 TO WS-8000-PARAGRAPH-NO
                 PERFORM 8000-RECORD-TRAN-ERROR
                    THRU 8000-RECORD-TRAN-ERROR-EXIT
                 MOVE ZEROS TO WS-T21-FARM-UNIT-DEFIC
              END-IF
           END-IF


      *    *** WS-T21-INSURED-SHARE (Numeric)
           IF WS-T21-INSURED-SHARE NUMERIC
              INITIALIZE WS-1455-INSURED-SHARE
              MOVE WS-T21-INSURED-SHARE TO WS-1455-INSURED-SHARE
              PERFORM 1455-VAL-INSURED-SHARE
                 THRU 1455-VAL-INSURED-SHARE-EXIT
           ELSE
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-INSURED-SHARE
              MOVE WS-LITERAL-INSURE-SHR TO WS-8000-FIELD-NAME1
              MOVE WS-T21-INSURED-SHARE-X TO WS-8000-BAD-DATA1
              MOVE SPACES TO WS-8000-CORR-DATA1
              MOVE 1021 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T21-INSURED-SHARE
           END-IF


      *    *** WS-T21-GRP-PMT-CALC-FCTR (Numeric)
           IF WS-T21-GRP-PMT-CALC-FCTR NUMERIC
              INITIALIZE WS-1665-INPUT
              MOVE WS-T21-GRP-PMT-CALC-FCTR
                TO WS-1665-GRP-PAYMENT-FACTOR
              PERFORM 1665-VAL-GRP-PMT-CALC
                 THRU 1665-VAL-GRP-PMT-CALC-EXIT
           ELSE
      *       MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
      *       MOVE 002 TO WS-8000-SHORT-ERROR
      *       MOVE WS-LITERAL-YES TO ERROR-GRP-PMT-CALC-FCTR
      *       MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
      *       MOVE WS-LITERAL-GRP-PMT-CALC-FCTR TO WS-8000-FIELD-NAME1
      *       MOVE WS-T21-GRP-PMT-CALC-FCTR-X TO WS-8000-BAD-DATA1
      *       MOVE SPACES TO WS-8000-CORR-DATA1
      *       MOVE 1021 TO WS-8000-PARAGRAPH-NO
      *       PERFORM 8000-RECORD-TRAN-ERROR
      *          THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T21-GRP-PMT-CALC-FCTR
           END-IF

      *    *** WS-T21-INDEMNITY (Numeric)
           IF WS-T21-INDEMNITY NUMERIC
              ADD WS-T21-INDEMNITY TO WS-0008-INFILE-LOSSES
              INITIALIZE WS-1805-INDEMNITY
              MOVE WS-T21-INDEMNITY TO WS-1805-INDEMNITY
              PERFORM 1805-VAL-INDEMNITY
                 THRU 1805-VAL-INDEMNITY-EXIT
           ELSE
              IF WS-T21-INDEMNITY-N NUMERIC
                 MOVE ZERO TO WS-1021-TEMP-SIGNED-INDEMNITY
                 MOVE WS-T21-INDEMNITY-N
                   TO WS-1021-TEMP-SIGNED-INDEMNITY
                 MOVE WS-1021-TEMP-SIGNED-INDEMNITY
                   TO WS-T21-INDEMNITY
                 ADD WS-T21-INDEMNITY TO WS-0008-INFILE-LOSSES
                 INITIALIZE WS-1805-INDEMNITY
                 MOVE WS-T21-INDEMNITY TO WS-1805-INDEMNITY
                 PERFORM 1805-VAL-INDEMNITY
                    THRU 1805-VAL-INDEMNITY-EXIT
              ELSE
                 MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
                 MOVE 002 TO WS-8000-SHORT-ERROR
                 MOVE WS-LITERAL-YES TO ERROR-INDEM
                 MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
                 MOVE WS-LITERAL-INDEM TO WS-8000-FIELD-NAME1
                 MOVE WS-T21-INDEMNITY-X TO WS-8000-BAD-DATA1
                 MOVE SPACES TO WS-8000-CORR-DATA1
                 MOVE 1021 TO WS-8000-PARAGRAPH-NO
                 PERFORM 8000-RECORD-TRAN-ERROR
                    THRU 8000-RECORD-TRAN-ERROR-EXIT
                 MOVE ZEROS TO WS-T21-INDEMNITY
              END-IF
           END-IF

      *    *** WS-T21-HARVEST-PROD (Numeric)
           IF WS-T21-HARVEST-PROD NUMERIC
              INITIALIZE WS-1670-INPUT
              MOVE WS-T21-HARVEST-PROD TO WS-1670-HARVEST-PRODUCTION
              PERFORM 1670-VAL-HARVEST-PROD
                 THRU 1670-VAL-HARVEST-PROD-EXIT
           ELSE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-HARVESTED-PRODUCTION
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-HARVEST-PROD TO WS-8000-FIELD-NAME1
              MOVE WS-T21-HARVEST-PROD-X TO WS-8000-BAD-DATA1
              MOVE SPACES TO WS-8000-CORR-DATA1
              MOVE 1021 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T21-HARVEST-PROD
           END-IF


      *    *** WS-T21-SUGAR-FCTR (Numeric)
           IF WS-T21-SUGAR-FCTR NUMERIC
              INITIALIZE WS-1700-SUGAR-FACTOR
              MOVE WS-T21-SUGAR-FCTR TO WS-1700-SUGAR-FACTOR
              PERFORM 1700-VAL-SUGAR-FACTOR
                 THRU 1700-VAL-SUGAR-FACTOR-EXIT
           ELSE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-SUGAR-FCTR
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-SUGAR-FCTR TO WS-8000-FIELD-NAME1
              MOVE WS-T21-SUGAR-FCTR-X TO WS-8000-BAD-DATA1
              MOVE SPACES TO WS-8000-CORR-DATA1
              MOVE 1021 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T21-SUGAR-FCTR
           END-IF

      *    *** WS-T21-AUDIT-CORR (Numeric)
           IF WS-T21-AUDIT-CORR NUMERIC
              INITIALIZE WS-1660-AUDIT-CORRECTION
              MOVE WS-T21-AUDIT-CORR TO WS-1660-AUDIT-CORRECTION
              PERFORM 1660-VAL-AUDIT-CORRECTION
                 THRU 1660-VAL-AUDIT-CORRECTION-EXIT
           ELSE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-AUDIT-CORRECTION
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-AUDIT-CORRECTION TO WS-8000-FIELD-NAME1
              MOVE WS-T21-AUDIT-CORR-X TO WS-8000-BAD-DATA1
              MOVE SPACES TO WS-8000-CORR-DATA1
              MOVE 1021 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T21-AUDIT-CORR
           END-IF

      *    *** WS-T21-PRIMARY-MONTH (Numeric)
           IF WS-T21-PRIMARY-MONTH NUMERIC
              INITIALIZE WS-1675-INPUT
              MOVE 1 TO WS-1675-SOURCE-FIELD
              MOVE WS-T21-PRIMARY-MONTH TO WS-1675-INPUT-MONTH
              PERFORM 1675-VAL-MONTH
                 THRU 1675-VAL-MONTH-EXIT
           ELSE
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-PRIMARY-MONTH
              MOVE WS-LITERAL-PRIMARY-MONTH TO WS-8000-FIELD-NAME1
              MOVE WS-T21-PRIMARY-MONTH-X TO WS-8000-BAD-DATA1
              MOVE SPACES TO WS-8000-CORR-DATA1
              MOVE 1021 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T21-PRIMARY-MONTH
           END-IF


      *    *** WS-T21-SECONDARY-MONTH (Numeric)
           IF WS-T21-SECONDARY-MONTH NUMERIC
              INITIALIZE WS-1675-INPUT
              MOVE 2 TO WS-1675-SOURCE-FIELD
              MOVE WS-T21-SECONDARY-MONTH TO WS-1675-INPUT-MONTH
              PERFORM 1675-VAL-MONTH
                 THRU 1675-VAL-MONTH-EXIT
           ELSE
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-SECONDARY-MONTH
              MOVE WS-LITERAL-SECONDRY-MONTH TO WS-8000-FIELD-NAME1
              MOVE WS-T21-SECONDARY-MONTH-X TO WS-8000-BAD-DATA1
              MOVE SPACES TO WS-8000-CORR-DATA1
              MOVE 1021 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T21-SECONDARY-MONTH
           END-IF


      *    *** WS-T21-PRIMARY-CAUSE (Numeric)
           IF WS-T21-PRIMARY-CAUSE NUMERIC
              INITIALIZE WS-1695-INPUT
              MOVE WS-T21-PRIMARY-CAUSE TO WS-1695-LOSS-CAUSE-CD
              MOVE 1 TO WS-1695-SOURCE-FIELD
              PERFORM 1695-VAL-LOSS-CAUSE-CD
                 THRU 1695-VAL-LOSS-CAUSE-CD-EXIT
           ELSE
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-PRIMARY-CAUSE
              MOVE WS-LITERAL-PRIMARY-CAUSE TO WS-8000-FIELD-NAME1
              MOVE WS-T21-PRIMARY-CAUSE-X TO WS-8000-BAD-DATA1
              MOVE SPACES TO WS-8000-CORR-DATA1
              MOVE 1021 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T21-PRIMARY-CAUSE
           END-IF


      *    *** WS-T21-PRIMARY-PCT (Numeric)
           IF WS-T21-PRIMARY-PCT NUMERIC
              INITIALIZE WS-1690-PRIMARY-PCT
              MOVE WS-T21-PRIMARY-PCT TO WS-1690-PRIMARY-PCT
              PERFORM 1690-VAL-PRIMARY-PCT
                 THRU 1690-VAL-PRIMARY-PCT-EXIT
           ELSE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-PRIMARY-PCT
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-PRIMARY-PCT TO WS-8000-FIELD-NAME1
              MOVE WS-T21-PRIMARY-PCT-X TO WS-8000-BAD-DATA1
              MOVE SPACES TO WS-8000-CORR-DATA1
              MOVE 1021 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T21-PRIMARY-PCT
           END-IF


      *    *** WS-T21-SECONDARY-CAUSE (Numeric)
           IF WS-T21-SECONDARY-CAUSE NUMERIC
              INITIALIZE WS-1695-INPUT
              MOVE WS-T21-SECONDARY-CAUSE TO WS-1695-LOSS-CAUSE-CD
              MOVE 2 TO WS-1695-SOURCE-FIELD
              PERFORM 1695-VAL-LOSS-CAUSE-CD
                 THRU 1695-VAL-LOSS-CAUSE-CD-EXIT
           ELSE
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-SECONDARY-CAUSE
              MOVE WS-LITERAL-SECONDRY-CAUSE TO WS-8000-FIELD-NAME1
              MOVE WS-T21-SECONDARY-CAUSE-X TO WS-8000-BAD-DATA1
              MOVE SPACES TO WS-8000-CORR-DATA1
              MOVE 1021 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T21-SECONDARY-CAUSE
           END-IF

      *    *** WS-T21-SIMPLIFIED-CLM-FLG (Non-Numeric)
           INITIALIZE WS-1775-INPUT
           MOVE WS-T21-SIMPLIFIED-CLM-FLG TO WS-1775-SIMPLIFIED-CLM
           PERFORM 1775-VAL-SIMPLIFIED-CLM
              THRU 1775-VAL-SIMPLIFIED-CLM-EXIT

      *    *** WS-T21-FARM-SERIAL-NO (Non-Numeric)
      *    *** No FV Edit

      *    *** WS-T21-REVENUE-CVG-LEVEL-PCT (Numeric)
           IF WS-T21-REVENUE-CVG-LEVEL-PCT NOT NUMERIC
      *       MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
      *       MOVE 002 TO WS-8000-SHORT-ERROR
      *       MOVE WS-LITERAL-YES TO ERROR-REVENUE-CVG-LVL
      *       MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
      *       MOVE WS-LITERAL-REVENUE-CVG-LVL
      *         TO WS-8000-FIELD-NAME1
      *       MOVE WS-T21-REVENUE-CVG-LEVEL-PCT-X
      *         TO WS-8000-BAD-DATA1
      *       MOVE 1021 TO WS-8000-PARAGRAPH-NO
      *       PERFORM 8000-RECORD-TRAN-ERROR
      *          THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T21-REVENUE-CVG-LEVEL-PCT
           ELSE
              IF WS-T21-REVENUE-CVG-LEVEL-PCT <> ZERO
                 IF (WS-T21-REVENUE-CVG-LEVEL-PCT < 0.650) OR
                    (WS-T21-REVENUE-CVG-LEVEL-PCT > 0.750)
                    MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
                    MOVE 008 TO WS-8000-SHORT-ERROR
                    MOVE WS-LITERAL-YES TO ERROR-REVENUE-CVG-LVL
                    MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
                    MOVE WS-LITERAL-REVENUE-CVG-LVL
                      TO WS-8000-FIELD-NAME1
                    MOVE WS-T21-REVENUE-CVG-LEVEL-PCT-X
                      TO WS-8000-BAD-DATA1
                    MOVE '0.650 - 0.750' TO WS-8000-CORR-DATA1
                    MOVE 1021 TO WS-8000-PARAGRAPH-NO
                    PERFORM 8000-RECORD-TRAN-ERROR
                       THRU 8000-RECORD-TRAN-ERROR-EXIT
                 END-IF
              END-IF
           END-IF


      *    *** WS-T21-GUARANTEE-RED-PCT (Numeric)
           IF WS-T21-GUARANTEE-RED-PCT NOT NUMERIC
      *       MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
      *       MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
      *       MOVE 002 TO WS-8000-SHORT-ERROR
      *       MOVE WS-LITERAL-YES TO ERROR-GUAR-RED-PCT
      *       MOVE WS-LITERAL-GUAR-RED-PCT TO WS-8000-FIELD-NAME1
      *       MOVE WS-T21-GUARANTEE-RED-PCT-X TO WS-8000-BAD-DATA1
      *       MOVE SPACES TO WS-8000-CORR-DATA1
      *       MOVE 1021 TO WS-8000-PARAGRAPH-NO
      *       PERFORM 8000-RECORD-TRAN-ERROR
      *          THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T21-GUARANTEE-RED-PCT
           END-IF


      *    *** WS-T21-DOLLAR-AMT-INSUR (Numeric)
           IF WS-T21-DOLLAR-AMT-INSUR NUMERIC
              INITIALIZE WS-1495-DOLLAR-AMT-INS
              MOVE WS-T21-DOLLAR-AMT-INSUR
                TO WS-1495-DOLLAR-AMT-INS
              PERFORM 1495-VAL-DOLLAR-AMT-INS
                 THRU 1495-VAL-DOLLAR-AMT-INS-EXIT
           ELSE
      *       MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
      *       MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
      *       MOVE 002 TO WS-8000-SHORT-ERROR
      *       MOVE WS-LITERAL-YES TO ERROR-DOLLAR-AMT-INSUR
      *       MOVE WS-LITERAL-DOLLAR-AMT-INSUR TO WS-8000-FIELD-NAME1
      *       MOVE WS-T21-DOLLAR-AMT-INSUR-X TO WS-8000-BAD-DATA1
      *       MOVE SPACES TO WS-8000-CORR-DATA1
      *       MOVE 1021 TO WS-8000-PARAGRAPH-NO
      *       PERFORM 8000-RECORD-TRAN-ERROR
      *          THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T21-DOLLAR-AMT-INSUR
           END-IF


      *    *** WS-T21-FILLER-2
           MOVE SPACES TO WS-T21-FILLER-2


      *    *** WS-T21-VALID-FOR-ESCROW (Non-Numeric)
      *    *** SEE IF ANY OF THE FIELDS NEEDED FOR ESCROW ARE
      *    *** IN ERROR.
           IF WS-0007-POLICY-NO-ERROR = WS-LITERAL-YES OR
              ERROR-CROP-CD = WS-LITERAL-YES OR
              ERROR-INSUR-PLAN-CD = WS-LITERAL-YES OR
              ERROR-LOC-CNTY = WS-LITERAL-YES OR
              ERROR-UNIT-NO = WS-LITERAL-YES OR
              ERROR-CLAIM-NO = WS-LITERAL-YES OR
              ERROR-LOSS-GUAR = WS-LITERAL-YES OR
              ERROR-INDEM = WS-LITERAL-YES
              MOVE WS-LITERAL-NO TO WS-T21-VALID-FOR-ESCROW
           ELSE
              MOVE WS-LITERAL-YES TO WS-T21-VALID-FOR-ESCROW
           END-IF.

      *    *** WS-T21-1996-CROP-CODE (NUMERIC)
           MOVE ZEROS TO WS-T21-1996-CROP-CODE

      *    *** WS-T21-1996-TYPE-CODE (NOT NUMERIC)
           MOVE SPACES TO WS-T21-1996-TYPE-CODE

      *    *** WS-T21-RM-DATA-RECEIPT-DATE (NUMERIC)
           MOVE ZEROS TO WS-T21-RM-DATA-RECEIPT-DATE

      *    *** WS-T21-YIELD (Numeric)
           IF WS-T21-YIELD NUMERIC
              INITIALIZE WS-1450-YIELD-QUOTA
              MOVE WS-T21-YIELD TO WS-1450-YIELD-QUOTA
              PERFORM 1450-VAL-YIELD-QUOTA
                 THRU 1450-VAL-YIELD-QUOTA-EXIT
           ELSE
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-YLD-QUOTA
              MOVE WS-LITERAL-YLD-QUOTA TO WS-8000-FIELD-NAME1
              MOVE WS-T21-YIELD-X TO WS-8000-BAD-DATA1
              MOVE SPACES TO WS-8000-CORR-DATA1
              MOVE 1021 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T21-YIELD
           END-IF

      *    *** WS-T21-QUOTA (Numeric)
           IF WS-T21-QUOTA NUMERIC
              INITIALIZE WS-1450-YIELD-QUOTA
              MOVE WS-T21-QUOTA TO WS-1450-YIELD-QUOTA
              PERFORM 1450-VAL-YIELD-QUOTA
                 THRU 1450-VAL-YIELD-QUOTA-EXIT
           ELSE
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-YLD-QUOTA
              MOVE WS-LITERAL-YLD-QUOTA TO WS-8000-FIELD-NAME1
              MOVE WS-T21-QUOTA-X TO WS-8000-BAD-DATA1
              MOVE SPACES TO WS-8000-CORR-DATA1
              MOVE 1021 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T21-QUOTA
           END-IF

      *    *** WS-T21-COVERAGE-LEVEL-PCT (Numeric)
           IF WS-T21-COVERAGE-LEVEL-PCT NUMERIC
              INITIALIZE WS-1435-COVERAGE-LEVEL-PCT
              MOVE WS-T21-COVERAGE-LEVEL-PCT
                TO WS-1435-COVERAGE-LEVEL-PCT
              PERFORM 1435-VAL-CVG-LEVEL-PCT
                 THRU 1435-VAL-CVG-LEVEL-PCT-EXIT
           ELSE
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-CVG-LVL-PCT
              MOVE WS-LITERAL-CVG-LVL-PCT TO WS-8000-FIELD-NAME1
              MOVE WS-T21-COVERAGE-LEVEL-PCT-X TO WS-8000-BAD-DATA1
              MOVE SPACES TO WS-8000-CORR-DATA1
              MOVE 1021 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T21-COVERAGE-LEVEL-PCT
           END-IF

      *    *** WS-T21-PRICE-ELECTION (Numeric)
           IF WS-T21-PRICE-ELECTION NUMERIC
              INITIALIZE WS-1440-PRICE-ELECTION
              MOVE WS-T21-PRICE-ELECTION TO WS-1440-PRICE-ELECTION
              PERFORM 1440-VAL-PRICE-ELECTION
                 THRU 1440-VAL-PRICE-ELECTION-EXIT
           ELSE
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-PRICE-ELECTION
              MOVE WS-LITERAL-PRICE-ELECT TO WS-8000-FIELD-NAME1
              MOVE WS-T21-PRICE-ELECTION-X TO WS-8000-BAD-DATA1
              MOVE SPACES TO WS-8000-CORR-DATA1
              MOVE 1021 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T21-PRICE-ELECTION
           END-IF

      *    *** WS-T21-FILLER-3
           MOVE SPACES TO WS-T21-FILLER-3


      *    *** WS-T21-FSA-CONTROL-DATE (NUMERIC)
           IF WS-T21-FSA-CONTROL-DATE NOT NUMERIC
              MOVE ZEROS TO WS-T21-FSA-CONTROL-DATE
           END-IF.



       1021-VALIDATE-T21-EXIT.
           EXIT.



       1021-DISPLAY-RECORD.

           DISPLAY '1021-INPUT TYPE 21 RECORD'
           UPON CONSOLE
           DISPLAY 'RECORD TYPE        : ',
           WS-T21-RECORD-TYPE UPON CONSOLE
           DISPLAY 'REPORTING ORG      : ',
           WS-T21-REPORTING-ORG UPON CONSOLE
           DISPLAY 'LOCATION STATE     : ',
           WS-T21-LOC-STATE UPON CONSOLE
           DISPLAY 'COMPANY            : ',
           WS-T21-COMPANY-COUNTY UPON CONSOLE
           DISPLAY 'POLICY NUMBER      : ',
           WS-T21-POLICY-NUM UPON CONSOLE
           DISPLAY 'CROP YEAR          : ',
           WS-T21-CROP-YEAR UPON CONSOLE
           DISPLAY '--------------------------------'
           UPON CONSOLE
           DISPLAY 'CROP CODE          : ',
           WS-T21-CROP-CD UPON CONSOLE
           DISPLAY 'INSURANCE PLAN CD  : ',
           WS-T21-INS-PLAN-CD UPON CONSOLE
           DISPLAY 'LOCATION COUNTY    : ',
           WS-T21-LOCATION-COUNTY UPON CONSOLE
           DISPLAY 'UNIT NUMBER        : ',
           WS-T21-UNIT-NUM UPON CONSOLE
           DISPLAY 'TYPE CODE          : ',
           WS-T21-TYPE-CD UPON CONSOLE
           DISPLAY 'PRACTICE CODE      : ',
           WS-T21-PRACTICE-CD UPON CONSOLE
           DISPLAY 'COVERAGE FLAG      : ',
           WS-T21-COVERAGE-FLG UPON CONSOLE
           DISPLAY 'CLAIM NUMBER       : ',
           WS-T21-CLAIM-NUM UPON CONSOLE
           DISPLAY '--------------------------------'
           UPON CONSOLE
           DISPLAY 'KEY RESERVE          : ',
           WS-T21-KEY-RESERVE UPON CONSOLE
           DISPLAY 'FILLER 01 (02)       : ',
           WS-T21-FILLER-1 UPON CONSOLE
           DISPLAY 'RECORD NUMBER        : ',
           WS-T21-RECORD-NUM UPON CONSOLE
           DISPLAY 'TYPE 11 RECORD NUM   : ',
           WS-T21-ACREAGE-REC-NO UPON CONSOLE
           DISPLAY 'ADJUSTER ID CODE     : ',
           WS-T21-ADJUSTER-ID-CD UPON CONSOLE
           DISPLAY 'RATE CLASSIFICATION  : ',
           WS-T21-RATE-CLASS UPON CONSOLE
           DISPLAY 'STAGE CODE           : ',
           WS-T21-STAGE-CD UPON CONSOLE
           DISPLAY '100% REPLANT FLAG    : ',
           WS-T21-100-PCT-REPLANT-FLG UPON CONSOLE
           DISPLAY 'STAGE GUARANTEE/ACRE : ',
           WS-T21-STAGE-GUAR-PER-ACRE UPON CONSOLE
           DISPLAY 'DETERMINED ACRES     : ',
           WS-T21-DETERMINED-ACRES UPON CONSOLE
           DISPLAY 'LIABILITY FACTOR     : ',
           WS-T21-LIABILITY-FACTOR UPON CONSOLE
           DISPLAY 'LOSS GUARANTEE       : ',
           WS-T21-LOSS-GUARANTEE UPON CONSOLE
           DISPLAY 'PRODUCTION TO COUNT  : ',
           WS-T21-PROD-TO-CNT UPON CONSOLE
           DISPLAY 'FARM UNIT DEFICIENCY : ',
           WS-T21-FARM-UNIT-DEFIC UPON CONSOLE
           DISPLAY 'INSURED SHARE        : ',
           WS-T21-INSURED-SHARE UPON CONSOLE
           DISPLAY 'GRP PAYMENT CALC FCTR: ',
           WS-T21-GRP-PMT-CALC-FCTR UPON CONSOLE
           DISPLAY 'INDEMNITY            : ',
           WS-T21-INDEMNITY UPON CONSOLE
           DISPLAY 'HARVESTED PRODUCTION : ',
           WS-T21-HARVEST-PROD UPON CONSOLE
           DISPLAY 'SUGAR FACTOR         : ',
           WS-T21-SUGAR-FCTR UPON CONSOLE
           DISPLAY 'AUDIT CORRECTION     : ',
           WS-T21-AUDIT-CORR UPON CONSOLE
           DISPLAY 'PRIMARY MONTH        : ',
           WS-T21-PRIMARY-MONTH UPON CONSOLE
           DISPLAY 'SECONDARY MONTH      : ',
           WS-T21-SECONDARY-MONTH UPON CONSOLE
           DISPLAY 'PRIMARY CAUSE        : ',
           WS-T21-PRIMARY-CAUSE UPON CONSOLE
           DISPLAY 'PRIMARY PERCENT      : ',
           WS-T21-PRIMARY-PCT UPON CONSOLE
           DISPLAY 'SECONDARY CAUSE      : ',
           WS-T21-SECONDARY-CAUSE UPON CONSOLE
           DISPLAY 'SIMPLIFIED CLAIM FLG : ',
           WS-T21-SIMPLIFIED-CLM-FLG UPON CONSOLE
           DISPLAY 'FARM SERIAL NUMBER   : ',
           WS-T21-FARM-SERIAL-NUM UPON CONSOLE
           DISPLAY 'REVENUE CVG LVL %    : ',
           WS-T21-REVENUE-CVG-LEVEL-PCT UPON CONSOLE
           DISPLAY 'GUARANTEE REDUCTION% : ',
           WS-T21-GUARANTEE-RED-PCT UPON CONSOLE
           DISPLAY 'DOLLAR AMT OF INS    : ',
           WS-T21-DOLLAR-AMT-INSUR UPON CONSOLE
           DISPLAY '--------------------------------'
           UPON CONSOLE
           DISPLAY 'FILLER 02 (59)       : ',
           WS-T21-FILLER-2 UPON CONSOLE
           DISPLAY 'VALID FOR ESCROW     : ',
           WS-T21-VALID-FOR-ESCROW UPON CONSOLE
           DISPLAY '1996 CROP CODE       : ',
           WS-T21-1996-CROP-CODE UPON CONSOLE
           DISPLAY '1996 TYPE CODE       : ',
           WS-T21-1996-TYPE-CODE UPON CONSOLE
           DISPLAY 'RM DATA RECEIPT DATE : ',
           WS-T21-RM-DATA-RECEIPT-DATE UPON CONSOLE
           DISPLAY 'YIELD                : ',
           WS-T21-YIELD UPON CONSOLE
           DISPLAY 'QUOTA                : ',
           WS-T21-QUOTA UPON CONSOLE
           DISPLAY 'COVERAGE LEVEL PCT   : ',
           WS-T21-COVERAGE-LEVEL-PCT UPON CONSOLE
           DISPLAY 'PRICE ELECTION       : ',
           WS-T21-PRICE-ELECTION UPON CONSOLE
           DISPLAY 'FILLER 03 (28)       : ',
           WS-T21-FILLER-3 UPON CONSOLE
           DISPLAY 'FSA CONTROL DATE     : ',
           WS-T21-FSA-CONTROL-DATE UPON CONSOLE
           DISPLAY '--------------------------------'
           UPON CONSOLE
           DISPLAY 'FCIC CONTROL TIME    : ',
           WS-FCIC-CONTROL-TIME UPON CONSOLE
           DISPLAY 'FCIC CONTROL DATE    : ',
           WS-FCIC-CONTROL-DATE UPON CONSOLE
           DISPLAY 'REINSURANCE YEAR     : ',
           WS-REINS-YR UPON CONSOLE
           DISPLAY 'BATCH NUMBER         : ',
           WS-BATCH-NO UPON CONSOLE
           DISPLAY 'TRANS SEQUENCE NUM   : ',
           WS-TRAN-SEQ-NO UPON CONSOLE
           DISPLAY 'TRANS REJECTED FLAG  : ',
           WS-TRAN-REJ-FLAG UPON CONSOLE
           DISPLAY 'TRANS SOURCE FLAG    : ',
           WS-TRAN-SOURCE-FLAG UPON CONSOLE
           DISPLAY 'MDAS PROCESS NUMBER  : ',
           WS-MDAS-PROCESS-NO UPON CONSOLE
           DISPLAY 'FILLER 14 (14)       : ',
           WS-FILLER-14 UPON CONSOLE.


       1021-DISPLAY-RECORD-EXIT.
           EXIT.



