      ***************************************************************
      * File:      FV1055.CBL
      * Author:    Angela Wall
      * Date:      7/10/96
      * Purpose:
      *    This copy file contains the sequencing logic for the type
      *    55 record.
      *
      ***************************************************************


       1055-VALIDATE-T55.

      $IF DEBUG-SW DEFINED
           DISPLAY '1055-FIELD VALIDATING TYPE 55 RECORD'
           UPON CONSOLE
      $END

      ****************************************************************
      *   DISPLAY INPUT RECORD                                       *
      ****************************************************************
      $IF DEBUG-SW DEFINED
           PERFORM 1055-DISPLAY-RECORD
              THRU 1055-DISPLAY-RECORD-EXIT
      $END

      *    *** WS-T55-RECORD-TYPE (Numeric)
      *    NO validation needed

      *    *** WS-T55-REPORTING-ORG (NON-NUMERIC)
           INITIALIZE WS-1200-REPORTING-ORG
           MOVE WS-T55-REPORTING-ORG TO WS-1200-REPORTING-ORG
           PERFORM 1200-VAL-REPORTING-ORG
              THRU 1200-VAL-REPORTING-ORG-EXIT

      *    *** WS-T55-SERV-STATE (NUMERIC)  (AGENT LIST STATE)
           IF WS-T55-SERV-STATE NUMERIC
              INITIALIZE WS-1205-LOC-STATE
              MOVE WS-T55-SERV-STATE TO WS-1205-LOC-STATE
              PERFORM 1205-VAL-LOCATION-STATE
                 THRU 1205-VAL-LOCATION-STATE-EXIT
           ELSE
              MOVE WS-LITERAL-YES TO ERROR-LOC-STATE
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-LOC-STATE TO WS-8000-FIELD-NAME1
              MOVE WS-T55-SERV-STATE-X TO WS-8000-BAD-DATA1
              MOVE 1055 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T55-SERV-STATE
           END-IF

      *    *** WS-T55-ACTIVE-FLG (NON-NUMERIC)
           INITIALIZE WS-1900-ACTIVE-FLG
           MOVE WS-T55-ACTIVE-FLG TO WS-1900-ACTIVE-FLG
           PERFORM 1900-VAL-ACTIVE-FLG
              THRU 1900-VAL-ACTIVE-FLG-EXIT

      *    *** WS-T55-INACTIVE-DATE (NON-NUMERIC)
           INITIALIZE WS-1905-INACTIVE-DATE
           MOVE WS-T55-INACTIVE-DATE TO WS-1905-INACTIVE-DATE
           PERFORM 1905-VAL-INACTIVE-DATE
              THRU 1905-VAL-INACTIVE-DATE-EXIT

      *    *** WS-T55-FILLER-1
           MOVE SPACES TO WS-T55-FILLER-1

      *    *** WS-T55-CROP-YEAR (NUMERIC)    (REINSURANCE YEAR)
           IF WS-T55-CROP-YEAR NUMERIC
              INITIALIZE WS-1545-REINSURE-YEAR
              MOVE WS-T55-CROP-YEAR TO WS-1545-REINSURE-YEAR
              PERFORM 1545-VAL-REINSURE-YR
                 THRU 1545-VAL-REINSURE-YR-EXIT
           ELSE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-REINSURE-YR
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-CROP-YR TO WS-8000-FIELD-NAME1
              MOVE WS-T55-CROP-YEAR-X TO WS-8000-BAD-DATA1
              MOVE 'REINS YR + OR - 2' TO  WS-8000-CORR-DATA1
              MOVE 1055 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T55-CROP-YEAR
           END-IF

      *    *** WS-T55-TYPE-OF-ID-CODE (NON-NUMERIC)
           INITIALIZE WS-1920-TYPE-OF-ID-CODE
           MOVE WS-T55-TYPE-OF-ID-CODE TO WS-1920-TYPE-OF-ID-CODE
           PERFORM 1920-VAL-TYPE-OF-ID-CODE
              THRU 1920-VAL-TYPE-OF-ID-CODE-EXIT

      *    *** WS-T55-AGENT-ID (NON-NUMERIC)
           INITIALIZE WS-1925-AGENT-ID
           MOVE WS-T55-AGENT-ID TO WS-1925-AGENT-ID
           PERFORM 1925-VAL-AGENT-ID
              THRU 1925-VAL-AGENT-ID-EXIT

      *    *** WS-T55-AGENT-LAST-NAME (NON-NUMERIC)
           INITIALIZE WS-1240-INPUT
           MOVE WS-T55-AGENT-LAST-NAME TO WS-1240-LAST-NAME
           PERFORM 1240-VAL-LAST-NAME
              THRU 1240-VAL-LAST-NAME-EXIT

      *    *** WS-T55-AGENT-FIRST-NAME (NON-NUMERIC)
           INITIALIZE WS-1245-INPUT
           MOVE WS-T55-AGENT-FIRST-NAME TO WS-1245-FIRST-NAME
           PERFORM 1245-VAL-FIRST-NAME
              THRU 1245-VAL-FIRST-NAME-EXIT

      *    *** WS-T55-AGENT-MID-NAME (NON-NUMERIC)
           INITIALIZE WS-1250-INPUT
           MOVE WS-T55-AGENT-MID-NAME TO WS-1250-MIDDLE-NAME
           PERFORM 1250-VAL-MIDDLE-NAME
              THRU 1250-VAL-MIDDLE-NAME-EXIT

      *    *** WS-T55-AGENT-SUFFIX (NON-NUMERIC)
           INITIALIZE WS-1255-INPUT
           MOVE WS-T55-AGENT-SUFFIX TO WS-1255-NAME-SUFFIX
           PERFORM 1255-VAL-NAME-SUFFIX
              THRU 1255-VAL-NAME-SUFFIX-EXIT

      *    *** WS-T55-AGENT-TITLE (NON-NUMERIC)
           INITIALIZE WS-1260-INPUT
           MOVE WS-T55-AGENT-TITLE TO WS-1260-TITLE
           PERFORM 1260-VAL-TITLE
              THRU 1260-VAL-TITLE-EXIT

      *    *** WS-T55-AGENCY-NAME (NON-NUMERIC)
           INITIALIZE WS-1940-AGENCY-NAME
           MOVE WS-T55-AGENCY-NAME TO WS-1940-AGENCY-NAME
           PERFORM 1940-VAL-AGENCY-NAME
              THRU 1940-VAL-AGENCY-NAME-EXIT

      *    *** WS-T55-BUSINESS-ADDRESS (NON-NUMERIC)
           INITIALIZE WS-1945-BUSINESS-ADDRESS
           MOVE WS-T55-BUSINESS-ADDRESS TO WS-1945-BUSINESS-ADDRESS
           PERFORM 1945-VAL-BUSINESS-ADDRESS
              THRU 1945-VAL-BUSINESS-ADDRESS-EXIT

      *    *** WS-T55-CITY (NON-NUMERIC)
           INITIALIZE WS-1950-AGENCY-CITY
           MOVE WS-T55-CITY TO WS-1950-AGENCY-CITY
           PERFORM 1950-VAL-AGENCY-CITY
              THRU 1950-VAL-AGENCY-CITY-EXIT

      *    *** WS-T55-COUNTY (NUMERIC)
           IF WS-T55-COUNTY NUMERIC
              INITIALIZE WS-1350-LOCATION-COUNTY
              MOVE WS-T55-COUNTY TO WS-1350-LOCATION-COUNTY
              PERFORM 1350-VAL-LOC-COUNTY
                 THRU 1350-VAL-LOC-COUNTY-EXIT
           ELSE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-LOC-CNTY
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-LOC-CNTY TO WS-8000-FIELD-NAME1
              MOVE WS-T55-COUNTY-X TO WS-8000-BAD-DATA1
              MOVE 1055 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T55-COUNTY
           END-IF


      *    *** WS-T55-ADDRESS-STATE (NON-NUMERIC)
           INITIALIZE WS-1280-ADDRESS-STATE
           MOVE WS-T55-ADDRESS-STATE TO WS-1280-ADDRESS-STATE
           PERFORM 1280-VAL-ADDRESS-STATE
              THRU 1280-VAL-ADDRESS-STATE-EXIT

      *    *** WS-T55-ZIP-CODE (NUMERIC)
           IF WS-T55-ZIP-CODE NUMERIC
              INITIALIZE WS-1285-ZIP-CODE
              MOVE WS-T55-ZIP-CODE TO WS-1285-ZIP-CODE
              PERFORM 1285-VAL-ZIP-CODE
                 THRU 1285-VAL-ZIP-CODE-EXIT
           ELSE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-ZIP-CD
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-ZIP-CODE TO WS-8000-FIELD-NAME1
              MOVE WS-T55-ZIP-CODE-X TO WS-8000-BAD-DATA1
              MOVE 1055 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T55-ZIP-CODE
           END-IF


      *    *** WS-T55-ZIP-EXTEN (NUMERIC)
           IF WS-T55-ZIP-EXTEN NUMERIC
              INITIALIZE WS-1290-ZIP-EXT
              MOVE WS-T55-ZIP-EXTEN TO WS-1290-ZIP-EXT
              PERFORM 1290-VAL-ZIP-EXTENSION
                 THRU 1290-VAL-ZIP-EXTENSION-EXIT
           ELSE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-ZIP-EXT
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-ZIP-EXT TO WS-8000-FIELD-NAME1
              MOVE WS-T55-ZIP-EXTEN-X TO WS-8000-BAD-DATA1
              MOVE 1055 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T55-ZIP-EXTEN
           END-IF

      *    *** WS-T55-FILLER-2
           MOVE SPACES TO WS-T55-FILLER-2

      *    *** WS-T55-PHONE-NUM (NUMERIC)
           IF WS-T55-PHONE-NUM NUMERIC
              INITIALIZE WS-1305-PHONE-NO
              MOVE WS-T55-PHONE-NUM TO WS-1305-PHONE-NO
              PERFORM 1305-VAL-PHONE-NUMBER
                 THRU 1305-VAL-PHONE-NUMBER-EXIT
           ELSE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-PHONE-NO
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-PHONE-NO TO WS-8000-FIELD-NAME1
              MOVE WS-T55-PHONE-NUM-X TO WS-8000-BAD-DATA1
              MOVE 1055 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T55-PHONE-NUM
           END-IF

      *    *** WS-T55-PHONE-EXTEN (NON-NUMERIC)
           INITIALIZE WS-1960-PHONE-EXTEN
           MOVE WS-T55-PHONE-EXTEN TO WS-1960-PHONE-EXTEN
           PERFORM 1960-VAL-PHONE-EXTEN
              THRU 1960-VAL-PHONE-EXTEN-EXIT

      *    *** WS-T55-FILLER-3
           MOVE SPACES TO WS-T55-FILLER-3

      *    *** WS-T55-SOC-SEC-NUM (NUMERIC)
           IF WS-T55-SOC-SEC-NUM NUMERIC
              INITIALIZE WS-1970-SOC-SEC-NUM
              MOVE WS-T55-SOC-SEC-NUM TO WS-1970-SOC-SEC-NUM
              PERFORM 1970-VAL-SOC-SEC-NUM
                 THRU 1970-VAL-SOC-SEC-NUM-EXIT
           ELSE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-SOC-SEC-NUM
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-SOC-SEC-NUM TO WS-8000-FIELD-NAME1
              MOVE WS-T55-SOC-SEC-NUM-X TO WS-8000-BAD-DATA1
              MOVE 1055 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T55-SOC-SEC-NUM
           END-IF

      *    *** WS-T55-FILLER-4
           MOVE SPACES TO WS-T55-FILLER-4

      *    *** WS-T55-CONTROL-DATE (NON-NUMERIC)
      *    *** SET TO INPUT DATE HERE
           MOVE WS-0004-FCIC-PROC-DATE
             TO WS-T55-CONTROL-DATE.


       1055-VALIDATE-T55-EXIT.
           EXIT.



       1055-DISPLAY-RECORD.

           DISPLAY '1055-INPUT TYPE 55 RECORD'
           UPON CONSOLE
           DISPLAY 'RECORD TYPE        : ',
           WS-T55-RECORD-TYPE UPON CONSOLE
           DISPLAY 'REPORTING ORG      : ',
           WS-T55-REPORTING-ORG UPON CONSOLE
           DISPLAY 'SERVICING STATE    : ',
           WS-T55-SERV-STATE UPON CONSOLE
           DISPLAY 'ACTIVE FLAG        : ',
           WS-T55-ACTIVE-FLG UPON CONSOLE
           DISPLAY 'INACTIVE DATE      : ',
           WS-T55-INACTIVE-DATE UPON CONSOLE
           DISPLAY 'FILLER 01 (02)     : ',
           WS-T55-FILLER-1 UPON CONSOLE
           DISPLAY 'CROP YEAR          : ',
           WS-T55-CROP-YEAR UPON CONSOLE
           DISPLAY 'TYPE OF ID CODE    : ',
           WS-T55-TYPE-OF-ID-CODE UPON CONSOLE
           DISPLAY 'AGENT ID           : ',
           WS-T55-AGENT-ID UPON CONSOLE
           DISPLAY 'AGENT LAST NAME    : ',
           WS-T55-AGENT-LAST-NAME UPON CONSOLE
           DISPLAY 'AGENT FIRST NAME   : ',
           WS-T55-AGENT-FIRST-NAME UPON CONSOLE
           DISPLAY 'AGENT MIDDLE NAME  : ',
           WS-T55-AGENT-MID-NAME UPON CONSOLE
           DISPLAY 'AGENT SUFFIX       : ',
           WS-T55-AGENT-SUFFIX UPON CONSOLE
           DISPLAY 'AGENT TITLE        : ',
           WS-T55-AGENT-TITLE UPON CONSOLE
           DISPLAY 'AGENCY NAME        : ',
           WS-T55-AGENCY-NAME UPON CONSOLE
           DISPLAY 'BUSINESS ADDRESS   : ',
           WS-T55-BUSINESS-ADDRESS UPON CONSOLE
           DISPLAY 'CITY               : ',
           WS-T55-CITY UPON CONSOLE
           DISPLAY 'COUNTY             : ',
           WS-T55-COUNTY UPON CONSOLE
           DISPLAY 'ADDRESS STATE      : ',
           WS-T55-ADDRESS-STATE UPON CONSOLE
           DISPLAY 'ZIP CODE           : ',
           WS-T55-ZIP-CODE UPON CONSOLE
           DISPLAY 'ZIP EXTENSION      : ',
           WS-T55-ZIP-EXTEN UPON CONSOLE
           DISPLAY 'FILLER 02 (06)     : ',
           WS-T55-FILLER-2 UPON CONSOLE
           DISPLAY 'PHONE NUMBER       : ',
           WS-T55-PHONE-NUM UPON CONSOLE
           DISPLAY 'PHONE EXT          : ',
           WS-T55-PHONE-EXTEN UPON CONSOLE
           DISPLAY 'FILLER 03 (26)     : ',
           WS-T55-FILLER-3 UPON CONSOLE
           DISPLAY 'SSN                : ',
           WS-T55-SOC-SEC-NUM UPON CONSOLE
           DISPLAY 'FILLER 04 (84)     : ',
           WS-T55-FILLER-4 UPON CONSOLE
           DISPLAY 'FSA CONTROL DATE   : ',
           WS-T55-CONTROL-DATE UPON CONSOLE
           DISPLAY '--------------------------------'
           UPON CONSOLE
           DISPLAY 'FCIC CONTROL TIME    : ',
           WS-FCIC-CONTROL-TIME UPON CONSOLE
           DISPLAY 'FCIC CONTROL DATE    : ',
           WS-FCIC-CONTROL-DATE UPON CONSOLE
           DISPLAY 'REINSURANCE YEAR     : ',
           WS-REINS-YR UPON CONSOLE
           DISPLAY 'BATCH NUMBER         : ',
           WS-BATCH-NO UPON CONSOLE
           DISPLAY 'TRANS SEQUENCE NUM   : ',
           WS-TRAN-SEQ-NO UPON CONSOLE
           DISPLAY 'TRANS REJECTED FLAG  : ',
           WS-TRAN-REJ-FLAG UPON CONSOLE
           DISPLAY 'TRANS SOURCE FLAG    : ',
           WS-TRAN-SOURCE-FLAG UPON CONSOLE
           DISPLAY 'MDAS PROCESS NUMBER  : ',
           WS-MDAS-PROCESS-NO UPON CONSOLE
           DISPLAY 'FILLER 14            : ',
           WS-FILLER-14 UPON CONSOLE.

       1055-DISPLAY-RECORD-EXIT.
           EXIT.


