      ***************************************************************
      * File:      FV1056.CBL
      * Author:    Mike Ray
      * Date:      4/28/97
      * Purpose:
      *    This copy file contains the sequencing logic for the type
      *    56 record.
      *
      ***************************************************************


       1056-VALIDATE-T56.

      $IF DEBUG-SW DEFINED
           DISPLAY '1056-FIELD VALIDATING TYPE 56 RECORD'
           UPON CONSOLE
      $END

      ****************************************************************
      *   DISPLAY INPUT RECORD                                       *
      ****************************************************************
      $IF DEBUG-SW DEFINED
           PERFORM 1056-DISPLAY-RECORD
              THRU 1056-DISPLAY-RECORD-EXIT
      $END

      *    *** WS-T56-RECORD-TYPE (Numeric)
      *    NO validation needed

      *    *** WS-T56-REPORTING-ORG (NON-NUMERIC)
           INITIALIZE WS-1200-REPORTING-ORG
           MOVE WS-T56-REPORTING-ORG TO WS-1200-REPORTING-ORG
           PERFORM 1200-VAL-REPORTING-ORG
              THRU 1200-VAL-REPORTING-ORG-EXIT


      *    *** WS-T56-ACTIVE-FLG (NON-NUMERIC)
           INITIALIZE WS-1900-ACTIVE-FLG
           MOVE WS-T56-ACTIVE-FLG TO WS-1900-ACTIVE-FLG
           PERFORM 1900-VAL-ACTIVE-FLG
              THRU 1900-VAL-ACTIVE-FLG-EXIT

      *    *** WS-T56-INACTIVE-DATE (NON-NUMERIC)
           INITIALIZE WS-1905-INACTIVE-DATE
           MOVE WS-T56-INACTIVE-DATE TO WS-1905-INACTIVE-DATE
           PERFORM 1905-VAL-INACTIVE-DATE
              THRU 1905-VAL-INACTIVE-DATE-EXIT

      *    *** WS-T56-FILLER-1
           MOVE SPACES TO WS-T56-FILLER-1

      *    *** WS-T56-REINS-YEAR (NUMERIC)
           IF WS-T56-REINS-YEAR NUMERIC
              INITIALIZE WS-1545-REINSURE-YEAR
              MOVE WS-T56-REINS-YEAR TO WS-1545-REINSURE-YEAR
              PERFORM 1545-VAL-REINSURE-YR
                 THRU 1545-VAL-REINSURE-YR-EXIT
           ELSE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-REINSURE-YR
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-REINS-YR TO WS-8000-FIELD-NAME1
              MOVE WS-T56-REINS-YEAR-X TO WS-8000-BAD-DATA1
              MOVE 'REINS YR + OR - 2' TO  WS-8000-CORR-DATA1
              MOVE 1056 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T56-REINS-YEAR
           END-IF

      *    *** WS-T56-FILLER-2
           MOVE SPACES TO WS-T56-FILLER-2

      *    *** WS-T56-ADJUSTER-ID (NON-NUMERIC)
           INITIALIZE WS-1715-INPUT
           MOVE WS-T56-ADJUSTER-ID TO WS-1715-ADJUSTER-ID-CD
           PERFORM 1715-VAL-ADJUSTER-ID-CD
              THRU 1715-VAL-ADJUSTER-ID-CD-EXIT

      *    *** WS-T56-ADJ-LAST-NAME (NON-NUMERIC)
           INITIALIZE WS-1240-INPUT
           MOVE WS-T56-ADJ-LAST-NAME TO WS-1240-LAST-NAME
           PERFORM 1240-VAL-LAST-NAME
              THRU 1240-VAL-LAST-NAME-EXIT

      *    *** WS-T56-ADJ-FIRST-NAME (NON-NUMERIC)
           INITIALIZE WS-1245-INPUT
           MOVE WS-T56-ADJ-FIRST-NAME TO WS-1245-FIRST-NAME
           PERFORM 1245-VAL-FIRST-NAME
              THRU 1245-VAL-FIRST-NAME-EXIT

      *    *** WS-T56-ADJ-MID-NAME (NON-NUMERIC)
           INITIALIZE WS-1250-INPUT
           MOVE WS-T56-ADJ-MID-NAME TO WS-1250-MIDDLE-NAME
           PERFORM 1250-VAL-MIDDLE-NAME
              THRU 1250-VAL-MIDDLE-NAME-EXIT

      *    *** WS-T56-ADJ-SUFFIX (NON-NUMERIC)
           INITIALIZE WS-1255-INPUT
           MOVE WS-T56-ADJ-SUFFIX TO WS-1255-NAME-SUFFIX
           PERFORM 1255-VAL-NAME-SUFFIX
              THRU 1255-VAL-NAME-SUFFIX-EXIT

      *    *** WS-T56-ADJ-TITLE (NON-NUMERIC)
           INITIALIZE WS-1260-INPUT
           MOVE WS-T56-ADJ-TITLE TO WS-1260-TITLE
           PERFORM 1260-VAL-TITLE
              THRU 1260-VAL-TITLE-EXIT

      *    *** WS-T56-ADDRESS-STATE (NON-NUMERIC)
           INITIALIZE WS-1280-ADDRESS-STATE
           MOVE WS-T56-ADDRESS-STATE TO WS-1280-ADDRESS-STATE
           PERFORM 1280-VAL-ADDRESS-STATE
              THRU 1280-VAL-ADDRESS-STATE-EXIT

      *    *** WS-T56-FILLER-3
           MOVE SPACES TO WS-T56-FILLER-3

      *    *** WS-T56-ADJUSTER-SSN (NUMERIC)
           IF WS-T56-ADJUSTER-SSN NUMERIC
              INITIALIZE WS-1970-SOC-SEC-NUM
              MOVE WS-T56-ADJUSTER-SSN TO WS-1970-SOC-SEC-NUM
              PERFORM 1970-VAL-SOC-SEC-NUM
                 THRU 1970-VAL-SOC-SEC-NUM-EXIT
           ELSE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-SOC-SEC-NUM
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-SOC-SEC-NUM TO WS-8000-FIELD-NAME1
              MOVE WS-T56-ADJUSTER-SSN-X TO WS-8000-BAD-DATA1
              MOVE 1056 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T56-ADJUSTER-SSN
           END-IF

      *    *** WS-T56-FILLER-4
           MOVE SPACES TO WS-T56-FILLER-4

      *    *** WS-T56-FSA-CONTROL-DATE (NUMERIC)
      *    *** SET TO INPUT DATE HERE
           MOVE WS-0004-FCIC-PROC-DATE
             TO WS-T56-FSA-CONTROL-DATE.


       1056-VALIDATE-T56-EXIT.
           EXIT.


       1056-DISPLAY-RECORD.

           DISPLAY '1056-INPUT TYPE 56 RECORD'
           UPON CONSOLE
           DISPLAY 'RECORD TYPE        : ',
           WS-T56-RECORD-TYPE UPON CONSOLE
           DISPLAY 'REPORTING ORG      : ',
           WS-T56-REPORTING-ORG UPON CONSOLE
           DISPLAY 'ACTIVE FLAG        : ',
           WS-T56-ACTIVE-FLG UPON CONSOLE
           DISPLAY 'INACTIVE DATE      : ',
           WS-T56-INACTIVE-DATE UPON CONSOLE
           DISPLAY 'FILLER 01 (02)     : ',
           WS-T56-FILLER-1 UPON CONSOLE
           DISPLAY 'REINSURANCE YEAR   : ',
           WS-T56-REINS-YEAR UPON CONSOLE
           DISPLAY 'FILLER 02 (01)     : ',
           WS-T56-FILLER-2 UPON CONSOLE
           DISPLAY 'ADJUSTER ID        : ',
           WS-T56-ADJUSTER-ID UPON CONSOLE
           DISPLAY 'ADJ LAST NAME      : ',
           WS-T56-ADJ-LAST-NAME UPON CONSOLE
           DISPLAY 'ADJ FIRST NAME     : ',
           WS-T56-ADJ-FIRST-NAME UPON CONSOLE
           DISPLAY 'ADJ MIDDLE NAME    : ',
           WS-T56-ADJ-MID-NAME UPON CONSOLE
           DISPLAY 'ADJ SUFFIX         : ',
           WS-T56-ADJ-SUFFIX UPON CONSOLE
           DISPLAY 'ADJ TITLE          : ',
           WS-T56-ADJ-TITLE UPON CONSOLE
           DISPLAY 'ADDRESS STATE      : ',
           WS-T56-ADDRESS-STATE UPON CONSOLE
           DISPLAY 'FILLER 03 (154)    : ',
           WS-T56-FILLER-3 UPON CONSOLE
           DISPLAY 'SSN                : ',
           WS-T56-ADJUSTER-SSN UPON CONSOLE
           DISPLAY 'FILLER 04 (97)     : ',
           WS-T56-FILLER-4 UPON CONSOLE
           DISPLAY 'FSA CONTROL DATE   : ',
           WS-T56-FSA-CONTROL-DATE UPON CONSOLE
           DISPLAY '--------------------------------'
           UPON CONSOLE
           DISPLAY 'FCIC CONTROL TIME    : ',
           WS-FCIC-CONTROL-TIME UPON CONSOLE
           DISPLAY 'FCIC CONTROL DATE    : ',
           WS-FCIC-CONTROL-DATE UPON CONSOLE
           DISPLAY 'REINSURANCE YEAR     : ',
           WS-REINS-YR UPON CONSOLE
           DISPLAY 'BATCH NUMBER         : ',
           WS-BATCH-NO UPON CONSOLE
           DISPLAY 'TRANS SEQUENCE NUM   : ',
           WS-TRAN-SEQ-NO UPON CONSOLE
           DISPLAY 'TRANS REJECTED FLAG  : ',
           WS-TRAN-REJ-FLAG UPON CONSOLE
           DISPLAY 'TRANS SOURCE FLAG    : ',
           WS-TRAN-SOURCE-FLAG UPON CONSOLE
           DISPLAY 'MDAS PROCESS NUMBER  : ',
           WS-MDAS-PROCESS-NO UPON CONSOLE
           DISPLAY 'FILLER 14            : ',
           WS-FILLER-14 UPON CONSOLE.

       1056-DISPLAY-RECORD-EXIT.
           EXIT.


