      ***************************************************************
      * File:      FV1097.CBL
      * Author:    Mike Ray
      * Date:      10/10/95
      * Purpose:
      *    This copy file contains the sequencing logic for the type
      *    97 record.
      *
      * Contains:
      *
      ***************************************************************


       1097-VALIDATE-T97.

      $IF DEBUG-SW DEFINED
           DISPLAY '1097-FIELD VALIDATING TYPE 97 RECORD'
           UPON CONSOLE
      $END


      ****************************************************************
      *   DISPLAY INPUT RECORD                                       *
      ****************************************************************
      $IF DEBUG-SW DEFINED
           PERFORM 1097-DISPLAY-RECORD
              THRU 1097-DISPLAY-RECORD-EXIT
      $END


      *    *** WS-T97-RECORD-TYPE  (NUMERIC)
      *    *** NO FV EDIT

      *    *** WS-T97-REPORTING-ORG  (NOT-NUMERIC)
           INITIALIZE WS-1200-REPORTING-ORG
           MOVE WS-T97-REPORTING-ORG TO WS-1200-REPORTING-ORG
           PERFORM 1200-VAL-REPORTING-ORG
              THRU 1200-VAL-REPORTING-ORG-EXIT

      *    *** WS-T97-LOC-STATE (NUMERIC)
           IF WS-T97-LOC-STATE NUMERIC
              INITIALIZE WS-1205-LOC-STATE
              MOVE WS-T97-LOC-STATE TO WS-1205-LOC-STATE
              PERFORM 1205-VAL-LOCATION-STATE
                 THRU 1205-VAL-LOCATION-STATE-EXIT
           ELSE
              MOVE WS-LITERAL-YES TO ERROR-LOC-STATE
              MOVE WS-LITERAL-YES TO WS-0007-POLICY-NO-ERROR
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-LOC-STATE TO WS-8000-FIELD-NAME1
              MOVE WS-T97-LOC-STATE TO WS-8000-BAD-DATA1
              MOVE 1097 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T97-LOC-STATE
           END-IF

      *    *** WS-T97-COMPANY-COUNTY (NUMERIC)
           IF WS-T97-COMPANY-COUNTY NUMERIC
              INITIALIZE WS-1210-COMPANY-COUNTY
              MOVE WS-T97-COMPANY-COUNTY TO WS-1210-COMPANY-COUNTY
              PERFORM 1210-VAL-COMPANY-COUNTY
                 THRU 1210-VAL-COMPANY-COUNTY-EXIT
           ELSE
              MOVE WS-LITERAL-YES TO ERROR-CPNY-CNTY
              MOVE WS-LITERAL-YES TO WS-0007-POLICY-NO-ERROR
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-CPNY-CNTY TO WS-8000-FIELD-NAME1
              MOVE WS-T97-COMPANY-COUNTY TO WS-8000-BAD-DATA1
              MOVE 1097 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T97-COMPANY-COUNTY
           END-IF

      *    *** WS-T97-FILLER-1 (NOT-NUMERIC)
           MOVE SPACES TO WS-T97-FILLER-1

      *    *** WS-T97-REINSURANCE-YR (NUMERIC)
           IF WS-T97-REINSURANCE-YR NUMERIC
              INITIALIZE WS-1545-REINSURE-YEAR
              MOVE WS-0004-REINS-YR TO WS-1545-REINSURE-YEAR
              MOVE WS-T97-REINSURANCE-YR TO WS-1545-REINSURE-YEAR
              PERFORM 1545-VAL-REINSURE-YR
                 THRU 1545-VAL-REINSURE-YR-EXIT
           ELSE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-REINSURE-YR
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-REINS-YR TO WS-8000-FIELD-NAME1
              MOVE WS-T97-REINSURANCE-YR TO WS-8000-BAD-DATA1
              MOVE SPACES TO WS-8000-CORR-DATA1
              MOVE 1097 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T97-REINSURANCE-YR
           END-IF

      *    *** WS-T97-CROP-YR-1 (NUMERIC)
           IF WS-T97-CROP-YR-1 NUMERIC
              INITIALIZE WS-1220-CROP-YEAR
              MOVE WS-T97-CROP-YR-1 TO WS-1220-CROP-YEAR
              PERFORM 1220-VAL-CROP-YEAR
                 THRU 1220-VAL-CROP-YEAR-EXIT
           ELSE
              MOVE WS-LITERAL-YES TO ERROR-CROP-YR
              MOVE WS-LITERAL-YES TO WS-0007-POLICY-NO-ERROR
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE 'CROP YEAR 01' TO WS-8000-FIELD-NAME1
              MOVE WS-T97-CROP-YR-1 TO WS-8000-BAD-DATA1
              MOVE 'Reinsurance Yr + or - 2'
                TO WS-8000-CORR-DATA1
              MOVE 1097 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T97-CROP-YR-1
           END-IF

      *    *** WS-T97-TOTAL-ACRES-1 (NUMERIC)
           IF WS-T97-TOTAL-ACRES-1 NUMERIC
              ADD WS-T97-TOTAL-ACRES-1 TO WS-0008-T97-ACRES
           ELSE
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-REPORTED-ACRES
              MOVE 'TOTAL ACRES 01' TO WS-8000-FIELD-NAME1
              MOVE SPACES TO WS-8000-BAD-DATA1
              MOVE SPACES TO WS-8000-CORR-DATA1
              MOVE 1097 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T97-TOTAL-ACRES-1
           END-IF

      *    *** WS-T97-TOTAL-LIABILITY-1 (NUMERIC)
           IF WS-T97-TOTAL-LIABILITY-1 NUMERIC
              ADD WS-T97-TOTAL-LIABILITY-1
               TO WS-0008-T97-LIABILITY
           ELSE
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-LIAB
              MOVE 'TOTAL LIAB 01' TO WS-8000-FIELD-NAME1
              MOVE WS-T97-TOTAL-LIABILITY-1 TO WS-8000-BAD-DATA1
              MOVE SPACES TO WS-8000-CORR-DATA1
              MOVE 1097 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T97-TOTAL-LIABILITY-1
           END-IF

      *    *** WS-T97-TOTAL-PREMIUM-1 (NUMERIC)
           IF WS-T97-TOTAL-PREMIUM-1 NUMERIC
              ADD WS-T97-TOTAL-PREMIUM-1
               TO WS-0008-T97-PREMIUM
           ELSE
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-TOT-PREM
              MOVE 'TOT PREMIUM 01' TO WS-8000-FIELD-NAME1
              MOVE WS-T97-TOTAL-PREMIUM-1 TO WS-8000-BAD-DATA1
              MOVE SPACES TO WS-8000-CORR-DATA1
              MOVE 1097 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T97-TOTAL-PREMIUM-1
           END-IF

      *    *** WS-T97-TOTAL-PROD-PREMIUM-1 (NUMERIC)
           IF WS-T97-TOTAL-PROD-PREMIUM-1 NUMERIC
              ADD WS-T97-TOTAL-PROD-PREMIUM-1
               TO WS-0008-T97-PROD-PREM
           ELSE
              MOVE WS-LITERAL-FV  TO WS-8000-ERROR-TYPE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-PROD-PREM
              MOVE 'TOT PROD PREM 01' TO WS-8000-FIELD-NAME1
              MOVE WS-T97-TOTAL-PROD-PREMIUM-1 TO WS-8000-BAD-DATA1
              MOVE SPACES TO WS-8000-CORR-DATA1
              MOVE 1097 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T97-TOTAL-PROD-PREMIUM-1
           END-IF

      *    *** WS-T97-TOTAL-LOSSES-1 (NUMERIC)
           IF WS-T97-TOTAL-LOSSES-1 NUMERIC
              ADD WS-T97-TOTAL-LOSSES-1
               TO WS-0008-T97-LOSSES
           ELSE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-INDEM
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE 'TOT LOSSES 01' TO WS-8000-FIELD-NAME1
              MOVE WS-T97-TOTAL-LOSSES-1 TO WS-8000-BAD-DATA1
              MOVE SPACES TO WS-8000-CORR-DATA1
              MOVE 1097 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T97-TOTAL-LOSSES-1
           END-IF

      *    *** WS-T97-TOTAL-PAID-1 (NUMERIC)
           IF WS-T97-TOTAL-PAID-1 NUMERIC
              ADD WS-T97-TOTAL-PAID-1
               TO WS-0008-T97-PAID
           ELSE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-PAID-AMT
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE 'TOTAL PAID 01' TO WS-8000-FIELD-NAME1
              MOVE WS-T97-TOTAL-PAID-1 TO WS-8000-BAD-DATA1
              MOVE SPACES TO WS-8000-CORR-DATA1
              MOVE 1097 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T97-TOTAL-PAID-1
           END-IF

      *    *** WS-T97-CROP-YR-2 (NUMERIC) (OPTIONAL)
           IF WS-T97-CROP-YR-2 NOT NUMERIC
              MOVE WS-LITERAL-YES TO ERROR-CROP-YR
              MOVE WS-LITERAL-YES TO WS-0007-POLICY-NO-ERROR
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE 'CROP YEAR 02' TO WS-8000-FIELD-NAME1
              MOVE WS-T97-CROP-YR-2 TO WS-8000-BAD-DATA1
              MOVE 'Reinsurance Yr + or - 2'
                TO WS-8000-CORR-DATA1
              MOVE 1097 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T97-CROP-YR-2
           END-IF

      *    *** WS-T97-TOTAL-ACRES-2 (NUMERIC)
           IF WS-T97-TOTAL-ACRES-2 NUMERIC
              ADD WS-T97-TOTAL-ACRES-2 TO WS-0008-T97-ACRES
           ELSE
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-REPORTED-ACRES
              MOVE 'TOTAL ACRES 02' TO WS-8000-FIELD-NAME1
              MOVE SPACES TO WS-8000-BAD-DATA1
              MOVE SPACES TO WS-8000-CORR-DATA1
              MOVE 1097 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T97-TOTAL-ACRES-2
           END-IF

      *    *** WS-T97-TOTAL-LIABILITY-2 (NUMERIC)
           IF WS-T97-TOTAL-LIABILITY-2 NUMERIC
              ADD WS-T97-TOTAL-LIABILITY-2
               TO WS-0008-T97-LIABILITY
           ELSE
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-LIAB
              MOVE 'TOTAL LIAB 02' TO WS-8000-FIELD-NAME1
              MOVE WS-T97-TOTAL-LIABILITY-2 TO WS-8000-BAD-DATA1
              MOVE SPACES TO WS-8000-CORR-DATA1
              MOVE 1097 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T97-TOTAL-LIABILITY-2
           END-IF

      *    *** WS-T97-TOTAL-PREMIUM-2 (NUMERIC)
           IF WS-T97-TOTAL-PREMIUM-2 NUMERIC
              ADD WS-T97-TOTAL-PREMIUM-2
               TO WS-0008-T97-PREMIUM
           ELSE
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-TOT-PREM
              MOVE 'TOT PREMIUM 02' TO WS-8000-FIELD-NAME1
              MOVE WS-T97-TOTAL-PREMIUM-2 TO WS-8000-BAD-DATA1
              MOVE SPACES TO WS-8000-CORR-DATA1
              MOVE 1097 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T97-TOTAL-PREMIUM-2
           END-IF

      *    *** WS-T97-TOTAL-PROD-PREMIUM-2 (NUMERIC)
           IF WS-T97-TOTAL-PROD-PREMIUM-2 NUMERIC
              ADD WS-T97-TOTAL-PROD-PREMIUM-2
               TO WS-0008-T97-PROD-PREM
           ELSE
              MOVE WS-LITERAL-FV  TO WS-8000-ERROR-TYPE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-PROD-PREM
              MOVE 'TOT PROD PREM 02' TO WS-8000-FIELD-NAME1
              MOVE WS-T97-TOTAL-PROD-PREMIUM-2 TO WS-8000-BAD-DATA1
              MOVE SPACES TO WS-8000-CORR-DATA1
              MOVE 1097 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T97-TOTAL-PROD-PREMIUM-2
           END-IF

      *    *** WS-T97-TOTAL-LOSSES-2 (NUMERIC)
           IF WS-T97-TOTAL-LOSSES-2 NUMERIC
              ADD WS-T97-TOTAL-LOSSES-2
               TO WS-0008-T97-LOSSES
           ELSE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-INDEM
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE 'TOT LOSSES 02' TO WS-8000-FIELD-NAME1
              MOVE WS-T97-TOTAL-LOSSES-2 TO WS-8000-BAD-DATA1
              MOVE SPACES TO WS-8000-CORR-DATA1
              MOVE 1097 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T97-TOTAL-LOSSES-2
           END-IF

      *    *** WS-T97-TOTAL-PAID-2 (NUMERIC)
           IF WS-T97-TOTAL-PAID-2 NUMERIC
              ADD WS-T97-TOTAL-PAID-2
               TO WS-0008-T97-PAID
           ELSE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-PAID-AMT
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE 'TOTAL PAID 02' TO WS-8000-FIELD-NAME1
              MOVE WS-T97-TOTAL-PAID-2 TO WS-8000-BAD-DATA1
              MOVE SPACES TO WS-8000-CORR-DATA1
              MOVE 1097 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T97-TOTAL-PAID-2
           END-IF

      *    *** WS-T97-CROP-YR-3 (NUMERIC) (OPTIONAL)
           IF WS-T97-CROP-YR-3 NOT NUMERIC
              MOVE WS-LITERAL-YES TO ERROR-CROP-YR
              MOVE WS-LITERAL-YES TO WS-0007-POLICY-NO-ERROR
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE 'CROP YEAR 03' TO WS-8000-FIELD-NAME1
              MOVE WS-T97-CROP-YR-3 TO WS-8000-BAD-DATA1
              MOVE 'Reinsurance Yr + or - 2'
                TO WS-8000-CORR-DATA1
              MOVE 1097 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T97-CROP-YR-3
           END-IF

      *    *** WS-T97-TOTAL-ACRES-3 (NUMERIC)
           IF WS-T97-TOTAL-ACRES-3 NUMERIC
              ADD WS-T97-TOTAL-ACRES-3 TO WS-0008-T97-ACRES
           ELSE
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-REPORTED-ACRES
              MOVE 'TOTAL ACRES 03' TO WS-8000-FIELD-NAME1
              MOVE SPACES TO WS-8000-BAD-DATA1
              MOVE SPACES TO WS-8000-CORR-DATA1
              MOVE 1097 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T97-TOTAL-ACRES-3
           END-IF

      *    *** WS-T97-TOTAL-LIABILITY-3 (NUMERIC)
           IF WS-T97-TOTAL-LIABILITY-3 NUMERIC
              ADD WS-T97-TOTAL-LIABILITY-3
               TO WS-0008-T97-LIABILITY
           ELSE
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-LIAB
              MOVE 'TOTAL LIAB 03' TO WS-8000-FIELD-NAME1
              MOVE WS-T97-TOTAL-LIABILITY-3 TO WS-8000-BAD-DATA1
              MOVE SPACES TO WS-8000-CORR-DATA1
              MOVE 1097 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T97-TOTAL-LIABILITY-3
           END-IF

      *    *** WS-T97-TOTAL-PREMIUM-3 (NUMERIC)
           IF WS-T97-TOTAL-PREMIUM-3 NUMERIC
              ADD WS-T97-TOTAL-PREMIUM-3
               TO WS-0008-T97-PREMIUM
           ELSE
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-TOT-PREM
              MOVE 'TOT PREMIUM 03' TO WS-8000-FIELD-NAME1
              MOVE WS-T97-TOTAL-PREMIUM-3 TO WS-8000-BAD-DATA1
              MOVE SPACES TO WS-8000-CORR-DATA1
              MOVE 1097 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T97-TOTAL-PREMIUM-3
           END-IF

      *    *** WS-T97-TOTAL-PROD-PREMIUM-3 (NUMERIC)
           IF WS-T97-TOTAL-PROD-PREMIUM-3 NUMERIC
              ADD WS-T97-TOTAL-PROD-PREMIUM-3
               TO WS-0008-T97-PROD-PREM
           ELSE
              MOVE WS-LITERAL-FV  TO WS-8000-ERROR-TYPE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-PROD-PREM
              MOVE 'TOT PROD PREM 03' TO WS-8000-FIELD-NAME1
              MOVE WS-T97-TOTAL-PROD-PREMIUM-3 TO WS-8000-BAD-DATA1
              MOVE SPACES TO WS-8000-CORR-DATA1
              MOVE 1097 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T97-TOTAL-PROD-PREMIUM-3
           END-IF

      *    *** WS-T97-TOTAL-LOSSES-3 (NUMERIC)
           IF WS-T97-TOTAL-LOSSES-3 NUMERIC
              ADD WS-T97-TOTAL-LOSSES-3
               TO WS-0008-T97-LOSSES
           ELSE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-INDEM
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE 'TOT LOSSES 03' TO WS-8000-FIELD-NAME1
              MOVE WS-T97-TOTAL-LOSSES-3 TO WS-8000-BAD-DATA1
              MOVE SPACES TO WS-8000-CORR-DATA1
              MOVE 1097 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T97-TOTAL-LOSSES-3
           END-IF

      *    *** WS-T97-TOTAL-PAID-3 (NUMERIC)
           IF WS-T97-TOTAL-PAID-3 NUMERIC
              ADD WS-T97-TOTAL-PAID-3
               TO WS-0008-T97-PAID
           ELSE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-PAID-AMT
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE 'TOTAL PAID 03' TO WS-8000-FIELD-NAME1
              MOVE WS-T97-TOTAL-PAID-3 TO WS-8000-BAD-DATA1
              MOVE SPACES TO WS-8000-CORR-DATA1
              MOVE 1097 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T97-TOTAL-PAID-3
           END-IF

      *    *** WS-T97-TYPE-10-COUNT (NUMERIC)
           IF WS-T97-TYPE-10-COUNT NUMERIC
              ADD WS-T97-TYPE-10-COUNT
               TO WS-0008-T97-T10-RECS
           ELSE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE 'T10 COUNT' TO WS-8000-FIELD-NAME1
              MOVE WS-T97-TYPE-10-COUNT TO WS-8000-BAD-DATA1
              MOVE SPACES TO WS-8000-CORR-DATA1
              MOVE 1097 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T97-TYPE-10-COUNT
           END-IF

      *    *** WS-T97-TYPE-11-COUNT (NUMERIC)
           IF WS-T97-TYPE-11-COUNT NUMERIC
              ADD WS-T97-TYPE-11-COUNT
               TO WS-0008-T97-T11-RECS
           ELSE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE 'T11 COUNT' TO WS-8000-FIELD-NAME1
              MOVE WS-T97-TYPE-11-COUNT TO WS-8000-BAD-DATA1
              MOVE SPACES TO WS-8000-CORR-DATA1
              MOVE 1097 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T97-TYPE-11-COUNT
           END-IF

      *    *** WS-T97-TYPE-12-COUNT (NUMERIC)
           IF WS-T97-TYPE-12-COUNT NUMERIC
              ADD WS-T97-TYPE-12-COUNT
               TO WS-0008-T97-T12-RECS
           ELSE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE 'T12 COUNT' TO WS-8000-FIELD-NAME1
              MOVE WS-T97-TYPE-12-COUNT TO WS-8000-BAD-DATA1
              MOVE SPACES TO WS-8000-CORR-DATA1
              MOVE 1097 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T97-TYPE-12-COUNT
           END-IF

      *    *** WS-T97-TYPE-15-COUNT (NUMERIC)
           IF WS-T97-TYPE-15-COUNT NUMERIC
              ADD WS-T97-TYPE-15-COUNT
               TO WS-0008-T97-T15-RECS
           ELSE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE 'T15 COUNT' TO WS-8000-FIELD-NAME1
              MOVE WS-T97-TYPE-15-COUNT TO WS-8000-BAD-DATA1
              MOVE SPACES TO WS-8000-CORR-DATA1
              MOVE 1097 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T97-TYPE-15-COUNT
           END-IF

      *    *** WS-T97-TYPE-20-COUNT (NUMERIC)
           IF WS-T97-TYPE-20-COUNT NUMERIC
              ADD WS-T97-TYPE-20-COUNT
               TO WS-0008-T97-T20-RECS
           ELSE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE 'T20 COUNT' TO WS-8000-FIELD-NAME1
              MOVE WS-T97-TYPE-20-COUNT TO WS-8000-BAD-DATA1
              MOVE SPACES TO WS-8000-CORR-DATA1
              MOVE 1097 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T97-TYPE-20-COUNT
           END-IF

      *    *** WS-T97-TYPE-21-COUNT (NUMERIC)
           IF WS-T97-TYPE-21-COUNT NUMERIC
              ADD WS-T97-TYPE-21-COUNT
               TO WS-0008-T97-T21-RECS
           ELSE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE 'T21 COUNT' TO WS-8000-FIELD-NAME1
              MOVE WS-T97-TYPE-21-COUNT TO WS-8000-BAD-DATA1
              MOVE SPACES TO WS-8000-CORR-DATA1
              MOVE 1097 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T97-TYPE-21-COUNT
           END-IF

      *    *** WS-T97-ASSIGNED-RISK-COUNT (NUMERIC)
           IF WS-T97-ASSIGNED-RISK-COUNT NUMERIC
              ADD WS-T97-ASSIGNED-RISK-COUNT
               TO WS-0008-T97-ASSIGNED-RISK-CNT
           ELSE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE 'ARISK COUNT' TO WS-8000-FIELD-NAME1
              MOVE WS-T97-ASSIGNED-RISK-COUNT TO WS-8000-BAD-DATA1
              MOVE SPACES TO WS-8000-CORR-DATA1
              MOVE 1097 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T97-ASSIGNED-RISK-COUNT
           END-IF

      *    *** WS-T97-OTHER-RECORD-COUNT (NUMERIC)
           IF WS-T97-OTHER-RECORD-COUNT NUMERIC
              ADD WS-T97-OTHER-RECORD-COUNT
               TO WS-0008-T97-OTHER-RECS
           ELSE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE 'OTHER COUNT' TO WS-8000-FIELD-NAME1
              MOVE WS-T97-OTHER-RECORD-COUNT TO WS-8000-BAD-DATA1
              MOVE SPACES TO WS-8000-CORR-DATA1
              MOVE 1097 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T97-OTHER-RECORD-COUNT
           END-IF

      *    *** WS-T97-DELETE-COUNT (NUMERIC)
           IF WS-T97-DELETE-COUNT NUMERIC
              ADD WS-T97-DELETE-COUNT
               TO WS-0008-T97-T49-RECS
           ELSE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE 'T49 COUNT' TO WS-8000-FIELD-NAME1
              MOVE WS-T97-DELETE-COUNT TO WS-8000-BAD-DATA1
              MOVE SPACES TO WS-8000-CORR-DATA1
              MOVE 1097 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T97-DELETE-COUNT
           END-IF

      *    *** WS-T97-TOTAL-RECORD-COUNT (NUMERIC)
           IF WS-T97-TOTAL-RECORD-COUNT NUMERIC
              ADD WS-T97-TOTAL-RECORD-COUNT
               TO WS-0008-T97-TOTAL-RECS
           ELSE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE 'TOTAL RECS' TO WS-8000-FIELD-NAME1
              MOVE WS-T97-TOTAL-RECORD-COUNT TO WS-8000-BAD-DATA1
              MOVE SPACES TO WS-8000-CORR-DATA1
              MOVE 1097 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE ZEROS TO WS-T97-TOTAL-RECORD-COUNT
           END-IF

      *    *** WS-T97-FILLER-2 (NOT-NUMERIC)
           MOVE SPACES TO WS-T97-FILLER-2.


       1097-VALIDATE-T97-EXIT.
           EXIT.


      $IF DEBUG-SW DEFINED

       1097-DISPLAY-RECORD.

           DISPLAY '1097-INPUT TYPE 97 RECORD'
           UPON CONSOLE
           DISPLAY 'RECORD TYPE        : ',
           WS-T97-RECORD-TYPE UPON CONSOLE
           DISPLAY 'REPORTING ORG      : ',
           WS-T97-REPORTING-ORG UPON CONSOLE
           DISPLAY 'LOCATION STATE     : ',
           WS-T97-LOC-STATE UPON CONSOLE
           DISPLAY 'COMPANY            : ',
           WS-T97-COMPANY-COUNTY UPON CONSOLE
           DISPLAY '--------------------------------'
           UPON CONSOLE
           DISPLAY 'FILLER 01 (66)        : ',
           WS-T97-FILLER-1 UPON CONSOLE
           DISPLAY 'REINSURANCE YEAR      : ',
           WS-T97-REINSURANCE-YR UPON CONSOLE
           DISPLAY 'CROP YEAR 01          : ',
           WS-T97-CROP-YR-1 UPON CONSOLE
           DISPLAY 'TOTAL ACRES 01        : ',
           WS-T97-TOTAL-ACRES-1 UPON CONSOLE
           DISPLAY 'TOTAL LIABILITY 01    : ',
           WS-T97-TOTAL-LIABILITY-1 UPON CONSOLE
           DISPLAY 'TOTAL PREMIUM 01      : ',
           WS-T97-TOTAL-PREMIUM-1 UPON CONSOLE
           DISPLAY 'TOTAL PROD PREMIUM 01 : ',
           WS-T97-TOTAL-PROD-PREMIUM-1 UPON CONSOLE
           DISPLAY 'TOTAL LOSSES 01       : ',
           WS-T97-TOTAL-LOSSES-1 UPON CONSOLE
           DISPLAY 'TOTAL PAID 01         : ',
           WS-T97-TOTAL-PAID-1 UPON CONSOLE
           DISPLAY 'CROP YEAR 02          : ',
           WS-T97-CROP-YR-2 UPON CONSOLE
           DISPLAY 'TOTAL ACRES 02        : ',
           WS-T97-TOTAL-ACRES-2 UPON CONSOLE
           DISPLAY 'TOTAL LIABILITY 02    : ',
           WS-T97-TOTAL-LIABILITY-2 UPON CONSOLE
           DISPLAY 'TOTAL PREMIUM 02      : ',
           WS-T97-TOTAL-PREMIUM-2 UPON CONSOLE
           DISPLAY 'TOTAL PROD PREMIUM 02 : ',
           WS-T97-TOTAL-PROD-PREMIUM-2 UPON CONSOLE
           DISPLAY 'TOTAL LOSSES 02       : ',
           WS-T97-TOTAL-LOSSES-2 UPON CONSOLE
           DISPLAY 'TOTAL PAID 02         : ',
           WS-T97-TOTAL-PAID-2 UPON CONSOLE
           DISPLAY 'CROP YEAR 03          : ',
           WS-T97-CROP-YR-3 UPON CONSOLE
           DISPLAY 'TOTAL ACRES 03        : ',
           WS-T97-TOTAL-ACRES-3 UPON CONSOLE
           DISPLAY 'TOTAL LIABILITY 03    : ',
           WS-T97-TOTAL-LIABILITY-3 UPON CONSOLE
           DISPLAY 'TOTAL PREMIUM 03      : ',
           WS-T97-TOTAL-PREMIUM-3 UPON CONSOLE
           DISPLAY 'TOTAL PROD PREMIUM 03 : ',
           WS-T97-TOTAL-PROD-PREMIUM-3 UPON CONSOLE
           DISPLAY 'TOTAL LOSSES 03       : ',
           WS-T97-TOTAL-LOSSES-3 UPON CONSOLE
           DISPLAY 'TOTAL PAID 03         : ',
           WS-T97-TOTAL-PAID-3 UPON CONSOLE
           DISPLAY 'TYPE 10 RECORD COUNT  : ',
           WS-T97-TYPE-10-COUNT UPON CONSOLE
           DISPLAY 'TYPE 11 RECORD COUNT  : ',
           WS-T97-TYPE-11-COUNT UPON CONSOLE
           DISPLAY 'TYPE 12 RECORD COUNT  : ',
           WS-T97-TYPE-12-COUNT UPON CONSOLE
           DISPLAY 'TYPE 15 RECORD COUNT  : ',
           WS-T97-TYPE-15-COUNT UPON CONSOLE
           DISPLAY 'TYPE 20 RECORD COUNT  : ',
           WS-T97-TYPE-20-COUNT UPON CONSOLE
           DISPLAY 'TYPE 21 RECORD COUNT  : ',
           WS-T97-TYPE-21-COUNT UPON CONSOLE
           DISPLAY 'ASSIGNED RISK COUNT   : ',
           WS-T97-ASSIGNED-RISK-COUNT UPON CONSOLE
           DISPLAY 'OTHER RECORD COUNT    : ',
           WS-T97-OTHER-RECORD-COUNT UPON CONSOLE
           DISPLAY 'DELETE COUNT          : ',
           WS-T97-DELETE-COUNT UPON CONSOLE
           DISPLAY 'TOTAL RECORD COUNT    : ',
           WS-T97-TOTAL-RECORD-COUNT UPON CONSOLE
           DISPLAY 'FILLER 02 (42)        : ',
           WS-T97-FILLER-2 UPON CONSOLE.

       1097-DISPLAY-RECORD-EXIT.
           EXIT.

      $END
