

      *******************************************************************
      *    FILE:     FV1205.CBL                                         *
      *    AUTHOR:   C. B. O'NEILL                                      *
      *    DATE:     8/16/95                                            *
      *    PURPOSE:  1205-VAL-LOCATION-STATE                            *
      *              VALIDATES LOCATION STATE.                          *
      *******************************************************************
       1205-VAL-LOCATION-STATE.

      $IF DEBUG-SW DEFINED
           DISPLAY '1205-VALIDATING LOCATION STATE'
           UPON CONSOLE
      $END

      *******************************************************************
      *    BELOW:  ENSURE LOCATION STATE IS NUMERIC                     *
      *******************************************************************

           IF WS-1205-LOC-STATE NOT NUMERIC
              MOVE WS-LITERAL-YES TO ERROR-LOC-STATE
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-LOC-STATE TO WS-8000-FIELD-NAME1
              MOVE WS-1205-LOC-STATE TO WS-8000-BAD-DATA1
              MOVE 1205 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              GO TO 1205-VAL-LOCATION-STATE-EXIT
           END-IF

      *******************************************************************
      *    BELOW:  ENSURE LOCATION STATE IS ON STATE TABLE.             *
      *******************************************************************

      $IF DATABASE-SW DEFINED
           CONTINUE.
      $END.

      $IF ISAM-SW DEFINED
      *        ******************************************************
      *        *  DATABASE NOT PRESENT - DO TABLE LOOKUP            *
      *        ******************************************************

           INITIALIZE WS-7260-FOUND-FLG
           MOVE WS-1205-LOC-STATE  TO WS-7260-I-FIPS-STATE
           PERFORM 7260-LOOKUP-FIPS-ST-TBL
              THRU 7260-LOOKUP-FIPS-ST-TBL-EXIT

           IF NOT MATCH-FOUND-7260
              MOVE WS-LITERAL-YES TO ERROR-LOC-STATE
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 009 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-LOC-STATE TO WS-8000-FIELD-NAME1
              MOVE WS-1205-LOC-STATE TO WS-8000-BAD-DATA1
              MOVE 1205 TO WS-8000-PARAGRAPH-NO
              MOVE 'FIPS STATE' TO WS-8000-TABLE-NAME
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
      $IF DEBUG-SW DEFINED
           ELSE
              DISPLAY 'LOCATION STATE = ',
              WS-7260-O-FIPS-STATE-NAME UPON CONSOLE
      $END
           END-IF.
      $END.

       1205-VAL-LOCATION-STATE-EXIT.
           EXIT.
