

      *******************************************************************
      *    FILE:     FV1220.CBL                                         *
      *    AUTHOR:   C. B. O'NEILL                                      *
      *    DATE:     8/16/95                                            *
      *    PURPOSE:  1220-VAL-CROP-YEAR                                 *
      *              VALIDATES CROP YEAR.                               *
      *******************************************************************
       1220-VAL-CROP-YEAR.

      $IF DEBUG-SW DEFINED
           DISPLAY '1220-VALIDATING CROP YEAR'
           UPON CONSOLE
      $END

      *******************************************************************
      *    BELOW:  ENSURE CROP YEAR IS NUMERIC.                         *
      *******************************************************************

           IF WS-1220-CROP-YEAR NOT NUMERIC
              MOVE WS-LITERAL-YES TO ERROR-CROP-YR
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-CROP-YR TO WS-8000-FIELD-NAME1
              MOVE WS-1220-CROP-YEAR TO WS-8000-BAD-DATA1
              MOVE 'Reinsurance Yr + or - 2'
                TO WS-8000-CORR-DATA1
              MOVE 1220 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              GO TO 1220-VAL-CROP-YEAR-EXIT
           END-IF


      *******************************************************************
      *    BELOW:  ENSURE CROP YEAR IS EQUAL TO '96' OR '97' OR '98.    *
      *******************************************************************
           MOVE WS-1220-CROP-YEAR TO WS-0009-CROP-YEAR

           IF NOT VALID-CROP-YEAR-0009
              MOVE WS-LITERAL-YES TO ERROR-CROP-YR
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 008 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-CROP-YR TO WS-8000-FIELD-NAME1
              MOVE WS-1220-CROP-YEAR TO WS-8000-BAD-DATA1
              MOVE '1996, 1997, 1998' TO WS-8000-CORR-DATA1
              MOVE 1220 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF.

       1220-VAL-CROP-YEAR-EXIT.
           EXIT.
