      ****************************************************************
      * File:      FV1240.CBL                                        *
      * Author:    Mike Ray                                          *
      * Date:      7/28/95                                           *
      * Purpose:   Validation for Last Name.                         *
      ****************************************************************

       1240-VAL-LAST-NAME.

      $IF DEBUG-SW DEFINED
           DISPLAY '1240-VALIDATING LAST NAME'
           UPON CONSOLE
      $END

      **********************************************
      *        INITIALIZE LOCAL WORKING STORAGE    *
      **********************************************
           INITIALIZE WS-1240-WORK

      **********************************************
      *    SPECIAL CHECKS FOR AGENT/ADJUSTERS      *
      **********************************************
           IF WS-1240-LAST-NAME = SPACES
              IF TYPE55 OR TYPE56
                 MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
                 MOVE 004 TO WS-8000-SHORT-ERROR
                 MOVE WS-LITERAL-YES TO ERROR-LAST-NAME
                 MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
                 MOVE WS-LITERAL-LAST-NAME
                   TO WS-8000-FIELD-NAME1
                 MOVE WS-1240-LAST-NAME TO WS-8000-BAD-DATA1
                 MOVE 1240 TO WS-8000-PARAGRAPH-NO
                 PERFORM 8000-RECORD-TRAN-ERROR
                    THRU 8000-RECORD-TRAN-ERROR-EXIT
              END-IF
              GO TO 1240-VAL-LAST-NAME-EXIT
           END-IF

      **********************************************
      *    ALPHABETIC CHECK                        *
      **********************************************
           MOVE WS-LITERAL-YES TO WS-1240-ALPHABETIC
           MOVE WS-LITERAL-YES TO WS-1240-LEFT-JUSTIFIED
           PERFORM 1240-CHECK-STRING
              THRU 1240-CHECK-STRING-EXIT
              WITH TEST AFTER
           VARYING WS-1240-CHAR-INT-INDEX FROM 1 BY 1
             UNTIL WS-1240-CHAR-INT-INDEX = 20

      **********************************************
      *    RECORD ANY ERRORS                       *
      **********************************************
           IF WS-1240-LEFT-JUSTIFIED = WS-LITERAL-NO
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 003 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-LAST-NAME
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-LAST-NAME
                TO WS-8000-FIELD-NAME1
              MOVE WS-1240-LAST-NAME TO WS-8000-BAD-DATA1
              MOVE 1240 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-1240-ALPHABETIC = WS-LITERAL-NO
              IF TYPE10
      *          *** CAN CONTAIN NUMERIC FOR ENTITY=T & ID=1
                 IF WS-T10-ENTITY-TYPE = WS-LITERAL-IRREVOCABLE-TRUST
                 AND WS-T10-ID-TYPE    = WS-LITERAL-SSN
                    GO TO 1240-VAL-LAST-NAME-EXIT
              END-IF

              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 001 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-LAST-NAME
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-LAST-NAME
                TO WS-8000-FIELD-NAME1
              MOVE WS-1240-LAST-NAME TO WS-8000-BAD-DATA1
              MOVE 1240 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
            END-IF.


       1240-VAL-LAST-NAME-EXIT.
           EXIT.


       1240-CHECK-STRING.

           SET WS-1240-CHAR-INDEX TO WS-1240-CHAR-INT-INDEX

           IF WS-1240-CHAR-INT-INDEX = 1
              IF WS-1240-CHAR(WS-1240-CHAR-INDEX) = SPACES
                 MOVE WS-LITERAL-NO TO WS-1240-LEFT-JUSTIFIED
              END-IF
           END-IF

           IF WS-1240-CHAR(WS-1240-CHAR-INDEX) IS ALPHABETIC
              GO TO 1240-CHECK-STRING-EXIT
           ELSE
              EVALUATE WS-1240-CHAR(WS-1240-CHAR-INDEX)
               WHEN '.'
                  CONTINUE
               WHEN '-'
                  CONTINUE
               WHEN SPACE
                  CONTINUE
               WHEN QUOTE
                  CONTINUE
               WHEN OTHER
                  MOVE WS-LITERAL-NO TO WS-1240-ALPHABETIC
              END-EVALUATE
           END-IF.


       1240-CHECK-STRING-EXIT.
           EXIT.
