      ****************************************************************
      * File:      FV1245.CBL                                        *
      * Author:    Mike Ray                                          *
      * Date:      06/05/97                                          *
      * Purpose:   Validation for First Name.                        *
      *            Edit added 7\18\97 - cannot have value of 'AGENCY'*
      ****************************************************************

       1245-VAL-FIRST-NAME.

      $IF DEBUG-SW DEFINED
           DISPLAY '1245-VALIDATING FIRST NAME'
           UPON CONSOLE
      $END

      **********************************************
      *        INITIALIZE LOCAL WORKING STORAGE    *
      **********************************************
           INITIALIZE WS-1245-WORK

      **********************************************
      *    SPECIAL CHECKS FOR AGENTS/ADJUSTERS     *
      **********************************************
           IF WS-1245-FIRST-NAME = SPACES
              IF TYPE55 OR TYPE56
                 MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
                 MOVE 004 TO WS-8000-SHORT-ERROR
                 MOVE WS-LITERAL-YES TO ERROR-FIRST-NAME
                 MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
                 MOVE WS-LITERAL-FIRST-NAME
                   TO WS-8000-FIELD-NAME1
                 MOVE WS-1245-FIRST-NAME TO WS-8000-BAD-DATA1
                 MOVE 1245 TO WS-8000-PARAGRAPH-NO
                 PERFORM 8000-RECORD-TRAN-ERROR
                    THRU 8000-RECORD-TRAN-ERROR-EXIT
              END-IF
              GO TO 1245-VAL-FIRST-NAME-EXIT
           END-IF

      **********************************************
      *    ALPHABETIC CHECK                        *
      **********************************************
           MOVE WS-LITERAL-YES TO WS-1245-ALPHABETIC
           MOVE WS-LITERAL-YES TO WS-1245-LEFT-JUSTIFIED
           PERFORM 1245-CHECK-STRING
              THRU 1245-CHECK-STRING-EXIT
              WITH TEST AFTER
           VARYING WS-1245-CHAR-INT-INDEX FROM 1 BY 1
             UNTIL WS-1245-CHAR-INT-INDEX = 12

      **********************************************
      *    RECORD ANY ERRORS                       *
      **********************************************
           IF WS-1245-LEFT-JUSTIFIED = WS-LITERAL-NO
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 003 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-FIRST-NAME
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-FIRST-NAME
                TO WS-8000-FIELD-NAME1
              MOVE WS-1245-FIRST-NAME TO WS-8000-BAD-DATA1
              MOVE 1245 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-1245-ALPHABETIC = WS-LITERAL-NO
      *       *** SKIP ALPHA ERROR ***
              CONTINUE
      *       MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
      *       MOVE 001 TO WS-8000-SHORT-ERROR
      *       MOVE WS-LITERAL-YES TO ERROR-FIRST-NAME
      *       MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
      *       MOVE WS-LITERAL-FIRST-NAME
      *         TO WS-8000-FIELD-NAME1
      *       MOVE WS-1245-FIRST-NAME TO WS-8000-BAD-DATA1
      *       MOVE 1245 TO WS-8000-PARAGRAPH-NO
      *       PERFORM 8000-RECORD-TRAN-ERROR
      *          THRU 8000-RECORD-TRAN-ERROR-EXIT
            END-IF.

           IF WS-1245-1ST-SIX = 'AGENCY'
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 056 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-FIRST-NAME
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-FIRST-NAME TO WS-8000-FIELD-NAME1
              MOVE WS-1245-FIRST-NAME TO WS-8000-BAD-DATA1
              MOVE 1245 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF.

       1245-VAL-FIRST-NAME-EXIT.
           EXIT.


       1245-CHECK-STRING.

           SET WS-1245-CHAR-INDEX TO WS-1245-CHAR-INT-INDEX

           IF WS-1245-CHAR-INT-INDEX = 1
              IF WS-1245-CHAR(WS-1245-CHAR-INDEX) = SPACES
                 MOVE WS-LITERAL-NO TO WS-1245-LEFT-JUSTIFIED
              END-IF
           END-IF

           IF WS-1245-CHAR(WS-1245-CHAR-INDEX) IS ALPHABETIC
              GO TO 1245-CHECK-STRING-EXIT
           ELSE
              EVALUATE WS-1245-CHAR(WS-1245-CHAR-INDEX)
               WHEN '.'
                  CONTINUE
               WHEN '-'
                  CONTINUE
               WHEN SPACE
                  CONTINUE
               WHEN QUOTE
                  CONTINUE
               WHEN OTHER
                  MOVE WS-LITERAL-NO TO WS-1245-ALPHABETIC
              END-EVALUATE
           END-IF.


       1245-CHECK-STRING-EXIT.
           EXIT.
