      ****************************************************************
      * File:      FV1250.CBL                                        *
      * Author:    Mike Ray                                          *
      * Date:      06/05/97                                          *
      * Purpose:   Validation for MIDDLE Name.                        *
      ****************************************************************

       1250-VAL-MIDDLE-NAME.

      $IF DEBUG-SW DEFINED
           DISPLAY '1250-VALIDATING MIDDLE NAME'
           UPON CONSOLE
      $END

      **********************************************
      *        INITIALIZE LOCAL WORKING STORAGE    *
      **********************************************
           INITIALIZE WS-1250-WORK

           IF WS-1250-MIDDLE-NAME = SPACES
              GO TO 1250-VAL-MIDDLE-NAME-EXIT
           END-IF

      **********************************************
      *    ALPHABETIC CHECK                        *
      **********************************************
           MOVE WS-LITERAL-YES TO WS-1250-ALPHABETIC
           MOVE WS-LITERAL-YES TO WS-1250-LEFT-JUSTIFIED
           PERFORM 1250-CHECK-STRING
              THRU 1250-CHECK-STRING-EXIT
              WITH TEST AFTER
           VARYING WS-1250-CHAR-INT-INDEX FROM 1 BY 1
             UNTIL WS-1250-CHAR-INT-INDEX = 10

      **********************************************
      *    RECORD ANY ERRORS                       *
      **********************************************
           IF WS-1250-LEFT-JUSTIFIED = WS-LITERAL-NO
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 003 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-MIDDLE-NAME
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-MIDDLE-NAME
                TO WS-8000-FIELD-NAME1
              MOVE WS-1250-MIDDLE-NAME TO WS-8000-BAD-DATA1
              MOVE 1250 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-1250-ALPHABETIC = WS-LITERAL-NO
              CONTINUE
      *       MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
      *       MOVE 001 TO WS-8000-SHORT-ERROR
      *       MOVE WS-LITERAL-YES TO ERROR-MIDDLE-NAME
      *       MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
      *       MOVE WS-LITERAL-MIDDLE-NAME
      *         TO WS-8000-FIELD-NAME1
      *       MOVE WS-1250-MIDDLE-NAME TO WS-8000-BAD-DATA1
      *       MOVE 1250 TO WS-8000-PARAGRAPH-NO
      *       PERFORM 8000-RECORD-TRAN-ERROR
      *          THRU 8000-RECORD-TRAN-ERROR-EXIT
            END-IF.


       1250-VAL-MIDDLE-NAME-EXIT.
           EXIT.


       1250-CHECK-STRING.

           SET WS-1250-CHAR-INDEX TO WS-1250-CHAR-INT-INDEX

           IF WS-1250-CHAR-INT-INDEX = 1
              IF WS-1250-CHAR(WS-1250-CHAR-INDEX) = SPACES
                 MOVE WS-LITERAL-NO TO WS-1250-LEFT-JUSTIFIED
              END-IF
           END-IF

           IF WS-1250-CHAR(WS-1250-CHAR-INDEX) IS ALPHABETIC
              GO TO 1250-CHECK-STRING-EXIT
           ELSE
              EVALUATE WS-1250-CHAR(WS-1250-CHAR-INDEX)
               WHEN '.'
                  CONTINUE
               WHEN '-'
                  CONTINUE
               WHEN SPACE
                  CONTINUE
               WHEN QUOTE
                  CONTINUE
               WHEN OTHER
                  MOVE WS-LITERAL-NO TO WS-1250-ALPHABETIC
              END-EVALUATE
           END-IF.


       1250-CHECK-STRING-EXIT.
           EXIT.
