      ****************************************************************
      * File:      FV1255.CBL                                        *
      * Author:    Mike Ray                                          *
      * Date:      06/05/97                                          *
      * Purpose:   Validation for NAME SUFFIX.                       *
      ****************************************************************

       1255-VAL-NAME-SUFFIX.

      $IF DEBUG-SW DEFINED
           DISPLAY '1255-VALIDATING NAME SUFFIX'
           UPON CONSOLE
      $END

      **********************************************
      *        INITIALIZE LOCAL WORKING STORAGE    *
      **********************************************
           INITIALIZE WS-1255-WORK

           IF WS-1255-NAME-SUFFIX = SPACES
              GO TO 1255-VAL-NAME-SUFFIX-EXIT
           END-IF

      **********************************************
      *    ALPHABETIC CHECK                        *
      **********************************************
           MOVE WS-LITERAL-YES TO WS-1255-ALPHABETIC
           MOVE WS-LITERAL-YES TO WS-1255-LEFT-JUSTIFIED
           PERFORM 1255-CHECK-STRING
              THRU 1255-CHECK-STRING-EXIT
              WITH TEST AFTER
           VARYING WS-1255-CHAR-INT-INDEX FROM 1 BY 1
             UNTIL WS-1255-CHAR-INT-INDEX = 5

      **********************************************
      *    RECORD ANY ERRORS                       *
      **********************************************
           IF WS-1255-LEFT-JUSTIFIED = WS-LITERAL-NO
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 003 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-NAME-SUFFIX
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-NAME-SUFFIX
                TO WS-8000-FIELD-NAME1
              MOVE WS-1255-NAME-SUFFIX TO WS-8000-BAD-DATA1
              MOVE 1255 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-1255-ALPHABETIC = WS-LITERAL-NO
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 001 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-NAME-SUFFIX
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-NAME-SUFFIX
                TO WS-8000-FIELD-NAME1
              MOVE WS-1255-NAME-SUFFIX TO WS-8000-BAD-DATA1
              MOVE 1255 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
            END-IF.


       1255-VAL-NAME-SUFFIX-EXIT.
           EXIT.


       1255-CHECK-STRING.

           SET WS-1255-CHAR-INDEX TO WS-1255-CHAR-INT-INDEX

           IF WS-1255-CHAR-INT-INDEX = 1
              IF WS-1255-CHAR(WS-1255-CHAR-INDEX) = SPACES
                 MOVE WS-LITERAL-NO TO WS-1255-LEFT-JUSTIFIED
              END-IF
           END-IF

           IF WS-1255-CHAR(WS-1255-CHAR-INDEX) IS ALPHABETIC
              GO TO 1255-CHECK-STRING-EXIT
           ELSE
              EVALUATE WS-1255-CHAR(WS-1255-CHAR-INDEX)
               WHEN '.'
                  CONTINUE
               WHEN '-'
                  CONTINUE
               WHEN SPACE
                  CONTINUE
               WHEN QUOTE
                  CONTINUE
               WHEN OTHER
                  MOVE WS-LITERAL-NO TO WS-1255-ALPHABETIC
              END-EVALUATE
           END-IF.


       1255-CHECK-STRING-EXIT.
           EXIT.
