      ****************************************************************
      * File:      FV1260.CBL                                        *
      * Author:    Mike Ray                                          *
      * Date:      06/05/97                                          *
      * Purpose:   Validation for TITLE.                             *
      ****************************************************************

       1260-VAL-TITLE.

      $IF DEBUG-SW DEFINED
           DISPLAY '1260-VALIDATING TITLE'
           UPON CONSOLE
      $END

      **********************************************
      *        INITIALIZE LOCAL WORKING STORAGE    *
      **********************************************
           INITIALIZE WS-1260-WORK

           IF WS-1260-TITLE = SPACES
              GO TO 1260-VAL-TITLE-EXIT
           END-IF

      **********************************************
      *    ALPHABETIC CHECK                        *
      **********************************************
           MOVE WS-LITERAL-YES TO WS-1260-ALPHABETIC
           MOVE WS-LITERAL-YES TO WS-1260-LEFT-JUSTIFIED
           PERFORM 1260-CHECK-STRING
              THRU 1260-CHECK-STRING-EXIT
              WITH TEST AFTER
           VARYING WS-1260-CHAR-INT-INDEX FROM 1 BY 1
             UNTIL WS-1260-CHAR-INT-INDEX = 4

      **********************************************
      *    RECORD ANY ERRORS                       *
      **********************************************
           IF WS-1260-LEFT-JUSTIFIED = WS-LITERAL-NO
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 003 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-TITLE
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-TITLE TO WS-8000-FIELD-NAME1
              MOVE WS-1260-TITLE TO WS-8000-BAD-DATA1
              MOVE 1260 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-1260-ALPHABETIC = WS-LITERAL-NO
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 001 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-TITLE
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-TITLE TO WS-8000-FIELD-NAME1
              MOVE WS-1260-TITLE TO WS-8000-BAD-DATA1
              MOVE 1260 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
            END-IF.


       1260-VAL-TITLE-EXIT.
           EXIT.


       1260-CHECK-STRING.

           SET WS-1260-CHAR-INDEX TO WS-1260-CHAR-INT-INDEX

           IF WS-1260-CHAR-INT-INDEX = 1
              IF WS-1260-CHAR(WS-1260-CHAR-INDEX) = SPACES
                 MOVE WS-LITERAL-NO TO WS-1260-LEFT-JUSTIFIED
              END-IF
           END-IF

           IF WS-1260-CHAR(WS-1260-CHAR-INDEX) IS ALPHABETIC
              GO TO 1260-CHECK-STRING-EXIT
           ELSE
              EVALUATE WS-1260-CHAR(WS-1260-CHAR-INDEX)
               WHEN '.'
                  CONTINUE
               WHEN '-'
                  CONTINUE
               WHEN SPACE
                  CONTINUE
               WHEN QUOTE
                  CONTINUE
               WHEN OTHER
                  MOVE WS-LITERAL-NO TO WS-1260-ALPHABETIC
              END-EVALUATE
           END-IF.


       1260-CHECK-STRING-EXIT.
           EXIT.
