      ******************************************************************
      *  File:     FV1280.CBL                                          *
      *  Author:   Laura Dittamo                                       *
      *  Date:     7/31/95                                             *
      *  Purpose:  Validate the address state field with valid state   *
      *            abbreviations in the database.                      *
      *                                                                *
      *            This edit suspended until 1997.                     *
      ******************************************************************

       1280-VAL-ADDRESS-STATE.

      $IF DEBUG-SW DEFINED
           DISPLAY '1280-VALIDATING ADDRESS STATE'
           UPON CONSOLE
      $END

           IF WS-1280-ADDRESS-STATE <> SPACES
              IF WS-1280-ADDRESS-STATE <> 'ZZ'
                 PERFORM 1280-READ-STATE-ABBREV
                    THRU 1280-READ-STATE-ABBREV-EXIT
              END-IF
           ELSE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 004 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES        TO ERROR-ADDRESS-STATE
              MOVE WS-LITERAL-FV         TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-STATE      TO WS-8000-FIELD-NAME1
              MOVE WS-1280-ADDRESS-STATE TO WS-8000-BAD-DATA1
              MOVE SPACES TO WS-8000-CORR-DATA1
              MOVE 1280 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF.


       1280-VAL-ADDRESS-STATE-EXIT.
           EXIT.


      ************************************************
      *               TABLE LOOKUPS                  *
      ************************************************

       1280-READ-STATE-ABBREV.

      $IF DATABASE-SW DEFINED
              CONTINUE.
      $END

      $IF ISAM-SW DEFINED
      *    *************************************************
      *    *  DATABASE NOT PRESENT - DO TABLE LOOKUP       *
      *    *************************************************
           MOVE WS-1280-ADDRESS-STATE
             TO WS-7315-I-STATE-ABBREV
           PERFORM 7315-LOOKUP-STATE-ABBREV
              THRU 7315-LOOKUP-STATE-ABBREV-EXIT

           IF NOT MATCH-FOUND-7315
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 009 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES        TO ERROR-ADDRESS-STATE
              MOVE WS-LITERAL-FV         TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-STATE      TO WS-8000-FIELD-NAME1
              MOVE WS-1280-ADDRESS-STATE TO WS-8000-BAD-DATA1
              MOVE SPACES TO WS-8000-CORR-DATA1
              MOVE 1280 TO WS-8000-PARAGRAPH-NO
              MOVE 'STATE' TO WS-8000-TABLE-NAME
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF.
      $END

       1280-READ-STATE-ABBREV-EXIT.
           EXIT.
