      ******************************************************************
      *  File:     FV1315.CBL                                          *
      *  Author:   Laura Dittamo                                       *
      *  Date:     7/31/95                                             *
      *  Purpose:  Validate the CFSA Company employee field.  If it is *
      *            populated, it must be one of the following.         *
      *                                                                *
      *            F = CFSA employee or relative                       *
      *            C = Company employee                                *
      *            R = Relative of company employee                    *
      *            A = Agent or adjuster                               *
      *            N = None of the above                               *
      ******************************************************************

       1315-VAL-CFSA-CPNY-EMP.

      $IF DEBUG-SW DEFINED
           DISPLAY '1315-VALIDATING CFSA/COMPANY EMPLOYEE'
           UPON CONSOLE
      $END

           IF WS-0009-CFSA-COMP-EMPL = SPACES
              IF TYPE10 AND T10-POLICY-RECORD
                 MOVE 10004 TO WS-8000-ERROR-CODE
                 MOVE WS-LITERAL-YES TO ERROR-CFSA-CPNY-EMP
                 MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
                 MOVE WS-LITERAL-CFSA-CPNY-EMP TO WS-8000-FIELD-NAME1
                 MOVE WS-0009-CFSA-COMP-EMPL TO WS-8000-BAD-DATA1
                 MOVE 'F,C,R,A,N' TO WS-8000-CORR-DATA1
                 MOVE 1315 TO WS-8000-PARAGRAPH-NO
                 PERFORM 8000-RECORD-TRAN-ERROR
                    THRU 8000-RECORD-TRAN-ERROR-EXIT
              END-IF
           ELSE
              IF NOT VALID-CFSA-COMP-EMPL
                 MOVE 10008 TO WS-8000-ERROR-CODE
                 MOVE WS-LITERAL-YES TO ERROR-CFSA-CPNY-EMP
                 MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
                 MOVE WS-LITERAL-CFSA-CPNY-EMP TO WS-8000-FIELD-NAME1
                 MOVE WS-0009-CFSA-COMP-EMPL TO WS-8000-BAD-DATA1
                 MOVE 'F,C,R,A,N' TO WS-8000-CORR-DATA1
                 MOVE 1315 TO WS-8000-PARAGRAPH-NO
                 PERFORM 8000-RECORD-TRAN-ERROR
                    THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF.

       1315-VAL-CFSA-CPNY-EMP-EXIT.
           EXIT.
