      ******************************************************************
      *  File:     FV1330.CBL                                          *
      *  Author:   Laura Dittamo                                       *
      *  Date:     8/09/95                                             *
      *  Purpose:  Validate the late processed flag field.  It must be *
      *            numeric and contain a valid value {0, 1, 2, 3, 4,   *
      *            or 5}.                                              *
      ******************************************************************

       1330-VAL-LATE-PROC-FL.

      $IF DEBUG-SW DEFINED
           DISPLAY '1330-VALIDATING LATE PROCESSED FLAG'
           UPON CONSOLE
      $END

           IF WS-0009-LATE-PROCESS-FLG IS NOT NUMERIC
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-LATE-PROCESS-FL
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-LATE-PROC-FL TO WS-8000-FIELD-NAME1
              MOVE WS-0009-LATE-PROCESS-FLG TO WS-8000-BAD-DATA1
              MOVE '0,1,2,3,4,5' TO WS-8000-CORR-DATA1
              MOVE 1330 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              GO TO 1330-VAL-LATE-PROC-FL-EXIT
           END-IF

           IF NOT VALID-LATE-PROCESS-FLGS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 008 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-LATE-PROCESS-FL
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-LATE-PROC-FL TO WS-8000-FIELD-NAME1
              MOVE WS-0009-LATE-PROCESS-FLG TO WS-8000-BAD-DATA1
              MOVE '0,1,2,3,4,5' TO WS-8000-CORR-DATA1
              MOVE 1330 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF.


       1330-VAL-LATE-PROC-FL-EXIT.
           EXIT.
