

      ******************************************************************
      *    FILE:     FV1340.CBL                                        *
      *    AUTHOR:   C. B. O'NEILL                                     *
      *    DATE:     8/16/95                                           *
      *    PURPOSE:  1340-VAL-CROP-CODE                                *
      *              VALIDATES CROP CODE.                              *
      ******************************************************************

       1340-VAL-CROP-CODE.

      $IF DEBUG-SW DEFINED
           DISPLAY '1340-VALIDATING CROP CODE'
           UPON CONSOLE
      $END


      ******************************************************************
      *    BELOW:  ENSURE CROP CODE IS NUMERIC                         *
      ******************************************************************

           IF WS-1340-CROP-CODE NOT NUMERIC
              MOVE WS-LITERAL-YES TO WS-0007-REJECT-TRANSACTION
              MOVE WS-LITERAL-YES TO ERROR-CROP-CD
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-CROP-CD TO WS-8000-FIELD-NAME1
              MOVE WS-1340-CROP-CODE TO WS-8000-BAD-DATA1
              MOVE 'numeric value' TO WS-8000-CORR-DATA1
              MOVE 1340 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF.

           IF WS-1340-CROP-CODE = zero
              MOVE WS-LITERAL-YES TO WS-0007-REJECT-TRANSACTION
              MOVE WS-LITERAL-YES TO ERROR-CROP-CD
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 005 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-CROP-CD TO WS-8000-FIELD-NAME1
              MOVE WS-1340-CROP-CODE TO WS-8000-BAD-DATA1
              MOVE '> zero' TO WS-8000-CORR-DATA1
              MOVE 1340 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              GO TO 1340-VAL-CROP-CODE-EXIT
           END-IF.

      ******************************************************************
      *   ENSURE CROP CODE IS IN THE WORKING STORAGE CROP TABLE        *
      ******************************************************************
           MOVE WS-1340-CROP-CODE TO WS-7270-I-CROP

           PERFORM 7270-LOOKUP-CROP-TBL
              THRU 7270-LOOKUP-CROP-TBL-EXIT

           IF NOT MATCH-FOUND-7270
      * Below line entered to get around a compiler bug
              display '*' with no advancing
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 009 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES  TO ERROR-CROP-CD
              MOVE WS-LITERAL-CROP-CD TO WS-8000-FIELD-NAME1
              MOVE WS-1340-CROP-CODE TO WS-8000-BAD-DATA1
              MOVE SPACES TO WS-8000-CORR-DATA1
              MOVE 'INS_CROP' TO WS-8000-TABLE-NAME
              MOVE 1340 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF.


       1340-VAL-CROP-CODE-EXIT.
           EXIT.
