      ******************************************************************
      *  File:     FV1355.CBL                                          *
      *  Author:   Laura Dittamo                                       *
      *  Date:     8/09/95                                             *
      *  Purpose:  Validate the rate state field.  It must be numeric. *
      *            If populated, edit with the FIPS state codes on the *
      *            database.                                           *
      ******************************************************************

       1355-VAL-RATE-STATE.

      $IF DEBUG-SW DEFINED
           DISPLAY '1355-VALIDATING RATE STATE'
           UPON CONSOLE
      $END


           IF WS-1355-RATE-STATE NUMERIC
              IF WS-1355-RATE-STATE IS EQUAL ZEROS
                 GO TO 1355-VAL-RATE-STATE-EXIT
              END-IF
              PERFORM 1355-READ-FIPS-STATE-CD
                 THRU 1355-READ-FIPS-STATE-CD-EXIT
           ELSE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-RATE-STATE
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-RATE-STATE TO WS-8000-FIELD-NAME1
              MOVE WS-1355-RATE-STATE TO WS-8000-BAD-DATA1
              MOVE 1355 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF.


       1355-VAL-RATE-STATE-EXIT.
           EXIT.


      ************************************************
      *                TABLE LOOKUPS                 *
      ************************************************

       1355-READ-FIPS-STATE-CD.

      $IF DATABASE-SW DEFINED
           CONTINUE.
      $END

      $IF ISAM-SW DEFINED
           INITIALIZE WS-7260-FOUND-FLG
           MOVE WS-1355-RATE-STATE TO WS-7260-I-FIPS-STATE
           PERFORM 7260-LOOKUP-FIPS-ST-TBL
              THRU 7260-LOOKUP-FIPS-ST-TBL-EXIT

           IF NOT MATCH-FOUND-7260
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 009 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-RATE-STATE
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-RATE-STATE TO WS-8000-FIELD-NAME1
              MOVE WS-1355-RATE-STATE TO WS-8000-BAD-DATA1
              MOVE 1355 TO WS-8000-PARAGRAPH-NO
              MOVE 'FIPS STATE' TO WS-8000-TABLE-NAME
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF.
      $END


       1355-READ-FIPS-STATE-CD-EXIT.
               EXIT.
