      ******************************************************************
      *  File:     FV1390.CBL                                          *
      *  Author:   Mike Ray                                            *
      *  Date:     10/5/95                                             *
      *  Purpose:  Validate the FCIC Control Date.It must be in YYMMDD *
      *            format.                                             *
      ******************************************************************


       1390-VAL-FCIC-CTRL-DT.

      $IF DEBUG-SW DEFINED
           DISPLAY '1390-VALIDATING FCIC CONTROL DATE'
           UPON CONSOLE
      $END


      ************************************************
      *    INITIALIZE TEMP FIELDS                    *
      ************************************************
           INITIALIZE WS-1390-TEMP-DATE

      ************************************************
      *    CHECK PRE-CONDITIONS                      *
      ************************************************

           IF WS-1390-INPUT-DATE IS NOT NUMERIC
              MOVE WS-LITERAL-YES TO ERROR-FCIC-CTRL-DT
              MOVE 1390 TO WS-8020-PARAGRAPH-NO
              MOVE 90001 TO WS-8020-INT-ERROR-NO
              MOVE WS-LITERAL-FCIC-CTRL-DT TO WS-8020-FIELD-NAME
              MOVE WS-1390-INPUT-DATE TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-NO TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
              GO TO 1390-VAL-FCIC-CTRL-DT-EXIT
           END-IF

           IF WS-1390-INPUT-DATE IS EQUAL ZEROS
              MOVE WS-LITERAL-YES TO ERROR-FCIC-CTRL-DT
              MOVE 1390 TO WS-8020-PARAGRAPH-NO
              MOVE 90003 TO WS-8020-INT-ERROR-NO
              MOVE WS-LITERAL-FCIC-CTRL-DT TO WS-8020-FIELD-NAME
              MOVE WS-1390-INPUT-DATE TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-NO TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
              GO TO 1390-VAL-FCIC-CTRL-DT-EXIT
           END-IF

           MOVE WS-1390-INPUT-DATE TO WS-0515-INPUT-DATE
           PERFORM 0515-VAL-DATE
              THRU 0515-VAL-DATE-EXIT

           IF BAD-MONTH-0515
              MOVE WS-LITERAL-YES TO ERROR-FCIC-CTRL-DT
              MOVE 1390 TO WS-8020-PARAGRAPH-NO
              MOVE 90034 TO WS-8020-INT-ERROR-NO
              MOVE WS-LITERAL-FCIC-CTRL-DT TO WS-8020-FIELD-NAME
              MOVE WS-1390-INPUT-DATE TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-NO TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           ELSE
              IF BAD-DAY-0515
                 MOVE WS-LITERAL-YES TO ERROR-FCIC-CTRL-DT
                 MOVE 1390 TO WS-8020-PARAGRAPH-NO
                 MOVE 90035 TO WS-8020-INT-ERROR-NO
                 MOVE WS-LITERAL-FCIC-CTRL-DT TO WS-8020-FIELD-NAME
                 MOVE WS-1390-INPUT-DATE TO WS-8020-BAD-DATA
                 MOVE WS-LITERAL-NO TO WS-8020-ABORT-PROGRAM
                 PERFORM 8020-RECORD-INT-ERROR
                    THRU 8020-RECORD-INT-ERROR-EXIT
              ELSE
                 IF REVERSED-DATE-0515
                    MOVE WS-LITERAL-YES TO ERROR-FCIC-CTRL-DT
                    MOVE WS-1390-FCIC-YEAR TO WS-1390-TEMP-MONTH
                    MOVE WS-1390-FCIC-MONTH TO WS-1390-TEMP-DAY
                    MOVE WS-1390-FCIC-DAY TO WS-1390-TEMP-YEAR
                    MOVE 1390 TO WS-8020-PARAGRAPH-NO
                    MOVE 90014 TO WS-8020-INT-ERROR-NO
                    MOVE WS-LITERAL-FCIC-CTRL-DT TO WS-8020-FIELD-NAME
                    MOVE WS-1390-INPUT-DATE TO WS-8020-BAD-DATA
                    MOVE WS-LITERAL-NO TO WS-8020-ABORT-PROGRAM
                    PERFORM 8020-RECORD-INT-ERROR
                       THRU 8020-RECORD-INT-ERROR-EXIT
                 END-IF
              END-IF
           END-IF.


       1390-VAL-FCIC-CTRL-DT-EXIT.
           EXIT.
