      ***************************************************************
      * FILE:      FV1405.CBL
      * AUTHOR:    CHERYL D. WOOD
      * DATE:      9/08/95
      * PURPOSE:   VALIDATION FOR INSURANCE PLAN CODE VALUE MUST BE
      *            NUMERIC AND ONE OF THE VALID PLAN CODE VALUES.
      *            THESE ARE:  10, 12, 25 30, 40, 42, 44, 46, 50,
      *                        55, 70, 84, 86, 90.
      ****************************************************************

       1405-VAL-INS-PLAN-CD.

      $IF DEBUG-SW DEFINED
           DISPLAY '1405-VALIDATING INSURANCE PLAN CODE'
           UPON CONSOLE
      $END

           IF NOT WS-0009-INSURANCE-PLAN NUMERIC
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-INSUR-PLAN-CD
              MOVE WS-LITERAL-INSURE-PLAN-CD TO WS-8000-FIELD-NAME1
              MOVE WS-0009-INSURANCE-PLAN TO WS-8000-BAD-DATA1
              MOVE SPACES TO WS-8000-CORR-DATA1
              MOVE 1405 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              GO TO 1405-VAL-INS-PLAN-CD-EXIT
           END-IF

           IF TYPE49 AND WS-0009-INSURANCE-PLAN = ZEROS
              GO TO 1405-VAL-INS-PLAN-CD-EXIT
           END-IF

           IF WS-0009-INSURANCE-PLAN = ZEROS
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 004 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-INSUR-PLAN-CD
              MOVE WS-LITERAL-INSURE-PLAN-CD TO WS-8000-FIELD-NAME1
              MOVE WS-0009-INSURANCE-PLAN TO WS-8000-BAD-DATA1
              MOVE SPACES TO WS-8000-CORR-DATA1
              MOVE 1405 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              GO TO 1405-VAL-INS-PLAN-CD-EXIT
           END-IF

           IF NOT VALID-INSURANCE-PLAN
               MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
               MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
               MOVE 008 TO WS-8000-SHORT-ERROR
               MOVE WS-LITERAL-YES TO ERROR-INSUR-PLAN-CD
               MOVE WS-LITERAL-INSURE-PLAN-CD
                 TO WS-8000-FIELD-NAME1
               MOVE WS-0009-INSURANCE-PLAN
                   TO WS-8000-BAD-DATA1
               MOVE '10 12 25 30 40 42 44 46 50 55 70 84 86 90'
                 TO WS-8000-CORR-DATA1
               MOVE 1405 TO WS-8000-PARAGRAPH-NO
               PERFORM 8000-RECORD-TRAN-ERROR
                  THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF TYPE15
              IF (WS-0009-INSURANCE-PLAN
                 NOT = WS-LITERAL-IP) AND
                 (WS-0009-INSURANCE-PLAN
                 NOT = WS-LITERAL-CRC) AND
                 (WS-0009-INSURANCE-PLAN
                 NOT = WS-LITERAL-ARC) AND
                 (WS-0009-INSURANCE-PLAN
                 NOT = WS-LITERAL-RA) AND
                 (WS-0009-INSURANCE-PLAN
                 NOT = WS-LITERAL-APH-AREA-SPAN) AND
                 (WS-0009-INSURANCE-PLAN
                 NOT = WS-LITERAL-APH-AREA-PLAN) AND
                 (WS-0009-INSURANCE-PLAN
                 NOT = WS-LITERAL-APH)
                 MOVE 15008 TO WS-8000-ERROR-CODE
                 MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
                 MOVE WS-LITERAL-YES TO ERROR-INSUR-PLAN-CD
                 MOVE WS-LITERAL-INSURE-PLAN-CD
                   TO WS-8000-FIELD-NAME1
                 MOVE WS-0009-INSURANCE-PLAN
                   TO WS-8000-BAD-DATA1
                 MOVE '42,44,46,84,86,90' TO WS-8000-CORR-DATA1
                 MOVE 1405 TO WS-8000-PARAGRAPH-NO
                 PERFORM 8000-RECORD-TRAN-ERROR
                    THRU 8000-RECORD-TRAN-ERROR-EXIT
              END-IF
           END-IF.

      $IF DEBUG-SW DEFINED
           EVALUATE WS-0009-INSURANCE-PLAN
               WHEN WS-LITERAL-IP
                  DISPLAY 'INS PLAN IS FOR INCOME PROTECTION'
                  UPON CONSOLE
               WHEN WS-LITERAL-CRC
                  DISPLAY 'INS PLAN IS FOR CROP REVENUE COVERAGE'
                  UPON CONSOLE
               WHEN WS-LITERAL-PEANUTS-PLAN
                  DISPLAY 'INS PLAN IS FOR PEANUTS'
                  UPON CONSOLE
               WHEN WS-LITERAL-GRP
                  DISPLAY 'INS PLAN IS FOR GRP CROPS'
                  UPON CONSOLE
               WHEN WS-LITERAL-RA
                  DISPLAY 'INS PLAN IS FOR REVENUE ASSURANCE'
                  UPON CONSOLE
               WHEN WS-LITERAL-GUARANTEE-TOBACCO
                  DISPLAY 'INS PLAN IS FOR GUARANTEE TOBACCO'
                  UPON CONSOLE
               WHEN WS-LITERAL-FLORIDA-FRUIT
                  DISPLAY 'INS PLAN IS FOR FLORIDA FRUIT'
                  UPON CONSOLE
               WHEN WS-LITERAL-DOLLAR-AMT
                  DISPLAY 'INS PLAN IS FOR $ AMOUNT OF INSURANCE'
                  UPON CONSOLE
               WHEN WS-LITERAL-YLD-BASED-DOL-AMT
                  DISPLAY 'INS PLAN IS FOR YIELD-BASED $ AMT INS'
                  UPON CONSOLE
               WHEN WS-LITERAL-QUOTA-TOBACCO
                  DISPLAY 'INS PLAN IS FOR QUOTA TOBACCO'
                  UPON CONSOLE
               WHEN WS-LITERAL-APH-AREA-PLAN
                  DISPLAY 'INS PLAN IS FOR AREA PLAN CROPS'
                  UPON CONSOLE
               WHEN WS-LITERAL-APH
                  DISPLAY 'INS PLAN IS FOR APH CROPS'
                  UPON CONSOLE
               WHEN WS-LITERAL-APH-AREA-SPAN
                  DISPLAY 'INS PLAN IS FOR APH RICE'
                  UPON CONSOLE
               WHEN WS-LITERAL-ARC
                  DISPLAY 'INS PLAN IS FOR AVOCADOS'
                  UPON CONSOLE
               WHEN OTHER
                  DISPLAY 'INS PLAN IS NEW = ', WS-0009-INSURANCE-PLAN
                  UPON CONSOLE
           END-EVALUATE.
      $END

       1405-VAL-INS-PLAN-CD-EXIT.
           EXIT.
