      ****************************************************************
      * FILE:      FV1455.CBL                                        *
      * AUTHOR:    CHERYL D. WOOD                                    *
      * DATE:      9/08/95                                           *
      * PURPOSE:   VALIDATION FOR INSURED SHARE                      *
      *            VALUE MUST BE GREATER THAN  ZERO, AND LESS THAN   *
      *            OR EQUAL TO 1.000. (THIS IS A PERCENTAGE)         *
      ****************************************************************

       1455-VAL-INSURED-SHARE.

      $IF DEBUG-SW DEFINED
           DISPLAY '1455-VALIDATING INSURED SHARE'
           UPON CONSOLE
      $END

           IF WS-1455-INSURED-SHARE NOT NUMERIC
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-INSURED-SHARE
              MOVE WS-LITERAL-INSURE-SHR TO WS-8000-FIELD-NAME1
              MOVE WS-1455-INSURED-SHARE-X TO WS-8000-BAD-DATA1
              MOVE SPACES TO WS-8000-CORR-DATA1
              MOVE 1455 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              GO TO 1455-VAL-INSURED-SHARE-EXIT
           END-IF


           IF WS-1455-INSURED-SHARE = ZEROS
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 016 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-INSURED-SHARE
              MOVE WS-LITERAL-INSURE-SHR TO WS-8000-FIELD-NAME1
              MOVE WS-1455-INSURED-SHARE-X TO WS-8000-BAD-DATA1
              MOVE '> 0.000' TO WS-8000-CORR-DATA1
              MOVE 1455 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              GO TO 1455-VAL-INSURED-SHARE-EXIT
           END-IF


           IF WS-1455-INSURED-SHARE > 1.000
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 016 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-INSURED-SHARE
              MOVE WS-LITERAL-INSURE-SHR TO WS-8000-FIELD-NAME1
              MOVE WS-1455-INSURED-SHARE-X TO WS-8000-BAD-DATA1
              MOVE '<= 1.000'  TO WS-8000-CORR-DATA1
              MOVE 1455 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF.

       1455-VAL-INSURED-SHARE-EXIT.
           EXIT.
