      *****************************************************************
      *  File:   FV1490.CBL
      *  Author: C. S. Davis
      *  Date:   09/12/95
      *  Purpose:  Validate the date planted field.  The data must
      *            be numeric and a valid date in MMDDYY format.
      *****************************************************************

       1490-VAL-DATE-PLANTED.

      $IF DEBUG-SW DEFINED
           DISPLAY '1490-VALIDATING DATE PLANTED'
           UPON CONSOLE
      $END

      **********************************************************
      *    INITIALIZE WORK FIELDS                              *
      **********************************************************
           INITIALIZE WS-1490-TEMP-DATE

           IF WS-1490-DATE-PLANTED NUMERIC
              IF WS-1490-DATE-PLANTED EQUAL ZEROS
                 GO TO 1490-VAL-DATE-PLANTED-EXIT
              END-IF
           ELSE
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-DT-PLANTED
              MOVE WS-LITERAL-DT-PLANTED TO WS-8000-FIELD-NAME1
              MOVE WS-1490-DATE-PLANTED TO WS-8000-BAD-DATA1
              MOVE SPACES TO WS-8000-CORR-DATA1
              MOVE 1490 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              GO TO 1490-VAL-DATE-PLANTED-EXIT
           END-IF

           MOVE WS-1490-DATE-PLANTED TO WS-0555-INPUT-DATE
           PERFORM 0555-VAL-MMDDYY-DATE
              THRU 0555-VAL-MMDDYY-DATE-EXIT

           IF BAD-MONTH-0555
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 010 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-DT-PLANTED
              MOVE WS-LITERAL-DT-PLANTED TO WS-8000-FIELD-NAME1
              MOVE WS-1490-DATE-PLANTED TO WS-8000-BAD-DATA1
              MOVE '1 THRU 12' TO WS-8000-CORR-DATA1
              MOVE 1490 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           ELSE
              IF BAD-DAY-0555
                 MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
                 MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
                 MOVE 011 TO WS-8000-SHORT-ERROR
                 MOVE WS-LITERAL-YES TO ERROR-DT-PLANTED
                 MOVE WS-LITERAL-DT-PLANTED TO WS-8000-FIELD-NAME1
                 MOVE WS-1490-DATE-PLANTED TO WS-8000-BAD-DATA1
                 MOVE SPACES TO WS-8000-CORR-DATA1
                 MOVE 1490 TO WS-8000-PARAGRAPH-NO
                 PERFORM 8000-RECORD-TRAN-ERROR
                    THRU 8000-RECORD-TRAN-ERROR-EXIT
              ELSE
                 IF REVERSED-DATE-0555
                    MOVE WS-1490-DATE-PLANTED-YEAR
                      TO WS-1490-TEMP-MONTH
                    MOVE WS-1490-DATE-PLANTED-MONTH
                      TO WS-1490-TEMP-DAY
                    MOVE WS-1490-DATE-PLANTED-DAY
                      TO WS-1490-TEMP-YEAR

                    MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
                    MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
                    MOVE 013 TO WS-8000-SHORT-ERROR
                    MOVE WS-LITERAL-YES TO ERROR-DT-PLANTED
                    MOVE WS-LITERAL-DT-PLANTED TO WS-8000-FIELD-NAME1
                    MOVE WS-1490-DATE-PLANTED TO WS-8000-BAD-DATA1
                    MOVE SPACES TO WS-8000-CORR-DATA1
                    MOVE 1490 TO WS-8000-PARAGRAPH-NO
                    PERFORM 8000-RECORD-TRAN-ERROR
                       THRU 8000-RECORD-TRAN-ERROR-EXIT
                 ELSE
                    IF BAD-YEAR-0555
                       MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
                       MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
                       MOVE 005 TO WS-8000-SHORT-ERROR
                       MOVE WS-LITERAL-YES TO ERROR-DT-PLANTED
                       MOVE 'PLANTED YR' TO WS-8000-FIELD-NAME1
                       MOVE WS-1490-DATE-PLANTED TO WS-8000-BAD-DATA1
                       MOVE SPACES TO WS-8000-CORR-DATA1
                       MOVE 1490 TO WS-8000-PARAGRAPH-NO
                       PERFORM 8000-RECORD-TRAN-ERROR
                          THRU 8000-RECORD-TRAN-ERROR-EXIT
                    END-IF
                 END-IF
              END-IF
           END-IF.


       1490-VAL-DATE-PLANTED-EXIT.
           EXIT.
