      ****************************************************************
      * FILE:      FV1520.CBL
      * AUTHOR:    CHERYL D. WOOD
      * DATE:      9/08/95
      * PURPOSE:   VALIDATION FOR NCS/FCIC-2 FLAG
      *            VALUES MUST BE
      *              Y = NCS INSURED
      *              N = NCS RATE BY SHARE OR LEGAL ARRANGEMENT
      *              R = FCIC-2 RATE APPLIES
      *              W = BASE RATE BEING SUBMITTED APPLIES  - NO
      *              F = NCS WITH FCIC-2 AGREEMENT RATE     - NO
      *              S = BASE RATE BEING SUBMITTED APPLIES  - NO
      *              A = BASE RATE BEING SUBMITTED APPLIES  - NO
      *              P = FCI-2 PRICE EXCEPTION FOR MACADAMIA TREES
      *              BLANK = NOT APPLICABLE
      *
      * Modifications:
      *
      * 12/96      convert NCS/FCIC-2 FLAG values to 1-character
      *            representation.  jlh
      ****************************************************************

       1520-VAL-NCS-FCIC2-FL.

      $IF DEBUG-SW DEFINED
           DISPLAY '1520-VALIDATING NCS/FCIC2 FLAG'
           UPON CONSOLE
      $END

           IF NOT VALID-NCS-FCIC-2-FLGS
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE 11008 TO WS-8000-ERROR-CODE
              MOVE WS-LITERAL-YES TO ERROR-NCS-FCIC-2-FL
              MOVE WS-LITERAL-NCS-FCIC-2-FL TO WS-8000-FIELD-NAME1
              MOVE WS-0009-NCS-FCIC-2-FLG TO WS-8000-BAD-DATA1
              MOVE 'Y,N,R,P OR BLANK' TO WS-8000-CORR-DATA1
              MOVE 1520 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF.

       1520-VAL-NCS-FCIC2-FL-EXIT.
           EXIT.
