      ****************************************************************
      * FILE:      FV1555.CBL                                        *
      * AUTHOR:    CHERYL D. WOOD                                    *
      * DATE:      9/22/95                                           *
      * PURPOSE:   VALIDATION FOR 1ST, 2ND, 3RD, AND 4TH TOTAL FIELDS*
      *            THIS MODULE USES A FLAG, WS-1555-TOTAL-NUMBER,    *
      *            TO DETERMINE WHICH TOTAL FIELD IS BEING VALIDATED.*
      *                                                              *
      *            IF THE FIELD IS POPULATED, VALID VALUES ARE: D, E,*
      *            F, M, O, P, R.                                    *
      ****************************************************************

       1555-VAL-TOTAL-PMT-METHOD.

      $IF DEBUG-SW DEFINED
           DISPLAY '1555-VALIDATING TOTALS PAYMENT METHOD'
           UPON CONSOLE
      $END

      **********************************************************
      *    CHECK PRE-CONDITIONS                                *
      **********************************************************

           IF NOT VALID-TOTAL-NUMBER-1555
              MOVE 1555 TO WS-8020-PARAGRAPH-NO
              MOVE 90004 TO WS-8020-INT-ERROR-NO
              MOVE 'WS-1555-TOTAL-NUMBER' TO WS-8020-FIELD-NAME
              MOVE WS-1555-TOTAL-NUMBER TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF


           IF WS-1555-TOTAL EQUAL SPACES
              GO TO 1555-VAL-TOTAL-PMT-METHOD-EXIT
           END-IF

           IF NOT VALID-TOTALS-1555
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 008 TO WS-8000-SHORT-ERROR
              MOVE WS-1555-TOTAL TO WS-8000-BAD-DATA1
              MOVE 'D,E,F,M,O,P,R' TO WS-8000-CORR-DATA1
              MOVE 1555 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF.


       1555-VAL-TOTAL-PMT-METHOD-EXIT.
           EXIT.

