      ****************************************************************
      * FILE:      FV1675.CBL                                        *
      * AUTHOR:    CHERYL D. WOOD                                    *
      * DATE:      9/22/95                                           *
      * PURPOSE:   MONTH VALIDATION                                  *
      *            MUST BE NUMERIC.  IF FIELD IS POPULATED,          *
      *            VALID VALUES ARE 1 - 12.                          *
      ****************************************************************

       1675-VAL-MONTH.

      $IF DEBUG-SW DEFINED
           DISPLAY '1675-VALIDATING MONTH'
           UPON CONSOLE
      $END

      **********************************************************
      *    CHECK PRE-CONDITIONS                                *
      **********************************************************

           IF NOT VALID-SOURCE-FIELD-1675
              MOVE 1675 TO WS-8020-PARAGRAPH-NO
              MOVE 90004 TO WS-8020-INT-ERROR-NO
              MOVE 'WS-1675-SOURCE-FIELD' TO WS-8020-FIELD-NAME
              MOVE WS-1675-SOURCE-FIELD TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF


           IF WS-1675-INPUT-MONTH NOT NUMERIC
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              EVALUATE TRUE
                 WHEN PRIMARY-MONTH-1675
                   MOVE WS-LITERAL-YES TO ERROR-PRIMARY-MONTH
                   MOVE WS-LITERAL-PRIMARY-MONTH
                     TO WS-8000-FIELD-NAME1
                 WHEN SECONDARY-MONTH-1675
                   MOVE WS-LITERAL-YES TO ERROR-SECONDARY-MONTH
                   MOVE WS-LITERAL-SECONDRY-MONTH
                     TO WS-8000-FIELD-NAME1
                 WHEN CAUSE-OF-LOSS-MONTH-1675
                   MOVE WS-LITERAL-YES TO ERROR-CAUSE-OF-LOSS-MONTH
                   MOVE WS-LITERAL-CAUSE-OF-LOSS-MTH
                     TO WS-8000-FIELD-NAME1
                 WHEN PREVIOUS-CAUSE-MONTH-1675
                   MOVE WS-LITERAL-YES TO ERROR-PREV-CAUSE-MONTH
                   MOVE WS-LITERAL-PREV-CAUSE-MTH TO WS-8000-FIELD-NAME1
                 WHEN OTHER
                   MOVE 1675 TO WS-8020-PARAGRAPH-NO
                   MOVE 90005 TO WS-8020-INT-ERROR-NO
                   MOVE 'WS-1675-INPUT-MONTH' TO WS-8020-FIELD-NAME
                   MOVE WS-1675-INPUT-MONTH TO WS-8020-BAD-DATA
                   MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
                   PERFORM 8020-RECORD-INT-ERROR
                      THRU 8020-RECORD-INT-ERROR-EXIT
              END-EVALUATE

              MOVE WS-1675-INPUT-MONTH TO WS-8000-BAD-DATA1
              MOVE SPACES TO WS-8000-CORR-DATA1
              MOVE 1675 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              GO TO 1675-VAL-MONTH-EXIT
           END-IF


           IF WS-1675-INPUT-MONTH < 0 OR
              WS-1675-INPUT-MONTH > 12
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 010 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE

              EVALUATE TRUE
                 WHEN PRIMARY-MONTH-1675
                   MOVE WS-LITERAL-YES TO ERROR-PRIMARY-MONTH
                   MOVE WS-LITERAL-PRIMARY-MONTH
                     TO WS-8000-FIELD-NAME1
                 WHEN SECONDARY-MONTH-1675
                   MOVE WS-LITERAL-YES TO ERROR-SECONDARY-MONTH
                   MOVE WS-LITERAL-SECONDRY-MONTH
                     TO WS-8000-FIELD-NAME1
                 WHEN CAUSE-OF-LOSS-MONTH-1675
                   MOVE WS-LITERAL-YES TO ERROR-CAUSE-OF-LOSS-MONTH
                   MOVE WS-LITERAL-CAUSE-OF-LOSS-MTH
                     TO WS-8000-FIELD-NAME1
                 WHEN PREVIOUS-CAUSE-MONTH-1675
                   MOVE WS-LITERAL-YES TO ERROR-PREV-CAUSE-MONTH
                   MOVE WS-LITERAL-PREV-CAUSE-MTH TO WS-8000-FIELD-NAME1
                 WHEN OTHER
                   MOVE 1675 TO WS-8020-PARAGRAPH-NO
                   MOVE 90005 TO WS-8020-INT-ERROR-NO
                   MOVE 'WS-1675-INPUT-MONTH' TO WS-8020-FIELD-NAME
                   MOVE WS-1675-INPUT-MONTH TO WS-8020-BAD-DATA
                   MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
                   PERFORM 8020-RECORD-INT-ERROR
                      THRU 8020-RECORD-INT-ERROR-EXIT
              END-EVALUATE

              MOVE WS-1675-INPUT-MONTH TO WS-8000-BAD-DATA1
              MOVE '1-12' TO WS-8000-CORR-DATA1
              MOVE 1675 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF.


       1675-VAL-MONTH-EXIT.
           EXIT.

