      ****************************************************************
      * FILE:      FV1690.CBL                                        *
      * AUTHOR:    STACY BRAY                                        *
      * DATE:      9/25/95                                           *
      * PURPOSE:   VALIDATION FOR PRIMARY PERCENT                    *
      *            MUST BE NUMERIC.  IF PRIMARY PERCENT POPULATED,   *
      *            IT MUST BE WITHIN RANGE .50 THRU 1.00.            *
      ****************************************************************

       1690-VAL-PRIMARY-PCT.

      $IF DEBUG-SW DEFINED
           DISPLAY '1690-VALIDATING PRIMARY PERCENT'
           UPON CONSOLE
      $END

           IF WS-1690-PRIMARY-PCT NOT NUMERIC
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-PRIMARY-PCT
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-PRIMARY-PCT TO WS-8000-FIELD-NAME1
              MOVE WS-1690-PRIMARY-PCT-X TO WS-8000-BAD-DATA1
              MOVE SPACES TO WS-8000-CORR-DATA1
              MOVE 1690 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-1690-PRIMARY-PCT = ZEROS
              GO TO 1690-VAL-PRIMARY-PCT-EXIT
           END-IF

           IF WS-1690-PRIMARY-PCT < 0.50 OR
              WS-1690-PRIMARY-PCT > 1.00
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 008 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-PRIMARY-PCT
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-PRIMARY-PCT TO WS-8000-FIELD-NAME1
              MOVE WS-1690-PRIMARY-PCT-X TO WS-8000-BAD-DATA1
              MOVE '.50-1.00' TO WS-8000-CORR-DATA1
              MOVE 1690 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF.


       1690-VAL-PRIMARY-PCT-EXIT.
           EXIT.

