      ****************************************************************
      * FILE:      FV1695.CBL                                        *
      * AUTHOR:    STACY BRAY                                        *
      * DATE:      9/25/95                                           *
      * PURPOSE:   VALIDATION FOR CAUSE OF LOSS CODE                 *
      *            VALUE MUST BE NUMERIC AND A VALID CAUSE OF LOSS   *
      ****************************************************************

       1695-VAL-LOSS-CAUSE-CD.

      $IF DEBUG-SW DEFINED
           DISPLAY '1695-VALIDATING LOSS CAUSE CODE'
           UPON CONSOLE
      $END

      **********************************************************
      *    CHECK PRE-CONDITIONS                                *
      **********************************************************

           IF NOT VALID-SOURCE-FIELD-1695
              MOVE 1695 TO WS-8020-PARAGRAPH-NO
              MOVE 90004 TO WS-8020-INT-ERROR-NO
              MOVE 'WS-1695-SOURCE-FIELD' TO WS-8020-FIELD-NAME
              MOVE WS-1695-SOURCE-FIELD TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-1695-LOSS-CAUSE-CD NOT NUMERIC
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              EVALUATE TRUE
                 WHEN PRIMARY-CAUSE-1695
                   MOVE WS-LITERAL-YES TO ERROR-PRIMARY-CAUSE
                   MOVE WS-LITERAL-PRIMARY-CAUSE TO WS-8000-FIELD-NAME1
                 WHEN SECONDARY-CAUSE-1695
                   MOVE WS-LITERAL-YES TO ERROR-SECONDARY-CAUSE
                   MOVE WS-LITERAL-SECONDRY-CAUSE
                     TO WS-8000-FIELD-NAME1
                 WHEN CAUSE-OF-LOSS-1695
                   MOVE WS-LITERAL-YES TO ERROR-CAUSE-OF-LOSS-CD
                   MOVE WS-LITERAL-CAUSE-OF-LOSS-CD
                     TO WS-8000-FIELD-NAME1
                 WHEN PREVIOUS-CAUSE-1695
                   MOVE WS-LITERAL-YES TO ERROR-PREV-CAUSE-CD
                   MOVE WS-LITERAL-PREV-CAUSE-CD
                     TO WS-8000-FIELD-NAME1
                 WHEN OTHER
                   MOVE 1695 TO WS-8020-PARAGRAPH-NO
                   MOVE 90005 TO WS-8020-INT-ERROR-NO
                   MOVE 'WS-1695-SOURCE-FIELD'
                     TO WS-8020-FIELD-NAME
                   MOVE WS-1695-SOURCE-FIELD TO WS-8020-BAD-DATA
                   MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
                   PERFORM 8020-RECORD-INT-ERROR
                      THRU 8020-RECORD-INT-ERROR-EXIT
              END-EVALUATE
              MOVE WS-1695-LOSS-CAUSE-CD TO WS-8000-BAD-DATA1
              MOVE SPACES TO WS-8000-CORR-DATA1
              MOVE 1695 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              GO TO 1695-VAL-LOSS-CAUSE-CD-EXIT
           END-IF

      *    ** LOOKUP THE LOSS CAUSE CODE
           INITIALIZE WS-7375-I-LOSS-CAUSE-CD

           MOVE WS-1695-LOSS-CAUSE-CD TO WS-7375-I-LOSS-CAUSE-CD

           PERFORM 7375-LOOKUP-LOSS-CAUSE-CD
              THRU 7375-LOOKUP-LOSS-CAUSE-CD-EXIT

           IF NOT MATCH-FOUND-7375
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 009 TO WS-8000-SHORT-ERROR
              EVALUATE TRUE
                 WHEN PRIMARY-CAUSE-1695
                   MOVE WS-LITERAL-YES TO ERROR-PRIMARY-CAUSE
                   MOVE WS-LITERAL-PRIMARY-CAUSE
                     TO WS-8000-FIELD-NAME1
                 WHEN SECONDARY-CAUSE-1695
                   MOVE WS-LITERAL-YES TO ERROR-SECONDARY-CAUSE
                   MOVE WS-LITERAL-SECONDRY-CAUSE
                     TO WS-8000-FIELD-NAME1
                 WHEN CAUSE-OF-LOSS-1695
                   MOVE WS-LITERAL-YES TO ERROR-CAUSE-OF-LOSS-CD
                   MOVE WS-LITERAL-CAUSE-OF-LOSS-CD
                     TO WS-8000-FIELD-NAME1
                 WHEN PREVIOUS-CAUSE-1695
                   MOVE WS-LITERAL-YES TO ERROR-PREV-CAUSE-CD
                   MOVE WS-LITERAL-PREV-CAUSE-CD
                     TO WS-8000-FIELD-NAME1
                 WHEN OTHER
                   MOVE 1695 TO WS-8020-PARAGRAPH-NO
                   MOVE 90005 TO WS-8020-INT-ERROR-NO
                   MOVE 'WS-1695-SOURCE-FIELD'
                     TO WS-8020-FIELD-NAME
                   MOVE WS-1695-SOURCE-FIELD TO WS-8020-BAD-DATA
                   MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
                   PERFORM 8020-RECORD-INT-ERROR
                      THRU 8020-RECORD-INT-ERROR-EXIT
              END-EVALUATE
              MOVE WS-1695-LOSS-CAUSE-CD TO WS-8000-BAD-DATA1
              MOVE 'CAUSE CD NOT FOUND' TO WS-8000-CORR-DATA1
              MOVE 'LOSS CAUSE TBL' TO WS-8000-TABLE-NAME
              MOVE 1695 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF.


       1695-VAL-LOSS-CAUSE-CD-EXIT.
           EXIT.

