      ****************************************************************
      * FILE:      FV1715.CBL                                        *
      * AUTHOR:    CHERYL D. WOOD                                    *
      * DATE:      9/22/95                                           *
      * PURPOSE:   VALIDATION FOR ADJUSTER ID CODE                   *
      *            VALUE MUST NOT BE SPACES                          *
      ****************************************************************

       1715-VAL-ADJUSTER-ID-CD.

      $IF DEBUG-SW DEFINED
           DISPLAY '1715-VALIDATING ADJUSTER ID CODE'
           UPON CONSOLE
      $END

      *****************************************************
      *    BASIC EDITS                                    *
      *****************************************************
           IF WS-1715-ADJUSTER-ID-CD = SPACES
              IF TYPE56
                 MOVE 56050 TO WS-8000-ERROR-CODE
              ELSE
                 MOVE 21087 TO WS-8000-ERROR-CODE
              END-IF
              MOVE WS-LITERAL-YES TO ERROR-ADJUSTER-ID-CD
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-ADJUSTER-ID-CD TO WS-8000-FIELD-NAME1
              MOVE WS-1715-ADJUSTER-ID-CD TO WS-8000-BAD-DATA1
              MOVE SPACES TO WS-8000-CORR-DATA1
              MOVE 1715 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              GO TO 1715-VAL-ADJUSTER-ID-CD-EXIT
           END-IF

           IF WS-1715-1ST-CHAR = SPACE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 003 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-ADJUSTER-ID-CD
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-ADJUSTER-ID-CD TO WS-8000-FIELD-NAME1
              MOVE WS-1715-ADJUSTER-ID-CD TO WS-8000-BAD-DATA1
              MOVE SPACES TO WS-8000-CORR-DATA1
              MOVE 1715 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              GO TO 1715-VAL-ADJUSTER-ID-CD-EXIT
           END-IF

           IF TYPE56
              GO TO 1715-VAL-ADJUSTER-ID-CD-EXIT
           END-IF


      *****************************************************
      *    LOOKUP ADJUSTER IN THE ADJUSTER ISAM           *
      *****************************************************
           INITIALIZE WS-7610-INPUT-KEY
           MOVE WS-1715-ADJUSTER-ID-CD TO WS-7610-INPUT-ADJUSTER-ID
           PERFORM 7610-LOOKUP-ADJUSTER-ID
              THRU 7610-LOOKUP-ADJUSTER-ID-EXIT

      *    *** IF NO ADJUSTER RECORD EXISTS ***
           IF NOT MATCH-FOUND-7610
              MOVE WS-LITERAL-YES TO ERROR-ADJUSTER-ID-CD
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 081 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-ADJUSTER-ID-CD TO WS-8000-FIELD-NAME1
              MOVE WS-1715-ADJUSTER-ID-CD TO WS-8000-BAD-DATA1
              MOVE 1715 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              GO TO 1715-VAL-ADJUSTER-ID-CD-EXIT
           END-IF

      *    *** IF THE ADJUSTER RECORD WAS NOT SUBMITTED THIS BATCH ***
      *    IF WS-7610-ISAM-LATEST-SUB-BATCH < WS-0004-BATCH-NO
      *       MOVE WS-LITERAL-YES TO ERROR-ADJUSTER-ID-CD
      *       MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
      *       MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
      *       MOVE 082 TO WS-8000-SHORT-ERROR
      *       MOVE WS-LITERAL-ADJUSTER-ID-CD TO WS-8000-FIELD-NAME1
      *       MOVE WS-1715-ADJUSTER-ID-CD TO WS-8000-BAD-DATA1
      *       STRING 'LAST SUBMITTED '
      *        DELIMITED BY SIZE
      *        WS-7610-ISAM-LATEST-SUB-DATE
      *        DELIMITED BY SIZE
      *        ' BATCH # '
      *        DELIMITED BY SIZE
      *        WS-7610-ISAM-LATEST-SUB-BATCH
      *        DELIMITED BY SIZE
      *        INTO WS-8000-CORR-DATA1
      *       END-STRING
      *       MOVE 1715 TO WS-8000-PARAGRAPH-NO
      *       PERFORM 8000-RECORD-TRAN-ERROR
      *          THRU 8000-RECORD-TRAN-ERROR-EXIT
      *       GO TO 1715-VAL-ADJUSTER-ID-CD-EXIT
      *    END-IF

      *    *** IF THE ADJUSTER RECORD WAS REJECTED ***
           IF WS-7610-ISAM-REJECT-FLAG = WS-LITERAL-YES
              MOVE WS-LITERAL-YES TO ERROR-ADJUSTER-ID-CD
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 083 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-ADJUSTER-ID-CD TO WS-8000-FIELD-NAME1
              MOVE WS-1715-ADJUSTER-ID-CD TO WS-8000-BAD-DATA1
              MOVE 1715 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF.


       1715-VAL-ADJUSTER-ID-CD-EXIT.
           EXIT.

