      ******************************************************************
      *  File:     FV1876.CBL
      *  Author:   Cliff Walker
      *  Date:     01/23/96
      *  Purpose:  Validate the generic YIELD QUANTITY field.
      *            That have a field length of 5 positions.
      *            It must be numeric.
      ******************************************************************

       1876-VAL-YIELD-QTY.

      $IF DEBUG-SW DEFINED
           DISPLAY '1876-VALIDATING YIELD QUANTITY'
           UPON CONSOLE
      $END

           EVALUATE WS-1876-FIELD-NO
            WHEN 'TY'
               MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
               MOVE 002 TO WS-8000-SHORT-ERROR
               MOVE WS-LITERAL-YES TO ERROR-TRANSITIONAL-YIELD
               MOVE WS-LITERAL-TRANSITIONAL-YLD
                 TO WS-8000-FIELD-NAME1
            WHEN 'CY'
               MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
               MOVE 002 TO WS-8000-SHORT-ERROR
               MOVE WS-LITERAL-YES TO ERROR-CFSA-YLD
               MOVE WS-LITERAL-CFSA-YLD TO WS-8000-FIELD-NAME1
            WHEN 'PA'
               MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
               MOVE 002 TO WS-8000-SHORT-ERROR
               MOVE WS-LITERAL-YES TO ERROR-PREV-APPROV-YLD
               MOVE WS-LITERAL-PREV-APPROV-YLD
                 TO WS-8000-FIELD-NAME1
            WHEN 'AY'
               MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
               MOVE 002 TO WS-8000-SHORT-ERROR
               MOVE WS-LITERAL-YES TO ERROR-APPROVED-YLD
               MOVE WS-LITERAL-APPROVED-YLD
                 TO WS-8000-FIELD-NAME1
            WHEN '01'
               MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
               MOVE 002 TO WS-8000-SHORT-ERROR
               MOVE WS-LITERAL-YES TO ERROR-ANNUAL-YLD1
               MOVE WS-LITERAL-ANNUAL-YLD1 TO WS-8000-FIELD-NAME1
            WHEN '02'
               MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
               MOVE 002 TO WS-8000-SHORT-ERROR
               MOVE WS-LITERAL-YES TO ERROR-ANNUAL-YLD2
               MOVE WS-LITERAL-ANNUAL-YLD2 TO WS-8000-FIELD-NAME1
            WHEN '03'
               MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
               MOVE 002 TO WS-8000-SHORT-ERROR
               MOVE WS-LITERAL-YES TO ERROR-ANNUAL-YLD3
               MOVE WS-LITERAL-ANNUAL-YLD3 TO WS-8000-FIELD-NAME1
            WHEN '04'
               MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
               MOVE 002 TO WS-8000-SHORT-ERROR
               MOVE WS-LITERAL-YES TO ERROR-ANNUAL-YLD4
               MOVE WS-LITERAL-ANNUAL-YLD4 TO WS-8000-FIELD-NAME1
            WHEN '05'
               MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
               MOVE 002 TO WS-8000-SHORT-ERROR
               MOVE WS-LITERAL-YES TO ERROR-ANNUAL-YLD5
               MOVE WS-LITERAL-ANNUAL-YLD5 TO WS-8000-FIELD-NAME1
            WHEN '06'
               MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
               MOVE 002 TO WS-8000-SHORT-ERROR
               MOVE WS-LITERAL-YES TO ERROR-ANNUAL-YLD6
               MOVE WS-LITERAL-ANNUAL-YLD6 TO WS-8000-FIELD-NAME1
            WHEN '07'
               MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
               MOVE 002 TO WS-8000-SHORT-ERROR
               MOVE WS-LITERAL-YES TO ERROR-ANNUAL-YLD7
               MOVE WS-LITERAL-ANNUAL-YLD7 TO WS-8000-FIELD-NAME1
            WHEN '08'
               MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
               MOVE 002 TO WS-8000-SHORT-ERROR
               MOVE WS-LITERAL-YES TO ERROR-ANNUAL-YLD8
               MOVE WS-LITERAL-ANNUAL-YLD8 TO WS-8000-FIELD-NAME1
            WHEN '09'
               MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
               MOVE 002 TO WS-8000-SHORT-ERROR
               MOVE WS-LITERAL-YES TO ERROR-ANNUAL-YLD9
               MOVE WS-LITERAL-ANNUAL-YLD9 TO WS-8000-FIELD-NAME1
            WHEN '10'
               MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
               MOVE 002 TO WS-8000-SHORT-ERROR
               MOVE WS-LITERAL-YES TO ERROR-ANNUAL-YLD10
               MOVE WS-LITERAL-ANNUAL-YLD10 TO WS-8000-FIELD-NAME1
            WHEN OTHER
               MOVE 1876 TO WS-8020-PARAGRAPH-NO
               MOVE 90003 TO WS-8020-INT-ERROR-NO
               MOVE 'YIELD QTY FLD' TO WS-8020-FIELD-NAME
               MOVE WS-1876-FIELD-NO TO WS-8020-BAD-DATA
               MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
               PERFORM 8020-RECORD-INT-ERROR
                  THRU 8020-RECORD-INT-ERROR-EXIT
           END-EVALUATE
           MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
           MOVE WS-1876-YIELD-QTY-X TO WS-8000-BAD-DATA1
           MOVE SPACES TO WS-8000-CORR-DATA1
           MOVE 1876 TO WS-8000-PARAGRAPH-NO
           PERFORM 8000-RECORD-TRAN-ERROR
              THRU 8000-RECORD-TRAN-ERROR-EXIT.



       1876-VAL-YIELD-QTY-EXIT.
           EXIT.
