      ******************************************************************
      *  File:     FV1905.CBL                                          *
      *  Author:   Angela Wall                                         *
      *  Date:     7/11/96                                             *
      *  Purpose:  Validate the Inactive Date. This field can be blank *
      *            or it must be: MMDDYY format.                       *
      ******************************************************************


       1905-VAL-INACTIVE-DATE.

      $IF DEBUG-SW DEFINED
           DISPLAY '1905-VALIDATING INACTIVE DATE'
           UPON CONSOLE
      $END

      ************************************************
      *    INITIALIZE TEMP FIELDS                    *
      ************************************************
           INITIALIZE WS-1905-TEMP-DATE.

      ************************************************
      *    CHECK PRE-CONDITIONS                      *
      ************************************************

           IF WS-T55-ACTIVE-FLG = 'Y'
              GO TO 1905-VAL-INACTIVE-DATE-EXIT
           END-IF

           IF ERROR-ACTIVE-FLG = WS-LITERAL-YES
              GO TO 1905-VAL-INACTIVE-DATE-EXIT
           END-IF

	    IF WS-1905-INACTIVE-DATE = SPACES
		   GO TO 1905-VAL-INACTIVE-DATE-EXIT
	    END-IF
	
	    IF WS-1905-INACTIVE-DATE NOT NUMERIC
              MOVE WS-LITERAL-YES TO ERROR-INACTIVE-DATE
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-INACTIVE-DATE TO WS-8000-FIELD-NAME1
              MOVE WS-1905-INACTIVE-DATE TO WS-8000-BAD-DATA1
              MOVE 1905 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
	       GO TO 1905-VAL-INACTIVE-DATE-EXIT
	    END-IF	

	    IF WS-1905-INACTIVE-DATE IS EQUAL ZEROS
	       GO TO 1905-VAL-INACTIVE-DATE-EXIT
	    END-IF

           MOVE WS-1905-INACTIVE-MONTH
             TO WS-0515-INPUT-DT-MONTH
           MOVE WS-1905-INACTIVE-DAY
             TO WS-0515-INPUT-DT-DAY
           MOVE WS-1905-INACTIVE-YEAR
             TO WS-0515-INPUT-DT-YEAR
           PERFORM 0515-VAL-DATE
              THRU 0515-VAL-DATE-EXIT

           IF BAD-MONTH-0515
              MOVE 90034 TO WS-8000-ERROR-CODE
              MOVE WS-LITERAL-YES TO ERROR-INACTIVE-DATE
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-INACTIVE-DATE TO WS-8000-FIELD-NAME1
              MOVE WS-1905-INACTIVE-DATE TO WS-8000-BAD-DATA1
              MOVE 1905 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           ELSE
              IF BAD-DAY-0515
                 MOVE 90035 TO WS-8000-ERROR-CODE
                 MOVE WS-LITERAL-YES TO ERROR-INACTIVE-DATE
                 MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
                 MOVE WS-LITERAL-INACTIVE-DATE TO WS-8000-FIELD-NAME1
                 MOVE WS-1905-INACTIVE-DATE TO WS-8000-BAD-DATA1
                 MOVE 1905 TO WS-8000-PARAGRAPH-NO
                 PERFORM 8000-RECORD-TRAN-ERROR
                    THRU 8000-RECORD-TRAN-ERROR-EXIT
              END-IF
           END-IF.

       1905-VAL-INACTIVE-DATE-EXIT.
	    EXIT.
