      ******************************************************************
      *  File:     FV1925.CBL                                          *
      *  Author:   Angela Wall                                         *
      *  Date:     7/11/96                                             *
      *  Purpose:  Validate the Agent id.   			                *
      *            Required for all records.  Cannot be blank.  Must   *
      *            be left justified.                                  *
      ******************************************************************


       1925-VAL-AGENT-ID.

      $IF DEBUG-SW DEFINED
           DISPLAY '1925-VALIDATING AGENT ID'
           UPON CONSOLE
      $END

      *****************************************************
      *    BASIC EDITS                                    *
      *****************************************************
	    IF WS-1925-AGENT-ID = SPACES
              MOVE WS-LITERAL-YES TO ERROR-AGENT-ID-NO
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 004 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-AGENT-ID-NO TO WS-8000-FIELD-NAME1
              MOVE WS-1925-AGENT-ID TO WS-8000-BAD-DATA1
              MOVE 1925 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              GO TO 1925-VAL-AGENT-ID-EXIT
	    END-IF

	    IF WS-1925-AGENT-ID = ZEROS
              MOVE WS-LITERAL-YES TO ERROR-AGENT-ID-NO
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              IF TYPE55
                 MOVE 55053 TO WS-8000-ERROR-CODE
              ELSE
                 MOVE 11103 TO WS-8000-ERROR-CODE
              END-IF
              MOVE WS-LITERAL-AGENT-ID-NO TO WS-8000-FIELD-NAME1
              MOVE WS-1925-AGENT-ID TO WS-8000-BAD-DATA1
              MOVE 1925 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              GO TO 1925-VAL-AGENT-ID-EXIT
	    END-IF

           IF TYPE55
              GO TO 1925-VAL-AGENT-ID-EXIT
           END-IF

      *****************************************************
      *    LOOKUP AGENT IN AGENT ISAM                     *
      *****************************************************
           INITIALIZE WS-7605-INPUT-KEY
           MOVE WS-1925-AGENT-ID TO WS-7605-INPUT-AGENT-ID
           PERFORM 7605-LOOKUP-AGENT-ID
              THRU 7605-LOOKUP-AGENT-ID-EXIT

      *    *** IF NO AGENT RECORD EXISTS ***
           IF NOT MATCH-FOUND-7605
              MOVE WS-LITERAL-YES TO ERROR-AGENT-ID-NO
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 096 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-AGENT-ID-NO TO WS-8000-FIELD-NAME1
              MOVE WS-1925-AGENT-ID TO WS-8000-BAD-DATA1
              MOVE 1925 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              GO TO 1925-VAL-AGENT-ID-EXIT
           END-IF

      *    *** IF THE AGENT RECORD WAS NOT SUBMITTED THIS BATCH ***
      *    IF WS-7605-ISAM-LATEST-SUB-BATCH < WS-0004-BATCH-NO
      *       MOVE WS-LITERAL-YES TO ERROR-AGENT-ID-NO
      *       MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
      *       MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
      *       MOVE 097 TO WS-8000-SHORT-ERROR
      *       MOVE WS-LITERAL-AGENT-ID-NO TO WS-8000-FIELD-NAME1
      *       MOVE WS-1925-AGENT-ID TO WS-8000-BAD-DATA1
      *       STRING 'LAST SUBMITTED '
      *        DELIMITED BY SIZE
      *        WS-7605-ISAM-LATEST-SUB-DATE
      *        DELIMITED BY SIZE
      *        ' BATCH # '
      *        DELIMITED BY SIZE
      *        WS-7605-ISAM-LATEST-SUB-BATCH
      *        DELIMITED BY SIZE
      *        INTO WS-8000-CORR-DATA1
      *       END-STRING
      *       MOVE 1925 TO WS-8000-PARAGRAPH-NO
      *       PERFORM 8000-RECORD-TRAN-ERROR
      *          THRU 8000-RECORD-TRAN-ERROR-EXIT
      *       GO TO 1925-VAL-AGENT-ID-EXIT
      *    END-IF

      *    *** IF THE AGENT RECORD WAS REJECTED ***
           IF WS-7605-ISAM-REJECT-FLAG = WS-LITERAL-YES
              MOVE WS-LITERAL-YES TO ERROR-AGENT-ID-NO
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 098 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-AGENT-ID-NO TO WS-8000-FIELD-NAME1
              MOVE WS-1925-AGENT-ID TO WS-8000-BAD-DATA1
              MOVE 1925 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              GO TO 1925-VAL-AGENT-ID-EXIT
           END-IF.


       1925-VAL-AGENT-ID-EXIT.
	    EXIT.
