      ******************************************************************
      *  File:     FV1945.CBL                                          *
      *  Author:   Angela Wall                                         *
      *  Date:     7/12/96                                             *
      *  Purpose:  Validate the address field.                         *
      *            Required for all records.  Must not be blank.       *
      *            Must be left justified beginning in first position. *
      *             Must not be a PO Box.                              *
      *            7/18/97 - Must not contain 'ATTN:'                  *
      ******************************************************************

       1945-VAL-BUSINESS-ADDRESS.

      $IF DEBUG-SW DEFINED
           DISPLAY '1945-VALIDATING BUSINESS ADDRESS'
           UPON CONSOLE
      $END

           IF WS-1945-ADDRESS = SPACES
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 004 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-BUSINESS-ADDRESS
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-BUSINESS-ADDRESS TO WS-8000-FIELD-NAME1
              MOVE WS-1945-ADDRESS TO WS-8000-BAD-DATA1
              MOVE 1945 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
	      GO TO 1945-VAL-BUSINESS-ADDRESS-EXIT
           END-IF.

	   IF WS-1945-1ST-CHAR = SPACE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 003 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-BUSINESS-ADDRESS
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-BUSINESS-ADDRESS TO WS-8000-FIELD-NAME1
              MOVE WS-1945-ADDRESS TO WS-8000-BAD-DATA1
              MOVE 1945 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
	      GO TO 1945-VAL-BUSINESS-ADDRESS-EXIT
	   END-IF.

      ******************************************************************
      *  Check for a PO Box address
      ******************************************************************

	   IF WS-1945-FOUR-CHARS = 'P.O.' OR
	    WS-1945-FOUR-CHARS = 'P O ' OR
	    WS-1945-THREE-CHARS = 'PO '
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 054 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-BUSINESS-ADDRESS
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-BUSINESS-ADDRESS TO WS-8000-FIELD-NAME1
              MOVE WS-1945-ADDRESS TO WS-8000-BAD-DATA1
              MOVE 1945 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
	   END-IF.

      ******************************************************************
      *  Check for 'ATTN:'
      ******************************************************************
           IF WS-1945-FOUR-CHARS = 'ATTN'
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 055 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-BUSINESS-ADDRESS
              MOVE WS-LITERAL-FV      TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-BUSINESS-ADDRESS TO WS-8000-FIELD-NAME1
              MOVE WS-1945-ADDRESS    TO WS-8000-BAD-DATA1
              MOVE 1945 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              GO TO 1945-VAL-BUSINESS-ADDRESS-EXIT
           END-IF.

       1945-VAL-BUSINESS-ADDRESS-EXIT.
           EXIT.



