      ******************************************************************
      *  File:     FV1970.CBL                                          *
      *  Author:   Angela Wall
      *  Date:     7/12/96                                             *
      *  Purpose:  Validate the social security number field.          *
      *            Required for all records.  Must be a valid SSN.     *
      *		   Must not be suspended or disbared.
      ******************************************************************

       1970-VAL-SOC-SEC-NUM.

      $IF DEBUG-SW DEFINED
           DISPLAY '1970-VALIDATING SOCIAL SECURITY NUMBER'
           UPON CONSOLE
      $END

	  IF WS-1970-SOC-SEC-NUM NOT NUMERIC
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-SOC-SEC-NUM
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-SOC-SEC-NUM TO WS-8000-FIELD-NAME1
              MOVE WS-1970-SOC-SEC-NUM TO WS-8000-BAD-DATA1
              MOVE 1970 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
	      GO TO 1970-VAL-SOC-SEC-NUM-EXIT
	  END-IF.

	  IF WS-1970-SOC-SEC-NUM = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 005 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-SOC-SEC-NUM
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-SOC-SEC-NUM TO WS-8000-FIELD-NAME1
              MOVE WS-1970-SOC-SEC-NUM TO WS-8000-BAD-DATA1
              MOVE 1970 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
	      GO TO 1970-VAL-SOC-SEC-NUM-EXIT
	  END-IF.


      *   **** VALIDATE THE SSN
          MOVE WS-1970-SOC-SEC-NUM TO WS-0570-INPUT-SSN.
          PERFORM 0570-VAL-SSN
             THRU 0570-VAL-SSN-EXIT.

          IF NOT VALID-SSN-0570
             MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
             MOVE 55052 TO WS-8000-ERROR-CODE
             MOVE WS-LITERAL-YES TO ERROR-SOC-SEC-NUM
             MOVE WS-LITERAL-SOC-SEC-NUM TO WS-8000-FIELD-NAME1
             MOVE WS-1970-SOC-SEC-NUM TO WS-8000-BAD-DATA1
             MOVE 1970 TO WS-8000-PARAGRAPH-NO
             PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
       	     GO TO 1970-VAL-SOC-SEC-NUM-EXIT
          END-IF.

       1970-VAL-SOC-SEC-NUM-EXIT.
           EXIT.

