      ***************************************************************
      * File:      WS1000.ECO
      * Author:    Mike Ray
      * Date:      11/13/95
      * Purpose:
      *
      *    This copy file contains the working storage fields required
      *    by all of the 1000 series field validation modules.
      *    It contains the following working storage copy files:
      *
      *    WS1020.CBL FOR 1020-VAL-T20
      *
      *    WS1200.CBL FOR 1200-VAL-REPORTING-ORG
      *    WS1205.CBL FOR 1205-VAL-LOCATION-STATE
      *    WS1210.CBL FOR 1210-VAL-COMPANY-COUNTY
      *    WS1215.CBL FOR 1215-VAL-POLICY-NUMBER
      *    WS1220.CBL FOR 1220-VAL-CROP-YEAR
      *    WS1230.CBL FOR 1230-VAL-RECORD-NUMBER
      *    WS1235.CBL FOR 1235-VAL-ENTITY-TYPE
      *    WS1240.CBL FOR 1240-VAL-LAST-NAME
      *    WS1245.CBL FOR 1245-VAL-FIRST-NAME
      *    WS1250.CBL FOR 1250-VAL-MIDDLE-NAME
      *    WS1255.CBL FOR 1255-VAL-NAME-SUFFIX
      *    WS1260.CBL FOR 1260-VAL-TITLE
      *    WS1265.CBL FOR 1265-VAL-BUSINESS-NAME
      *    WS1270.CBL FOR 1270-VAL-ADDRESS
      *    WS1275.CBL FOR 1275-VAL-CITY
      *    WS1280.CBL FOR 1280-VAL-ADDRESS-STATE
      *    WS1285.CBL FOR 1285-VAL-ZIP-CODE
      *    WS1290.CBL FOR 1290-VAL-ZIP-EXTENSION
      *    WS1295.CBL FOR 1295-VAL-ID-TYPE
      *    WS1300.CBL FOR 1300-VAL-ID-NUMBER
      *    WS1305.CBL FOR 1305-VAL-PHONE-NUMBER
      *    WS1307.CBL FOR 1307-VAL-PREVIOUS-RO
      *    WS1310.CBL FOR 1310-VAL-PREVIOUS-POLICY
      *    WS1320.CBL FOR ******** NOT  ASSIGNED **********
      *    WS1340.CBL FOR 1340-VAL-CROP-CODE
      *    WS1350.CBL FOR 1350-VAL-LOC-COUNTY
      *    WS1355.CBL FOR 1355-VAL-RATE-STATE
      *    WS1360.CBL FOR 1360-VAL-RATE-COUNTY
      *    WS1365.CBL FOR 1365-VAL-FEE-PREPYMT-FL
      *    WS1370.CBL FOR 1370-VAL-MAX-FEE-CAUSE
      *    WS1390.CBL FOR 1390-VAL-FCIC-CTRL-DT
      *    WS1395.CBL FOR 1395-VAL-CRUSH-DISTRICT
      *    WS1400.CBL FOR ******** NOT  ASSIGNED **********
      *    WS1415.CBL FOR 1415-VAL-TYPE-15-REC
      *    WS1425.CBL FOR 1425-VAL-UNIT-NO
      *    WS1430.CBL FOR 1430-VAL-GUAR-RED-FLAG
      *    WS1435.CBL FOR 1435-VAL-CVG-LEVEL-PCT
      *    WS1440.CBL FOR 1440-VAL-PRICE-ELECTION
      *    WS1445.CBL FOR 1445-VAL-REPORTED-ACRES
      *    WS1450.CBL FOR 1450-VAL-YIELD-QUOTA
      *    WS1455.CBL FOR 1455-VAL-INSURED-SHARE
      *    WS1460.CBL FOR 1460-VAL-LIABILITY
      *    WS1465.CBL FOR 1465-VAL-BASE-PREM-RATE
      *    WS1470.CBL FOR 1470-VAL-EXPERIENCE-FCTR
      *    WS1475.CBL FOR 1475-VAL-TOTAL-PREMIUM
      *    WS1485.CBL FOR 1485-VAL-PRODUCER-PREMIUM
      *    WS1490.CBL FOR 1490-VAL-DATE-PLANTED
      *    WS1495.CBL FOR 1495-VAL-DOLLAR-AMT-INS
      *    WS1500.CBL FOR 1500-VAL-UNIT-OPTION-CD
      *    WS1505.CBL FOR 1505-VAL-OPTION-CD
      *    WS1507.CBL FOR 1507-VAL-TYPE-PRAC-OPT-CD
      *    WS1510.CBL FOR 1510-VAL-SEED-CPNY
      *    WS1515.CBL FOR 1515-VAL-YLD-CNV-PCT-ELCT
      *    WS1525.CBL FOR 1525-VAL-PMT TYPE
      *    WS1530.CBL FOR 1530-VAL-PAID-AMT
      *    WS1535.CBL FOR 1535-VAL-PREPMT-FL
      *    WS1540.CBL FOR 1540-VAL-PAID-DT
      *    WS1545.CBL FOR 1545-VAL-REINSURE-YR
      *    WS1550.CBL FOR 1550-VAL-CLAIM-NO
      *    WS1555.CBL FOR 1555-VAL-TOTAL-PMT-METHOD
      *    WS1560.CBL FOR 1560-VAL-1ST-ESCROW-CHK
      *    WS1565.CBL FOR 1565-VAL-2ND-ESCROW-CHK
      *    WS1570.CBL FOR 1570-VAL-3RD-ESCROW-CHK
      *    WS1575.CBL FOR 1575-VAL-4TH-ESCROW-CHK
      *    WS1580.CBL FOR 1580-VAL-1ST-TOT-AMT
      *    WS1585.CBL FOR 1585-VAL-2ND-TOT-AMT
      *    WS1590.CBL FOR 1590-VAL-3RD-TOT-AMT
      *    WS1595.CBL FOR 1595-VAL-4TH-TOT-AMT
      *    WS1600.CBL FOR 1600-VAL-P-CR-MEMO-CPNY
      *    WS1605.CBL FOR 1605-VAL-DT-DRAFT-ISSUE
      *    WS1610.CBL FOR 1610-VAL-DETERM-ACRES
      *    WS1615.CBL FOR 1615-VAL-LIAB-FCTR
      *    WS1620.CBL FOR 1620-VAL-LOSS-GUAR
      *    WS1625.CBL FOR 1625-VAL-WFARM-DISC-FCTR
      *    WS1630.CBL FOR ******** NOT  ASSIGNED **********
      *    WS1635.CBL FOR ******** NOT  ASSIGNED **********
      *    WS1640.CBL FOR ******** NOT  ASSIGNED **********
      *    WS1645.CBL FOR ******** NOT  ASSIGNED **********
      *    WS1650.CBL FOR 1650-VAL-PROD-TO-CNT
      *    WS1655.CBL FOR 1655-VAL-FARM-UNIT-DEF
      *    WS1660.CBL FOR 1660-VAL-AUDIT-CORRECTION
      *    WS1665.CBL FOR 1665-VAL-GRP-PMT-CALC
      *    WS1670.CBL FOR 1670-VAL-HARVEST-PROD
      *    WS1675.CBL FOR 1675-VAL-MONTH
      *    WS1680.CBL FOR 1680-VAL-REPLANT-GUAR
      *    WS1685.CBL FOR 1685-VAL-PARTIAL-PP-FLAG
      *    WS1690.CBL FOR 1690-VAL-PRIMARY-PCT
      *    WS1695.CBL FOR 1695-VAL-LOSS-CAUSE-CD
      *    WS1700.CBL FOR 1700-VAL-SUGAR-FACTOR
      *    WS1705.CBL FOR 1705-ACREAGE-REC-NO
      *    WS1710.CBL FOR 1710-VAL-NURSERY-INS-PLAN
      *    WS1715.CBL FOR 1715-VAL-ADJUSTER-ID-CD
      *    WS1720.CBL FOR 1720-VAL-HARDINESS-ZONE
      *    WS1725.CBL FOR 1725-VAL-NEW-MKT-VALUE
      *    WS1730.CBL FOR 1730-VAL-AVG-MONTHLY
      *    WS1735.CBL FOR 1735-VAL-LOSS-FROM-AVG
      *    WS1740.CBL FOR 1740-VAL-AVG-MTH-MKT-VAL
      *    WS1745.CBL FOR 1745-VAL-FIELD-MKT-VAL
      *    WS1750.CBL FOR 1750-VAL-AGGREGATE-DEDUCT
      *    WS1755.CBL FOR 1755-VAL-LOSS-FRM-ANNUAL
      *    WS1760.CBL FOR 1760-VAL-LOSS-USED
      *    WS1765.CBL FOR 1765-VAL-ACCUM-DEDUCTIBLE
      *    WS1770.CBL FOR 1770-VAL-4TH-REINS-YR
      *    WS1775.CBL FOR 1775-VAL-SIMPLE-CLAIM-FL
      *    WS1780.CBL FOR 1780-VAL-STAGE-CODE
      *    WS1785.CBL FOR 1785-VAL-PREM-RT-SURCHG
      *    WS1790.CBL FOR 1790-VAL-PNUT-QUOTA
      *    WS1795.CBL FOR ******** NOT  ASSIGNED **********
      *    WS1800.CBL FOR ******** NOT  ASSIGNED **********
      *    WS1805.CBL FOR 1805-VAL-INDEMNITY
      *    WS1810.CBL FOR 1810-VAL-ADJUSTER-SIG-DT
      *    WS1815.CBL FOR 1815-VAL-INSURED-SIG-DT
      *    WS1820.CBL FOR ******** NOT  ASSIGNED **********
      *    WS1825.CBL FOR ******** NOT  ASSIGNED **********
      *    WS1830.CBL FOR 1830-VAL-TOTAL-INDEMNITY
      *    WS1835.CBL FOR 1835-VAL-1ST-REINS-YR
      *    WS1840.CBL FOR 1840-VAL-2ND-REINS-YR
      *    WS1845.CBL FOR 1845-VAL-3RD-REINS-YR
      *    WS1852.CBL FOR 1852-VAL-DELETE-FLG
      *    WS1854.CBL FOR 1854-VAL-PRIV-POLY-NO
      *    WS1864.CBL FOR 1864-VAL-YIELD-LIMIT-FLG
      *    WS1866.CBL FOR 1866-VAL-PRIV-POLY-CD
      *    WS1867.CBL FOR 1867-VAL-NCS-EXECPTION-FLAG
      *    WS1868.CBL FOR 1868-VAL-NCS-YLD-FACTOR
      *    WS1870.CBL FOR 1870-VAL-REVIEW-FLG
      *    WS1872.CBL FOR 1872-VAL-YIELD-TYPE-YEAR
      *    WS1874.CBL FOR 1874-VAL-YIELD-INDICATOR
      *    WS1876.CBL FOR 1876-VAL-YIELD-QTY
      *    WS1878.CBL FOR 1878-VAL-YIELD-YEAR
      *    WS1880.CBL FOR 1880-VAL-YIELD-ACRE
      *    WS1885.CBL FOR 1885-VAL-TOTAL-GUARANTEE
      *    WS1890.CBL FOR 1890-VAL-GUARANTEE-PER-ACRE
      *    WS1900.CBL FOR 1900-VAL-ACTIVE-FLG
      *    WS1905.CBL FOR 1905-VAL-INACTIVE-DATE
      *    WS1920.CBL FOR 1920-VAL-TYPE-OF-ID-CODE
      *    WS1925.CBL FOR 1925-VAL-AGENT-ID
      *    WS1940.CBL FOR 1940-VAL-AGENCY-NAME
      *    WS1945.CBL FOR 1945-VAL-BUSINESS-ADDRESS
      *    WS1950.CBL FOR 1950-VAL-AGENCY-CITY
      *    WS1960.CBL FOR 1960-VAL-PHONE-EXTEN
      *    WS1970.CBL FOR 1970-VAL-SOC-SEC-NUM
      ***************************************************************

       COPY 'FV/WS1012.CBL'.
       COPY 'FV/WS1020.CBL'.
       COPY 'FV/WS1021.CBL'.
       COPY 'FV/WS1022.CBL'.

       COPY 'FV/WS1200.CBL'.
       COPY 'FV/WS1205.CBL'.
       COPY 'FV/WS1210.CBL'.
       COPY 'FV/WS1215.CBL'.
       COPY 'FV/WS1220.CBL'.
       COPY 'FV/WS1230.CBL'.
       COPY 'FV/WS1235.CBL'.
       COPY 'FV/WS1240.CBL'.
       COPY 'FV/WS1245.CBL'.
       COPY 'FV/WS1250.CBL'.
       COPY 'FV/WS1255.CBL'.
       COPY 'FV/WS1260.CBL'.
       COPY 'FV/WS1265.CBL'.
       COPY 'FV/WS1270.CBL'.
       COPY 'FV/WS1275.CBL'.
       COPY 'FV/WS1280.CBL'.
       COPY 'FV/WS1285.CBL'.
       COPY 'FV/WS1290.CBL'.
       COPY 'FV/WS1295.CBL'.
       COPY 'FV/WS1300.CBL'.
       COPY 'FV/WS1305.CBL'.
       COPY 'FV/WS1307.CBL'.
       COPY 'FV/WS1310.CBL'.
      *COPY 'FV/WS1320.CBL'.
       COPY 'FV/WS1340.CBL'.
       COPY 'FV/WS1350.CBL'.
       COPY 'FV/WS1355.CBL'.
       COPY 'FV/WS1360.CBL'.
       COPY 'FV/WS1365.CBL'.
       COPY 'FV/WS1370.CBL'.
       COPY 'FV/WS1390.CBL'.
       COPY 'FV/WS1395.CBL'.
      *COPY 'FV/WS1400.CBL'.
       COPY 'FV/WS1415.CBL'.
       COPY 'FV/WS1425.CBL'.
       COPY 'FV/WS1430.CBL'.
       COPY 'FV/WS1435.CBL'.
       COPY 'FV/WS1440.CBL'.
       COPY 'FV/WS1445.CBL'.
       COPY 'FV/WS1450.CBL'.
       COPY 'FV/WS1455.CBL'.
       COPY 'FV/WS1460.CBL'.
       COPY 'FV/WS1465.CBL'.
       COPY 'FV/WS1470.CBL'.
       COPY 'FV/WS1475.CBL'.
       COPY 'FV/WS1485.CBL'.
       COPY 'FV/WS1490.CBL'.
       COPY 'FV/WS1495.CBL'.
       COPY 'FV/WS1500.CBL'.
       COPY 'FV/WS1505.CBL'.
       COPY 'FV/WS1507.CBL'.
       COPY 'FV/WS1510.CBL'.
       COPY 'FV/WS1515.CBL'.
       COPY 'FV/WS1525.CBL'.
       COPY 'FV/WS1530.CBL'.
       COPY 'FV/WS1535.CBL'.
       COPY 'FV/WS1540.CBL'.
       COPY 'FV/WS1545.CBL'.
       COPY 'FV/WS1550.CBL'.
       COPY 'FV/WS1555.CBL'.
       COPY 'FV/WS1560.CBL'.
       COPY 'FV/WS1565.CBL'.
       COPY 'FV/WS1570.CBL'.
       COPY 'FV/WS1575.CBL'.
       COPY 'FV/WS1580.CBL'.
       COPY 'FV/WS1585.CBL'.
       COPY 'FV/WS1590.CBL'.
       COPY 'FV/WS1595.CBL'.
       COPY 'FV/WS1600.CBL'.
       COPY 'FV/WS1605.CBL'.
       COPY 'FV/WS1610.CBL'.
       COPY 'FV/WS1615.CBL'.
       COPY 'FV/WS1620.CBL'.
       COPY 'FV/WS1625.CBL'.
      *COPY 'FV/WS1630.CBL'.
      *COPY 'FV/WS1635.CBL'.
      *COPY 'FV/WS1640.CBL'.
      *COPY 'FV/WS1645.CBL'.
       COPY 'FV/WS1650.CBL'.
       COPY 'FV/WS1655.CBL'.
       COPY 'FV/WS1660.CBL'.
       COPY 'FV/WS1665.CBL'.
       COPY 'FV/WS1670.CBL'.
       COPY 'FV/WS1675.CBL'.
       COPY 'FV/WS1680.CBL'.
       COPY 'FV/WS1685.CBL'.
       COPY 'FV/WS1690.CBL'.
       COPY 'FV/WS1695.CBL'.
       COPY 'FV/WS1700.CBL'.
       COPY 'FV/WS1705.CBL'.
       COPY 'FV/WS1710.CBL'.
       COPY 'FV/WS1715.CBL'.
       COPY 'FV/WS1720.CBL'.
       COPY 'FV/WS1725.CBL'.
       COPY 'FV/WS1730.CBL'.
       COPY 'FV/WS1735.CBL'.
       COPY 'FV/WS1740.CBL'.
       COPY 'FV/WS1745.CBL'.
       COPY 'FV/WS1750.CBL'.
       COPY 'FV/WS1755.CBL'.
       COPY 'FV/WS1760.CBL'.
       COPY 'FV/WS1765.CBL'.
       COPY 'FV/WS1770.CBL'.
       COPY 'FV/WS1775.CBL'.
       COPY 'FV/WS1780.CBL'.
       COPY 'FV/WS1785.CBL'.
       COPY 'FV/WS1790.CBL'.
      *COPY 'FV/WS1795.CBL'.
      *COPY 'FV/WS1800.CBL'.
       COPY 'FV/WS1805.CBL'.
       COPY 'FV/WS1810.CBL'.
       COPY 'FV/WS1815.CBL'.
      *COPY 'FV/WS1820.CBL'.
      *COPY 'FV/WS1825.CBL'.
       COPY 'FV/WS1830.CBL'.
       COPY 'FV/WS1835.CBL'.
       COPY 'FV/WS1840.CBL'.
       COPY 'FV/WS1845.CBL'.
       COPY 'FV/WS1852.CBL'.
       COPY 'FV/WS1854.CBL'.
       COPY 'FV/WS1864.CBL'.
       COPY 'FV/WS1866.CBL'.
       COPY 'FV/WS1867.CBL'.
       COPY 'FV/WS1868.CBL'.
       COPY 'FV/WS1870.CBL'.
       COPY 'FV/WS1872.CBL'.
       COPY 'FV/WS1874.CBL'.
       COPY 'FV/WS1876.CBL'.
       COPY 'FV/WS1878.CBL'.
       COPY 'FV/WS1880.CBL'.
       COPY 'FV/WS1890.CBL'.
       COPY 'FV/WS1885.CBL'.
       COPY 'FV/WS1900.CBL'.
       COPY 'FV/WS1905.CBL'.
       COPY 'FV/WS1920.CBL'.
       COPY 'FV/WS1925.CBL'.
      *COPY 'FV/WS1930.CBL'.
       COPY 'FV/WS1940.CBL'.
       COPY 'FV/WS1945.CBL'.
       COPY 'FV/WS1950.CBL'.
       COPY 'FV/WS1960.CBL'.
       COPY 'FV/WS1970.CBL'.

