      ***************************************************************
      * File:      IF2000.CBL
      * Author:    Mike Ray
      * Date:      01/11/96
      * Purpose:
      *    This copy file contains the inter-field validation modules
      *    and sequencing logic.
      *
      * Contains:
      *    ********** TRANSACTION SEQUENCING MODULES ***********
      *    IF2010.CBL     2010-VALIDATE-T10
      *    IF2011.CBL     2011-VALIDATE-T11
      *    IF2012.CBL     2012-VALIDATE-T12
      *    IF2014.CBL     2014-VALIDATE-T14
      *    IF2015.CBL     2015-VALIDATE-T15
      *    IF2020.CBL     2020-VALIDATE-T20
      *    IF2021.CBL     2021-VALIDATE-T21
      *    IF2055.CBL     2055-VALIDATE-T55
      *    IF2056.CBL     2056-VALIDATE-T56
      *
      *    ********** FIELD VALIDATION MODULES *****************
      *    IF2200.CBL      *** NOT ASSIGNED ***
      *    IF2205.CBL      2205-VAL-REINSURED-INFO
      *    IF2210.CBL      2210-VAL-NAME
      *    IF2213.CBL      2213-VAL-ID-TY-W-ID-NO
      *    IF2215.CBL      2215-VAL-ENTITY-ID-INFO
      *    IF2220.CBL      2220-VAL-PREV-POL-PREV-RO
      *    IF2225.CBL      2225-VAL-NON-CAT-ASG-RISK
      *    IF2230.CBL      *** NOT ASSIGNED ***
      *    IF2235.CBL      2235-VAL-NON-CAT-RATE
      *    IF2237.CBL      2237-VAL-CROP-CODE
      *    IF2240.CBL      2240-VAL-CROP-TYPE
      *    IF2245.CBL      2245-VAL-ADMIN-FEE-CVG-CD
      *    IF2247.CBL      2247-VAL-FEE-PREPMT-FL
      *    IF2250.CBL      2250-VAL-LOC-CNTY-INFO
      *    IF2255.CBL      2255-DETERMINE-TRANS-LATE
      *    IF2260.CBL      2260-VAL-MAP-AREA
      *    IF2265.CBL      2265-VAL-PRACTICE-CD
      *    IF2270.CBL      2270-VAL-OPTION-CDS
      *    IF2272.CBL      2272-VAL-CAT-W-UNIT-OPT
      *    IF2275.CBL      2275-VAL-TYPE-PRAC-OPT-CD
      *    IF2280.CBL      *** NOT ASSIGNED ***
      *    IF2282.CBL      *** NOT ASSIGNED ***
      *    IF2285.CBL      2285-VAL-FARM-SERIAL-NO
      *    IF2287.CBL      2287-VAL-COVERAGE-LVL-PCT
      *    IF2289.CBL      2289-VAL-EXPERIENCE-FCTR
      *    IF2290.CBL      *** NOT ASSIGNED ***
      *    IF2292.CBL      2292-VAL-DOLLAR-AMT-INS
      *    IF2295.CBL      2295-VAL-PRICE-ELECTION
      *    IF2300.CBL      2300-VAL-LIABILITY
      *    IF2305.CBL      *** NOT ASSIGNED ***
      *    IF2307.CBL      2307-VAL-REINS-INS-CROP
      *    IF2310.CBL      2310-VAL-IP-CNTY-AVG-YLD
      *    IF2315.CBL      2315-VAL-QUOTA
      *    IF2320.CBL      2320-VAL-DATE-PLANTED
      *    IF2325.CBL      2325-VAL-CROP-SEED-CPNY
      *    IF2330.CBL      2330-VAL-PERCENT-ELECTION
      *    IF2335.CBL      2335-VAL-BASE-PREM-RT
      *    IF2340.CBL      2340-VAL-YIELD-W-RATE-CLS
      *    IF2342.CBL      2342-LOOKUP-YIELD-QTY
      *    IF2343.CBL      2343-VAL-PREM-RT-SURCHG
      *    IF2345.CBL      2345-VAL-ESCROW-FIELDS
      *    IF2350.CBL      2350-VAL-PREMIUM
      *    IF2355.CBL      2355-VAL-PROD-PREMIUM
      *    IF2360.CBL      2360-VAL-TOTAL-FIELDS
      *    IF2365.CBL      2365-VAL-PAID-DATE
      *    IF2370.CBL      2370-VAL-RATE-CLASS
      *    IF2375.CBL      2375-VAL-REPORTED-ACRES
      *    IF2380.CBL      2380-VAL-GUAR-RED-FLG
      *    IF2385.CBL      2385-VAL-CRUSH-DISTRICT
      *    IF2390.CBL      2390-VAL-GUAR-RED-PCT
      *    IF2395.CBL      2395-VAL-REV-CVG-LVL
      *    IF2400.CBL      *** NOT ASSIGNED ***
      *    IF2405.CBL      *** NOT ASSIGNED ***
      *    IF2410.CBL      *** NOT ASSIGNED ***
      *    IF2415.CBL      2415-VAL-P-CR-MEMO-CPNY
      *    IF2420.CBL      *** NOT ASSIGNED ***
      *    IF2425.CBL      *** NOT ASSIGNED ***
      *    IF2430.CBL      *** NOT ASSIGNED ***
      *    IF2435.CBL      2435-VAL-REINS-LOSS-INFO
      *    IF2440.CBL      2440-VAL-INDEM-W-DEFICNY
      *    IF2445.CBL      2445-VAL-HARVESTED-PROD
      *    IF2450.CBL      2450-VAL-PRIMARY-MONTH
      *    IF2453.CBL      2453-VAL-LOSS-MONTH
      *    IF2455.CBL      2455-VAL-PRIMARY-PCT
      *    IF2460.CBL      2460-VAL-SECONDARY-MONTH
      *    IF2465.CBL      2465-VAL-SUGAR-FACTOR
      *    IF2470.CBL      2470-VAL-NON-CAT-DUAL-CVG
      *    IF2475.CBL      2475-VAL-CROP-YR
      *    IF2480.CBL      2480-CALC-SUBSIDY
      *    IF2485.CBL      2485-CALC-GUARANTEE
      *    IF2490.CBL      2490-VAL-TOTAL-AMOUNT
      *    IF2495.CBL      2495-VAL-TOTAL-REINS-YR
      *    IF2500.CBL      2500-DETERMINE-WEEKS-LATE
      *    IF2505.CBL      2505-VAL-YLD-LIMIT-FLAG
      *    IF2510.CBL      2510-VAL-YIELD-TYPES
      *    IF2515.CBL      2515-VAL-YIELD-TY-SEQ
      *    IF2520.CBL      2520-VAL-UNIT-PREM-ADJ
      *    IF2525.CBL      2525-VAL-YIELD-COMBOS
      *    IF2530.CBL      2530-VAL-TRANSITIONAL-YLD
      *    IF2532.CBL      2532-VAL-DAY-LIMITS
      *    IF2535.CBL      *** NOT ASSIGNED ***
      *    IF2537.CBL      2537-GET-AVG-REVENUES
      *    IF2540.CBL      2540-VAL-YIELD-YEARS
      *    IF2545.CBL      2545-VAL-PR-APPROVED-YLD
      *    IF2550.CBL      2550-VAL-APPROVED-YIELD
      *    IF2555.CBL      2555-VAL-YIELD-INDICATOR
      *    IF2560.CBL      2560-VAL-NCS-YLD-FACTOR
      *    IF2565.CBL      2565-VAL-NCS-FCIC2-FLAG
      *    IF2570.CBL      2570-VAL-T15-MAP-AREA
      *    IF2575.CBL      2575-VAL-INSURED-SHARE
      *    IF2580.CBL      2580-VAL-GRP-PMT-CALC
      *    IF2585.CBL      2585-VAL-REINS-LOSS-TRANS
      *    IF2590.CBL      2590-VAL-STAGE-CODE
      *    IF2595.CBL      2595-VAL-LOSS-CAUSE-CD
      *    IF2600.CBL      2600-VAL-SIMPLE-CLAIM-FL
      *    IF2605.CBL      *** NOT ASSIGNED ***
      *    IF2610.CBL      2610-VAL-T21-YIELD-QUOTA
      *    IF2615.CBL      2615-VAL-LOSS-GUARANTEE
      *    IF2620.CBL      *** NOT ASSIGNED ***
      *    IF2625.CBL      *** NOT ASSIGNED ***
      *    IF2630.CBL      2630-VAL-INDEMNITY
      *    IF2705.CBL      2705-VAL-INACTIVE-DATE
      *    IF2706.CBL      2706-VAL-COUNTY
      *    IF2707.CBL      2707-VAL-ADDRESS-STATE
      *    IF2708.CBL      2708-VAL-ZIP-CODE
      ***************************************************************


       2000-IF-VALIDATION.

      $IF DEBUG-SW DEFINED
           DISPLAY '2000-BEGINNING INTER-FIELD VALIDATION'
           UPON CONSOLE
      $END
           EVALUATE TRUE
               WHEN TYPE10
                  PERFORM 2010-VALIDATE-T10
                     THRU 2010-VALIDATE-T10-EXIT
               WHEN TYPE11
                  PERFORM 2011-VALIDATE-T11
                     THRU 2011-VALIDATE-T11-EXIT
               WHEN TYPE12
                  PERFORM 2012-VALIDATE-T12
                     THRU 2012-VALIDATE-T12-EXIT
               WHEN TYPE14
                  PERFORM 2014-VALIDATE-T14
                     THRU 2014-VALIDATE-T14-EXIT
               WHEN TYPE15
                  PERFORM 2015-VALIDATE-T15
                     THRU 2015-VALIDATE-T15-EXIT
               WHEN TYPE20
                  PERFORM 2020-VALIDATE-T20
                     THRU 2020-VALIDATE-T20-EXIT
               WHEN TYPE21
                     PERFORM 2021-VALIDATE-T21
                        THRU 2021-VALIDATE-T21-EXIT
               WHEN TYPE49
                  CONTINUE
               WHEN TYPE50
                  CONTINUE
               WHEN TYPE55
                  PERFORM 2055-VALIDATE-T55
                     THRU 2055-VALIDATE-T55-EXIT
               WHEN TYPE56
                  PERFORM 2056-VALIDATE-T56
                     THRU 2056-VALIDATE-T56-EXIT

               WHEN NOT VALID-TRAN-TYPE
                  MOVE 00 TO WS-8000-ERROR-TRAN-TYPE
                  MOVE 044 TO WS-8000-SHORT-ERROR
                  MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
                  MOVE 'TRAN TYPE' TO WS-8000-FIELD-NAME1
                  MOVE WS-TRAN-TYPE TO WS-8000-BAD-DATA1
                  MOVE 'NO LOGIC EXISTS TO HANDLE THIS TYPE'
                    TO WS-8000-CORR-DATA1
                  MOVE 2000 TO WS-8000-PARAGRAPH-NO
                  PERFORM 8000-RECORD-TRAN-ERROR
                     THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-EVALUATE.

       2000-IF-VALIDATION-EXIT.
           EXIT.


       COPY 'IF/IF2010.CBL'.
       COPY 'IF/IF2011.CBL'.
       COPY 'IF/IF2012.CBL'.
       COPY 'IF/IF2014.CBL'.
       COPY 'IF/IF2015.CBL'.
       COPY 'IF/IF2020.CBL'.
       COPY 'IF/IF2021.CBL'.
       COPY 'IF/IF2055.CBL'.
       COPY 'IF/IF2056.CBL'.

      *COPY 'IF/IF2200.CBL'.
       COPY 'IF/IF2205.CBL'.
       COPY 'IF/IF2210.CBL'.
       COPY 'IF/IF2213.CBL'.
       COPY 'IF/IF2215.CBL'.
       COPY 'IF/IF2220.CBL'.
       COPY 'IF/IF2225.CBL'.
      *COPY 'IF/IF2230.CBL'.
       COPY 'IF/IF2235.CBL'.
       COPY 'IF/IF2237.CBL'.
       COPY 'IF/IF2240.CBL'.
       COPY 'IF/IF2245.CBL'.
       COPY 'IF/IF2247.CBL'.
       COPY 'IF/IF2250.CBL'.
       COPY 'IF/IF2255.CBL'.
       COPY 'IF/IF2260.CBL'.
       COPY 'IF/IF2265.CBL'.
       COPY 'IF/IF2270.CBL'.
       COPY 'IF/IF2272.CBL'.
       COPY 'IF/IF2275.CBL'.
      *COPY 'IF/IF2280.CBL'.
      *COPY 'IF/IF2282.CBL'.
       COPY 'IF/IF2285.CBL'.
       COPY 'IF/IF2287.CBL'.
       COPY 'IF/IF2289.CBL'.
      *COPY 'IF/IF2290.CBL'.
       COPY 'IF/IF2292.CBL'.
       COPY 'IF/IF2295.CBL'.
       COPY 'IF/IF2300.CBL'.
      *COPY 'IF/IF2305.CBL'.
       COPY 'IF/IF2307.CBL'.
       COPY 'IF/IF2310.CBL'.
       COPY 'IF/IF2315.CBL'.
       COPY 'IF/IF2320.CBL'.
       COPY 'IF/IF2325.CBL'.
       COPY 'IF/IF2330.CBL'.
       COPY 'IF/IF2335.CBL'.
       COPY 'IF/IF2340.CBL'.
       COPY 'IF/IF2342.CBL'.
       COPY 'IF/IF2343.CBL'.
       COPY 'IF/IF2345.CBL'.
       COPY 'IF/IF2350.CBL'.
       COPY 'IF/IF2355.CBL'.
       COPY 'IF/IF2360.CBL'.
       COPY 'IF/IF2365.CBL'.
       COPY 'IF/IF2370.CBL'.
       COPY 'IF/IF2375.CBL'.
       COPY 'IF/IF2380.CBL'.
       COPY 'IF/IF2385.CBL'.
       COPY 'IF/IF2390.CBL'.
       COPY 'IF/IF2395.CBL'.
      *COPY 'IF/IF2400.CBL'.
      *COPY 'IF/IF2405.CBL'.
      *COPY 'IF/IF2410.CBL'.
       COPY 'IF/IF2415.CBL'.
      *COPY 'IF/IF2420.CBL'.
      *COPY 'IF/IF2425.CBL'.
      *COPY 'IF/IF2430.CBL'.
       COPY 'IF/IF2435.CBL'.
       COPY 'IF/IF2440.CBL'.
       COPY 'IF/IF2445.CBL'.
       COPY 'IF/IF2450.CBL'.
       COPY 'IF/IF2453.CBL'.
       COPY 'IF/IF2455.CBL'.
       COPY 'IF/IF2460.CBL'.
       COPY 'IF/IF2465.CBL'.
       COPY 'IF/IF2470.CBL'.
       COPY 'IF/IF2475.CBL'.
       COPY 'IF/IF2480.CBL'.
       COPY 'IF/IF2485.CBL'.
       COPY 'IF/IF2490.CBL'.
       COPY 'IF/IF2495.CBL'.
       COPY 'IF/IF2500.CBL'.
       COPY 'IF/IF2505.CBL'.
       COPY 'IF/IF2510.CBL'.
       COPY 'IF/IF2515.CBL'.
       COPY 'IF/IF2520.CBL'.
       COPY 'IF/IF2525.CBL'.
       COPY 'IF/IF2530.CBL'.
      *COPY 'IF/IF2532.CBL'.
      *COPY 'IF/IF2535.CBL'.
       COPY 'IF/IF2537.CBL'.
       COPY 'IF/IF2540.CBL'.
       COPY 'IF/IF2545.CBL'.
       COPY 'IF/IF2550.CBL'.
       COPY 'IF/IF2555.CBL'.
       COPY 'IF/IF2560.CBL'.
       COPY 'IF/IF2565.CBL'.
       COPY 'IF/IF2570.CBL'.
       COPY 'IF/IF2575.CBL'.
       COPY 'IF/IF2580.CBL'.
       COPY 'IF/IF2585.CBL'.
       COPY 'IF/IF2590.CBL'.
       COPY 'IF/IF2595.CBL'.
       COPY 'IF/IF2600.CBL'.
      *COPY 'IF/IF2605.CBL'.
       COPY 'IF/IF2610.CBL'.
       COPY 'IF/IF2615.CBL'.
      *COPY 'IF/IF2620.CBL'.
      *COPY 'IF/IF2625.CBL'.
       COPY 'IF/IF2630.CBL'.
       COPY 'IF/IF2705.CBL'.
       COPY 'IF/IF2706.CBL'.
       COPY 'IF/IF2707.CBL'.
       COPY 'IF/IF2708.CBL'.


