      ***************************************************************
      * FILE:      IF2010.CBL
      * AUTHOR:    MIKE RAY
      * DATE:      8/17/95
      * PURPOSE:
      *    THIS COPY FILE CONTAINS THE SEQUENCING LOGIC FOR THE TYPE
      *    10 RECORD.
      *
      * CONTAINS:
      *
      ***************************************************************

       2010-VALIDATE-T10.

      $IF DEBUG-SW DEFINED
           DISPLAY '2010-VALIDATING T10'
           UPON CONSOLE
      $END

      *****************************************************
      *    SET UP 88-LEVELS USED FOR INTER-FIELD VALS     *
      *****************************************************


           IF ERROR-CROP-YR IS NOT EQUAL WS-LITERAL-YES
              MOVE WS-T10-CROP-YEAR
                TO WS-0009-CROP-YEAR
           END-IF

      *    IF ERROR-CFSA-CPNY-EMP IS NOT EQUAL WS-LITERAL-YES
      *       MOVE WS-T10-CFSA-COMP-EMPL
      *         TO WS-0009-CFSA-COMP-EMPL
      *    END-IF

      *****************************************************
      *    VALIDATE CFSA INFO                             *
      *****************************************************

      *    IF CFSA
      *       INITIALIZE WS-2200-INPUT

      *       MOVE WS-T10-REPORTING-ORG TO WS-2200-INSURANCE-PROVIDER
      *       MOVE WS-T10-BRNCH-OFF-STATE-CD TO WS-2200-STATE
      *       MOVE WS-T10-COMPANY-COUNTY TO WS-2200-COUNTY

      *       MOVE WS-0004-REINS-YR TO WS-2200-REINSURANCE-YEAR

      *       PERFORM 2200-VAL-CFSA-INFO
      *          THRU 2200-VAL-CFSA-INFO-EXIT
      *    END-IF

      *****************************************************
      *    VALIDATE REINSURED INFO                        *
      *****************************************************

           IF REINSURED
              INITIALIZE WS-2205-INPUT

              MOVE WS-T10-REPORTING-ORG TO WS-2205-INSURANCE-PROVIDER
              MOVE WS-T10-BRNCH-OFF-STATE-CD TO WS-2205-BRANCH-OFFICE
              MOVE WS-T10-COMPANY-COUNTY TO WS-2205-COMPANY
              MOVE WS-T10-RECORD-NUM TO WS-2205-RECORD-NUMBER

              MOVE WS-0004-REINS-YR TO WS-2205-REINSURANCE-YEAR
      * edit not performed according to M13                             ]97a
      *       PERFORM 2205-VAL-REINSURED-INFO                           ]97d
      *          THRU 2205-VAL-REINSURED-INFO-EXIT                      ]97d
           END-IF


      *****************************************************
      *    VALIDATE ID TYPE WITH ID NUMBER                *
      *****************************************************
           INITIALIZE WS-2213-INPUT
           MOVE WS-T10-ID-NUM TO WS-2213-ID-NO
           MOVE WS-T10-ID-TYPE TO WS-2213-ID-TYPE

           PERFORM 2213-VAL-ID-TY-W-ID-NO
              THRU 2213-VAL-ID-TY-W-ID-NO-EXIT

      *****************************************************
      *    VALIDATE ENTITY TYPE ID AND RECORD NUMBER      *
      *****************************************************

           INITIALIZE WS-2215-INPUT
           MOVE WS-T10-ENTITY-TYPE TO WS-2215-ENTITY-TYPE
           MOVE WS-T10-ID-TYPE TO WS-2215-ID-TYPE
           MOVE WS-T10-RECORD-NUM TO WS-2215-RECORD-NUMBER

           PERFORM 2215-VAL-ENTITY-ID-INFO
              THRU 2215-VAL-ENTITY-ID-INFO-EXIT

      *****************************************************
      *    VALIDATE NAMES                                 *
      *****************************************************

           INITIALIZE WS-2210-INPUT

           MOVE WS-T10-PROD-LST-NAME TO WS-2210-LAST-NAME
           MOVE WS-T10-PROD-FRST-NAME TO WS-2210-FIRST-NAME
           MOVE WS-T10-BUSINESS-NAME TO WS-2210-BUSINESS-NAME
           MOVE WS-T10-ENTITY-TYPE TO WS-2210-ENTITY-TYPE
           MOVE WS-T10-ID-TYPE TO WS-2210-ID-TYPE
           PERFORM 2210-VAL-NAME
              THRU 2210-VAL-NAME-EXIT.

      *****************************************************
      *    VALIDATE PREVIOUS POLICY AND PREVIOUS RO       *
      *****************************************************

      *    INITIALIZE WS-2220-INPUT

      *    MOVE WS-T10-PREVIOUS-RO TO WS-2220-PREV-RO                   ]97d
      *    MOVE WS-T10-PREVIOUS-POLICY TO WS-2220-PREV-POLICY           ]97d
      *    MOVE WS-T10-RECORD-NUM TO WS-2220-RECORD-NUMBER              ]97d

      *    PERFORM 2220-VAL-PREV-POL-PREV-RO                            ]97d
      *       THRU 2220-VAL-PREV-POL-PREV-RO-EXIT.                      ]97d


       2010-VALIDATE-T10-EXIT.
           EXIT.
