      ***************************************************************
      * FILE:      IF2011.CBL
      * AUTHOR:    MIKE RAY
      * DATE:      9/18/95
      * PURPOSE:
      *    THIS COPY FILE CONTAINS THE SEQUENCING LOGIC FOR THE TYPE
      *    11 RECORD.
      *  Modifications
      *
      *  11/05/97  Use RATE state & county instead of LOCATION.  jlh.
      ***************************************************************

       2011-VALIDATE-T11.


      $IF DEBUG-SW DEFINED
           DISPLAY '2011-INTER-FIELD VALIDATING T11'
           UPON CONSOLE
      $END

      *****************************************************
      *    SET UP 88-LEVELS USED FOR INTER-FIELD VALS     *
      *****************************************************

           IF ERROR-CROP-YR IS NOT EQUAL TO WS-LITERAL-YES
              MOVE WS-T11-CROP-YEAR
                TO WS-0009-CROP-YEAR
           END-IF

           IF ERROR-CVG-FL IS NOT EQUAL TO WS-LITERAL-YES
              MOVE WS-T11-COVERAGE-FLG
                TO WS-0009-COVERAGE-FLG
           END-IF

           IF ERROR-NCS-FCIC-2-FL IS NOT EQUAL TO WS-LITERAL-YES
              MOVE WS-T11-NCS-FCIC-2-FL
                TO WS-0009-NCS-FCIC-2-FLG
           END-IF

           IF ERROR-CROP-CD NOT = WS-LITERAL-YES
              MOVE WS-T11-CROP-CD TO WS-0009-CROP-CATEGORIES
           END-IF


      *****************************************************
      *    INITIALIZE LOCAL VARIABLES.                    *
      *****************************************************
           INITIALIZE WS-2011-PREMIUM-FACTORS
           INITIALIZE WS-2011-PRODUCER-INFO
           INITIALIZE WS-2011-YIELD-INFO

      **************************************************************
      *  WE ARE BORROWING ID TYPE AND ID NUMBER FROM               *
      *  WS-0005-CURRENT-POLICY AND PLACING IT IN WS-2011 LOCAL    *
      *  VARIABLES.  ANY LOOKUP OF ADM NCS DATA REQUIRES USING     *
      *  THE ID TYPE AND ID NUMBER.  THIS DATA SHOULD RESIDE ON    *
      *  THE TYPE 11 RECORD.  THE NEXT REVISION OF TRANSACTION     *
      *  TYPES SHOULD INCLUDE ADDING THESE FIELDS TO THE TYPE 11.  *
      **************************************************************
           MOVE WS-0005-ID-TYPE TO WS-2011-ID-TYPE
           MOVE WS-0005-ID-NUM TO WS-2011-ID-NUM

      *****************************************************
      *    IF COVERAGE FLAG = 'C' MAKE SURE CAT IS VALID            *
      *****************************************************

      *    IF ERROR-CROP-CD <> WS-LITERAL-YES AND
      *       ERROR-CVG-FL <> WS-LITERAL-YES AND
      *       ERROR-OPT-CD <> WS-LITERAL-YES AND
      *       ERROR-INSUR-PLAN-CD <> WS-LITERAL-YES

      *       PERFORM 2242-VAL-CAT-CROP-OPT
      *          THRU 2242-VAL-CAT-CROP-OPT-EXIT
      *    ELSE
      *       MOVE WS-LITERAL-YES TO ERROR-CVG-FL
      *    END-IF

      *****************************************************
      *    LOOKUP UNIT OF MEASURE FOR T11 CROP            *
      *****************************************************
           IF ERROR-CROP-CD <> WS-LITERAL-YES AND
              ERROR-RATE-STATE <> WS-LITERAL-YES
              INITIALIZE WS-7290-INPUT
              MOVE WS-T11-CROP-CD TO WS-7290-CROP-CD
              MOVE WS-T11-RATE-STATE TO WS-7290-STATE-CD
              MOVE WS-T11-TYPE-CD TO WS-7290-TYPE-CD
              MOVE WS-T11-INSUR-PLAN-CD TO WS-7290-INS-PLAN-CD

              PERFORM 7290-LOOKUP-UM
                 THRU 7290-LOOKUP-UM-EXIT
              IF MATCH-FOUND-7290
      $IF DEBUG-SW DEFINED
              DISPLAY 'UNIT OF MEASURE = ', WS-7290-UNIT-OF-MEASURE
              UPON CONSOLE
      $END
                 MOVE WS-7290-UNIT-OF-MEASURE
                   TO WS-2011-CROP-UNIT-OF-MEASURE
              ELSE
                 MOVE WS-LITERAL-YES TO ERROR-UNIT-OF-MEASURE
                 MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
                 MOVE 044 TO WS-8000-SHORT-ERROR
                 MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
                 MOVE 'CROP' TO WS-8000-FIELD-NAME1
                 MOVE WS-T11-CROP-CD TO WS-8000-BAD-DATA1
                 MOVE 'NEEDS TO BE ADDED TO UNIT OF MEASURE TABLE'
                   TO WS-8000-CORR-DATA1
                 MOVE 2011 TO WS-8000-PARAGRAPH-NO
                 PERFORM 8000-RECORD-TRAN-ERROR
                    THRU 8000-RECORD-TRAN-ERROR-EXIT
              END-IF
           ELSE
              MOVE WS-LITERAL-YES TO ERROR-UNIT-OF-MEASURE
           END-IF

      * WS-T11-RECORD-TYPE IS FULLY VALIDATED BY FV

      * WS-T11-REPORTING-ORG HAS BEEN FULLY VALIDATED BY FV

      * WS-T11-LOC-STATE IS FULLY VALIDATED BY FV

      * WS-T11-COMPANY-COUNTY IS VALIDATED BY THE FOLLOWING EDIT
      *****************************************************
      *    VALIDATE REINSURED INFO                        *
      *****************************************************
           IF REINSURED
              INITIALIZE WS-2205-INPUT
              MOVE WS-T11-REPORTING-ORG TO WS-2205-INSURANCE-PROVIDER
              MOVE SPACES TO WS-2205-BRANCH-OFFICE
              MOVE WS-T11-COMPANY-COUNTY TO WS-2205-COMPANY
              MOVE WS-T11-RECORD-NUM TO WS-2205-RECORD-NUMBER
              MOVE WS-0004-REINS-YR TO WS-2205-REINSURANCE-YEAR
              PERFORM 2205-VAL-REINSURED-INFO
                 THRU 2205-VAL-REINSURED-INFO-EXIT
           END-IF

      * WS-T11-POLICY-NUM IS FULLY VALIDATED BY FV


      * WS-T11-CROP-YEAR IS VALIDATED BY THIS EDIT
      *****************************************************
      *    VALIDATE CROP YEAR                             *
      *****************************************************
           INITIALIZE WS-2475-INPUT
           MOVE WS-T11-CROP-CD TO WS-2475-CROP-CD
           MOVE WS-T11-CROP-YEAR TO WS-2475-CROP-YEAR
           MOVE WS-T11-RATE-STATE TO WS-2475-STATE-CD
           MOVE WS-0004-REINS-YR TO WS-2475-REINS-YEAR
           PERFORM 2475-VAL-CROP-YR
              THRU 2475-VAL-CROP-YR-EXIT


      * WS-T11-CROP-CD IS VALIDATED BELOW
      *****************************************************
      *    VALIDATE CROP CODE                             *
      *****************************************************
           INITIALIZE WS-2237-INPUT
           MOVE WS-T11-CROP-CD TO WS-2237-CROP-CD
           MOVE WS-T11-CROP-YEAR TO WS-2237-CROP-YR
           PERFORM 2237-VAL-CROP-CODE
              THRU 2237-VAL-CROP-CODE-EXIT

      * WS-T11-INSUR-PLAN-CD IS VALIDATED AFTER RATE STATE, RATE COUNTY
      * CROP TYPE AND PRACTICE.

      * WS-T11-LOCATION-COUNTY IS VALIDATED BY THE FOLLOWING EDIT.
      *****************************************************
      *    VALIDATE LOCATION COUNTY                       *
      *****************************************************
           INITIALIZE WS-2250-INPUT
           MOVE WS-T11-LOC-STATE TO WS-2250-LOCATION-STATE
           MOVE WS-T11-LOCATION-COUNTY TO WS-2250-LOCATION-COUNTY
           PERFORM 2250-VAL-LOC-CNTY-INFO
              THRU 2250-VAL-LOC-CNTY-INFO-EXIT


      * WS-T11-RATE-STATE & WS-T11-RATE-COUNTY ARE VALIDATED BELOW:
      *****************************************************
      *   VALIDATE RATE STATE AND COUNTY                  *
      *****************************************************
          INITIALIZE WS-2235-INPUT
          MOVE WS-T11-CROP-CD TO WS-2235-CROP-CD
          MOVE WS-T11-RATE-STATE TO WS-2235-RATE-STATE
          MOVE WS-T11-RATE-COUNTY TO WS-2235-RATE-COUNTY
          MOVE WS-T11-LOC-STATE TO WS-2235-LOCATION-STATE
          MOVE WS-T11-LOCATION-COUNTY TO WS-2235-LOCATION-COUNTY
          PERFORM 2235-VAL-NON-CAT-RATE
             THRU 2235-VAL-NON-CAT-RATE-EXIT


      * WS-T11-UNIT-NUM IS FULLY VALIDATED BY FV


      * WS-T11-TYPE-CD IS VALIDATED BELOW
      *****************************************************
      *    VALIDATE CROP TYPE                             *
      *****************************************************
           INITIALIZE WS-2240-INPUT
           MOVE WS-T11-CROP-CD-X TO WS-2240-CROP-CODE
           MOVE WS-T11-RATE-STATE TO WS-2240-RATE-STATE
           MOVE WS-T11-TYPE-CD TO WS-2240-CROP-TYPE
           MOVE WS-T11-INSUR-PLAN-CD TO WS-2240-INSURANCE-PLAN-ID
           PERFORM 2240-VAL-CROP-TYPE
              THRU 2240-VAL-CROP-TYPE-EXIT


      * WS-T11-PRACTICE-CD IS VALIDATED BELOW
      *****************************************************
      *    VALIDATE PRACTICE CODE                         *
      *****************************************************
           INITIALIZE WS-2265-INPUT
           MOVE WS-T11-CROP-YEAR TO WS-2265-CROP-YEAR
           MOVE WS-T11-RATE-STATE TO WS-2265-STATE
           MOVE WS-T11-RATE-COUNTY TO WS-2265-COUNTY
           MOVE WS-T11-CROP-CD TO WS-2265-CROP-CD
           MOVE WS-T11-INSUR-PLAN-CD TO WS-2265-INSURANCE-PLAN-ID
           MOVE WS-T11-TYPE-CD TO WS-2265-TYPE
           MOVE WS-T11-PRACTICE-CD TO WS-2265-PRACTICE-CD
           PERFORM 2265-VAL-PRACTICE-CD
              THRU 2265-VAL-PRACTICE-CD-EXIT


      * WS-T11-INSUR-PLAN-CD IS VALIDATED BELOW
      *****************************************************
      *    VALIDATE INSURABLE CROP/ INSURANCE PLAN CODE   *
      *    MAKE SURE THAT THE CROP IS INSURABLE.          *
      *****************************************************
           INITIALIZE WS-2307-INPUT
           MOVE WS-T11-CROP-CD TO WS-2307-CROP-CD
           MOVE WS-T11-CROP-YEAR TO WS-2307-CROP-YEAR
           MOVE WS-T11-RATE-STATE TO WS-2307-RATE-STATE
           MOVE WS-T11-RATE-COUNTY TO WS-2307-RATE-COUNTY
           MOVE WS-T11-INSUR-PLAN-CD TO WS-2307-INSURANCE-PLAN-ID
           MOVE WS-T11-PRACTICE-CD TO WS-2307-PRACTICE-CD
           MOVE WS-T11-TYPE-CD TO WS-2307-TYPE-CD
           PERFORM 2307-VAL-REINS-INS-CROP
              THRU 2307-VAL-REINS-INS-CROP-EXIT


      * WS-T11-COVERAGE-FLG IS FULLY VALIDATED BY FV

      * WS-T11-KEY-RESERVE IS INITIALIZED BY FV

      * WS-T11-FSA-SERVICE-STATE IS INITIALIZED BY FV

      * WS-T11-RECORD-NUM IS FULLY VALIDATED BY FV

      * WS-T11-TYPE15-REC-NO IS NOT REQUIRED

      * WS-T11-AGENT-ID-NUM IS VALIDATED BELOW
      *****************************************************
      *    VALIDATE AGENT ID                              *
      *****************************************************


      * WS-T11-RATE-CLASS IS VALIDATED BELOW
      *****************************************************
      *    VALIDATE RATE CLASS FOR GROUP CROPS            *
      *****************************************************
           INITIALIZE WS-2370-INPUT
           MOVE WS-T11-INSUR-PLAN-CD TO WS-2370-INS-PLAN-CD
           MOVE WS-T11-RATE-CLASS TO WS-2370-RATE-CLASS
           PERFORM 2370-VAL-RATE-CLASS
              THRU 2370-VAL-RATE-CLASS-EXIT


      * WS-T11-MAP-AREA IS VALIDATED BELOW
      *****************************************************
      *    VALIDATE MAP AREA - AND GET MAP AREA FACTOR -  *
      *****************************************************
           INITIALIZE WS-2260-INPUT
           MOVE WS-T11-INSUR-PLAN-CD TO WS-2260-INS-PLAN-CD
           MOVE WS-T11-CROP-YEAR TO WS-2260-CROP-YR
           MOVE WS-T11-CROP-CD TO WS-2260-CROP-CD
           MOVE WS-T11-PRACTICE-CD TO WS-2260-PRACTICE-CD
           MOVE WS-T11-MAP-AREA TO WS-2260-MAP-AREA
           MOVE WS-T11-RATE-COUNTY TO WS-2260-RATE-COUNTY
           MOVE WS-T11-RATE-STATE TO WS-2260-RATE-STATE
           MOVE WS-T11-RATE-CLASS TO WS-2260-RATE-CLASS
           PERFORM 2260-VAL-MAP-AREA
              THRU 2260-VAL-MAP-AREA-EXIT

           IF ERROR-MAP-AREA = WS-LITERAL-YES
              MOVE 1.000 TO WS-2011-RATE-MAP-AREA-FCTR
           ELSE
              MOVE WS-2260-MAP-FACTOR TO WS-2011-RATE-MAP-AREA-FCTR
           END-IF


      * WS-T11-CRUSH-DISTRICT IS VALIDATED BELOW
      *****************************************************
      *    VALIDATE CRUSH DISTRICT FOR CA GRAPES          *
      *****************************************************
           INITIALIZE WS-2385-INPUT
           IF WS-T11-CRUSH-DISTRICT = SPACES
               MOVE '00' TO WS-T11-CRUSH-DISTRICT
           END-IF
           MOVE WS-T11-CRUSH-DISTRICT TO WS-2385-CRUSH-DISTRICT
           MOVE WS-T11-RATE-STATE TO WS-2385-RATE-STATE
           MOVE WS-T11-CROP-CD TO WS-2385-CROP-CD
           PERFORM 2385-VAL-CRUSH-DISTRICT
              THRU 2385-VAL-CRUSH-DISTRICT-EXIT

      * WS-T11-FILLER-1 IS INITIALIZED BY FV.

      * WS-T11-NCS-FCIC-2-FL IS VALIDATED BELOW.
      *****************************************************
      *    VALIDATE NCS/FCIC-2 FLAG                       *
      *****************************************************
           INITIALIZE WS-2565-INPUT
           MOVE WS-T11-NCS-FCIC-2-FL TO WS-2565-NCS-FCIC2-FLAG
           MOVE WS-T11-COVERAGE-FLG TO WS-2565-COVERAGE-FLAG
           MOVE WS-T11-INSUR-PLAN-CD TO WS-2565-INS-PLAN-CD
           MOVE WS-T11-CROP-CD TO WS-2565-CROP-CD
           PERFORM 2565-VAL-NCS-FCIC2-FLAG
              THRU 2565-VAL-NCS-FCIC2-FLAG-EXIT


      * WS-T11-DATE-PLANTED IS VALIDATED BELOW
      *****************************************************
      *    VALIDATE DATE PLANTED                          *
      *****************************************************
           INITIALIZE WS-2320-INPUT
           MOVE WS-T11-CROP-CD TO WS-2320-CROP-CD
           MOVE WS-T11-INSUR-PLAN-CD TO WS-2320-INS-PLAN-ID
           MOVE WS-T11-DATE-PLANTED TO WS-2320-INPUT-DATE-PLANTED
           MOVE WS-T11-RATE-STATE TO WS-2320-RATE-STATE
           MOVE WS-T11-RATE-COUNTY TO WS-2320-RATE-COUNTY
           MOVE WS-T11-CROP-YEAR TO WS-2320-CROP-YEAR
           MOVE WS-T11-TYPE-CD TO WS-2320-TYPE-CD
           MOVE WS-T11-PRACTICE-CD TO WS-2320-PRACTICE-CD
           MOVE WS-T11-GUARANTEE-REDUCT-FLG
             TO WS-2320-GUARANTEE-RED-FLG
           PERFORM 2320-VAL-DATE-PLANTED
              THRU 2320-VAL-DATE-PLANTED-EXIT

           MOVE WS-2320-SEED-CYCLE-CD
             TO WS-T11-SEED-CYCLE-CODE
           MOVE WS-T11-SEED-CYCLE-CODE
             TO WS-0006-CROP-SEED-CYCLE-CD
      *    MOVE WS-2320-LPO-REDUCTION-PCT
      *      TO WS-2011-LPO-REDUCTION-PCT


      * WS-T11-GUARANTEE-REDUCT-FLG IS VALIDATED BELOW
      *****************************************************
      *    VALIDATE GUARANTEE REDUCTION FLAG              *
      *****************************************************
           INITIALIZE WS-2380-INPUT
           MOVE WS-T11-CROP-CD TO WS-2380-CROP-CD
           MOVE WS-T11-CROP-YEAR TO WS-2380-CROP-YEAR
           MOVE WS-T11-RATE-STATE TO WS-2380-RATE-STATE
           MOVE WS-T11-RATE-COUNTY TO WS-2380-RATE-COUNTY
           MOVE WS-T11-INSUR-PLAN-CD TO WS-2380-INSURANCE-PLAN-ID
           MOVE WS-T11-PRACTICE-CD TO WS-2380-PRACTICE-CD
           MOVE WS-T11-TYPE-CD TO WS-2380-TYPE-CD
           MOVE WS-T11-RATE-CLASS TO WS-2380-RATE-CLASS
           MOVE WS-T11-GUARANTEE-REDUCT-FLG
             TO WS-2380-GUARANTEE-RED-FLG
           MOVE WS-T11-SEED-CYCLE-CODE TO WS-2380-SEED-CYCLE-CD
           PERFORM 2380-VAL-GUAR-RED-FLG
              THRU 2380-VAL-GUAR-RED-FLG-EXIT


      * WS-T11-GUARANTEE-RED-PCT IS VALIDATED BELOW
      *****************************************************
      *    VALIDATE GUARANTEE REDUCTION PERCENT           *
      *****************************************************
           INITIALIZE WS-2390-INPUT
           MOVE WS-T11-INSUR-PLAN-CD TO WS-2390-INS-PLAN-CD
           MOVE WS-T11-CROP-CD       TO WS-2390-CROP-CD
           MOVE WS-T11-GUARANTEE-REDUCT-FLG TO WS-2390-GUARANTEE-RED-FLG
           MOVE WS-T11-GUARANTEE-RED-PCT  TO WS-2390-GUARANTEE-RED-PCT
           MOVE WS-T11-GUARANTEE-RED-PCT TO WS-2390-LPO-REDUCTION-PCT
           PERFORM 2390-VAL-GUAR-RED-PCT
              THRU 2390-VAL-GUAR-RED-PCT-EXIT

      * WS-T11-YIELD IS VALIDATED BELOW
      *****************************************************
      *    VALIDATE YIELD AGAINST THE RATE CLASS          *
      *****************************************************
           INITIALIZE WS-2340-INPUT
           MOVE WS-T11-CROP-CD TO WS-2340-CROP-CD
           MOVE WS-T11-INSUR-PLAN-CD TO WS-2340-INS-PLAN-CD
           MOVE WS-T11-RATE-COUNTY TO WS-2340-RATE-COUNTY
           MOVE WS-T11-RATE-STATE TO WS-2340-RATE-STATE
           MOVE WS-T11-CROP-YEAR TO WS-2340-CROP-YEAR
           MOVE WS-T11-TYPE-CD TO WS-2340-TYPE-CD
           MOVE WS-T11-PRACTICE-CD TO WS-2340-PRACTICE-CD
           MOVE WS-T11-YIELD TO WS-2340-YIELD
           MOVE WS-T11-RATE-CLASS TO WS-2340-RATE-CLASS
           MOVE WS-T11-COVERAGE-LEVEL-PCT
             TO WS-2340-COVERAGE-LEVEL-PERCENT
           MOVE WS-2011-ID-TYPE TO WS-2340-ID-TYPE
           MOVE WS-2011-ID-NUM TO WS-2340-ID-NUM
           MOVE WS-T11-OPTION-CD TO WS-2340-OPTION-CD
           PERFORM 2340-VAL-YIELD-W-RATE-CLS
              THRU 2340-VAL-YIELD-W-RATE-CLS-EXIT


      * WS-T11-IP-COUNTY-AVG-YIELD IS VALIDATED BELOW
      *****************************************************
      *    VALIDATE IP COUNTY AVERAGE YIELD               *
      *****************************************************
           INITIALIZE WS-2310-INPUT
           MOVE WS-T11-INSUR-PLAN-CD TO WS-2310-INS-PLAN-CD
           MOVE WS-T11-IP-COUNTY-AVG-YIELD
             TO WS-2310-IP-COUNTY-AVG-YIELD
      *disable this edit until further notice
      *    PERFORM 2310-VAL-IP-CNTY-AVG-YLD
      *       THRU 2310-VAL-IP-CNTY-AVG-YLD-EXIT

      * WS-T11-QUOTA IS VALIDATED BELOW
      *****************************************************
      *        VALIDATE QUOTA                             *
      *****************************************************
           INITIALIZE WS-2315-INPUT
           MOVE WS-T11-INSUR-PLAN-CD TO WS-2315-INS-PLAN-CD
           MOVE WS-T11-CROP-CD TO WS-2315-CROP-CD
           MOVE WS-T11-QUOTA TO WS-2315-QUOTA
           PERFORM 2315-VAL-QUOTA
              THRU 2315-VAL-QUOTA-EXIT

      * WS-T11-UNIT-OPT-CD AND WS-T11-ADD-OPT-CD ARE VALIDATED BELOW
      *****************************************************
      *    VALIDATE UNIT OPTION AND OPTION CODE           *
      *    - AND GET OPTION FACTOR -                      *
      *****************************************************
           INITIALIZE WS-2270-INPUT
           MOVE WS-T11-CROP-YEAR TO WS-2270-CROP-YEAR
           MOVE WS-T11-RATE-STATE TO WS-2270-RATE-STATE
           MOVE WS-T11-RATE-COUNTY TO WS-2270-RATE-COUNTY
           MOVE WS-T11-CROP-CD TO WS-2270-CROP-CD
           MOVE WS-T11-INSUR-PLAN-CD TO WS-2270-INSURANCE-PLAN-ID
           MOVE WS-T11-UNIT-OPT-CD TO WS-2270-UNIT-OPTION-CD
           MOVE WS-T11-ADD-OPT-CD TO WS-2270-OPTION-CD
           IF WS-T11-INSUR-PLAN-CD = WS-LITERAL-ARC
              IF WS-T11-UNIT-OPT-CD = 'BU'
                 MOVE .90 TO WS-2270-OPTION-FACTOR
              ELSE
                 MOVE 1.00 TO WS-2270-OPTION-FACTOR
              END-IF
           ELSE
              PERFORM 2270-VAL-OPTION-CDS
                 THRU 2270-VAL-OPTION-CDS-EXIT
           END-IF

           IF ERROR-OPT-CD = WS-LITERAL-YES
              MOVE 1.000 TO WS-2011-OPTION-FCTR
           ELSE
              MOVE WS-2270-OPTION-FACTOR TO WS-2011-OPTION-FCTR
           END-IF

      *****************************************************
      *           VALIDATE PRICE ELECTION                 *
      *****************************************************
           INITIALIZE WS-2295-INPUT
           MOVE WS-T11-INSUR-PLAN-CD TO WS-2295-INS-PLAN-CD
           MOVE WS-T11-CROP-CD TO WS-2295-CROP-CD
           MOVE WS-T11-RATE-STATE TO WS-2295-RATE-STATE
           MOVE WS-T11-RATE-COUNTY TO WS-2295-RATE-COUNTY
           MOVE WS-T11-PRICE-ELECTION TO WS-2295-PRICE-ELECTION
           MOVE WS-T11-TYPE-CD TO WS-2295-TYPE-CD
           MOVE WS-T11-PRACTICE-CD TO WS-2295-PRACTICE-CD
           MOVE WS-T11-RATE-CLASS TO WS-2295-RATE-CLASS
           MOVE WS-T11-CROP-YEAR TO WS-2295-CROP-YR
           MOVE WS-T11-CRUSH-DISTRICT TO WS-2295-CRUSH-DISTRICT
           MOVE WS-T11-TYPE-PRAC-OPT-CD
             TO WS-2295-TYPE-PRACTICE-OPTION
           PERFORM 2295-VAL-PRICE-ELECTION
              THRU 2295-VAL-PRICE-ELECTION-EXIT

           IF CAT-COVERAGE
              MOVE WS-2295-CAT-100-PCT-PRICE
                TO WS-2011-CAT-100-PCT-PRICE
           END-IF


      * WS-T11-DOLLAR-AMT-INSUR IS VALIDATED BELOW
      *****************************************************
      *    VALIDATE DOLLAR AMOUNT OF INSURANCE            *
      *****************************************************
           INITIALIZE WS-2292-INPUT
           MOVE WS-T11-CROP-CD TO WS-2292-CROP-CD
           MOVE WS-T11-RATE-STATE TO WS-2292-RATE-STATE
           MOVE WS-T11-RATE-COUNTY TO WS-2292-RATE-COUNTY
           MOVE WS-T11-COVERAGE-LEVEL-PCT TO WS-2292-CVG-LVL-PCT
           MOVE WS-T11-INSUR-PLAN-CD TO WS-2292-INS-PLAN-CD
           MOVE WS-T11-CROP-YEAR TO WS-2292-CROP-YEAR
           MOVE WS-T11-TYPE-CD TO WS-2292-TYPE-CD
           MOVE WS-T11-PRACTICE-CD TO WS-2292-PRACTICE-CD
           MOVE WS-T11-RATE-CLASS TO WS-2292-RATE-CLASS
           MOVE WS-T11-YIELD TO WS-2292-YIELD
           MOVE WS-T11-PRICE-ELECTION TO WS-2292-PRICE-ELECTION
           MOVE WS-T11-COVERAGE-LEVEL-PCT
             TO WS-2292-CVG-LVL-PERCENT
           MOVE WS-T11-GUARANTEE-PER-ACRE
             TO WS-2292-GUARANTEE-PER-ACRE
           MOVE WS-2011-CROP-UNIT-OF-MEASURE
             TO WS-2292-CROP-UNIT-OF-MEASURE
           MOVE WS-T11-GUARANTEE-RED-PCT
             TO WS-2292-GUAR-REDUCTION-FCTR
           MOVE WS-T11-DOLLAR-AMT-INSUR
             TO WS-2292-DOLLAR-AMT-INS
           MOVE WS-T11-UNIT-OPT-CD
             TO WS-2292-UNIT-OPT-CD
           MOVE WS-T11-REVENUE-CVG-LEVEL-PCT
             TO WS-2292-REVENUE-CVG-LVL-PCT
           PERFORM 2292-VAL-DOLLAR-AMT-INS
              THRU 2292-VAL-DOLLAR-AMT-INS-EXIT

      *    IF WS-2292-UPDATE-DOLLAR-AMT-INS = WS-LITERAL-YES
      *       MOVE WS-2292-NEW-DOLLAR-AMT-INS
      *         TO WS-T11-DOLLAR-AMT-INSUR
      *    END-IF

           IF WS-2292-GUARANTEE-PER-ACRE > ZERO
      *       *** THIS IS AN IP GUARANTEE PER ACRE
      *       *** OR.... AN ARC GUARANTEE PER ACRE
              MOVE WS-2292-GUARANTEE-PER-ACRE
                TO WS-2011-GUARANTEE-PER-ACRE
           END-IF

           IF WS-T11-INSUR-PLAN-CD = WS-LITERAL-ARC
              MOVE WS-2292-MIN-DOLLAR-AMT TO WS-2011-LOW-YLD-QTY
              MOVE WS-2292-MAX-DOLLAR-AMT TO WS-2011-HIGH-YLD-QTY
           END-IF

           IF ERROR-DOLLAR-AMT-INSUR = WS-LITERAL-YES
              MOVE ZEROS TO WS-2011-100-PCT-MAX-DOLLAR-AMT
           ELSE
              MOVE WS-2292-100-PCT-MAX-DOLLAR-AMT
                TO WS-2011-100-PCT-MAX-DOLLAR-AMT
              IF CAT-COVERAGE
                 MOVE WS-2292-CAT-65-PCT-DOLLAR-AMT
                   TO WS-2011-CAT-65-PCT-DOLLAR-AMT
              END-IF
           END-IF


      * WS-T11-PERCENT-ELECTION IS HERE BECAUSE IT IS NEEDED
      * FOR THE LIABILITY CALCULATION
      ********************************************************
      *    VALIDATE PERCENT ELECTION                         *
      *                                                      *
      *    IF THE CROP IS NON-IRRIGATED COTTON OR ELS COTTON *                                               *
      *    THE FIELD HOLDS THE YIELD CONVERSION FACTOR FOR   *
      *    THE PLANTING ROW PATTERN.  WE CANNOT VALIDATE THIS*
      *    WE CAN ONLY VALIDATE THE PERCENT ELECTION.        *
      ********************************************************
           INITIALIZE WS-2330-INPUT
           MOVE WS-T11-CROP-CD TO WS-2330-CROP-CD
           MOVE WS-T11-RATE-STATE TO WS-2330-RATE-STATE
           MOVE WS-T11-RATE-COUNTY TO WS-2330-RATE-COUNTY
           MOVE WS-T11-TYPE-CD TO WS-2330-TYPE-CD
           MOVE WS-T11-PERCENT-ELECTION
             TO WS-2330-PERCENT-ELECTION
           PERFORM 2330-VAL-PERCENT-ELECTION
              THRU 2330-VAL-PERCENT-ELECTION-EXIT

           MOVE WS-2330-OUTPUT-PERCENT-ELECT
               to WS-2011-PRICE-ELECTION-PCT

      * WS-T11-COVERAGE-LEVEL-PCT IS VALIDATED BELOW
      *****************************************************
      *    VALIDATE COVERAGE LEVEL PERCENT                *
      *****************************************************
           INITIALIZE WS-2287-INPUT
           MOVE WS-T11-CROP-CD TO WS-2287-CROP-CD
           MOVE WS-T11-INSUR-PLAN-CD TO WS-2287-INS-PLAN-CD
           MOVE WS-T11-RATE-STATE TO WS-2287-RATE-STATE
      *    MOVE WS-T11-COVERAGE-FLG TO WS-2287-COVERAGE-FLAG
           MOVE WS-T11-COVERAGE-LEVEL-PCT TO WS-2287-CVG-LVL-PCT
           PERFORM 2287-VAL-NON-CAT-CVG-PCT
              THRU 2287-VAL-NON-CAT-CVG-PCT-EXIT


      * WS-T11-GUARANTEE-PER-ACRE IS VALIDATED AFTER REPORTED ACRES.

      * WS-T11-GUARANTEE-RED-PCT IS ABOVE, AFTER GUARANTEE RED FLAG.


      * WS-T11-REPORTED-ACRES IS VALIDATED BELOW
      *****************************************************
      *         VALIDATE REPORTED ACRES                   *
      *****************************************************
           INITIALIZE WS-2375-INPUT
           MOVE WS-T11-INSUR-PLAN-CD TO WS-2375-INS-PLAN-CD
           MOVE WS-T11-CROP-CD TO WS-2375-CROP-CD
           MOVE WS-T11-REPORTED-ACRES TO WS-2375-REPORTED-ACRES
           PERFORM 2375-VAL-REPORTED-ACRES
              THRU 2375-VAL-REPORTED-ACRES-EXIT

      * WS-T11-TOTAL-GUARANTEE IS VALIDATED BELOW.
      *****************************************************
      *    VALIDATING GUARANTEE AND GPA                   *
      *****************************************************
           INITIALIZE WS-2485-INPUT
           MOVE WS-T11-INSUR-PLAN-CD TO WS-2485-INS-PLAN
           MOVE WS-T11-CROP-CD TO WS-2485-CROP-CD
           MOVE WS-T11-YIELD TO WS-2485-YIELD
           MOVE WS-T11-QUOTA TO WS-2485-QUOTA
           MOVE WS-T11-REPORTED-ACRES TO WS-2485-ACRES
           MOVE WS-T11-GUARANTEE-RED-PCT TO WS-2485-GUAR-REDUCTION-FCTR
           MOVE WS-T11-COVERAGE-LEVEL-PCT TO WS-2485-CVG-LVL-PERCENT
           MOVE WS-T11-DOLLAR-AMT-INSUR   TO WS-2485-DOLLAR-AMT-INS
           MOVE WS-T11-PRICE-ELECTION     TO WS-2485-PRICE-ELECTION
           MOVE WS-T11-GUARANTEE-PER-ACRE TO WS-2485-INPUT-GPA
           MOVE WS-T11-TOTAL-GUARANTEE    TO WS-2485-INPUT-TOTAL-GUAR
           move ws-t11-insured-share      to ws-2485-insured-share
           MOVE WS-2011-CROP-UNIT-OF-MEASURE
             TO WS-2485-CROP-UNIT-OF-MEASURE
           MOVE WS-2011-CAT-100-PCT-PRICE
             TO WS-2485-CAT-100-PCT-PRICE
           MOVE WS-2011-CAT-65-PCT-DOLLAR-AMT
             TO WS-2485-CAT-65-PCT-DOLLAR-AMT
           PERFORM 2485-VAL-GUARANTEE
              THRU 2485-VAL-GUARANTEE-EXIT
           MOVE WS-2485-PREMIUM-GUARANTEE
             TO WS-2011-PREMIUM-GUARANTEE
           MOVE WS-2485-PREMIUM-GPA TO WS-2011-PREMIUM-GPA
           MOVE WS-2485-CAT-65-100-GUARANTEE
             TO WS-2011-CAT-65-100-GUARANTEE
           MOVE WS-2485-RA-APH-GUARANTEE
             TO WS-2011-RA-APH-GUARANTEE

      $IF DEBUG-SW DEFINED
           IF WS-T11-INSUR-PLAN-CD = ws-literal-peanuts-plan
              COMPUTE WS-2011-QUOTA-PEANUT-FUDGE ROUNDED =
                      WS-2485-GUARANTEE-PER-ACRE * .005
              DISPLAY '2011-QUOTA-PEANUT-FUDGE = '
                      WS-2011-QUOTA-PEANUT-FUDGE
              UPON CONSOLE
           END-IF
      $END

      * WS-T11-INSURED-SHARE IS FULLY VALIDATED BY FV

      * WS-T11-LIABILITY IS VALIDATED BEFORE DOLLAR AMOUNT OF INS.
      *****************************************************
      *    VALIDATE LIABILITY                             *
      *****************************************************
           INITIALIZE WS-2300-INPUT
           MOVE WS-T11-RATE-STATE TO WS-2300-RATE-STATE
           MOVE WS-T11-RATE-COUNTY TO WS-2300-RATE-COUNTY
           MOVE WS-T11-INSUR-PLAN-CD TO WS-2300-INS-PLAN
           MOVE WS-T11-CROP-YEAR TO WS-2300-CROP-YR
           MOVE WS-T11-CROP-CD TO WS-2300-CROP-CD
           MOVE WS-T11-PRACTICE-CD TO WS-2300-PRACTICE-CD
           MOVE WS-T11-TYPE-CD TO WS-2300-TYPE-CD
           MOVE WS-T11-PRICE-ELECTION TO WS-2300-PRICE-ELECTION
           IF WS-T11-CROP-CD = WS-LITERAL-COTTON
              OR WS-LITERAL-COTTON-XTRA-LONG
                MOVE 1.00 TO WS-2300-PERCENT-ELECTION
           ELSE
                MOVE WS-2011-PRICE-ELECTION-PCT
                  TO WS-2300-PERCENT-ELECTION
           END-IF

           IF WS-T11-INSUR-PLAN-CD = WS-LITERAL-IP
      *       *** TOTAL GUARANTEED DOLLAR AMT OF PROTECTION (LIABILITY)
      *       *** CALCULATED AND STORED IN 2485 LOGIC...
              MOVE WS-2485-TOTAL-GUARANTEE TO WS-2300-TOTAL-GUARANTEE
           ELSE
              MOVE WS-T11-TOTAL-GUARANTEE  TO WS-2300-TOTAL-GUARANTEE
           END-IF
           MOVE WS-2011-PREMIUM-GUARANTEE  TO WS-2300-PREMIUM-GUARANTEE

           MOVE WS-T11-INSURED-SHARE TO WS-2300-INSURED-SHARE
           MOVE WS-T11-LIABILITY TO WS-2300-INPUT-LIABILITY
           MOVE WS-T11-REPORTED-ACRES TO WS-2300-REPORTED-ACRES
           MOVE WS-T11-DOLLAR-AMT-INSUR TO WS-2300-DOLLAR-AMT-INS
           MOVE WS-2011-CAT-65-100-GUARANTEE
             TO WS-2300-CAT-65-100-GUARANTEE
           MOVE WS-2011-CAT-100-PCT-PRICE
             TO WS-2300-CAT-100-PCT-PRICE
           move WS-T11-GUARANTEE-RED-PCT
             to ws-2300-lpo-pp-fctr
           MOVE WS-2011-ARC-CAT-GUARANTEE
             TO WS-2300-ARC-CAT-GUARANTEE
           MOVE WS-2011-RA-APH-GUARANTEE
             TO WS-2300-RA-APH-GUARANTEE
           PERFORM 2300-VAL-LIABILITY
              THRU 2300-VAL-LIABILITY-EXIT

           MOVE WS-2300-TOTAL-LIABILITY
             TO WS-2011-TOTAL-LIABILITY
           MOVE WS-2300-PREMIUM-LIABILITY
             TO WS-2011-PREMIUM-LIABILITY
           move WS-2300-alt-PREMIUM-LIABILITY
               to ws-2011-alt-premium-liability
           MOVE WS-2300-CRC-APH-LIABILITY
             TO WS-2011-CRC-APH-LIABILITY
           MOVE WS-2300-ARC-CAT-LIABILITY
             TO WS-2011-ARC-CAT-LIABILITY

      *    *** FOR NURSERY, LIABILITY = GUARANTEE
           IF WS-T11-CROP-CD = WS-LITERAL-NURSERY AND
              ERROR-LIAB <> WS-LITERAL-YES
              MOVE WS-2011-TOTAL-LIABILITY
                TO WS-T11-TOTAL-GUARANTEE
           END-IF

           IF CAT-COVERAGE
              MOVE WS-2300-CAT-65-100-LIABILITY
                TO WS-2011-CAT-65-100-LIABILITY
           END-IF



      * WS-T11-REVENUE-CVG-LEVEL-PCT IS VALIDATED BELOW.
      *****************************************************
      *    VALIDATE REVENUE COVERAGE LEVEL %              *
      *****************************************************
           INITIALIZE WS-2395-INPUT
           MOVE WS-T11-INSUR-PLAN-CD
             TO WS-2395-INS-PLAN-CD
           MOVE WS-T11-REVENUE-CVG-LEVEL-PCT
             TO WS-2395-REV-CVG-LEVEL-PCT
           MOVE WS-T11-UNIT-OPT-CD
             TO WS-2395-UNIT-OPT-CD
           MOVE WS-T11-DOLLAR-AMT-INSUR
             TO WS-2395-DOLLAR-AMT-INS
           MOVE WS-T11-PRICE-ELECTION
             TO WS-2395-PRICE-ELECTION
           MOVE WS-T11-YIELD
             TO WS-2395-YIELD
           PERFORM 2395-VAL-REV-CVG-LVL
              THRU 2395-VAL-REV-CVG-LVL-EXIT
           MOVE WS-2395-CORRECT-CVG-LVL-PCT
             TO WS-2011-CALC-RA-CVG-PCT


      * WS-T11-BASE-PREM-RATE IS EDITED BELOW
      *****************************************************
      *    VALIDATE BASE PREMIUM RATE                     *
      *****************************************************
           INITIALIZE WS-2335-INPUT
           MOVE WS-T11-CROP-CD TO WS-2335-CROP-CD
           MOVE WS-T11-INSUR-PLAN-CD TO WS-2335-INS-PLAN-CD
           MOVE WS-T11-RATE-COUNTY TO WS-2335-RATE-COUNTY
           MOVE WS-T11-RATE-STATE TO WS-2335-RATE-STATE
           MOVE WS-T11-CROP-YEAR TO WS-2335-CROP-YEAR
           MOVE WS-T11-TYPE-CD TO WS-2335-TYPE-CD
           MOVE WS-T11-PRACTICE-CD TO WS-2335-PRACTICE-CD
           MOVE WS-T11-COVERAGE-LEVEL-PCT TO WS-2335-CVG-LVL-PCT
           MOVE WS-T11-RATE-CLASS TO WS-2335-RATE-CLASS
           MOVE WS-T11-BASE-PREM-RATE TO WS-2335-BASE-PREMIUM-RATE
           MOVE WS-2011-ID-TYPE TO WS-2335-ID-TYPE
           MOVE WS-2011-ID-NUM TO WS-2335-ID-NUM
           MOVE WS-T11-PRICE-ELECTION
             TO WS-2335-PRICE-ELECTION
           MOVE WS-T11-YIELD TO WS-2335-YIELD
           MOVE WS-T11-REVENUE-CVG-LEVEL-PCT
             TO WS-2335-REVENUE-CVG-LVL-PCT
           MOVE WS-T11-type-prac-OPT-CD TO WS-2335-OPTION-CD
           MOVE WS-2011-RATE-MAP-AREA-FCTR
             TO WS-2335-MAP-FACTOR
           MOVE WS-T11-PARTIAL-PP-FLAG
             TO WS-2335-PARTIAL-PP-FLAG
      * disable this edit for IP plans until further notice
           if WS-2335-INS-PLAN-CD <> ws-literal-ip
           PERFORM 2335-VAL-BASE-PREM-RT
              THRU 2335-VAL-BASE-PREM-RT-EXIT
           end-if

           MOVE WS-2335-CAT-65-PCT-PREM-RATE
             TO WS-2011-CAT-65-PCT-BASE-RATE
           MOVE WS-2335-IP-50-PCT-PREM-RATE
             TO WS-2011-IP-50-PCT-PREM-RATE
           move ws-2335-map-factor
             to ws-2011-rate-map-area-fctr


      * WS-T11-TYPE-PRAC-OPT-CD IS VALIDATED BELOW
      *****************************************************
      *    VALIDATE TYPE PRACTICE OPTION CODE             *
      *    - AND GET TYPE PRACTICE OPTION FACTOR          *
      *****************************************************
           INITIALIZE WS-2275-INPUT
           MOVE WS-T11-CROP-YEAR TO WS-2275-CROP-YEAR
           MOVE WS-T11-RATE-STATE TO WS-2275-RATE-STATE
           MOVE WS-T11-RATE-COUNTY TO WS-2275-RATE-COUNTY
           MOVE WS-T11-CROP-CD TO WS-2275-CROP-CD
           MOVE WS-T11-INSUR-PLAN-CD TO WS-2275-INSURANCE-PLAN-ID
           MOVE WS-T11-PRACTICE-CD TO WS-2275-PRACTICE-CD
           MOVE WS-T11-TYPE-CD TO WS-2275-TYPE-CD
           MOVE WS-T11-TYPE-PRAC-OPT-CD
             TO WS-2275-TYPE-PRACTICE-OPTION
           MOVE WS-T11-RATE-CLASS TO WS-2275-RATE-CLASS
           PERFORM 2275-VAL-TYPE-PRAC-OPT-CD
              THRU 2275-VAL-TYPE-PRAC-OPT-CD-EXIT

           IF ERROR-TYPE-PRACTICE-OPT-CD = WS-LITERAL-YES
              MOVE 1.000 TO WS-2011-TYPE-PRACT-OPT-FCTR
           ELSE
              MOVE WS-2275-TYPE-PRACT-OPT-FACTOR
                TO WS-2011-TYPE-PRACT-OPT-FCTR
           END-IF


      * WS-T11-EXPERIENCE-FACTOR IS VALIDATED BELOW
      *****************************************************
      *    VALIDATE EXPERIENCE FACTOR                     *
      *****************************************************
           INITIALIZE WS-2289-INPUT
           MOVE WS-T11-CROP-CD TO WS-2289-CROP-CD
           MOVE WS-T11-INSUR-PLAN-CD TO WS-2289-INS-PLAN-CD
           MOVE WS-T11-RATE-STATE TO WS-2289-RATE-STATE
           MOVE WS-T11-EXPERIENCE-FACTOR
             TO WS-2289-EXPERIENCE-FACTOR
           PERFORM 2289-VAL-EXPERIENCE-FCTR
              THRU 2289-VAL-EXPERIENCE-FCTR-EXIT

           IF ERROR-EXPER-FCTR = WS-LITERAL-YES
              MOVE 1.000 TO WS-2011-EXPERIENCE-FCTR
           ELSE
              MOVE WS-T11-EXPERIENCE-FACTOR TO WS-2011-EXPERIENCE-FCTR
           END-IF


      * WS-T11-PREM-RATE-SURCHARGE IS IS VALIDATED BELOW
      *****************************************************
      *    VALIDATE PREM RATE SURCHARGE FOR CROP/PLAN     *
      *****************************************************
      *    INITIALIZE WS-2343-INPUT
      *    MOVE WS-T11-PREM-RATE-SURCHARGE TO WS-2343-PREM-RT-SURCHG
      *    MOVE WS-T11-RATE-STATE TO WS-2343-RATE-STATE
      *    MOVE WS-T11-CROP-CD TO WS-2343-CROP-CD
      *    PERFORM 2343-VAL-PREM-RT-SURCHG
      *       THRU 2343-VAL-PREM-RT-SURCHG-EXIT

      *****************************************************
      *    DETERMINE PRODUCER PREMIUM FACTOR              *
      *****************************************************
           INITIALIZE WS-2480-INPUT
           MOVE WS-T11-COVERAGE-LEVEL-PCT TO WS-2480-COVERAGE-LVL-PCT
           MOVE WS-T11-PRICE-ELECTION TO WS-2480-PRICE-ELECTION
           MOVE WS-T11-CROP-YEAR TO WS-2480-CROP-YEAR
           MOVE WS-T11-RATE-STATE TO WS-2480-STATE-CD
           MOVE WS-T11-RATE-COUNTY TO WS-2480-COUNTY-CD
           MOVE WS-T11-CROP-CD TO WS-2480-CROP-CD
           MOVE WS-T11-PRACTICE-CD TO WS-2480-PRACTICE-CD
           MOVE WS-T11-TYPE-CD TO WS-2480-TYPE-CD
           MOVE WS-T11-CRUSH-DISTRICT TO WS-2480-CRUSH-DISTRICT
           MOVE WS-T11-QUOTA TO WS-2480-PEANUT-QUOTA
           MOVE WS-T11-INSUR-PLAN-CD TO WS-2480-INS-PLAN-CD
           MOVE WS-T11-DOLLAR-AMT-INSUR TO WS-2480-DOLLAR-AMT-INS
           MOVE WS-2011-100-PCT-MAX-DOLLAR-AMT
             TO WS-2480-ADM-DOLLAR-AMT-INS
           MOVE WS-T11-RATE-CLASS TO WS-2480-RATE-CLASS
           MOVE WS-T11-REVENUE-CVG-LEVEL-PCT
             TO WS-2480-REVENUE-CVG-LEVEL-PCT
           MOVE WS-T11-REPORTED-ACRES
             TO WS-2480-REPORTED-ACRES
           MOVE WS-T11-INSURED-SHARE TO WS-2480-INS-SHARE
           MOVE WS-2011-IP-50-PCT-PREM-RATE
             TO WS-2480-IP-50-PCT-PREM-RATE
           MOVE WS-T11-YIELD
             TO WS-2480-YIELD
           MOVE WS-T11-TYPE-PRAC-OPT-CD
             TO WS-2480-TYPE-PRACTICE-OPTION
           PERFORM 2480-CALC-SUBSIDY
              THRU 2480-CALC-SUBSIDY-EXIT

           MOVE WS-2480-SUBSIDY-FACTOR
             TO WS-2011-SUBSIDY-FCTR
           MOVE WS-2480-GRP-SUBSIDY
             TO WS-2011-GRP-SUBSIDY
           MOVE WS-2480-PRICE-ELECTION-PCT
             TO WS-2011-PRICE-ELECTION-PCT
           MOVE WS-2480-RA-SUBSIDY-FACTOR
             TO WS-2011-RA-SUBSIDY-FCTR
           MOVE WS-2480-IP-SUBSIDY
             TO WS-2011-IP-SUBSIDY


      * WS-T11-NUMBER-OF-SECTIONS, WS-T11-UNIT-PREMIUM-ADJ-FCTR,
      * & WS-T11-WFARM-DISCOUNT-FCTR ARE EDITED BELOW.
      *****************************************************
      *    VALIDATE RA PREMIUM ADJUSTMENT FACTORS         *
      *****************************************************
         if ws-t11-insur-plan-cd-x = '25'
           INITIALIZE WS-2520-INPUT
           MOVE WS-T11-CROP-YEAR TO WS-2520-CROP-YEAR
           MOVE WS-T11-RATE-STATE TO WS-2520-RATE-STATE
           MOVE WS-T11-OPTION-CD TO WS-2520-OPTION-CD
           MOVE WS-T11-INSUR-PLAN-CD TO WS-2520-INS-PLAN-CD
           MOVE WS-T11-CROP-CD TO WS-2520-CROP-CD
           MOVE WS-T11-UNIT-PREMIUM-ADJ-FCTR
             TO WS-2520-UNIT-PREM-ADJ-FCTR
           MOVE WS-T11-NUMBER-OF-SECTIONS
             TO WS-2520-NUMBER-OF-SECTIONS
           MOVE WS-T11-WFARM-DISCOUNT-FCTR
             TO WS-2520-WFARM-DISCOUNT-FCTR
           PERFORM 2520-VAL-UNIT-PREM-ADJ
              THRU 2520-VAL-UNIT-PREM-ADJ-EXIT
         end-if

      * WS-T11-TOTAL-PREMIUM IS VALIDATED BELOW
      *****************************************************
      *    VALIDATE PREMIUM                               *
      *****************************************************
           INITIALIZE WS-2350-INPUT
           MOVE WS-T11-CROP-YEAR TO WS-2350-CROP-YEAR
           MOVE WS-T11-RATE-STATE TO WS-2350-RATE-STATE
           MOVE WS-T11-RATE-COUNTY TO WS-2350-RATE-COUNTY
           MOVE WS-T11-INSUR-PLAN-CD TO WS-2350-INS-PLAN
           MOVE WS-T11-CROP-CD TO WS-2350-CROP-CD
           MOVE WS-T11-PRACTICE-CD TO WS-2350-PRACTICE-CD
           MOVE WS-T11-TYPE-CD TO WS-2350-TYPE-CD
           MOVE WS-T11-COVERAGE-LEVEL-PCT TO WS-2350-CVG-LVL-PCT
           MOVE WS-T11-BASE-PREM-RATE
             TO WS-2350-BASE-PREMIUM-RATE
           MOVE WS-2011-RATE-MAP-AREA-FCTR
             TO WS-2350-RATE-MAP-AREA-FCTR
           MOVE WS-2011-TYPE-PRACT-OPT-FCTR
             TO WS-2350-TYPE-PRACT-OPT-FCTR
           MOVE WS-2011-OPTION-FCTR
             TO WS-2350-OPTION-FCTR
           MOVE WS-2011-EXPERIENCE-FCTR
             TO WS-2350-EXPERIENCE-FCTR
           MOVE WS-T11-TOTAL-PREMIUM
             TO WS-2350-INPUT-TOTAL-PREMIUM
           MOVE WS-2011-PREMIUM-LIABILITY
             TO WS-2350-PREMIUM-LIABILITY
           move ws-2011-alt-premium-liability
             to ws-2350-alt-premium-liability
           MOVE WS-T11-LIABILITY
             TO WS-2350-TOTAL-LIABILITY
           MOVE WS-T11-PREM-RATE-SURCHARGE
             TO WS-2350-PREM-RATE-SURCHARGE
           MOVE WS-2011-PREMIUM-GPA TO WS-2350-PREMIUM-GPA
           MOVE WS-T11-PRICE-ELECTION TO WS-2350-BASE-PRICE
           MOVE WS-T11-REPORTED-ACRES TO WS-2350-ACRES
           MOVE WS-T11-INSURED-SHARE TO WS-2350-INSURED-SHARE
           MOVE WS-T11-RATE-CLASS TO WS-2350-RATE-CLASS
           MOVE WS-2011-CRC-APH-LIABILITY
             TO WS-2350-CRC-APH-LIABILITY
           MOVE WS-2011-CAT-65-100-LIABILITY
             TO WS-2350-CAT-65-100-LIABILITY
           MOVE WS-2011-CAT-65-PCT-BASE-RATE
             TO WS-2350-CAT-65-PCT-BASE-RATE
           MOVE WS-T11-UNIT-PREMIUM-ADJ-FCTR
             TO WS-2350-UNIT-PREM-ADJ-FCTR
           MOVE WS-T11-WFARM-DISCOUNT-FCTR
             TO WS-2350-WFARM-DISCOUNT-FCTR
           move WS-T11-NCS-FCIC-2-FL to ws-2350-ncs-fcic-2-fl
      * disable this edit for IP plans until further notice
           if WS-2350-INS-PLAN <> ws-literal-ip
           PERFORM 2350-VAL-PREMIUM
              THRU 2350-VAL-PREMIUM-EXIT

           MOVE WS-2350-TOTAL-PREMIUM
             TO WS-2011-TOTAL-PREMIUM
           MOVE WS-2350-CRC-APH-PREMIUM
             TO WS-T11-CRC-APH-PREMIUM
           MOVE WS-2350-alt-CRC-APH-PREMIUM
             TO WS-2011-alt-CRC-APH-PREMIUM
           IF CAT-COVERAGE
              MOVE WS-2350-CAT-65-100-PREMIUM
                TO WS-T11-CAT-65-100-PREMIUM
           END-IF
           end-if


      * WS-T11-PRODUCER-PREMIUM IS VALIDATED BELOW
      *****************************************************
      *            VALIDATE PRODUCER PREMIUM              *
      *****************************************************

           INITIALIZE WS-2355-INPUT
           MOVE WS-T11-TOTAL-PREMIUM
             TO WS-2355-TOTAL-PREMIUM
           MOVE WS-T11-CRC-APH-PREMIUM
             TO WS-2355-CRC-APH-PREMIUM
           MOVE WS-2011-SUBSIDY-FCTR
             TO WS-2355-SUBSIDY-FCTR
           MOVE WS-2011-GRP-SUBSIDY
             TO WS-2355-GRP-SUBSIDY
           MOVE WS-2011-RA-SUBSIDY-FCTR
             TO WS-2355-RA-SUBSIDY-FCTR
           MOVE WS-T11-PRODUCER-PREMIUM
             TO WS-2355-INPUT-PROD-PREMIUM
           MOVE WS-T11-INSUR-PLAN-CD
             TO WS-2355-INS-PLAN
           MOVE WS-2011-IP-SUBSIDY
             TO WS-2355-IP-SUBSIDY
           move ws-t11-reported-acres
               to ws-2355-reported-acres
           move ws-t11-insured-share
               to ws-2355-insured-share
           move ws-t11-COVERAGE-LEVEL-PCT
               to ws-2355-COVERAGE-LEVEL-PCT
           move ws-t11-DOLLAR-AMT-INSUR
               to ws-2355-DOLLAR-AMT-INSUR
           PERFORM 2355-VAL-PROD-PREMIUM
              THRU 2355-VAL-PROD-PREMIUM-EXIT

           MOVE WS-2355-PROD-PREMIUM TO WS-2011-PROD-PREMIUM


      * WS-T11-PRIVATE-POLICY-CD IS FULLY VALIDATED BY FV

      * WS-T11-INTENDED-ACREAGE-FLAG IS FULLY VALIDATED BY FV


      * WS-T11-SEED-COMPANY-CD IS VALIDATED BELOW
      *****************************************************
      *    VALIDATE SEED COMPANY CODE                     *
      *****************************************************
           INITIALIZE WS-2325-INPUT
           MOVE WS-T11-SEED-COMPANY-CD TO WS-2325-SEED-CPNY-CD
           MOVE WS-T11-CROP-CD TO WS-2325-CROP-CD
           PERFORM 2325-VAL-CROP-SEED-CPNY
              THRU 2325-VAL-CROP-SEED-CPNY-EXIT


      * WS-T11-RATE-STATE & WS-T11-RATE-COUNTY ARE VALIDATED UP
      * ABOVE, BEFORE CROP TYPE.


      * WS-T11-FARM-SERIAL-NUM IS VALIDATED BELOW
      *****************************************************
      *    VALIDATE NON CAT FARM SERIAL NO                *
      *    FARM SERIAL NUMBERS ARE ONLY REQUIRED FOR      *
      *    BUY-UP POLICIES FOR PEANUTS AND QUOTA TOBACCO. *
      *****************************************************
           IF NOT CAT-COVERAGE
              INITIALIZE WS-2285-INPUT
              MOVE WS-T11-CROP-CD TO WS-2285-CROP-CD
              MOVE WS-T11-FARM-SERIAL-NUM TO WS-2285-FARM-SERIAL-NUMBER
              MOVE WS-T11-INSUR-PLAN-CD TO WS-2285-INS-PLAN-CD
              MOVE WS-T11-RATE-STATE TO WS-2285-RATE-STATE
              MOVE WS-T11-RATE-COUNTY TO WS-2285-RATE-COUNTY
              PERFORM 2285-VAL-FARM-SERIAL-NO
                 THRU 2285-VAL-FARM-SERIAL-NO-EXIT
           END-IF



      * WS-T11-NUMBER-OF-SECTIONS & WS-T11-UNIT-PREMIUM-ADJ-FCTR ARE
      * EDITED ABOVE BEFORE TOTAL PREMIUM.

      * WS-T11-PARTIAL-PP-FLAG IS FULLY EDITED BY FV.

      *=========================================================*
      *               INTERNAL USE FIELDS                       *
      *=========================================================*

      * WS-T11-FILLER-2 IS INITIALIZED BY FV.

      * WS-T11-SEED-CYCLE-CODE IS SET ABOVE.

      * WS-T11-CRC-APH-PREMIUM IS SET ABOVE.

      * WS-T11-CAT-65-100-PREMIUM IS SET ABOVE

      * WS-T11-1996-CROP-CODE IS INITIALIZED BY FV.

      * WS-T11-1996-TYPE-CODE IS INITIALIZED BY FV.

      * WS-T11-RM-DATA-RECEIPT-DATE IS INITIALIZED BY FV.

      * WS-T11-FILLER-3 IS INITIALIZED BY FV.

      *****************************************************
      *    LOOKUP YIELD QUANTITY MIN AND MAX              *
      *****************************************************
           INITIALIZE WS-2342-INPUT
           MOVE WS-T11-CROP-CD TO WS-2342-CROP-CD
           MOVE WS-T11-INSUR-PLAN-CD TO WS-2342-INS-PLAN-CD
           MOVE WS-T11-RATE-COUNTY TO WS-2342-RATE-COUNTY
           MOVE WS-T11-RATE-STATE TO WS-2342-RATE-STATE
           MOVE WS-T11-CROP-YEAR TO WS-2342-CROP-YEAR
           MOVE WS-T11-TYPE-CD TO WS-2342-TYPE-CD
           MOVE WS-T11-PRACTICE-CD TO WS-2342-PRACTICE-CD
           MOVE WS-T11-RATE-CLASS TO WS-2342-RATE-CLASS
           MOVE WS-2011-ID-TYPE TO WS-2342-ID-TYPE
           MOVE WS-2011-ID-NUM TO WS-2342-ID-NUM
           MOVE WS-T11-NCS-FCIC-2-FL TO WS-2342-NCS-FCIC-2-FL
           MOVE WS-T11-OPTION-CD TO WS-2342-OPTION-CD
           PERFORM 2342-LOOKUP-YIELD-QTY
              THRU 2342-LOOKUP-YIELD-QTY-EXIT

           IF UPDATE-MADE-2342
              MOVE WS-2342-LOW-YLD-QTY TO WS-2011-LOW-YLD-QTY
              MOVE WS-2342-HIGH-YLD-QTY TO WS-2011-HIGH-YLD-QTY
           END-IF


      * WS-T11-FIRST-SUBMISSION-FLG IS SET BELOW.

      * WS-T11-WEEKS-LATE IS SET BELOW.

      *****************************************************
      *    DETERMINE WEEKS LATE FOR TYPE 11               *
      *****************************************************
           INITIALIZE WS-2500-INPUT
           MOVE WS-T11-SEED-CYCLE-CODE TO WS-2500-SEED-CYCLE
           MOVE WS-0004-FCIC-PROC-DATE TO WS-2500-FCIC-CTRL-DT
           MOVE WS-T11-REPORTING-ORG TO WS-2500-REPORTING-ORG
           MOVE WS-T11-RATE-STATE TO WS-2500-RATE-STATE
           MOVE WS-T11-COMPANY-COUNTY TO WS-2500-COMPANY-COUNTY
           MOVE WS-T11-POLICY-NUM TO WS-2500-POLICY-NUM
           MOVE WS-T11-CROP-YEAR TO WS-2500-CROP-YEAR
           MOVE WS-T11-RECORD-TYPE TO WS-2500-RECORD-TYPE
           MOVE WS-T11-CROP-CD TO WS-2500-CROP-CD
           MOVE WS-T11-INSUR-PLAN-CD
             TO WS-2500-INSURANCE-PLAN-ID
           MOVE WS-T11-PRACTICE-CD TO WS-2500-PRACTICE-CD
           MOVE WS-T11-TYPE-CD TO WS-2500-TYPE-CD
           MOVE WS-T11-RATE-COUNTY TO WS-2500-RATE-COUNTY
           PERFORM 2500-DETERMINE-WEEKS-LATE
              THRU 2500-DETERMINE-WEEKS-LATE-EXIT

           MOVE WS-2500-WEEKS-LATE
             TO WS-T11-WEEKS-LATE
           MOVE WS-2500-FIRST-SUBMISSION-FLG
             TO WS-T11-FIRST-SUBMISSION-FLG.

      * WS-T11-FSA-CONTROL-DATE IS INITIALIZED BY FV.



       2011-VALIDATE-T11-EXIT.
           EXIT.
