      ***************************************************************
      * FILE:      IF2012.CBL
      * AUTHOR:    Yo-I Tsui
      * DATE:      1/2/96
      * PURPOSE:
      *    THIS COPY FILE CONTAINS THE SEQUENCING LOGIC FOR THE TYPE
      *    12 RECORD.
      *
      * CONTAINS:
      *
      ***************************************************************

       2012-VALIDATE-T12.


      $IF DEBUG-SW DEFINED
           DISPLAY '2012-VALIDATING T12'
           UPON CONSOLE
      $END

      *****************************************************
      *    SET UP 88-LEVELS USED FOR INTER-FIELD VALS     *
      *****************************************************

           IF ERROR-CROP-YR IS NOT EQUAL TO WS-LITERAL-YES
              MOVE WS-T12-CROP-YEAR
                TO WS-0009-CROP-YEAR
           END-IF

           IF ERROR-PMT-TYPE IS NOT EQUAL TO WS-LITERAL-YES
              MOVE WS-T12-PAYMENT-TYPE
                TO WS-0009-PAYMENT-TYPE
           END-IF


      * REPORTING ORGANIZATION HAS BEEN FULLY VALIDATED BY FV

      * LOCATION STATE IS FULLY VALIDATED BY FV

      * COMPANY IS VALIDATED BY THE FOLLOWING EDIT

      * POLICY NUMBER IS FULLY VALIDATED BY FV

      *****************************************************
      *    VALIDATE REINSURED INFO                        *
      *****************************************************

           IF REINSURED
              INITIALIZE WS-2205-INPUT

              MOVE WS-T12-REPORTING-ORG TO WS-2205-INSURANCE-PROVIDER
              MOVE WS-T12-COMPANY-COUNTY TO WS-2205-COMPANY

              MOVE WS-0004-REINS-YR TO WS-2205-REINSURANCE-YEAR
              PERFORM 2205-VAL-REINSURED-INFO
                 THRU 2205-VAL-REINSURED-INFO-EXIT
           END-IF

      * CROP YEAR --
      *    AN INTERFIELD EDIT FOR CROP YEAR IS NOT POSSIBLE HERE
      *    2475-VAL-CROP-YR REQUIRES CROP CODE TO EDIT CROP YEAR

      * RECORD TYPE IS FULLY VALIDATED BY FV

      * RECORD NUMBER IS FULLY VALIDATED BY FV AND IR

      * PAYMENT TYPE IS FULLY VALIDATED BY FV

      * PAID AMOUNT IS FULLY VALIDATED BY FV AND IR

      * PREPAYMENT FLAG IS FULLY VALIDATED BY FV AND IR

      * PAID DATE IS VALIDATED BELOW

      ********************************************************
      *    VALIDATE PAID DATE                                *
      ********************************************************
           INITIALIZE WS-2365-INPUT

           MOVE WS-T12-PAID-DATE TO WS-2365-PAID-DT
           MOVE WS-T12-PAYMENT-TYPE TO WS-2365-PAYMENT-TYPE
           MOVE WS-T12-PAID-AMOUNT TO WS-2365-PAID-AMT

           PERFORM 2365-VAL-PAID-DATE
              THRU 2365-VAL-PAID-DATE-EXIT.


      * RO CONTROL DATE IS NOT VALIDATED

      * FCIC CONTROL DATE IS NOT VALIDATED

      * POSITION 250 IS A MYSTERY


       2012-VALIDATE-T12-EXIT.
           EXIT.
