      ***************************************************************
      * File:      IF2014.CBL
      * Author:    Mike Ray
      * Date:      8/17/95
      * Purpose:
      *    This copy file contains the sequencing logic for the type
      *    14 record.
      *
      *  Modifications
      *
      *  11/05/97  Use RATE state & county instead of LOCATION for
      *            ADM3 lookup.  jlh.
      *
      ***************************************************************

       2014-VALIDATE-T14.

      $IF DEBUG-SW DEFINED
           DISPLAY '2014-VALIDATING TYPE 14'
           UPON CONSOLE
      $END

      *****************************************************
      *    SET UP 88-LEVELS USED FOR INTER-FIELD VALS     *
      *****************************************************

           IF ERROR-CROP-YR IS NOT EQUAL WS-LITERAL-YES
              MOVE WS-T14-CROP-YEAR
                TO WS-0009-CROP-YEAR
           END-IF

           IF ERROR-ASSIGNED-RISK IS NOT EQUAL WS-LITERAL-YES
              MOVE WS-T14-ASSIGNED-RISK
                TO WS-0009-ASSIGNED-RISK
           END-IF

           IF ERROR-CVG-FL IS NOT EQUAL WS-LITERAL-YES
              MOVE WS-T14-COVERAGE-FLG
                TO WS-0009-COVERAGE-FLG
           END-IF

           IF ERROR-ADMIN-FEE-FL IS NOT EQUAL WS-LITERAL-YES
              MOVE WS-T14-ADMIN-FEE-FL
                TO WS-0009-ADMIN-FEE-FLG
           END-IF

           IF ERROR-DUAL-CVG-FL IS NOT EQUAL WS-LITERAL-YES
              MOVE WS-T14-DUAL-COVERAGE-FLG
                TO WS-0009-DUAL-COVERAGE-FLG
           END-IF

           IF ERROR-LATE-PROCESS-FL NOT = WS-LITERAL-YES
              MOVE WS-T14-LATE-PROCESS-FLG
                TO WS-0009-LATE-PROCESS-FLG
           END-IF


      * REPORTING ORGANIZATION HAS BEEN FULLY VALIDATED BY FV

      * LOCATION STATE IS FULLY VALIDATED BY FV

      * COMPANY/COUNTY IS VALIDATED BY THE FOLLOWING EDITS

      *****************************************************
      *    VALIDATE REINSURED INFO                        *
      *****************************************************

           IF REINSURED
              INITIALIZE WS-2205-INPUT

              MOVE WS-T14-REPORTING-ORG TO WS-2205-INSURANCE-PROVIDER
              MOVE WS-T14-LOC-STATE TO WS-2205-BRANCH-OFFICE
              MOVE WS-T14-COMPANY-COUNTY TO WS-2205-COMPANY

              MOVE WS-0004-REINS-YR TO WS-2205-REINSURANCE-YEAR
              PERFORM 2205-VAL-REINSURED-INFO
                 THRU 2205-VAL-REINSURED-INFO-EXIT
           END-IF


      * POLICY NUMBER IS FULLY VALIDATED BY FV

      * CROP YEAR IS VALIDATED BELOW

      *****************************************************
      *    VALIDATE CROP YEAR                             *
      *****************************************************
           INITIALIZE WS-2475-INPUT

           MOVE WS-T14-CROP-CD TO WS-2475-CROP-CD
      *    *** GET CENTURY FROM REINS YR ***
           MOVE WS-0004-REINS-YR TO WS-2475-CROP-YEAR
           MOVE WS-T14-CROP-YEAR TO WS-2475-CROP-YR-YY
           MOVE WS-T14-RATE-STATE TO WS-2475-STATE-CD
           MOVE WS-0004-REINS-YR TO WS-2475-REINS-YEAR

           PERFORM 2475-VAL-CROP-YR
              THRU 2475-VAL-CROP-YR-EXIT


      * RECORD TYPE IS FULLY VALIDATED BY FV

      * BRANCH OFFICE/STATE CODE IS VALIDATED
      * BY 2200-VAL-CFSA-INFO AND 2205-VAL-REINSURED-INFO

      * RECORD NUMBER IS FULLY VALIDATED BY FV

      * ASSIGNED RISK IS VALIDATED BELOW

      *****************************************************
      *    VALIDATE ASSIGNED RISK FOR NON CAT POLICIES    *
      *****************************************************
           IF NOT CAT-COVERAGE
              PERFORM 2225-VAL-NON-CAT-ASG-RISK
                 THRU 2225-VAL-NON-CAT-ASG-RISK-EXIT
           END-IF


      * LATE PROCESSED FLAG IS FULLY VALIDATED BY FV

      * CROP CODE IS VALIDATED BELOW

      *****************************************************
      *    VALIDATE CROP CODE                             *
      *****************************************************
           INITIALIZE WS-2237-INPUT

           MOVE WS-T14-CROP-CD TO WS-2237-CROP-CD
           MOVE WS-T14-CROP-YEAR TO WS-2237-CROP-YR

           PERFORM 2237-VAL-CROP-CODE
              THRU 2237-VAL-CROP-CODE-EXIT


      *****************************************************
      *    VALIDATE LOCATION COUNTY                       *
      *****************************************************
           INITIALIZE WS-2250-INPUT
           MOVE WS-T14-LOC-STATE TO WS-2250-LOCATION-STATE
           MOVE WS-T14-LOCATION-COUNTY TO WS-2250-LOCATION-COUNTY
           PERFORM 2250-VAL-LOC-CNTY-INFO
              THRU 2250-VAL-LOC-CNTY-INFO-EXIT

      *****************************************************
      *   VALIDATE RATE STATE AND COUNTY                  *
      *****************************************************

           INITIALIZE WS-2235-INPUT
           MOVE WS-T14-CROP-CD TO WS-2235-CROP-CD
           MOVE WS-T14-RATE-STATE TO WS-2235-RATE-STATE
           MOVE WS-T14-RATE-COUNTY TO WS-2235-RATE-COUNTY
           MOVE WS-T14-LOC-STATE TO WS-2235-LOCATION-STATE
           MOVE WS-T14-LOCATION-COUNTY TO WS-2235-LOCATION-COUNTY
           PERFORM 2235-VAL-NON-CAT-RATE
              THRU 2235-VAL-NON-CAT-RATE-EXIT


      * CROP TYPE IS VALIDATED BELOW

      *****************************************************
      *    VALIDATE CROP TYPE                             *
      *****************************************************

           INITIALIZE WS-2240-INPUT
           MOVE WS-T14-RATE-STATE TO WS-2240-RATE-STATE
           MOVE WS-T14-CROP-CD TO WS-2240-CROP-CODE
           MOVE WS-T14-TYPE-CD TO WS-2240-CROP-TYPE
           PERFORM 2240-VAL-CROP-TYPE
              THRU 2240-VAL-CROP-TYPE-EXIT

      *****************************************************
      *    VALIDATE INSURABLE CROP                        *
      *    MAKE SURE THAT THE CROP IS INSURABLE.          *
      *    LOOKUP THE INSURANCE PLAN CODE.                *
      *****************************************************
              INITIALIZE WS-2307-INPUT
              MOVE WS-T14-CROP-CD TO WS-2307-CROP-CD
              MOVE WS-T14-INSURANCE-PLAN-ID
                TO WS-2307-INSURANCE-PLAN-ID
              MOVE WS-T14-CROP-YEAR TO WS-2307-CROP-YEAR
              MOVE WS-T14-RATE-STATE TO WS-2307-RATE-STATE
              MOVE WS-T14-RATE-COUNTY TO WS-2307-RATE-COUNTY
              MOVE SPACES TO WS-2307-PRACTICE-CD                        ]97A
              MOVE WS-T14-TYPE-CD TO WS-2307-TYPE-CD

              PERFORM 2307-VAL-REINS-INS-CROP
                 THRU 2307-VAL-REINS-INS-CROP-EXIT

      * DUAL COVERAGE FLAG IS VALIDATED BELOW

      ******************************************************
      *    VALIDATE DUAL COVERAGE FLAG ON NON CAT POLICIES *
      ******************************************************
           IF NOT CAT-COVERAGE
              INITIALIZE WS-2470-INPUT

              MOVE WS-T14-DUAL-COVERAGE-FLG TO WS-2470-DUAL-COVERAGE-FL

              PERFORM 2470-VAL-NON-CAT-DUAL-CVG
                 THRU 2470-VAL-NON-CAT-DUAL-CVG-EXIT
           END-IF.


      * LOCATION COUNTY IS VALIDATED AFTER CROP; ABOVE

      * RATE STATE AND COUNTY ARE VALIDATED AFTER CROP; ABOVE.

      * RO CONTROL DATE IS NOT VALIDATED

      * FCIC CONTROL DATE IS USED IN EDIT BELOW TO DETERMINE WHETHER THE
      * TRANSACTION IS LATE

      *****************************************************
      *    DETERMINE IF THE TRANSACTION IS LATE           *
      *****************************************************
      $IF DEBUG-SW DEFINED
           DISPLAY 'WS-0007-TRANSACTION-SOURCE: ',
           WS-0007-TRANSACTION-SOURCE
           UPON CONSOLE
      $END

           IF WS-0007-TRANSACTION-SOURCE = WS-LITERAL-INPUT
              INITIALIZE WS-2255-INPUT-FIELDS
              MOVE WS-0004-FCIC-PROC-DATE
                TO WS-2255-FCIC-CTRL-DT
              MOVE WS-0004-FCIC-PROC-TIME
                TO WS-2255-FCIC-PROC-TIME
              MOVE WS-T14-REPORTING-ORG TO WS-2255-REPORTING-ORG
              MOVE WS-T14-RATE-STATE TO WS-2255-RATE-STATE              ]97-JLH
              MOVE WS-T14-RATE-COUNTY TO WS-2255-RATE-COUNTY
              MOVE WS-T14-LOC-STATE TO WS-2255-LOC-STATE
              MOVE WS-T14-LOCATION-COUNTY TO WS-2255-LOC-COUNTY
              MOVE WS-T14-COMPANY-COUNTY TO WS-2255-COMPANY-COUNTY
              MOVE WS-T14-POLICY-NUM TO WS-2255-POLICY-NUM
              MOVE WS-T14-CROP-YEAR TO WS-2255-CROP-YEAR
              MOVE WS-T14-CROP-CD TO WS-2255-CROP-CD
              MOVE WS-T14-INSURANCE-PLAN-ID
                TO WS-2255-INSURANCE-PLAN-ID
              MOVE WS-T14-TYPE-CD TO WS-2255-TYPE-CD
              MOVE WS-T14-DUAL-COVERAGE-FLG TO WS-2255-DUAL-CVG-FLG
              MOVE WS-T14-COVERAGE-FLG TO WS-2255-COVERAGE-FLAG
              MOVE WS-T14-ASSIGNED-RISK TO WS-2255-ASSIGNED-RISK
              MOVE WS-T14-LATE-PROCESS-FLG TO WS-2255-LATE-PROCESS-FLG
              PERFORM 2255-DETERMINE-TRANS-LATE
                 THRU 2255-DETERMINE-TRANS-LATE-EXIT
           END-IF.

      * CONSERVATION COMPLIANCE INQUIRY IS FULLY VALIDATED BY FV

      * EXPERIENCE INQUIRY IS FULLY VALIDATED BY FV

      * CFSA YIELD INQUIRY IS FULLY VALIDATED BY FV

      * FEE PREPAYMENT FLAG IS VALIDATED AFTER ADMINISTRATIVE FEE

      * MAXIMUM FEE CAUSE IS FULLY VALIDATED BY FV

      * ADMINISTRATIVE FEE FLAG IS VALIDATED BY THE FOLLOWING EDITS.

      *****************************************************
      *    VALIDATE CFSA ADMIN FEE                        *
      *****************************************************

      *****************************************************
      *        2245-VALIDATE-ADMIN-FEE-W-CVG              *
      *****************************************************

           INITIALIZE WS-2245-INPUTS.
           MOVE WS-T14-ADMIN-FEE-FL TO WS-2245-ADMIN-FEE-FL.
           MOVE WS-T14-COVERAGE-FLG TO WS-2245-COVERAGE-FL.
           PERFORM 2245-VAL-ADMIN-FEE-CVG-CD
              THRU 2245-VAL-ADMIN-FEE-CVG-CD-EXIT.

      ******************************************************
      *    VALIDATE FEE PREPAYMENT FLAG                    *
      ******************************************************
           INITIALIZE WS-2247-INPUT

           MOVE WS-T14-ADMIN-FEE-FL TO WS-2247-ADMIN-FEE-FL
           MOVE WS-T14-PREPAYMENT-FLG TO WS-2247-FEE-PREPMT-FL

           PERFORM 2247-VAL-FEE-PREPMT-FL
              THRU 2247-VAL-FEE-PREPMT-FL-EXIT.

      * REFUND/CANCEL IS FULLY VALIDATED BY FV

      * COVERAGE IS FULLY VALIDATED BY FV

      * POSITION 250 IS A MYSTERY


       2014-VALIDATE-T14-EXIT.
           EXIT.
