      ***************************************************************
      * FILE:      IF2020.CBL
      * AUTHOR:    MIKE RAY
      * DATE:      9/18/95
      * PURPOSE:
      *    THIS COPY FILE CONTAINS THE SEQUENCING LOGIC FOR THE TYPE
      *    20 RECORD.
      *
      * CONTAINS:
      *
      ***************************************************************

       2020-VALIDATE-T20.


      $IF DEBUG-SW DEFINED
           DISPLAY '2020-VALIDATING T20'
           UPON CONSOLE
      $END

      *****************************************************
      *    SET UP 88-LEVELS USED FOR INTER-FIELD VALS     *
      *****************************************************

           IF ERROR-CROP-YR IS NOT EQUAL TO WS-LITERAL-YES
              MOVE WS-T20-CROP-YEAR TO WS-0009-CROP-YEAR
           END-IF

      * REPORTING ORGANIZATION HAS BEEN FULLY VALIDATED BY FV

      * LOCATION STATE IS FULLY VALIDATED BY FV

      * COMPANY IS VALIDATED BY THE FOLLOWING EDIT

      *****************************************************
      *    VALIDATE REINSURED INFO                        *
      *****************************************************

           IF REINSURED
              INITIALIZE WS-2205-INPUT

              MOVE WS-T20-REPORTING-ORG TO WS-2205-INSURANCE-PROVIDER
      *       MOVE WS-T20-FSA-SERVICE-STATE TO WS-2205-BRANCH-OFFICE
              MOVE WS-T20-COMPANY-COUNTY TO WS-2205-COMPANY

              MOVE WS-0004-REINS-YR TO WS-2205-REINSURANCE-YEAR
              PERFORM 2205-VAL-REINSURED-INFO
                 THRU 2205-VAL-REINSURED-INFO-EXIT
           END-IF


      * POLICY NUMBER IS FULLY VALIDATED BY FV

      * CROP YEAR --
      *    AN INTERFIELD EDIT FOR CROP YEAR IS NOT POSSIBLE HERE
      *    2475-VAL-CROP-YR REQUIRES CROP CODE TO EDIT CROP YEAR

      * RECORD TYPE IS FULLY VALIDATED BY FV

      * REINSURANCE YEAR IS FULLY VALIDATED BY FV

      * CLAIM NUMBER IS FULLY VALIDATED BY FV AND IR

      * BRANCH OFFICE/STATE CODE IS VALIDATED
      * BY 2205-VAL-REINSURED-INFO

      * RECORD NUMBER IS FULLY VALIDATED BY FV

      * 1ST TOTAL REINSURANCE YEAR IS VALIDATED BELOW

      *****************************************************
      *    VALIDATE 1ST TOTAL REINSURANCE YEAR            *
      *****************************************************
           INITIALIZE WS-2495-INPUT
           MOVE 1 TO WS-2495-TOTAL-NUMBER
           MOVE WS-T20-1ST-TOTAL TO WS-2495-TOTAL
           MOVE WS-0004-REINS-YR TO WS-2495-REINSYR

      *    * MOVING THE CURRENT REINSURANCE YEAR INTO 1ST TOTAL
      *    * REINSURANCE YEAR INITIALIZES THE CENTURY
           MOVE WS-0004-REINS-YR TO WS-2495-TOT-REINSYR-X
           MOVE WS-T20-1ST-TOT-REINSURE-YR TO WS-2495-TOT-REINSYR-X
           PERFORM 2495-VAL-TOTAL-REINS-YR
              THRU 2495-VAL-TOTAL-REINS-YR-EXIT


      * 2ND TOTAL REINSURANCE YEAR IS VALIDATED BELOW

      *****************************************************
      *    VALIDATE 2ND TOTAL REINSURANCE YEAR            *
      *****************************************************
           INITIALIZE WS-2495-INPUT
           MOVE 2 TO WS-2495-TOTAL-NUMBER
           MOVE WS-T20-2ND-TOTAL TO WS-2495-TOTAL
           MOVE WS-0004-REINS-YR TO WS-2495-REINSYR

      *    * MOVING THE CURRENT REINSURANCE YEAR INTO 2ND TOTAL
      *    * REINSURANCE YEAR INITIALIZES THE CENTURY
           MOVE WS-0004-REINS-YR TO WS-2495-TOT-REINSYR-X
           MOVE WS-T20-2ND-TOT-REINSURE-YR TO WS-2495-TOT-REINSYR-X

           PERFORM 2495-VAL-TOTAL-REINS-YR
              THRU 2495-VAL-TOTAL-REINS-YR-EXIT


      * 3RD TOTAL REINSURANCE YEAR IS VALIDATED BELOW

      *****************************************************
      *    VALIDATE 3RD TOTAL REINSURANCE YEAR            *
      *****************************************************
           INITIALIZE WS-2495-INPUT
           MOVE 3 TO WS-2495-TOTAL-NUMBER
           MOVE WS-T20-3RD-TOTAL TO WS-2495-TOTAL
           MOVE WS-0004-REINS-YR TO WS-2495-REINSYR

      *    * MOVING THE CURRENT REINSURANCE YEAR INTO 3RD TOTAL
      *    * REINSURANCE YEAR INITIALIZES THE CENTURY
           MOVE WS-0004-REINS-YR TO WS-2495-TOT-REINSYR-X
           MOVE WS-T20-3RD-TOT-REINSURE-YR TO WS-2495-TOT-REINSYR-X

           PERFORM 2495-VAL-TOTAL-REINS-YR
              THRU 2495-VAL-TOTAL-REINS-YR-EXIT


      * 4TH TOTAL REINSURANCE YEAR IS VALIDATED BELOW

      *****************************************************
      *    VALIDATE 4TH TOTAL REINSURANCE YEAR            *
      *****************************************************
           INITIALIZE WS-2495-INPUT
           MOVE 4 TO WS-2495-TOTAL-NUMBER
           MOVE WS-T20-4TH-TOTAL TO WS-2495-TOTAL
           MOVE WS-0004-REINS-YR TO WS-2495-REINSYR

      *    * MOVING THE CURRENT REINSURANCE YEAR INTO 4TH TOTAL
      *    * REINSURANCE YEAR INITIALIZES THE CENTURY
           MOVE WS-0004-REINS-YR TO WS-2495-TOT-REINSYR-X
           MOVE WS-T20-4TH-TOT-REINSURE-YR TO WS-2495-TOT-REINSYR-X

           PERFORM 2495-VAL-TOTAL-REINS-YR
              THRU 2495-VAL-TOTAL-REINS-YR-EXIT


      * 1ST TOTAL IS FULLY VALIDATED BY FV

      * 1ST ESCROW CHECK OR P/CR MEMO STATE & POLICY IS VALIDATED BELOW

      **************************************************************
      *    VALIDATE 1ST ESCROW CHECK OR P/CR MEMO STATE AND POLICY *
      *    WITH 1ST TOTAL                                          *
      **************************************************************
           INITIALIZE WS-2345-INPUT

           MOVE 1 TO WS-2345-TOTAL-NUMBER
           MOVE WS-T20-1ST-TOTAL TO WS-2345-TOTAL
           MOVE WS-T20-1ST-ESCROW-CHK TO WS-2345-ESCROW-CHK

           PERFORM 2345-VAL-ESCROW-FIELDS
              THRU 2345-VAL-ESCROW-FIELDS-EXIT


      * 1ST TOTAL AMOUNT IS VALIDATED BELOW

      *****************************************************
      *    VALIDATE 1ST TOTAL AMOUNT                      *
      *****************************************************
           INITIALIZE WS-2490-INPUT

           MOVE 1 TO WS-2490-TOTAL-NUMBER
           MOVE WS-T20-1ST-TOTAL TO WS-2490-TOTAL
           MOVE WS-T20-1ST-TOTAL-AMOUNT TO WS-2490-TOTAL-AMT

           PERFORM 2490-VAL-TOTAL-AMOUNT
              THRU 2490-VAL-TOTAL-AMOUNT-EXIT


      * 2ND TOTAL IS VALIDATED BELOW

      *****************************************************
      *    VALIDATE 2ND TOTAL WITH 1ST TOTAL              *
      *****************************************************
           INITIALIZE WS-2360-INPUT

           MOVE 2 TO WS-2360-TOTAL-NUMBER
           MOVE WS-T20-1ST-TOTAL TO WS-2360-INITIAL-TOTAL
           MOVE WS-T20-2ND-TOTAL TO WS-2360-NEXT-TOTAL

           PERFORM 2360-VAL-TOTAL-FIELDS
              THRU 2360-VAL-TOTAL-FIELDS-EXIT


      * 2ND ESCROW CHECK OR P/CR MEMO STATE & POLICY IS VALIDATED BELOW

      **************************************************************
      *    VALIDATE 2ND ESCROW CHECK OR P/CR MEMO STATE AND POLICY *
      *    WITH 2ND TOTAL                                          *
      **************************************************************
           INITIALIZE WS-2345-INPUT

           MOVE 2 TO WS-2345-TOTAL-NUMBER
           MOVE WS-T20-2ND-TOTAL TO WS-2345-TOTAL
           MOVE WS-T20-2ND-ESCROW-CHK TO WS-2345-ESCROW-CHK

           PERFORM 2345-VAL-ESCROW-FIELDS
              THRU 2345-VAL-ESCROW-FIELDS-EXIT


      * 2ND TOTAL AMOUNT IS VALIDATED BELOW

      *****************************************************
      *    VALIDATE 2ND TOTAL AMOUNT                      *
      *****************************************************
           INITIALIZE WS-2490-INPUT

           MOVE 2 TO WS-2490-TOTAL-NUMBER
           MOVE WS-T20-2ND-TOTAL TO WS-2490-TOTAL
           MOVE WS-T20-2ND-TOTAL-AMOUNT TO WS-2490-TOTAL-AMT

           PERFORM 2490-VAL-TOTAL-AMOUNT
              THRU 2490-VAL-TOTAL-AMOUNT-EXIT


      * 3RD TOTAL IS VALIDATED BELOW

      *****************************************************
      *    VALIDATE 3RD TOTAL WITH 2ND TOTAL              *
      *****************************************************
           INITIALIZE WS-2360-INPUT

           MOVE 3 TO WS-2360-TOTAL-NUMBER
           MOVE WS-T20-2ND-TOTAL TO WS-2360-INITIAL-TOTAL
           MOVE WS-T20-3RD-TOTAL TO WS-2360-NEXT-TOTAL

           PERFORM 2360-VAL-TOTAL-FIELDS
              THRU 2360-VAL-TOTAL-FIELDS-EXIT


      * 3RD ESCROW CHECK OR P/CR MEMO STATE & POLICY IS VALIDATED BELOW

      **************************************************************
      *    VALIDATE 3RD ESCROW CHECK OR P/CR MEMO STATE AND POLICY *
      *    WITH 3RD TOTAL                                          *
      **************************************************************
           INITIALIZE WS-2345-INPUT

           MOVE 3 TO WS-2345-TOTAL-NUMBER
           MOVE WS-T20-3RD-TOTAL TO WS-2345-TOTAL
           MOVE WS-T20-3RD-ESCROW-CHK TO WS-2345-ESCROW-CHK

           PERFORM 2345-VAL-ESCROW-FIELDS
              THRU 2345-VAL-ESCROW-FIELDS-EXIT


      * 3RD TOTAL AMOUNT IS VALIDATED BELOW

      *****************************************************
      *    VALIDATE 3RD TOTAL AMOUNT                      *
      *****************************************************
           INITIALIZE WS-2490-INPUT

           MOVE 3 TO WS-2490-TOTAL-NUMBER
           MOVE WS-T20-3RD-TOTAL TO WS-2490-TOTAL
           MOVE WS-T20-3RD-TOTAL-AMOUNT TO WS-2490-TOTAL-AMT

           PERFORM 2490-VAL-TOTAL-AMOUNT
              THRU 2490-VAL-TOTAL-AMOUNT-EXIT


      * 4TH TOTAL IS VALIDATED BELOW

      *****************************************************
      *    VALIDATE 4TH TOTAL WITH 3RD TOTAL              *
      *****************************************************
           INITIALIZE WS-2360-INPUT

           MOVE 4 TO WS-2360-TOTAL-NUMBER
           MOVE WS-T20-3RD-TOTAL TO WS-2360-INITIAL-TOTAL
           MOVE WS-T20-4TH-TOTAL TO WS-2360-NEXT-TOTAL

           PERFORM 2360-VAL-TOTAL-FIELDS
              THRU 2360-VAL-TOTAL-FIELDS-EXIT


      * 4TH ESCROW CHECK OR P/CR MEMO STATE & POLICY IS VALIDATED BELOW

      **************************************************************
      *    VALIDATE 4TH ESCROW CHECK OR P/CR MEMO STATE AND POLICY *
      *    WITH 4TH TOTAL                                          *
      **************************************************************
           INITIALIZE WS-2345-INPUT

           MOVE WS-T20-4TH-TOTAL TO WS-2345-TOTAL
           MOVE WS-T20-4TH-ESCROW-CHK TO WS-2345-ESCROW-CHK
           MOVE 4 TO WS-2345-TOTAL-NUMBER

           PERFORM 2345-VAL-ESCROW-FIELDS
              THRU 2345-VAL-ESCROW-FIELDS-EXIT

      * 4TH TOTAL AMOUNT IS VALIDATED BELOW

      *****************************************************
      *    VALIDATE 4TH TOTAL AMOUNT                      *
      *****************************************************

           INITIALIZE WS-2490-INPUT

           MOVE 4 TO WS-2490-TOTAL-NUMBER
           MOVE WS-T20-4TH-TOTAL TO WS-2490-TOTAL
           MOVE WS-T20-4TH-TOTAL-AMOUNT TO WS-2490-TOTAL-AMT

           PERFORM 2490-VAL-TOTAL-AMOUNT
              THRU 2490-VAL-TOTAL-AMOUNT-EXIT


      * P/CR MEMO COMPANY IS VALIDATED BELOW

      *****************************************************
      *    VALIDATE P/CR MEMO COMPANY                     *
      *****************************************************
           INITIALIZE WS-2415-INPUT

           MOVE WS-T20-1ST-TOT-PCR-MEMO-CO TO WS-2415-P-CR-MEMO-COMP
           MOVE WS-T20-REPORTING-ORG TO WS-2415-REPORTING-ORG

           PERFORM 2415-VAL-P-CR-MEMO-CPNY
              THRU 2415-VAL-P-CR-MEMO-CPNY-EXIT.

      * DATE DRAFT ISSUED IS FULLY VALIDATED BY FV

      * RO CONTROL DATE IS NOT VALIDATED

      * FCIC CONTROL DATE IS NOT VALIDATED

      * POSITION 250 IS A MYSTERY


       2020-VALIDATE-T20-EXIT.
           EXIT.
