      *************************************************************
      * File:      IF2205.CBL
      * Author:    Mike Ray
      * Date:      8/2/95
      * Purpose:   Perform the interfield edits for a Reinsured
      *            policy to ensure that the Reinsured company
      *            is valid.
      *************************************************************

       2205-VAL-REINSURED-INFO.

      $IF DEBUG-SW DEFINED
           DISPLAY '2205-VALIDATING REINSURED INFO'
           UPON CONSOLE
      $END
      ********************************************
      *         CHECK PRE-CONDITIONS             *
      ********************************************

           IF ERROR-RO = WS-LITERAL-YES
              OR ERROR-CPNY-CNTY = WS-LITERAL-YES

              MOVE WS-LITERAL-YES TO ERROR-CPNY-CNTY
              GO TO 2205-VAL-REINSURED-INFO-EXIT
           END-IF

      **** This routine should not have been called.
           IF NOT REINSURED
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 044 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE 'WS-0009-CFSA-REINS' TO WS-8000-FIELD-NAME1
              MOVE WS-0009-CFSA-REINS TO WS-8000-BAD-DATA1
              MOVE 'REINSURED' TO WS-8000-CORR-DATA1
              MOVE 2205 TO WS-8000-PARAGRAPH-NO
              MOVE WS-LITERAL-YES TO ERROR-ENTITY-TYPE
              MOVE WS-LITERAL-YES TO ERROR-ID-TYPE
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

      ********************************************
      *          Normal Processing               *
      ********************************************


      $IF ISAM-SW DEFINED
           INITIALIZE WS-7255-FOUND-FLG
           INITIALIZE WS-7255-I-COMPANY-AREA
           MOVE WS-2205-COMPANY TO WS-7255-I-COMPANY
           MOVE WS-2205-INSURANCE-PROVIDER
             TO WS-7255-I-INS-PROVIDER
           PERFORM 7255-LOOKUP-COMPANY-TBL
              THRU 7255-LOOKUP-COMPANY-TBL-EXIT

           IF NOT MATCH-FOUND-7255
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 009 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-IF TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO ERROR-CPNY-CNTY
              MOVE WS-LITERAL-CPNY-CNTY TO WS-8000-FIELD-NAME1
              MOVE WS-2205-COMPANY TO WS-8000-BAD-DATA1
              MOVE SPACES TO WS-8000-CORR-DATA1
              MOVE WS-LITERAL-RO TO WS-8000-FIELD-NAME2
              MOVE WS-2205-INSURANCE-PROVIDER
                TO WS-8000-CORR-DATA2
              MOVE 'REINS YR' TO WS-8000-FIELD-NAME3
              MOVE WS-0004-REINS-YR TO WS-8000-CORR-DATA3
              MOVE 'COMPANY' TO WS-8000-TABLE-NAME
              MOVE 2205 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                  THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF.
      $END

           IF ERROR-CPNY-CNTY = WS-LITERAL-YES
              OR ERROR-BRNCH-OFF-STATE-CD = WS-LITERAL-YES
              OR ERROR-REC-NO = WS-LITERAL-YES
              GO TO 2205-VAL-REINSURED-INFO-EXIT
           END-IF


      * BELOW TYPE 10 REQUIRES BRANCH OFFICE/STATE FOR RECORD NO 001.
      * TYPE 14 DOES NOT USE BRANCH OFFICE/STATE FOR REINSURED.

           IF TYPE10
               IF WS-2205-BRANCH-OFFICE IS EQUAL SPACES
                   IF WS-2205-RECORD-NUMBER = 001
                      MOVE 10059 TO WS-8000-ERROR-CODE
                      MOVE WS-LITERAL-IF TO WS-8000-ERROR-TYPE
                      MOVE WS-LITERAL-BRNCH-OFF-STATE-CD
                        TO WS-8000-FIELD-NAME1
                      MOVE WS-LITERAL-YES TO ERROR-BRNCH-OFF-STATE-CD
                      MOVE WS-2205-BRANCH-OFFICE TO WS-8000-BAD-DATA1
                      MOVE WS-LITERAL-REC-NO TO WS-8000-FIELD-NAME2
                      MOVE WS-2205-RECORD-NUMBER TO WS-8000-CORR-DATA2
                      MOVE 2205 TO WS-8000-PARAGRAPH-NO
                      PERFORM 8000-RECORD-TRAN-ERROR
                         THRU 8000-RECORD-TRAN-ERROR-EXIT
                   END-IF
               ELSE


      $IF ISAM-SW DEFINED

      $IF DEBUG-SW DEFINED
           DISPLAY '2205 NO ISAM LOOKUP FOR BRANCH OFFICE LOOKUP!!'
           UPON CONSOLE
           DISPLAY 'BRANCH OFFICE = ', WS-2205-BRANCH-OFFICE
           UPON CONSOLE
      $END
           CONTINUE
      $END
               END-IF
           END-IF.


       2205-VAL-REINSURED-INFO-EXIT.
           EXIT.


