      *************************************************************
      * File:      IF2210.CBL
      * Author:    Mike Ray
      * Date:      8/3/95
      * Purpose:   Ensure that the appropriate name fields have been
      *            entered for a specific entity type and id type.
      *************************************************************

       2210-VAL-NAME.

      $IF DEBUG-SW DEFINED
           DISPLAY '2210-VALIDATING NAME'
           UPON CONSOLE
      $END

      ********************************************
      *   INITIALIZE LOCAL & OUTPUT VARIABLES    *
      ********************************************

           INITIALIZE WS-2210-LOCAL

      ********************************************
      *         CHECK PRE-CONDITIONS             *
      ********************************************
           IF ERROR-ENTITY-TYPE = WS-LITERAL-YES
              OR ERROR-LAST-NAME = WS-LITERAL-YES
              OR ERROR-FIRST-NAME = WS-LITERAL-YES
              OR ERROR-PROD-BUS-NAME = WS-LITERAL-YES
              OR ERROR-ID-TYPE = WS-LITERAL-YES
              MOVE WS-LITERAL-YES TO ERROR-LAST-NAME
              MOVE WS-LITERAL-YES TO ERROR-FIRST-NAME
              MOVE WS-LITERAL-YES TO ERROR-PROD-BUS-NAME
              GO TO 2210-VAL-NAME-EXIT
           END-IF

      ********************************************
      *          Normal Processing               *
      ********************************************


           EVALUATE WS-2210-ENTITY-TYPE
               WHEN WS-LITERAL-ENTERPRISE
                  MOVE WS-LITERAL-YES TO WS-2210-EITHER-NAME-REQ

               WHEN WS-LITERAL-INDIVIDUAL
                  IF WS-2210-ID-TYPE = WS-LITERAL-SSN
                     MOVE WS-LITERAL-YES TO WS-2210-LAST-NAME-REQ
                     MOVE WS-LITERAL-YES TO WS-2210-FIRST-NAME-REQ
                  ELSE
                     MOVE WS-LITERAL-YES TO WS-2210-EITHER-NAME-REQ
                  END-IF

               WHEN WS-LITERAL-JOINT-OPERATORS
                  IF WS-2210-ID-TYPE = WS-LITERAL-SSN
                     MOVE WS-LITERAL-YES TO WS-2210-EITHER-NAME-REQ
                  ELSE
                     MOVE WS-LITERAL-YES TO WS-2210-BUS-NAME-REQ
                  END-IF

               WHEN WS-LITERAL-CORPORATION
                  MOVE WS-LITERAL-YES TO WS-2210-BUS-NAME-REQ

               WHEN WS-LITERAL-TAX-EXEMPT
                  MOVE WS-LITERAL-YES TO WS-2210-BUS-NAME-REQ

               WHEN WS-LITERAL-GOVERNMENT
                  MOVE WS-LITERAL-YES TO WS-2210-BUS-NAME-REQ

               WHEN WS-LITERAL-PARTNERSHIP
                  MOVE WS-LITERAL-YES TO WS-2210-BUS-NAME-REQ

               WHEN WS-LITERAL-REVOCABLE-TRUST
                  IF WS-2210-ID-TYPE = WS-LITERAL-SSN
                     MOVE WS-LITERAL-YES TO WS-2210-LAST-NAME-REQ
                     MOVE WS-LITERAL-YES TO WS-2210-FIRST-NAME-REQ
                  ELSE
                     MOVE WS-LITERAL-YES TO WS-2210-EITHER-NAME-REQ
                  END-IF

               WHEN WS-LITERAL-IRREVOCABLE-TRUST
                  IF WS-2210-ID-TYPE = WS-LITERAL-SSN
                     MOVE WS-LITERAL-YES TO WS-2210-LAST-NAME-REQ
                     MOVE WS-LITERAL-YES TO WS-2210-FIRST-NAME-REQ
                  ELSE
                     MOVE WS-LITERAL-YES TO WS-2210-EITHER-NAME-REQ
                  END-IF

               WHEN WS-LITERAL-OTHER-ENTITY
                  MOVE WS-LITERAL-YES TO WS-2210-LAST-NAME-REQ
                  MOVE WS-LITERAL-YES TO WS-2210-FIRST-NAME-REQ

               WHEN WS-LITERAL-BIA
                  MOVE WS-LITERAL-YES TO WS-2210-BUS-NAME-REQ

               WHEN WS-LITERAL-TOBACCO-MKTG-CARD
                  IF WS-2210-ID-TYPE = WS-LITERAL-SSN
                     MOVE WS-LITERAL-YES TO WS-2210-LAST-NAME-REQ
                     MOVE WS-LITERAL-YES TO WS-2210-FIRST-NAME-REQ
                  ELSE
                     MOVE WS-LITERAL-YES TO WS-2210-EITHER-NAME-REQ
                  END-IF

               WHEN WS-LITERAL-UNDIVIDED-INTEREST
                  IF WS-2210-ID-TYPE = WS-LITERAL-SSN
                     MOVE WS-LITERAL-YES TO WS-2210-LAST-NAME-REQ
                     MOVE WS-LITERAL-YES TO WS-2210-FIRST-NAME-REQ
                  ELSE
                     MOVE WS-LITERAL-YES TO WS-2210-EITHER-NAME-REQ
                  END-IF

               WHEN OTHER
                  MOVE 10008 TO WS-8000-ERROR-CODE
                  MOVE WS-LITERAL-YES TO ERROR-ENTITY-TYPE
                  MOVE WS-LITERAL-IF  TO WS-8000-ERROR-TYPE
                  MOVE WS-LITERAL-ENTITY-TYPE TO WS-8000-FIELD-NAME1
                  MOVE WS-2210-ENTITY-TYPE TO WS-8000-BAD-DATA1
                  MOVE 'B C E G I J M N O P R T U'
                    TO WS-8000-CORR-DATA1
                  MOVE 2210 TO WS-8000-PARAGRAPH-NO
                  PERFORM 8000-RECORD-TRAN-ERROR
                     THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-EVALUATE

           IF WS-2210-BUS-NAME-REQ = WS-LITERAL-YES
              IF WS-2210-BUSINESS-NAME IS EQUAL SPACES
                 MOVE 10058 TO WS-8000-ERROR-CODE
                 MOVE WS-LITERAL-IF TO WS-8000-ERROR-TYPE
                 MOVE WS-LITERAL-YES TO ERROR-PROD-BUS-NAME
                 MOVE WS-LITERAL-BUS-NAME TO WS-8000-FIELD-NAME1
                 MOVE WS-2210-BUSINESS-NAME TO WS-8000-BAD-DATA1
                 MOVE WS-LITERAL-ENTITY-TYPE
                   TO WS-8000-FIELD-NAME2
                 MOVE WS-2210-ENTITY-TYPE TO WS-8000-CORR-DATA2
                 MOVE 2210 TO WS-8000-PARAGRAPH-NO
                 PERFORM 8000-RECORD-TRAN-ERROR
                    THRU 8000-RECORD-TRAN-ERROR-EXIT
              END-IF
           END-IF

           IF WS-2210-LAST-NAME-REQ = WS-LITERAL-YES
              IF WS-2210-LAST-NAME IS EQUAL SPACES
                 MOVE 10057 TO WS-8000-ERROR-CODE
                 MOVE WS-LITERAL-IF TO WS-8000-ERROR-TYPE
                 MOVE WS-LITERAL-YES TO ERROR-LAST-NAME
                 MOVE WS-LITERAL-LAST-NAME
                   TO WS-8000-FIELD-NAME1
                 MOVE WS-2210-LAST-NAME TO WS-8000-BAD-DATA1
                 MOVE WS-LITERAL-ENTITY-TYPE TO WS-8000-FIELD-NAME2
                 MOVE WS-2210-ENTITY-TYPE TO WS-8000-CORR-DATA2
                 MOVE 2210 TO WS-8000-PARAGRAPH-NO
                 PERFORM 8000-RECORD-TRAN-ERROR
                    THRU 8000-RECORD-TRAN-ERROR-EXIT
                 GO TO 2210-VAL-NAME-EXIT
              END-IF
           END-IF

           IF WS-2210-FIRST-NAME-REQ = WS-LITERAL-YES
              IF WS-2210-FIRST-NAME IS EQUAL SPACES
                 MOVE 10057 TO WS-8000-ERROR-CODE
                 MOVE WS-LITERAL-IF TO WS-8000-ERROR-TYPE
                 MOVE WS-LITERAL-YES TO ERROR-FIRST-NAME
                 MOVE WS-LITERAL-FIRST-NAME
                   TO WS-8000-FIELD-NAME1
                 MOVE WS-2210-FIRST-NAME TO WS-8000-BAD-DATA1
                 MOVE WS-LITERAL-ENTITY-TYPE TO WS-8000-FIELD-NAME2
                 MOVE WS-2210-ENTITY-TYPE TO WS-8000-CORR-DATA2
                 MOVE 2210 TO WS-8000-PARAGRAPH-NO
                 PERFORM 8000-RECORD-TRAN-ERROR
                    THRU 8000-RECORD-TRAN-ERROR-EXIT
              END-IF
           END-IF

           IF WS-2210-EITHER-NAME-REQ = WS-LITERAL-YES
              IF WS-2210-BUSINESS-NAME IS EQUAL SPACES AND
                 (WS-2210-FIRST-NAME IS EQUAL SPACES OR
                  WS-2210-LAST-NAME IS EQUAL SPACES)
                 MOVE 10061 TO WS-8000-ERROR-CODE
                 MOVE WS-LITERAL-IF TO WS-8000-ERROR-TYPE
                 MOVE WS-LITERAL-YES TO ERROR-FIRST-NAME
                 MOVE WS-LITERAL-FIRST-NAME
                   TO WS-8000-FIELD-NAME1
                 MOVE WS-2210-FIRST-NAME TO WS-8000-BAD-DATA1
                 MOVE WS-LITERAL-YES TO ERROR-LAST-NAME
                 MOVE WS-LITERAL-LAST-NAME
                   TO WS-8000-FIELD-NAME2
                 MOVE WS-2210-LAST-NAME TO WS-8000-BAD-DATA2
                 MOVE WS-LITERAL-YES TO ERROR-PROD-BUS-NAME
                 MOVE WS-LITERAL-BUS-NAME TO WS-8000-FIELD-NAME3
                 MOVE WS-2210-BUSINESS-NAME TO WS-8000-BAD-DATA3
                 MOVE 2210 TO WS-8000-PARAGRAPH-NO
                 PERFORM 8000-RECORD-TRAN-ERROR
                    THRU 8000-RECORD-TRAN-ERROR-EXIT
              END-IF
           END-IF.


       2210-VAL-NAME-EXIT.
           EXIT.




