      ******************************************************************
      *  File:     IF2213.CBL                                          *
      *  Author:   Laura Dittamo                                       *
      *  Date:     7/31/95                                             *
      *  Purpose:  Validate the Id Type and Id Number.                 *
      *                                                                *
      *  ID TYPE       ID NUMBER                                       *
      *    1           FIRST 5 CHARACTERS MUST BE A VALID SSN SEQUENCE *
      *    2           GREATER THAN ZERO                               *
      *    3           MUST BE ALL 9'S                                 *
      *    4           MUST BE ZERO                                    *
      *    5           FIRST 5 CHARACTERS MUST BE A VALID STATE &      *
      *                COUNTY CODE                                     *
      ******************************************************************
      *************************************************
      * THE FIRST FIVE POSITIONS OF THE ID NUMBER ARE *
      * NOT VALIDATED AGAINST AN SSN TABLE.           *
      * THIS WILL BE ADDED WHEN WE HAVE ACCESS TO THE *
      * SSN TABLE.                                    *
      *************************************************


       2213-VAL-ID-TY-W-ID-NO.

      $IF DEBUG-SW DEFINED
           DISPLAY '2213-VALIDATING ID TYPE WITH ID NO'
           UPON CONSOLE
      $END

      ************************************************
      *              CHECK PRE-CONDITIONS            *
      ************************************************

           IF ERROR-ID-TYPE = WS-LITERAL-YES OR
              ERROR-ID-NO = WS-LITERAL-YES

              MOVE WS-LITERAL-YES TO ERROR-ID-NO
              GO TO 2213-VAL-ID-TY-W-ID-NO-EXIT
           END-IF

      ************************************************
      *              NORMAL PROCESSING               *
      ************************************************

           EVALUATE WS-2213-ID-TYPE
             WHEN WS-LITERAL-SSN
                IF WS-2213-ID-NO EQUAL TO ZEROS
                   MOVE 10008 TO WS-8000-ERROR-CODE
                   MOVE WS-LITERAL-IF TO WS-8000-ERROR-TYPE
                   MOVE WS-LITERAL-YES TO ERROR-ID-NO
                   MOVE WS-LITERAL-ID-NO TO WS-8000-FIELD-NAME1
                   MOVE WS-2213-ID-NO TO WS-8000-BAD-DATA1
                   MOVE '> 0' TO WS-8000-CORR-DATA1
                   MOVE WS-LITERAL-ID-TYPE TO WS-8000-FIELD-NAME2
                   MOVE WS-2213-ID-TYPE TO WS-8000-CORR-DATA2
                   MOVE 2213 TO WS-8000-PARAGRAPH-NO
                   PERFORM 8000-RECORD-TRAN-ERROR
                      THRU 8000-RECORD-TRAN-ERROR-EXIT
                   GO TO 2213-VAL-ID-TY-W-ID-NO-EXIT
                END-IF

      *         **** VALIDATE THE SSN
                MOVE WS-2213-ID-NO TO WS-0570-INPUT-SSN
                PERFORM 0570-VAL-SSN
                   THRU 0570-VAL-SSN-EXIT

                IF NOT VALID-SSN-0570
                   MOVE WS-LITERAL-IF TO WS-8000-ERROR-TYPE
                   MOVE 10052 TO WS-8000-ERROR-CODE
                   MOVE WS-LITERAL-YES TO ERROR-ID-NO
                   MOVE WS-LITERAL-ID-NO TO WS-8000-FIELD-NAME1
                   MOVE WS-2213-ID-NO TO WS-8000-BAD-DATA1
                   MOVE 'INVALID AREA NUMBER' TO WS-8000-CORR-DATA1
                   MOVE 2213 TO WS-8000-PARAGRAPH-NO
                   PERFORM 8000-RECORD-TRAN-ERROR
                      THRU 8000-RECORD-TRAN-ERROR-EXIT
                   GO TO 2213-VAL-ID-TY-W-ID-NO-EXIT
                END-IF


             WHEN WS-LITERAL-EIN
                IF WS-2213-ID-NO EQUAL TO ZEROS
                   MOVE 10008 TO WS-8000-ERROR-CODE
                   MOVE WS-LITERAL-IF TO WS-8000-ERROR-TYPE
                   MOVE WS-LITERAL-YES TO ERROR-ID-NO
                   MOVE WS-LITERAL-ID-NO TO WS-8000-FIELD-NAME1
                   MOVE WS-2213-ID-NO TO WS-8000-BAD-DATA1
                   MOVE '> 0' TO WS-8000-CORR-DATA1
                   MOVE WS-LITERAL-ID-TYPE TO WS-8000-FIELD-NAME2
                   MOVE WS-2213-ID-TYPE TO WS-8000-CORR-DATA2
                   MOVE 2213 TO WS-8000-PARAGRAPH-NO
                   PERFORM 8000-RECORD-TRAN-ERROR
                      THRU 8000-RECORD-TRAN-ERROR-EXIT
                   GO TO 2213-VAL-ID-TY-W-ID-NO-EXIT
                END-IF

             WHEN WS-LITERAL-OTHER-ID
                IF WS-2213-ID-NO NOT = '999999999'
                   MOVE 10008 TO WS-8000-ERROR-CODE
                   MOVE WS-LITERAL-IF TO WS-8000-ERROR-TYPE
                   MOVE WS-LITERAL-YES TO ERROR-ID-NO
                   MOVE WS-LITERAL-ID-NO TO WS-8000-FIELD-NAME1
                   MOVE WS-2213-ID-NO TO WS-8000-BAD-DATA1
                   MOVE '999999999' TO WS-8000-CORR-DATA1
                   MOVE WS-LITERAL-ID-TYPE TO WS-8000-FIELD-NAME2
                   MOVE WS-2213-ID-TYPE TO WS-8000-CORR-DATA2
                   MOVE 2213 TO WS-8000-PARAGRAPH-NO
                   PERFORM 8000-RECORD-TRAN-ERROR
                      THRU 8000-RECORD-TRAN-ERROR-EXIT
                END-IF

             WHEN WS-LITERAL-EIN-APPLIED-FOR
                IF WS-2213-ID-NO NOT = ZEROS
                   MOVE 10008 TO WS-8000-ERROR-CODE
                   MOVE WS-LITERAL-IF TO WS-8000-ERROR-TYPE
                   MOVE WS-LITERAL-YES TO ERROR-ID-NO
                   MOVE WS-LITERAL-ID-NO TO WS-8000-FIELD-NAME1
                   MOVE WS-2213-ID-NO TO WS-8000-BAD-DATA1
                   MOVE '000000000' TO WS-8000-CORR-DATA1
                   MOVE WS-LITERAL-ID-TYPE TO WS-8000-FIELD-NAME2
                   MOVE WS-2213-ID-TYPE TO WS-8000-CORR-DATA2
                   MOVE 2213 TO WS-8000-PARAGRAPH-NO
                   PERFORM 8000-RECORD-TRAN-ERROR
                      THRU 8000-RECORD-TRAN-ERROR-EXIT
                END-IF

             WHEN WS-LITERAL-BIA-NUM
                PERFORM 2213-VAL-BIA-NUM
                   THRU 2213-VAL-BIA-NUM-EXIT

             WHEN OTHER
                MOVE WS-LITERAL-YES TO ERROR-ID-NO
                MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
                MOVE 044 TO WS-8000-SHORT-ERROR
                MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
                MOVE WS-LITERAL-ID-TYPE TO WS-8000-FIELD-NAME1
                MOVE WS-2213-ID-TYPE TO WS-8000-BAD-DATA1
                MOVE 'NO LOGIC FOR THIS ID TYPE'
                  TO WS-8000-CORR-DATA1
                MOVE 2213 TO WS-8000-PARAGRAPH-NO
                PERFORM 8000-RECORD-TRAN-ERROR
                   THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-EVALUATE.


       2213-VAL-ID-TY-W-ID-NO-EXIT.
           EXIT.



       2213-VAL-BIA-NUM.

           IF WS-2213-ID-NO-BIA-STATE-CODE = ZEROS
              MOVE 10053 TO WS-8000-ERROR-CODE
              MOVE WS-LITERAL-IF TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO ERROR-ID-NO
              MOVE WS-LITERAL-ID-NO TO WS-8000-FIELD-NAME1
              MOVE WS-2213-ID-NO TO WS-8000-BAD-DATA1
              MOVE SPACES TO WS-8000-CORR-DATA1
              MOVE WS-LITERAL-ID-TYPE TO WS-8000-FIELD-NAME2
              MOVE WS-2213-ID-TYPE TO WS-8000-CORR-DATA2
              MOVE 'FIPS STATE' TO WS-8000-TABLE-NAME
              MOVE 2213 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              GO TO 2213-VAL-BIA-NUM-EXIT
           END-IF

           INITIALIZE WS-7260-FOUND-FLG
           INITIALIZE WS-7260-I-FIPS-STATE
           MOVE WS-2213-ID-NO-BIA-STATE-CODE
             TO WS-7260-I-FIPS-STATE
           PERFORM 7260-LOOKUP-FIPS-ST-TBL
              THRU 7260-LOOKUP-FIPS-ST-TBL-EXIT

           IF NOT MATCH-FOUND-7260
              MOVE 10053 TO WS-8000-ERROR-CODE
              MOVE WS-LITERAL-IF TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO ERROR-ID-NO
              MOVE WS-LITERAL-ID-NO TO WS-8000-FIELD-NAME1
              MOVE WS-2213-ID-NO TO WS-8000-BAD-DATA1
              MOVE SPACES TO WS-8000-CORR-DATA1
              MOVE WS-LITERAL-ID-TYPE TO WS-8000-FIELD-NAME2
              MOVE WS-2213-ID-TYPE TO WS-8000-CORR-DATA2
              MOVE 'FIPS STATE' TO WS-8000-TABLE-NAME
              MOVE 2213 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              GO TO 2213-VAL-BIA-NUM-EXIT
           END-IF

           IF WS-2213-ID-NO-BIA-COUNTY-CODE = ZEROS
              MOVE 10054 TO WS-8000-ERROR-CODE
              MOVE WS-LITERAL-IF TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO ERROR-ID-NO
              MOVE WS-LITERAL-ID-NO TO WS-8000-FIELD-NAME1
              MOVE WS-2213-ID-NO TO WS-8000-BAD-DATA1
              MOVE SPACES TO WS-8000-CORR-DATA1
              MOVE WS-LITERAL-ID-TYPE TO WS-8000-FIELD-NAME2
              MOVE WS-2213-ID-TYPE TO WS-8000-CORR-DATA2
              MOVE 'COUNTY' TO WS-8000-TABLE-NAME
              MOVE 2213 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              GO TO 2213-VAL-BIA-NUM-EXIT
           END-IF

           INITIALIZE WS-7265-FOUND-FLG
           INITIALIZE WS-7265-I-COUNTY-AREA
           MOVE WS-2213-ID-NO-BIA-STATE-CODE
             TO WS-7265-I-FIPS-STATE
           MOVE WS-2213-ID-NO-BIA-COUNTY-CODE
             TO WS-7265-I-COUNTY
           PERFORM 7265-LOOKUP-COUNTY-TBL
              THRU 7265-LOOKUP-COUNTY-TBL-EXIT

           IF NOT MATCH-FOUND-7265
              MOVE 10054 TO WS-8000-ERROR-CODE
              MOVE WS-LITERAL-IF TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO ERROR-ID-NO
              MOVE WS-LITERAL-ID-NO TO WS-8000-FIELD-NAME1
              MOVE WS-2213-ID-NO TO WS-8000-BAD-DATA1
              MOVE SPACES TO WS-8000-CORR-DATA1
              MOVE WS-LITERAL-ID-TYPE TO WS-8000-FIELD-NAME2
              MOVE WS-2213-ID-TYPE TO WS-8000-CORR-DATA2
              MOVE 'COUNTY' TO WS-8000-TABLE-NAME
              MOVE 2213 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF.


       2213-VAL-BIA-NUM-EXIT.
           EXIT.


