      ******************************************************************
      *  File:     IF2220.CBL                                          *
      *  Author:   Laura Dittamo                                       *
      *  Date:     8/02/95                                             *
      *  Purpose:  Validate previous policy number.  If the previous   *
      *            reporting organization is populated, the previous   *
      *            policy number must be greater than zero.            *
      *            The previous policy number must be blank for record *
      *            number 001.                                         *
      ******************************************************************

       2220-VAL-PREV-POL-PREV-RO.

      $IF DEBUG-SW DEFINED
           DISPLAY '2220-VALIDATING PREVIOUS POLICY PREVIOUS RO'
           UPON CONSOLE
      $END

      ************************************************
      *            CHECK PRE-CONDITIONS              *
      ************************************************

           IF ERROR-PREV-RO = WS-LITERAL-YES
              OR ERROR-PREV-POLICY = WS-LITERAL-YES
              OR ERROR-REC-NO = WS-LITERAL-YES

              MOVE WS-LITERAL-YES TO ERROR-PREV-RO
              GO TO 2220-VAL-PREV-POL-PREV-RO-EXIT
           END-IF

      ************************************************
      *             NORMAL PROCESSING                *
      ************************************************
           IF WS-2220-RECORD-NUMBER = 001
              IF (WS-2220-PREV-RO <> SPACES) AND
                 (WS-2220-PREV-RO <> ZEROS)
                 IF WS-2220-PREV-POLICY = ZEROS
                    MOVE 10050 TO WS-8000-ERROR-CODE
                    MOVE WS-LITERAL-IF TO WS-8000-ERROR-TYPE
                    MOVE WS-LITERAL-YES TO ERROR-PREV-POLICY
                    MOVE WS-LITERAL-PREV-POLICY TO WS-8000-FIELD-NAME1
                    MOVE WS-2220-PREV-POLICY TO WS-8000-BAD-DATA1
                    MOVE WS-LITERAL-PREV-RO TO WS-8000-FIELD-NAME2
                    MOVE WS-2220-PREV-RO TO WS-8000-BAD-DATA2
                    MOVE 2220 TO WS-8000-PARAGRAPH-NO
                    PERFORM 8000-RECORD-TRAN-ERROR
                       THRU 8000-RECORD-TRAN-ERROR-EXIT
                 END-IF
              ELSE
                 IF WS-2220-PREV-POLICY NOT EQUAL ZEROS
                    MOVE 10051 TO WS-8000-ERROR-CODE
                    MOVE WS-LITERAL-IF TO WS-8000-ERROR-TYPE
                    MOVE WS-LITERAL-YES TO ERROR-PREV-POLICY
                    MOVE WS-LITERAL-PREV-POLICY TO WS-8000-FIELD-NAME1
                    MOVE WS-2220-PREV-POLICY TO WS-8000-BAD-DATA1
                    MOVE WS-LITERAL-PREV-RO TO WS-8000-FIELD-NAME2
                    MOVE WS-2220-PREV-RO TO WS-8000-BAD-DATA2
                    MOVE 2220 TO WS-8000-PARAGRAPH-NO
                    PERFORM 8000-RECORD-TRAN-ERROR
                       THRU 8000-RECORD-TRAN-ERROR-EXIT
                 END-IF
              END-IF
           ELSE
              IF (WS-2220-PREV-RO <> SPACES) AND
                 (WS-2220-PREV-RO <> ZEROS)
                 IF WS-2220-PREV-POLICY = ZEROS
                    MOVE 10050 TO WS-8000-ERROR-CODE
                    MOVE WS-LITERAL-IF TO WS-8000-ERROR-TYPE
                    MOVE WS-LITERAL-YES TO ERROR-PREV-POLICY
                    MOVE WS-LITERAL-PREV-POLICY TO WS-8000-FIELD-NAME1
                    MOVE WS-2220-PREV-POLICY TO WS-8000-BAD-DATA1
                    MOVE 2220 TO WS-8000-PARAGRAPH-NO
                    PERFORM 8000-RECORD-TRAN-ERROR
                       THRU 8000-RECORD-TRAN-ERROR-EXIT
                 END-IF
              ELSE
                 IF WS-2220-PREV-POLICY NOT EQUAL ZEROS
                    MOVE 10051 TO WS-8000-ERROR-CODE
                    MOVE WS-LITERAL-IF TO WS-8000-ERROR-TYPE
                    MOVE WS-LITERAL-YES TO ERROR-PREV-POLICY
                    MOVE WS-LITERAL-PREV-POLICY TO WS-8000-FIELD-NAME1
                    MOVE WS-2220-PREV-POLICY TO WS-8000-BAD-DATA1
                    MOVE 2220 TO WS-8000-PARAGRAPH-NO
                    PERFORM 8000-RECORD-TRAN-ERROR
                       THRU 8000-RECORD-TRAN-ERROR-EXIT
                 END-IF
              END-IF
           END-IF.


       2220-VAL-PREV-POL-PREV-RO-EXIT.
           EXIT.



