      ******************************************************************
      *  File:     IF2225.CBL                                          *
      *  Author:   Laura Dittamo                                       *
      *  Date:     8/10/95                                             *
      *  Purpose:  Perform the interfield edits on assigned risk and   *
      *            coverage flag.  If assigned risk is assigned with   *
      *            an alternate crop extension (2), the policy must be *
      *            CAT coverage (C).                                   *
      ******************************************************************

       2225-VAL-NON-CAT-ASG-RISK.

      $IF DEBUG-SW DEFINED
           DISPLAY '2225-VALIDATE NON CAT ASSIGNED RISK'
           UPON CONSOLE
      $END

      ************************************************
      *              CHECK PRE-CONDITIONS            *
      ************************************************

           IF ERROR-ASSIGNED-RISK = WS-LITERAL-YES OR
              ERROR-CVG-FL = WS-LITERAL-YES
              MOVE WS-LITERAL-YES TO ERROR-ASSIGNED-RISK
              GO TO 2225-VAL-NON-CAT-ASG-RISK-EXIT
           END-IF


      **** THIS ROUTINE SHOULD NOT HAVE BEEN CALLED.
           IF CAT-COVERAGE
              MOVE WS-LITERAL-YES TO ERROR-ASSIGNED-RISK
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 044 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-CVG-FL TO WS-8000-FIELD-NAME1
              MOVE WS-0009-COVERAGE-FLG TO WS-8000-BAD-DATA1
              MOVE 'NOT CAT COVERAGE' TO WS-8000-CORR-DATA1
              MOVE 2225 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              GO TO 2225-VAL-NON-CAT-ASG-RISK-EXIT
           END-IF

      ***************************************************
      *              NORMAL PROCESSING                  *
      ***************************************************

      ***************************************************
      * ALT-CROP-EXT IS AN 88 UNDER WS-0009-ASSIGNED-RISK IN *
      * WS0009.  IT INDICATES ASSIGNED RISK IS SET TO 2 *
      ***************************************************
           IF ALT-CROP-EXT
              MOVE 14050 TO WS-8000-ERROR-CODE
              MOVE WS-LITERAL-IF TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO ERROR-ASSIGNED-RISK
              MOVE WS-LITERAL-ASSIGNED-RISK TO WS-8000-FIELD-NAME1
              MOVE WS-0009-ASSIGNED-RISK TO WS-8000-BAD-DATA1
              MOVE '0, 1' TO WS-8000-CORR-DATA1
              MOVE 2225 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF.


       2225-VAL-NON-CAT-ASG-RISK-EXIT.
           EXIT.




