      ******************************************************************
      *  File:     IF2250.CBL                                          *
      *  Author:   Laura Dittamo                                       *
      *  Date:     8/10/95                                             *
      *  Purpose:  Validate the location county field.  Uses the       *
      *            location state and county fields to query the       *
      *            database.                                           *
      ******************************************************************

       2250-VAL-LOC-CNTY-INFO.

      $IF DEBUG-SW DEFINED
           DISPLAY '2250-VALIDATING LOCATION COUNTY'
           UPON CONSOLE
      $END

      ************************************************
      *              CHECK PRE-CONDITIONS            *
      ************************************************

           IF ERROR-LOC-CNTY = WS-LITERAL-YES OR
              ERROR-LOC-STATE = WS-LITERAL-YES
              MOVE WS-LITERAL-YES TO ERROR-LOC-CNTY
              GO TO 2250-VAL-LOC-CNTY-INFO-EXIT
           END-IF


      ************************************************
      *              NORMAL PROCESSING               *
      ************************************************

      $IF ISAM-SW DEFINED
           INITIALIZE WS-7265-FOUND-FLG
           INITIALIZE WS-7265-I-COUNTY-AREA
           MOVE WS-2250-LOCATION-STATE TO WS-7265-I-FIPS-STATE
           MOVE WS-2250-LOCATION-COUNTY TO WS-7265-I-COUNTY
           PERFORM 7265-LOOKUP-COUNTY-TBL
              THRU 7265-LOOKUP-COUNTY-TBL-EXIT

           IF NOT MATCH-FOUND-7265
              MOVE WS-LITERAL-IF TO WS-8000-ERROR-TYPE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 009 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-LOC-CNTY
              MOVE WS-LITERAL-LOC-CNTY TO WS-8000-FIELD-NAME1
              MOVE WS-2250-LOCATION-COUNTY TO WS-8000-BAD-DATA1
              MOVE SPACES TO WS-8000-CORR-DATA1
              MOVE WS-LITERAL-LOC-STATE TO WS-8000-FIELD-NAME2
              MOVE WS-2250-LOCATION-STATE TO WS-8000-CORR-DATA2
              MOVE 'COUNTY.DAT' TO WS-8000-TABLE-NAME
              MOVE 2250 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF.
      $END


       2250-VAL-LOC-CNTY-INFO-EXIT.
           EXIT.




