      *****************************************************************
      * FILE:      IF2265.CBL
      * AUTHOR:    CHERYL D. WOOD
      * DATE:      10/12/95
      * PURPOSE:   VALIDATION FOR PRACTICE CODE
      *****************************************************************

       2265-VAL-PRACTICE-CD.

      $IF DEBUG-SW DEFINED
           DISPLAY '2265-VALIDATING PRACTICE CODE'
           UPON CONSOLE
      $END

      ****************************************************************
      *            CHECK THE PRE-CONDITIONS BEFORE THE EDIT          *
      ****************************************************************

           IF ERROR-INSUR-PLAN-CD = WS-LITERAL-YES OR
              ERROR-CROP-CD = WS-LITERAL-YES OR
              ERROR-CROP-YR = WS-LITERAL-YES OR
              ERROR-PRACTICE-CD = WS-LITERAL-YES OR
              ERROR-RATE-COUNTY = WS-LITERAL-YES OR
              ERROR-RATE-STATE = WS-LITERAL-YES OR
              ERROR-CROP-TYPE = WS-LITERAL-YES
              MOVE WS-LITERAL-YES TO ERROR-PRACTICE-CD
              GO TO 2265-VAL-PRACTICE-CD-EXIT
           END-IF

           IF WS-2265-PRACTICE-CD NOT NUMERIC OR
              WS-2265-PRACTICE-CD = ZEROES
              MOVE WS-LITERAL-IF TO WS-8000-ERROR-TYPE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 009 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-PRACTICE-CD
              MOVE WS-LITERAL-PRACTICE-CD TO WS-8000-FIELD-NAME1
              MOVE WS-2265-PRACTICE-CD TO WS-8000-BAD-DATA1
              MOVE SPACES TO WS-8000-CORR-DATA1
              MOVE 2265 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE WS-LITERAL-YES TO ERROR-PRACTICE-CD
              GO TO 2265-VAL-PRACTICE-CD-EXIT
           END-IF

      ****************************************************************
      *                   END OF PRE-CONDITIONS                      *
      ****************************************************************

           PERFORM 2265-LOOKUP-PRACTICE
              THRU 2265-LOOKUP-PRACTICE-EXIT.

       2265-VAL-PRACTICE-CD-EXIT.
           EXIT.


      $IF ISAM-SW DEFINED

       2265-LOOKUP-PRACTICE.

           INITIALIZE WS-7510-INPUT-KEY
           MOVE WS-2265-CROP-YEAR TO WS-7510-INPUT-CROP-YR
           MOVE WS-2265-STATE TO WS-7510-INPUT-STATE-CD
           MOVE WS-2265-CROP-CD TO WS-7510-INPUT-CROP-CD
           MOVE WS-2265-COUNTY TO WS-7510-INPUT-COUNTY-CD
           MOVE WS-2265-INSURANCE-PLAN-ID
             TO WS-7510-INPUT-INSURANCE-PLAN
           MOVE WS-2265-PRACTICE-CD TO WS-7510-INPUT-PRACTICE-CD
           MOVE WS-2265-TYPE TO WS-7510-INPUT-TYPE-CD
      *    *** SET THE ERROR FIELD IN CASE IT IS NOT FOUND
           MOVE WS-7510-INPUT-KEY TO WS-8000-CORR-DATA1
           PERFORM 7510-LOOKUP-ADM2
              THRU 7510-LOOKUP-ADM2-EXIT

           IF NOT MATCH-FOUND-7510
              MOVE WS-LITERAL-IF TO WS-8000-ERROR-TYPE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 009 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-PRACTICE-CD
              MOVE WS-LITERAL-PRACTICE-CD TO WS-8000-FIELD-NAME1
              MOVE 'ADM2 KEY' TO WS-8000-BAD-DATA1
      *       *** CORR DATA1 SET ABOVE
              MOVE 'ADM2' TO WS-8000-TABLE-NAME
              MOVE 2265 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           ELSE
      *       *** CLEAR THE ERROR SET ABOVE
              MOVE SPACES TO WS-8000-CORR-DATA1
           END-IF.

       2265-LOOKUP-PRACTICE-EXIT.
           EXIT.

      $END

