

      ******************************************************************
      *    File:     IF2272.CBL                                        *
      *    Author:   ALICE WILL                                        *
      *    Date:     12/31/96                                          *
      *    Purpose:  2272-val-cat-w-unit-opt                           *
      *                                                                *
      *              Type 11:                                          *
      *              If coverage flag = 'C', the unit option code      *
      *              must = 'BU' for the following crops.              *
      *                                                                *
      ******************************************************************

       2272-VAL-CAT-W-UNIT-OPT.

      $IF DEBUG-SW DEFINED
           DISPLAY '2272-VALIDATING CAT/UNIT OPTION CODE'
           UPON CONSOLE
      $END


      ************************************************
      *    CHECK PRECONDITIONS                       *
      ************************************************

           IF ERROR-CROP-CD = WS-LITERAL-YES OR
              ERROR-UNIT-OPT-CD = WS-LITERAL-YES OR
              ERROR-CVG-FL = WS-LITERAL-YES
              GO TO 2272-VAL-CAT-UNITOPT-EXIT
           END-IF


           IF NOT CAT-COVERAGE
              GO TO 2272-VAL-CAT-UNITOPT-EXIT
           END-IF

      ******************************************************************
      *    BELOW:  ANY COMBINATION OF WS-2272-INSURANCE-PLAN-ID AND    *
      *            WS-2272-CROP-CODE, LISTED BELOW IN THE EVALUATE     *
      *            STATEMENT, MUST HAVE THE UNIT OPTION CODE = 'BU'    *
      *            IF CATASTROPHIC COVERAGE IS SELECTED. OTHERWISE,    *
      *            THE RECORD IS IN ERROR.                             *
      *    NOTE:   THIS TABLE WAS BUILT FROM THE NOVEMBER 1996 VERSION *
      *            OF THE FCIC M13 MANUAL, EXHIBIT 11-6.               *
      ******************************************************************


           EVALUATE WS-2272-INSURANCE-PLAN-ID
               WHEN WS-LITERAL-APH
                  EVALUATE WS-2272-CROP-CODE
                     WHEN WS-LITERAL-BARLEY
                        CONTINUE
                     WHEN WS-LITERAL-DRY-BEANS
                        CONTINUE
                     WHEN WS-LITERAL-CANOLA
                        CONTINUE
                     WHEN WS-LITERAL-CORN
                        CONTINUE
                     WHEN WS-LITERAL-COTTON
                        CONTINUE
                     WHEN WS-LITERAL-COTTON-XTRA-LONG
                        CONTINUE
                     WHEN WS-LITERAL-FLAX
                        CONTINUE
                     WHEN WS-LITERAL-GRAIN-SORGHUM
                        CONTINUE
                     WHEN WS-LITERAL-MILLET
                        CONTINUE
                     WHEN WS-LITERAL-OATS
                        CONTINUE
                     WHEN WS-LITERAL-DRY-PEAS
                        CONTINUE
                     WHEN WS-LITERAL-POPCORN
                        CONTINUE
                     WHEN WS-LITERAL-POTATOES
                        CONTINUE
                     WHEN WS-LITERAL-RICE
                        CONTINUE
                     WHEN WS-LITERAL-RYE
                        CONTINUE
                     WHEN WS-LITERAL-SAFFLOWER
                        CONTINUE
                     WHEN WS-LITERAL-SOYBEANS
                        CONTINUE
                     WHEN WS-LITERAL-SUGAR-BEETS
                        CONTINUE
                     WHEN WS-LITERAL-SUGAR-CANE
                        CONTINUE
                     WHEN WS-LITERAL-SUNFLOWERS
                        CONTINUE
                     WHEN WS-LITERAL-SWEET-CORN
                        CONTINUE
                     WHEN WS-LITERAL-TOMATOES
                        CONTINUE
                     WHEN WS-LITERAL-WHEAT
                        CONTINUE
                     WHEN OTHER
                        GO TO 2272-VAL-CAT-UNITOPT-EXIT
                  END-EVALUATE

               WHEN WS-LITERAL-APH-AREA-PLAN
                  EVALUATE WS-2272-CROP-CODE
                     WHEN WS-LITERAL-CANNING-BEANS
                        CONTINUE
                     WHEN WS-LITERAL-DRY-BEANS
                        CONTINUE
                     WHEN WS-LITERAL-BLUEBERRIES
                        CONTINUE
                     WHEN WS-LITERAL-DRY-PEAS
                        CONTINUE
                     WHEN WS-LITERAL-GREEN-PEAS
                        CONTINUE
                     WHEN WS-LITERAL-POTATOES
                        CONTINUE
                     WHEN WS-LITERAL-SUGAR-CANE
                        CONTINUE
                     WHEN WS-LITERAL-MARYLAND-TOBACCO
                        CONTINUE
                     WHEN WS-LITERAL-CIGAR-BINDR-TOBACCO
                        CONTINUE
                     WHEN WS-LITERAL-CIGAR-WRAPR-TOBACCO
                        CONTINUE
                     WHEN WS-LITERAL-FRESH-TOMATOES
                        CONTINUE
                     WHEN WS-LITERAL-TOMATOES
                        CONTINUE
                     WHEN OTHER
                        GO TO 2272-VAL-CAT-UNITOPT-EXIT
                  END-EVALUATE

               WHEN WS-LITERAL-DOLLAR-AMT
                  EVALUATE WS-2272-CROP-CODE
                     WHEN WS-LITERAL-FORAGE-SEED
                        CONTINUE
                     WHEN WS-LITERAL-PEPPERS
                        CONTINUE
                     WHEN WS-LITERAL-FRESH-SWEET-CORN
                        CONTINUE
                     WHEN WS-LITERAL-FRESH-TOMATOES
                        CONTINUE
                     WHEN OTHER
                        GO TO 2272-VAL-CAT-UNITOPT-EXIT
                  END-EVALUATE

               WHEN WS-LITERAL-YLD-BASED-DOL-AMT
                  EVALUATE WS-2272-CROP-CODE
                     WHEN WS-LITERAL-HYBRID-CORN-SEED
                        CONTINUE
                     WHEN WS-LITERAL-HYBRID-SORGHUM-SEED
                        CONTINUE
                     WHEN OTHER
                        GO TO 2272-VAL-CAT-UNITOPT-EXIT
                  END-EVALUATE

               WHEN WS-LITERAL-APH-AREA-SPAN
                  EVALUATE WS-2272-CROP-CODE
                     WHEN WS-LITERAL-POTATOES
                        CONTINUE
                     WHEN WS-LITERAL-SUGAR-BEETS
                        CONTINUE
                     WHEN OTHER
                        GO TO 2272-VAL-CAT-UNITOPT-EXIT
                  END-EVALUATE

               WHEN WS-LITERAL-GUARANTEE-TOBACCO
                  EVALUATE WS-2272-CROP-CODE
                     WHEN WS-LITERAL-FLUE-CURED-TOBACCO
                        CONTINUE
                     WHEN WS-LITERAL-FIRE-CURED-TOBACCO
                        CONTINUE
                     WHEN WS-LITERAL-DARK-AIR-TOBACCO
                        CONTINUE
                     WHEN WS-LITERAL-CIGAR-FILL-TOBACCO
                        CONTINUE
                     WHEN WS-LITERAL-CIGAR-BINDR-TOBACCO
                        CONTINUE
                     WHEN WS-LITERAL-BARLEY
                        CONTINUE
                     WHEN OTHER
                        GO TO 2272-VAL-CAT-UNITOPT-EXIT
                  END-EVALUATE

               WHEN OTHER
                  GO TO 2272-VAL-CAT-UNITOPT-EXIT
           END-EVALUATE

           IF WS-2272-UNIT-OPTION-CD = 'BU'
               GO TO 2272-VAL-CAT-UNITOPT-EXIT
           END-IF

      **********************************************************
      *              RECORD ERROR                              *
      **********************************************************

           MOVE WS-LITERAL-YES TO ERROR-UNIT-OPT-CD
           MOVE WS-LITERAL-IF  TO WS-8000-ERROR-TYPE
           MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
           MOVE 021 TO WS-8000-SHORT-ERROR
           MOVE WS-LITERAL-UNIT-OPT-CD TO WS-8000-FIELD-NAME1
           MOVE WS-2272-UNIT-OPTION-CD TO WS-8000-BAD-DATA1
           MOVE 'BU' TO WS-8000-CORR-DATA1
           MOVE SPACES TO WS-8000-TABLE-NAME
           MOVE 2272 TO WS-8000-PARAGRAPH-NO
           PERFORM 8000-RECORD-TRAN-ERROR
              THRU 8000-RECORD-TRAN-ERROR-EXIT.


       2272-VAL-CAT-UNITOPT-EXIT.
           EXIT.





