      *****************************************************************
      * File:      IF2275.CBL
      * Author:    Stacy Bray/Laura Dittamo
      * Date:      10/06/95
      * Purpose:
      *         This routine validates the Type/Practice Option Code
      *         A lookup is performed on the database table.
      *****************************************************************


       2275-VAL-TYPE-PRAC-OPT-CD.

      $IF DEBUG-SW DEFINED
           DISPLAY '2275-VALIDATING TYPE/PRACTICE OPTION CD'
           UPON CONSOLE
      $END

      *****************************************************
      *   INITIALIZE OUTPUT FIELDS                        *
      *****************************************************
           INITIALIZE WS-2275-OUTPUT

      *****************************************************
      *   CHECK PRE-CONDITIONS                            *
      *****************************************************

           IF ERROR-TYPE-PRACTICE-OPT-CD = WS-LITERAL-YES OR
              ERROR-RATE-COUNTY = WS-LITERAL-YES OR
              ERROR-RATE-STATE = WS-LITERAL-YES OR
              ERROR-CROP-YR = WS-LITERAL-YES OR
              ERROR-CROP-CD = WS-LITERAL-YES OR
              ERROR-CROP-TYPE = WS-LITERAL-YES OR
              ERROR-PRACTICE-CD = WS-LITERAL-YES OR
              ERROR-RATE-CLASS = WS-LITERAL-YES OR
              ERROR-INSUR-PLAN-CD = WS-LITERAL-YES
              MOVE WS-LITERAL-YES TO ERROR-TYPE-PRACTICE-OPT-CD
              GO TO 2275-VAL-TYPE-PRAC-OPT-CD-EXIT
           END-IF.

           IF WS-2275-TYPE-CD IS EQUAL SPACES
               MOVE '997' TO WS-2275-TYPE-CD
           END-IF



      *****************************************************
      *             DO LOOKUP                             *
      *****************************************************

      $IF DEBUG-SW DEFINED
           DISPLAY 'TYPE/PRACTICE OPTION = ',
           WS-2275-TYPE-PRACTICE-OPTION UPON CONSOLE
      $END

           IF WS-2275-TYPE-PRACTICE-OPTION = SPACES
              MOVE 1.000 TO WS-2275-TYPE-PRACT-OPT-FACTOR
           ELSE
              PERFORM 2275-LOOKUP-T-P-OPTION
                 THRU 2275-LOOKUP-T-P-OPTION-EXIT
           END-IF.



       2275-VAL-TYPE-PRAC-OPT-CD-EXIT.
           EXIT.


      $IF ISAM-SW DEFINED

       2275-LOOKUP-T-P-OPTION.

           INITIALIZE WS-7540-INPUT-KEY
           MOVE WS-2275-CROP-YEAR
             TO WS-7540-INPUT-CROP-YR
           MOVE WS-2275-RATE-STATE
             TO WS-7540-INPUT-STATE-CD
           MOVE WS-2275-RATE-COUNTY
             TO WS-7540-INPUT-COUNTY-CD
           MOVE WS-2275-CROP-CD
             TO WS-7540-INPUT-CROP-CD
           MOVE WS-2275-INSURANCE-PLAN-ID
             TO WS-7540-INPUT-INSURANCE-PLAN
           MOVE WS-2275-PRACTICE-CD
             TO WS-7540-INPUT-PRACTICE-CD
           MOVE WS-2275-TYPE-CD
             TO WS-7540-INPUT-TYPE-CD
           MOVE WS-2275-TYPE-PRACTICE-OPTION
             TO WS-7540-INPUT-OPTION-CD
           MOVE WS-2275-RATE-CLASS
             TO WS-7540-INPUT-RATE-CLASS
           PERFORM 7540-LOOKUP-ADMR
              THRU 7540-LOOKUP-ADMR-EXIT

           IF MATCH-FOUND-7540
              MOVE WS-7540-RATE-CLASS-OPT-FACTOR
                TO WS-2275-TYPE-PRACT-OPT-FACTOR
           ELSE
      **      OPTION CD NOT FOUND
              MOVE WS-LITERAL-IF TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO ERROR-TYPE-PRACTICE-OPT-CD
              MOVE 11009 TO WS-8000-ERROR-CODE
              MOVE 2275 TO WS-8000-PARAGRAPH-NO
              MOVE WS-LITERAL-TYPE-PRAC-OPT-CD
                TO WS-8000-FIELD-NAME1
              MOVE WS-2275-TYPE-PRACTICE-OPTION TO WS-8000-BAD-DATA1
              MOVE SPACES TO WS-8000-CORR-DATA1
              MOVE ERROR-CROP-CD TO WS-8000-FIELD-NAME2
              MOVE SPACES TO WS-8000-BAD-DATA2
              MOVE WS-2275-CROP-CD TO WS-8000-CORR-DATA2
              MOVE WS-LITERAL-CROP-YR TO WS-8000-FIELD-NAME3
              MOVE SPACES TO WS-8000-BAD-DATA3
              MOVE WS-2275-CROP-YEAR TO WS-8000-CORR-DATA3
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF.


       2275-LOOKUP-T-P-OPTION-EXIT.
           EXIT.

      $END



