      *****************************************************************
      *  File:  IF2285.CBL
      *  Author: C. S. Davis/Laura Dittamo
      *  Date:   09/13/95
      *  Purpose:
      *   Perform interfield edit for farm serial number.  When the
      *   policy is not under CAT coverage the farm serial number must
      *   contain valid values.
      *
      * - FARM SERIAL NUMBER - REQUIRED FOR PEANUTS (INS PLAN 10) AND
      *                       QUOTA TOBACCO (INS PLAN 70), {FARM SERIAL
      *                       NUMBERS IN DATABASE};
      *****************************************************************

       2285-VAL-FARM-SERIAL-NO.

      $IF DEBUG-SW DEFINED
           DISPLAY '2285-VALIDATE FARM SERIAL NUMBER'
           UPON CONSOLE
      $END

           IF ERROR-CVG-FL = WS-LITERAL-YES OR
              ERROR-FARM-SER-NO = WS-LITERAL-YES OR
              ERROR-CROP-CD = WS-LITERAL-YES OR
              ERROR-INSUR-PLAN-CD = WS-LITERAL-YES OR
              ERROR-RATE-STATE = WS-LITERAL-YES OR
              ERROR-RATE-COUNTY = WS-LITERAL-YES
              MOVE WS-LITERAL-YES TO ERROR-FARM-SER-NO
              GO TO 2285-VAL-FARM-SERIAL-NO-EXIT
           END-IF

      **** THIS ROUTINE SHOULD NOT HAVE BEEN CALLED.
           IF CAT-COVERAGE
              MOVE WS-LITERAL-YES TO ERROR-FARM-SER-NO
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 044 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-CVG-FL TO WS-8000-FIELD-NAME1
              MOVE WS-0009-COVERAGE-FLG TO WS-8000-BAD-DATA1
              MOVE 'NOT CAT COVERAGE' TO WS-8000-CORR-DATA1
              MOVE 2285 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              GO TO 2285-VAL-FARM-SERIAL-NO-EXIT
           END-IF

      *********************************
      * FARM SERIAL NUMBER VALIDATION *
      *********************************

           IF WS-2285-INS-PLAN-CD = WS-LITERAL-PEANUTS-PLAN OR
              WS-2285-INS-PLAN-CD = WS-LITERAL-QUOTA-TOBACCO
              CONTINUE
           ELSE
              GO TO 2285-VAL-FARM-SERIAL-NO-EXIT
           END-IF

      *****************************************************************
      * ONLY BUY-UP RECORDS FOR QUOTA TOBACCO (INS PLAN CD 70) OR     *
      * INS PLAN CD 10) REQUIRE THE FARM SERIAL NUMBER                *
      *****************************************************************
      $IF ISAM-SW DEFINED
           IF WS-2285-FARM-SERIAL-NUMBER IS NOT EQUAL SPACES
      $IF DEBUG-SW DEFINED
           DISPLAY '2285 ADM LOOKUP T/F FOR FSN NOT IMPLEMENTED !!!'
           UPON CONSOLE
      $END
              CONTINUE
           ELSE
              MOVE WS-LITERAL-IF TO WS-8000-ERROR-TYPE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 029 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-FARM-SER-NO
              MOVE WS-LITERAL-FARM-SER-NO TO WS-8000-FIELD-NAME1
              MOVE WS-2285-FARM-SERIAL-NUMBER TO WS-8000-BAD-DATA1
              MOVE SPACES TO WS-8000-CORR-DATA1
              MOVE 2285 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF.
      $END


       2285-VAL-FARM-SERIAL-NO-EXIT.
            EXIT.


