
      ***************************************************************
      * File:      IF2300.CBL
      * Author:    Mike Ray
      * Date:      12/12/95
      * Purpose:   Validates the input Liability against the liability
      *            calculation in M-13.
      ***************************************************************

       2300-VAL-LIABILITY.

      $IF DEBUG-SW DEFINED
           DISPLAY '2300-VALIDATING LIABILITY'
           UPON CONSOLE
      $END


      *****************************************************
      *    INITIALIZE LOCAL VARIABLES                     *
      *****************************************************
           INITIALIZE WS-2300-OUTPUT
           INITIALIZE WS-2300-WORK

      *****************************************************
      *    SET UP DISPLAY VARIABLES                       *
      *****************************************************
           MOVE WS-2300-TOTAL-GUARANTEE
             TO WS-2300-TOTAL-GUARANTEE-X

      $IF DEBUG-SW DEFINED
           DISPLAY 'INPUT LIABILITY  = ', WS-2300-INPUT-LIABILITY
           UPON CONSOLE
           display 'INPUT PERCENT EL = ', 
               WS-2300-percent-election
           upon console
      $END

      *****************************************************
      *    CHECK PRECONDITIONS                            *
      *****************************************************
           IF ERROR-LIAB = WS-LITERAL-YES
              OR ERROR-INSUR-PLAN-CD = WS-LITERAL-YES
              OR ERROR-CROP-CD = WS-LITERAL-YES
              OR ERROR-RO = WS-LITERAL-YES
              OR ERROR-CVG-FL = WS-LITERAL-YES

              MOVE WS-LITERAL-YES TO ERROR-LIAB
              GO TO 2300-VAL-LIABILITY-EXIT
           END-IF

      *************************************************************
      *    DETERMINE WHICH FORMULA TO USE AND CALCULATE LIABILITY *
      *************************************************************

      *    *** TREAT ALL APH PLANS AS PLAIN APH
           EVALUATE WS-2300-INS-PLAN
               WHEN WS-LITERAL-APH-AREA-PLAN
                  MOVE WS-LITERAL-APH TO WS-2300-INS-PLAN
               WHEN WS-LITERAL-APH-AREA-SPAN
                  MOVE WS-LITERAL-APH TO WS-2300-INS-PLAN
               WHEN OTHER
                  CONTINUE
           END-EVALUATE

           EVALUATE WS-2300-INS-PLAN
               WHEN WS-LITERAL-APH
                  IF ERROR-PRICE-ELECTION = WS-LITERAL-YES OR
                     ERROR-INSURED-SHARE = WS-LITERAL-YES OR
                     ERROR-YLD-CONVER-FCTR = WS-LITERAL-YES OR
                     ERROR-TOTAL-GUARANTEE = WS-LITERAL-YES
                     MOVE WS-LITERAL-YES TO ERROR-LIAB
                     GO TO 2300-VAL-LIABILITY-EXIT
                  END-IF
                  INITIALIZE WS-4305-INPUT
                  MOVE WS-2300-PRICE-ELECTION
                    TO WS-4305-PRICE-ELECTION
                  MOVE WS-2300-INSURED-SHARE
                    TO WS-4305-INSURED-SHARE
                  MOVE WS-2300-PERCENT-ELECTION
                    TO WS-4305-PERCENT-ELECTION
                  MOVE WS-2300-TOTAL-GUARANTEE
                    TO WS-4305-TOTAL-GUARANTEE
                  MOVE WS-2300-PREMIUM-GUARANTEE
                    TO WS-4305-PREMIUM-GUARANTEE
                  move ws-2300-lpo-pp-fctr
                    to ws-4305-lpo-pp-fctr
                  PERFORM 4305-CALC-APH-LIABILITY
                     THRU 4305-CALC-APH-LIABILITY-EXIT
                  IF CALC-ERROR-4305
                     MOVE WS-LITERAL-YES TO ERROR-LIAB
                     GO TO 2300-VAL-LIABILITY-EXIT
                  END-IF
                  MOVE WS-4305-PREMIUM-LIABILITY
                    TO WS-2300-PREMIUM-LIABILITY
                  MOVE WS-4305-TOTAL-LIABILITY
                    TO WS-2300-TOTAL-LIABILITY
                  MOVE WS-4305-alt-PREMIUM-LIABILITY
                    TO WS-2300-alt-PREMIUM-LIABILITY
                  IF CAT-COVERAGE
                     INITIALIZE WS-4305-INPUT
                     MOVE WS-2300-CAT-100-PCT-PRICE
                       TO WS-4305-PRICE-ELECTION
                     MOVE WS-2300-INSURED-SHARE
                       TO WS-4305-INSURED-SHARE
                     MOVE WS-2300-PERCENT-ELECTION
                       TO WS-4305-PERCENT-ELECTION
                     MOVE WS-2300-CAT-65-100-GUARANTEE
                       TO WS-4305-TOTAL-GUARANTEE
                     MOVE WS-2300-CAT-65-100-GUARANTEE
                       TO WS-4305-PREMIUM-GUARANTEE
                     PERFORM 4305-CALC-APH-LIABILITY
                        THRU 4305-CALC-APH-LIABILITY-EXIT
                     IF CALC-ERROR-4305
                        MOVE WS-LITERAL-YES TO ERROR-LIAB
                        GO TO 2300-VAL-LIABILITY-EXIT
                     END-IF
                     MOVE WS-4305-PREMIUM-LIABILITY
                       TO WS-2300-CAT-65-100-LIABILITY
                  END-IF


               WHEN WS-LITERAL-PEANUTS-PLAN
                  IF ERROR-PRICE-ELECTION = WS-LITERAL-YES OR
                     ERROR-INSURED-SHARE = WS-LITERAL-YES OR
                     ERROR-TOTAL-GUARANTEE = WS-LITERAL-YES
                     MOVE WS-LITERAL-YES TO ERROR-LIAB
                     GO TO 2300-VAL-LIABILITY-EXIT
                  END-IF
                  INITIALIZE WS-4310-INPUT
                  MOVE WS-2300-PRICE-ELECTION
                    TO WS-4310-PRICE-ELECTION
                  MOVE WS-2300-INSURED-SHARE
                    TO WS-4310-INSURED-SHARE
                  MOVE WS-2300-TOTAL-GUARANTEE
                    TO WS-4310-TOTAL-GUARANTEE
                  MOVE WS-2300-PREMIUM-GUARANTEE
                    TO WS-4310-PREMIUM-GUARANTEE
                  PERFORM 4310-CALC-QUOTA-PNUT-LIAB
                     THRU 4310-CALC-QUOTA-PNUT-LIAB-EXIT
                  IF CALC-ERROR-4310
                     MOVE WS-LITERAL-YES TO ERROR-LIAB
                     GO TO 2300-VAL-LIABILITY-EXIT
                  END-IF
                  MOVE WS-4310-PREMIUM-LIABILITY
                    TO WS-2300-PREMIUM-LIABILITY
                  MOVE WS-4310-TOTAL-LIABILITY
                    TO WS-2300-TOTAL-LIABILITY
                  IF CAT-COVERAGE
                     INITIALIZE WS-4310-INPUT
                     MOVE WS-2300-CAT-100-PCT-PRICE
                       TO WS-4310-PRICE-ELECTION
                     MOVE WS-2300-INSURED-SHARE
                       TO WS-4310-INSURED-SHARE
                     MOVE WS-2300-CAT-65-100-GUARANTEE
                       TO WS-4310-TOTAL-GUARANTEE
                     MOVE WS-2300-CAT-65-100-GUARANTEE
                       TO WS-4310-PREMIUM-GUARANTEE
                     PERFORM 4310-CALC-QUOTA-PNUT-LIAB
                        THRU 4310-CALC-QUOTA-PNUT-LIAB-EXIT
                     IF CALC-ERROR-4310
                        MOVE WS-LITERAL-YES TO ERROR-LIAB
                        GO TO 2300-VAL-LIABILITY-EXIT
                     END-IF
                     MOVE WS-4310-PREMIUM-LIABILITY
                       TO WS-2300-CAT-65-100-LIABILITY
                  END-IF


               WHEN WS-LITERAL-FLORIDA-FRUIT
                  IF ERROR-INSURED-SHARE = WS-LITERAL-YES OR
                     ERROR-TOTAL-GUARANTEE = WS-LITERAL-YES
                     MOVE WS-LITERAL-YES TO ERROR-LIAB
                     GO TO 2300-VAL-LIABILITY-EXIT
                  END-IF
                  INITIALIZE WS-4350-INPUT
                  MOVE WS-2300-INSURED-SHARE
                    TO WS-4350-INSURED-SHARE
                  MOVE WS-2300-TOTAL-GUARANTEE
                    TO WS-4350-TOTAL-GUARANTEE
                  MOVE WS-2300-PREMIUM-GUARANTEE
                    TO WS-4350-PREMIUM-GUARANTEE
                  PERFORM 4350-CALC-FL-FRUIT-LIAB
                     THRU 4350-CALC-FL-FRUIT-LIAB-EXIT
                  IF CALC-ERROR-4350
                     MOVE WS-LITERAL-YES TO ERROR-LIAB
                     GO TO 2300-VAL-LIABILITY-EXIT
                  END-IF
                  MOVE WS-4350-PREMIUM-LIABILITY
                    TO WS-2300-PREMIUM-LIABILITY
                  MOVE WS-4350-TOTAL-LIABILITY
                    TO WS-2300-TOTAL-LIABILITY
                  IF CAT-COVERAGE
                     INITIALIZE WS-4350-INPUT
                     MOVE WS-2300-INSURED-SHARE
                       TO WS-4350-INSURED-SHARE
                     MOVE WS-2300-CAT-65-100-GUARANTEE
                       TO WS-4350-TOTAL-GUARANTEE
                     MOVE WS-2300-CAT-65-100-GUARANTEE
                       TO WS-4350-PREMIUM-GUARANTEE
                     PERFORM 4350-CALC-FL-FRUIT-LIAB
                        THRU 4350-CALC-FL-FRUIT-LIAB-EXIT
                     IF CALC-ERROR-4350
                        MOVE WS-LITERAL-YES TO ERROR-LIAB
                        GO TO 2300-VAL-LIABILITY-EXIT
                     END-IF
                     MOVE WS-4350-PREMIUM-LIABILITY
                       TO WS-2300-CAT-65-100-LIABILITY
                  END-IF

               WHEN WS-LITERAL-DOLLAR-AMT
                  IF WS-2300-CROP-CD = WS-LITERAL-CITRUS-TREES OR
                     WS-2300-CROP-CD = WS-LITERAL-MAC-TREES
                     IF ERROR-INSURED-SHARE = WS-LITERAL-YES OR
                        ERROR-TOTAL-GUARANTEE = WS-LITERAL-YES
                        MOVE WS-LITERAL-YES TO ERROR-LIAB
                        GO TO 2300-VAL-LIABILITY-EXIT
                     END-IF
                     INITIALIZE WS-4320-INPUT
                     MOVE WS-2300-INSURED-SHARE
                       TO WS-4320-INSURED-SHARE
                     MOVE WS-2300-TOTAL-GUARANTEE
                       TO WS-4320-TOTAL-GUARANTEE
                     MOVE WS-2300-PREMIUM-GUARANTEE
                       TO WS-4320-PREMIUM-GUARANTEE
                     PERFORM 4320-CALC-CITMAC-LIAB
                        THRU 4320-CALC-CITMAC-LIAB-EXIT
                     IF CALC-ERROR-4320
                        MOVE WS-LITERAL-YES TO ERROR-LIAB
                        GO TO 2300-VAL-LIABILITY-EXIT
                     END-IF
                     MOVE WS-4320-PREMIUM-LIABILITY
                       TO WS-2300-PREMIUM-LIABILITY
                     MOVE WS-4320-TOTAL-LIABILITY
                       TO WS-2300-TOTAL-LIABILITY
                     IF CAT-COVERAGE
                        INITIALIZE WS-4320-INPUT
                        MOVE WS-2300-INSURED-SHARE
                          TO WS-4320-INSURED-SHARE
                        MOVE WS-2300-CAT-65-100-GUARANTEE
                          TO WS-4320-TOTAL-GUARANTEE
                        MOVE WS-2300-CAT-65-100-GUARANTEE
                          TO WS-4320-PREMIUM-GUARANTEE
                        PERFORM 4320-CALC-CITMAC-LIAB
                           THRU 4320-CALC-CITMAC-LIAB-EXIT
                        IF CALC-ERROR-4320
                           MOVE WS-LITERAL-YES TO ERROR-LIAB
                           GO TO 2300-VAL-LIABILITY-EXIT
                        END-IF
                        MOVE WS-4320-PREMIUM-LIABILITY
                          TO WS-2300-CAT-65-100-LIABILITY
                     END-IF
                  ELSE
                     IF ERROR-INSURED-SHARE = WS-LITERAL-YES OR
                        ERROR-TOTAL-GUARANTEE = WS-LITERAL-YES
                        MOVE WS-LITERAL-YES TO ERROR-LIAB
                        GO TO 2300-VAL-LIABILITY-EXIT
                     END-IF
      *              *** NO VALIDATION FOR NURSERY LIABILITY
                     IF WS-2300-CROP-CD = WS-LITERAL-NURSERY
                        IF WS-2300-INPUT-LIABILITY > 0
                           MOVE WS-2300-INPUT-LIABILITY
                             TO WS-2300-PREMIUM-LIABILITY
                           MOVE WS-2300-INPUT-LIABILITY
                             TO WS-2300-TOTAL-LIABILITY
                           IF CAT-COVERAGE
                              MOVE WS-2300-INPUT-LIABILITY
                                TO WS-2300-CAT-65-100-LIABILITY
                           END-IF
                        END-IF
                     ELSE
                        INITIALIZE WS-4315-INPUT
                        MOVE WS-2300-INSURED-SHARE
                          TO WS-4315-INSURED-SHARE
                        MOVE WS-2300-TOTAL-GUARANTEE
                          TO WS-4315-TOTAL-GUARANTEE
                        MOVE WS-2300-PREMIUM-GUARANTEE
                          TO WS-4315-PREMIUM-GUARANTEE
                        PERFORM 4315-CALC-DOLLAR-LIAB
                           THRU 4315-CALC-DOLLAR-LIAB-EXIT
                        IF CALC-ERROR-4315
                           MOVE WS-LITERAL-YES TO ERROR-LIAB
                           GO TO 2300-VAL-LIABILITY-EXIT
                        END-IF
                        MOVE WS-4315-PREMIUM-LIABILITY
                          TO WS-2300-PREMIUM-LIABILITY
                        MOVE WS-4315-TOTAL-LIABILITY
                          TO WS-2300-TOTAL-LIABILITY
                        IF CAT-COVERAGE
                           INITIALIZE WS-4315-INPUT
                           MOVE WS-2300-INSURED-SHARE
                             TO WS-4315-INSURED-SHARE
                           MOVE WS-2300-CAT-65-100-GUARANTEE
                             TO WS-4315-TOTAL-GUARANTEE
                           MOVE WS-2300-CAT-65-100-GUARANTEE
                             TO WS-4315-PREMIUM-GUARANTEE
                           PERFORM 4315-CALC-DOLLAR-LIAB
                              THRU 4315-CALC-DOLLAR-LIAB-EXIT
                           IF CALC-ERROR-4315
                              MOVE WS-LITERAL-YES TO ERROR-LIAB
                              GO TO 2300-VAL-LIABILITY-EXIT
                           END-IF
                           MOVE WS-4315-PREMIUM-LIABILITY
                             TO WS-2300-CAT-65-100-LIABILITY
                        END-IF
                     END-IF
                  END-IF

               WHEN WS-LITERAL-YLD-BASED-DOL-AMT
                  IF ERROR-INSURED-SHARE = WS-LITERAL-YES OR
                     ERROR-TOTAL-GUARANTEE = WS-LITERAL-YES
                     MOVE WS-LITERAL-YES TO ERROR-LIAB
                     GO TO 2300-VAL-LIABILITY-EXIT
                  END-IF
                  INITIALIZE WS-4325-INPUT
                  MOVE WS-2300-INSURED-SHARE
                    TO WS-4325-INSURED-SHARE
                  MOVE WS-2300-TOTAL-GUARANTEE
                    TO WS-4325-TOTAL-GUARANTEE
                  MOVE WS-2300-PREMIUM-GUARANTEE
                    TO WS-4325-PREMIUM-GUARANTEE
                  move ws-2300-lpo-pp-fctr
                    to ws-4325-lpo-pp-fctr
                  PERFORM 4325-CALC-YLDDLR-LIAB
                     THRU 4325-CALC-YLDDLR-LIAB-EXIT
                  MOVE WS-4325-alt-PREMIUM-LIABILITY
                    TO WS-2300-alt-PREMIUM-LIABILITY
                  IF CALC-ERROR-4325
                     MOVE WS-LITERAL-YES TO ERROR-LIAB
                     GO TO 2300-VAL-LIABILITY-EXIT
                  END-IF
                  MOVE WS-4325-PREMIUM-LIABILITY
                    TO WS-2300-PREMIUM-LIABILITY
                  MOVE WS-4325-TOTAL-LIABILITY
                    TO WS-2300-TOTAL-LIABILITY
                  IF CAT-COVERAGE
                     INITIALIZE WS-4325-INPUT
                     MOVE WS-2300-INSURED-SHARE
                       TO WS-4325-INSURED-SHARE
                     MOVE WS-2300-CAT-65-100-GUARANTEE
                       TO WS-4325-TOTAL-GUARANTEE
                     MOVE WS-2300-CAT-65-100-GUARANTEE
                       TO WS-4325-PREMIUM-GUARANTEE
                     PERFORM 4325-CALC-YLDDLR-LIAB
                        THRU 4325-CALC-YLDDLR-LIAB-EXIT
                     IF CALC-ERROR-4325
                        MOVE WS-LITERAL-YES TO ERROR-LIAB
                        GO TO 2300-VAL-LIABILITY-EXIT
                     END-IF
                     MOVE WS-4325-PREMIUM-LIABILITY
                       TO WS-2300-CAT-65-100-LIABILITY
                  END-IF


               WHEN WS-LITERAL-QUOTA-TOBACCO
                  IF ERROR-INSURED-SHARE = WS-LITERAL-YES OR
                     ERROR-TOTAL-GUARANTEE = WS-LITERAL-YES
                     MOVE WS-LITERAL-YES TO ERROR-LIAB
                     GO TO 2300-VAL-LIABILITY-EXIT
                  END-IF
                  INITIALIZE WS-4340-INPUT
                  MOVE WS-2300-INSURED-SHARE
                    TO WS-4340-INSURED-SHARE
                  MOVE WS-2300-TOTAL-GUARANTEE
                    TO WS-4340-TOTAL-GUARANTEE
                  MOVE WS-2300-PREMIUM-GUARANTEE
                    TO WS-4340-PREMIUM-GUARANTEE
                  PERFORM 4340-CALC-QTOBACCO-LIAB
                     THRU 4340-CALC-QTOBACCO-LIAB-EXIT
                  IF CALC-ERROR-4340
                     MOVE WS-LITERAL-YES TO ERROR-LIAB
                     GO TO 2300-VAL-LIABILITY-EXIT
                  END-IF
                  MOVE WS-4340-PREMIUM-LIABILITY
                    TO WS-2300-PREMIUM-LIABILITY
                  MOVE WS-4340-TOTAL-LIABILITY
                    TO WS-2300-TOTAL-LIABILITY
                  IF CAT-COVERAGE
                     INITIALIZE WS-4340-INPUT
                     MOVE WS-2300-INSURED-SHARE
                       TO WS-4340-INSURED-SHARE
                     MOVE WS-2300-CAT-65-100-GUARANTEE
                       TO WS-4340-TOTAL-GUARANTEE
                     MOVE WS-2300-CAT-65-100-GUARANTEE
                       TO WS-4340-PREMIUM-GUARANTEE
                     PERFORM 4340-CALC-QTOBACCO-LIAB
                        THRU 4340-CALC-QTOBACCO-LIAB-EXIT
                     IF CALC-ERROR-4340
                        MOVE WS-LITERAL-YES TO ERROR-LIAB
                        GO TO 2300-VAL-LIABILITY-EXIT
                     END-IF
                     MOVE WS-4340-PREMIUM-LIABILITY
                       TO WS-2300-CAT-65-100-LIABILITY
                  END-IF

               WHEN WS-LITERAL-GUARANTEE-TOBACCO
                  IF ERROR-PRICE-ELECTION = WS-LITERAL-YES OR
                     ERROR-INSURED-SHARE = WS-LITERAL-YES OR
                     ERROR-TOTAL-GUARANTEE = WS-LITERAL-YES
                     MOVE WS-LITERAL-YES TO ERROR-LIAB
                     GO TO 2300-VAL-LIABILITY-EXIT
                  END-IF
                  INITIALIZE WS-4335-INPUT
                  MOVE WS-2300-PRICE-ELECTION
                    TO WS-4335-PRICE-ELECTION
                  MOVE WS-2300-INSURED-SHARE
                    TO WS-4335-INSURED-SHARE
                  MOVE WS-2300-TOTAL-GUARANTEE
                    TO WS-4335-TOTAL-GUARANTEE
                  MOVE WS-2300-PREMIUM-GUARANTEE
                    TO WS-4335-PREMIUM-GUARANTEE
                  PERFORM 4335-CALC-GTOBACCO-LIAB
                     THRU 4335-CALC-GTOBACCO-LIAB-EXIT
                  IF CALC-ERROR-4335
                     MOVE WS-LITERAL-YES TO ERROR-LIAB
                     GO TO 2300-VAL-LIABILITY-EXIT
                  END-IF
                  MOVE WS-4335-PREMIUM-LIABILITY
                    TO WS-2300-PREMIUM-LIABILITY
                  MOVE WS-4335-TOTAL-LIABILITY
                    TO WS-2300-TOTAL-LIABILITY
                  IF CAT-COVERAGE
                     INITIALIZE WS-4335-INPUT
                     MOVE WS-2300-PRICE-ELECTION
                       TO WS-4335-PRICE-ELECTION
                     MOVE WS-2300-INSURED-SHARE
                       TO WS-4335-INSURED-SHARE
                     MOVE WS-2300-CAT-65-100-GUARANTEE
                       TO WS-4335-TOTAL-GUARANTEE
                     MOVE WS-2300-CAT-65-100-GUARANTEE
                       TO WS-4335-PREMIUM-GUARANTEE
                     PERFORM 4335-CALC-GTOBACCO-LIAB
                        THRU 4335-CALC-GTOBACCO-LIAB-EXIT
                     IF CALC-ERROR-4335
                        MOVE WS-LITERAL-YES TO ERROR-LIAB
                        GO TO 2300-VAL-LIABILITY-EXIT
                     END-IF
                     MOVE WS-4335-PREMIUM-LIABILITY
                       TO WS-2300-CAT-65-100-LIABILITY
                  END-IF


               WHEN WS-LITERAL-GRP
                  IF ERROR-INSURED-SHARE = WS-LITERAL-YES OR
                     ERROR-TOTAL-GUARANTEE = WS-LITERAL-YES
                     MOVE WS-LITERAL-YES TO ERROR-LIAB
                     GO TO 2300-VAL-LIABILITY-EXIT
                  END-IF
                  INITIALIZE WS-4330-INPUT
                  MOVE WS-2300-INSURED-SHARE
                    TO WS-4330-INSURED-SHARE
                  MOVE WS-2300-TOTAL-GUARANTEE
                    TO WS-4330-TOTAL-GUARANTEE
                  MOVE WS-2300-PREMIUM-GUARANTEE
                    TO WS-4330-PREMIUM-GUARANTEE
                  PERFORM 4330-CALC-GRP-LIABILITY
                     THRU 4330-CALC-GRP-LIABILITY-EXIT
                  IF CALC-ERROR-4330
                     MOVE WS-LITERAL-YES TO ERROR-LIAB
                     GO TO 2300-VAL-LIABILITY-EXIT
                  END-IF
                  MOVE WS-4330-PREMIUM-LIABILITY
                    TO WS-2300-PREMIUM-LIABILITY
                  MOVE WS-4330-TOTAL-LIABILITY
                    TO WS-2300-TOTAL-LIABILITY
                  IF CAT-COVERAGE
                     INITIALIZE WS-4330-INPUT
                     MOVE WS-2300-INSURED-SHARE
                       TO WS-4330-INSURED-SHARE
                     MOVE WS-2300-CAT-65-100-GUARANTEE
                       TO WS-4330-TOTAL-GUARANTEE
                     MOVE WS-2300-CAT-65-100-GUARANTEE
                       TO WS-4330-PREMIUM-GUARANTEE
                     PERFORM 4330-CALC-GRP-LIABILITY
                        THRU 4330-CALC-GRP-LIABILITY-EXIT
                     IF CALC-ERROR-4330
                        MOVE WS-LITERAL-YES TO ERROR-LIAB
                        GO TO 2300-VAL-LIABILITY-EXIT
                     END-IF
                     MOVE WS-4330-PREMIUM-LIABILITY
                       TO WS-2300-CAT-65-100-LIABILITY
                  END-IF

               WHEN WS-LITERAL-ARC
                  IF ERROR-INSURED-SHARE = WS-LITERAL-YES OR
                     ERROR-TOTAL-GUARANTEE = WS-LITERAL-YES
                     MOVE WS-LITERAL-YES TO ERROR-LIAB
                     GO TO 2300-VAL-LIABILITY-EXIT
                  END-IF
                  INITIALIZE WS-4365-INPUT
                  MOVE WS-2300-INSURED-SHARE
                    TO WS-4365-INSURED-SHARE
                  MOVE WS-2300-TOTAL-GUARANTEE
                    TO WS-4365-TOTAL-GUARANTEE
                  PERFORM 4365-CALC-AVOCADO-LIAB
                     THRU 4365-CALC-AVOCADO-LIAB-EXIT
                  IF CALC-ERROR-4365
                     MOVE WS-LITERAL-YES TO ERROR-LIAB
                     GO TO 2300-VAL-LIABILITY-EXIT
                  END-IF
                  MOVE WS-4365-TOTAL-LIABILITY
                    TO WS-2300-TOTAL-LIABILITY
                  IF CAT-COVERAGE
                     INITIALIZE WS-4365-INPUT
                     MOVE WS-2300-INSURED-SHARE
                       TO WS-4365-INSURED-SHARE
                     MOVE WS-2300-CAT-65-100-GUARANTEE
                       TO WS-4365-TOTAL-GUARANTEE
                     PERFORM 4365-CALC-AVOCADO-LIAB
                        THRU 4365-CALC-AVOCADO-LIAB-EXIT
                     IF CALC-ERROR-4365
                        MOVE WS-LITERAL-YES TO ERROR-LIAB
                        GO TO 2300-VAL-LIABILITY-EXIT
                     END-IF
                     MOVE WS-4365-TOTAL-LIABILITY
                       TO WS-2300-CAT-65-100-LIABILITY
                  END-IF


               WHEN WS-LITERAL-CRC
                  IF ERROR-PRICE-ELECTION = WS-LITERAL-YES OR
                     ERROR-INSURED-SHARE = WS-LITERAL-YES OR
                     ERROR-TOTAL-GUARANTEE = WS-LITERAL-YES OR
                     ERROR-RATE-STATE = WS-LITERAL-YES OR
                     ERROR-RATE-COUNTY = WS-LITERAL-YES OR
                     ERROR-CROP-TYPE = WS-LITERAL-YES OR
                     ERROR-PRACTICE-CD = WS-LITERAL-YES
                     MOVE WS-LITERAL-YES TO ERROR-LIAB
                     GO TO 2300-VAL-LIABILITY-EXIT
                  END-IF

                  INITIALIZE WS-4345-INPUT
                  MOVE WS-2300-PRICE-ELECTION
                    TO WS-4345-SPRING-MKT-PRICE
                  MOVE WS-2300-INSURED-SHARE
                    TO WS-4345-INSURED-SHARE
                  MOVE WS-2300-TOTAL-GUARANTEE
                    TO WS-4345-TOTAL-GUARANTEE
                  MOVE WS-2300-PREMIUM-GUARANTEE
                    TO WS-4345-PREMIUM-GUARANTEE
                  PERFORM 4345-CALC-CRC-LIABILITY
                     THRU 4345-CALC-CRC-LIABILITY-EXIT
                  IF CALC-ERROR-4345
                     MOVE WS-LITERAL-YES TO ERROR-LIAB
                     GO TO 2300-VAL-LIABILITY-EXIT
                  END-IF
                  MOVE WS-4345-PREMIUM-LIABILITY
                    TO WS-2300-PREMIUM-LIABILITY
                  MOVE WS-4345-TOTAL-LIABILITY
                    TO WS-2300-TOTAL-LIABILITY

      *           *****************************************
      *           *       CALCULATE CRC APH LIABILITY     *
      *           *****************************************
                  PERFORM 2300-LOOKUP-APH-MKT-PRICE
                     THRU 2300-LOOKUP-APH-MKT-PRICE-EXIT
                  IF WS-2300-CRC-APH-MKT-PRICE = ZEROS
                     GO TO 2300-VAL-LIABILITY-EXIT
                  END-IF

                  INITIALIZE WS-4305-INPUT
                  MOVE WS-2300-CRC-APH-MKT-PRICE
                    TO WS-4305-PRICE-ELECTION
                  MOVE WS-2300-INSURED-SHARE
                    TO WS-4305-INSURED-SHARE
                  MOVE WS-2300-PERCENT-ELECTION
                    TO WS-4305-PERCENT-ELECTION
                  MOVE WS-2300-TOTAL-GUARANTEE
                    TO WS-4305-TOTAL-GUARANTEE
                  MOVE WS-2300-PREMIUM-GUARANTEE
                    TO WS-4305-PREMIUM-GUARANTEE
                  PERFORM 4305-CALC-APH-LIABILITY
                     THRU 4305-CALC-APH-LIABILITY-EXIT
                  IF CALC-ERROR-4305
                     MOVE WS-LITERAL-YES TO ERROR-LIAB
                     GO TO 2300-VAL-LIABILITY-EXIT
                  END-IF
                  MOVE WS-4305-PREMIUM-LIABILITY
                    TO WS-2300-CRC-APH-LIABILITY


               WHEN WS-LITERAL-IP
                  IF ERROR-DOLLAR-AMT-INSUR = WS-LITERAL-YES OR
                     ERROR-INSURED-SHARE = WS-LITERAL-YES OR
                     ERROR-REPORTED-ACRES = WS-LITERAL-YES or
                     ERROR-CVG-LVL-PCT = WS-LITERAL-YES
                     MOVE WS-LITERAL-YES TO ERROR-LIAB
                     GO TO 2300-VAL-LIABILITY-EXIT
                  END-IF
                  INITIALIZE WS-4355-INPUT
                  MOVE WS-2300-TOTAL-GUARANTEE
                    TO WS-4355-TOTAL-GUARANTEE
                  MOVE WS-2300-PREMIUM-GUARANTEE
                    TO WS-4355-PREMIUM-GUARANTEE
                  MOVE WS-2300-INSURED-SHARE TO WS-4355-INSURED-SHARE
                  PERFORM 4355-CALC-IP-LIABILITY
                     THRU 4355-CALC-IP-LIABILITY-EXIT
                  IF CALC-ERROR-4355
                     MOVE WS-LITERAL-YES TO ERROR-LIAB
                     GO TO 2300-VAL-LIABILITY-EXIT
                  END-IF
                  MOVE WS-4355-TOTAL-LIABILITY
                    TO WS-2300-TOTAL-LIABILITY
                  MOVE WS-4355-PREMIUM-LIABILITY
                    TO WS-2300-PREMIUM-LIABILITY

               WHEN WS-LITERAL-RA
                  IF ERROR-INSURED-SHARE = WS-LITERAL-YES OR
                     ERROR-TOTAL-GUARANTEE = WS-LITERAL-YES
                     MOVE WS-LITERAL-YES TO ERROR-LIAB
                     GO TO 2300-VAL-LIABILITY-EXIT
                  END-IF
                  INITIALIZE WS-4360-INPUT
                  MOVE WS-2300-TOTAL-GUARANTEE
                    TO WS-4360-TOTAL-GUARANTEE
                  MOVE WS-2300-PREMIUM-GUARANTEE
                    TO WS-4360-PREMIUM-GUARANTEE
                  MOVE WS-2300-INSURED-SHARE TO WS-4360-INSURED-SHARE
                  PERFORM 4360-CALC-RA-LIABILITY
                     THRU 4360-CALC-RA-LIABILITY-EXIT
                  IF CALC-ERROR-4360
                     MOVE WS-LITERAL-YES TO ERROR-LIAB
                     GO TO 2300-VAL-LIABILITY-EXIT
                  END-IF
                  MOVE WS-4360-TOTAL-LIABILITY
                    TO WS-2300-TOTAL-LIABILITY
                  MOVE WS-4360-PREMIUM-LIABILITY
                    TO WS-2300-PREMIUM-LIABILITY
      *           *****************************************
      *           *       CALCULATE RA APH LIABILITY      *
      *           *****************************************
                  PERFORM 2300-LOOKUP-APH-MKT-PRICE
                     THRU 2300-LOOKUP-APH-MKT-PRICE-EXIT
                  IF WS-2300-CRC-APH-MKT-PRICE = ZEROS
                     GO TO 2300-VAL-LIABILITY-EXIT
                  END-IF

                  INITIALIZE WS-4305-INPUT
                  MOVE WS-2300-CRC-APH-MKT-PRICE
                    TO WS-4305-PRICE-ELECTION
                  MOVE WS-2300-INSURED-SHARE
                    TO WS-4305-INSURED-SHARE
                  MOVE WS-2300-PERCENT-ELECTION
                    TO WS-4305-PERCENT-ELECTION
                  MOVE WS-2300-RA-APH-GUARANTEE
                    TO WS-4305-TOTAL-GUARANTEE
                  MOVE WS-2300-RA-APH-GUARANTEE
                    TO WS-4305-PREMIUM-GUARANTEE
                  PERFORM 4305-CALC-APH-LIABILITY
                     THRU 4305-CALC-APH-LIABILITY-EXIT
                  IF CALC-ERROR-4305
                     MOVE WS-LITERAL-YES TO ERROR-LIAB
                     GO TO 2300-VAL-LIABILITY-EXIT
                  END-IF
                  MOVE WS-4305-PREMIUM-LIABILITY
                    TO WS-2300-CRC-APH-LIABILITY

               WHEN OTHER
                  MOVE 2300 TO WS-8000-PARAGRAPH-NO
                  MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
                  MOVE 042 TO WS-8000-SHORT-ERROR
                  MOVE WS-LITERAL-INSURE-PLAN-CD TO WS-8000-FIELD-NAME1
                  MOVE WS-2300-INS-PLAN TO WS-8000-BAD-DATA1
                  MOVE WS-LITERAL-IF TO WS-8000-ERROR-TYPE
                  MOVE WS-LITERAL-YES TO ERROR-INSUR-PLAN-CD
                  PERFORM 8000-RECORD-TRAN-ERROR
                     THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-EVALUATE.

      *****************************************************
      *    CHECK INPUT LIABILITY AGAINST CALCULATION      *
      *****************************************************

           IF WS-2300-INPUT-LIABILITY <> WS-2300-TOTAL-LIABILITY
              IF (WS-2300-INPUT-LIABILITY <
                 (WS-2300-TOTAL-LIABILITY - 3)) OR
                 (WS-2300-INPUT-LIABILITY >
                 (WS-2300-TOTAL-LIABILITY + 3))
      *          *** LIABILITY IS OUT OF TOLERANCE
                 MOVE 11050 TO WS-8000-ERROR-CODE
                 MOVE WS-LITERAL-IF TO WS-8000-ERROR-TYPE
                 MOVE WS-LITERAL-YES TO ERROR-LIAB
                 MOVE WS-LITERAL-LIAB TO WS-8000-FIELD-NAME1
                 MOVE WS-2300-INPUT-LIABILITY TO WS-8000-BAD-DATA1
                 STRING WS-2300-TOTAL-LIABILITY
                   DELIMITED BY SIZE
                   ' GUAR = '
                   DELIMITED BY SIZE
                   WS-2300-TOTAL-GUARANTEE-X
                   DELIMITED BY SIZE
                   INTO WS-8000-CORR-DATA1
                 END-STRING
                 MOVE 2300 TO WS-8000-PARAGRAPH-NO
                 PERFORM 8000-RECORD-TRAN-ERROR
                    THRU 8000-RECORD-TRAN-ERROR-EXIT
              END-IF
           END-IF.

      $IF DEBUG-SW DEFINED
           DISPLAY 'PREMIUM LIABILITY = ', WS-2300-PREMIUM-LIABILITY
           UPON CONSOLE
           DISPLAY 'TOTAL LIABILITY   = ', WS-2300-TOTAL-LIABILITY
           UPON CONSOLE
           IF CAT-COVERAGE
              DISPLAY 'CAT 65/100 LIAB   = ',
              WS-2300-CAT-65-100-LIABILITY UPON CONSOLE
           END-IF.
      $END

       2300-VAL-LIABILITY-EXIT.
           EXIT.


       2300-LOOKUP-APH-MKT-PRICE.

      *****************************************************************
      *       LOOKUP PRICE ELECTION IN ADM4                           *
      *****************************************************************
           INITIALIZE WS-7520-INPUT-KEY
           MOVE WS-2300-CROP-CD TO WS-7520-INPUT-CROP-CD
      *    *** ALWAYS LOOKING FOR APH (NOT CRC OR RA) PRICE
           MOVE WS-LITERAL-APH TO WS-7520-INPUT-INSURANCE-PLAN
           MOVE WS-2300-RATE-STATE TO WS-7520-INPUT-STATE-CD
           MOVE WS-2300-RATE-COUNTY TO WS-7520-INPUT-COUNTY-CD
           MOVE WS-2300-TYPE-CD TO WS-7520-INPUT-TYPE-CD
           MOVE WS-2300-PRACTICE-CD TO WS-7520-INPUT-PRACTICE-CD
           MOVE WS-2300-CROP-YR TO WS-7520-INPUT-CROP-YR

      **************************************************
      *    DETERMINE WHICH INDEX VALUE TO USE          *
      **************************************************
           MOVE ZEROS TO WS-7520-INPUT-INDEX

      *    *** SET UP ERROR STRING IN CASE ADM4 NOT FOUND
           STRING 'ADM4 KEY = '
               DELIMITED BY SIZE
               WS-7520-INPUT-KEY
               DELIMITED BY SIZE
               INTO WS-8000-CORR-DATA1
           END-STRING
           PERFORM 7520-LOOKUP-ADM4
              THRU 7520-LOOKUP-ADM4-EXIT

           IF MATCH-FOUND-7520
      *       *** CLEAR THE ERROR SET ABOVE
              MOVE SPACES TO WS-8000-CORR-DATA1

              EVALUATE WS-7520-RECORD-TYPE-SFX
                  WHEN 1
                     MOVE WS-7520-ESTABLISHED-HIGH-PRICE
                       TO WS-2300-CRC-APH-MKT-PRICE

                  WHEN 2
                     IF WS-7520-MARKET-PRICE > ZERO
                        MOVE WS-7520-MARKET-PRICE
                          TO WS-2300-CRC-APH-MKT-PRICE
                     ELSE
                        MOVE WS-7520-ESTABLISHED-HIGH-PRICE
                          TO WS-2300-CRC-APH-MKT-PRICE
                     END-IF
                  WHEN OTHER
                     MOVE WS-LITERAL-YES TO ERROR-LIAB
                     MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
                     MOVE 009 TO WS-8000-SHORT-ERROR
                     MOVE WS-LITERAL-IF TO WS-8000-ERROR-TYPE
                     MOVE 'ADM4 SUFFIX'
                       TO WS-8000-FIELD-NAME1
                     MOVE WS-7520-RECORD-TYPE-SFX
                       TO WS-8000-BAD-DATA1
                     MOVE 'NO LOGIC FOR THIS SUFFIX'
                       TO WS-8000-CORR-DATA1
                     MOVE 2300 TO WS-8000-PARAGRAPH-NO
                     PERFORM 8000-RECORD-TRAN-ERROR
                        THRU 8000-RECORD-TRAN-ERROR-EXIT
              END-EVALUATE

           ELSE
              MOVE WS-LITERAL-IF  TO WS-8000-ERROR-TYPE
              MOVE 11009 TO WS-8000-ERROR-CODE
              MOVE WS-LITERAL-YES TO ERROR-LIAB
              MOVE WS-LITERAL-PRICE-ELECT TO WS-8000-FIELD-NAME1
              MOVE 'NOT FOUND' TO WS-8000-BAD-DATA1
      *       *** SEARCH KEY USED IS IN CORR-DATA1
              MOVE 2300 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF.

       2300-LOOKUP-APH-MKT-PRICE-EXIT.
           EXIT.
