      ****************************************************************
      * FILE:      IF2310.CBL                                        *
      * AUTHOR:    MIKE RAY                                          *
      * DATE:      05/01/97                                          *
      * PURPOSE:   INTERFIELD VALIDATION FOR IP COUNTY AVERAGE YIELD *
      *            MUST BE > ZERO IF INS PLAN = IP                   *
      ****************************************************************

       2310-VAL-IP-CNTY-AVG-YLD.

      $IF DEBUG-SW DEFINED
           DISPLAY '2310-VALIDATING IP COUNTY AVERAGE YIELD'
           UPON CONSOLE
      $END


      ****************************************************************
      *          INITIALIZE LOCAL WORKING STORAGE                    *
      ****************************************************************
           INITIALIZE WS-2310-WORK
           MOVE WS-2310-IP-COUNTY-AVG-YIELD
             TO WS-2310-IP-COUNTY-AVG-YIELD-X

      ****************************************************************
      *            CHECK THE PRE-CONDITIONS BEFORE THE EDIT          *
      ****************************************************************
           IF ERROR-INSUR-PLAN-CD = WS-LITERAL-YES OR
              ERROR-IP-COUNTY-AVG-YIELD = WS-LITERAL-YES
              MOVE WS-LITERAL-YES TO ERROR-IP-COUNTY-AVG-YIELD
              GO TO 2310-VAL-IP-CNTY-AVG-YLD-EXIT
           END-IF

      $IF DEBUG-SW DEFINED
           DISPLAY 'IP COUNTY AVERAGE YIELD = ',
           WS-2310-IP-COUNTY-AVG-YIELD-X
           UPON CONSOLE
      $END

      ****************************************************************
      *               EDIT FIELD                                     *
      ****************************************************************
           IF WS-2310-INS-PLAN-CD = WS-LITERAL-IP AND
              WS-2310-IP-COUNTY-AVG-YIELD = ZEROS
              MOVE WS-LITERAL-IF TO WS-8000-ERROR-TYPE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 004 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-IP-COUNTY-AVG-YIELD
              MOVE WS-LITERAL-IP-COUNTY-AVG-YLD
                TO WS-8000-FIELD-NAME1
              MOVE WS-2310-IP-COUNTY-AVG-YIELD-X
                TO WS-8000-BAD-DATA1
              MOVE ' > 0' TO WS-8000-CORR-DATA1
              MOVE 2310 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF.


       2310-VAL-IP-CNTY-AVG-YLD-EXIT.
           EXIT.
