      ****************************************************************
      * FILE:      IF2315.CBL                                        *
      * AUTHOR:    CHERYL D. WOOD                                    *
      * DATE:      10/6/95                                           *
      * PURPOSE:   INTERFIELD VALIDATION FOR QUOTA FIELD.            *
      *            IF THE CROP IS (QUOTA) BURLEY TOBACCO (CROP CODE  *
      *            0231, INSURANCE PLAN CODE 70), THE QUOTA FIELD    *
      *            IS REQUIRED. IF THE CROP IS PEANUTS AND THE QUOTA *
      *            FIELD IS POPULATED THEN THE PEANUT FLAG IS SET.   *
      *            IF THE INSURANCE PLAN IS FLORIDA FRUIT, THE QUOTA *
      *            FIELD WILL CONTAIN THE NUMBER OF TREES.           *
      ****************************************************************

       2315-VAL-QUOTA.

      $IF DEBUG-SW DEFINED
           DISPLAY '2315-VALIDATING QUOTA FIELD'
           UPON CONSOLE
      $END

      ****************************************************************
      *            CHECK THE PRE-CONDITIONS BEFORE THE EDIT          *
      ****************************************************************
           IF ERROR-INSUR-PLAN-CD = WS-LITERAL-YES OR
              ERROR-CROP-CD = WS-LITERAL-YES OR
              ERROR-QUOTA = WS-LITERAL-YES
              MOVE WS-LITERAL-YES TO ERROR-QUOTA
              GO TO 2315-VAL-QUOTA-EXIT
           END-IF

      ****************************************************************
      *                   END OF PRE-CONDITIONS                      *
      ****************************************************************

           EVALUATE WS-2315-CROP-CD

               WHEN WS-LITERAL-PEANUTS
                  IF WS-2315-QUOTA = ZEROS
                     MOVE 'N' TO WS-0009-PEANUT-FLAG
                  ELSE
                     MOVE 'Q' TO WS-0009-PEANUT-FLAG
                  END-IF

               WHEN WS-LITERAL-BURLEY-TOBACCO
xxx        if ws-0004-file-date < '19970818'
              go to 2315-VAL-QUOTA-EXIT
           end-if
                  IF WS-2315-INS-PLAN-CD = WS-LITERAL-QUOTA-TOBACCO
                     IF WS-2315-QUOTA = ZEROS
                        MOVE WS-LITERAL-IF TO WS-8000-ERROR-TYPE
                        MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
                        MOVE 004 TO WS-8000-SHORT-ERROR
                        MOVE WS-LITERAL-YES TO ERROR-QUOTA
                        MOVE WS-LITERAL-QUOTA
                          TO WS-8000-FIELD-NAME1
                        MOVE WS-2315-QUOTA
                          TO WS-8000-BAD-DATA1
                        MOVE ' > 0' TO WS-8000-CORR-DATA1
                        MOVE 2315 TO WS-8000-PARAGRAPH-NO
                        PERFORM 8000-RECORD-TRAN-ERROR
                           THRU 8000-RECORD-TRAN-ERROR-EXIT
                     END-IF
                  END-IF

               WHEN OTHER
xxx        if ws-0004-file-date < '19970818'
              go to 2315-VAL-QUOTA-EXIT
           end-if
                  IF WS-2315-INS-PLAN-CD = WS-LITERAL-FLORIDA-FRUIT
                     IF WS-2315-QUOTA = ZEROS
                        MOVE WS-LITERAL-IF TO WS-8000-ERROR-TYPE
                        MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
                        MOVE 004 TO WS-8000-SHORT-ERROR
                        MOVE WS-LITERAL-YES TO ERROR-QUOTA
                        MOVE WS-LITERAL-QUOTA
                          TO WS-8000-FIELD-NAME1
                        MOVE WS-2315-QUOTA
                          TO WS-8000-BAD-DATA1
                        MOVE ' > 0 TREES' TO WS-8000-CORR-DATA1
                        MOVE 2315 TO WS-8000-PARAGRAPH-NO
                        PERFORM 8000-RECORD-TRAN-ERROR
                           THRU 8000-RECORD-TRAN-ERROR-EXIT
                     END-IF
                  ELSE
                     IF WS-2315-QUOTA > ZEROS
                        MOVE WS-LITERAL-IF TO WS-8000-ERROR-TYPE
                        MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
                        MOVE 007 TO WS-8000-SHORT-ERROR
                        MOVE WS-LITERAL-YES TO ERROR-QUOTA
                        MOVE WS-LITERAL-QUOTA
                          TO WS-8000-FIELD-NAME1
                        MOVE WS-2315-QUOTA
                          TO WS-8000-BAD-DATA1
                        MOVE ' > 0 TREES' TO WS-8000-CORR-DATA1
                        MOVE 2315 TO WS-8000-PARAGRAPH-NO
                        PERFORM 8000-RECORD-TRAN-ERROR
                           THRU 8000-RECORD-TRAN-ERROR-EXIT
                     END-IF
                  END-IF
           END-EVALUATE.


       2315-VAL-QUOTA-EXIT.
           EXIT.
