      *****************************************************************
      * File:      IF2325.CBL                                         *
      * Author:    Stacy Bray                                         *
      * Date:      10/10/95                                           *
      * Purpose:   This routine validates the Seed Company Code.      *
      *            If the crop is hybrid sorghum seed (Crop Cd 50)    *
      *            or hybrid corn seed (62), the seed company code    *
      *            is required.                                       *
      *****************************************************************


       2325-VAL-CROP-SEED-CPNY.

      $IF DEBUG-SW DEFINED
           DISPLAY '2325-VALIDATE SEED COMPANY CODE WITH CROP'
           UPON CONSOLE
      $END

      ****************************************************************
      *            CHECK THE PRE-CONDITIONS BEFORE THE EDIT          *
      ****************************************************************

           IF ERROR-SEED-CPNY-CD = WS-LITERAL-YES OR
              ERROR-CROP-CD = WS-LITERAL-YES

              MOVE WS-LITERAL-YES TO ERROR-SEED-CPNY-CD
              GO TO 2325-VAL-CROP-SEED-CPNY-EXIT
           END-IF

      ****************************************************************
      *                   END OF PRE-CONDITIONS                      *
      ****************************************************************

           IF (WS-2325-CROP-CD = WS-LITERAL-HYBRID-SORGHUM-SEED)
              OR (WS-2325-CROP-CD = WS-LITERAL-HYBRID-CORN-SEED)
              CONTINUE
           ELSE
              IF WS-2325-SEED-CPNY-CD > ZEROS
                 MOVE WS-LITERAL-IF TO WS-8000-ERROR-TYPE
                 MOVE 11007 TO WS-8000-ERROR-CODE
                 MOVE WS-LITERAL-YES TO ERROR-SEED-CPNY-CD
                 MOVE WS-LITERAL-SEED-CPNY-CD TO WS-8000-FIELD-NAME1
                 MOVE WS-2325-SEED-CPNY-CD TO WS-8000-BAD-DATA1
                 MOVE 000 TO WS-8000-CORR-DATA1
                 MOVE WS-LITERAL-CROP-CD TO WS-8000-FIELD-NAME2
                 MOVE SPACES TO WS-8000-BAD-DATA2
                 MOVE WS-2325-CROP-CD TO WS-8000-CORR-DATA2
                 MOVE 2325 TO WS-8000-PARAGRAPH-NO
                 MOVE 'HYBRID_SEED_CO' TO WS-8000-TABLE-NAME
                 PERFORM 8000-RECORD-TRAN-ERROR
                    THRU 8000-RECORD-TRAN-ERROR-EXIT
              END-IF
              GO TO 2325-VAL-CROP-SEED-CPNY-EXIT
           END-IF


      $IF DATABASE-SW DEFINED
      **      SET UP DATA AND USE SQL PARAGRAPH
           INITIALIZE WS-6335-INPUT
           MOVE WS-2325-SEED-CPNY-CD TO WS-6335-SEED-CPNY-CD
           PERFORM 6335-LOOKUP-SEED-CPNY
              THRU 6335-LOOKUP-SEED-CPNY-EXIT

           IF NOT MATCH-FOUND-6335
              MOVE WS-LITERAL-IF TO WS-8000-ERROR-TYPE
              MOVE 11009 TO WS-8000-ERROR-CODE
              MOVE WS-LITERAL-YES TO ERROR-SEED-CPNY-CD
              MOVE WS-LITERAL-SEED-CPNY-CD TO WS-8000-FIELD-NAME1
              MOVE WS-2325-SEED-CPNY-CD TO WS-8000-BAD-DATA1
              MOVE SPACES TO WS-8000-CORR-DATA1
              MOVE WS-LITERAL-CROP-CD TO WS-8000-FIELD-NAME2
              MOVE SPACES TO WS-8000-BAD-DATA2
              MOVE WS-2325-CROP-CD TO WS-8000-CORR-DATA2
              MOVE 2325 TO WS-8000-PARAGRAPH-NO
              MOVE 'HYBRID_SEED_CO' TO WS-8000-TABLE-NAME
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END IF.
      $END

      $IF ISAM-SW DEFINED

      $IF DEBUG-SW DEFINED
           DISPLAY '2325-NO ISAM LOOKUP FOR SEED COMPANY!!!'
           UPON CONSOLE
      $END
              CONTINUE.
      $END

           2325-VAL-CROP-SEED-CPNY-EXIT.
               EXIT.

