      *****************************************************************
      *  File   : IF2343.CBL
      *  Author : Yo-I Tsui
      *  Date   : 12/21/95
      *  Purpose: VALIDATE THE PREMIUM RATE SURCHARGE WITH THE RATE
      *           STATE AND/OR CROP CODE
      *           IF THE PREMIUM RATE SURCHARGE IS G THE CROP CODE MUST
      *           BE GRAPES('053') AND THE RATE STATE MUST BE
      *           WASHINGTON, OREGON, OR IDAHO
      *           ELSE IF THE PREMIUM RATE SURCHARGE IS P, THE CROP
      *           CODE MUST BE PEPPERS('093')
      *           ELSE IF THE PREMIUM RATE SURCHARE IS Y THE CROP MUST
      *           BE IN CATEGORY B OR A SELECTED CROP FROM CATEGORY C.
      *****************************************************************

       2343-VAL-PREM-RT-SURCHG.

      $IF DEBUG-SW DEFINED
          DISPLAY '2343-VALIDATING PREMIUM RATE SURCHARGE'
          UPON CONSOLE
      $END

      **********************************************
      *            CHECK PRE-CONDITIONS            *
      **********************************************
           IF ERROR-PREM-RT-SURCHG = WS-LITERAL-YES OR
              ERROR-RATE-STATE = WS-LITERAL-YES OR
              ERROR-CROP-CD = WS-LITERAL-YES

              MOVE WS-LITERAL-YES TO ERROR-PREM-RT-SURCHG
              GO TO 2343-VAL-PREM-RT-SURCHG-EXIT
           END-IF

      **********************************************
      *           NORMAL PROCESSING                *
      **********************************************
           EVALUATE WS-2343-PREM-RT-SURCHG
               WHEN 'G'
                  IF WS-2343-CROP-CD = WS-LITERAL-GRAPES AND
                     (WS-2343-RATE-STATE = WS-LITERAL-WASHINGTON OR
                      WS-2343-RATE-STATE = WS-LITERAL-OREGON OR
                      WS-2343-RATE-STATE = WS-LITERAL-IDAHO)
                     GO TO 2343-VAL-PREM-RT-SURCHG-EXIT
                  ELSE
                     MOVE WS-LITERAL-IF TO WS-8000-ERROR-TYPE
                     MOVE 11008 TO WS-8000-ERROR-CODE
                     MOVE WS-LITERAL-YES TO ERROR-PREM-RT-SURCHG
                     MOVE WS-LITERAL-PREM-RATE-SURCHG
                       TO WS-8000-FIELD-NAME1
                     MOVE WS-2343-PREM-RT-SURCHG TO WS-8000-BAD-DATA1
                     MOVE 'CROP IS NOT NORTHWEST WINE GRAPES'
                       TO WS-8000-CORR-DATA1
                     MOVE WS-LITERAL-CROP-CD TO WS-8000-FIELD-NAME2
                     MOVE WS-2343-CROP-CD TO WS-8000-CORR-DATA2
                     MOVE WS-LITERAL-RATE-STATE TO WS-8000-FIELD-NAME3
                     MOVE WS-2343-RATE-STATE TO WS-8000-CORR-DATA3
                     MOVE 2343 TO WS-8000-PARAGRAPH-NO
                     PERFORM 8000-RECORD-TRAN-ERROR
                        THRU 8000-RECORD-TRAN-ERROR-EXIT
                  END-IF

               WHEN 'P'
                  IF WS-2343-CROP-CD <> WS-LITERAL-PEPPERS
                     MOVE WS-LITERAL-IF TO WS-8000-ERROR-TYPE
                     MOVE 11008 TO WS-8000-ERROR-CODE
                     MOVE WS-LITERAL-YES TO ERROR-PREM-RT-SURCHG
                     MOVE WS-LITERAL-PREM-RATE-SURCHG
                       TO WS-8000-FIELD-NAME1
                     MOVE WS-2343-PREM-RT-SURCHG TO WS-8000-BAD-DATA1
                     MOVE 'CROP IS NOT PEPPERS' TO WS-8000-CORR-DATA1
                     MOVE WS-LITERAL-CROP-CD TO WS-8000-FIELD-NAME2
                     MOVE WS-2343-CROP-CD TO WS-8000-CORR-DATA2
                     MOVE 2343 TO WS-8000-PARAGRAPH-NO
                     PERFORM 8000-RECORD-TRAN-ERROR
                        THRU 8000-RECORD-TRAN-ERROR-EXIT
                  END-IF

               WHEN 'Y'

                  IF CATEGORY-B-CROP-0009
                     OR
                     (CATEGORY-C-CROP-0009
                     AND WS-2343-CROP-CD <> WS-LITERAL-BLUEBERRIES
                     AND WS-2343-CROP-CD <> WS-LITERAL-APPLES
                     AND WS-2343-CROP-CD <> WS-LITERAL-PEACHES)
                     GO TO 2343-VAL-PREM-RT-SURCHG-EXIT
                  ELSE
                     MOVE WS-LITERAL-IF TO WS-8000-ERROR-TYPE
                     MOVE 11008 TO WS-8000-ERROR-CODE
                     MOVE WS-LITERAL-YES TO ERROR-PREM-RT-SURCHG
                     MOVE WS-LITERAL-PREM-RATE-SURCHG
                       TO WS-8000-FIELD-NAME1
                     MOVE WS-2343-PREM-RT-SURCHG TO WS-8000-BAD-DATA1
                     MOVE 'CROP -NOT CATEGORY B OR SPECIFIED C CROP'
                       TO WS-8000-CORR-DATA1
                     MOVE WS-LITERAL-CROP-CD TO WS-8000-FIELD-NAME2
                     MOVE WS-2343-CROP-CD TO WS-8000-CORR-DATA2
                     MOVE 2343 TO WS-8000-PARAGRAPH-NO
                     PERFORM 8000-RECORD-TRAN-ERROR
                        THRU 8000-RECORD-TRAN-ERROR-EXIT
                  END-IF

               WHEN SPACES
                  CONTINUE

               WHEN OTHER
                  MOVE WS-LITERAL-YES TO ERROR-PREM-RT-SURCHG
                  MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
                  MOVE 044 TO WS-8000-SHORT-ERROR
                  MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
                  MOVE 'WS-2343-PREM-RT-SURCHG' TO WS-8000-FIELD-NAME1
                  MOVE WS-2343-PREM-RT-SURCHG TO WS-8000-BAD-DATA1
                  MOVE 'NO LOGIC FOR THIS PREMIUM RATE SURCHARGE'
                    TO WS-8000-CORR-DATA1
                  MOVE 2343 TO WS-8000-PARAGRAPH-NO
                  PERFORM 8000-RECORD-TRAN-ERROR
                     THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-EVALUATE.


       2343-VAL-PREM-RT-SURCHG-EXIT.
           EXIT.
