      *****************************************************************
      *  File   : IF2345.CBL
      *  Author : Yo-I Tsui
      *  Date   : 11/09/95
      *  Purpose: VALIDATE ESCROW CHECK/DRAFT NUMBER.
      *           IF TOTAL IS BLANK THEN ESCROW CHECK OR DRAFT
      *           NUMBER MUST BE 0;
      *           IF TOTAL = 'D' OR 'E' THEN ESCROW CHECK
      *           OR DRAFT NUMBER MUST BE GREATER THAN 0;
      *           IF TOTAL = 'P' THEN P/CR MEMO STATE MUST BE
      *           A VALID FIPS STATE CODE AND P/CR MEMO POLICY MUST BE
      *           GREATER THAN 0
      *****************************************************************

       2345-VAL-ESCROW-FIELDS.

      $IF DEBUG-SW DEFINED
          DISPLAY '2345-VAL-ESCROW-CHECK-DRAFT-NUMBER-FIELDS'
          UPON CONSOLE
      $END

      **********************************************
      *            CHECK PRE-CONDITIONS            *
      **********************************************

           EVALUATE WS-2345-TOTAL-NUMBER
               WHEN 1
                 IF ERROR-1ST-TOT = WS-LITERAL-YES OR
                    ERROR-1ST-ESCROW-CHK = WS-LITERAL-YES
                    MOVE WS-LITERAL-YES TO ERROR-1ST-ESCROW-CHK
                    GO TO 2345-VAL-ESCROW-FIELDS-EXIT
                 END-IF

               WHEN 2
                 IF ERROR-2ND-TOT = WS-LITERAL-YES OR
                    ERROR-2ND-ESCROW-CHK = WS-LITERAL-YES
                    MOVE WS-LITERAL-YES TO ERROR-2ND-ESCROW-CHK
                    GO TO 2345-VAL-ESCROW-FIELDS-EXIT
                 END-IF

               WHEN 3
                 IF ERROR-3RD-TOT = WS-LITERAL-YES OR
                    ERROR-3RD-ESCROW-CHK = WS-LITERAL-YES
                    MOVE WS-LITERAL-YES TO ERROR-3RD-ESCROW-CHK
                    GO TO 2345-VAL-ESCROW-FIELDS-EXIT
                 END-IF

               WHEN 4
                 IF ERROR-4TH-TOT = WS-LITERAL-YES OR
                    ERROR-4TH-ESCROW-CHK = WS-LITERAL-YES
                    MOVE WS-LITERAL-YES TO ERROR-4TH-ESCROW-CHK
                    GO TO 2345-VAL-ESCROW-FIELDS-EXIT
                 END-IF

               WHEN OTHER
                  MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
                  MOVE 044 TO WS-8000-SHORT-ERROR
                  MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
                  MOVE 'WS-2345-TOTAL-NUMBER' TO WS-8000-FIELD-NAME1
                  MOVE WS-2345-TOTAL-NUMBER TO WS-8000-BAD-DATA1
                  MOVE 'ESCROW CHECK NUMBER SHOULD BE 1-4'
                    TO WS-8000-CORR-DATA1
                  MOVE 2345 TO WS-8000-PARAGRAPH-NO
                  PERFORM 8000-RECORD-TRAN-ERROR
                     THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-EVALUATE

      **********************************************
      *           NORMAL PROCESSING                *
      **********************************************

           EVALUATE WS-2345-TOTAL
               WHEN SPACES
                 IF WS-2345-ESCROW-CHK <> ZEROS
                    MOVE WS-LITERAL-IF  TO WS-8000-ERROR-TYPE
                    MOVE 20007 TO WS-8000-ERROR-CODE
                    EVALUATE WS-2345-TOTAL-NUMBER
                       WHEN 1
                         MOVE WS-LITERAL-YES TO ERROR-1ST-ESCROW-CHK
                         MOVE WS-LITERAL-1ST-ESCROW-CHK
                           TO WS-8000-FIELD-NAME1
                       WHEN 2
                         MOVE WS-LITERAL-YES TO ERROR-2ND-ESCROW-CHK
                         MOVE WS-LITERAL-2ND-ESCROW-CHK
                           TO WS-8000-FIELD-NAME1
                       WHEN 3
                         MOVE WS-LITERAL-YES TO ERROR-3RD-ESCROW-CHK
                         MOVE WS-LITERAL-3RD-ESCROW-CHK
                           TO WS-8000-FIELD-NAME1
                       WHEN 4
                         MOVE WS-LITERAL-YES TO ERROR-4TH-ESCROW-CHK
                         MOVE WS-LITERAL-4TH-ESCROW-CHK
                           TO WS-8000-FIELD-NAME1
                       WHEN OTHER
                          MOVE WS-TRAN-TYPE
                            TO WS-8000-ERROR-TRAN-TYPE
                          MOVE 044 TO WS-8000-SHORT-ERROR
                          MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
                          MOVE 'WS-2345-TOTAL-NUMBER'
                            TO WS-8000-FIELD-NAME1
                          MOVE WS-2345-TOTAL-NUMBER
                            TO WS-8000-BAD-DATA1
                          MOVE 'ESCROW CHECK NUMBER SHOULD BE 1-4'
                            TO WS-8000-CORR-DATA1
                          MOVE 2345 TO WS-8000-PARAGRAPH-NO
                          PERFORM 8000-RECORD-TRAN-ERROR
                             THRU 8000-RECORD-TRAN-ERROR-EXIT
                    END-EVALUATE
                    MOVE WS-2345-ESCROW-CHK TO WS-8000-BAD-DATA1
                    MOVE '0' TO WS-8000-CORR-DATA1
                    MOVE 2345 TO WS-8000-PARAGRAPH-NO
                    PERFORM 8000-RECORD-TRAN-ERROR
                       THRU 8000-RECORD-TRAN-ERROR-EXIT
                 END-IF

               WHEN 'D'
                 IF WS-2345-ESCROW-CHK = ZEROS
                    MOVE WS-LITERAL-IF  TO WS-8000-ERROR-TYPE
                    MOVE 20005 TO WS-8000-ERROR-CODE
                    EVALUATE WS-2345-TOTAL-NUMBER
                       WHEN 1
                         MOVE WS-LITERAL-YES TO ERROR-1ST-ESCROW-CHK
                         MOVE WS-LITERAL-1ST-ESCROW-CHK
                           TO WS-8000-FIELD-NAME1
                       WHEN 2
                         MOVE WS-LITERAL-YES TO ERROR-2ND-ESCROW-CHK
                         MOVE WS-LITERAL-2ND-ESCROW-CHK
                           TO WS-8000-FIELD-NAME1
                       WHEN 3
                         MOVE WS-LITERAL-YES TO ERROR-3RD-ESCROW-CHK
                         MOVE WS-LITERAL-3RD-ESCROW-CHK
                           TO WS-8000-FIELD-NAME1
                       WHEN 4
                         MOVE WS-LITERAL-YES TO ERROR-4TH-ESCROW-CHK
                         MOVE WS-LITERAL-4TH-ESCROW-CHK
                           TO WS-8000-FIELD-NAME1
                       WHEN OTHER
                          MOVE WS-TRAN-TYPE
                            TO WS-8000-ERROR-TRAN-TYPE
                          MOVE 044 TO WS-8000-SHORT-ERROR
                          MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
                          MOVE 'WS-2345-TOTAL-NUMBER'
                            TO WS-8000-FIELD-NAME1
                          MOVE WS-2345-TOTAL-NUMBER
                            TO WS-8000-BAD-DATA1
                          MOVE 'ESCROW CHECK NUMBER SHOULD BE 1-4'
                            TO WS-8000-CORR-DATA1
                          MOVE 2345 TO WS-8000-PARAGRAPH-NO
                          PERFORM 8000-RECORD-TRAN-ERROR
                             THRU 8000-RECORD-TRAN-ERROR-EXIT
                    END-EVALUATE
                    MOVE WS-2345-ESCROW-CHK TO WS-8000-BAD-DATA1
                    MOVE '> 0' TO WS-8000-CORR-DATA1
                    MOVE 2345 TO WS-8000-PARAGRAPH-NO
                    PERFORM 8000-RECORD-TRAN-ERROR
                       THRU 8000-RECORD-TRAN-ERROR-EXIT
                 END-IF

               WHEN 'E'
                 IF WS-2345-ESCROW-CHK = ZEROS
                    MOVE WS-LITERAL-IF  TO WS-8000-ERROR-TYPE
                    MOVE 20005 TO WS-8000-ERROR-CODE
                    EVALUATE WS-2345-TOTAL-NUMBER
                       WHEN 1
                         MOVE WS-LITERAL-YES TO ERROR-1ST-ESCROW-CHK
                         MOVE WS-LITERAL-1ST-ESCROW-CHK
                           TO WS-8000-FIELD-NAME1
                       WHEN 2
                         MOVE WS-LITERAL-YES TO ERROR-2ND-ESCROW-CHK
                         MOVE WS-LITERAL-2ND-ESCROW-CHK
                           TO WS-8000-FIELD-NAME1
                       WHEN 3
                         MOVE WS-LITERAL-YES TO ERROR-3RD-ESCROW-CHK
                         MOVE WS-LITERAL-3RD-ESCROW-CHK
                           TO WS-8000-FIELD-NAME1
                       WHEN 4
                         MOVE WS-LITERAL-YES TO ERROR-4TH-ESCROW-CHK
                         MOVE WS-LITERAL-4TH-ESCROW-CHK
                           TO WS-8000-FIELD-NAME1
                       WHEN OTHER
                          MOVE WS-TRAN-TYPE
                            TO WS-8000-ERROR-TRAN-TYPE
                          MOVE 044 TO WS-8000-SHORT-ERROR
                          MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
                          MOVE 'WS-2345-TOTAL-NUMBER'
                            TO WS-8000-FIELD-NAME1
                          MOVE WS-2345-TOTAL-NUMBER
                            TO WS-8000-BAD-DATA1
                          MOVE 'ESCROW CHECK NUMBER SHOULD BE 1-4'
                            TO WS-8000-CORR-DATA1
                          MOVE 2345 TO WS-8000-PARAGRAPH-NO
                          PERFORM 8000-RECORD-TRAN-ERROR
                             THRU 8000-RECORD-TRAN-ERROR-EXIT
                    END-EVALUATE
                    MOVE WS-2345-ESCROW-CHK TO WS-8000-BAD-DATA1
                    MOVE '> 0' TO WS-8000-CORR-DATA1
                    MOVE 2345 TO WS-8000-PARAGRAPH-NO
                    PERFORM 8000-RECORD-TRAN-ERROR
                       THRU 8000-RECORD-TRAN-ERROR-EXIT
                 END-IF

               WHEN 'P'
                 PERFORM 2345-LOOKUP-STATE
                    THRU 2345-LOOKUP-STATE-EXIT

                 IF WS-2345-P-CR-MEMO-POLICY = ZEROS
                    MOVE WS-LITERAL-IF TO WS-8000-ERROR-TYPE
                    MOVE 20005 TO WS-8000-ERROR-CODE
                    EVALUATE WS-2345-TOTAL-NUMBER
                       WHEN 1
                         MOVE WS-LITERAL-YES TO ERROR-1ST-ESCROW-CHK
                         MOVE '1ST P/CR MEMO POLICY'
                           TO WS-8000-FIELD-NAME1
                       WHEN 2
                         MOVE WS-LITERAL-YES TO ERROR-2ND-ESCROW-CHK
                         MOVE '2ND P/CR MEMO POLICY'
                           TO WS-8000-FIELD-NAME1
                       WHEN 3
                         MOVE WS-LITERAL-YES TO ERROR-3RD-ESCROW-CHK
                         MOVE '3RD P/CR MEMO POLICY'
                           TO WS-8000-FIELD-NAME1
                       WHEN 4
                         MOVE WS-LITERAL-YES TO ERROR-4TH-ESCROW-CHK
                         MOVE '4TH P/CR MEMO POLICY'
                           TO WS-8000-FIELD-NAME1
                       WHEN OTHER
                          MOVE WS-TRAN-TYPE
                            TO WS-8000-ERROR-TRAN-TYPE
                          MOVE 044 TO WS-8000-SHORT-ERROR
                          MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
                          MOVE 'WS-2345-TOTAL-NUMBER'
                            TO WS-8000-FIELD-NAME1
                          MOVE WS-2345-TOTAL-NUMBER
                            TO WS-8000-BAD-DATA1
                          MOVE 'ESCROW CHECK NUMBER SHOULD BE 1-4'
                            TO WS-8000-CORR-DATA1
                          MOVE 2345 TO WS-8000-PARAGRAPH-NO
                          PERFORM 8000-RECORD-TRAN-ERROR
                             THRU 8000-RECORD-TRAN-ERROR-EXIT
                    END-EVALUATE
                    MOVE WS-2345-P-CR-MEMO-POLICY
                      TO WS-8000-BAD-DATA1
                    MOVE '> 0' TO WS-8000-CORR-DATA1
                    MOVE 2345 TO WS-8000-PARAGRAPH-NO
                    PERFORM 8000-RECORD-TRAN-ERROR
                       THRU 8000-RECORD-TRAN-ERROR-EXIT
                 END-IF

               WHEN OTHER
      *     **    NO EDIT FOR ESCROW CHECK/DRAFT NUMBER
                  CONTINUE
           END-EVALUATE.


       2345-VAL-ESCROW-FIELDS-EXIT.
           EXIT.




      $IF ISAM-SW DEFINED
       2345-LOOKUP-STATE.
      *    ************************************************
      *    *    DATABASE NOT PRESENT - DO TABLE LOOKUP    *
      *    ************************************************
           INITIALIZE WS-7260-FOUND-FLG
           MOVE WS-2345-P-CR-MEMO-STATE
             TO WS-7260-I-FIPS-STATE
           PERFORM 7260-LOOKUP-FIPS-ST-TBL
              THRU 7260-LOOKUP-FIPS-ST-TBL-EXIT

           IF NOT MATCH-FOUND-7260
              MOVE WS-LITERAL-IF TO WS-8000-ERROR-TYPE
              MOVE 20009 TO WS-8000-ERROR-CODE
              EVALUATE WS-2345-TOTAL-NUMBER
                 WHEN 1
                   MOVE WS-LITERAL-YES TO ERROR-1ST-ESCROW-CHK
                   MOVE '1ST P/CR MEMO STATE'
                     TO WS-8000-FIELD-NAME1
                 WHEN 2
                   MOVE WS-LITERAL-YES TO ERROR-2ND-ESCROW-CHK
                   MOVE '2ND P/CR MEMO STATE'
                     TO WS-8000-FIELD-NAME1
                 WHEN 3
                   MOVE WS-LITERAL-YES TO ERROR-3RD-ESCROW-CHK
                   MOVE '3RD P/CR MEMO STATE'
                     TO WS-8000-FIELD-NAME1
                 WHEN 4
                   MOVE WS-LITERAL-YES TO ERROR-4TH-ESCROW-CHK
                   MOVE '4TH P/CR MEMO STATE'
                     TO WS-8000-FIELD-NAME1
                 WHEN OTHER
                    MOVE WS-TRAN-TYPE
                      TO WS-8000-ERROR-TRAN-TYPE
                    MOVE 044 TO WS-8000-SHORT-ERROR
                    MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
                    MOVE 'WS-2345-TOTAL-NUMBER'
                      TO WS-8000-FIELD-NAME1
                    MOVE WS-2345-TOTAL-NUMBER
                      TO WS-8000-BAD-DATA1
                    MOVE 'ESCROW CHECK NUMBER SHOULD BE 1-4'
                      TO WS-8000-CORR-DATA1
                    MOVE 2345 TO WS-8000-PARAGRAPH-NO
                    PERFORM 8000-RECORD-TRAN-ERROR
                       THRU 8000-RECORD-TRAN-ERROR-EXIT
              END-EVALUATE
              MOVE WS-2345-P-CR-MEMO-STATE TO WS-8000-BAD-DATA1
              MOVE 'STATE' TO WS-8000-TABLE-NAME
              MOVE 2345 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF.


       2345-LOOKUP-STATE-EXIT.
           EXIT.

      $END


