      *****************************************************************
      *  File   : IF2360.CBL
      *  Author : Yo-I Tsui
      *  Date   : 11/14/95
      *  Purpose: VALIDATE TOTAL FIELDS.
      *           IF INITIAL TOTAL IS BLANK THEN
      *           NEXT TOTAL MUST BE BLANK
      *           ELSE RECORD ERROR
      *****************************************************************

       2360-VAL-TOTAL-FIELDS.

      $IF DEBUG-SW DEFINED
          DISPLAY '2360-VALIDATING-TOTAL-FIELDS'
          UPON CONSOLE
      $END

      **********************************************
      *            CHECK PRE-CONDITIONS            *
      **********************************************
           EVALUATE WS-2360-TOTAL-NUMBER
      *     *** THIS EDIT IS NOT NEEDED FOR THE 1ST TOTAL
               WHEN 2
                 IF ERROR-1ST-TOT = WS-LITERAL-YES OR
                    ERROR-2ND-TOT = WS-LITERAL-YES
                    MOVE WS-LITERAL-YES TO ERROR-2ND-TOT
                    GO TO 2360-VAL-TOTAL-FIELDS-EXIT
                 END-IF

               WHEN 3
                 IF ERROR-2ND-TOT = WS-LITERAL-YES OR
                    ERROR-3RD-TOT = WS-LITERAL-YES
                    MOVE WS-LITERAL-YES TO ERROR-3RD-TOT
                    GO TO 2360-VAL-TOTAL-FIELDS-EXIT
                 END-IF

               WHEN 4
                 IF ERROR-3RD-TOT = WS-LITERAL-YES OR
                    ERROR-4TH-TOT = WS-LITERAL-YES
                    MOVE WS-LITERAL-YES TO ERROR-4TH-TOT
                    GO TO 2360-VAL-TOTAL-FIELDS-EXIT
                 END-IF

               WHEN OTHER
                  MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
                  MOVE 044 TO WS-8000-SHORT-ERROR
                  MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
                  MOVE 'T20 TOTAL FIELD'
                    TO WS-8000-FIELD-NAME1
                  MOVE WS-2360-TOTAL-NUMBER TO WS-8000-BAD-DATA1
                  MOVE '1-4'
                    TO WS-8000-CORR-DATA1
                  MOVE 2360 TO WS-8000-PARAGRAPH-NO
                  PERFORM 8000-RECORD-TRAN-ERROR
                     THRU 8000-RECORD-TRAN-ERROR-EXIT
                  GO TO 2360-VAL-TOTAL-FIELDS
           END-EVALUATE


      **********************************************
      *           NORMAL PROCESSING                *
      **********************************************
           IF WS-2360-INITIAL-TOTAL = SPACE
              IF WS-2360-NEXT-TOTAL <> SPACE
                 MOVE WS-LITERAL-IF  TO WS-8000-ERROR-TYPE
                 MOVE 20006 TO WS-8000-ERROR-CODE
                 EVALUATE WS-2360-TOTAL-NUMBER
                    WHEN 2
                      MOVE WS-LITERAL-YES TO ERROR-2ND-TOT
                      MOVE WS-LITERAL-2ND-TOT TO WS-8000-FIELD-NAME1
                    WHEN 3
                      MOVE WS-LITERAL-YES TO ERROR-3RD-TOT
                      MOVE WS-LITERAL-3RD-TOT TO WS-8000-FIELD-NAME1
                    WHEN 4
                      MOVE WS-LITERAL-YES TO ERROR-4TH-TOT
                      MOVE WS-LITERAL-4TH-TOT TO WS-8000-FIELD-NAME1
                    WHEN OTHER
                      MOVE 2360 TO WS-8020-PARAGRAPH-NO
                      MOVE 90004 TO WS-8020-INT-ERROR-NO
                      MOVE 'WS-2360-TOTAL-NUMBER'
                        TO WS-8020-FIELD-NAME
                      MOVE WS-2345-TOTAL-NUMBER TO WS-8020-BAD-DATA
                      MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
                      PERFORM 8020-RECORD-INT-ERROR
                         THRU 8020-RECORD-INT-ERROR-EXIT
                 END-EVALUATE
                 MOVE WS-2360-NEXT-TOTAL TO WS-8000-BAD-DATA1
                 MOVE 'Blank' TO WS-8000-CORR-DATA1
                 MOVE 2360 TO WS-8000-PARAGRAPH-NO
                 PERFORM 8000-RECORD-TRAN-ERROR
                    THRU 8000-RECORD-TRAN-ERROR-EXIT
              END-IF
           END-IF.


       2360-VAL-TOTAL-FIELDS-EXIT.
           EXIT.
