      ***********************************************************
      *  File   : IF2365.CBL
      *  Author : Yo-I Tsui
      *  Date   : 11/16/95
      *  Purpose: VALIDATE PAID DATE.
      *           IF PAYMENT TYPE = '00' AND PAID AMOUNT > 0
      *           THEN PAID DATE MUST BE GREATER THAN 0
      *           ELSE GENERATE AN ERROR
      ***********************************************************

       2365-VAL-PAID-DATE.

      $IF DEBUG-SW DEFINED
          DISPLAY '2365-VALIDATING PAID DATE'
          UPON CONSOLE
      $END

      **********************************************
      *            CHECK PRE-CONDITIONS            *
      **********************************************
           IF ERROR-PAID-DT = WS-LITERAL-YES OR
              ERROR-PAID-AMT = WS-LITERAL-YES OR
              ERROR-PMT-TYPE = WS-LITERAL-YES

              MOVE WS-LITERAL-YES TO ERROR-PAID-DT
              GO TO 2365-VAL-PAID-DATE-EXIT
           END-IF

      **********************************************
      *           NORMAL PROCESSING                *
      **********************************************
           IF WS-2365-PAYMENT-TYPE = ZEROS AND
              WS-2365-PAID-AMT > ZEROS
              IF WS-2365-PAID-DT > ZEROS
                 GO TO 2365-VAL-PAID-DATE-EXIT
              ELSE
                 MOVE WS-LITERAL-IF TO WS-8000-ERROR-TYPE
                 MOVE 12050 TO WS-8000-ERROR-CODE

                 MOVE WS-LITERAL-YES TO ERROR-PAID-DT
                 MOVE WS-LITERAL-PAID-DT TO WS-8000-FIELD-NAME1
                 MOVE WS-2365-PAID-DT TO WS-8000-BAD-DATA1
                 MOVE '> 0' TO WS-8000-CORR-DATA1

                 MOVE 2365 TO WS-8000-PARAGRAPH-NO
                 PERFORM 8000-RECORD-TRAN-ERROR
                    THRU 8000-RECORD-TRAN-ERROR-EXIT
              END-IF
           END-IF.


       2365-VAL-PAID-DATE-EXIT.
           EXIT.
