      *************************************************************
      * File:      IF2375.CBL
      * Author:    Laura Dittamo
      * Date:      7/22/96
      * Purpose:   Validation for Reported Acres.
      *            If the Insurance Plan is Florida Fruit Trees (40)
      *               or Quota Tobacco, or Quota Peanuts
      *               Reported Acres must equal zero
      *            Else
      *               Reported Acres must be > zero.
      *************************************************************

       2375-VAL-REPORTED-ACRES.

      $IF DEBUG-SW DEFINED
           DISPLAY '2375-VALIDATING REPORTED ACRES'
           UPON CONSOLE
      $END

      *    *******************************************
      *    *        Check Pre-Conditions             *
      *    *******************************************
           IF ERROR-INSUR-PLAN-CD = WS-LITERAL-YES
              OR ERROR-REPORTED-ACRES = WS-LITERAL-YES
              MOVE WS-LITERAL-YES TO ERROR-REPORTED-ACRES
              GO TO 2375-VAL-REPORTED-ACRES-EXIT
           END-IF

      *    *******************************************
      *    *   Populate Display Fields               *
      *    *******************************************
           INITIALIZE WS-2375-WORK
           MOVE WS-2375-REPORTED-ACRES TO WS-2375-REPORTED-ACRES-X

      *    ****************************************
      *    *      Normal Processing               *
      *    ****************************************
           IF WS-2375-INS-PLAN-CD = WS-LITERAL-FLORIDA-FRUIT
              IF WS-2375-REPORTED-ACRES > 0
                 MOVE WS-LITERAL-IF TO WS-8000-ERROR-TYPE
                 MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
                 MOVE 007 TO WS-8000-SHORT-ERROR
                 MOVE WS-LITERAL-YES TO ERROR-REPORTED-ACRES
                 MOVE WS-LITERAL-REPORTED-ACRE TO WS-8000-FIELD-NAME1
                 MOVE WS-2375-REPORTED-ACRES-X TO WS-8000-BAD-DATA1
                 MOVE '0.00' TO WS-8000-CORR-DATA1
                 MOVE 2375 TO WS-8000-PARAGRAPH-NO
                 PERFORM 8000-RECORD-TRAN-ERROR
                    THRU 8000-RECORD-TRAN-ERROR-EXIT
              END-IF
           ELSE
              IF WS-2375-REPORTED-ACRES = ZERO
                 MOVE WS-LITERAL-IF TO WS-8000-ERROR-TYPE
                 MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
                 MOVE 005 TO WS-8000-SHORT-ERROR
                 MOVE WS-LITERAL-YES TO ERROR-REPORTED-ACRES
                 MOVE WS-LITERAL-REPORTED-ACRE TO WS-8000-FIELD-NAME1
                 MOVE WS-2375-REPORTED-ACRES-X TO WS-8000-BAD-DATA1
                 MOVE '> 0.00' TO WS-8000-CORR-DATA1
                 MOVE 2375 TO WS-8000-PARAGRAPH-NO
                 PERFORM 8000-RECORD-TRAN-ERROR
                    THRU 8000-RECORD-TRAN-ERROR-EXIT
              END-IF
           END-IF.


       2375-VAL-REPORTED-ACRES-EXIT.
           EXIT.


