      *****************************************************************
      *  File   : IF2385.CBL
      *  Author : MIKE RAY
      *  Date   : 02/01/97
      *  Purpose: VALIDATE CRUSH DISTRICT.
      *           IF CALIFORNIA GRAPES, MUST BE 01-17
      *           OTHERWISE, MUST BE ZEROS OR SPACES.
      *****************************************************************

       2385-VAL-CRUSH-DISTRICT.

      $IF DEBUG-SW DEFINED
          DISPLAY '2385-VALIDATING CRUSH DISTRICT'
          UPON CONSOLE
      $END

      **********************************************
      *            CHECK PRE-CONDITIONS            *
      **********************************************
           IF ERROR-CRUSH-DISTRICT = WS-LITERAL-YES OR
              ERROR-RATE-STATE = WS-LITERAL-YES OR
              ERROR-CROP-CD = WS-LITERAL-YES
              MOVE WS-LITERAL-YES TO ERROR-CRUSH-DISTRICT
              GO TO 2385-VAL-CRUSH-DISTRICT-EXIT
           END-IF

      **********************************************
      *           NORMAL PROCESSING                *
      **********************************************
           IF WS-2385-RATE-STATE = WS-LITERAL-CALIFORNIA AND
              WS-2385-CROP-CD = WS-LITERAL-GRAPES
              IF WS-2385-CRUSH-DISTRICT-N < 1 OR
                 WS-2385-CRUSH-DISTRICT-N > 17
                 MOVE 11008 TO WS-8000-ERROR-CODE
                 MOVE WS-LITERAL-IF TO WS-8000-ERROR-TYPE
                 MOVE WS-LITERAL-YES TO ERROR-CRUSH-DISTRICT
                 MOVE WS-LITERAL-CRUSH-DISTRICT
                   TO WS-8000-FIELD-NAME1
                 MOVE WS-2385-CRUSH-DISTRICT
                   TO WS-8000-BAD-DATA1
                 MOVE '01-17' TO WS-8000-CORR-DATA1
                 MOVE 2385 TO WS-8000-PARAGRAPH-NO
                 PERFORM 8000-RECORD-TRAN-ERROR
                    THRU 8000-RECORD-TRAN-ERROR-EXIT
              END-IF
           ELSE
              IF WS-2385-CRUSH-DISTRICT <> '00' AND
                 WS-2385-CRUSH-DISTRICT <> SPACES
                 MOVE 11008 TO WS-8000-ERROR-CODE
                 MOVE WS-LITERAL-IF TO WS-8000-ERROR-TYPE
                 MOVE WS-LITERAL-YES TO ERROR-CRUSH-DISTRICT
                 MOVE WS-LITERAL-CRUSH-DISTRICT
                   TO WS-8000-FIELD-NAME1
                 MOVE WS-2385-CRUSH-DISTRICT
                   TO WS-8000-BAD-DATA1
                 MOVE 'SPACES, 00' TO WS-8000-CORR-DATA1
                 MOVE 2385 TO WS-8000-PARAGRAPH-NO
                 PERFORM 8000-RECORD-TRAN-ERROR
                    THRU 8000-RECORD-TRAN-ERROR-EXIT
              END-IF
           END-IF.


       2385-VAL-CRUSH-DISTRICT-EXIT.
           EXIT.

