      *************************************************************
      *  File   : IF2395.CBL
      *  Author : MIKE RAY
      *  Date   : 02/01/97
      *  Purpose: VALIDATE REVENUE COVERAGE LEVEL PERCENT
      *
      *************************************************************

       2395-VAL-REV-CVG-LVL.

      $IF DEBUG-SW DEFINED
          DISPLAY '2395-VALIDATING REVENUE COVERAGE LEVEL PCT'
          UPON CONSOLE
      $END

      **********************************************
      *            CHECK PRE-CONDITIONS            *
      **********************************************
           IF ERROR-UNIT-OPT-CD = WS-LITERAL-YES OR
              ERROR-REVENUE-CVG-LVL = WS-LITERAL-YES OR
              ERROR-PRICE-ELECTION = WS-LITERAL-YES OR
              ERROR-YLD-QUOTA = WS-LITERAL-YES OR
              ERROR-DOLLAR-AMT-INSUR = WS-LITERAL-YES
              MOVE WS-LITERAL-YES TO ERROR-REVENUE-CVG-LVL
              GO TO 2395-VAL-REV-CVG-LVL-EXIT
           END-IF

      **********************************************
      *     INITIALIZE LOCAL VARIABLES             *
      **********************************************
           INITIALIZE WS-2395-WORK
           INITIALIZE WS-2395-OUTPUT

      **********************************************
      *        SET UP DISPLAY FIELDS               *
      **********************************************
           MOVE WS-2395-REV-CVG-LEVEL-PCT
             TO WS-2395-REV-CVG-LEVEL-PCT-X
           MOVE WS-2395-DOLLAR-AMT-INS
             TO WS-2395-DOLLAR-AMT-INS-X
           MOVE WS-2395-PRICE-ELECTION
             TO WS-2395-PRICE-ELECTION-X
           MOVE WS-2395-YIELD
             TO WS-2395-YIELD-X


      $IF DEBUG-SW DEFINED
           DISPLAY 'INPUT REV COVERAGE LEVEL % = ',
           WS-2395-REV-CVG-LEVEL-PCT-X
           UPON CONSOLE
           DISPLAY 'INPUT UNIT OPTION CODE     = ',
           WS-2395-UNIT-OPT-CD
           UPON CONSOLE
      $END

      **********************************************
      *           NORMAL PROCESSING                *
      **********************************************
           IF WS-2395-INS-PLAN-CD <> WS-LITERAL-RA
              IF WS-2395-REV-CVG-LEVEL-PCT <> ZERO
                 MOVE 11007 TO WS-8000-ERROR-CODE
                 MOVE WS-LITERAL-YES TO ERROR-REVENUE-CVG-LVL
                 MOVE WS-LITERAL-IF TO WS-8000-ERROR-TYPE
                 MOVE WS-LITERAL-REVENUE-CVG-LVL
                   TO WS-8000-FIELD-NAME1
                 MOVE WS-2395-REV-CVG-LEVEL-PCT-X
                   TO WS-8000-BAD-DATA1
                 MOVE '0.0000' TO WS-8000-CORR-DATA1
                 MOVE 2395 TO WS-8000-PARAGRAPH-NO
                 PERFORM 8000-RECORD-TRAN-ERROR
                    THRU 8000-RECORD-TRAN-ERROR-EXIT
              END-IF
              GO TO 2395-VAL-REV-CVG-LVL-EXIT
           END-IF

           EVALUATE WS-2395-UNIT-OPT-CD
               WHEN WS-LITERAL-BASIC-UNIT
                  IF WS-2395-REV-CVG-LEVEL-PCT = ZERO
                     MOVE 11005 TO WS-8000-ERROR-CODE
                     MOVE WS-LITERAL-YES TO ERROR-REVENUE-CVG-LVL
                     MOVE WS-LITERAL-IF TO WS-8000-ERROR-TYPE
                     MOVE WS-LITERAL-REVENUE-CVG-LVL
                       TO WS-8000-FIELD-NAME1
                     MOVE WS-2395-REV-CVG-LEVEL-PCT-X
                       TO WS-8000-BAD-DATA1
                     MOVE 2395 TO WS-8000-PARAGRAPH-NO
                     PERFORM 8000-RECORD-TRAN-ERROR
                        THRU 8000-RECORD-TRAN-ERROR-EXIT
                  END-IF
                  PERFORM 2395-CALC-CVG-LVL
                     THRU 2395-CALC-CVG-LVL-EXIT

               WHEN WS-LITERAL-OPT-UNIT
                  IF WS-2395-REV-CVG-LEVEL-PCT = ZERO
                     MOVE 11005 TO WS-8000-ERROR-CODE
                     MOVE WS-LITERAL-YES TO ERROR-REVENUE-CVG-LVL
                     MOVE WS-LITERAL-IF TO WS-8000-ERROR-TYPE
                     MOVE WS-LITERAL-REVENUE-CVG-LVL
                       TO WS-8000-FIELD-NAME1
                     MOVE WS-2395-REV-CVG-LEVEL-PCT-X
                       TO WS-8000-BAD-DATA1
                     MOVE 2395 TO WS-8000-PARAGRAPH-NO
                     PERFORM 8000-RECORD-TRAN-ERROR
                        THRU 8000-RECORD-TRAN-ERROR-EXIT
                  END-IF
                  PERFORM 2395-CALC-CVG-LVL
                     THRU 2395-CALC-CVG-LVL-EXIT

               WHEN WS-LITERAL-ENTERPRISE-UNIT
                  IF WS-2395-REV-CVG-LEVEL-PCT = ZERO
                     MOVE 11005 TO WS-8000-ERROR-CODE
                     MOVE WS-LITERAL-YES TO ERROR-REVENUE-CVG-LVL
                     MOVE WS-LITERAL-IF TO WS-8000-ERROR-TYPE
                     MOVE WS-LITERAL-REVENUE-CVG-LVL
                       TO WS-8000-FIELD-NAME1
                     MOVE WS-2395-REV-CVG-LEVEL-PCT-X
                       TO WS-8000-BAD-DATA1
                     MOVE 2395 TO WS-8000-PARAGRAPH-NO
                     PERFORM 8000-RECORD-TRAN-ERROR
                        THRU 8000-RECORD-TRAN-ERROR-EXIT
                  END-IF

               WHEN WS-LITERAL-WHOLE-FARM-UNIT
                  IF WS-2395-REV-CVG-LEVEL-PCT = ZERO
                     MOVE 11005 TO WS-8000-ERROR-CODE
                     MOVE WS-LITERAL-YES TO ERROR-REVENUE-CVG-LVL
                     MOVE WS-LITERAL-IF TO WS-8000-ERROR-TYPE
                     MOVE WS-LITERAL-REVENUE-CVG-LVL
                       TO WS-8000-FIELD-NAME1
                     MOVE WS-2395-REV-CVG-LEVEL-PCT-X
                       TO WS-8000-BAD-DATA1
                     MOVE 2395 TO WS-8000-PARAGRAPH-NO
                     PERFORM 8000-RECORD-TRAN-ERROR
                        THRU 8000-RECORD-TRAN-ERROR-EXIT
                  END-IF
           END-EVALUATE.



       2395-VAL-REV-CVG-LVL-EXIT.
           EXIT.


      *=============================================================*
      *   CALCULATE BASIC/OPTIONAL UNIT REVENUE CVG LEVEL %         *
      *=============================================================*

       2395-CALC-CVG-LVL.

      $IF DEBUG-SW DEFINED
           DISPLAY 'COMPUTING REVENUE COVERAGE LEVEL %'
           UPON CONSOLE
           DISPLAY 'DOLLAR AMT OF INSURANCE = $',
           WS-2395-DOLLAR-AMT-INS-X
           UPON CONSOLE
           DISPLAY 'PRICE ELECTION          = $',
           WS-2395-PRICE-ELECTION-X
           UPON CONSOLE
           DISPLAY 'YIELD                   = ',
           WS-2395-YIELD-X
           UPON CONSOLE
      $END

           COMPUTE WS-2395-CORRECT-CVG-LVL-PCT ROUNDED =
              WS-2395-DOLLAR-AMT-INS /
              (WS-2395-PRICE-ELECTION * WS-2395-YIELD)
              ON SIZE ERROR
                 MOVE 2395 TO WS-8020-PARAGRAPH-NO
                 MOVE 90017 TO WS-8020-INT-ERROR-NO
                 MOVE 'REV CVG LVL%' TO WS-8020-FIELD-NAME
                 MOVE WS-2395-CORRECT-CVG-LVL-PCT-X
                   TO WS-8020-BAD-DATA
                 MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
                 PERFORM 8020-RECORD-INT-ERROR
                    THRU 8020-RECORD-INT-ERROR-EXIT
           END-COMPUTE

           IF WS-2395-CORRECT-CVG-LVL-PCT < .65
               MOVE .65 TO WS-2395-CORRECT-CVG-LVL-PCT
           END-IF

           IF WS-2395-CORRECT-CVG-LVL-PCT > .75
               MOVE .75 TO WS-2395-CORRECT-CVG-LVL-PCT
           END-IF

           MOVE WS-2395-CORRECT-CVG-LVL-PCT
             TO WS-2395-CORRECT-CVG-LVL-PCT-X.

      $IF DEBUG-SW DEFINED
           DISPLAY 'CALCULATED CVG %        = ',
           WS-2395-CORRECT-CVG-LVL-PCT-X, ' +/- 0.005'
           UPON CONSOLE.
      $END

       2395-CALC-CVG-LVL-EXIT.
           EXIT.
