      ***************************************************************
      *  File   : IF2415.CBL
      *  Author : Yo-I Tsui
      *  Date   : 11/16/95
      *  Purpose: VALIDATE P/CR MEMO COMPANY
      *           SEARCH POLICY ISSUING COMPANY/SERVICING COUNTY
      *           WITH REINSURANCE YEAR, REPORTING ORGANIZATION, AND
      *           P/CR MEMO COMPANY
      ***************************************************************

       2415-VAL-P-CR-MEMO-CPNY.

      $IF DEBUG-SW DEFINED
           DISPLAY '2415-VALIDATING PAYMENT/CREDIT MEMO COMPANY'
           UPON CONSOLE
      $END

      **********************************************
      *            CHECK PRE-CONDITIONS            *
      **********************************************
           IF ERROR-P-CR-MEMO-CPNY = WS-LITERAL-YES OR
              ERROR-RO = WS-LITERAL-YES
              MOVE WS-LITERAL-YES TO ERROR-P-CR-MEMO-CPNY
              GO TO 2415-VAL-P-CR-MEMO-CPNY-EXIT
           END-IF

      **********************************************
      *           NORMAL PROCESSING                *
      **********************************************

      ***  IF WS-2415-P-CR-MEMO-COMP > ZEROS
      ***     PERFORM 2415-LOOKUP-P-CR-CPNY
      ***        THRU 2415-LOOKUP-P-CR-CPNY-EXIT
      ***  END-IF.
           .
       2415-VAL-P-CR-MEMO-CPNY-EXIT.
           EXIT.


      $IF DATABASE-SW DEFINED
       2415-LOOKUP-P-CR-CPNY.
      **********************************************
      *           DATABASE LOOKUP                  *
      **********************************************

           INITIALIZE WS-6255-INPUT

           MOVE WS-2415-REPORTING-ORG TO WS-6255-REINS-COMPANY

           PERFORM 6255-LOOKUP-COMPANY
              THRU 6255-LOOKUP-COMPANY-EXIT

           IF NOT MATCH-FOUND-6255
              MOVE 20009 TO WS-8000-ERROR-CODE
              MOVE WS-LITERAL-IF TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO ERROR-P-CR-MEMO-CPNY
              MOVE WS-LITERAL-P-CR-MEMO-CPNY
                TO WS-8000-FIELD-NAME1
              MOVE SPACES TO WS-8000-CORR-DATA1
              MOVE 'POL_ISSUING_CO' TO WS-8000-TABLE-NAME
              MOVE 2415 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF.


       2415-LOOKUP-P-CR-CPNY-EXIT.
           EXIT.
      $END


      $IF ISAM-SW DEFINED
        2415-LOOKUP-P-CR-CPNY.
      ************************************************
      *     DATABASE NOT PRESENT - DO TABLE LOOKUP   *
      ************************************************

           INITIALIZE WS-7255-FOUND-FLG
           INITIALIZE WS-7255-I-COMPANY-AREA

           MOVE WS-2415-REPORTING-ORG TO WS-7255-I-INS-PROVIDER
           PERFORM 7255-LOOKUP-COMPANY-TBL
              THRU 7255-LOOKUP-COMPANY-TBL-EXIT

           IF NOT MATCH-FOUND-7255
              MOVE 20009 TO WS-8000-ERROR-CODE
              MOVE WS-LITERAL-IF TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO ERROR-P-CR-MEMO-CPNY
              MOVE WS-LITERAL-P-CR-MEMO-CPNY TO WS-8000-FIELD-NAME1
              MOVE SPACES TO WS-8000-CORR-DATA1
              MOVE 'COMPANY' TO WS-8000-TABLE-NAME
              MOVE 2415 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF.


       2415-LOOKUP-P-CR-CPNY-EXIT.
           EXIT.

      $END



      *****************************************************************
