      **********************************************************
      * FILE     : IF2435.CBL
      * AUTHOR   : Yo-I Tsui
      * DATE     : 11/15/95
      * PURPOSE  : VALIDATE FIELDS WHICH MAY ONLY BE POPULATED
      *            WHEN THE RECORD IS CFSA.
      *
      *            COLLATERAL FLAG, BENEFICIARY FLAG, TRANSFER RIGHT
      *            TO INDEMNITY, NATIVE AMERICAN FLAG, INSURED
      *            SIGNATURE DATE, ADJUSTER SIGNATURE DATE, COMPUTE
      *            INTEREST CODE MUST ALL BE BLANK.
      **********************************************************

       2435-VAL-REINS-LOSS-INFO.

      $IF DEBUG-SW DEFINED
           DISPLAY '2435-VALIDATING REINSURED LOSS INFORMATION'
           UPON CONSOLE
      $END

      **********************************************************
      *                 CHECK PRE-CONDITION                    *
      **********************************************************

           IF ERROR-COLLATERAL-FL = WS-LITERAL-YES OR
              ERROR-BENEF-FL = WS-LITERAL-YES OR
              ERROR-TRAN-RGHT-INDEM = WS-LITERAL-YES OR
              ERROR-NATIVE-AMER-FL = WS-LITERAL-YES OR
              ERROR-INSURED-SIG-DT = WS-LITERAL-YES OR
              ERROR-ADJUSTER-SIG-DT = WS-LITERAL-YES OR
              ERROR-COMPUTE-INTEREST-CD = WS-LITERAL-YES OR
              ERROR-RO = WS-LITERAL-YES
              MOVE WS-LITERAL-YES TO ERROR-COLLATERAL-FL
              MOVE WS-LITERAL-YES TO ERROR-BENEF-FL
              MOVE WS-LITERAL-YES TO ERROR-TRAN-RGHT-INDEM
              MOVE WS-LITERAL-YES TO ERROR-NATIVE-AMER-FL
              MOVE WS-LITERAL-YES TO ERROR-INSURED-SIG-DT
              MOVE WS-LITERAL-YES TO ERROR-ADJUSTER-SIG-DT
              MOVE WS-LITERAL-YES TO ERROR-COMPUTE-INTEREST-CD
              GO TO 2435-VAL-REINS-LOSS-INFO-EXIT
           END-IF

      **********************************************************
      *                    NORMAL PROCESSING                   *
      **********************************************************

           IF WS-2435-COLL-FLAG > SPACE
              MOVE WS-LITERAL-IF TO WS-8000-ERROR-TYPE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 021 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-COLLATERAL-FL
              MOVE WS-LITERAL-COLLATERAL-FL TO WS-8000-FIELD-NAME1
              MOVE WS-2435-COLL-FLAG TO WS-8000-BAD-DATA1
              MOVE 'Blank' TO WS-8000-CORR-DATA1
              MOVE 2435 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF.

           IF WS-2435-BENE-FLAG > SPACE
              MOVE WS-LITERAL-IF TO WS-8000-ERROR-TYPE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 021 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-BENEF-FL
              MOVE WS-LITERAL-BENEF-FL TO WS-8000-FIELD-NAME1
              MOVE WS-2435-BENE-FLAG TO WS-8000-BAD-DATA1
              MOVE 'Blank' TO WS-8000-CORR-DATA1
              MOVE 2435 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF.

           IF WS-2435-TRAN-RIGHT-FLAG > SPACE
              MOVE WS-LITERAL-IF TO WS-8000-ERROR-TYPE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 021 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-TRAN-RGHT-INDEM
              MOVE WS-LITERAL-TRAN-RGHT-INDEM TO WS-8000-FIELD-NAME1
              MOVE WS-2435-TRAN-RIGHT-FLAG TO WS-8000-BAD-DATA1
              MOVE 'Blank' TO WS-8000-CORR-DATA1
              MOVE 2435 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF.

           IF WS-2435-NAT-AMER-FLAG > SPACE
              MOVE WS-LITERAL-IF TO WS-8000-ERROR-TYPE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 021 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-NATIVE-AMER-FL
              MOVE WS-LITERAL-NATIVE-AMER TO WS-8000-FIELD-NAME1
              MOVE WS-2435-NAT-AMER-FLAG TO WS-8000-BAD-DATA1
              MOVE 'Blank' TO WS-8000-CORR-DATA1
              MOVE 2435 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF.

           IF WS-2435-INS-SIGN-DATE > SPACES
              MOVE WS-LITERAL-IF TO WS-8000-ERROR-TYPE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 021 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-INSURED-SIG-DT
              MOVE WS-LITERAL-INSURE-SIG-DT TO WS-8000-FIELD-NAME1
              MOVE WS-2435-INS-SIGN-DATE TO WS-8000-BAD-DATA1
              MOVE 'Blank' TO WS-8000-CORR-DATA1
              MOVE 2435 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF.

           IF WS-2435-ADJ-SIGN-DATE > SPACES
              MOVE WS-LITERAL-IF TO WS-8000-ERROR-TYPE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 021 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-ADJUSTER-SIG-DT
              MOVE WS-LITERAL-ADJUSTER-SIG-DT TO WS-8000-FIELD-NAME1
              MOVE WS-2435-ADJ-SIGN-DATE TO WS-8000-BAD-DATA1
              MOVE 'Blank' TO WS-8000-CORR-DATA1
              MOVE 2435 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF.

           IF WS-2435-COMP-INT-CD > SPACES
              MOVE WS-LITERAL-IF TO WS-8000-ERROR-TYPE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 021 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-COMPUTE-INTEREST-CD
              MOVE WS-LITERAL-COMPUTE-INT-CD TO WS-8000-FIELD-NAME1
              MOVE WS-2435-COMP-INT-CD TO WS-8000-BAD-DATA1
              MOVE 'Blank' TO WS-8000-CORR-DATA1
              MOVE 2435 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF.


       2435-VAL-REINS-LOSS-INFO-EXIT.
           EXIT.

