      **********************************************************
      * FILE     : IF2445.CBL
      * AUTHOR   : Yo-I Tsui
      * DATE     : 11/16/95
      * PURPOSE  : VALIDATE HARVESTED PRODUCTION WITH PRODUCTION
      *            TO COUNT
      *
      *            HARVESTED PRODUCTION MUST NOT BE GREATER THAN
      *            PRODUCTION TO COUNT
      **********************************************************

       2445-VAL-HARVESTED-PROD.

      $IF DEBUG-SW DEFINED
           DISPLAY
           '2445-VALIDATING HARVESTED PROD AGAINST PROD TO COUNT'
           UPON CONSOLE
      $END

      **********************************************************
      *      INITIALIZE LOCAL & OUTPUT WORKING STORAGE         *
      **********************************************************
           INITIALIZE WS-2445-WORK

      *    *** SET UP DISPLAY VARIABLES FOR ERRORS
           MOVE WS-2445-HARVEST-PROD TO WS-2445-HARVEST-PROD-X
           MOVE WS-2445-PROD-TO-COUNT TO WS-2445-PROD-TO-COUNT-X

      **********************************************************
      *                 CHECK PRE-CONDITION                    *
      **********************************************************

           IF ERROR-HARVESTED-PRODUCTION = WS-LITERAL-YES OR
              ERROR-PRODUCTION-TO-COUNT = WS-LITERAL-YES
              MOVE WS-LITERAL-YES TO ERROR-HARVESTED-PRODUCTION
              GO TO 2445-VAL-HARVESTED-PROD-EXIT
           END-IF

      $IF DEBUG-SW DEFINED
           DISPLAY 'HARVESTED PRODUCTION = ', WS-2445-HARVEST-PROD-X
           UPON CONSOLE
           DISPLAY 'PRODUCTION TO COUNT  = ', WS-2445-PROD-TO-COUNT-X
           UPON CONSOLE
      $END

      **********************************************************
      *                    NORMAL PROCESSING                   *
      **********************************************************

           IF WS-2445-HARVEST-PROD > WS-2445-PROD-TO-COUNT
              MOVE WS-LITERAL-IF TO WS-8000-ERROR-TYPE
              MOVE 21052 TO WS-8000-ERROR-CODE
              MOVE WS-LITERAL-YES TO ERROR-HARVESTED-PRODUCTION
              MOVE WS-LITERAL-HARVEST-PROD TO WS-8000-FIELD-NAME1
              MOVE WS-2445-HARVEST-PROD-X TO WS-8000-BAD-DATA1
              STRING '<= '
               DELIMITED BY SIZE
               WS-2445-PROD-TO-COUNT-X
               DELIMITED BY SIZE
               INTO WS-8000-CORR-DATA1
              END-STRING
              MOVE 2445 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF.

       2445-VAL-HARVESTED-PROD-EXIT.
           EXIT.

