      **********************************************************
      * FILE     : IF2453.CBL
      * AUTHOR   : Yo-I Tsui
      * DATE     : 11/16/95
      * PURPOSE  : VALIDATE CAUSE OF LOSS MONTH
      *            IF INDEMNITY > 0 THEN MONTH MUST BE IN RANGE
      *            {01 - 12} ELSE MONTH MUST BE 0
      **********************************************************

       2453-VAL-LOSS-MONTH.

      $IF DEBUG-SW DEFINED
          DISPLAY '2453-VALIDATING LOSS MONTH'
          UPON CONSOLE
      $END

      **********************************************************
      *                 CHECK PRE-CONDITION                    *
      **********************************************************

           IF ERROR-CAUSE-OF-LOSS-MONTH = WS-LITERAL-YES OR
              ERROR-INDEM = WS-LITERAL-YES

              MOVE WS-LITERAL-YES TO ERROR-CAUSE-OF-LOSS-MONTH
              GO TO 2453-VAL-LOSS-MONTH-EXIT
           END-IF
l
      **********************************************************
      *                    NORMAL PROCESSING                   *
      **********************************************************

           IF WS-2453-INDEMNITY > ZEROS
              IF (WS-2453-CAUSE-OF-LOSS-MONTH >= 1 OR
                  WS-2453-CAUSE-OF-LOSS-MONTH <= 12)
                 GO TO 2453-VAL-LOSS-MONTH-EXIT
              ELSE
                 MOVE WS-LITERAL-IF TO WS-8000-ERROR-TYPE
                 MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
                 MOVE 010 TO WS-8000-SHORT-ERROR
                 MOVE WS-LITERAL-YES TO ERROR-CAUSE-OF-LOSS-MONTH
                 MOVE WS-LITERAL-CAUSE-OF-LOSS-MTH
                   TO WS-8000-FIELD-NAME1
                 MOVE WS-2453-CAUSE-OF-LOSS-MONTH TO WS-8000-BAD-DATA1
                 MOVE '1-12' TO WS-8000-CORR-DATA1
                 MOVE 2453 TO WS-8000-PARAGRAPH-NO
                 PERFORM 8000-RECORD-TRAN-ERROR
                    THRU 8000-RECORD-TRAN-ERROR-EXIT
              END-IF
           ELSE
              IF WS-2453-CAUSE-OF-LOSS-MONTH = 0
                 GO TO 2453-VAL-LOSS-MONTH-EXIT
              ELSE
                 MOVE WS-LITERAL-IF TO WS-8000-ERROR-TYPE
                 MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
                 MOVE 007 TO WS-8000-SHORT-ERROR
                 MOVE WS-LITERAL-YES TO ERROR-CAUSE-OF-LOSS-MONTH
                 MOVE WS-LITERAL-CAUSE-OF-LOSS-MTH
                   TO WS-8000-FIELD-NAME1
                 MOVE WS-2453-CAUSE-OF-LOSS-MONTH TO WS-8000-BAD-DATA1
                 MOVE '0' TO WS-8000-CORR-DATA1
                 MOVE 2453 TO WS-8000-PARAGRAPH-NO
                 PERFORM 8000-RECORD-TRAN-ERROR
                    THRU 8000-RECORD-TRAN-ERROR-EXIT
              END-IF
           END-IF.

       2453-VAL-LOSS-MONTH-EXIT.
           EXIT.

