      **************************************************************
      * FILE   :  IF2455.CBL
      * AUTHOR :  LINDA FUNN
      * DATE   :  11/15/95
      * PURPOSE:  Verify Primary Percent Fields.  If Primary
      *           Cause is Zero, then Primary Percent must be Zero.
      *           If Primary Cause Is Not Equal to Zero then the
      *           the Primary Percent range must be between
      *           (.50 - 1.00)
      *************************************************************

       2455-VAL-PRIMARY-PCT.

      $IF DEBUG-SW DEFINED
           DISPLAY '2455-VALIDATING PRIMARY PERCENT FIELDS'
           UPON CONSOLE
      $END

      *************************************************************
      *        INITIALIZE LOCAL & OUTPUT WORKING STORAGE          *
      *************************************************************
           INITIALIZE WS-2455-WORK

      *    *** SET UP DISPLAY VARIABLES FOR ERRORS
           MOVE WS-2455-PRIMARY-PCT TO WS-2455-PRIMARY-PCT-X

      *************************************************************
      *                  CHECK PRE-CONDITIONS                     *
      *************************************************************
           IF ERROR-PRIMARY-PCT = WS-LITERAL-YES OR
              ERROR-PRIMARY-CAUSE = WS-LITERAL-YES

              MOVE WS-LITERAL-YES TO ERROR-PRIMARY-PCT
              GO TO 2455-VAL-PRIMARY-PCT-EXIT
           END-IF

      *************************************************************
      *                  END OF PRE-CONDITIONS                    *
      *************************************************************

           IF WS-2455-PRIMARY-CAUSE = ZEROS
              IF WS-2455-PRIMARY-PCT = ZEROS
                 GO TO 2455-VAL-PRIMARY-PCT-EXIT
              ELSE
                 MOVE WS-LITERAL-IF TO WS-8000-ERROR-TYPE
                 MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
                 MOVE 007 TO WS-8000-SHORT-ERROR
                 MOVE WS-LITERAL-YES TO ERROR-PRIMARY-PCT
                 MOVE WS-LITERAL-PRIMARY-PCT TO WS-8000-FIELD-NAME1
                 MOVE WS-2455-PRIMARY-PCT-X TO WS-8000-BAD-DATA1
                 MOVE '0.00' TO WS-8000-CORR-DATA1
                 MOVE 2455 TO WS-8000-PARAGRAPH-NO
                 PERFORM 8000-RECORD-TRAN-ERROR
                    THRU 8000-RECORD-TRAN-ERROR-EXIT
              END-IF
           ELSE
              IF (WS-2455-PRIMARY-PCT >= 0.50) AND
                 (WS-2455-PRIMARY-PCT <= 1.00)
                  GO TO 2455-VAL-PRIMARY-PCT-EXIT
              ELSE
                 MOVE WS-LITERAL-IF TO WS-8000-ERROR-TYPE
                 MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
                 MOVE 016 TO WS-8000-SHORT-ERROR
                 MOVE WS-LITERAL-YES TO ERROR-PRIMARY-PCT
                 MOVE WS-LITERAL-PRIMARY-PCT TO WS-8000-FIELD-NAME1
                 MOVE WS-2455-PRIMARY-PCT-X TO WS-8000-BAD-DATA1
                 MOVE '.50 - 1.00' TO WS-8000-CORR-DATA1
                 MOVE 2455 TO WS-8000-PARAGRAPH-NO
                 PERFORM 8000-RECORD-TRAN-ERROR
                    THRU 8000-RECORD-TRAN-ERROR-EXIT
              END-IF
           END-IF.


       2455-VAL-PRIMARY-PCT-EXIT.
           EXIT.

