      ****************************************************************
      * FILE   :  IF2460.CBL
      * AUTHOR :  LINDA FUNN
      * DATE   :  11/15/95
      * PURPOSE:  Verify Secondary Month Field.
      *           If the Insurance Plan is GRP, Secondary Month must
      *           be zeros.  Otherwise if Primary Percent < 1.00
      *           Secondary Month Must Be Between 01 thru 12.
      ****************************************************************

       2460-VAL-SECONDARY-MONTH.

      $IF DEBUG-SW DEFINED
           DISPLAY
           '2460-VALIDATING SECONDARY MONTH AGAINST PRIMARY PCT'
           UPON CONSOLE
      $END

      *************************************************************
      *    INITIALIZE LOCAL & OUTPUT WORKING STORAGE              *
      *************************************************************
           INITIALIZE WS-2460-WORK

      *************************************************************
      *                  CHECK PRE-CONDITIONS                     *
      *************************************************************
           IF ERROR-INSUR-PLAN-CD = WS-LITERAL-YES OR
              ERROR-SECONDARY-MONTH = WS-LITERAL-YES OR
              ERROR-PRIMARY-PCT = WS-LITERAL-YES

              MOVE WS-LITERAL-YES TO ERROR-SECONDARY-MONTH
              GO TO 2460-VAL-SECONDARY-MONTH-EXIT
           END-IF.


      *    *** SET UP DISPLAY FIELDS FOR ERRORS
           MOVE WS-2460-PRIMARY-PCT TO WS-2460-PRIMARY-PCT-X

      *************************************************************
      *                 NORMAL PROCESSING                         *
      *************************************************************

           IF WS-2460-INS-PLAN-CD = WS-LITERAL-GRP
              IF WS-2460-SECONDARY-MONTH <> ZEROS
                 MOVE WS-LITERAL-IF TO WS-8000-ERROR-TYPE
                 MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
                 MOVE 053 TO WS-8000-SHORT-ERROR
                 MOVE WS-LITERAL-YES TO ERROR-SECONDARY-MONTH
                 MOVE WS-LITERAL-SECONDRY-MONTH TO WS-8000-FIELD-NAME1
                 MOVE WS-2460-SECONDARY-MONTH TO WS-8000-BAD-DATA1
                 MOVE '0 for Group Crops' TO WS-8000-CORR-DATA1
                 MOVE 2460 TO WS-8000-PARAGRAPH-NO
                 PERFORM 8000-RECORD-TRAN-ERROR
                    THRU 8000-RECORD-TRAN-ERROR-EXIT
                 GO TO 2460-VAL-SECONDARY-MONTH-EXIT
              END-IF
           END-IF


           IF WS-2460-PRIMARY-PCT < 1.00
              IF WS-2460-SECONDARY-MONTH >= 1 AND
                 WS-2460-SECONDARY-MONTH <= 12
                 GO TO 2460-VAL-SECONDARY-MONTH-EXIT
              ELSE
                 MOVE WS-LITERAL-IF TO WS-8000-ERROR-TYPE
                 MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
                 MOVE 010 TO WS-8000-SHORT-ERROR
                 MOVE WS-LITERAL-YES TO ERROR-SECONDARY-MONTH
                 MOVE WS-LITERAL-SECONDRY-MONTH TO WS-8000-FIELD-NAME1
                 MOVE WS-2460-SECONDARY-MONTH TO WS-8000-BAD-DATA1
                 MOVE '1-12' TO WS-8000-CORR-DATA1
                 MOVE 2460 TO WS-8000-PARAGRAPH-NO
                 PERFORM 8000-RECORD-TRAN-ERROR
                    THRU 8000-RECORD-TRAN-ERROR-EXIT
              END-IF
           ELSE
              IF WS-2460-SECONDARY-MONTH <> ZEROS
                 MOVE WS-LITERAL-IF TO WS-8000-ERROR-TYPE
                 MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
                 MOVE 007 TO WS-8000-SHORT-ERROR
                 MOVE WS-LITERAL-YES TO ERROR-SECONDARY-MONTH
                 MOVE WS-LITERAL-SECONDRY-MONTH TO WS-8000-FIELD-NAME1
                 MOVE WS-2460-SECONDARY-MONTH TO WS-8000-BAD-DATA1
                 MOVE '0 when Primary pct = 1.00' TO WS-8000-CORR-DATA1
                 MOVE 2460 TO WS-8000-PARAGRAPH-NO
                 PERFORM 8000-RECORD-TRAN-ERROR
                    THRU 8000-RECORD-TRAN-ERROR-EXIT
              END-IF
           END-IF.

       2460-VAL-SECONDARY-MONTH-EXIT.
           EXIT.

