      *****************************************************************
      * FILE   :  IF2465.CBL
      * AUTHOR :  LINDA FUNN
      * DATE   :  11/16/95
      * PURPOSE:  Verify Sugar Factor Fields.  If crop is Sugar Beets
      *           (Crop Code 039) and Harvested Production is > Zero,
      *           Then Sugar Factor Must Be Greater Than Zero.
      *****************************************************************

       2465-VAL-SUGAR-FACTOR.

      $IF DEBUG-SW DEFINED
          DISPLAY '2465-VALIDATING SUGAR FACTOR FOR SUGAR BEETS'
          UPON CONSOLE
      $END

      *************************************************************
      *        INITIALIZE LOCAL & OUTPUT WORKING STORAGE          *
      *************************************************************
           INITIALIZE WS-2465-WORK

      *    *** SET UP DISPLAY FIELDS FOR ERRORS
           MOVE WS-2465-SUGAR-FACTOR TO WS-2465-SUGAR-FACTOR-X
           MOVE WS-2465-HARVEST-PROD TO WS-2465-HARVEST-PROD-X

      *************************************************************
      *                  CHECK PRE-CONDITIONS                     *
      *************************************************************
           IF ERROR-SUGAR-FCTR = WS-LITERAL-YES OR
              ERROR-CROP-CD = WS-LITERAL-YES OR
              ERROR-HARVESTED-PRODUCTION = WS-LITERAL-YES
              MOVE WS-LITERAL-YES TO ERROR-SUGAR-FCTR
              GO TO 2465-VAL-SUGAR-FACTOR-EXIT
           END-IF

      *************************************************************
      *                   BEGIN VALIDATION                        *
      *************************************************************
           IF WS-2465-CROP-CD = WS-LITERAL-SUGAR-BEETS AND
              WS-2465-HARVEST-PROD > ZEROS
              IF WS-2465-SUGAR-FACTOR = ZERO
                 MOVE WS-LITERAL-IF TO WS-8000-ERROR-TYPE
                 MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
                 MOVE 054 TO WS-8000-SHORT-ERROR
                 MOVE WS-LITERAL-YES TO ERROR-SUGAR-FCTR
                 MOVE WS-LITERAL-SUGAR-FCTR TO WS-8000-FIELD-NAME1
                 MOVE WS-2465-SUGAR-FACTOR-X TO WS-8000-BAD-DATA1
                 MOVE '> 0 FOR SUGAR BEETS' TO WS-8000-CORR-DATA1
                 MOVE 2465 TO WS-8000-PARAGRAPH-NO
                 PERFORM 8000-RECORD-TRAN-ERROR
                    THRU 8000-RECORD-TRAN-ERROR-EXIT
              END-IF
           END-IF.


       2465-VAL-SUGAR-FACTOR-EXIT.
           EXIT.

