      ***************************************************************
      * FILE   :  IF2470.CBL
      * AUTHOR :  LINDA FUNN
      * DATE   :  11/17/95
      * PURPOSE:  Validate Dual Coverage Flag.
      *           Only CAT policies may have the Dual Coverage Flag
      *           equal 1.  Dual Coverage cannot be set to 1 for
      *           a Non-CAT policy.
      *          (DUAL COVERAGE WAS FORMERLY CALLED HIGH RISK
      ***************************************************************

       2470-VAL-NON-CAT-DUAL-CVG.

      $IF DEBUG-SW DEFINED
           DISPLAY '2470-VALIDATE NON CAT DUAL COVERAGE FLAG'
           UPON CONSOLE
      $END

      *************************************************************
      *                  CHECK PRE-CONDITIONS                     *
      *************************************************************
           IF ERROR-DUAL-CVG-FL = WS-LITERAL-YES OR
              ERROR-CVG-FL = WS-LITERAL-YES
              MOVE WS-LITERAL-YES TO ERROR-DUAL-CVG-FL
              GO TO 2470-VAL-NON-CAT-DUAL-CVG-EXIT
           END-IF.


      **** THIS ROUTINE SHOULD NOT HAVE BEEN CALLED.
           IF CAT-COVERAGE
              MOVE WS-LITERAL-YES TO ERROR-DUAL-CVG-FL
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 044 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-CVG-FL TO WS-8000-FIELD-NAME1
              MOVE WS-0009-COVERAGE-FLG TO WS-8000-BAD-DATA1
              MOVE 'NOT CAT COVERAGE' TO WS-8000-CORR-DATA1
              MOVE 2470 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              GO TO 2470-VAL-NON-CAT-DUAL-CVG-EXIT
           END-IF

      ****************************************************************
      *                MAIN VALIDATION LOGIC                         *
      ****************************************************************

           IF WS-2470-DUAL-COVERAGE-FL = 1
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 018 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-IF TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO ERROR-DUAL-CVG-FL
              MOVE WS-LITERAL-DUAL-CVG-FL TO WS-8000-FIELD-NAME1
              MOVE WS-0009-DUAL-COVERAGE-FLG TO WS-8000-BAD-DATA1
              MOVE '0' TO WS-8000-CORR-DATA1
              MOVE WS-LITERAL-CVG-FL TO WS-8000-FIELD-NAME2
              MOVE SPACES TO WS-8000-BAD-DATA2
              MOVE WS-0009-COVERAGE-FLG TO WS-8000-CORR-DATA2
              MOVE 2470 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF.


       2470-VAL-NON-CAT-DUAL-CVG-EXIT.
           EXIT.

