      **************************************************************
      * FILE   :  IF2475.CBL
      * AUTHOR :  LINDA FUNN
      * DATE   :  11/17/95
      * PURPOSE:  Validate Crop Year.
      *           If Crop is Raisins(Crop Code 037)
      *              then Crop Year = Reinsurance Year - 1
      *           Else If Crop State = Texas, Arizona, Or California
      *           or Florida
      *           (Rate State 48, 4, 6, 12) and Crop is Grapefruit
      *           (201), Lemons (202), Tangelos (203), Mandarins (205),
      *           or Oranges (227) or Avocados (0019 - 2/20/97 - GH)
      *           or Texas Citrus Trees (0240,0241,0242,0243,or 0244)
      *           or Citrus I-VII (0245,0246,0247,0248,0249,0250,0251)
      *              then Crop Year = Reinsurance Year + 1
      *           Else Crop Year = Reinsurance Year
      *************************************************************

       2475-VAL-CROP-YR.

      $IF DEBUG-SW DEFINED
           DISPLAY '2475-VALIDATING CROP YEAR'
           UPON CONSOLE
      $END

      *************************************************************
      *   CHECK PRE-CONDITIONS                                    *
      *************************************************************

           IF ERROR-CROP-YR = WS-LITERAL-YES OR
              ERROR-CROP-CD = WS-LITERAL-YES OR
              ERROR-REINSURE-YR = WS-LITERAL-YES OR
              ERROR-RATE-STATE = WS-LITERAL-YES
              MOVE WS-LITERAL-YES TO ERROR-CROP-YR
              GO TO 2475-VAL-CROP-YR-EXIT
           END-IF

      ************************************************
      *              NORMAL PROCESSING               *
      ************************************************

      *       **** RAISINS ****
           IF WS-2475-CROP-CD = WS-LITERAL-RAISINS
              SUBTRACT 1 FROM WS-2475-REINS-YR-YY
           END-IF

      *       **** TEXAS, ARIZONA, & CALIFORNIA CITRUS ****
      *       **** GRAPEFRUIT, LEMONS, TANGELOS ****
      *       **** MANDARINS OR ORANGES         ****
      *       **** AVOCADOS, TEXAS CITRUS TREES, FLORIDA CITRUS ('98)
           IF (WS-2475-STATE-CD = WS-LITERAL-TEXAS OR
               WS-2475-STATE-CD = WS-LITERAL-ARIZONA OR
               WS-2475-STATE-CD = WS-LITERAL-FLORIDA OR
               WS-2475-STATE-CD = WS-LITERAL-CALIFORNIA)
               EVALUATE WS-2475-CROP-CD
                   WHEN WS-LITERAL-GRAPEFRUIT
                   WHEN WS-LITERAL-LEMONS
                   WHEN WS-LITERAL-MINEOLA-TANGELOS
                   WHEN WS-LITERAL-NAVEL-ORANGES
                   WHEN WS-LITERAL-SWEET-ORANGES
                   WHEN WS-LITERAL-VALENCIA-ORANGES
                   WHEN WS-LITERAL-ORLANDO-TANGELOS
                   WHEN WS-LITERAL-KINNOW-MANDARINS
                   WHEN WS-LITERAL-EARLY-MID-ORANGES
                   WHEN WS-LITERAL-LATE-ORANGES
                   WHEN WS-LITERAL-ALL-OTH-GRAPEFRUIT
                   WHEN WS-LITERAL-RUBY-RED-GRAPEFRUIT
                   WHEN WS-LITERAL-RIO-RED-STAR-RUBY
                   WHEN WS-LITERAL-AVOCADOS
                   WHEN WS-LITERAL-CITRUS-TREES-I
                   WHEN WS-LITERAL-CITRUS-TREES-II
                   WHEN WS-LITERAL-CITRUS-TREES-III
                   WHEN WS-LITERAL-CITRUS-TREES-IV
                   WHEN WS-LITERAL-CITRUS-TREES-V
                   WHEN WS-LITERAL-CITRUS-I
                   WHEN WS-LITERAL-CITRUS-II
                   WHEN WS-LITERAL-CITRUS-III
                   WHEN WS-LITERAL-CITRUS-IV
                   WHEN WS-LITERAL-CITRUS-V
                   WHEN WS-LITERAL-CITRUS-VI
                   WHEN WS-LITERAL-CITRUS-VII
                      ADD 1 TO WS-2475-REINS-YR-YY
                   WHEN OTHER
                        CONTINUE
               END-EVALUATE
           END-IF

           IF WS-2475-CROP-YEAR = WS-2475-REINS-YEAR
              CONTINUE
           ELSE
              MOVE WS-LITERAL-IF TO WS-8000-ERROR-TYPE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 017 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-CROP-YR
              MOVE WS-LITERAL-CROP-YR TO WS-8000-FIELD-NAME1
              MOVE WS-2475-CROP-YEAR  TO WS-8000-BAD-DATA1
              MOVE WS-2475-REINS-YEAR  TO WS-8000-CORR-DATA1
              MOVE WS-LITERAL-CROP-CD TO WS-8000-FIELD-NAME2
              MOVE WS-2475-CROP-CD TO WS-8000-CORR-DATA2
              MOVE WS-LITERAL-RATE-STATE TO WS-8000-FIELD-NAME3
              MOVE WS-2475-STATE-CD TO WS-8000-CORR-DATA3
              MOVE 2475 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF.

       2475-VAL-CROP-YR-EXIT.
          EXIT.

