
      ***************************************************************
      * File:      IF2485.CBL
      * Author:    Mike Ray
      * Date:      12/12/95
      * Purpose:   Calculates Total Guarantee, Premium Guarantee,
      *            and Guarantee per Acre
      ***************************************************************

       2485-VAL-GUARANTEE.

      $IF DEBUG-SW DEFINED
           DISPLAY '2485-VALIDATING GUARANTEE/TOTAL GUARANTEE'
           UPON CONSOLE
      $END

      *****************************************************
      *    INITIALIZE LOCAL AND OUTPUT VARIABLES          *
      *****************************************************
           INITIALIZE WS-2485-LOCAL
           INITIALIZE WS-2485-OUTPUT

      *****************************************************
      *    CHECK PRE-CONDITIONS                           *
      *****************************************************
           IF ERROR-UNIT-OF-MEASURE = WS-LITERAL-YES OR
              ERROR-INSUR-PLAN-CD = WS-LITERAL-YES OR
              ERROR-CROP-CD = WS-LITERAL-YES OR
              ERROR-TOTAL-GUARANTEE = WS-LITERAL-YES OR
              ERROR-GUARANTEE-PER-ACRE = WS-LITERAL-YES or
              ERROR-LOSS-GUAR = WS-LITERAL-YES or
              ERROR-STAGE-GUARANTEE = WS-LITERAL-YES OR
              ERROR-GUAR-RED-FLG = WS-LITERAL-YES OR
              ERROR-GUAR-RED-PCT = WS-LITERAL-YES OR
              ERROR-CVG-LVL-PCT = WS-LITERAL-YES OR
              ERROR-QUOTA = WS-LITERAL-YES OR
              ERROR-YLD-QUOTA = WS-LITERAL-YES OR
              ERROR-REPORTED-ACRES = WS-LITERAL-YES OR
              ERROR-PRICE-ELECTION = WS-LITERAL-YES OR
              ERROR-DOLLAR-AMT-INSUR = WS-LITERAL-YES
              MOVE WS-LITERAL-YES TO ERROR-TOTAL-GUARANTEE
              MOVE WS-LITERAL-YES TO ERROR-GUARANTEE-PER-ACRE
              GO TO 2485-VAL-GUARANTEE-EXIT
           END-IF

           IF TYPE21
              IF ERROR-DETERM-ACRES = WS-LITERAL-YES
                 MOVE WS-LITERAL-YES TO ERROR-TOTAL-GUARANTEE
                 GO TO 2485-VAL-GUARANTEE-EXIT
              END-IF
           END-IF

      *************************************************************
      *    DETERMINE WHICH FORMULA TO USE AND CALCULATE GUARANTEE *
      *************************************************************

           EVALUATE WS-2485-INS-PLAN
               WHEN WS-LITERAL-APH
               WHEN WS-LITERAL-APH-AREA-PLAN
               WHEN WS-LITERAL-APH-AREA-SPAN
                  INITIALIZE WS-4205-INPUT
                  MOVE WS-2485-YIELD TO WS-4205-YIELD
                  MOVE WS-2485-ACRES TO WS-4205-ACRES
                  MOVE WS-2485-CVG-LVL-PERCENT
                    TO WS-4205-CVG-LVL-PERCENT
                  MOVE WS-2485-GUAR-REDUCTION-FCTR
                    TO WS-4205-GUAR-REDUCTION-FCTR
                  MOVE WS-2485-CROP-UNIT-OF-MEASURE
                    TO WS-4205-CROP-UNIT-OF-MEASURE
                  PERFORM 4205-CALC-APH-GUARANTEE
                     THRU 4205-CALC-APH-GUARANTEE-EXIT
                  IF CALC-ERROR-4205
                     MOVE WS-LITERAL-YES
                       TO ERROR-TOTAL-GUARANTEE
                     MOVE WS-LITERAL-YES
                       TO ERROR-GUARANTEE-PER-ACRE
                     GO TO 2485-VAL-GUARANTEE-EXIT
                  END-IF
                  MOVE WS-4205-TOTAL-GUARANTEE
                    TO WS-2485-TOTAL-GUARANTEE
                  MOVE WS-4205-PREMIUM-GUARANTEE
                    TO WS-2485-PREMIUM-GUARANTEE
                  MOVE WS-4205-GUARANTEE-PER-ACRE
                    TO WS-2485-GUARANTEE-PER-ACRE
                  IF CAT-COVERAGE and not TYPE21
                     INITIALIZE WS-4205-INPUT
                     MOVE WS-2485-YIELD TO WS-4205-YIELD
                     MOVE WS-2485-ACRES TO WS-4205-ACRES
                     MOVE 65
                       TO WS-4205-CVG-LVL-PERCENT
                     MOVE WS-2485-GUAR-REDUCTION-FCTR
                       TO WS-4205-GUAR-REDUCTION-FCTR
                     MOVE WS-2485-CROP-UNIT-OF-MEASURE
                       TO WS-4205-CROP-UNIT-OF-MEASURE
                     PERFORM 4205-CALC-APH-GUARANTEE
                        THRU 4205-CALC-APH-GUARANTEE-EXIT
                     IF CALC-ERROR-4205
                        MOVE WS-LITERAL-YES
                          TO ERROR-TOTAL-GUARANTEE
                        MOVE WS-LITERAL-YES
                          TO ERROR-GUARANTEE-PER-ACRE
                        GO TO 2485-VAL-GUARANTEE-EXIT
                     END-IF
                     MOVE WS-4205-PREMIUM-GUARANTEE
                       TO WS-2485-CAT-65-100-GUARANTEE
                  END-IF


               WHEN WS-LITERAL-FLORIDA-FRUIT
                  INITIALIZE WS-4250-INPUT
                  MOVE WS-2485-QUOTA
                    TO WS-4250-EST-NUMBER-OF-TREES
                  MOVE WS-2485-PRICE-ELECTION
                    TO WS-4250-PRICE-ELECTION
                  MOVE WS-2485-CVG-LVL-PERCENT
                    TO WS-4250-CVG-LVL-PERCENT
                  MOVE WS-2485-CROP-UNIT-OF-MEASURE
                    TO WS-4250-CROP-UNIT-OF-MEASURE
                  PERFORM 4250-CALC-FL-FRUIT-GUAR
                     THRU 4250-CALC-FL-FRUIT-GUAR-EXIT
                  IF CALC-ERROR-4250
                     MOVE WS-LITERAL-YES
                       TO ERROR-TOTAL-GUARANTEE
                     MOVE WS-LITERAL-YES
                       TO ERROR-GUARANTEE-PER-ACRE
                     GO TO 2485-VAL-GUARANTEE-EXIT
                  END-IF
                  MOVE WS-4250-TOTAL-GUARANTEE
                    TO WS-2485-TOTAL-GUARANTEE
                  MOVE WS-4250-PREMIUM-GUARANTEE
                    TO WS-2485-PREMIUM-GUARANTEE
                  IF CAT-COVERAGE and not TYPE21
                     INITIALIZE WS-4250-INPUT
                     MOVE WS-2485-QUOTA
                       TO WS-4250-EST-NUMBER-OF-TREES
                     MOVE WS-2485-CAT-100-PCT-PRICE
                       TO WS-4250-PRICE-ELECTION
                     MOVE 65
                       TO WS-4250-CVG-LVL-PERCENT
                     MOVE WS-2485-CROP-UNIT-OF-MEASURE
                       TO WS-4250-CROP-UNIT-OF-MEASURE
                     PERFORM 4250-CALC-FL-FRUIT-GUAR
                        THRU 4250-CALC-FL-FRUIT-GUAR-EXIT
                     IF CALC-ERROR-4250
                        MOVE WS-LITERAL-YES
                          TO ERROR-TOTAL-GUARANTEE
                        MOVE WS-LITERAL-YES
                          TO ERROR-GUARANTEE-PER-ACRE
                        GO TO 2485-VAL-GUARANTEE-EXIT
                     END-IF
                     MOVE WS-4250-PREMIUM-GUARANTEE
                       TO WS-2485-CAT-65-100-GUARANTEE
                  END-IF


               WHEN WS-LITERAL-DOLLAR-AMT
                  IF WS-2485-CROP-CD = WS-LITERAL-CITRUS-TREES-I OR
                     WS-2485-CROP-CD = WS-LITERAL-CITRUS-TREES-II OR
                     WS-2485-CROP-CD = WS-LITERAL-CITRUS-TREES-III OR
                     WS-2485-CROP-CD = WS-LITERAL-CITRUS-TREES-IV OR
                     WS-2485-CROP-CD = WS-LITERAL-CITRUS-TREES-V OR
                     WS-2485-CROP-CD = WS-LITERAL-MAC-TREES
                     INITIALIZE WS-4220-INPUT
                     MOVE WS-2485-DOLLAR-AMT-INS
                       TO WS-4220-DOLLAR-AMT-INS
                     MOVE WS-2485-ACRES TO WS-4220-ACRES
                     MOVE WS-2485-CROP-UNIT-OF-MEASURE
                       TO WS-4220-CROP-UNIT-OF-MEASURE
                     PERFORM 4220-CALC-CITMAC-GUAR
                        THRU 4220-CALC-CITMAC-GUAR-EXIT
                     IF CALC-ERROR-4220
                        MOVE WS-LITERAL-YES
                          TO ERROR-TOTAL-GUARANTEE
                        MOVE WS-LITERAL-YES
                          TO ERROR-GUARANTEE-PER-ACRE
                        GO TO 2485-VAL-GUARANTEE-EXIT
                     END-IF
                     MOVE WS-4220-GUARANTEE-PER-ACRE
                       TO WS-2485-GUARANTEE-PER-ACRE
                     MOVE WS-4220-TOTAL-GUARANTEE
                       TO WS-2485-TOTAL-GUARANTEE
                     MOVE WS-4220-PREMIUM-GUARANTEE
                       TO WS-2485-PREMIUM-GUARANTEE
                     IF CAT-COVERAGE and not TYPE21
                        INITIALIZE WS-4220-INPUT
                        MOVE WS-2485-CAT-65-PCT-DOLLAR-AMT
                          TO WS-4220-DOLLAR-AMT-INS
                        MOVE WS-2485-ACRES TO WS-4220-ACRES
                        MOVE WS-2485-CROP-UNIT-OF-MEASURE
                          TO WS-4220-CROP-UNIT-OF-MEASURE
                        PERFORM 4220-CALC-CITMAC-GUAR
                           THRU 4220-CALC-CITMAC-GUAR-EXIT
                        IF CALC-ERROR-4220
                           MOVE WS-LITERAL-YES
                             TO ERROR-TOTAL-GUARANTEE
                           MOVE WS-LITERAL-YES
                             TO ERROR-GUARANTEE-PER-ACRE
                           GO TO 2485-VAL-GUARANTEE-EXIT
                        END-IF
                        MOVE WS-4220-PREMIUM-GUARANTEE
                          TO WS-2485-CAT-65-100-GUARANTEE
                     END-IF
                  ELSE
      *              *** NO GUARANTEE PER ACRES/TOTAL GUARANTEE
      *              *** CALCULATION FOR NURSERY (056)
                     IF WS-2485-CROP-CD = WS-LITERAL-NURSERY
                       GO TO 2485-VAL-GUARANTEE-EXIT
                     END-IF
                     INITIALIZE WS-4215-INPUT
                     MOVE WS-2485-DOLLAR-AMT-INS
                       TO WS-4215-DOLLAR-AMT-INS
                     MOVE WS-2485-ACRES TO WS-4215-ACRES
                     MOVE WS-2485-GUAR-REDUCTION-FCTR
                       TO WS-4215-GUAR-REDUCTION-FCTR
                     MOVE WS-2485-CROP-UNIT-OF-MEASURE
                       TO WS-4215-CROP-UNIT-OF-MEASURE
                     PERFORM 4215-CALC-DOLLAR-GUAR
                        THRU 4215-CALC-DOLLAR-GUAR-EXIT
                     IF CALC-ERROR-4215
                        MOVE WS-LITERAL-YES
                          TO ERROR-TOTAL-GUARANTEE
                        MOVE WS-LITERAL-YES
                          TO ERROR-GUARANTEE-PER-ACRE
                        GO TO 2485-VAL-GUARANTEE-EXIT
                     END-IF
                     MOVE WS-4215-TOTAL-GUARANTEE
                       TO WS-2485-TOTAL-GUARANTEE
                     MOVE WS-4215-PREMIUM-GUARANTEE
                       TO WS-2485-PREMIUM-GUARANTEE
                     MOVE WS-4215-GUARANTEE-PER-ACRE
                       TO WS-2485-GUARANTEE-PER-ACRE
                     IF CAT-COVERAGE and not TYPE21
                        INITIALIZE WS-4215-INPUT
                        MOVE WS-2485-CAT-65-PCT-DOLLAR-AMT
                          TO WS-4215-DOLLAR-AMT-INS
                        MOVE WS-2485-ACRES TO WS-4215-ACRES
                        MOVE WS-2485-GUAR-REDUCTION-FCTR
                          TO WS-4215-GUAR-REDUCTION-FCTR
                        MOVE WS-2485-CROP-UNIT-OF-MEASURE
                          TO WS-4215-CROP-UNIT-OF-MEASURE
                        PERFORM 4215-CALC-DOLLAR-GUAR
                           THRU 4215-CALC-DOLLAR-GUAR-EXIT
                        IF CALC-ERROR-4215
                           MOVE WS-LITERAL-YES
                             TO ERROR-TOTAL-GUARANTEE
                           MOVE WS-LITERAL-YES
                             TO ERROR-GUARANTEE-PER-ACRE
                           GO TO 2485-VAL-GUARANTEE-EXIT
                        END-IF
                        MOVE WS-4215-PREMIUM-GUARANTEE
                          TO WS-2485-CAT-65-100-GUARANTEE
                     END-IF
                  END-IF

               WHEN WS-LITERAL-ARC
                  IF TYPE21
                     IF ERROR-DETERM-ACRES = WS-LITERAL-YES
                        MOVE WS-LITERAL-YES TO ERROR-TOTAL-GUARANTEE
                        GO TO 2485-VAL-GUARANTEE-EXIT
                     END-IF
                  END-IF
                  INITIALIZE WS-4265-INPUT
                  MOVE WS-2485-ACRES TO WS-4265-ACRES
                  MOVE WS-2485-CVG-LVL-PERCENT
                    TO WS-4265-CVG-LVL-PERCENT
                  MOVE WS-2485-DOLLAR-AMT-INS
                    TO WS-4265-DOLLAR-AMT-INS
                  PERFORM 4265-CALC-AVOCADO-GUAR
                     THRU 4265-CALC-AVOCADO-GUAR-EXIT
                  IF CALC-ERROR-4265
                     MOVE WS-LITERAL-YES
                       TO ERROR-TOTAL-GUARANTEE
                     MOVE WS-LITERAL-YES
                       TO ERROR-GUARANTEE-PER-ACRE
                     GO TO 2485-VAL-GUARANTEE-EXIT
                  END-IF
                  MOVE WS-4265-TOTAL-GUARANTEE
                    TO WS-2485-TOTAL-GUARANTEE
                  MOVE WS-4265-GUARANTEE-PER-ACRE
                    TO WS-2485-GUARANTEE-PER-ACRE
                  IF CAT-COVERAGE and not TYPE21
                     INITIALIZE WS-4265-INPUT
                     MOVE WS-4265-TOTAL-GUARANTEE
                       TO WS-2485-ARC-CAT-GUARANTEE
                     MOVE WS-2485-DOLLAR-AMT-INS
                       TO WS-4265-DOLLAR-AMT-INS
                     MOVE WS-2485-ACRES TO WS-4265-ACRES
                     MOVE 65
                       TO WS-4265-CVG-LVL-PERCENT
                     PERFORM 4265-CALC-AVOCADO-GUAR
                        THRU 4265-CALC-AVOCADO-GUAR-EXIT
                     IF CALC-ERROR-4265
                        MOVE WS-LITERAL-YES
                          TO ERROR-TOTAL-GUARANTEE
                        MOVE WS-LITERAL-YES
                          TO ERROR-GUARANTEE-PER-ACRE
                        GO TO 2485-VAL-GUARANTEE-EXIT
                     END-IF
                     MOVE WS-4265-TOTAL-GUARANTEE
                       TO WS-2485-CAT-65-100-GUARANTEE
                  END-IF
                  IF NOT CAT-COVERAGE AND NOT TYPE21
                     INITIALIZE WS-4265-INPUT
                     MOVE WS-2485-DOLLAR-AMT-INS
                       TO WS-4265-DOLLAR-AMT-INS
                     MOVE 30 TO WS-4265-CVG-LVL-PERCENT
                     MOVE WS-2485-ACRES TO WS-4265-ACRES
                     PERFORM 4265-CALC-AVOCADO-GUAR
                        THRU 4265-CALC-AVOCADO-GUAR-EXIT
                     MOVE WS-4265-TOTAL-GUARANTEE
                       TO WS-2485-ARC-CAT-GUARANTEE
                  END-IF

               WHEN WS-LITERAL-YLD-BASED-DOL-AMT
                  INITIALIZE WS-4225-INPUT
                  MOVE WS-2485-YIELD TO WS-4225-YIELD
                  MOVE WS-2485-PRICE-ELECTION
                    TO WS-4225-PRICE-ELECTION
                  MOVE WS-2485-ACRES
                    TO WS-4225-ACRES
                  MOVE WS-2485-GUAR-REDUCTION-FCTR
                    TO WS-4225-GUAR-REDUCTION-FCTR
                  MOVE WS-2485-CROP-UNIT-OF-MEASURE
                    TO WS-4225-CROP-UNIT-OF-MEASURE
                  PERFORM 4225-CALC-YLDDLR-GUAR
                     THRU 4225-CALC-YLDDLR-GUAR-EXIT
                  IF CALC-ERROR-4225
                     MOVE WS-LITERAL-YES
                       TO ERROR-TOTAL-GUARANTEE
                     MOVE WS-LITERAL-YES
                       TO ERROR-GUARANTEE-PER-ACRE
                     GO TO 2485-VAL-GUARANTEE-EXIT
                  END-IF
                  MOVE WS-4225-TOTAL-GUARANTEE
                    TO WS-2485-TOTAL-GUARANTEE
                  MOVE WS-4225-PREMIUM-GUARANTEE
                    TO WS-2485-PREMIUM-GUARANTEE
                  MOVE WS-4225-GUARANTEE-PER-ACRE
                    TO WS-2485-GUARANTEE-PER-ACRE
                  IF CAT-COVERAGE and not TYPE21
                     INITIALIZE WS-4225-INPUT
                     MOVE WS-2485-YIELD TO WS-4225-YIELD
                     MOVE WS-2485-CAT-100-PCT-PRICE
                       TO WS-4225-PRICE-ELECTION
                     MOVE WS-2485-ACRES
                       TO WS-4225-ACRES
                     MOVE WS-2485-GUAR-REDUCTION-FCTR
                       TO WS-4225-GUAR-REDUCTION-FCTR
                     MOVE WS-2485-CROP-UNIT-OF-MEASURE
                       TO WS-4225-CROP-UNIT-OF-MEASURE
                     PERFORM 4225-CALC-YLDDLR-GUAR
                        THRU 4225-CALC-YLDDLR-GUAR-EXIT
                     IF CALC-ERROR-4225
                        MOVE WS-LITERAL-YES
                          TO ERROR-TOTAL-GUARANTEE
                        MOVE WS-LITERAL-YES
                          TO ERROR-GUARANTEE-PER-ACRE
                        GO TO 2485-VAL-GUARANTEE-EXIT
                     END-IF
                     MOVE WS-4225-PREMIUM-GUARANTEE
                       TO WS-2485-CAT-65-100-GUARANTEE
                  END-IF

               WHEN WS-LITERAL-QUOTA-TOBACCO
                  INITIALIZE WS-4240-INPUT
                  MOVE WS-2485-QUOTA TO WS-4240-QUOTA
                  MOVE WS-2485-PRICE-ELECTION
                    TO WS-4240-PRICE-ELECTION
                  MOVE WS-2485-GUAR-REDUCTION-FCTR
                    TO WS-4240-GUAR-REDUCTION-FCTR
                  MOVE WS-2485-CVG-LVL-PERCENT
                    TO WS-4240-CVG-LVL-PERCENT
                  MOVE WS-2485-CROP-UNIT-OF-MEASURE
                    TO WS-4240-CROP-UNIT-OF-MEASURE
                  PERFORM 4240-CALC-QTOBACCO-GUAR
                     THRU 4240-CALC-QTOBACCO-GUAR-EXIT
                  IF CALC-ERROR-4240
                     MOVE WS-LITERAL-YES
                       TO ERROR-TOTAL-GUARANTEE
                     MOVE WS-LITERAL-YES
                       TO ERROR-GUARANTEE-PER-ACRE
                     GO TO 2485-VAL-GUARANTEE-EXIT
                  END-IF
                  MOVE WS-4240-TOTAL-GUARANTEE
                    TO WS-2485-TOTAL-GUARANTEE
                  MOVE WS-4240-PREMIUM-GUARANTEE
                    TO WS-2485-PREMIUM-GUARANTEE
                  IF CAT-COVERAGE and not TYPE21
                     INITIALIZE WS-4240-INPUT
                     MOVE WS-2485-QUOTA TO WS-4240-QUOTA
                     MOVE WS-2485-CAT-100-PCT-PRICE
                       TO WS-4240-PRICE-ELECTION
                     MOVE WS-2485-GUAR-REDUCTION-FCTR
                       TO WS-4240-GUAR-REDUCTION-FCTR
                     MOVE 65
                       TO WS-4240-CVG-LVL-PERCENT
                     MOVE WS-2485-CROP-UNIT-OF-MEASURE
                       TO WS-4240-CROP-UNIT-OF-MEASURE
                     PERFORM 4240-CALC-QTOBACCO-GUAR
                        THRU 4240-CALC-QTOBACCO-GUAR-EXIT
                     IF CALC-ERROR-4240
                        MOVE WS-LITERAL-YES
                          TO ERROR-TOTAL-GUARANTEE
                        MOVE WS-LITERAL-YES
                          TO ERROR-GUARANTEE-PER-ACRE
                        GO TO 2485-VAL-GUARANTEE-EXIT
                     END-IF
                     MOVE WS-4240-PREMIUM-GUARANTEE
                       TO WS-2485-CAT-65-100-GUARANTEE
                  END-IF

               WHEN WS-LITERAL-GUARANTEE-TOBACCO
                  INITIALIZE WS-4235-INPUT
                  MOVE WS-2485-YIELD TO WS-4235-YIELD
                  MOVE WS-2485-ACRES TO WS-4235-ACRES
                  MOVE WS-2485-GUAR-REDUCTION-FCTR
                    TO WS-4235-GUAR-REDUCTION-FCTR
                  MOVE WS-2485-CVG-LVL-PERCENT
                    TO WS-4235-CVG-LVL-PERCENT
                  MOVE WS-2485-CROP-UNIT-OF-MEASURE
                    TO WS-4235-CROP-UNIT-OF-MEASURE
                  PERFORM 4235-CALC-GTOBACCO-GUAR
                     THRU 4235-CALC-GTOBACCO-GUAR-EXIT
                  IF CALC-ERROR-4235
                     MOVE WS-LITERAL-YES
                       TO ERROR-TOTAL-GUARANTEE
                     MOVE WS-LITERAL-YES
                       TO ERROR-GUARANTEE-PER-ACRE
                     GO TO 2485-VAL-GUARANTEE-EXIT
                  END-IF
                  MOVE WS-4235-TOTAL-GUARANTEE
                    TO WS-2485-TOTAL-GUARANTEE
                  MOVE WS-4235-PREMIUM-GUARANTEE
                    TO WS-2485-PREMIUM-GUARANTEE
                  MOVE WS-4235-GUARANTEE-PER-ACRE
                    TO WS-2485-GUARANTEE-PER-ACRE
                  IF CAT-COVERAGE and not TYPE21
                     INITIALIZE WS-4235-INPUT
                     MOVE WS-2485-YIELD TO WS-4235-YIELD
                     MOVE WS-2485-ACRES TO WS-4235-ACRES
                     MOVE WS-2485-GUAR-REDUCTION-FCTR
                       TO WS-4235-GUAR-REDUCTION-FCTR
                     MOVE 65
                       TO WS-4235-CVG-LVL-PERCENT
                     MOVE WS-2485-CROP-UNIT-OF-MEASURE
                       TO WS-4235-CROP-UNIT-OF-MEASURE
                     PERFORM 4235-CALC-GTOBACCO-GUAR
                        THRU 4235-CALC-GTOBACCO-GUAR-EXIT
                     IF CALC-ERROR-4235
                        MOVE WS-LITERAL-YES
                          TO ERROR-TOTAL-GUARANTEE
                        MOVE WS-LITERAL-YES
                          TO ERROR-GUARANTEE-PER-ACRE
                        GO TO 2485-VAL-GUARANTEE-EXIT
                     END-IF
                     MOVE WS-4235-PREMIUM-GUARANTEE
                       TO WS-2485-CAT-65-100-GUARANTEE
                  END-IF

               WHEN WS-LITERAL-PEANUTS-PLAN
                  IF TYPE21
                     IF ERROR-DETERM-ACRES = WS-LITERAL-YES
                        MOVE WS-LITERAL-YES TO ERROR-TOTAL-GUARANTEE
                        GO TO 2485-VAL-GUARANTEE-EXIT
                     END-IF
                  END-IF
                  INITIALIZE WS-4210-INPUT
                  MOVE WS-2485-YIELD TO WS-4210-YIELD
                  MOVE WS-2485-ACRES TO WS-4210-ACRES
                  MOVE WS-2485-GUAR-REDUCTION-FCTR
                    TO WS-4210-GUAR-REDUCTION-FCTR
                  MOVE WS-2485-CROP-UNIT-OF-MEASURE
                    TO WS-4210-CROP-UNIT-OF-MEASURE
                  MOVE WS-2485-CVG-LVL-PERCENT
                    TO WS-4210-CVG-LVL-PERCENT
                  PERFORM 4210-CALC-QUOTA-PNUT-GUAR
                     THRU 4210-CALC-QUOTA-PNUT-GUAR-EXIT
                  IF CALC-ERROR-4210
                     MOVE WS-LITERAL-YES
                       TO ERROR-TOTAL-GUARANTEE
                     MOVE WS-LITERAL-YES
                       TO ERROR-GUARANTEE-PER-ACRE
                     GO TO 2485-VAL-GUARANTEE-EXIT
                  END-IF
                  MOVE WS-4210-TOTAL-GUARANTEE
                    TO WS-2485-TOTAL-GUARANTEE
                  MOVE WS-4210-PREMIUM-GUARANTEE
                    TO WS-2485-PREMIUM-GUARANTEE
                  MOVE WS-4210-GUARANTEE-PER-ACRE
                    TO WS-2485-GUARANTEE-PER-ACRE
                  IF CAT-COVERAGE and not TYPE21
                     MOVE WS-2485-PREMIUM-GUARANTEE
                       TO WS-2485-CAT-65-100-GUARANTEE
                  END-IF

               WHEN WS-LITERAL-GRP
                  INITIALIZE WS-4230-INPUT
                  MOVE WS-2485-DOLLAR-AMT-INS
                    TO WS-4230-DOLLAR-AMT-INS
                  MOVE WS-2485-ACRES TO WS-4230-ACRES
                  MOVE WS-2485-CROP-UNIT-OF-MEASURE
                    TO WS-4230-CROP-UNIT-OF-MEASURE
                  PERFORM 4230-CALC-GRP-GUARANTEE
                     THRU 4230-CALC-GRP-GUARANTEE-EXIT
                  IF CALC-ERROR-4230
                     MOVE WS-LITERAL-YES
                       TO ERROR-TOTAL-GUARANTEE
                     MOVE WS-LITERAL-YES
                       TO ERROR-GUARANTEE-PER-ACRE
                     GO TO 2485-VAL-GUARANTEE-EXIT
                  END-IF
                  MOVE WS-4230-TOTAL-GUARANTEE
                    TO WS-2485-TOTAL-GUARANTEE
                  MOVE WS-4230-PREMIUM-GUARANTEE
                    TO WS-2485-PREMIUM-GUARANTEE
                  MOVE WS-4230-GUARANTEE-PER-ACRE
                    TO WS-2485-GUARANTEE-PER-ACRE
                  IF CAT-COVERAGE and not TYPE21
                     INITIALIZE WS-4230-INPUT
                     MOVE WS-2485-CAT-65-PCT-DOLLAR-AMT
                       TO WS-4230-DOLLAR-AMT-INS
                     MOVE WS-2485-ACRES TO WS-4230-ACRES
                     MOVE WS-2485-CROP-UNIT-OF-MEASURE
                       TO WS-4230-CROP-UNIT-OF-MEASURE
                     PERFORM 4230-CALC-GRP-GUARANTEE
                        THRU 4230-CALC-GRP-GUARANTEE-EXIT
                     IF CALC-ERROR-4230
                        MOVE WS-LITERAL-YES
                          TO ERROR-TOTAL-GUARANTEE
                        MOVE WS-LITERAL-YES
                          TO ERROR-GUARANTEE-PER-ACRE
                        GO TO 2485-VAL-GUARANTEE-EXIT
                     END-IF
                     MOVE WS-4230-PREMIUM-GUARANTEE
                       TO WS-2485-CAT-65-100-GUARANTEE
                  END-IF

               WHEN WS-LITERAL-CRC
                  INITIALIZE WS-4245-INPUT
                  MOVE WS-2485-YIELD TO WS-4245-YIELD
                  MOVE WS-2485-ACRES TO WS-4245-ACRES
                  MOVE WS-2485-GUAR-REDUCTION-FCTR
                    TO WS-4245-GUAR-REDUCTION-FCTR
                  MOVE WS-2485-CROP-UNIT-OF-MEASURE
                    TO WS-4245-CROP-UNIT-OF-MEASURE
                  MOVE WS-2485-CVG-LVL-PERCENT
                    TO WS-4245-CVG-LVL-PERCENT
                  PERFORM 4245-CALC-CRC-GUARANTEE
                     THRU 4245-CALC-CRC-GUARANTEE-EXIT
                  IF CALC-ERROR-4245
                     MOVE WS-LITERAL-YES
                       TO ERROR-TOTAL-GUARANTEE
                     MOVE WS-LITERAL-YES
                       TO ERROR-GUARANTEE-PER-ACRE
                     GO TO 2485-VAL-GUARANTEE-EXIT
                  END-IF
                  MOVE WS-4245-TOTAL-GUARANTEE
                    TO WS-2485-TOTAL-GUARANTEE
                  MOVE WS-4245-PREMIUM-GUARANTEE
                    TO WS-2485-PREMIUM-GUARANTEE
                  MOVE WS-4245-GUARANTEE-PER-ACRE
                    TO WS-2485-GUARANTEE-PER-ACRE
                  MOVE WS-4245-PREMIUM-GPA
                    TO WS-2485-PREMIUM-GPA

               WHEN WS-LITERAL-IP
                  IF ERROR-INSURED-SHARE = WS-LITERAL-YES
                     MOVE WS-LITERAL-YES
                       TO ERROR-TOTAL-GUARANTEE
                     MOVE WS-LITERAL-YES
                       TO ERROR-GUARANTEE-PER-ACRE
                     GO TO 2485-VAL-GUARANTEE-EXIT
                  END-IF
                  INITIALIZE WS-4260-INPUT
                  MOVE WS-2485-ACRES TO WS-4260-ACRES
                  MOVE WS-2485-GUAR-REDUCTION-FCTR
                    TO WS-4260-GUAR-REDUCTION-FCTR
                  MOVE WS-2485-DOLLAR-AMT-INS
                    TO WS-4260-DOLLAR-AMT-INS
                  move ws-2485-insured-share
                    to ws-4260-insured-share
                  PERFORM 4260-CALC-IP-GUARANTEE
                     THRU 4260-CALC-IP-GUARANTEE-EXIT
                  IF CALC-ERROR-4260
                     MOVE WS-LITERAL-YES
                       TO ERROR-TOTAL-GUARANTEE
                     MOVE WS-LITERAL-YES
                       TO ERROR-GUARANTEE-PER-ACRE
                     GO TO 2485-VAL-GUARANTEE-EXIT
                  END-IF
                  MOVE WS-4260-TOTAL-GUARANTEE
                    TO WS-2485-TOTAL-GUARANTEE
                  MOVE WS-4260-PREMIUM-GUARANTEE
                    TO WS-2485-PREMIUM-GUARANTEE
                  MOVE WS-4260-GUARANTEE-PER-ACRE
                    TO WS-2485-GUARANTEE-PER-ACRE

               WHEN WS-LITERAL-RA
                  INITIALIZE WS-4255-INPUT
                  MOVE WS-2485-ACRES TO WS-4255-ACRES
                  MOVE WS-2485-GUAR-REDUCTION-FCTR
                    TO WS-4255-GUAR-REDUCTION-FCTR
                  MOVE WS-2485-DOLLAR-AMT-INS
                    TO WS-4255-DOLLAR-AMT-INS
                  PERFORM 4255-CALC-RA-GUARANTEE
                     THRU 4255-CALC-RA-GUARANTEE-EXIT
                  IF CALC-ERROR-4255
                     MOVE WS-LITERAL-YES
                       TO ERROR-TOTAL-GUARANTEE
                     MOVE WS-LITERAL-YES
                       TO ERROR-GUARANTEE-PER-ACRE
                     GO TO 2485-VAL-GUARANTEE-EXIT
                  END-IF
                  MOVE WS-4255-TOTAL-GUARANTEE
                    TO WS-2485-TOTAL-GUARANTEE
                  MOVE WS-4255-PREMIUM-GUARANTEE
                    TO WS-2485-PREMIUM-GUARANTEE
                  MOVE WS-4255-GUARANTEE-PER-ACRE
                    TO WS-2485-GUARANTEE-PER-ACRE
      *           *** CALCULATE RA APH GUARANTEE
                  INITIALIZE WS-4205-INPUT
                  MOVE WS-2485-YIELD TO WS-4205-YIELD
                  MOVE WS-2485-ACRES TO WS-4205-ACRES
                  MOVE 65
                    TO WS-4205-CVG-LVL-PERCENT
                  MOVE WS-2485-GUAR-REDUCTION-FCTR
                    TO WS-4205-GUAR-REDUCTION-FCTR
                  MOVE WS-2485-CROP-UNIT-OF-MEASURE
                    TO WS-4205-CROP-UNIT-OF-MEASURE
                  PERFORM 4205-CALC-APH-GUARANTEE
                     THRU 4205-CALC-APH-GUARANTEE-EXIT
                  IF CALC-ERROR-4205
                     MOVE WS-LITERAL-YES
                       TO ERROR-TOTAL-GUARANTEE
                     MOVE WS-LITERAL-YES
                       TO ERROR-GUARANTEE-PER-ACRE
                     GO TO 2485-VAL-GUARANTEE-EXIT
                  END-IF
                  MOVE WS-4205-PREMIUM-GUARANTEE
                    TO WS-2485-RA-APH-GUARANTEE

               WHEN OTHER
                  MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
                  MOVE 042 TO WS-8000-SHORT-ERROR
                  MOVE WS-LITERAL-IF TO WS-8000-ERROR-TYPE
                  MOVE WS-LITERAL-YES TO ERROR-TOTAL-GUARANTEE
                  MOVE WS-LITERAL-YES TO ERROR-INSUR-PLAN-CD
                  MOVE WS-LITERAL-INSURE-PLAN-CD
                    TO WS-8000-FIELD-NAME1
                  MOVE WS-2485-INS-PLAN TO WS-8000-BAD-DATA1
                  MOVE 2485 TO WS-8000-PARAGRAPH-NO
                  PERFORM 8000-RECORD-TRAN-ERROR
                     THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-EVALUATE

      *    ** GUARANTEE PER ACRE IS NOT REQUIRED FOR THE FOLLOWING CASES
           IF WS-2485-INS-PLAN = WS-LITERAL-DOLLAR-AMT OR
              WS-2485-INS-PLAN = WS-LITERAL-GRP OR
              WS-2485-INS-PLAN = WS-LITERAL-QUOTA-TOBACCO OR
              WS-2485-INS-PLAN = WS-LITERAL-FLORIDA-FRUIT OR
              WS-2485-INS-PLAN = WS-LITERAL-IP
              MOVE WS-2485-GUARANTEE-PER-ACRE TO WS-2485-INPUT-GPA
           ELSE
      *       ** CHECK INPUT GUARANTEE PER ACRE FOR ALL OTHER CROPS.
              IF WS-2485-INPUT-GPA = ZERO
                 MOVE WS-LITERAL-YES TO ERROR-GUARANTEE-PER-ACRE
                 MOVE WS-LITERAL-IF TO WS-8000-ERROR-TYPE
                 MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
                 MOVE 005 TO WS-8000-SHORT-ERROR
                 MOVE WS-LITERAL-GUARANTEE-PER-ACRE
                   TO WS-8000-FIELD-NAME1
                 MOVE WS-2485-INPUT-GPA-X TO WS-8000-BAD-DATA1
                 MOVE WS-2485-GUARANTEE-PER-ACRE-X TO WS-8000-CORR-DATA1
                 MOVE 2485 TO WS-8000-PARAGRAPH-NO
                 PERFORM 8000-RECORD-TRAN-ERROR
                    THRU 8000-RECORD-TRAN-ERROR-EXIT
              END-IF
           END-IF

      *    ** TOTAL GUARANTEE IS NOT REQUIRED FOR THE FOLLOWING CASES.
           IF WS-2485-INS-PLAN = WS-LITERAL-IP OR
              WS-2485-CROP-CD  = WS-LITERAL-NURSERY
              MOVE WS-2485-TOTAL-GUARANTEE TO WS-2485-INPUT-TOTAL-GUAR
           ELSE
      *       ** CHECK INPUT TOTAL GUARANTEE FOR ALL OTHER CROPS.
              IF WS-2485-INPUT-TOTAL-GUAR = ZERO
                 MOVE WS-LITERAL-YES TO ERROR-TOTAL-GUARANTEE
                 MOVE WS-LITERAL-IF TO WS-8000-ERROR-TYPE
                 MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
                 MOVE 005 TO WS-8000-SHORT-ERROR
                 MOVE WS-LITERAL-TOTAL-GUARANTEE TO WS-8000-FIELD-NAME1
                 MOVE WS-2485-INPUT-TOTAL-GUAR-X TO WS-8000-BAD-DATA1
                 MOVE WS-2485-TOTAL-GUARANTEE-X TO WS-8000-CORR-DATA1
                 MOVE 2485 TO WS-8000-PARAGRAPH-NO
                 PERFORM 8000-RECORD-TRAN-ERROR
                    THRU 8000-RECORD-TRAN-ERROR-EXIT
              END-IF
           END-IF

      *******************************
      *    SET UP DISPLAY FIELDS    *
      *******************************
           MOVE WS-2485-GUARANTEE-PER-ACRE
             TO WS-2485-GUARANTEE-PER-ACRE-X
           MOVE WS-2485-TOTAL-GUARANTEE
             TO WS-2485-TOTAL-GUARANTEE-X
           MOVE WS-2485-INPUT-GPA TO WS-2485-INPUT-GPA-X
           MOVE WS-2485-INPUT-TOTAL-GUAR
             TO WS-2485-INPUT-TOTAL-GUAR-X

      $IF DEBUG-SW DEFINED
           DISPLAY 'INPUT GUARANTEE PER ACRE = ',
           WS-2485-INPUT-GPA-X
           UPON CONSOLE
           DISPLAY 'INPUT TOTAL GUARANTEE    = ',
           WS-2485-INPUT-TOTAL-GUAR-X
           UPON CONSOLE
      $END

           IF ERROR-GUARANTEE-PER-ACRE = WS-LITERAL-YES OR
              ERROR-TOTAL-GUARANTEE = WS-LITERAL-YES
              GO TO 2485-VAL-GUARANTEE-EXIT
           END-IF

      *****************************************************************
      *    CHECK INPUT GPA/TOTAL GPA AGAINST CALCULATED FIELDS.       *
      *    FOR CROPS THAT ARE NOT REQUIRED, THE CALCULATED FIELDS HAD *
      *    BEEN MOVED TO THE INPUT WS FIELDS.                         *
      *****************************************************************
           IF (WS-2485-INPUT-GPA >
              (WS-2485-GUARANTEE-PER-ACRE + 1.00)) OR
              (WS-2485-INPUT-GPA <
              (WS-2485-GUARANTEE-PER-ACRE - 1.00))
              MOVE WS-LITERAL-YES TO ERROR-GUARANTEE-PER-ACRE
              MOVE WS-LITERAL-IF  TO WS-8000-ERROR-TYPE
              MOVE 11092 TO WS-8000-ERROR-CODE
              MOVE WS-LITERAL-GUARANTEE-PER-ACRE
                TO WS-8000-FIELD-NAME1
              MOVE WS-2485-INPUT-GPA-X
                TO WS-8000-BAD-DATA1
              MOVE WS-2485-GUARANTEE-PER-ACRE-X
                TO WS-8000-CORR-DATA1
              MOVE 2485 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF (WS-2485-INPUT-TOTAL-GUAR >
              (WS-2485-TOTAL-GUARANTEE + 1.00)) OR
              (WS-2485-INPUT-TOTAL-GUAR <
              (WS-2485-TOTAL-GUARANTEE - 1.00))
              MOVE WS-LITERAL-YES TO ERROR-TOTAL-GUARANTEE
              MOVE WS-LITERAL-IF  TO WS-8000-ERROR-TYPE
              MOVE 11093 TO WS-8000-ERROR-CODE
              MOVE WS-LITERAL-TOTAL-GUARANTEE TO WS-8000-FIELD-NAME1
              MOVE WS-2485-INPUT-TOTAL-GUAR-X TO WS-8000-BAD-DATA1
              MOVE WS-2485-TOTAL-GUARANTEE-X
                TO WS-8000-CORR-DATA1
              MOVE 2485 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF.

       2485-VAL-GUARANTEE-EXIT.
           EXIT.

