      ***************************************************************
      *  File   : IF2490.CBL
      *  Author : Yo-I Tsui
      *  Date   : 11/13/95
      *  Purpose: VALIDATE TOTAL AMOUNT
      *           IF TOTAL IS BLANK THEN TOTAL AMOUNT
      *           MUST BE 0 ELSE TOTAL AMOUNT MUST BE > 0
      ***************************************************************

       2490-VAL-TOTAL-AMOUNT.

      $IF DEBUG-SW DEFINED
          DISPLAY '2490-VALIDATING TOTAL AMOUNT'
          UPON CONSOLE
      $END

      **********************************************
      *            CHECK PRE-CONDITIONS            *
      **********************************************
           EVALUATE WS-2490-TOTAL-NUMBER
              WHEN 1
                IF ERROR-1ST-TOT-AMT = WS-LITERAL-YES OR
                   ERROR-1ST-TOT = WS-LITERAL-YES
                   MOVE WS-LITERAL-YES TO ERROR-1ST-TOT-AMT
                   GO TO 2490-VAL-TOTAL-AMOUNT-EXIT
                END-IF

              WHEN 2
                IF ERROR-2ND-TOT-AMT = WS-LITERAL-YES OR
                   ERROR-2ND-TOT = WS-LITERAL-YES
                   MOVE WS-LITERAL-YES TO ERROR-2ND-TOT-AMT
                   GO TO 2490-VAL-TOTAL-AMOUNT-EXIT
                END-IF

              WHEN 3
                IF ERROR-3RD-TOT-AMT = WS-LITERAL-YES OR
                   ERROR-3RD-TOT = WS-LITERAL-YES
                   MOVE WS-LITERAL-YES TO ERROR-3RD-TOT-AMT
                   GO TO 2490-VAL-TOTAL-AMOUNT-EXIT
                END-IF

              WHEN 4
                IF ERROR-4TH-TOT-AMT = WS-LITERAL-YES OR
                   ERROR-4TH-TOT = WS-LITERAL-YES
                   MOVE WS-LITERAL-YES TO ERROR-4TH-TOT-AMT
                   GO TO 2490-VAL-TOTAL-AMOUNT-EXIT
                END-IF

              WHEN OTHER
                 MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
                 MOVE 044 TO WS-8000-SHORT-ERROR
                 MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
                 MOVE 'T20 TOTAL #' TO WS-8000-FIELD-NAME1
                 MOVE WS-2490-TOTAL-NUMBER TO WS-8000-BAD-DATA1
                 MOVE '1 - 4'
                   TO WS-8000-CORR-DATA1
                 MOVE 2490 TO WS-8000-PARAGRAPH-NO
                 PERFORM 8000-RECORD-TRAN-ERROR
                    THRU 8000-RECORD-TRAN-ERROR-EXIT
                 GO TO 2490-VAL-TOTAL-AMOUNT-EXIT
           END-EVALUATE

      **********************************************
      *           NORMAL PROCESSING                *
      **********************************************

      **  POPULATE THE DISPLAY FIELD FOR TOTAL AMOUNT
           MOVE WS-2490-TOTAL-AMT TO WS-2490-TOTAL-AMT-X

           IF WS-2490-TOTAL = SPACE
              IF WS-2490-TOTAL-AMT <> ZEROS
                 MOVE WS-LITERAL-IF TO WS-8000-ERROR-TYPE
                 MOVE 20007 TO WS-8000-ERROR-CODE
                 EVALUATE WS-2490-TOTAL-NUMBER
                    WHEN 1
                      MOVE WS-LITERAL-YES TO ERROR-1ST-TOT-AMT
                      MOVE WS-LITERAL-1ST-TOT-AMT
                        TO WS-8000-FIELD-NAME1
                    WHEN 2
                      MOVE WS-LITERAL-YES TO ERROR-2ND-TOT-AMT
                      MOVE WS-LITERAL-2ND-TOT-AMT
                        TO WS-8000-FIELD-NAME1
                    WHEN 3
                      MOVE WS-LITERAL-YES TO ERROR-3RD-TOT-AMT
                      MOVE WS-LITERAL-3RD-TOT-AMT
                        TO WS-8000-FIELD-NAME1
                    WHEN 4
                      MOVE WS-LITERAL-YES TO ERROR-4TH-TOT-AMT
                      MOVE WS-LITERAL-4TH-TOT-AMT
                        TO WS-8000-FIELD-NAME1
                    WHEN OTHER
                       MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
                       MOVE 044 TO WS-8000-SHORT-ERROR
                       MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
                       MOVE 'T20 TOTAL #' TO WS-8000-FIELD-NAME1
                       MOVE WS-2490-TOTAL-NUMBER TO WS-8000-BAD-DATA1
                       MOVE '1 - 4'
                         TO WS-8000-CORR-DATA1
                       MOVE 2490 TO WS-8000-PARAGRAPH-NO
                       PERFORM 8000-RECORD-TRAN-ERROR
                          THRU 8000-RECORD-TRAN-ERROR-EXIT
                       GO TO 2490-VAL-TOTAL-AMOUNT-EXIT
                 END-EVALUATE
                 MOVE WS-2490-TOTAL-AMT-X TO WS-8000-BAD-DATA1
                 MOVE '0' TO WS-8000-CORR-DATA1
                 MOVE 2490 TO WS-8000-PARAGRAPH-NO
                 PERFORM 8000-RECORD-TRAN-ERROR
                    THRU 8000-RECORD-TRAN-ERROR-EXIT
              END-IF
           END-IF.

       2490-VAL-TOTAL-AMOUNT-EXIT.
           EXIT.



