      ****************************************************************
      *  File   : IF2495.CBL
      *  Author : Yo-I Tsui
      *  Date   : 11/14/95
      *  Purpose: VALIDATE TOTAL REINSURANCE YEAR
      *           IF TOTAL IS 'R' THEN THE TOTAL REINSURANCE
      *           YEAR MUST BE LESS THAN THE CURRENT REINSURANCE YEAR
      *           ELSE TOTAL REINSURANCE YEAR MUST BE BLANK
      ****************************************************************

       2495-VAL-TOTAL-REINS-YR.

      $IF DEBUG-SW DEFINED
          DISPLAY '2495-VALIDATING TOTAL REINSURANCE YR'
          UPON CONSOLE
      $END

      **********************************************
      *            CHECK PRE-CONDITIONS            *
      **********************************************

           EVALUATE WS-2495-TOTAL-NUMBER
               WHEN 1
                 IF ERROR-1ST-TOT = WS-LITERAL-YES OR
                    ERROR-1ST-TOT-REINSURE-YR = WS-LITERAL-YES
                    MOVE WS-LITERAL-YES TO ERROR-1ST-TOT-REINSURE-YR
                    GO TO 2495-VAL-TOTAL-REINS-YR-EXIT
                 END-IF

               WHEN 2
                 IF ERROR-2ND-TOT = WS-LITERAL-YES OR
                    ERROR-2ND-TOT-REINSURE-YR = WS-LITERAL-YES
                    MOVE WS-LITERAL-YES TO ERROR-2ND-TOT-REINSURE-YR
                    GO TO 2495-VAL-TOTAL-REINS-YR-EXIT
                 END-IF

               WHEN 3
                 IF ERROR-3RD-TOT = WS-LITERAL-YES OR
                    ERROR-3RD-TOT-REINSURE-YR = WS-LITERAL-YES
                    MOVE WS-LITERAL-YES TO ERROR-3RD-TOT-REINSURE-YR
                    GO TO 2495-VAL-TOTAL-REINS-YR-EXIT
                 END-IF

               WHEN 4
                 IF ERROR-4TH-TOT = WS-LITERAL-YES OR
                    ERROR-4TH-TOT-REINSURE-YR = WS-LITERAL-YES
                    MOVE WS-LITERAL-YES TO ERROR-4TH-TOT-REINSURE-YR
                    GO TO 2495-VAL-TOTAL-REINS-YR-EXIT
                 END-IF

               WHEN OTHER
                  MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
                  MOVE 044 TO WS-8000-SHORT-ERROR
                  MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
                  MOVE 'T20 TOTAL #'
                    TO WS-8000-FIELD-NAME1
                  MOVE WS-2495-TOTAL-NUMBER
                    TO WS-8000-BAD-DATA1
                  MOVE '1 - 4'
                    TO WS-8000-CORR-DATA1
                  MOVE 2495 TO WS-8000-PARAGRAPH-NO
                  PERFORM 8000-RECORD-TRAN-ERROR
                     THRU 8000-RECORD-TRAN-ERROR-EXIT
                  GO TO 2495-VAL-TOTAL-REINS-YR-EXIT
           END-EVALUATE

      **********************************************
      *           NORMAL PROCESSING                *
      **********************************************

           IF WS-2495-TOTAL = 'R'
              IF WS-2495-TOT-REINS-YR-X = SPACES OR
                 WS-2495-TOT-REINS-YR-X = ZEROS
                 MOVE WS-LITERAL-IF TO WS-8000-ERROR-TYPE
                 MOVE 20004 TO WS-8000-ERROR-CODE
                 EVALUATE WS-2495-TOTAL-NUMBER
                    WHEN 1
                      MOVE WS-LITERAL-YES
                        TO ERROR-1ST-TOT-REINSURE-YR
                      MOVE WS-LITERAL-1ST-TOT-REIN-YR
                        TO WS-8000-FIELD-NAME1
                    WHEN 2
                      MOVE WS-LITERAL-YES
                        TO ERROR-2ND-TOT-REINSURE-YR
                      MOVE WS-LITERAL-2ND-TOT-REIN-YR
                       TO WS-8000-FIELD-NAME1
                    WHEN 3
                      MOVE WS-LITERAL-YES
                        TO ERROR-3RD-TOT-REINSURE-YR
                      MOVE WS-LITERAL-3RD-TOT-REIN-YR
                        TO WS-8000-FIELD-NAME1
                    WHEN 4
                      MOVE WS-LITERAL-YES
                        TO ERROR-4TH-TOT-REINSURE-YR
                      MOVE WS-LITERAL-4TH-TOT-REIN-YR
                        TO WS-8000-FIELD-NAME1
                    WHEN OTHER
                       MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
                       MOVE 044 TO WS-8000-SHORT-ERROR
                       MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
                       MOVE 'T20 TOTAL #'
                         TO WS-8000-FIELD-NAME1
                       MOVE WS-2495-TOTAL-NUMBER
                         TO WS-8000-BAD-DATA1
                       MOVE '1 - 4'
                         TO WS-8000-CORR-DATA1
                       MOVE 2495 TO WS-8000-PARAGRAPH-NO
                       PERFORM 8000-RECORD-TRAN-ERROR
                          THRU 8000-RECORD-TRAN-ERROR-EXIT
                       GO TO 2495-VAL-TOTAL-REINS-YR-EXIT
                 END-EVALUATE
                 MOVE WS-2495-TOT-REINSYR-X TO WS-8000-BAD-DATA1
                 MOVE 'RECOVERY YEAR REQUIRED' TO WS-8000-CORR-DATA1
                 MOVE 2495 TO WS-8000-PARAGRAPH-NO
                 PERFORM 8000-RECORD-TRAN-ERROR
                    THRU 8000-RECORD-TRAN-ERROR-EXIT
              ELSE
                 IF WS-2495-TOT-REINSYR > WS-2495-REINSYR
                    MOVE WS-LITERAL-IF TO WS-8000-ERROR-TYPE
                    MOVE 20050 TO WS-8000-ERROR-CODE
                    EVALUATE WS-2495-TOTAL-NUMBER
                       WHEN 1
                         MOVE WS-LITERAL-YES
                           TO ERROR-1ST-TOT-REINSURE-YR
                         MOVE WS-LITERAL-1ST-TOT-REIN-YR
                           TO WS-8000-FIELD-NAME1
                       WHEN 2
                         MOVE WS-LITERAL-YES
                           TO ERROR-2ND-TOT-REINSURE-YR
                         MOVE WS-LITERAL-2ND-TOT-REIN-YR
                          TO WS-8000-FIELD-NAME1
                       WHEN 3
                         MOVE WS-LITERAL-YES
                           TO ERROR-3RD-TOT-REINSURE-YR
                         MOVE WS-LITERAL-3RD-TOT-REIN-YR
                           TO WS-8000-FIELD-NAME1
                       WHEN 4
                         MOVE WS-LITERAL-YES
                           TO ERROR-4TH-TOT-REINSURE-YR
                         MOVE WS-LITERAL-4TH-TOT-REIN-YR
                           TO WS-8000-FIELD-NAME1
                       WHEN OTHER
                          MOVE WS-TRAN-TYPE
                            TO WS-8000-ERROR-TRAN-TYPE
                          MOVE 044 TO WS-8000-SHORT-ERROR
                          MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
                          MOVE 'T20 TOTAL #'
                            TO WS-8000-FIELD-NAME1
                          MOVE WS-2495-TOTAL-NUMBER
                            TO WS-8000-BAD-DATA1
                          MOVE '1 - 4'
                            TO WS-8000-CORR-DATA1
                          MOVE 2495 TO WS-8000-PARAGRAPH-NO
                          PERFORM 8000-RECORD-TRAN-ERROR
                             THRU 8000-RECORD-TRAN-ERROR-EXIT
                          GO TO 2495-VAL-TOTAL-REINS-YR-EXIT
                    END-EVALUATE
                    MOVE WS-2495-TOT-REINSYR-X TO WS-8000-BAD-DATA1
                    STRING '< '
                      DELIMITED BY SIZE
                      WS-2495-REINS-YR-YY
                      DELIMITED BY SIZE
                      INTO WS-8000-CORR-DATA1
                    END-STRING
                    MOVE 2495 TO WS-8000-PARAGRAPH-NO
                    PERFORM 8000-RECORD-TRAN-ERROR
                       THRU 8000-RECORD-TRAN-ERROR-EXIT
                 END-IF
              END-IF
           ELSE
              IF WS-2495-TOT-REINS-YR-X <> SPACES AND
                 WS-2495-TOT-REINSYR <> ZEROS
                 MOVE WS-LITERAL-IF TO WS-8000-ERROR-TYPE
                 MOVE 20051 TO WS-8000-ERROR-CODE
                 EVALUATE WS-2495-TOTAL-NUMBER
                    WHEN 1
                      MOVE WS-LITERAL-YES
                        TO ERROR-1ST-TOT-REINSURE-YR
                      MOVE WS-LITERAL-1ST-TOT-REIN-YR
                        TO WS-8000-FIELD-NAME1
                    WHEN 2
                      MOVE WS-LITERAL-YES
                        TO ERROR-2ND-TOT-REINSURE-YR
                      MOVE WS-LITERAL-2ND-TOT-REIN-YR
                       TO WS-8000-FIELD-NAME1
                    WHEN 3
                      MOVE WS-LITERAL-YES
                        TO ERROR-3RD-TOT-REINSURE-YR
                      MOVE WS-LITERAL-3RD-TOT-REIN-YR
                        TO WS-8000-FIELD-NAME1
                    WHEN 4
                      MOVE WS-LITERAL-YES
                        TO ERROR-4TH-TOT-REINSURE-YR
                      MOVE WS-LITERAL-4TH-TOT-REIN-YR
                        TO WS-8000-FIELD-NAME1
                    WHEN OTHER
                       MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
                       MOVE 044 TO WS-8000-SHORT-ERROR
                       MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
                       MOVE 'T20 TOTAL #'
                         TO WS-8000-FIELD-NAME1
                       MOVE WS-2495-TOTAL-NUMBER
                         TO WS-8000-BAD-DATA1
                       MOVE '1 - 4'
                         TO WS-8000-CORR-DATA1
                       MOVE 2495 TO WS-8000-PARAGRAPH-NO
                       PERFORM 8000-RECORD-TRAN-ERROR
                          THRU 8000-RECORD-TRAN-ERROR-EXIT
                       GO TO 2495-VAL-TOTAL-REINS-YR-EXIT
                 END-EVALUATE
                 MOVE WS-2495-TOT-REINSYR-X TO WS-8000-BAD-DATA1
                 MOVE 'SPACES' TO WS-8000-CORR-DATA1
                 MOVE 2495 TO WS-8000-PARAGRAPH-NO
                 PERFORM 8000-RECORD-TRAN-ERROR
                    THRU 8000-RECORD-TRAN-ERROR-EXIT
              END-IF
           END-IF.


       2495-VAL-TOTAL-REINS-YR-EXIT.
           EXIT.
