
      ****************************************************************
      *  File   : IF2510.CBL
      *  Author : Mike Ray
      *  Date   : 02/07/96
      *  Purpose: VALIDATE YIELD TYPES AGAINST THOSE APPROPRIATE FOR
      *           THE CURRENT CROP CATEGORY.
      ****************************************************************

       2510-VAL-YIELD-TYPES.

      $IF DEBUG-SW DEFINED
          DISPLAY '2510-VALIDATING YIELD TYPES'
          UPON CONSOLE
      $END

      **************************************************
      *          INITIALIZE LOCAL VARIABLES            *
      **************************************************
           INITIALIZE WS-2510-LOCAL

      **********************************************
      *            CHECK PRE-CONDITIONS            *
      **********************************************
           IF ERROR-CROP-CD = WS-LITERAL-YES OR
              ERROR-YLD-TYPE-YR1 = WS-LITERAL-YES OR
              ERROR-YLD-TYPE-YR2 = WS-LITERAL-YES OR
              ERROR-YLD-TYPE-YR3 = WS-LITERAL-YES OR
              ERROR-YLD-TYPE-YR4 = WS-LITERAL-YES OR
              ERROR-YLD-TYPE-YR5 = WS-LITERAL-YES OR
              ERROR-YLD-TYPE-YR6 = WS-LITERAL-YES OR
              ERROR-YLD-TYPE-YR7 = WS-LITERAL-YES OR
              ERROR-YLD-TYPE-YR8 = WS-LITERAL-YES OR
              ERROR-YLD-TYPE-YR9 = WS-LITERAL-YES OR
              ERROR-YLD-TYPE-YR10 = WS-LITERAL-YES

              MOVE WS-LITERAL-YES TO ERROR-YLD-TYPE-YR1
              MOVE WS-LITERAL-YES TO ERROR-YLD-TYPE-YR2
              MOVE WS-LITERAL-YES TO ERROR-YLD-TYPE-YR3
              MOVE WS-LITERAL-YES TO ERROR-YLD-TYPE-YR4
              MOVE WS-LITERAL-YES TO ERROR-YLD-TYPE-YR5
              MOVE WS-LITERAL-YES TO ERROR-YLD-TYPE-YR6
              MOVE WS-LITERAL-YES TO ERROR-YLD-TYPE-YR7
              MOVE WS-LITERAL-YES TO ERROR-YLD-TYPE-YR8
              MOVE WS-LITERAL-YES TO ERROR-YLD-TYPE-YR9
              MOVE WS-LITERAL-YES TO ERROR-YLD-TYPE-YR10
              GO TO 2510-VAL-YIELD-TYPES-EXIT
           END-IF

           IF WS-0009-CROP-CATEGORIES = SPACES
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 044 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE 'WS-0009-CROP-CAT' TO WS-8000-FIELD-NAME1
              MOVE SPACES TO WS-8000-BAD-DATA1
              MOVE 'CROP CATEGORY NOT POPULATED'
                TO WS-8000-CORR-DATA1
              MOVE 2510 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              GO TO 2510-VAL-YIELD-TYPES-EXIT
           END-IF


      **************************************************
      *  CHECK FOR VALID YIELD TYPES BY CROP CATEGORY  *
      **************************************************

           PERFORM 2510-VAL-YLD-TYPES-BY-CAT
              THRU 2510-VAL-YLD-TYPES-BY-CAT-EXIT
              WITH TEST AFTER
           VARYING WS-2510-YIELD-TYPE-INT-INDEX FROM 1 BY 1
             UNTIL WS-2510-YIELD-TYPE-INT-INDEX = 10.



       2510-VAL-YIELD-TYPES-EXIT.
           EXIT.


       2510-VAL-YLD-TYPES-BY-CAT.

           SET WS-2510-YIELD-TYPE-INDEX
            TO WS-2510-YIELD-TYPE-INT-INDEX
           EVALUATE WS-2510-TBL-YIELD-TYPE(WS-2510-YIELD-TYPE-INDEX)

      *        **** VALID FOR ALL CROPS ****
               WHEN WS-LITERAL-A-YLD
                  CONTINUE
               WHEN WS-LITERAL-C-YLD
                  CONTINUE
               WHEN WS-LITERAL-E-YLD
                  CONTINUE
               WHEN WS-LITERAL-F-YLD
                  CONTINUE
               WHEN WS-LITERAL-J-YLD
                  CONTINUE
               WHEN WS-LITERAL-N-YLD
                  CONTINUE
               WHEN WS-LITERAL-P-YLD
                  CONTINUE
               WHEN WS-LITERAL-R-YLD
                  CONTINUE
               WHEN WS-LITERAL-S-YLD
                  CONTINUE
               WHEN WS-LITERAL-T-YLD
                  CONTINUE
               WHEN WS-LITERAL-D-YLD
                  CONTINUE
               WHEN WS-LITERAL-Z-YLD
                  CONTINUE
               WHEN SPACES
                  CONTINUE

      *        **** VALID FOR CATEGORY B CROPS ****
               WHEN WS-LITERAL-H-YLD
                  PERFORM 2510-TEST-CATEGORY-C
                     THRU 2510-TEST-CATEGORY-C-EXIT
               WHEN WS-LITERAL-I-YLD
                  PERFORM 2510-TEST-CATEGORY-C
                     THRU 2510-TEST-CATEGORY-C-EXIT
               WHEN WS-LITERAL-L-YLD
                  PERFORM 2510-TEST-CATEGORY-C
                     THRU 2510-TEST-CATEGORY-C-EXIT
               WHEN WS-LITERAL-X-YLD
                  PERFORM 2510-TEST-CATEGORY-C
                     THRU 2510-TEST-CATEGORY-C-EXIT
      * below deleted to allow yield type 'z' for category-c crops
      * per KB 2/20/97
      *         WHEN WS-LITERAL-Z-YLD
      *            PERFORM 2510-TEST-CATEGORY-C
      *               THRU 2510-TEST-CATEGORY-C-EXIT
               WHEN OTHER
                  MOVE 15008 TO WS-8000-ERROR-CODE
                  MOVE WS-LITERAL-IF TO WS-8000-ERROR-TYPE
                  EVALUATE WS-2510-YIELD-TYPE-INDEX
                     WHEN 1
                        MOVE WS-LITERAL-YES TO ERROR-YLD-TYPE-YR1
                        MOVE WS-LITERAL-YLD-TYPE-YR1
                          TO WS-8000-FIELD-NAME1
                     WHEN 2
                        MOVE WS-LITERAL-YES TO ERROR-YLD-TYPE-YR2
                        MOVE WS-LITERAL-YLD-TYPE-YR2
                          TO WS-8000-FIELD-NAME1
                     WHEN 3
                        MOVE WS-LITERAL-YES TO ERROR-YLD-TYPE-YR3
                        MOVE WS-LITERAL-YLD-TYPE-YR3
                          TO WS-8000-FIELD-NAME1
                     WHEN 4
                        MOVE WS-LITERAL-YES TO ERROR-YLD-TYPE-YR4
                        MOVE WS-LITERAL-YLD-TYPE-YR4
                          TO WS-8000-FIELD-NAME1
                     WHEN 5
                        MOVE WS-LITERAL-YES TO ERROR-YLD-TYPE-YR5
                        MOVE WS-LITERAL-YLD-TYPE-YR5
                          TO WS-8000-FIELD-NAME1
                     WHEN 6
                        MOVE WS-LITERAL-YES TO ERROR-YLD-TYPE-YR6
                        MOVE WS-LITERAL-YLD-TYPE-YR6
                          TO WS-8000-FIELD-NAME1
                     WHEN 7
                        MOVE WS-LITERAL-YES TO ERROR-YLD-TYPE-YR7
                        MOVE WS-LITERAL-YLD-TYPE-YR7
                          TO WS-8000-FIELD-NAME1
                     WHEN 8
                        MOVE WS-LITERAL-YES TO ERROR-YLD-TYPE-YR8
                        MOVE WS-LITERAL-YLD-TYPE-YR8
                          TO WS-8000-FIELD-NAME1
                     WHEN 9
                        MOVE WS-LITERAL-YES TO ERROR-YLD-TYPE-YR9
                        MOVE WS-LITERAL-YLD-TYPE-YR9
                          TO WS-8000-FIELD-NAME1
                     WHEN 10
                        MOVE WS-LITERAL-YES TO ERROR-YLD-TYPE-YR10
                        MOVE WS-LITERAL-YLD-TYPE-YR10
                          TO WS-8000-FIELD-NAME1
                     WHEN OTHER
                        MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
                        MOVE 044 TO WS-8000-SHORT-ERROR
                        MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
                        MOVE 'YIELD TYPE TBL IDX'
                          TO WS-8000-FIELD-NAME1
                        SET WS-2510-INTEGER-ERROR
                         TO WS-2510-YIELD-TYPE-INDEX
                        MOVE WS-2510-INTEGER-ERROR
                          TO WS-8000-BAD-DATA1
                        MOVE 'YIELD TYPE TABLE INDEX OUT OF BOUNDS'
                          TO WS-8000-CORR-DATA1
                        MOVE 2510 TO WS-8000-PARAGRAPH-NO
                        PERFORM 8000-RECORD-TRAN-ERROR
                           THRU 8000-RECORD-TRAN-ERROR-EXIT
                  END-EVALUATE
                  MOVE WS-2510-TBL-YIELD-TYPE
                       (WS-2510-YIELD-TYPE-INDEX)
                    TO WS-8000-BAD-DATA1
                  MOVE SPACES TO WS-8000-CORR-DATA1
                  MOVE WS-LITERAL-CROP-CD TO WS-8000-FIELD-NAME2
                  MOVE WS-0009-CROP-CATEGORIES TO WS-8000-BAD-DATA2
                  MOVE 2510 TO WS-8000-PARAGRAPH-NO
                  PERFORM 8000-RECORD-TRAN-ERROR
                     THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-EVALUATE.


       2510-VAL-YLD-TYPES-BY-CAT-EXIT.
           EXIT.


       2510-TEST-CATEGORY-C.

           IF CATEGORY-C-CROP-0009
              MOVE 15052 TO WS-8000-ERROR-CODE
              MOVE WS-LITERAL-IF TO WS-8000-ERROR-TYPE
              EVALUATE WS-2510-YIELD-TYPE-INDEX
                WHEN 1
                   MOVE WS-LITERAL-YES TO ERROR-YLD-TYPE-YR1
                   MOVE WS-LITERAL-YLD-TYPE-YR1
                     TO WS-8000-FIELD-NAME1
                WHEN 2
                   MOVE WS-LITERAL-YES TO ERROR-YLD-TYPE-YR2
                   MOVE WS-LITERAL-YLD-TYPE-YR2
                     TO WS-8000-FIELD-NAME1
                WHEN 3
                   MOVE WS-LITERAL-YES TO ERROR-YLD-TYPE-YR3
                   MOVE WS-LITERAL-YLD-TYPE-YR3
                     TO WS-8000-FIELD-NAME1
                WHEN 4
                   MOVE WS-LITERAL-YES TO ERROR-YLD-TYPE-YR4
                   MOVE WS-LITERAL-YLD-TYPE-YR4
                     TO WS-8000-FIELD-NAME1
                WHEN 5
                   MOVE WS-LITERAL-YES TO ERROR-YLD-TYPE-YR5
                   MOVE WS-LITERAL-YLD-TYPE-YR5
                     TO WS-8000-FIELD-NAME1
                WHEN 6
                   MOVE WS-LITERAL-YES TO ERROR-YLD-TYPE-YR6
                   MOVE WS-LITERAL-YLD-TYPE-YR6
                     TO WS-8000-FIELD-NAME1
                WHEN 7
                   MOVE WS-LITERAL-YES TO ERROR-YLD-TYPE-YR7
                   MOVE WS-LITERAL-YLD-TYPE-YR7
                     TO WS-8000-FIELD-NAME1
                WHEN 8
                   MOVE WS-LITERAL-YES TO ERROR-YLD-TYPE-YR8
                   MOVE WS-LITERAL-YLD-TYPE-YR8
                     TO WS-8000-FIELD-NAME1
                WHEN 9
                   MOVE WS-LITERAL-YES TO ERROR-YLD-TYPE-YR9
                   MOVE WS-LITERAL-YLD-TYPE-YR9
                     TO WS-8000-FIELD-NAME1
                WHEN 10
                   MOVE WS-LITERAL-YES TO ERROR-YLD-TYPE-YR10
                   MOVE WS-LITERAL-YLD-TYPE-YR10
                     TO WS-8000-FIELD-NAME1
                WHEN OTHER
                   MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
                   MOVE 044 TO WS-8000-SHORT-ERROR
                   MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
                   MOVE 'YIELD TYPE TBL IDX'
                     TO WS-8000-FIELD-NAME1
                   SET WS-2510-INTEGER-ERROR
                    TO WS-2510-YIELD-TYPE-INDEX
                   MOVE WS-2510-INTEGER-ERROR
                     TO WS-8000-BAD-DATA1
                   MOVE 'YIELD TYPE TABLE INDEX OUT OF BOUNDS'
                     TO WS-8000-CORR-DATA1
                   MOVE 2510 TO WS-8000-PARAGRAPH-NO
                   PERFORM 8000-RECORD-TRAN-ERROR
                      THRU 8000-RECORD-TRAN-ERROR-EXIT
              END-EVALUATE
              MOVE WS-2510-TBL-YIELD-TYPE(WS-2510-YIELD-TYPE-INDEX)
                TO WS-8000-BAD-DATA1
              MOVE 'CATEGORY C CROP' TO WS-8000-CORR-DATA1
              MOVE 2510 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF.

       2510-TEST-CATEGORY-C-EXIT.
           EXIT.
