      ****************************************************************
      *  File   : IF2525.CBL
      *  Author : Mike Ray
      *  Date   : 02/14/96
      *  Purpose: VALIDATE YIELD TYPE/YIELD/ACRES COMBINATIONS
      ****************************************************************

       2525-VAL-YIELD-COMBOS.

      $IF DEBUG-SW DEFINED
          DISPLAY '2525-VALIDATING YIELD/TYPE/ACRE COMBINATIONS'
          UPON CONSOLE
      $END

      **************************************************
      *          INITIALIZE LOCAL VARIABLES            *
      **************************************************
           INITIALIZE WS-2525-LOCAL
           INITIALIZE WS-2525-OUTPUT

      **********************************************
      *            CHECK PRE-CONDITIONS            *
      **********************************************
           IF ERROR-UNIT-OF-MEASURE =  WS-LITERAL-YES OR
              ERROR-TRANSITIONAL-YIELD = WS-LITERAL-YES OR
              ERROR-PREV-APPROV-YLD = WS-LITERAL-YES OR
              ERROR-CROP-CD = WS-LITERAL-YES OR
              ERROR-NCS-YLD-FCTR = WS-LITERAL-YES OR
              ERROR-NCS-EXCEPTION-FLAG = WS-LITERAL-YES OR
              ERROR-YLD-TYPE-YR1 = WS-LITERAL-YES OR
              ERROR-YLD-TYPE-YR2 = WS-LITERAL-YES OR
              ERROR-YLD-TYPE-YR3 = WS-LITERAL-YES OR
              ERROR-YLD-TYPE-YR4 = WS-LITERAL-YES OR
              ERROR-YLD-TYPE-YR5 = WS-LITERAL-YES OR
              ERROR-YLD-TYPE-YR6 = WS-LITERAL-YES OR
              ERROR-YLD-TYPE-YR7 = WS-LITERAL-YES OR
              ERROR-YLD-TYPE-YR8 = WS-LITERAL-YES OR
              ERROR-YLD-TYPE-YR9 = WS-LITERAL-YES OR
              ERROR-YLD-TYPE-YR10 = WS-LITERAL-YES OR
              ERROR-ANNUAL-YLD1 = WS-LITERAL-YES OR
              ERROR-ANNUAL-YLD2 = WS-LITERAL-YES OR
              ERROR-ANNUAL-YLD3 = WS-LITERAL-YES OR
              ERROR-ANNUAL-YLD4 = WS-LITERAL-YES OR
              ERROR-ANNUAL-YLD5 = WS-LITERAL-YES OR
              ERROR-ANNUAL-YLD6 = WS-LITERAL-YES OR
              ERROR-ANNUAL-YLD7 = WS-LITERAL-YES OR
              ERROR-ANNUAL-YLD8 = WS-LITERAL-YES OR
              ERROR-ANNUAL-YLD9 = WS-LITERAL-YES OR
              ERROR-ANNUAL-YLD10 = WS-LITERAL-YES OR
              ERROR-YLD-ACRE1 = WS-LITERAL-YES OR
              ERROR-YLD-ACRE2 = WS-LITERAL-YES OR
              ERROR-YLD-ACRE3 = WS-LITERAL-YES OR
              ERROR-YLD-ACRE4 = WS-LITERAL-YES OR
              ERROR-YLD-ACRE5 = WS-LITERAL-YES OR
              ERROR-YLD-ACRE6 = WS-LITERAL-YES OR
              ERROR-YLD-ACRE7 = WS-LITERAL-YES OR
              ERROR-YLD-ACRE8 = WS-LITERAL-YES OR
              ERROR-YLD-ACRE9 = WS-LITERAL-YES OR
              ERROR-YLD-ACRE10 = WS-LITERAL-YES

              MOVE WS-LITERAL-YES TO ERROR-YLD-TYPE-YR1
              MOVE WS-LITERAL-YES TO ERROR-YLD-TYPE-YR2
              MOVE WS-LITERAL-YES TO ERROR-YLD-TYPE-YR3
              MOVE WS-LITERAL-YES TO ERROR-YLD-TYPE-YR4
              MOVE WS-LITERAL-YES TO ERROR-YLD-TYPE-YR5
              MOVE WS-LITERAL-YES TO ERROR-YLD-TYPE-YR6
              MOVE WS-LITERAL-YES TO ERROR-YLD-TYPE-YR7
              MOVE WS-LITERAL-YES TO ERROR-YLD-TYPE-YR8
              MOVE WS-LITERAL-YES TO ERROR-YLD-TYPE-YR9
              MOVE WS-LITERAL-YES TO ERROR-YLD-TYPE-YR10
              MOVE WS-LITERAL-YES TO ERROR-ANNUAL-YLD1
              MOVE WS-LITERAL-YES TO ERROR-ANNUAL-YLD2
              MOVE WS-LITERAL-YES TO ERROR-ANNUAL-YLD3
              MOVE WS-LITERAL-YES TO ERROR-ANNUAL-YLD4
              MOVE WS-LITERAL-YES TO ERROR-ANNUAL-YLD5
              MOVE WS-LITERAL-YES TO ERROR-ANNUAL-YLD6
              MOVE WS-LITERAL-YES TO ERROR-ANNUAL-YLD7
              MOVE WS-LITERAL-YES TO ERROR-ANNUAL-YLD8
              MOVE WS-LITERAL-YES TO ERROR-ANNUAL-YLD9
              MOVE WS-LITERAL-YES TO ERROR-ANNUAL-YLD10
              MOVE WS-LITERAL-YES TO ERROR-YLD-ACRE1
              MOVE WS-LITERAL-YES TO ERROR-YLD-ACRE2
              MOVE WS-LITERAL-YES TO ERROR-YLD-ACRE3
              MOVE WS-LITERAL-YES TO ERROR-YLD-ACRE4
              MOVE WS-LITERAL-YES TO ERROR-YLD-ACRE5
              MOVE WS-LITERAL-YES TO ERROR-YLD-ACRE6
              MOVE WS-LITERAL-YES TO ERROR-YLD-ACRE7
              MOVE WS-LITERAL-YES TO ERROR-YLD-ACRE8
              MOVE WS-LITERAL-YES TO ERROR-YLD-ACRE9
              MOVE WS-LITERAL-YES TO ERROR-YLD-ACRE10
              MOVE WS-LITERAL-YES TO ERROR-AVG-YIELD

              GO TO 2525-VAL-YIELD-COMBOS-EXIT
           END-IF

           MOVE WS-2525-PREV-APPROVED-YLD
             TO WS-2525-PREV-APPROVED-YIELD
           MOVE WS-2525-TRANSITIONAL-YLD
             TO WS-2525-TRANSITIONAL-YIELD
           MOVE WS-2525-ANNUAL-YLD-1 TO WS-2525-YIELD1
           MOVE WS-2525-ANNUAL-YLD-2 TO WS-2525-YIELD2
           MOVE WS-2525-ANNUAL-YLD-3 TO WS-2525-YIELD3
           MOVE WS-2525-ANNUAL-YLD-4 TO WS-2525-YIELD4
           MOVE WS-2525-ANNUAL-YLD-5 TO WS-2525-YIELD5
           MOVE WS-2525-ANNUAL-YLD-6 TO WS-2525-YIELD6
           MOVE WS-2525-ANNUAL-YLD-7 TO WS-2525-YIELD7
           MOVE WS-2525-ANNUAL-YLD-8 TO WS-2525-YIELD8
           MOVE WS-2525-ANNUAL-YLD-9 TO WS-2525-YIELD9
           MOVE WS-2525-ANNUAL-YLD-10 TO WS-2525-YIELD10

      **************************************************
      *             CALCULATE AVERAGE YIELD            *
      **************************************************
           SET WS-2525-YIELD-INDEX TO 1
           PERFORM 2525-SUM-YIELDS
              THRU 2525-SUM-YIELDS-EXIT
              WITH TEST AFTER
           VARYING WS-2525-YIELD-INT-INDEX FROM 1 BY 1
             UNTIL WS-2525-YIELD-INT-INDEX = 10

           IF (WS-2525-TOTAL-YEARS > ZEROS) AND
              (WS-2525-YIELD-SUM > ZEROS)
      **      ** WHEN THE UNIT OF MEASURE FOR THE CROP IS BARRELS OR
      **      ** TONS, THE AVERAGE YIELD SHOULD BE ROUNDED TO TENTHS.
              IF WS-2525-CROP-UNIT-OF-MEASURE = WS-LITERAL-BARRELS OR
                 WS-2525-CROP-UNIT-OF-MEASURE = WS-LITERAL-TONS
                 COMPUTE WS-2525-AVERAGE-YIELD-TENTHS ROUNDED
                    = (WS-2525-YIELD-SUM / WS-2525-TOTAL-YEARS)
                    ON SIZE ERROR
                       MOVE 2525 TO WS-8020-PARAGRAPH-NO
                       MOVE 90017 TO WS-8020-INT-ERROR-NO
                       MOVE 'AVG YLD - TENTHS'
                         TO WS-8020-FIELD-NAME
                       MOVE SPACES TO WS-8020-BAD-DATA
                       MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
                       PERFORM 8020-RECORD-INT-ERROR
                          THRU 8020-RECORD-INT-ERROR-EXIT
                 END-COMPUTE
                 MOVE WS-2525-AVERAGE-YIELD-TENTHS
                   TO WS-2525-AVERAGE-YIELD
              ELSE
      **      ** WHEN THE UNIT OF MEASURE FOR THE CROP IS
      **      ** ANYTHING OTHER THAN BARRELS OR TONS,
      **      ** THE AVERAGE YIELD SHOULD BE ROUNDED TO A WHOLE NUMBER.
                 COMPUTE WS-2525-AVERAGE-YIELD-WHOLE ROUNDED
                    = (WS-2525-YIELD-SUM / WS-2525-TOTAL-YEARS)
                    ON SIZE ERROR
                       MOVE 2525 TO WS-8020-PARAGRAPH-NO
                       MOVE 90017 TO WS-8020-INT-ERROR-NO
                       MOVE 'AVG YLD - WHOLE'
                         TO WS-8020-FIELD-NAME
                       MOVE SPACES TO WS-8020-BAD-DATA
                       MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
                       PERFORM 8020-RECORD-INT-ERROR
                          THRU 8020-RECORD-INT-ERROR-EXIT
                 END-COMPUTE
                 MOVE WS-2525-AVERAGE-YIELD-WHOLE
                   TO WS-2525-AVERAGE-YIELD
              END-IF
           END-IF

      *    *** SET UP DISPLAY FIELD FOR ERRORS
           MOVE WS-2525-AVERAGE-YIELD TO WS-2525-AVERAGE-YIELD-X

      $IF DEBUG-SW DEFINED
           DISPLAY 'AVERAGE YIELD = ', WS-2525-AVERAGE-YIELD-X
           UPON CONSOLE
      $END


      **************************************************
      *             CHECK COMBINATIONS                 *
      **************************************************

           SET WS-2525-YIELD-INDEX TO 1
           PERFORM 2525-VAL-COMBO
              THRU 2525-VAL-COMBO-EXIT
              WITH TEST AFTER
           VARYING WS-2525-YIELD-INT-INDEX FROM 1 BY 1
             UNTIL WS-2525-YIELD-INT-INDEX = 10.



       2525-VAL-YIELD-COMBOS-EXIT.
           EXIT.


       2525-VAL-COMBO.

      **************************************************
      *      DETERMINE THE VALID YIELD/ACRE VALUES     *
      **************************************************
           SET WS-2525-YIELD-INDEX TO WS-2525-YIELD-INT-INDEX

      $IF DEBUG-SW DEFINED
           DISPLAY 'YIELD TYPE    = ',
           WS-2525-TBL-YIELD-TYPE(WS-2525-YIELD-INDEX)
           UPON CONSOLE
      $END

           MOVE SPACES TO WS-2525-YIELD-COMPARITOR
           MOVE 00000.0 TO WS-2525-TEMP-YIELD
           MOVE SPACES TO WS-2525-ACRES-COMPARITOR
           MOVE ZEROS TO WS-2525-TEMP-ACRES

           EVALUATE WS-2525-TBL-YIELD-TYPE(WS-2525-YIELD-INDEX)
      *           **** YIELD TYPE = A ****
               WHEN WS-LITERAL-A-YLD
                  MOVE 00000.0 TO WS-2525-TEMP-YIELD
                  MOVE WS-LITERAL-GE TO WS-2525-YIELD-COMPARITOR
                  MOVE ZEROS TO WS-2525-TEMP-ACRES
                  MOVE WS-LITERAL-GT TO WS-2525-ACRES-COMPARITOR

      *           **** YIELD TYPE = J ****
               WHEN WS-LITERAL-J-YLD
                  MOVE 00000.0 TO WS-2525-TEMP-YIELD
                  MOVE WS-LITERAL-GE TO WS-2525-YIELD-COMPARITOR
                  MOVE ZEROS TO WS-2525-TEMP-ACRES
                  MOVE WS-LITERAL-GT TO WS-2525-ACRES-COMPARITOR

      *           **** YIELD TYPE = P ****
               WHEN WS-LITERAL-P-YLD
      *           *** IF THE NCS FACTOR < 1.00 THE YIELD MUST EQUAL
      *           *** THE PREVIOUS APPROVED YIELD * 0.75 * NCS FACTOR
      *           *** IF THE NCS FACTOR = 1.00 THE YIELD MUST EQUAL
      *           *** THE PREVIOUS APPROVED YIELD * 0.75
                  COMPUTE WS-2525-TEMP-YIELD ROUNDED
                     = (WS-2525-PREV-APPROVED-YIELD * 0.75)
                  ON SIZE ERROR
                     MOVE 2525 TO WS-8020-PARAGRAPH-NO
                     MOVE 90017 TO WS-8020-INT-ERROR-NO
                     MOVE 'PREV YIELD * 0.75'
                       TO WS-8020-FIELD-NAME
                     MOVE SPACES TO WS-8020-BAD-DATA
                     MOVE WS-LITERAL-YES
                       TO WS-8020-ABORT-PROGRAM
                     PERFORM 8020-RECORD-INT-ERROR
                        THRU 8020-RECORD-INT-ERROR-EXIT
                  END-COMPUTE

                  IF WS-2525-NCS-YIELD-FACTOR < 1.00
                     COMPUTE WS-2525-TEMP-YIELD ROUNDED
                        = (WS-2525-TEMP-YIELD
                           * WS-2525-NCS-YIELD-FACTOR)
                     ON SIZE ERROR
                        MOVE 2525 TO WS-8020-PARAGRAPH-NO
                        MOVE 90017 TO WS-8020-INT-ERROR-NO
                        MOVE 'YIELD * NCS FACTOR'
                          TO WS-8020-FIELD-NAME
                        MOVE SPACES TO WS-8020-BAD-DATA
                        MOVE WS-LITERAL-YES
                          TO WS-8020-ABORT-PROGRAM
                        PERFORM 8020-RECORD-INT-ERROR
                           THRU 8020-RECORD-INT-ERROR-EXIT
                     END-COMPUTE
      *              *** THE ACRES MUST BE > 0
                     MOVE ZEROS TO WS-2525-TEMP-ACRES
                     MOVE WS-LITERAL-GT TO WS-2525-ACRES-COMPARITOR
                  ELSE
      *              *** THE ACRES MUST BE >= 0
                     MOVE ZEROS TO WS-2525-TEMP-ACRES
                     MOVE WS-LITERAL-GE TO WS-2525-ACRES-COMPARITOR
                  END-IF
      *           **** THE YEAR 10 VALUE MUST ALWAYS EQUAL THE TEMP YIELD
      *           **** ANY OTHER YEAR CAN NOT BE VALIDATED BECAUSE THE
      *           **** PREVIOUS APPROVED YIELD FOR THAT YEAR WILL NOT BE
      *           **** AVAILABLE. MOVE THE INPUT YIELD TO THE CORRECT
      *           **** YIELD FIELD.
                  IF WS-2525-YIELD-INDEX <> 10
                     MOVE WS-2525-TBL-YIELD(WS-2525-YIELD-INDEX)
                       TO WS-2525-TEMP-YIELD
                  END-IF
                  MOVE WS-LITERAL-EQ TO WS-2525-YIELD-COMPARITOR


      *           **** YIELD TYPE = T ****
               WHEN WS-LITERAL-T-YLD
                  IF WS-2525-NCS-YIELD-FACTOR < 1.00
                     COMPUTE WS-2525-TEMP-YIELD ROUNDED
                        = (WS-2525-TRANSITIONAL-YIELD
                          * WS-2525-NCS-YIELD-FACTOR)
                     ON SIZE ERROR
                        MOVE 2525 TO WS-8020-PARAGRAPH-NO
                        MOVE 90017 TO WS-8020-INT-ERROR-NO
                        MOVE 'T YIELD * NCS'
                          TO WS-8020-FIELD-NAME
                        MOVE SPACES TO WS-8020-BAD-DATA
                        MOVE WS-LITERAL-YES
                          TO WS-8020-ABORT-PROGRAM
                        PERFORM 8020-RECORD-INT-ERROR
                           THRU 8020-RECORD-INT-ERROR-EXIT
                     END-COMPUTE
                  ELSE
                     MOVE WS-2525-TRANSITIONAL-YIELD
                       TO WS-2525-TEMP-YIELD
                  END-IF
                  MOVE WS-LITERAL-EQ TO WS-2525-YIELD-COMPARITOR
      *           *** THE ACRES MUST BE = 0
                  MOVE ZEROS TO WS-2525-TEMP-ACRES
                  MOVE WS-LITERAL-EQ TO WS-2525-ACRES-COMPARITOR


      *           **** YIELD TYPE = D ****
               WHEN WS-LITERAL-D-YLD
                  IF WS-2525-NCS-YIELD-FACTOR < 1.00
                     COMPUTE WS-2525-TEMP-YIELD ROUNDED
                        = (WS-2525-TRANSITIONAL-YIELD
                          * WS-2525-NCS-YIELD-FACTOR)
                     ON SIZE ERROR
                        MOVE 2525 TO WS-8020-PARAGRAPH-NO
                        MOVE 90017 TO WS-8020-INT-ERROR-NO
                        MOVE 'D YIELD * NCS'
                          TO WS-8020-FIELD-NAME
                        MOVE SPACES TO WS-8020-BAD-DATA
                        MOVE WS-LITERAL-YES
                          TO WS-8020-ABORT-PROGRAM
                        PERFORM 8020-RECORD-INT-ERROR
                           THRU 8020-RECORD-INT-ERROR-EXIT
                     END-COMPUTE
                  ELSE
                     MOVE WS-2525-TRANSITIONAL-YIELD
                       TO WS-2525-TEMP-YIELD
                  END-IF
                  MOVE WS-LITERAL-EQ TO WS-2525-YIELD-COMPARITOR
      *           *** THE ACRES MUST BE = 0
                  MOVE ZEROS TO WS-2525-TEMP-ACRES
                  MOVE WS-LITERAL-EQ TO WS-2525-ACRES-COMPARITOR

      *           **** YIELD TYPE = H ****
               WHEN WS-LITERAL-H-YLD
                  COMPUTE WS-2525-TEMP-YIELD ROUNDED
                     = (WS-2525-TRANSITIONAL-YIELD * 1.1)
                  ON SIZE ERROR
                     MOVE 2525 TO WS-8020-PARAGRAPH-NO
                     MOVE 90017 TO WS-8020-INT-ERROR-NO
                     MOVE 'T YIELD * 1.1'
                       TO WS-8020-FIELD-NAME
                     MOVE SPACES TO WS-8020-BAD-DATA
                     MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
                     PERFORM 8020-RECORD-INT-ERROR
                        THRU 8020-RECORD-INT-ERROR-EXIT
                  END-COMPUTE
                  MOVE WS-LITERAL-EQ TO WS-2525-YIELD-COMPARITOR
      *           *** THE ACRES MUST BE = 0
                  MOVE ZEROS TO WS-2525-TEMP-ACRES
                  MOVE WS-LITERAL-EQ TO WS-2525-ACRES-COMPARITOR


      *           **** YIELD TYPE = I ****
               WHEN WS-LITERAL-I-YLD
                  MOVE WS-2525-TRANSITIONAL-YIELD
                    TO WS-2525-TEMP-YIELD
                  MOVE WS-LITERAL-EQ TO WS-2525-YIELD-COMPARITOR
      *           *** THE ACRES MUST BE = 0
                  MOVE ZEROS TO WS-2525-TEMP-ACRES
                  MOVE WS-LITERAL-EQ TO WS-2525-ACRES-COMPARITOR


      *           **** YIELD TYPE = N ****
               WHEN WS-LITERAL-N-YLD
                  COMPUTE WS-2525-TEMP-YIELD ROUNDED
                     = (WS-2525-TRANSITIONAL-YIELD * 0.9)
                  ON SIZE ERROR
                     MOVE 2525 TO WS-8020-PARAGRAPH-NO
                     MOVE 90017 TO WS-8020-INT-ERROR-NO
                     MOVE 'T YIELD * 0.9'
                       TO WS-8020-FIELD-NAME
                     MOVE SPACES TO WS-8020-BAD-DATA
                     MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
                     PERFORM 8020-RECORD-INT-ERROR
                        THRU 8020-RECORD-INT-ERROR-EXIT
                  END-COMPUTE
                  MOVE WS-LITERAL-EQ TO WS-2525-YIELD-COMPARITOR
      *           *** THE ACRES MUST BE = 0
                  MOVE ZEROS TO WS-2525-TEMP-ACRES
                  MOVE WS-LITERAL-EQ TO WS-2525-ACRES-COMPARITOR


      *           **** YIELD TYPE = E ****
               WHEN WS-LITERAL-E-YLD
                  COMPUTE WS-2525-TEMP-YIELD ROUNDED
                     = (WS-2525-TRANSITIONAL-YIELD * 0.8)
                  ON SIZE ERROR
                     MOVE 2525 TO WS-8020-PARAGRAPH-NO
                     MOVE 90017 TO WS-8020-INT-ERROR-NO
                     MOVE 'T YIELD * 0.8'
                       TO WS-8020-FIELD-NAME
                     MOVE SPACES TO WS-8020-BAD-DATA
                     MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
                     PERFORM 8020-RECORD-INT-ERROR
                        THRU 8020-RECORD-INT-ERROR-EXIT
                  END-COMPUTE
                  MOVE WS-LITERAL-EQ TO WS-2525-YIELD-COMPARITOR
      *           *** THE ACRES MUST BE = 0
                  MOVE ZEROS TO WS-2525-TEMP-ACRES
                  MOVE WS-LITERAL-EQ TO WS-2525-ACRES-COMPARITOR


               WHEN WS-LITERAL-R-YLD
                  NEXT SENTENCE

      *           **** YIELD TYPE = S ****
               WHEN WS-LITERAL-S-YLD
                  COMPUTE WS-2525-TEMP-YIELD ROUNDED
                     = (WS-2525-TRANSITIONAL-YIELD * 0.65)
                  ON SIZE ERROR
                     MOVE 2525 TO WS-8020-PARAGRAPH-NO
                     MOVE 90017 TO WS-8020-INT-ERROR-NO
                     MOVE 'T YIELD * 0.65'
                       TO WS-8020-FIELD-NAME
                     MOVE SPACES TO WS-8020-BAD-DATA
                     MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
                     PERFORM 8020-RECORD-INT-ERROR
                        THRU 8020-RECORD-INT-ERROR-EXIT
                  END-COMPUTE
                  MOVE WS-LITERAL-EQ TO WS-2525-YIELD-COMPARITOR
      *           *** THE ACRES MUST BE = 0
                  MOVE ZEROS TO WS-2525-TEMP-ACRES
                  MOVE WS-LITERAL-EQ TO WS-2525-ACRES-COMPARITOR


      *           **** YIELD TYPE = X ****
               WHEN WS-LITERAL-X-YLD
                  COMPUTE WS-2525-TEMP-YIELD ROUNDED
                     = (WS-2525-TRANSITIONAL-YIELD * 0.8)
                  ON SIZE ERROR
                     MOVE 2525 TO WS-8020-PARAGRAPH-NO
                     MOVE 90017 TO WS-8020-INT-ERROR-NO
                     MOVE 'T YIELD * 0.8'
                       TO WS-8020-FIELD-NAME
                     MOVE SPACES TO WS-8020-BAD-DATA
                     MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
                     PERFORM 8020-RECORD-INT-ERROR
                        THRU 8020-RECORD-INT-ERROR-EXIT
                  END-COMPUTE
                  MOVE WS-LITERAL-EQ TO WS-2525-YIELD-COMPARITOR
      *           *** THE ACRES MUST BE = 0
                  MOVE ZEROS TO WS-2525-TEMP-ACRES
                  MOVE WS-LITERAL-EQ TO WS-2525-ACRES-COMPARITOR


      *           **** YIELD TYPE = F ****
               WHEN WS-LITERAL-F-YLD
                  MOVE 00000.0 TO WS-2525-TEMP-YIELD
                  MOVE WS-LITERAL-GT TO WS-2525-YIELD-COMPARITOR
                  MOVE ZEROS TO WS-2525-TEMP-ACRES
                  MOVE WS-LITERAL-EQ TO WS-2525-ACRES-COMPARITOR


      *           **** YIELD TYPE = C ****
               WHEN WS-LITERAL-C-YLD
                  MOVE 00000.0 TO WS-2525-TEMP-YIELD
                  MOVE WS-LITERAL-GT TO WS-2525-YIELD-COMPARITOR
                  MOVE ZEROS TO WS-2525-TEMP-ACRES
                  MOVE WS-LITERAL-EQ TO WS-2525-ACRES-COMPARITOR


      *           **** YIELD TYPE = L ****
               WHEN WS-LITERAL-L-YLD
                  MOVE 00000.0 TO WS-2525-TEMP-YIELD
                  MOVE WS-LITERAL-GT TO WS-2525-YIELD-COMPARITOR
                  MOVE ZEROS TO WS-2525-TEMP-ACRES
                  MOVE WS-LITERAL-EQ TO WS-2525-ACRES-COMPARITOR


      *           **** YIELD TYPE = Z ****
               WHEN WS-LITERAL-Z-YLD
                  MOVE 00000.0 TO WS-2525-TEMP-YIELD
                  MOVE WS-LITERAL-EQ TO WS-2525-YIELD-COMPARITOR
                  MOVE ZEROS TO WS-2525-TEMP-ACRES
                  MOVE WS-LITERAL-EQ TO WS-2525-ACRES-COMPARITOR


      *           **** YIELD TYPE = BLANK ****
               WHEN SPACE
                  MOVE 00000.0 TO WS-2525-TEMP-YIELD
                  MOVE WS-LITERAL-EQ TO WS-2525-YIELD-COMPARITOR
                  MOVE ZEROS TO WS-2525-TEMP-ACRES
                  MOVE WS-LITERAL-EQ TO WS-2525-ACRES-COMPARITOR

               WHEN OTHER
                  MOVE 15008 TO WS-8000-ERROR-CODE
                  MOVE WS-LITERAL-IF TO WS-8000-ERROR-TYPE
                  MOVE WS-2525-TBL-YIELD-TYPE
                       (WS-2525-YIELD-INDEX)
                    TO WS-8000-BAD-DATA1
                  MOVE 'YIELD TYPE' TO WS-8000-FIELD-NAME1
                  MOVE 'SEE M-13' TO WS-8000-CORR-DATA1
                  MOVE WS-LITERAL-CROP-CD TO WS-8000-FIELD-NAME2
                  MOVE WS-0009-CROP-CATEGORIES TO WS-8000-BAD-DATA2
                  MOVE SPACES TO WS-8000-CORR-DATA2
                  MOVE SPACES TO WS-8000-FIELD-NAME3
                  MOVE SPACES TO WS-8000-BAD-DATA3
                  MOVE SPACES TO WS-8000-CORR-DATA3
                  MOVE 2525 TO WS-8000-PARAGRAPH-NO
                  PERFORM 8000-RECORD-TRAN-ERROR
                     THRU 8000-RECORD-TRAN-ERROR-EXIT
                  GO TO 2525-VAL-COMBO-EXIT
           END-EVALUATE

      **************************************************
      *          ROUND THE TEMP YIELD VALUE            *
      **************************************************

      $IF DEBUG-SW DEFINED
           MOVE WS-2525-TEMP-YIELD TO WS-2525-TEMP-YIELD-X
           DISPLAY 'TEMP YIELD         = ', WS-2525-TEMP-YIELD-X
           UPON CONSOLE
      $END

      **      ** WHEN THE UNIT OF MEASURE FOR THE CROP IS BARRELS OR
      **      ** TONS, THE TEMP YIELD SHOULD BE ROUNDED TO TENTHS.
           IF WS-2525-CROP-UNIT-OF-MEASURE = WS-LITERAL-BARRELS OR
              WS-2525-CROP-UNIT-OF-MEASURE = WS-LITERAL-TONS
              IF WS-2525-TEMP-YIELD > 0
                 COMPUTE WS-2525-TEMP-YIELD-TENTHS ROUNDED
                    = (WS-2525-TEMP-YIELD * 1)
                 ON SIZE ERROR
                    MOVE 2525 TO WS-8020-PARAGRAPH-NO
                    MOVE 90017 TO WS-8020-INT-ERROR-NO
                    MOVE 'T YIELD ROUND TO TENTHS'
                      TO WS-8020-FIELD-NAME
                    MOVE SPACES TO WS-8020-BAD-DATA
                    MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
                    PERFORM 8020-RECORD-INT-ERROR
                       THRU 8020-RECORD-INT-ERROR-EXIT
                 END-COMPUTE
                 MOVE WS-2525-TEMP-YIELD-TENTHS
                   TO WS-2525-TEMP-YIELD
           ELSE
      **      ** WHEN THE UNIT OF MEASURE FOR THE CROP IS
      **      ** ANYTHING OTHER THAN BARRELS OR TONS,
      **      ** THE TEMP YIELD SHOULD BE ROUNDED TO A WHOLE NUMBER.
              IF WS-2525-TEMP-YIELD > 0
                 COMPUTE WS-2525-TEMP-YIELD-WHOLE ROUNDED
                    = (WS-2525-TEMP-YIELD * 1)
                 ON SIZE ERROR
                    MOVE 2525 TO WS-8020-PARAGRAPH-NO
                    MOVE 90017 TO WS-8020-INT-ERROR-NO
                    MOVE 'T YIELD ROUND TO WHOLE'
                      TO WS-8020-FIELD-NAME
                    MOVE SPACES TO WS-8020-BAD-DATA
                    MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
                    PERFORM 8020-RECORD-INT-ERROR
                       THRU 8020-RECORD-INT-ERROR-EXIT
                 END-COMPUTE
                 MOVE WS-2525-TEMP-YIELD-WHOLE
                   TO WS-2525-TEMP-YIELD
              END-IF
           END-IF

      $IF DEBUG-SW DEFINED
           MOVE WS-2525-TEMP-YIELD TO WS-2525-TEMP-YIELD-X
           DISPLAY 'ROUNDED TEMP YIELD = ', WS-2525-TEMP-YIELD-X
           UPON CONSOLE
      $END

      **************************************************
      *          COMPARE THE YIELD VALUES              *
      **************************************************

           EVALUATE WS-2525-YIELD-COMPARITOR
               WHEN WS-LITERAL-LT
                  IF WS-2525-TBL-YIELD(WS-2525-YIELD-INDEX) >=
                     WS-2525-TEMP-YIELD
                     MOVE 15065 TO WS-8000-ERROR-CODE
                     MOVE WS-LITERAL-IF TO WS-8000-ERROR-TYPE
                     PERFORM 2525-MARK-YIELD-ERROR
                        THRU 2525-MARK-YIELD-ERROR-EXIT
                     MOVE WS-2525-TEMP-YIELD TO WS-2525-TEMP-YIELD-X
                     MOVE WS-2525-TEMP-YIELD-X TO WS-8000-CORR-DATA1
                     MOVE 2525 TO WS-8000-PARAGRAPH-NO
                     PERFORM 8000-RECORD-TRAN-ERROR
                        THRU 8000-RECORD-TRAN-ERROR-EXIT
                  END-IF
               WHEN WS-LITERAL-LE
                  IF WS-2525-TBL-YIELD(WS-2525-YIELD-INDEX) >
                     WS-2525-TEMP-YIELD
                     MOVE 15065 TO WS-8000-ERROR-CODE
                     MOVE WS-LITERAL-IF TO WS-8000-ERROR-TYPE
                     PERFORM 2525-MARK-YIELD-ERROR
                        THRU 2525-MARK-YIELD-ERROR-EXIT
                     MOVE WS-2525-TEMP-YIELD TO WS-2525-TEMP-YIELD-X
                     MOVE WS-2525-TEMP-YIELD-X TO WS-8000-CORR-DATA1
                     MOVE 2525 TO WS-8000-PARAGRAPH-NO
                     PERFORM 8000-RECORD-TRAN-ERROR
                        THRU 8000-RECORD-TRAN-ERROR-EXIT
                  END-IF
               WHEN WS-LITERAL-EQ
                  IF WS-2525-TBL-YIELD(WS-2525-YIELD-INDEX) NOT =
                     WS-2525-TEMP-YIELD
                     MOVE 15065 TO WS-8000-ERROR-CODE
                     MOVE WS-LITERAL-IF TO WS-8000-ERROR-TYPE
                     PERFORM 2525-MARK-YIELD-ERROR
                        THRU 2525-MARK-YIELD-ERROR-EXIT
                     MOVE WS-2525-TEMP-YIELD TO WS-2525-TEMP-YIELD-X
                     MOVE WS-2525-TEMP-YIELD-X TO WS-8000-CORR-DATA1
                     MOVE 2525 TO WS-8000-PARAGRAPH-NO
                     PERFORM 8000-RECORD-TRAN-ERROR
                        THRU 8000-RECORD-TRAN-ERROR-EXIT
                  END-IF
               WHEN WS-LITERAL-GE
                  IF WS-2525-TBL-YIELD(WS-2525-YIELD-INDEX) <
                     WS-2525-TEMP-YIELD
                     MOVE 15065 TO WS-8000-ERROR-CODE
                     MOVE WS-LITERAL-IF TO WS-8000-ERROR-TYPE
                     PERFORM 2525-MARK-YIELD-ERROR
                        THRU 2525-MARK-YIELD-ERROR-EXIT
                     MOVE WS-2525-TEMP-YIELD TO WS-2525-TEMP-YIELD-X
                     MOVE WS-2525-TEMP-YIELD-X TO WS-8000-CORR-DATA1
                     MOVE 2525 TO WS-8000-PARAGRAPH-NO
                     PERFORM 8000-RECORD-TRAN-ERROR
                        THRU 8000-RECORD-TRAN-ERROR-EXIT
                  END-IF
               WHEN WS-LITERAL-GT
                  IF WS-2525-TBL-YIELD(WS-2525-YIELD-INDEX) <=
                     WS-2525-TEMP-YIELD
                     MOVE 15065 TO WS-8000-ERROR-CODE
                     MOVE WS-LITERAL-IF TO WS-8000-ERROR-TYPE
                     PERFORM 2525-MARK-YIELD-ERROR
                        THRU 2525-MARK-YIELD-ERROR-EXIT
                     MOVE WS-2525-TEMP-YIELD TO WS-2525-TEMP-YIELD-X
                     MOVE WS-2525-TEMP-YIELD-X TO WS-8000-CORR-DATA1
                     MOVE 2525 TO WS-8000-PARAGRAPH-NO
                     PERFORM 8000-RECORD-TRAN-ERROR
                        THRU 8000-RECORD-TRAN-ERROR-EXIT
                  END-IF
               WHEN OTHER
                  MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
                  MOVE 044 TO WS-8000-SHORT-ERROR
                  MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
                  MOVE 'WS-2525-YIELD-COMPARITOR' TO WS-8000-FIELD-NAME1
                  MOVE WS-2525-YIELD-COMPARITOR TO WS-8000-BAD-DATA1
                  MOVE 'INVALID COMPARISON OPERATOR'
                    TO WS-8000-CORR-DATA1
                  MOVE 2525 TO WS-8000-PARAGRAPH-NO
                  PERFORM 8000-RECORD-TRAN-ERROR
                     THRU 8000-RECORD-TRAN-ERROR-EXIT
                  GO TO 2525-VAL-YIELD-COMBOS-EXIT
           END-EVALUATE


      **************************************************
      *          COMPARE THE ACRE VALUES               *
      **************************************************

           EVALUATE WS-2525-ACRES-COMPARITOR
               WHEN WS-LITERAL-LT
                  IF WS-2525-TBL-YIELD-ACRES(WS-2525-YIELD-INDEX) >=
                     WS-2525-TEMP-ACRES
                     MOVE 15066 TO WS-8000-ERROR-CODE
                     MOVE WS-LITERAL-IF TO WS-8000-ERROR-TYPE
                     PERFORM 2525-MARK-ACRES-ERROR
                        THRU 2525-MARK-ACRES-ERROR-EXIT
                     MOVE WS-2525-TEMP-ACRES TO WS-2525-TEMP-ACRES-X
                     MOVE WS-2525-TEMP-ACRES-X TO WS-8000-CORR-DATA1
                     MOVE 2525 TO WS-8000-PARAGRAPH-NO
                     PERFORM 8000-RECORD-TRAN-ERROR
                        THRU 8000-RECORD-TRAN-ERROR-EXIT
                  END-IF
               WHEN WS-LITERAL-LE
                  IF WS-2525-TBL-YIELD-ACRES(WS-2525-YIELD-INDEX) >
                     WS-2525-TEMP-ACRES
                     MOVE 15066 TO WS-8000-ERROR-CODE
                     MOVE WS-LITERAL-IF TO WS-8000-ERROR-TYPE
                     PERFORM 2525-MARK-ACRES-ERROR
                        THRU 2525-MARK-ACRES-ERROR-EXIT
                     MOVE WS-2525-TEMP-ACRES TO WS-2525-TEMP-ACRES-X
                     MOVE WS-2525-TEMP-ACRES-X TO WS-8000-CORR-DATA1
                     MOVE 2525 TO WS-8000-PARAGRAPH-NO
                     PERFORM 8000-RECORD-TRAN-ERROR
                        THRU 8000-RECORD-TRAN-ERROR-EXIT
                  END-IF
               WHEN WS-LITERAL-EQ
                  IF WS-2525-TBL-YIELD-ACRES(WS-2525-YIELD-INDEX) NOT =
                     WS-2525-TEMP-ACRES
                     MOVE 15066 TO WS-8000-ERROR-CODE
                     MOVE WS-LITERAL-IF TO WS-8000-ERROR-TYPE
                     PERFORM 2525-MARK-ACRES-ERROR
                        THRU 2525-MARK-ACRES-ERROR-EXIT
                     MOVE WS-2525-TEMP-ACRES TO WS-2525-TEMP-ACRES-X
                     MOVE WS-2525-TEMP-ACRES-X TO WS-8000-CORR-DATA1
                     MOVE 2525 TO WS-8000-PARAGRAPH-NO
                     PERFORM 8000-RECORD-TRAN-ERROR
                        THRU 8000-RECORD-TRAN-ERROR-EXIT
                  END-IF
               WHEN WS-LITERAL-GE
                  IF WS-2525-TBL-YIELD-ACRES(WS-2525-YIELD-INDEX) <
                     WS-2525-TEMP-ACRES
                     MOVE 15066 TO WS-8000-ERROR-CODE
                     MOVE WS-LITERAL-IF TO WS-8000-ERROR-TYPE
                     PERFORM 2525-MARK-ACRES-ERROR
                        THRU 2525-MARK-ACRES-ERROR-EXIT
                     MOVE WS-2525-TEMP-ACRES TO WS-2525-TEMP-ACRES-X
                     MOVE WS-2525-TEMP-ACRES-X TO WS-8000-CORR-DATA1
                     MOVE 2525 TO WS-8000-PARAGRAPH-NO
                     PERFORM 8000-RECORD-TRAN-ERROR
                        THRU 8000-RECORD-TRAN-ERROR-EXIT
                  END-IF
               WHEN WS-LITERAL-GT
                  IF WS-2525-TBL-YIELD-ACRES(WS-2525-YIELD-INDEX) <=
                     WS-2525-TEMP-ACRES
                     MOVE 15066 TO WS-8000-ERROR-CODE
                     MOVE WS-LITERAL-IF TO WS-8000-ERROR-TYPE
                     PERFORM 2525-MARK-ACRES-ERROR
                        THRU 2525-MARK-ACRES-ERROR-EXIT
                     MOVE WS-2525-TEMP-ACRES TO WS-2525-TEMP-ACRES-X
                     MOVE WS-2525-TEMP-ACRES-X TO WS-8000-CORR-DATA1
                     MOVE 2525 TO WS-8000-PARAGRAPH-NO
                     PERFORM 8000-RECORD-TRAN-ERROR
                        THRU 8000-RECORD-TRAN-ERROR-EXIT
                  END-IF
               WHEN OTHER
                  MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
                  MOVE 044 TO WS-8000-SHORT-ERROR
                  MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
                  MOVE 'WS-2525-ACRES-COMPARITOR' TO WS-8000-FIELD-NAME1
                  MOVE WS-2525-ACRES-COMPARITOR TO WS-8000-BAD-DATA1
                  MOVE 'INVALID COMPARISON OPERATOR'
                    TO WS-8000-CORR-DATA1
                  MOVE 2525 TO WS-8000-PARAGRAPH-NO
                  PERFORM 8000-RECORD-TRAN-ERROR
                     THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-EVALUATE.



       2525-VAL-COMBO-EXIT.
           EXIT.


       2525-SUM-YIELDS.

           SET WS-2525-YIELD-INDEX TO WS-2525-YIELD-INT-INDEX

      $IF DEBUG-SW DEFINED
           DISPLAY 'YEAR ', WS-2525-YIELD-INT-INDEX, ' TYPE ',
           WS-2525-TBL-YIELD-TYPE(WS-2525-YIELD-INDEX),
           ' YIELD ', WS-2525-TBL-YIELD(WS-2525-YIELD-INDEX),
           ' ACRES ', WS-2525-TBL-YIELD-ACRES(WS-2525-YIELD-INDEX)
           UPON CONSOLE
      $END
           IF WS-2525-TBL-YIELD(WS-2525-YIELD-INDEX) > ZEROS OR
              WS-2525-TBL-YIELD-ACRES(WS-2525-YIELD-INDEX) > ZEROS
              ADD 1 TO WS-2525-TOTAL-YEARS
              IF WS-2525-TBL-YIELD-ACRES(WS-2525-YIELD-INDEX) > ZEROS OR
                 WS-2525-TBL-YIELD-TYPE(WS-2525-YIELD-INDEX)
                 = WS-LITERAL-P-YLD OR
                 WS-2525-TBL-YIELD-TYPE(WS-2525-YIELD-INDEX)
                 = WS-LITERAL-J-YLD
                 ADD 1 TO WS-2525-ACTUAL-YEARS
              END-IF
              ADD WS-2525-TBL-YIELD(WS-2525-YIELD-INDEX)
               TO WS-2525-YIELD-SUM
           END-IF.

       2525-SUM-YIELDS-EXIT.
           EXIT.


       2525-MARK-ACRES-ERROR.

           MOVE WS-2525-TBL-YIELD-ACRES(WS-2525-YIELD-INDEX)
             TO WS-2525-ACRES-ERROR
           MOVE WS-2525-ACRES-ERROR
             TO WS-8000-BAD-DATA1

           EVALUATE WS-2525-YIELD-INDEX
             WHEN 1
                MOVE WS-LITERAL-YES TO ERROR-YLD-ACRE1
                MOVE WS-LITERAL-YIELD-ACRE1
                  TO WS-8000-FIELD-NAME1
             WHEN 2
                MOVE WS-LITERAL-YES TO ERROR-YLD-ACRE2
                MOVE WS-LITERAL-YIELD-ACRE2
                  TO WS-8000-FIELD-NAME1
             WHEN 3
                MOVE WS-LITERAL-YES TO ERROR-YLD-ACRE3
                MOVE WS-LITERAL-YIELD-ACRE3
                  TO WS-8000-FIELD-NAME1
             WHEN 4
                MOVE WS-LITERAL-YES TO ERROR-YLD-ACRE4
                MOVE WS-LITERAL-YIELD-ACRE4
                  TO WS-8000-FIELD-NAME1
             WHEN 5
                MOVE WS-LITERAL-YES TO ERROR-YLD-ACRE5
                MOVE WS-LITERAL-YIELD-ACRE5
                  TO WS-8000-FIELD-NAME1
             WHEN 6
                MOVE WS-LITERAL-YES TO ERROR-YLD-ACRE6
                MOVE WS-LITERAL-YIELD-ACRE6
                  TO WS-8000-FIELD-NAME1
             WHEN 7
                MOVE WS-LITERAL-YES TO ERROR-YLD-ACRE7
                MOVE WS-LITERAL-YIELD-ACRE7
                  TO WS-8000-FIELD-NAME1
             WHEN 8
                MOVE WS-LITERAL-YES TO ERROR-YLD-ACRE8
                MOVE WS-LITERAL-YIELD-ACRE8
                  TO WS-8000-FIELD-NAME1
             WHEN 9
                MOVE WS-LITERAL-YES TO ERROR-YLD-ACRE9
                MOVE WS-LITERAL-YIELD-ACRE9
                  TO WS-8000-FIELD-NAME1
             WHEN 10
                MOVE WS-LITERAL-YES TO ERROR-YLD-ACRE10
                MOVE WS-LITERAL-YIELD-ACRE10
                  TO WS-8000-FIELD-NAME1
             WHEN OTHER
                MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
                MOVE 044 TO WS-8000-SHORT-ERROR
                MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
                MOVE 'YIELD COMBO TBL IDX' TO WS-8000-FIELD-NAME1
                SET WS-2525-INTEGER-ERROR
                 TO WS-2525-YIELD-INDEX
                MOVE WS-2525-INTEGER-ERROR TO WS-8000-BAD-DATA1
                MOVE 'YIELD COMBO TBL INDEX OUT OF BOUNDS'
                  TO WS-8000-CORR-DATA1
                MOVE 2525 TO WS-8000-PARAGRAPH-NO
                PERFORM 8000-RECORD-TRAN-ERROR
                   THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-EVALUATE.


       2525-MARK-ACRES-ERROR-EXIT.
           EXIT.

       2525-MARK-YIELD-ERROR.

           MOVE WS-2525-TBL-YIELD(WS-2525-YIELD-INDEX)
             TO WS-2525-YIELD-ERROR
           MOVE WS-2525-YIELD-ERROR
             TO WS-8000-BAD-DATA1

           EVALUATE WS-2525-YIELD-INDEX
             WHEN 1
                MOVE WS-LITERAL-YES TO ERROR-ANNUAL-YLD1
                MOVE WS-LITERAL-ANNUAL-YLD1
                  TO WS-8000-FIELD-NAME1
             WHEN 2
                MOVE WS-LITERAL-YES TO ERROR-ANNUAL-YLD2
                MOVE WS-LITERAL-ANNUAL-YLD2
                  TO WS-8000-FIELD-NAME1
             WHEN 3
                MOVE WS-LITERAL-YES TO ERROR-ANNUAL-YLD3
                MOVE WS-LITERAL-ANNUAL-YLD3
                  TO WS-8000-FIELD-NAME1
             WHEN 4
                MOVE WS-LITERAL-YES TO ERROR-ANNUAL-YLD4
                MOVE WS-LITERAL-ANNUAL-YLD4
                  TO WS-8000-FIELD-NAME1
             WHEN 5
                MOVE WS-LITERAL-YES TO ERROR-ANNUAL-YLD5
                MOVE WS-LITERAL-ANNUAL-YLD5
                  TO WS-8000-FIELD-NAME1
             WHEN 6
                MOVE WS-LITERAL-YES TO ERROR-ANNUAL-YLD6
                MOVE WS-LITERAL-ANNUAL-YLD6
                  TO WS-8000-FIELD-NAME1
             WHEN 7
                MOVE WS-LITERAL-YES TO ERROR-ANNUAL-YLD7
                MOVE WS-LITERAL-ANNUAL-YLD7
                  TO WS-8000-FIELD-NAME1
             WHEN 8
                MOVE WS-LITERAL-YES TO ERROR-ANNUAL-YLD8
                MOVE WS-LITERAL-ANNUAL-YLD8
                  TO WS-8000-FIELD-NAME1
             WHEN 9
                MOVE WS-LITERAL-YES TO ERROR-ANNUAL-YLD9
                MOVE WS-LITERAL-ANNUAL-YLD9
                  TO WS-8000-FIELD-NAME1
             WHEN 10
                MOVE WS-LITERAL-YES TO ERROR-ANNUAL-YLD10
                MOVE WS-LITERAL-ANNUAL-YLD10
                  TO WS-8000-FIELD-NAME1
             WHEN OTHER
                MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
                MOVE 044 TO WS-8000-SHORT-ERROR
                MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
                MOVE 'YIELD COMBO TBL IDX' TO WS-8000-FIELD-NAME1
                SET WS-2525-INTEGER-ERROR
                 TO WS-2525-YIELD-INDEX
                MOVE WS-2525-INTEGER-ERROR TO WS-8000-BAD-DATA1
                MOVE 'YIELD COMBO TBL INDEX OUT OF BOUNDS'
                  TO WS-8000-CORR-DATA1
                MOVE 2525 TO WS-8000-PARAGRAPH-NO
                PERFORM 8000-RECORD-TRAN-ERROR
                   THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-EVALUATE.


       2525-MARK-YIELD-ERROR-EXIT.
           EXIT.

