      ****************************************************************
      *  File   : IF2537.CBL
      *  Author : Alice Will
      *  Date   : 04/02/97
      *  Purpose: GET AVG PER ACRE REVENUES
      *           STORE VALUES FOR LATER INTER-RECORD VALIDATIONS
      ****************************************************************

       2537-GET-AVG-REVENUES.

      $IF DEBUG-SW DEFINED
          DISPLAY '2537-GET AVG PER ACRE REVENUES - ARC ONLY'
          UPON CONSOLE
      $END

      **************************************************
      *          INITIALIZE LOCAL VARIABLES            *
      **************************************************
           INITIALIZE WS-2537-LOCAL
           INITIALIZE WS-2537-OUTPUT

      **********************************************
      *            CHECK PRE-CONDITIONS            *
      **********************************************
           IF ERROR-CROP-YR = WS-LITERAL-YES OR
              ERROR-LOC-STATE = WS-LITERAL-YES OR
              ERROR-LOC-CNTY = WS-LITERAL-YES OR
              ERROR-CROP-CD = WS-LITERAL-YES OR
              ERROR-INSUR-PLAN-CD = WS-LITERAL-YES OR
              ERROR-PRACTICE-CD = WS-LITERAL-YES OR
              ERROR-CROP-TYPE = WS-LITERAL-YES OR
              ERROR-YLD-YR1 = WS-LITERAL-YES OR
              ERROR-YLD-YR2 = WS-LITERAL-YES OR
              ERROR-YLD-YR3 = WS-LITERAL-YES OR
              ERROR-YLD-YR4 = WS-LITERAL-YES OR
              ERROR-YLD-YR5 = WS-LITERAL-YES OR
              ERROR-YLD-YR6 = WS-LITERAL-YES OR
              ERROR-YLD-YR7 = WS-LITERAL-YES OR
              ERROR-YLD-YR8 = WS-LITERAL-YES OR
              ERROR-YLD-YR9 = WS-LITERAL-YES OR
              ERROR-YLD-YR10 = WS-LITERAL-YES

              MOVE WS-LITERAL-YES TO ERROR-CNTY-AVG-REVENUE
              MOVE WS-LITERAL-YES TO ERROR-LONGTRM-CNTY-AVG
              GO TO 2537-GET-AVG-REVENUES-EXIT
           END-IF

           MOVE WS-2537-INPUT-KEY TO WS-7545-INPUT-KEY
           PERFORM 7545-LOOKUP-ADMAC
              THRU 7545-LOOKUP-ADMAC-EXIT
           IF NOT MATCH-FOUND-7545
              MOVE WS-LITERAL-YES TO ERROR-CNTY-AVG-REVENUE
              MOVE WS-LITERAL-YES TO ERROR-LONGTRM-CNTY-AVG
              GO TO 2537-GET-AVG-REVENUES-EXIT
           END-IF

           MOVE WS-7545-LONG-TERM-AVG-REVENUE
             TO WS-2537-LONG-TERM-AVG-REVENUE
           MOVE WS-7545-ADMAC-REVENUE-TBL
             TO WS-2537-REVENUE-TBL


      **************************************************
      *       CALCULATE COUNTY AVERAGE REVENUE         *
      **************************************************

           MOVE ZEROS TO WS-2537-TOTAL-YEARS, WS-2537-REVENUE-SUM,
                         WS-2537-AVERAGE-REVENUE-WHOLE,
                         WS-2537-FARM-AVG-REV-PER-ACRE,
                         WS-2537-CNTY-AVG-REV-PER-ACRE

           SET WS-2537-REVENUE-INDEX TO 1
           PERFORM 2537-SUM-FARM-REVENUE
              THRU 2537-SUM-FARM-REVENUE-EXIT
              WITH TEST AFTER
           VARYING WS-2537-REVENUE-INT-INDEX FROM 1 BY 1
             UNTIL WS-2537-REVENUE-INT-INDEX = 10

           IF (WS-2537-TOTAL-YEARS > ZEROS) AND
              (WS-2537-REVENUE-SUM > ZEROS)
                 COMPUTE WS-2537-AVERAGE-REVENUE-WHOLE ROUNDED
                    = (WS-2537-REVENUE-SUM / WS-2537-TOTAL-YEARS)
                    ON SIZE ERROR
                       MOVE 2537 TO WS-8020-PARAGRAPH-NO
                       MOVE 90017 TO WS-8020-INT-ERROR-NO
                       MOVE 'FARM AVG REV'
                         TO WS-8020-FIELD-NAME
                       MOVE SPACES TO WS-8020-BAD-DATA
                       MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
                       PERFORM 8020-RECORD-INT-ERROR
                          THRU 8020-RECORD-INT-ERROR-EXIT
                 END-COMPUTE
                 MOVE WS-2537-AVERAGE-REVENUE-WHOLE
                   TO WS-2537-FARM-AVG-REV-PER-ACRE
           END-IF


           MOVE ZEROS TO WS-2537-TOTAL-YEARS, WS-2537-REVENUE-SUM,
                         WS-2537-AVERAGE-REVENUE-WHOLE

           SET WS-2537-REVENUE-INDEX TO 1
           PERFORM 2537-SUM-CNTY-REVENUE
              THRU 2537-SUM-CNTY-REVENUE-EXIT
              WITH TEST AFTER
           VARYING WS-2537-REVENUE-INT-INDEX FROM 1 BY 1
             UNTIL WS-2537-REVENUE-INT-INDEX = 10

           IF (WS-2537-TOTAL-YEARS > ZEROS) AND
              (WS-2537-REVENUE-SUM > ZEROS)
                 COMPUTE WS-2537-AVERAGE-REVENUE-WHOLE ROUNDED
                    = (WS-2537-REVENUE-SUM / WS-2537-TOTAL-YEARS)
                    ON SIZE ERROR
                       MOVE 2537 TO WS-8020-PARAGRAPH-NO
                       MOVE 90017 TO WS-8020-INT-ERROR-NO
                       MOVE 'CNTY AVG REV'
                         TO WS-8020-FIELD-NAME
                       MOVE SPACES TO WS-8020-BAD-DATA
                       MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
                       PERFORM 8020-RECORD-INT-ERROR
                          THRU 8020-RECORD-INT-ERROR-EXIT
                 END-COMPUTE

                 MOVE WS-2537-AVERAGE-REVENUE-WHOLE
                   TO WS-2537-CNTY-AVG-REV-PER-ACRE

                COMPUTE WS-2537-FARM-APRV-AVG-REVENUE =
                  (WS-2537-FARM-AVG-REV-PER-ACRE -
                   WS-2537-CNTY-AVG-REV-PER-ACRE +
                   WS-2537-LONG-TERM-AVG-REVENUE)
                    ON SIZE ERROR
                       MOVE 2537 TO WS-8020-PARAGRAPH-NO
                       MOVE 90017 TO WS-8020-INT-ERROR-NO
                       MOVE 'FARM APRV AVG REV'
                         TO WS-8020-FIELD-NAME
                       MOVE SPACES TO WS-8020-BAD-DATA
                       MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
                       PERFORM 8020-RECORD-INT-ERROR
                          THRU 8020-RECORD-INT-ERROR-EXIT
                       GO TO 2537-GET-AVG-REVENUES-EXIT
                 END-COMPUTE
           END-IF.

       2537-GET-AVG-REVENUES-EXIT.
           EXIT.

       2537-SUM-FARM-REVENUE.

           SET WS-2537-REVENUE-INDEX TO WS-2537-REVENUE-INT-INDEX

           IF (WS-2537-TBL-YLD-YR(WS-2537-REVENUE-INDEX) > ZEROS AND
              ((WS-2537-TBL-YLD-YR(WS-2537-REVENUE-INDEX) =
               WS-2537-YLD-YR1 AND WS-2537-ANNUAL-YLD-1 > ZEROS) OR
               (WS-2537-TBL-YLD-YR(WS-2537-REVENUE-INDEX) =
               WS-2537-YLD-YR2 AND WS-2537-ANNUAL-YLD-2 > ZEROS) OR
               (WS-2537-TBL-YLD-YR(WS-2537-REVENUE-INDEX) =
               WS-2537-YLD-YR3 AND WS-2537-ANNUAL-YLD-3 > ZEROS) OR
               (WS-2537-TBL-YLD-YR(WS-2537-REVENUE-INDEX) =
               WS-2537-YLD-YR4 AND WS-2537-ANNUAL-YLD-4 > ZEROS) OR
               (WS-2537-TBL-YLD-YR(WS-2537-REVENUE-INDEX) =
               WS-2537-YLD-YR5 AND WS-2537-ANNUAL-YLD-5 > ZEROS) OR
               (WS-2537-TBL-YLD-YR(WS-2537-REVENUE-INDEX) =
               WS-2537-YLD-YR6 AND WS-2537-ANNUAL-YLD-6 > ZEROS) OR
               (WS-2537-TBL-YLD-YR(WS-2537-REVENUE-INDEX) =
               WS-2537-YLD-YR7 AND WS-2537-ANNUAL-YLD-7 > ZEROS) OR
               (WS-2537-TBL-YLD-YR(WS-2537-REVENUE-INDEX) =
               WS-2537-YLD-YR8 AND WS-2537-ANNUAL-YLD-8 > ZEROS) OR
               (WS-2537-TBL-YLD-YR(WS-2537-REVENUE-INDEX) =
               WS-2537-YLD-YR9 AND WS-2537-ANNUAL-YLD-9 > ZEROS) OR
               (WS-2537-TBL-YLD-YR(WS-2537-REVENUE-INDEX) =
               WS-2537-YLD-YR10 AND WS-2537-ANNUAL-YLD-10 > ZEROS)))

              IF (WS-2537-TBL-YLD-YR(WS-2537-REVENUE-INDEX) =
                  WS-2537-YLD-YR1 AND WS-2537-ANNUAL-YLD-1 > ZEROS)
                 MOVE WS-2537-ANNUAL-YLD-1 TO WS-2537-TEMP-YIELD
              END-IF
              IF (WS-2537-TBL-YLD-YR(WS-2537-REVENUE-INDEX) =
                  WS-2537-YLD-YR2 AND WS-2537-ANNUAL-YLD-2 > ZEROS)
                 MOVE WS-2537-ANNUAL-YLD-2 TO WS-2537-TEMP-YIELD
              END-IF
              IF (WS-2537-TBL-YLD-YR(WS-2537-REVENUE-INDEX) =
                  WS-2537-YLD-YR3 AND WS-2537-ANNUAL-YLD-3 > ZEROS)
                 MOVE WS-2537-ANNUAL-YLD-3 TO WS-2537-TEMP-YIELD
              END-IF
              IF (WS-2537-TBL-YLD-YR(WS-2537-REVENUE-INDEX) =
                  WS-2537-YLD-YR4 AND WS-2537-ANNUAL-YLD-4 > ZEROS)
                 MOVE WS-2537-ANNUAL-YLD-4 TO WS-2537-TEMP-YIELD
              END-IF
              IF (WS-2537-TBL-YLD-YR(WS-2537-REVENUE-INDEX) =
                  WS-2537-YLD-YR5 AND WS-2537-ANNUAL-YLD-5 > ZEROS)
                 MOVE WS-2537-ANNUAL-YLD-5 TO WS-2537-TEMP-YIELD
              END-IF
              IF (WS-2537-TBL-YLD-YR(WS-2537-REVENUE-INDEX) =
                  WS-2537-YLD-YR6 AND WS-2537-ANNUAL-YLD-6 > ZEROS)
                 MOVE WS-2537-ANNUAL-YLD-6 TO WS-2537-TEMP-YIELD
              END-IF
              IF (WS-2537-TBL-YLD-YR(WS-2537-REVENUE-INDEX) =
                  WS-2537-YLD-YR7 AND WS-2537-ANNUAL-YLD-7 > ZEROS)
                 MOVE WS-2537-ANNUAL-YLD-7 TO WS-2537-TEMP-YIELD
              END-IF
              IF (WS-2537-TBL-YLD-YR(WS-2537-REVENUE-INDEX) =
                  WS-2537-YLD-YR8 AND WS-2537-ANNUAL-YLD-8 > ZEROS)
                 MOVE WS-2537-ANNUAL-YLD-8 TO WS-2537-TEMP-YIELD
              END-IF
              IF (WS-2537-TBL-YLD-YR(WS-2537-REVENUE-INDEX) =
                  WS-2537-YLD-YR9 AND WS-2537-ANNUAL-YLD-9 > ZEROS)
                 MOVE WS-2537-ANNUAL-YLD-9 TO WS-2537-TEMP-YIELD
              END-IF
              IF (WS-2537-TBL-YLD-YR(WS-2537-REVENUE-INDEX) =
                  WS-2537-YLD-YR10 AND WS-2537-ANNUAL-YLD-10 > ZEROS)
                 MOVE WS-2537-ANNUAL-YLD-10 TO WS-2537-TEMP-YIELD
              END-IF


              ADD 1 TO WS-2537-TOTAL-YEARS

      *       COMPUTE WS-2537-TEMP-REVENUE ROUNDED =
      *          (WS-2537-TEMP-YIELD *
      *           WS-2537-TBL-SEASON-AVG-PRICE(WS-2537-REVENUE-INDEX))
      *             ON SIZE ERROR
      *                MOVE 2537 TO WS-8020-PARAGRAPH-NO
      *                MOVE 9017 TO WS-8020-INT-ERROR-NO
      *                MOVE 'FARM AVG REV'
      *                  TO WS-8020-FIELD-NAME
      *                MOVE SPACES TO WS-8020-BAD-DATA
      *                MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
      *                PERFORM 8020-RECORD-INT-ERROR
      *                   THRU 8020-RECORD-INT-ERROR-EXIT
      *          END-COMPUTE

              MOVE WS-2537-TEMP-YIELD TO WS-2537-TEMP-REVENUE
              ADD WS-2537-TEMP-REVENUE TO WS-2537-REVENUE-SUM
           END-IF.

       2537-SUM-FARM-REVENUE-EXIT.
           EXIT.




       2537-SUM-CNTY-REVENUE.

           SET WS-2537-REVENUE-INDEX TO WS-2537-REVENUE-INT-INDEX

           IF (WS-2537-TBL-YLD-YR(WS-2537-REVENUE-INDEX) > ZEROS AND
              ((WS-2537-TBL-YLD-YR(WS-2537-REVENUE-INDEX) =
               WS-2537-YLD-YR1 AND WS-2537-ANNUAL-YLD-1 > ZEROS) OR
               (WS-2537-TBL-YLD-YR(WS-2537-REVENUE-INDEX) =
               WS-2537-YLD-YR2 AND WS-2537-ANNUAL-YLD-2 > ZEROS) OR
               (WS-2537-TBL-YLD-YR(WS-2537-REVENUE-INDEX) =
               WS-2537-YLD-YR3 AND WS-2537-ANNUAL-YLD-3 > ZEROS) OR
               (WS-2537-TBL-YLD-YR(WS-2537-REVENUE-INDEX) =
               WS-2537-YLD-YR4 AND WS-2537-ANNUAL-YLD-4 > ZEROS) OR
               (WS-2537-TBL-YLD-YR(WS-2537-REVENUE-INDEX) =
               WS-2537-YLD-YR5 AND WS-2537-ANNUAL-YLD-5 > ZEROS) OR
               (WS-2537-TBL-YLD-YR(WS-2537-REVENUE-INDEX) =
               WS-2537-YLD-YR6 AND WS-2537-ANNUAL-YLD-6 > ZEROS) OR
               (WS-2537-TBL-YLD-YR(WS-2537-REVENUE-INDEX) =
               WS-2537-YLD-YR7 AND WS-2537-ANNUAL-YLD-7 > ZEROS) OR
               (WS-2537-TBL-YLD-YR(WS-2537-REVENUE-INDEX) =
               WS-2537-YLD-YR8 AND WS-2537-ANNUAL-YLD-8 > ZEROS) OR
               (WS-2537-TBL-YLD-YR(WS-2537-REVENUE-INDEX) =
               WS-2537-YLD-YR9 AND WS-2537-ANNUAL-YLD-9 > ZEROS) OR
               (WS-2537-TBL-YLD-YR(WS-2537-REVENUE-INDEX) =
               WS-2537-YLD-YR10 AND WS-2537-ANNUAL-YLD-10 > ZEROS)))

              ADD 1 TO WS-2537-TOTAL-YEARS
              ADD WS-2537-TBL-COUNTY-REVENUE(WS-2537-REVENUE-INDEX)
               TO WS-2537-REVENUE-SUM
           END-IF.

       2537-SUM-CNTY-REVENUE-EXIT.
           EXIT.


