      ****************************************************************
      *  File   : IF2540.CBL
      *  Author : Mike Ray
      *  Date   : 02/13/96
      *  Purpose: VALIDATE YIELD YEARS FOR SEQUENCE & MAKE SURE YEAR 10
      *           IS CURRENT FOR THE CROP.
      ****************************************************************

       2540-VAL-YIELD-YEARS.

      $IF DEBUG-SW DEFINED
          DISPLAY '2540-VALIDATING YIELD YEARS'
          UPON CONSOLE
      $END

      **************************************************
      *          INITIALIZE LOCAL VARIABLES            *
      **************************************************
           INITIALIZE WS-2540-LOCAL

      **********************************************
      *            CHECK PRE-CONDITIONS            *
      **********************************************
           IF ERROR-CROP-CD = WS-LITERAL-YES OR
              ERROR-CROP-YR = WS-LITERAL-YES OR
              ERROR-YLD-YR1 = WS-LITERAL-YES OR
              ERROR-YLD-YR2 = WS-LITERAL-YES OR
              ERROR-YLD-YR3 = WS-LITERAL-YES OR
              ERROR-YLD-YR4 = WS-LITERAL-YES OR
              ERROR-YLD-YR5 = WS-LITERAL-YES OR
              ERROR-YLD-YR6 = WS-LITERAL-YES OR
              ERROR-YLD-YR7 = WS-LITERAL-YES OR
              ERROR-YLD-YR8 = WS-LITERAL-YES OR
              ERROR-YLD-YR9 = WS-LITERAL-YES OR
              ERROR-YLD-YR10 = WS-LITERAL-YES

              MOVE WS-LITERAL-YES TO ERROR-YLD-YR1
              MOVE WS-LITERAL-YES TO ERROR-YLD-YR2
              MOVE WS-LITERAL-YES TO ERROR-YLD-YR3
              MOVE WS-LITERAL-YES TO ERROR-YLD-YR4
              MOVE WS-LITERAL-YES TO ERROR-YLD-YR5
              MOVE WS-LITERAL-YES TO ERROR-YLD-YR6
              MOVE WS-LITERAL-YES TO ERROR-YLD-YR7
              MOVE WS-LITERAL-YES TO ERROR-YLD-YR8
              MOVE WS-LITERAL-YES TO ERROR-YLD-YR9
              MOVE WS-LITERAL-YES TO ERROR-YLD-YR10
              GO TO 2540-VAL-YIELD-YEARS-EXIT
           END-IF



      **************************************************
      *       CHECK FOR VALID CHRONOLOGICAL ORDER      *
      **************************************************

           SET WS-2540-YIELD-YEAR-INDEX TO 1
           MOVE ZEROS TO WS-2540-HOLD-YEAR
           PERFORM 2540-VAL-YIELD-YEAR
              THRU 2540-VAL-YIELD-YEAR-EXIT
              WITH TEST AFTER
           VARYING WS-2540-YIELD-YEAR-INT-INDEX FROM 1 BY 1
             UNTIL WS-2540-YIELD-YEAR-INT-INDEX = 10.

      **************************************************
      *            VALIDATE YEAR 10                    *
      **************************************************

           MOVE WS-2540-CROP-YEAR TO WS-2540-VALID-YEAR10

           IF WS-2540-CROP-CD = WS-LITERAL-SUGAR-CANE
              IF WS-2540-YIELD-YEAR10 <> (WS-2540-CROP-YEAR - 2)
                 MOVE 15064 TO WS-8000-ERROR-CODE
                 MOVE 2540 TO WS-8000-PARAGRAPH-NO
                 MOVE WS-LITERAL-IF TO WS-8000-ERROR-TYPE
                 MOVE WS-LITERAL-YES TO ERROR-YLD-YR10
                 MOVE WS-LITERAL-YLD-YR10 TO WS-8000-FIELD-NAME1
                 MOVE WS-2540-YIELD-YEAR10 TO WS-8000-BAD-DATA1
                 COMPUTE WS-2540-VALID-YEAR10
                     = (WS-2540-CROP-YEAR - 2)
                 END-COMPUTE
                 MOVE WS-2540-VALID-YEAR10 TO WS-8000-CORR-DATA1
                 PERFORM 8000-RECORD-TRAN-ERROR
                    THRU 8000-RECORD-TRAN-ERROR-EXIT
              END-IF
           END-IF.

       2540-VAL-YIELD-YEARS-EXIT.
           EXIT.


       2540-VAL-YIELD-YEAR.

           SET WS-2540-YIELD-YEAR-INDEX
            TO WS-2540-YIELD-YEAR-INT-INDEX
           IF WS-2540-TBL-YIELD-YEAR(WS-2540-YIELD-YEAR-INDEX)
              IS NOT NUMERIC
              GO TO 2540-VAL-YIELD-YEAR-EXIT
           END-IF

           IF WS-2540-TBL-YIELD-YEAR(WS-2540-YIELD-YEAR-INDEX) = ZEROS
              GO TO 2540-VAL-YIELD-YEAR-EXIT
           END-IF

           IF WS-2540-TBL-YIELD-YEAR(WS-2540-YIELD-YEAR-INDEX)
              > WS-2540-HOLD-YEAR
              MOVE WS-2540-TBL-YIELD-YEAR(WS-2540-YIELD-YEAR-INDEX)
                TO WS-2540-HOLD-YEAR
           ELSE
              MOVE 15063 TO WS-8000-ERROR-CODE
              MOVE WS-LITERAL-IF TO WS-8000-ERROR-TYPE
              PERFORM 2540-SET-ERROR
                 THRU 2540-SET-ERROR-EXIT
              MOVE WS-2540-TBL-YIELD-YEAR(WS-2540-YIELD-YEAR-INDEX)
                TO WS-8000-BAD-DATA1
              MOVE 2540 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF.

       2540-VAL-YIELD-YEAR-EXIT.
           EXIT.


       2540-SET-ERROR.

           EVALUATE WS-2540-YIELD-YEAR-INDEX
                WHEN 1
                   MOVE WS-LITERAL-YES TO ERROR-YLD-YR1
                   MOVE WS-LITERAL-YLD-YR1
                     TO WS-8000-FIELD-NAME1
                WHEN 2
                   MOVE WS-LITERAL-YES TO ERROR-YLD-YR2
                   MOVE WS-LITERAL-YLD-YR2
                     TO WS-8000-FIELD-NAME1
                WHEN 3
                   MOVE WS-LITERAL-YES TO ERROR-YLD-YR3
                   MOVE WS-LITERAL-YLD-YR3
                     TO WS-8000-FIELD-NAME1
                WHEN 4
                   MOVE WS-LITERAL-YES TO ERROR-YLD-YR4
                   MOVE WS-LITERAL-YLD-YR4
                     TO WS-8000-FIELD-NAME1
                WHEN 5
                   MOVE WS-LITERAL-YES TO ERROR-YLD-YR5
                   MOVE WS-LITERAL-YLD-YR5
                     TO WS-8000-FIELD-NAME1
                WHEN 6
                   MOVE WS-LITERAL-YES TO ERROR-YLD-YR6
                   MOVE WS-LITERAL-YLD-YR6
                     TO WS-8000-FIELD-NAME1
                WHEN 7
                   MOVE WS-LITERAL-YES TO ERROR-YLD-YR7
                   MOVE WS-LITERAL-YLD-YR7
                     TO WS-8000-FIELD-NAME1
                WHEN 8
                   MOVE WS-LITERAL-YES TO ERROR-YLD-YR8
                   MOVE WS-LITERAL-YLD-YR8
                     TO WS-8000-FIELD-NAME1
                WHEN 9
                   MOVE WS-LITERAL-YES TO ERROR-YLD-YR9
                   MOVE WS-LITERAL-YLD-YR9
                     TO WS-8000-FIELD-NAME1
                WHEN 10
                   MOVE WS-LITERAL-YES TO ERROR-YLD-YR10
                   MOVE WS-LITERAL-YLD-YR10
                     TO WS-8000-FIELD-NAME1
                WHEN OTHER
                   MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
                   MOVE 044 TO WS-8000-SHORT-ERROR
                   MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
                   MOVE 'YIELD YEAR TBL IDX'
                     TO WS-8000-FIELD-NAME1
                   SET WS-2540-INTEGER-ERROR
                    TO WS-2540-YIELD-YEAR-INDEX
                   MOVE WS-2540-INTEGER-ERROR
                     TO WS-8000-BAD-DATA1
                   MOVE 'YIELD YEAR TABLE INDEX OUT OF BOUNDS'
                     TO WS-8000-CORR-DATA1
                   MOVE 2540 TO WS-8000-PARAGRAPH-NO
                   PERFORM 8000-RECORD-TRAN-ERROR
                      THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-EVALUATE.


       2540-SET-ERROR-EXIT.
           EXIT.
