      ***************************************************************
      * File:      IF2555.CBL
      * Author:    Laura Dittamo
      * Date:      02/15/96
      * Purpose:
      *    This routine validates the Yield Indicator.
      *    When the Yield Indicator is:
      *    F or M        No edit applies for Approved Yield
      *    L             The crop must be 038 -Sugarcane-
      *
      ***************************************************************

       2555-VAL-YIELD-INDICATOR.

      $IF DEBUG-SW DEFINED
           DISPLAY '2555-VALIDATING YIELD INDICATOR'
           UPON CONSOLE
      $END

      **********************************************
      *  INITIALIZE LOCAL AND OUTPUT VARIABLES     *
      **********************************************
           INITIALIZE WS-2555-OUTPUT

      **********************************************
      *            CHECK PRE-CONDITIONS            *
      **********************************************
           IF ERROR-YLD-IND = WS-LITERAL-YES OR
              ERROR-CROP-CD = WS-LITERAL-YES
              MOVE WS-LITERAL-YES TO ERROR-YLD-IND
              GO TO 2555-VAL-YIELD-INDICATOR-EXIT
           END-IF

      $IF DEBUG-SW DEFINED
           DISPLAY 'YIELD INDICATOR = ', WS-2555-YIELD-INDICATOR
           UPON CONSOLE
      $END
           MOVE WS-LITERAL-YES TO WS-2555-APPROVED-YIELD-REQ
      **********************************************
      *            NORMAL PROCESSING               *
      **********************************************
           EVALUATE WS-2555-YIELD-INDICATOR
               WHEN 'F'
                 MOVE WS-LITERAL-NO TO WS-2555-APPROVED-YIELD-REQ

               WHEN 'L'
                 IF WS-2555-CROP-CD <> WS-LITERAL-SUGAR-CANE
                    MOVE 15070 TO WS-8000-ERROR-CODE
                    MOVE WS-LITERAL-YES TO ERROR-YLD-IND
                    MOVE WS-LITERAL-IF TO WS-8000-ERROR-TYPE
                    MOVE WS-LITERAL-YLD-IND TO WS-8000-FIELD-NAME1
                    MOVE WS-2555-YIELD-INDICATOR TO WS-8000-BAD-DATA1
                    MOVE SPACES TO WS-8000-CORR-DATA1
                    MOVE 2555 TO WS-8000-PARAGRAPH-NO
                    PERFORM 8000-RECORD-TRAN-ERROR
                       THRU 8000-RECORD-TRAN-ERROR-EXIT
                 END-IF

               WHEN 'M'
                 MOVE WS-LITERAL-NO TO WS-2555-APPROVED-YIELD-REQ

               WHEN 'R'
                 CONTINUE

               WHEN SPACE
                 CONTINUE

               WHEN OTHER
                  MOVE WS-LITERAL-YES TO ERROR-YLD-IND
                  MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
                  MOVE 044 TO WS-8000-SHORT-ERROR
                  MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
                  MOVE 'YIELD INDICATOR'
                    TO WS-8000-FIELD-NAME1
                  MOVE WS-2555-YIELD-INDICATOR
                    TO WS-8000-BAD-DATA1
                  MOVE 'NO LOGIC FOR THIS YIELD INDICATOR'
                    TO WS-8000-CORR-DATA1
                  MOVE 2555 TO WS-8000-PARAGRAPH-NO
                  PERFORM 8000-RECORD-TRAN-ERROR
                     THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-EVALUATE.


       2555-VAL-YIELD-INDICATOR-EXIT.
           EXIT.


