      ***************************************************************
      * File:      IF2565.CBL
      * Author:    Mike Ray
      * Date:      05/02/96
      * Purpose:
      *    This routine validates the NCS/FCIC-2 flag.
      *
      *    The NCS/FCIC-2 flag is compared with the coverage
      *    flag.  The following values are invalid for
      *    CAT coverage - R.
      *
      *    The NCS/FCIC-2 flag is also compared with the crop code.
      *    THE MACADAMIA TREE PRICE EXCEPTION, P, MAY ONLY BE USED
      *    for macadamia trees (Crop 024).
      *
      * MODIFICATIONS:
      *
      *     12/96  CONVERT NCS/FCIC2 FLAGS TO A ONE BYTE FIELD
      *            representation.  ADD NEW FLAGS W, S, & A.  JLH.
      ***************************************************************

       2565-VAL-NCS-FCIC2-FLAG.

      $IF DEBUG-SW DEFINED
           DISPLAY '2565-VALIDATING NCS/FCIC-2 FLAG AGAINST COVERAGE'
           UPON CONSOLE
      $END

      **********************************************
      *  INITIALIZE LOCAL AND OUTPUT VARIABLES     *
      **********************************************

      **********************************************
      *            CHECK PRE-CONDITIONS            *
      **********************************************

           IF ERROR-NCS-FCIC-2-FL = WS-LITERAL-YES OR
              ERROR-CROP-CD = WS-LITERAL-YES OR
              ERROR-INSUR-PLAN-CD = WS-LITERAL-YES OR
              ERROR-CVG-FL = WS-LITERAL-YES

              MOVE WS-LITERAL-YES TO ERROR-NCS-FCIC-2-FL
              GO TO 2565-VAL-NCS-FCIC2-FLAG-EXIT
           END-IF


      **********************************************
      *            NORMAL PROCESSING               *
      **********************************************

           IF WS-2565-COVERAGE-FLAG = WS-LITERAL-CAT
              IF WS-2565-NCS-FCIC2-FLAG = WS-LITERAL-FCIC2 OR
                 WS-2565-NCS-FCIC2-FLAG
                 = WS-LITERAL-FCIC2-NCS-PRODUCER
                 MOVE 11078 TO WS-8000-ERROR-CODE
                 MOVE WS-LITERAL-YES TO ERROR-NCS-FCIC-2-FL
                 MOVE WS-LITERAL-IF TO WS-8000-ERROR-TYPE
                 MOVE WS-LITERAL-NCS-FCIC-2-FL TO WS-8000-FIELD-NAME1
                 MOVE WS-2565-NCS-FCIC2-FLAG TO WS-8000-BAD-DATA1
                 MOVE 'Y, N, P, W, 3 OR BLANK' TO WS-8000-CORR-DATA1
                 MOVE 2565 TO WS-8000-PARAGRAPH-NO
                 PERFORM 8000-RECORD-TRAN-ERROR
                    THRU 8000-RECORD-TRAN-ERROR-EXIT
              END-IF
           END-IF

           IF WS-2565-NCS-FCIC2-FLAG = WS-LITERAL-FCI-2-PRICE-EXCEPT
              AND WS-2565-CROP-CD <> WS-LITERAL-MAC-TREES
              MOVE 11083 TO WS-8000-ERROR-CODE
              MOVE WS-LITERAL-YES TO ERROR-NCS-FCIC-2-FL
              MOVE WS-LITERAL-IF TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-NCS-FCIC-2-FL TO WS-8000-FIELD-NAME1
              MOVE WS-2565-NCS-FCIC2-FLAG TO WS-8000-BAD-DATA1
              MOVE 'Y, R, N, OR BLANK'
                TO WS-8000-CORR-DATA1
              MOVE 2565 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF (WS-2565-INS-PLAN-CD = WS-LITERAL-IP OR
              WS-2565-INS-PLAN-CD = WS-LITERAL-CRC)
              IF WS-2565-NCS-FCIC2-FLAG <> WS-LITERAL-NO-NCS and
                 WS-2565-NCS-FCIC2-FLAG <> WS-LITERAL-33-SUPP-RATE
                 MOVE 11090 TO WS-8000-ERROR-CODE
                 MOVE WS-LITERAL-YES TO ERROR-NCS-FCIC-2-FL
                 MOVE WS-LITERAL-IF TO WS-8000-ERROR-TYPE
                 MOVE WS-LITERAL-NCS-FCIC-2-FL TO WS-8000-FIELD-NAME1
                 MOVE WS-2565-NCS-FCIC2-FLAG TO WS-8000-BAD-DATA1
                 MOVE 'Blank'
                   TO WS-8000-CORR-DATA1
                 MOVE 2565 TO WS-8000-PARAGRAPH-NO
                 PERFORM 8000-RECORD-TRAN-ERROR
                    THRU 8000-RECORD-TRAN-ERROR-EXIT
              END-IF
           END-IF.


       2565-VAL-NCS-FCIC2-FLAG-EXIT.
           EXIT.


