      *****************************************************************
      *  File:     IF2575.CBL
      *  Author:   Laura Dittamo
      *  Date:     6/05/96
      *  Purpose:  Perform interfield edits for Insured Share
      *            When the policy is for Nursery (Crop 056) or
      *            Florida Fruit Trees (Ins Plan Cd 40), the input
      *            Insured Share must equal 1.00.
      *****************************************************************

       2575-VAL-INSURED-SHARE.

      $IF DEBUG-SW DEFINED
           DISPLAY '2575-VALIDATING INSURED SHARE'
           UPON CONSOLE
      $END

      ************************************************
      *       INITIALIZE LOCAL VARIABLES             *
      ************************************************

           INITIALIZE WS-2575-LOCAL

      ************************************************
      *              CHECK PRE-CONDITIONS            *
      ************************************************
           IF ERROR-CROP-CD = WS-LITERAL-YES OR
              ERROR-INSUR-PLAN-CD = WS-LITERAL-YES OR
              ERROR-INSURED-SHARE = WS-LITERAL-YES

              MOVE WS-LITERAL-YES TO ERROR-INSURED-SHARE
              GO TO 2575-VAL-INSURED-SHARE-EXIT
           END-IF

           IF WS-2575-CROP-CD = WS-LITERAL-NURSERY
              OR WS-2575-INS-PLAN-CD = WS-LITERAL-FLORIDA-FRUIT
              IF WS-2575-INSURED-SHARE <> 1.000
                 MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
                 MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
                 MOVE 008 TO WS-8000-SHORT-ERROR
                 MOVE WS-LITERAL-YES TO ERROR-INSURED-SHARE
                 MOVE WS-LITERAL-INSURE-SHR TO WS-8000-FIELD-NAME1
      *      *** POPULATE DISPLAY FIELD
                 MOVE WS-2575-INSURED-SHARE TO WS-2575-INSURED-SHARE-X
                 MOVE WS-2575-INSURED-SHARE-X TO WS-8000-BAD-DATA1
                 MOVE '1.000' TO WS-8000-CORR-DATA1
                 MOVE 2575 TO WS-8000-PARAGRAPH-NO
                 PERFORM 8000-RECORD-TRAN-ERROR
                    THRU 8000-RECORD-TRAN-ERROR-EXIT
              END-IF
           END-IF.


       2575-VAL-INSURED-SHARE-EXIT.
           EXIT.
