      ****************************************************************
      *  File   : IF2590.CBL
      *  Author : Yo-I Tsui
      *  Date   : 06/10/96
      *  Purpose: VALIDATE STAGE CODE
      *           LOOKUP THE STAGE CODE USING CROP CODE, LOCATION
      *           STATE, INSURANCE PLAN CODE, CROP, AND
      *           COVERAGE FLAG IN THE STAGE CODE TABLE.
      ****************************************************************

       2590-VAL-STAGE-CODE.

      $IF DEBUG-SW DEFINED
           DISPLAY '2590-VALIDATING STAGE CODE'
           UPON CONSOLE
      $END

      **************************************
      *    CHECK PRE-CONDITIONS            *
      **************************************
           IF ERROR-CROP-CD = WS-LITERAL-YES OR
              ERROR-INSUR-PLAN-CD = WS-LITERAL-YES OR
              ERROR-LOC-STATE = WS-LITERAL-YES OR
              ERROR-CVG-FL = WS-LITERAL-YES OR
              ERROR-STAGE-CD = WS-LITERAL-YES OR
              ERROR-CROP-YR = WS-LITERAL-YES OR
              ERROR-LOC-CNTY = WS-LITERAL-YES OR
              ERROR-RATE-CLASS = WS-LITERAL-YES
              MOVE WS-LITERAL-YES TO ERROR-STAGE-CD
              GO TO 2590-VAL-STAGE-CODE-EXIT
           END-IF

      *****************************************************
      *    INITIALIZE LOCAL AND OUTPUT VARIABLES          *
      *****************************************************
           INITIALIZE WS-2590-OUTPUT

      *************************************************
      *    VALIDATE STAGE CODE FOR CAT COVERAGE       *
      *************************************************
           IF WS-2590-COVERAGE-FL = WS-LITERAL-CAT AND
              (WS-2590-STAGE-CD = WS-LITERAL-PREV-PLANT-OPT-1 OR
               WS-2590-STAGE-CD = WS-LITERAL-NOT-REPLANTED OR
               WS-2590-STAGE-CD = WS-LITERAL-REPLANTED OR
               WS-2590-STAGE-CD = WS-LITERAL-NOT-CERTIFIED OR
               WS-2590-STAGE-CD = WS-LITERAL-CERTIFIED)
              MOVE WS-LITERAL-YES TO ERROR-STAGE-CD
              MOVE WS-LITERAL-IF TO WS-8000-ERROR-TYPE
              MOVE 21074 TO WS-8000-ERROR-CODE
              MOVE WS-LITERAL-STAGE-CD TO WS-8000-FIELD-NAME1
              MOVE WS-2590-STAGE-CD TO WS-8000-BAD-DATA1
              STRING 'NOT '
               DELIMITED BY SIZE
               WS-2590-STAGE-CD
               DELIMITED BY SIZE
               INTO WS-8000-CORR-DATA1
              END-STRING
              MOVE 2590 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              GO TO 2590-VAL-STAGE-CODE-EXIT
           END-IF

      *********************************************************
      *    LOOKUP STAGE CODE AND GET STAGE PERCENT FACTOR     *
      *********************************************************
           PERFORM 2590-LOOKUP-STAGE-CODE
              THRU 2590-LOOKUP-STAGE-CODE-EXIT

           IF MATCH-FOUND-7350
      *       *** CLEAR THE SEARCH STRING ERROR SET IN THE LOOKUP
              MOVE SPACES TO WS-8000-CORR-DATA1
              MOVE WS-7350-STAGE-PCT-FCTR TO WS-2590-STAGE-PCT-FCTR
           ELSE
              MOVE 1.00 TO WS-2590-STAGE-PCT-FCTR
              MOVE WS-LITERAL-YES TO ERROR-STAGE-CD
              MOVE WS-LITERAL-IF TO WS-8000-ERROR-TYPE
              IF WS-2590-STAGE-CD = WS-LITERAL-REPLANTED
                 MOVE 21080 TO WS-8000-ERROR-CODE
              ELSE
                 MOVE 21009 TO WS-8000-ERROR-CODE
              END-IF
              MOVE WS-LITERAL-STAGE-CD TO WS-8000-FIELD-NAME1
              MOVE WS-2590-STAGE-CD TO WS-8000-BAD-DATA1
      *       *** SEARCH KEY USED IS IN CORR-DATA1
              MOVE 'STAGE CROP TBL' TO WS-8000-TABLE-NAME
              MOVE 2590 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF.


       2590-VAL-STAGE-CODE-EXIT.
           EXIT.


      $IF ISAM-SW DEFINED

       2590-LOOKUP-STAGE-CODE.

           INITIALIZE WS-7350-INPUT
           IF WS-2590-INS-PLAN-CD = WS-LITERAL-GRP
              MOVE WS-2590-INS-PLAN-CD TO WS-7350-INS-PLAN-CD
           ELSE
              MOVE 98 TO WS-7350-INS-PLAN-CD
           END-IF

           IF WS-2590-CROP-CD = WS-LITERAL-CITRUS OR
              WS-LITERAL-GRAPEFRUIT OR
              WS-LITERAL-LEMONS OR
              WS-LITERAL-TANGELOS OR
              WS-LITERAL-MANDARINS OR
              WS-LITERAL-ORANGES
              MOVE WS-2590-LOC-STATE TO WS-7350-STATE-CD
           ELSE
              MOVE 98 TO WS-7350-STATE-CD
           END-IF

           MOVE WS-2590-CROP-CD TO WS-7350-CROP-CD
           MOVE WS-2590-STAGE-CD TO WS-7350-STAGE-CD
      *    *** SET UP ERROR STRING IN CASE STAGE CODE NOT FOUND
           STRING 'SEARCHED WITH '
               DELIMITED BY SIZE
               WS-7350-INPUT
               DELIMITED BY SIZE
               INTO WS-8000-CORR-DATA1
           END-STRING

           PERFORM 7350-LOOKUP-STAGE-CROP
              THRU 7350-LOOKUP-STAGE-CROP-EXIT.


       2590-LOOKUP-STAGE-CODE-EXIT.
           EXIT.
      $END



