      *****************************************************************
      * FILE     : IF2600.CBL
      * AUTHOR   : Yo-I Tsui
      * DATE     : 06/13/96
      * PURPOSE  : VALIDATE SIMPLE CLAIM FLAG
      *
      *          IF SIMPLE CLAIM FLAG = S
      *             THE CROP MUST BE ONE OF THE FOLLOWING:
      *             ALMONDS, CORN, COTTON, GRAIN SORGHUM,
      *             PEANUTS, (GREEN/DRY) PEAS, POPCORN, SOYBEANS,
      *             SUGAR BEETS, CANNING SWEET CORN, SWEET CORN,
      *             TOBACCO, OR WHEAT
      *
      *          IF SIMPLE CLAIM FLAG = R
      *             THE CROP MUST BE ONE OF THE FOLLOWING:
      *             CORN, GRAIN SORGHUM, PEANUTS, DRY BEANS,
      *             POPCORN, SOYBEANS, SUNFLOWERS, OR SUGAR BEETS
      *
      *             THE COVERAGE CANNOT BE CAT 'C'; CAT POLICIES CANNOT
      *             FILE REPLANT CLAIMS
      *****************************************************************

       2600-VAL-SIMPLE-CLAIM-FL.

      $IF DEBUG-SW DEFINED
          DISPLAY '2600-VALIDATING SIMPLE CLAIM FLAG' UPON CONSOLE
      $END

      **********************************************************
      *                 CHECK PRE-CONDITION                    *
      **********************************************************

           IF ERROR-SIMPLIFIED-CLM = WS-LITERAL-YES OR
              ERROR-CROP-CD = WS-LITERAL-YES OR
              ERROR-CVG-FL = WS-LITERAL-YES

              MOVE WS-LITERAL-YES TO ERROR-SIMPLIFIED-CLM
              GO TO 2600-VAL-SIMPLE-CLAIM-FL-EXIT
           END-IF

      **********************************************************
      *                    NORMAL PROCESSING                   *
      **********************************************************
           EVALUATE WS-2600-SIMPLE-CLAIM-FL
               WHEN 'S'
                  IF WS-2600-CROP-CD = WS-LITERAL-ALMONDS OR
                     WS-2600-CROP-CD = WS-LITERAL-CORN OR
                     WS-2600-CROP-CD = WS-LITERAL-COTTON OR
                     WS-2600-CROP-CD = WS-LITERAL-GRAIN-SORGHUM OR
                     WS-2600-CROP-CD = WS-LITERAL-PEANUTS OR
                     WS-2600-CROP-CD = WS-LITERAL-DRY-PEAS OR
                     WS-2600-CROP-CD = WS-LITERAL-GREEN-PEAS OR
                     WS-2600-CROP-CD = WS-LITERAL-POPCORN OR
                     WS-2600-CROP-CD = WS-LITERAL-SOYBEANS OR
                     WS-2600-CROP-CD = WS-LITERAL-SUGAR-BEETS OR
                     WS-2600-CROP-CD = WS-LITERAL-SWEET-CORN OR
                     WS-2600-CROP-CD = WS-LITERAL-FLUE-CURED-TOBACCO OR
                     WS-2600-CROP-CD = WS-LITERAL-FIRE-CURED-TOBACCO OR
                     WS-2600-CROP-CD = WS-LITERAL-BURLEY-TOBACCO OR
                     WS-2600-CROP-CD = WS-LITERAL-MARYLAND-TOBACCO OR
                     WS-2600-CROP-CD = WS-LITERAL-DARK-AIR-TOBACCO OR
                     WS-2600-CROP-CD = WS-LITERAL-CIGAR-FILL-TOBACCO OR
                     WS-2600-CROP-CD = WS-LITERAL-CIGAR-BINDR-TOBACCO OR
                     WS-2600-CROP-CD = WS-LITERAL-CIGAR-WRAPR-TOBACCO OR
                     WS-2600-CROP-CD = WS-LITERAL-WHEAT
                     CONTINUE
                  ELSE
                     MOVE WS-LITERAL-IF TO WS-8000-ERROR-TYPE
                     MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
                     MOVE 008 TO WS-8000-SHORT-ERROR
                     MOVE WS-LITERAL-YES TO ERROR-SIMPLIFIED-CLM
                     MOVE WS-LITERAL-SIMPLIFIED-CLM
                       TO WS-8000-FIELD-NAME1
                     MOVE WS-2600-SIMPLE-CLAIM-FL TO WS-8000-BAD-DATA1
                     MOVE 'INVALID CROP FOR SIMPLE CLAIM'
                       TO WS-8000-CORR-DATA1
                     MOVE 2600 TO WS-8000-PARAGRAPH-NO
                     PERFORM 8000-RECORD-TRAN-ERROR
                        THRU 8000-RECORD-TRAN-ERROR-EXIT
                  END-IF

               WHEN 'R'
                  IF WS-2600-CROP-CD = WS-LITERAL-CORN OR
                     WS-2600-CROP-CD = WS-LITERAL-DRY-BEANS OR
                     WS-2600-CROP-CD = WS-LITERAL-GRAIN-SORGHUM OR
                     WS-2600-CROP-CD = WS-LITERAL-PEANUTS OR
                     WS-2600-CROP-CD = WS-LITERAL-POPCORN OR
                     WS-2600-CROP-CD = WS-LITERAL-SOYBEANS OR
                     WS-2600-CROP-CD = WS-LITERAL-SUGAR-BEETS OR
                     WS-2600-CROP-CD = WS-LITERAL-SUNFLOWERS
                     CONTINUE
                  ELSE
                     MOVE WS-LITERAL-IF TO WS-8000-ERROR-TYPE
                     MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
                     MOVE 008 TO WS-8000-SHORT-ERROR
                     MOVE WS-LITERAL-YES TO ERROR-SIMPLIFIED-CLM
                     MOVE WS-LITERAL-SIMPLIFIED-CLM
                       TO WS-8000-FIELD-NAME1
                     MOVE WS-2600-SIMPLE-CLAIM-FL TO WS-8000-BAD-DATA1
                     MOVE 'INVALID CROP FOR REPLANT CLAIM'
                       TO WS-8000-CORR-DATA1
                     MOVE 2600 TO WS-8000-PARAGRAPH-NO
                     PERFORM 8000-RECORD-TRAN-ERROR
                        THRU 8000-RECORD-TRAN-ERROR-EXIT
                  END-IF

                  IF WS-2600-COVERAGE-FL = WS-LITERAL-CAT
                     MOVE WS-LITERAL-IF TO WS-8000-ERROR-TYPE
                     MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
                     MOVE 008 TO WS-8000-SHORT-ERROR
                     MOVE WS-LITERAL-YES TO ERROR-SIMPLIFIED-CLM
                     MOVE WS-LITERAL-SIMPLIFIED-CLM
                       TO WS-8000-FIELD-NAME1
                     MOVE WS-2600-SIMPLE-CLAIM-FL TO WS-8000-BAD-DATA1
                     MOVE 'INVALID CVG FL FOR REPLANT CLAIM'
                       TO WS-8000-CORR-DATA1
                     MOVE 2600 TO WS-8000-PARAGRAPH-NO
                     PERFORM 8000-RECORD-TRAN-ERROR
                        THRU 8000-RECORD-TRAN-ERROR-EXIT
                  END-IF

               WHEN SPACES
                  CONTINUE

               WHEN OTHER
                  MOVE WS-LITERAL-YES TO ERROR-SIMPLIFIED-CLM
                  MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
                  MOVE 044 TO WS-8000-SHORT-ERROR
                  MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
                  MOVE WS-LITERAL-SIMPLIFIED-CLM
                    TO WS-8000-FIELD-NAME1
                  MOVE WS-2600-SIMPLE-CLAIM-FL
                    TO WS-8000-BAD-DATA1
                  MOVE 'NO LOGIC FOR THIS FLAG'
                    TO WS-8000-CORR-DATA1
                  MOVE 2600 TO WS-8000-PARAGRAPH-NO
                  PERFORM 8000-RECORD-TRAN-ERROR
                     THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-EVALUATE.


       2600-VAL-SIMPLE-CLAIM-FL-EXIT.
           EXIT.

