      **********************************************************
      * FILE     : IF2610.CBL
      * AUTHOR   : Mike Ray
      * DATE     : 07/31/96
      * PURPOSE  : VALIDATE T21 YIELD/QUOTA
      *
      *
      *
      **********************************************************

       2610-VAL-T21-YIELD-QUOTA.

      $IF DEBUG-SW DEFINED
          DISPLAY '2610-VALIDATING T21 YIELD/QUOTA'
          UPON CONSOLE
      $END

      **********************************************************
      *                 INITIALIZE LOCAL STORAGE               *
      **********************************************************
           INITIALIZE WS-2610-WORK

      **********************************************************
      *                 CHECK PRE-CONDITION                    *
      **********************************************************

           IF ERROR-YLD-QUOTA = WS-LITERAL-YES OR
              ERROR-INSUR-PLAN-CD = WS-LITERAL-YES OR
              ERROR-CROP-CD = WS-LITERAL-YES

              MOVE WS-LITERAL-YES TO ERROR-YLD-QUOTA
              GO TO 2610-VAL-T21-YIELD-QUOTA-EXIT
           END-IF

      $IF DEBUG-SW DEFINED
           DISPLAY 'T21 YIELD/QUOTA = ', WS-2610-YIELD-QUOTA
           UPON CONSOLE
      $END

      **********************************************************
      *                    NORMAL PROCESSING                   *
      **********************************************************
           EVALUATE WS-2610-INS-PLAN
               WHEN WS-LITERAL-NURSERY
                  MOVE ZEROS TO WS-2610-EXPECTED-YIELD-QUOTA
               WHEN WS-LITERAL-GRP
                  MOVE ZEROS TO WS-2610-EXPECTED-YIELD-QUOTA
               WHEN WS-LITERAL-FLORIDA-FRUIT
                  MOVE ZEROS TO WS-2610-EXPECTED-YIELD-QUOTA
               WHEN WS-LITERAL-DOLLAR-AMT
                  MOVE ZEROS TO WS-2610-EXPECTED-YIELD-QUOTA
               WHEN OTHER
                  MOVE 1 TO WS-2610-EXPECTED-YIELD-QUOTA
           END-EVALUATE

           IF WS-2610-EXPECTED-YIELD-QUOTA > ZERO
              IF WS-2610-YIELD-QUOTA = ZEROS
                 MOVE WS-LITERAL-IF TO WS-8000-ERROR-TYPE
                 MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
                 MOVE 005 TO WS-8000-SHORT-ERROR
                 MOVE WS-LITERAL-YES TO ERROR-YLD-QUOTA
                 MOVE WS-LITERAL-YLD-QUOTA TO WS-8000-FIELD-NAME1
                 MOVE ZERO TO WS-8000-BAD-DATA1
                 MOVE '> 0.0' TO WS-8000-CORR-DATA1
                 MOVE 2610 TO WS-8000-PARAGRAPH-NO
                 PERFORM 8000-RECORD-TRAN-ERROR
                    THRU 8000-RECORD-TRAN-ERROR-EXIT
              END-IF
           ELSE
              IF WS-2610-YIELD-QUOTA <> ZEROS
                 MOVE WS-LITERAL-IF TO WS-8000-ERROR-TYPE
                 MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
                 MOVE 022 TO WS-8000-SHORT-ERROR
                 MOVE WS-LITERAL-YES TO ERROR-YLD-QUOTA
                 MOVE WS-LITERAL-YLD-QUOTA TO WS-8000-FIELD-NAME1
                 MOVE SPACES TO WS-8000-BAD-DATA1
                 MOVE '0' TO WS-8000-CORR-DATA1
                 MOVE 2610 TO WS-8000-PARAGRAPH-NO
                 PERFORM 8000-RECORD-TRAN-ERROR
                    THRU 8000-RECORD-TRAN-ERROR-EXIT
              END-IF
           END-IF.



       2610-VAL-T21-YIELD-QUOTA-EXIT.
           EXIT.

