      ***************************************************************
      * File:      WS2000.CBL
      * Author:    Mike Ray
      * Date:      01/16/96
      * Purpose:
      *
      *    This copy file contains the working storage fields required
      *    by all of the 2000 series inter-field validation modules.
      *    It contains the following working storage copy files:
      *
      *    WS2011.CBL FOR 2011-VALIDATE-T11
      *    WS2014.CBL FOR 2014-VALIDATE-T14
      *    WS2015.CBL FOR 2015-VALIDATE-T15
      *    WS2021.CBL FOR 2021-VALIDATE-T21
      *
      *    WS2200.CBL FOR *** NOT ASSIGNED ***
      *    WS2205.CBL FOR 2205-VAL-REINSURED-INFO
      *    WS2210.CBL FOR 2210-VAL-NAME
      *    WS2213.CBL FOR 2213-VAL-ID-TY-W-ID-NO
      *    WS2215.CBL FOR 2215-VAL-ENTITY-ID-INFO
      *    WS2220.CBL FOR 2220-VAL-PREV-POL-PREV-RO
      *    WS2235.CBL FOR 2235-VAL-NON-CAT-RATE
      *    WS2237.CBL FOR 2237-VAL-CROP-CODE
      *    WS2240.CBL FOR 2240-VAL-CROP-TYPE
      *    WS2245.CBL FOR 2245-VAL-ADMIN-FEE-CVG-CD
      *    WS2247.CBL FOR 2247-VAL-FEE-PREPMT-FL
      *    WS2250.CBL FOR 2250-VAL-LOC-CNTY-INFO
      *    WS2255.CBL FOR 2255-DETERMINE-TRANS-LATE
      *    WS2260.CBL FOR 2260-VAL-MAP-AREA
      *    WS2265.CBL FOR 2265-VAL-PRACTICE-CD
      *    WS2270.CBL FOR 2270-VAL-OPTION-CDS
      *    WS2272.CBL FOR 2272-VAL-CAT-W-UNIT-OPT
      *    WS2275.CBL FOR 2275-VAL-TYPE-PRAC-OPT-CD
      *    WS2280.CBL FOR *** NOT ASSIGNED ***
      *    WS2282.CBL FOR *** NOT ASSIGNED ***
      *    WS2285.CBL FOR 2285-VAL-FARM-SERIAL-NO
      *    WS2287.CBL FOR 2287-VAL-COVERAGE-LVL-PCT
      *    WS2289.CBL FOR 2289-VAL-EXPERIENCE-FCTR
      *    WS2290.CBL FOR *** NOT ASSIGNED ***
      *    WS2292.CBL FOR 2292-VAL-DOLLAR-AMT-INS
      *    WS2295.CBL FOR 2295-VAL-NON-CAT-PRICE-11
      *    WS2300.CBL FOR 2300-VAL-LIABILITY
      *    WS2305.CBL FOR *** NOT ASSIGNED ***
      *    WS2307.CBL FOR 2307-VAL-REINS-INS-CROP
      *    WS2310.CBL FOR 2310-VAL-IP-CNTY-AVG-YLD
      *    WS2315.CBL FOR 2315-VAL-QUOTA
      *    WS2320.CBL FOR 2320-VAL-DATE-PLANTED
      *    WS2325.CBL FOR 2325-VAL-CROP-SEED-CPNY
      *    WS2330.CBL FOR 2330-VAL-PERCENT-ELECTION
      *    WS2335.CBL FOR 2335-VAL-BASE-PREM-RT
      *    WS2340.CBL FOR 2340-VAL-YIELD-W-RATE-CLS
      *    WS2342.CBL FOR 2342-LOOKUP-YIELD-QTY
      *    WS2343.CBL FOR 2343-VAL-PREM-RT-SURCHG
      *    WS2345.CBL FOR 2345-VAL-ESCROW-FIELDS
      *    WS2350.CBL FOR 2350-VAL-PREMIUM
      *    WS2355.CBL FOR 2355-VAL-PROD-PREMIUM
      *    WS2360.CBL FOR 2360-VAL-TOTAL-FIELDS
      *    WS2365.CBL FOR 2365-VAL-PAID-DATE
      *    WS2370.CBL FOR 2370-VAL-RATE-CLASS
      *    WS2375.CBL FOR 2375-VAL-REPORTED-ACRES
      *    WS2380.CBL FOR 2380-VAL-GUAR-RED-FLG
      *    WS2385.CBL FOR 2385-VAL-CRUSH-DISTRICT
      *    WS2390.CBL FOR 2390-VAL-GUAR-RED-PCT
      *    WS2395.CBL FOR 2395-VAL-REV-CVG-LVL
      *    WS2400.CBL FOR *** NOT ASSIGNED ***
      *    WS2405.CBL FOR *** NOT ASSIGNED ***
      *    WS2410.CBL FOR *** NOT ASSIGNED ***
      *    WS2415.CBL FOR 2415-VAL-P-CR-MEMO-CPNY
      *    WS2420.CBL FOR *** NOT ASSIGNED ***
      *    WS2425.CBL FOR *** NOT ASSIGNED ***
      *    WS2430.CBL FOR *** NOT ASSIGNED ***
      *    WS2435.CBL FOR 2435-VAL-REINS-LOSS-INFO
      *    WS2440.CBL FOR 2440-VAL-INDEM-W-DEFICNY
      *    WS2445.CBL FOR 2445-VAL-HARVESTED-PROD
      *    WS2450.CBL FOR 2450-VAL-PRIMARY-MONTH
      *    WS2453.CBL FOR 2453-VAL-LOSS-MONTH
      *    WS2455.CBL FOR 2455-VAL-PRIMARY-PCT
      *    WS2460.CBL FOR 2460-VAL-SECONDARY-MONTH
      *    WS2465.CBL FOR 2465-VAL-SUGAR-FACTOR
      *    WS2470.CBL FOR 2470-VAL-NON-CAT-DUAL-CVG
      *    WS2475.CBL FOR 2475-VAL-CROP-YR
      *    WS2480.CBL FOR 2480-CALC-SUBSIDY
      *    WS2485.CBL FOR 2485-CALC-GUARANTEE
      *    WS2490.CBL FOR 2490-VAL-TOTAL-AMOUNT
      *    WS2495.CBL FOR 2495-VAL-TOTAL-REINS-YR
      *    WS2500.CBL FOR 2500-DETERMINE-WEEKS-LATE
      *    WS2505.CBL FOR 2505-VAL-YLD-LIMIT-FLAG
      *    WS2510.CBL FOR 2510-VAL-YIELD-TYPES
      *    WS2515.CBL FOR 2515-VAL-YIELD-TY-SEQ
      *    WS2520.CBL FOR 2520-VAL-UNIT-PREM-ADJ
      *    WS2525.CBL FOR 2525-VAL-YIELD-COMBOS
      *    WS2530.CBL FOR 2530-VAL-TRANSITIONAL-YLD
      *    WS2535.CBL FOR *** NOT ASSIGNED ***
      *    WS2537.CBL FOR 2537-GET-AVG-REVENUES
      *    WS2540.CBL FOR 2540-VAL-YIELD-YEARS
      *    WS2545.CBL FOR 2545-VAL-PR-APPROVED-YLD
      *    WS2550.CBL FOR 2550-VAL-APPROVED-YIELD
      *    WS2555.CBL FOR 2555-VAL-YIELD-INDICATOR
      *    WS2560.CBL FOR 2560-VAL-NCS-YLD-FACTOR
      *    WS2565.CBL FOR 2565-VAL-NCS-FCIC2-FLAG
      *    WS2570.CBL FOR 2570-VAL-T15-MAP-AREA
      *    WS2575.CBL FOR 2575-VAL-INSURED-SHARE
      *    WS2580.CBL FOR 2580-VAL-GRP-PMT-CALC
      *    WS2585.CBL FOR 2585-VAL-REINS-LOSS-TRANS
      *    WS2590.CBL FOR 2590-VAL-STAGE-CODE
      *    WS2595.CBL FOR 2595-VAL-LOSS-CAUSE-CD
      *    WS2600.CBL FOR 2600-VAL-SIMPLE-CLAIM-FL
      *    WS2605.CBL FOR *** NOT ASSIGNED ***
      *    WS2610.CBL FOR 2610-VAL-T21-YIELD-QUOTA
      *    WS2615.CBL FOR 2615-VAL-LOSS-GUARANTEE
      *    WS2620.CBL FOR *** NOT ASSIGNED ***
      *    WS2625.CBL FOR *** NOT ASSIGNED ***
      *    WS2630.CBL FOR 2630-VAL-INDEMNITY
      *    WS2705.CBL FOR 2705-VAL-INACTIVE-DATE
      *    WS2706.CBL FOR 2706-VAL-COUNTY
      *    WS2707.CBL FOR 2707-VAL-ADDRESS-STATE
      *    WS2708.CBL FOR 2708-VAL-ZIP-CODE
      ***************************************************************

       COPY 'IF/WS2011.CBL'.
       COPY 'IF/WS2014.CBL'.
       COPY 'IF/WS2015.CBL'.
       COPY 'IF/WS2021.CBL'.

      *COPY 'IF/WS2200.CBL'.
       COPY 'IF/WS2205.CBL'.
       COPY 'IF/WS2210.CBL'.
       COPY 'IF/WS2213.CBL'.
       COPY 'IF/WS2215.CBL'.
       COPY 'IF/WS2220.CBL'.
       COPY 'IF/WS2235.CBL'.
       COPY 'IF/WS2237.CBL'.
       COPY 'IF/WS2240.CBL'.
       COPY 'IF/WS2245.CBL'.
       COPY 'IF/WS2247.CBL'.
       COPY 'IF/WS2250.CBL'.
       COPY 'IF/WS2255.CBL'.
       COPY 'IF/WS2260.CBL'.
       COPY 'IF/WS2265.CBL'.
       COPY 'IF/WS2270.CBL'.
       COPY 'IF/WS2272.CBL'.
       COPY 'IF/WS2275.CBL'.
      *COPY 'IF/WS2280.CBL'.
      *COPY 'IF/WS2282.CBL'.
       COPY 'IF/WS2285.CBL'.
       COPY 'IF/WS2287.CBL'.
       COPY 'IF/WS2289.CBL'.
      *COPY 'IF/WS2290.CBL'.
       COPY 'IF/WS2292.CBL'.
       COPY 'IF/WS2295.CBL'.
       COPY 'IF/WS2300.CBL'.
      *COPY 'IF/WS2305.CBL'.
       COPY 'IF/WS2307.CBL'.
       COPY 'IF/WS2310.CBL'.
       COPY 'IF/WS2315.CBL'.
       COPY 'IF/WS2320.CBL'.
       COPY 'IF/WS2325.CBL'.
       COPY 'IF/WS2330.CBL'.
       COPY 'IF/WS2335.CBL'.
       COPY 'IF/WS2340.CBL'.
       COPY 'IF/WS2342.CBL'.
       COPY 'IF/WS2343.CBL'.
       COPY 'IF/WS2345.CBL'.
       COPY 'IF/WS2350.CBL'.
       COPY 'IF/WS2355.CBL'.
       COPY 'IF/WS2360.CBL'.
       COPY 'IF/WS2365.CBL'.
       COPY 'IF/WS2370.CBL'.
       COPY 'IF/WS2375.CBL'.
       COPY 'IF/WS2380.CBL'.
       COPY 'IF/WS2385.CBL'.
       COPY 'IF/WS2390.CBL'.
       COPY 'IF/WS2395.CBL'.
      *COPY 'IF/WS2400.CBL'.
      *COPY 'IF/WS2405.CBL'.
      *COPY 'IF/WS2410.CBL'.
       COPY 'IF/WS2415.CBL'.
      *COPY 'IF/WS2420.CBL'.
      *COPY 'IF/WS2425.CBL'.
      *COPY 'IF/WS2430.CBL'.
       COPY 'IF/WS2435.CBL'.
       COPY 'IF/WS2440.CBL'.
       COPY 'IF/WS2445.CBL'.
       COPY 'IF/WS2450.CBL'.
       COPY 'IF/WS2453.CBL'.
       COPY 'IF/WS2455.CBL'.
       COPY 'IF/WS2460.CBL'.
       COPY 'IF/WS2465.CBL'.
       COPY 'IF/WS2470.CBL'.
       COPY 'IF/WS2475.CBL'.
       COPY 'IF/WS2480.CBL'.
       COPY 'IF/WS2485.CBL'.
       COPY 'IF/WS2490.CBL'.
       COPY 'IF/WS2495.CBL'.
       COPY 'IF/WS2500.CBL'.
       COPY 'IF/WS2505.CBL'.
       COPY 'IF/WS2510.CBL'.
       COPY 'IF/WS2515.CBL'.
       COPY 'IF/WS2520.CBL'.
       COPY 'IF/WS2525.CBL'.
       COPY 'IF/WS2530.CBL'.
      *COPY 'IF/WS2532.CBL'.
      *COPY 'IF/WS2535.CBL'.
       COPY 'IF/WS2537.CBL'.
       COPY 'IF/WS2540.CBL'.
       COPY 'IF/WS2545.CBL'.
       COPY 'IF/WS2550.CBL'.
       COPY 'IF/WS2555.CBL'.
       COPY 'IF/WS2560.CBL'.
       COPY 'IF/WS2565.CBL'.
       COPY 'IF/WS2570.CBL'.
       COPY 'IF/WS2575.CBL'.
       COPY 'IF/WS2580.CBL'.
       COPY 'IF/WS2585.CBL'.
       COPY 'IF/WS2590.CBL'.
       COPY 'IF/WS2595.CBL'.
       COPY 'IF/WS2600.CBL'.
      *COPY 'IF/WS2605.CBL'.
       COPY 'IF/WS2610.CBL'.
       COPY 'IF/WS2615.CBL'.
      *COPY 'IF/WS2620.CBL'.
      *COPY 'IF/WS2625.CBL'.
       COPY 'IF/WS2630.CBL'.
       COPY 'IF/WS2705.CBL'.
       COPY 'IF/WS2706.CBL'.
       COPY 'IF/WS2707.CBL'.
       COPY 'IF/WS2708.CBL'.
