      *****************************************************************
      * File:      IR3009.CBL
      * Author:    Laura Dittamo
      * Date:      8/31/95
      * Purpose:
      *    This copy file contains the inter-record validation modules
      *    for the SBI table.
      *****************************************************************

       3009-VAL-SBI-TABLE.

      $IF DEBUG-SW DEFINED
           DISPLAY '3009-VALIDATING SBI TABLE'
           UPON CONSOLE
      $END

           IF WS-0010-SBI-REC-COUNT = ZEROS
              GO TO 3009-VAL-SBI-TABLE-EXIT
           END-IF

      * ONCE THE DATABASE HAS BEEN ESTABLISHED WE WILL CODE
      * A MODULE THAT ENSURES ID NUMBER IS UNIQUE BY
      * PRODUCER OR BUSINESS NAME

           PERFORM 3009-PROCESS-SBI-TBL
              THRU 3009-PROCESS-SBI-TBL-EXIT
              WITH TEST AFTER
           VARYING WS-0010-SBI-INT-INDEX FROM 1 BY 1
             UNTIL WS-0010-SBI-INT-INDEX = WS-0010-SBI-REC-COUNT.

      $IF DEBUG-SW DEFINED
           DISPLAY 'SBI(01)= ', WS-0010-TBL-TYPE-10(1)
           UPON CONSOLE
           DISPLAY 'SBI(02)= ', WS-0010-TBL-TYPE-10(2)
           UPON CONSOLE
           DISPLAY 'SBI(03)= ', WS-0010-TBL-TYPE-10(3)
           UPON CONSOLE
           DISPLAY 'SBI(04)= ', WS-0010-TBL-TYPE-10(4)
           UPON CONSOLE
           DISPLAY 'SBI(05)= ', WS-0010-TBL-TYPE-10(5)
           UPON CONSOLE.
      $END

       3009-VAL-SBI-TABLE-EXIT.
           EXIT.

       3009-PROCESS-SBI-TBL.

           SET WS-0010-SBI-INDEX TO WS-0010-SBI-INT-INDEX

      * WRITE THE TYPE 10 SBI TRANSACTION TO THE TEMPORARY HOLD FILE

           INITIALIZE WS-0940-HOLD-REC

      * MOVING INTO WS-0940-HOLD-REC WRITES OVER THE REJECTED AND SOURCE
      * FLAGS AND WE NEED TO RESET THEM AFTERWARDS.
           MOVE WS-0010-TBL-TYPE-10(WS-0010-SBI-INDEX)
             TO WS-0940-HOLD-REC.
           MOVE WS-0010-TBL-TRAN-REJECTED-FLAG(WS-0010-SBI-INDEX)
             TO WS-0940-TRAN-REJECTED-FLAG.
           MOVE WS-0010-TBL-TRAN-SOURCE-FLAG(WS-0010-SBI-INDEX)
             TO WS-0940-TRAN-SOURCE-FLAG

           PERFORM 7099-BUFFER-POLICY-RECORD
              THRU 7099-BUFFER-POLICY-RECORD-EXIT.


       3009-PROCESS-SBI-TBL-EXIT.
           EXIT.
