      *****************************************************************
      * File:      IR3011.CBL
      * Author:    Laura Dittamo
      * Date:      8/28/95
      * Purpose:
      *    This file contains the inter-record validation modules
      *    for the type 11 transaction table.
      *****************************************************************

       3011-VAL-T11-TABLE.

      $IF DEBUG-SW DEFINED
           DISPLAY '3011-VALIDATING T11 TABLE'
           UPON CONSOLE
      $END

           IF WS-0011-T11-REC-COUNT = ZEROS
              GO TO 3011-VAL-T11-TABLE-EXIT
           END-IF

      $IF DEBUG-SW DEFINED
           DISPLAY 'T11(01)= ', WS-0011-TBL-TYPE-11(1)
           UPON CONSOLE
           DISPLAY 'T11(02)= ', WS-0011-TBL-TYPE-11(2)
           UPON CONSOLE
           DISPLAY 'T11(03)= ', WS-0011-TBL-TYPE-11(3)
           UPON CONSOLE
           DISPLAY 'T11(04)= ', WS-0011-TBL-TYPE-11(4)
           UPON CONSOLE
           DISPLAY 'T11(05)= ', WS-0011-TBL-TYPE-11(5)
           UPON CONSOLE
           DISPLAY 'T11 RECORD COUNT = ', WS-0011-T11-REC-COUNT
           UPON CONSOLE
      $END

      *    ****************************************************
      *    *  COMPUTE REVENUE ASSURANCE UNIT TOTALS           *
      *    ****************************************************
           IF WS-0006-INS-PLAN-CD = WS-LITERAL-RA
              PERFORM 3011-COMPUTE-RA-TOTALS
                 THRU 3011-COMPUTE-RA-TOTALS-EXIT
           END-IF

           PERFORM 3385-VAL-TYPE-10-ID-TYPE
              THRU 3385-VAL-TYPE-10-ID-TYPE-EXIT

           PERFORM 3380-VAL-RELATED-TYPE-14
              THRU 3380-VAL-RELATED-TYPE-14-EXIT

           PERFORM 3375-VAL-RELATED-TYPE-15
              THRU 3375-VAL-RELATED-TYPE-15-EXIT

           PERFORM 3370-SAME-CVG-LVL-PCT-T11
              THRU 3370-SAME-CVG-LVL-PCT-T11-EXIT

           IF WS-0006-INS-PLAN-CD = WS-LITERAL-RA
              PERFORM 3365-VAL-RA-COVERAGE
                 THRU 3365-VAL-RA-COVERAGE-EXIT

              PERFORM 3335-VAL-RA-WFARM-DISCNT
                 THRU 3335-VAL-RA-WFARM-DISCNT-EXIT
           END-IF

           PERFORM 3390-VAL-UNIQUE-FSN-UNIT
              THRU 3390-VAL-UNIQUE-FSN-UNIT-EXIT

           PERFORM 3395-VAL-PP-ACRES
              THRU 3395-VAL-PP-ACRES-EXIT

           PERFORM 3440-VAL-UNIT-DISCOUNT
              THRU 3440-VAL-UNIT-DISCOUNT-EXIT

           PERFORM 3445-VAL-MALT-BARLEY-RATE
              THRU 3445-VAL-MALT-BARLEY-RATE-EXIT.



       3011-VAL-T11-TABLE-EXIT.
           EXIT.


       3011-COMPUTE-RA-TOTALS.

      *    *** CALCULATE CORN ENTERPRISE $AMT PROTECTION ***
           IF WS-0011-RA-CORN-UNIT-ORG = WS-LITERAL-ENTERPRISE-UNIT
              IF WS-0011-RA-CORN-ACRES = ZERO OR
                 WS-0011-RA-CORN-YIELD-X-ACRES = ZERO OR
                 WS-0011-RA-CORN-PRICE-ELECTION = ZERO OR
                 WS-0011-RA-CORN-CVG-LVL-PCT = ZERO
                 GO TO 3011-COMPUTE-RA-TOTALS-EXIT
              END-IF
              INITIALIZE WS-4115-INPUT
              MOVE WS-0011-RA-CORN-ACRES
                TO WS-4115-ACRES
              MOVE WS-0011-RA-CORN-YIELD-X-ACRES
                TO WS-4115-YIELD-X-ACRES
              MOVE WS-0011-RA-CORN-PRICE-ELECTION
                TO WS-4115-PRICE-ELECTION
              MOVE WS-0011-RA-CORN-CVG-LVL-PCT
                TO WS-4115-RA-COVERAGE-LEVEL
              PERFORM 4115-CALC-RA-EU-DOL-AMT
                 THRU 4115-CALC-RA-EU-DOL-AMT-EXIT
              IF CALC-ERROR-4115
                 MOVE 3011 TO WS-8020-PARAGRAPH-NO
                 MOVE 90003 TO WS-8020-INT-ERROR-NO
                 MOVE 'RA EU $AMT INS' TO WS-8020-FIELD-NAME
                 MOVE 'CALC FAILED' TO WS-8020-BAD-DATA
                 MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
                 PERFORM 8020-RECORD-INT-ERROR
                    THRU 8020-RECORD-INT-ERROR-EXIT
              END-IF
              MOVE WS-4115-DOLLAR-AMT-PROT
                TO WS-0011-RA-CORN-DOL-AMT-PROT
           END-IF

      *    *** CALCULATE SOYBEAN ENTERPRISE $AMT PROTECTION ***
           IF WS-0011-RA-SOY-UNIT-ORG = WS-LITERAL-ENTERPRISE-UNIT
              IF WS-0011-RA-SOY-ACRES = ZERO OR
                 WS-0011-RA-SOY-YIELD-X-ACRES = ZERO OR
                 WS-0011-RA-SOY-PRICE-ELECTION = ZERO OR
                 WS-0011-RA-SOY-CVG-LVL-PCT = ZERO
                 GO TO 3011-COMPUTE-RA-TOTALS-EXIT
              END-IF
              INITIALIZE WS-4115-INPUT
              MOVE WS-0011-RA-SOY-ACRES
                TO WS-4115-ACRES
              MOVE WS-0011-RA-SOY-YIELD-X-ACRES
                TO WS-4115-YIELD-X-ACRES
              MOVE WS-0011-RA-SOY-PRICE-ELECTION
                TO WS-4115-PRICE-ELECTION
              MOVE WS-0011-RA-SOY-CVG-LVL-PCT
                TO WS-4115-RA-COVERAGE-LEVEL
              PERFORM 4115-CALC-RA-EU-DOL-AMT
                 THRU 4115-CALC-RA-EU-DOL-AMT-EXIT
              IF CALC-ERROR-4115
                 MOVE 3011 TO WS-8020-PARAGRAPH-NO
                 MOVE 90003 TO WS-8020-INT-ERROR-NO
                 MOVE 'RA EU $AMT INS' TO WS-8020-FIELD-NAME
                 MOVE 'CALC FAILED' TO WS-8020-BAD-DATA
                 MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
                 PERFORM 8020-RECORD-INT-ERROR
                    THRU 8020-RECORD-INT-ERROR-EXIT
              END-IF
              MOVE WS-4115-DOLLAR-AMT-PROT
                TO WS-0011-RA-SOY-DOL-AMT-PROT
           END-IF

      *    *** CALCULATE WHOLE FARM $AMT PROTECTION ***
           IF WS-0011-RA-CORN-UNIT-ORG = WS-LITERAL-WHOLE-FARM-UNIT
              OR WS-0011-RA-SOY-UNIT-ORG = WS-LITERAL-WHOLE-FARM-UNIT
              IF WS-0011-RA-CORN-ACRES = ZERO OR
                 WS-0011-RA-CORN-YIELD-X-ACRES = ZERO OR
                 WS-0011-RA-CORN-PRICE-ELECTION = ZERO OR
                 WS-0011-RA-SOY-ACRES = ZERO OR
                 WS-0011-RA-SOY-YIELD-X-ACRES = ZERO OR
                 WS-0011-RA-SOY-PRICE-ELECTION = ZERO OR
                 WS-0011-RA-WFARM-CVG-LVL-PCT = ZERO
                 GO TO 3011-COMPUTE-RA-TOTALS-EXIT
              END-IF
              INITIALIZE WS-4120-INPUT
              MOVE WS-0011-RA-CORN-ACRES
                TO WS-4120-CORN-ACRES
              MOVE WS-0011-RA-CORN-PRICE-ELECTION
                TO WS-4120-CORN-PRICE-ELECTION
              MOVE WS-0011-RA-CORN-YIELD-X-ACRES
                TO WS-4120-CORN-YIELD-X-ACRES
              MOVE WS-0011-RA-SOY-ACRES
                TO WS-4120-SOY-ACRES
              MOVE WS-0011-RA-SOY-PRICE-ELECTION
                TO WS-4120-SOY-PRICE-ELECTION
              MOVE WS-0011-RA-SOY-YIELD-X-ACRES
                TO WS-4120-SOY-YIELD-X-ACRES
              MOVE WS-0011-RA-WFARM-CVG-LVL-PCT
                TO WS-4120-RA-COVERAGE-LEVEL
              PERFORM 4120-CALC-RA-WF-DOL-AMT
                 THRU 4120-CALC-RA-WF-DOL-AMT-EXIT
              IF CALC-ERROR-4120
                 MOVE 3011 TO WS-8020-PARAGRAPH-NO
                 MOVE 90003 TO WS-8020-INT-ERROR-NO
                 MOVE 'RA WF $AMT INS' TO WS-8020-FIELD-NAME
                 MOVE 'CALC FAILED' TO WS-8020-BAD-DATA
                 MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
                 PERFORM 8020-RECORD-INT-ERROR
                    THRU 8020-RECORD-INT-ERROR-EXIT
              END-IF
              MOVE WS-4120-DOLLAR-AMT-PROT
                TO WS-0011-RA-WFARM-DOL-AMT-PROT
           END-IF.

      *    PERFORM 3365-VAL-RA-COVERAGE
      *       THRU 3365-VAL-RA-COVERAGE-EXIT

      *    PERFORM 3335-VAL-RA-WFARM-DISCNT
      *       THRU 3335-VAL-RA-WFARM-DISCNT-EXIT.

       3011-COMPUTE-RA-TOTALS-EXIT.
           EXIT.
