      ***************************************************************
      * File:      IR3100.CBL
      * Author:    Mike Ray
      * Date:      8/13/95
      * Purpose:
      *    This copy file contains the sequencing logic for validating
      *    the crop tables.
      *
      ***************************************************************

       3100-PROCESS-HELD-CROP.

      $IF DEBUG-SW DEFINED
           DISPLAY '3100-PROCESSING HELD CROP'
           UPON CONSOLE
      $END

           IF (WS-0005-CURRENT-POLICY-NO <>
               WS-0200-NEW-POLICY-NO AND
               WS-0005-CURRENT-POLICY-NO <> SPACES) OR
               (WS-0004-END-BATCH-FLAG = WS-LITERAL-YES AND
               WS-0005-CURRENT-POLICY-NO <> SPACES)

      ***************************************************************
      *    A corresponding type 14 record must exist for each type
      *    10.  This check must be performed before the T14 table is
      *    initialized in M0155 below.
      ***************************************************************

                PERFORM 3315-VAL-RELATED-TYPE-14
                   THRU 3315-VAL-RELATED-TYPE-14-EXIT
           END-IF

      **   THIS EDIT VALIDATES THE TYPE 14 TRANSACTIONS PLACED
      **   IN THE TYPE 14 ASSIGNED RISK TABLE BY 2255-DETERMINE-TRANS-
      **   LATE.  IN THE EDIT BELOW, THE ASSIGNED RISK SETTING IS
      **   VALIDATED FOR THESE TRANSACTIONS.  THE TRANSACTIONS WHICH
      **   PASS VALIDATION ARE THEN USED TO ADD/UPDATE THE TYPE 14
      **   ASSIGNED RISK ISAM FILE.
      **   THIS EDIT WILL ALSO SET THE REJECTION FLAG AND GENERATE
      **   AN ERROR FOR ANY TYPE 14 RECORD IN THE TYPE 14 TABLE
      **   WHICH FAILS THE ASSIGNED RISK EDITS.
      **   THIS NEEDS TO BE DONE BECAUSE THE ASSIGNED RISK TABLE HAS
      **   ALL OF THE TYPE 14 INFORMATION WHEREAS THE REGULAR T14
      **   TABLE CONTAINS ONLY TYPE 14 RECORDS WHICH HAVE PASSED FV
      **   AND IF EDITS.

           IF WS-7014-ASGD-RISK-REC-COUNT > ZERO
              PERFORM 3345-SAME-ASGD-RISK
                 THRU 3345-SAME-ASGD-RISK-EXIT

      *       ************************************************
      *       *   WRITE OUT ASSIGNED RISK RECORDS            *
      *       ************************************************
              PERFORM 0990-RECORD-ASSIGNED-RISK
                 THRU 0990-RECORD-ASSIGNED-RISK-EXIT
           END-IF

           IF WS-0014-T14-REC-COUNT > ZERO
              PERFORM 3014-VAL-T14-TABLE
                 THRU 3014-VAL-T14-TABLE-EXIT
           END-IF

           IF WS-0015-T15-REC-COUNT > ZERO
              PERFORM 3015-VAL-T15-TABLE
                 THRU 3015-VAL-T15-TABLE-EXIT
           END-IF

           IF WS-0011-T11-REC-COUNT > ZERO
              PERFORM 3011-VAL-T11-TABLE
                 THRU 3011-VAL-T11-TABLE-EXIT
           END-IF

           IF WS-0021-T21-REC-COUNT > ZERO
              MOVE WS-LITERAL-YES TO WS-0005-LOSS-INDICATOR
              PERFORM 3021-VAL-T21-TABLE
                 THRU 3021-VAL-T21-TABLE-EXIT
           END-IF

      *    *******************************************
      *    *  UPDATE REJECTION FLAGS AFTER IR EDITS  *
      *    *******************************************
           IF WS-0006-REJECT-14S-FLAG = WS-LITERAL-YES
              MOVE WS-LITERAL-YES TO WS-0006-REJECT-15S-FLAG
           END-IF

           IF WS-0006-REJECT-15S-FLAG = WS-LITERAL-YES
              MOVE WS-LITERAL-YES TO WS-0006-REJECT-11S-FLAG
           END-IF

           IF WS-0006-REJECT-11S-FLAG = WS-LITERAL-YES
              MOVE WS-LITERAL-YES TO WS-0006-REJECT-21S-FLAG
           END-IF

           IF WS-0006-REJECT-21S-FLAG = WS-LITERAL-YES
              CONTINUE
           END-IF


      *    *******************************************
      *    *   WRITE OUT RECORDS TO BUFFER OR FILE   *
      *    *******************************************

           IF WS-0011-T11-REC-COUNT > ZERO
              SET WS-0011-T11-INDEX TO 1
              PERFORM 3100-PROCESS-TYPE-11-TBL
                 THRU 3100-PROCESS-TYPE-11-TBL-EXIT
                 WITH TEST AFTER
              VARYING WS-0011-T11-INT-INDEX FROM 1 BY 1
                UNTIL WS-0011-T11-INT-INDEX = WS-0011-T11-REC-COUNT
           END-IF

           IF WS-0014-T14-REC-COUNT > ZERO
              SET WS-0014-T14-INDEX TO 1
              PERFORM 3100-PROCESS-TYPE-14-TBL
                 THRU 3100-PROCESS-TYPE-14-TBL-EXIT
                 WITH TEST AFTER
              VARYING WS-0014-T14-INT-INDEX FROM 1 BY 1
                UNTIL WS-0014-T14-INT-INDEX = WS-0014-T14-REC-COUNT
           END-IF

           IF WS-0015-T15-REC-COUNT > ZERO
              SET WS-0015-T15-INDEX TO 1
              PERFORM 3100-PROCESS-TYPE-15-TBL
                 THRU 3100-PROCESS-TYPE-15-TBL-EXIT
                 WITH TEST AFTER
              VARYING WS-0015-T15-INT-INDEX FROM 1 BY 1
                UNTIL WS-0015-T15-INT-INDEX = WS-0015-T15-REC-COUNT
           END-IF

           IF WS-0021-T21-REC-COUNT > ZERO
              SET WS-0021-T21-INDEX TO 1
              PERFORM 3100-PROCESS-TYPE-21-TBL
                 THRU 3100-PROCESS-TYPE-21-TBL-EXIT
                 WITH TEST AFTER
              VARYING WS-0021-T21-INT-INDEX FROM 1 BY 1
                UNTIL WS-0021-T21-INT-INDEX = WS-0021-T21-REC-COUNT
           END-IF


           PERFORM 0155-INIT-CROP-TABLES
              THRU 0155-INIT-CROP-TABLES-EXIT.

       3100-PROCESS-HELD-CROP-EXIT.
           EXIT.

       3100-PROCESS-TYPE-11-TBL.

           SET WS-0011-T11-INDEX TO WS-0011-T11-INT-INDEX

      $IF DEBUG-SW DEFINED
           DISPLAY 'CURRENT T11 RECORD INDEX = ',
           WS-0011-T11-INT-INDEX UPON CONSOLE
           DISPLAY 'POLICY # = ',
           WS-0011-TBL-POLICY-NO(WS-0011-T11-INDEX)
           UPON CONSOLE
      $END

      *    *******************************************
      *    *   REJECT IF NECESSARY                   *
      *    *******************************************
           IF ((WS-0011-TBL-TRAN-REJECTED-FLAG(WS-0011-T11-INDEX)
              <> WS-LITERAL-YES) AND
              (WS-0006-REJECT-11S-FLAG = WS-LITERAL-YES))
              MOVE WS-LITERAL-YES
                TO WS-0011-TBL-TRAN-REJECTED-FLAG(WS-0011-T11-INDEX)
              MOVE WS-LITERAL-IR TO WS-8000-ERROR-TYPE
              MOVE 11033 TO WS-8000-ERROR-CODE
              MOVE WS-0011-TBL-TRAN-SEQ-NO(WS-0011-T11-INDEX)
                TO WS-8000-TRAN-SEQ-NO
              MOVE 3100 TO WS-8000-PARAGRAPH-NO
              MOVE 11 TO WS-8000-TRAN-TYPE
              MOVE WS-0011-TBL-POLICY-NO(WS-0011-T11-INDEX)
                TO WS-8000-POLICY-NO
              MOVE WS-0011-TBL-LOCATION-COUNTY(WS-0011-T11-INDEX)
                TO WS-8000-LOC-COUNTY
              MOVE WS-0011-TBL-INSURANCE-PLAN-CD(WS-0011-T11-INDEX)
                TO WS-8000-INSURANCE-PLAN-ID
              MOVE WS-0011-TBL-CROP-CD(WS-0011-T11-INDEX)
                TO WS-8000-CROP-CD
              MOVE WS-0011-TBL-RECORD-NUM(WS-0011-T11-INDEX)
                TO WS-8000-RECORD-NUM
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF
      *    *******************************************
      *    *   WRITE TRANSACTION TO THE BUFFER       *
      *    *******************************************
           INITIALIZE WS-0940-HOLD-REC
           MOVE WS-0011-TBL-TYPE-11(WS-0011-T11-INDEX)
             TO WS-0940-TRANS-REC
           PERFORM 7099-BUFFER-POLICY-RECORD
              THRU 7099-BUFFER-POLICY-RECORD-EXIT.

       3100-PROCESS-TYPE-11-TBL-EXIT.
           EXIT.

       3100-PROCESS-TYPE-14-TBL.

           SET WS-0014-T14-INDEX TO WS-0014-T14-INT-INDEX

      $IF DEBUG-SW DEFINED
           DISPLAY 'CURRENT T14 RECORD INDEX = ',
           WS-0014-T14-INT-INDEX UPON CONSOLE
           DISPLAY 'POLICY # = ',
           WS-0014-TBL-POLICY-NO(WS-0014-T14-INDEX)
           UPON CONSOLE
      $END
      *    *******************************************
      *    *   REJECT IF NECESSARY                   *
      *    *******************************************
           IF ((WS-0014-TBL-TRAN-REJECTED-FLAG(WS-0014-T14-INDEX)
              <> WS-LITERAL-YES) AND
              (WS-0006-REJECT-14S-FLAG = WS-LITERAL-YES))
              MOVE WS-LITERAL-YES
                TO WS-0014-TBL-TRAN-REJECTED-FLAG(WS-0014-T14-INDEX)
              MOVE WS-LITERAL-IR TO WS-8000-ERROR-TYPE
              MOVE 14033 TO WS-8000-ERROR-CODE
              MOVE WS-0014-TBL-TRAN-SEQ-NO(WS-0014-T14-INDEX)
                TO WS-8000-TRAN-SEQ-NO
              MOVE 3100 TO WS-8000-PARAGRAPH-NO
              MOVE 14 TO WS-8000-TRAN-TYPE
              MOVE WS-0014-TBL-POLICY-NO(WS-0014-T14-INDEX)
                TO WS-8000-POLICY-NO
              MOVE WS-0014-TBL-LOCATION-COUNTY(WS-0014-T14-INDEX)
                TO WS-8000-LOC-COUNTY
              MOVE WS-0014-TBL-INSURANCE-PLAN-CD(WS-0014-T14-INDEX)
                TO WS-8000-INSURANCE-PLAN-ID
              MOVE WS-0014-TBL-CROP-CD(WS-0014-T14-INDEX)
                TO WS-8000-CROP-CD
              MOVE WS-0014-TBL-RECORD-NUM(WS-0014-T14-INDEX)
                TO WS-8000-RECORD-NUM
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF
      *    *******************************************
      *    *   WRITE TRANSACTION TO THE BUFFER       *
      *    *******************************************
           INITIALIZE WS-0940-HOLD-REC
           MOVE WS-0014-TBL-TYPE-14(WS-0014-T14-INDEX)
             TO WS-0940-TRANS-REC
           PERFORM 7099-BUFFER-POLICY-RECORD
              THRU 7099-BUFFER-POLICY-RECORD-EXIT.

       3100-PROCESS-TYPE-14-TBL-EXIT.
           EXIT.

       3100-PROCESS-TYPE-15-TBL.

           SET WS-0015-T15-INDEX TO WS-0015-T15-INT-INDEX

      $IF DEBUG-SW DEFINED
           DISPLAY 'CURRENT T15 RECORD INDEX = ',
           WS-0015-T15-INT-INDEX UPON CONSOLE
           DISPLAY 'POLICY # = ',
           WS-0015-TBL-POLICY-NO(WS-0015-T15-INDEX)
           UPON CONSOLE
      $END
      *    *******************************************
      *    *   REJECT IF NECESSARY                   *
      *    *******************************************

      *** reject eliminated because we don't reject 15s if other 15 are
      *** rejected previously - rgh 8/16/97

      *** but if the 14s are rejected, we must also reject the 15s
      *** aw - 10/09/97

           IF ((WS-0015-TBL-TRAN-REJECTED-FLAG(WS-0015-T15-INDEX)
              <> WS-LITERAL-YES) AND
              (WS-0006-REJECT-15S-FLAG = WS-LITERAL-YES) AND
               WS-0006-REJECT-14S-FLAG = WS-LITERAL-YES)
              MOVE WS-LITERAL-YES
                TO WS-0015-TBL-TRAN-REJECTED-FLAG(WS-0015-T15-INDEX)
              MOVE WS-LITERAL-IR TO WS-8000-ERROR-TYPE
              MOVE 15088 TO WS-8000-ERROR-CODE
              MOVE WS-0015-TBL-TRAN-SEQ-NO(WS-0015-T15-INDEX)
                TO WS-8000-TRAN-SEQ-NO
              MOVE 3100 TO WS-8000-PARAGRAPH-NO
              MOVE 15 TO WS-8000-TRAN-TYPE
              MOVE WS-0015-TBL-POLICY-NO(WS-0015-T15-INDEX)
                TO WS-8000-POLICY-NO
              MOVE WS-0015-TBL-LOCATION-COUNTY(WS-0015-T15-INDEX)
                TO WS-8000-LOC-COUNTY
              MOVE WS-0015-TBL-INSURANCE-PLAN-CD(WS-0015-T15-INDEX)
                TO WS-8000-INSURANCE-PLAN-ID
              MOVE WS-0015-TBL-CROP-CD(WS-0015-T15-INDEX)
                TO WS-8000-CROP-CD
              MOVE WS-0015-TBL-RECORD-NUM(WS-0015-T15-INDEX)
                TO WS-8000-RECORD-NUM
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF
      *    *******************************************
      *    *   WRITE TRANSACTION TO THE BUFFER       *
      *    *******************************************
           INITIALIZE WS-0940-HOLD-REC
           MOVE WS-0015-TBL-TYPE-15(WS-0015-T15-INDEX)
             TO WS-0940-TRANS-REC
           PERFORM 7099-BUFFER-POLICY-RECORD
              THRU 7099-BUFFER-POLICY-RECORD-EXIT.

       3100-PROCESS-TYPE-15-TBL-EXIT.
           EXIT.

       3100-PROCESS-TYPE-21-TBL.

           SET WS-0021-T21-INDEX TO WS-0021-T21-INT-INDEX

      $IF DEBUG-SW DEFINED
           DISPLAY 'CURRENT T21 RECORD INDEX = ',
           WS-0021-T21-INT-INDEX UPON CONSOLE
           DISPLAY 'POLICY # = ',
           WS-0021-TBL-POLICY-NO(WS-0021-T21-INDEX)
           UPON CONSOLE
           DISPLAY 'CLAIM # ',
           WS-0021-TBL-CLAIM-NUM(WS-0021-T21-INDEX)
           UPON CONSOLE
      $END
      *    *******************************************
      *    *   REJECT IF NECESSARY                   *
      *    *******************************************
           IF ((WS-0021-TBL-TRAN-REJECTED-FLAG(WS-0021-T21-INDEX)
              <> WS-LITERAL-YES) AND
              (WS-0006-REJECT-21S-FLAG = WS-LITERAL-YES))
              MOVE WS-LITERAL-YES
                TO WS-0021-TBL-TRAN-REJECTED-FLAG(WS-0021-T21-INDEX)
              MOVE WS-LITERAL-IR TO WS-8000-ERROR-TYPE
              MOVE 21033 TO WS-8000-ERROR-CODE
              MOVE WS-0021-TBL-TRAN-SEQ-NO(WS-0021-T21-INDEX)
                TO WS-8000-TRAN-SEQ-NO
              MOVE 3100 TO WS-8000-PARAGRAPH-NO
              MOVE 21 TO WS-8000-TRAN-TYPE
              MOVE WS-0021-TBL-POLICY-NO(WS-0021-T21-INDEX)
                TO WS-8000-POLICY-NO
              MOVE WS-0021-TBL-LOCATION-COUNTY(WS-0021-T21-INDEX)
                TO WS-8000-LOC-COUNTY
              MOVE WS-0021-TBL-INSURANCE-PLAN-CD(WS-0021-T21-INDEX)
                TO WS-8000-INSURANCE-PLAN-ID
              MOVE WS-0021-TBL-CROP-CD(WS-0021-T21-INDEX)
                TO WS-8000-CROP-CD
              MOVE WS-0021-TBL-RECORD-NUM(WS-0021-T21-INDEX)
                TO WS-8000-RECORD-NUM
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

      *    *******************************************
      *    *   UPDATE CLAIM TABLE IF NECESSARY       *
      *    *******************************************
           IF WS-0021-TBL-TRAN-REJECTED-FLAG(WS-0021-T21-INDEX)
              = WS-LITERAL-YES and
              WS-0020-CLAIM-REC-COUNT > 0
              PERFORM 3100-REJECT-CLAIM
                 THRU 3100-REJECT-CLAIM-EXIT
                 WITH TEST AFTER
              VARYING WS-0020-CLAIM-INT-INDEX FROM 1 BY 1
                UNTIL WS-0020-CLAIM-INT-INDEX
                    = WS-0020-CLAIM-REC-COUNT
           END-IF

      *    *******************************************
      *    *   WRITE TRANSACTION TO THE BUFFER       *
      *    *******************************************
           INITIALIZE WS-0940-HOLD-REC
           MOVE WS-0021-TBL-TYPE-21(WS-0021-T21-INDEX)
             TO WS-0940-TRANS-REC
           IF WS-0940-TRAN-REJECTED-FLAG = WS-LITERAL-YES AND
      ***     WS-0940-T21-VALID-FOR-ESCROW <> WS-LITERAL-YES
              WS-0940-T21-VALID-FOR-ESCROW =  WS-LITERAL-YES
              MOVE WS-LITERAL-YES TO WS-0005-ESCROW-INDICATOR
           END-IF
           PERFORM 7099-BUFFER-POLICY-RECORD
              THRU 7099-BUFFER-POLICY-RECORD-EXIT.

       3100-PROCESS-TYPE-21-TBL-EXIT.
          EXIT.


       3100-REJECT-CLAIM.

           SET WS-0020-CLAIM-INDEX TO WS-0020-CLAIM-INT-INDEX.

           IF (WS-0020-CLAIM-TBL-CLAIM-NO(WS-0020-CLAIM-INDEX)
              = WS-0021-TBL-CLAIM-NUM(WS-0021-T21-INDEX))
      $IF DEBUG-SW DEFINED
           DISPLAY 'REJECTING CLAIM # ',
           WS-0021-TBL-CLAIM-NUM(WS-0021-T21-INDEX)
           UPON CONSOLE
      $END
              MOVE WS-LITERAL-YES
                TO WS-0020-CLAIM-TBL-TRAN-REJ-FL(WS-0020-CLAIM-INDEX)
              IF WS-0940-T21-VALID-FOR-ESCROW = WS-LITERAL-NO
                 MOVE WS-LITERAL-NO
                   TO WS-0020-CLAIM-TBL-ESCROW-FLAG
                      (WS-0020-CLAIM-INDEX)
              END-IF
           END-IF.

       3100-REJECT-CLAIM-EXIT.
           EXIT.

