      ***************************************************************
      * File:      IR3200.CBL
      * Author:    Mike Ray
      * Date:      01/11/96
      * Purpose:
      *    This copy file contains the sequencing logic for policy
      *    transactions.
      *
      ***************************************************************

       3200-PROCESS-HELD-POLICY.

      $IF DEBUG-SW DEFINED
           DISPLAY '3200-PROCESSING HELD POLICY'
           UPON CONSOLE
      $END


           IF WS-0010-SBI-REC-COUNT > ZERO
              PERFORM 3009-VAL-SBI-TABLE
                 THRU 3009-VAL-SBI-TABLE-EXIT
           END-IF

           IF WS-0012-T12-REC-COUNT > ZERO
              PERFORM 3012-VAL-T12-TABLE
                 THRU 3012-VAL-T12-TABLE-EXIT
           END-IF

      *    IF WS-0016-T16-REC-COUNT > ZERO
      *       PERFORM 3016-VAL-T16-TABLE
      *          THRU 3016-VAL-T16-TABLE-EXIT
      *    END-IF

           IF WS-0020-T20-REC-COUNT > ZERO
              MOVE WS-LITERAL-YES TO WS-0005-LOSS-INDICATOR
              PERFORM 3020-VAL-T20-TABLE
                 THRU 3020-VAL-T20-TABLE-EXIT
           ELSE
              MOVE WS-LITERAL-NO TO WS-0005-LOSS-INDICATOR
           END-IF

      *    IF WS-0050-T50-REC-COUNT IS GREATER THAN ZERO
      *       PERFORM 3050-VAL-T50-TABLE
      *          THRU 3050-VAL-T50-TABLE-EXIT
      *    END-IF

           IF WS-0005-CURRENT-POLICY-NO <> SPACES
              PERFORM 3010-VAL-POLICY
                 THRU 3010-VAL-POLICY-EXIT
           END-IF

           IF WS-0012-T12-REC-COUNT > ZERO
              PERFORM 3200-PROCESS-TYPE-12-TBL
                 THRU 3200-PROCESS-TYPE-12-TBL-EXIT
                 WITH TEST AFTER
              VARYING WS-0012-T12-INT-INDEX FROM 1 BY 1
                UNTIL WS-0012-T12-INT-INDEX = WS-0012-T12-REC-COUNT
           END-IF

           IF WS-0020-T20-REC-COUNT > ZERO
              PERFORM 3200-PROCESS-T20-TBL
                 THRU 3200-PROCESS-T20-TBL-EXIT
                 WITH TEST AFTER
              VARYING WS-0020-T20-INDEX FROM 1 BY 1
                UNTIL WS-0020-T20-INDEX = WS-0020-T20-REC-COUNT
           END-IF

           IF WS-0099-T99-REC-COUNT = ZEROS
              GO TO 3200-PROCESS-HELD-POLICY-EXIT
           END-IF

      $IF DEBUG-SW DEFINED
           DISPLAY 'HELD TRAN(1) = ', WS-0099-T99-RECORD(1)
           UPON CONSOLE
           DISPLAY 'HELD TRAN(2) = ', WS-0099-T99-RECORD(2)
           UPON CONSOLE
           DISPLAY 'HELD TRAN(3) = ', WS-0099-T99-RECORD(3)
           UPON CONSOLE
           DISPLAY 'HELD TRAN(4) = ', WS-0099-T99-RECORD(4)
           UPON CONSOLE
           DISPLAY 'HELD TRAN(5) = ', WS-0099-T99-RECORD(5)
           UPON CONSOLE
           DISPLAY 'LAST HELD TRAN = ',
           WS-0099-T99-RECORD(WS-0099-T99-REC-COUNT)
           UPON CONSOLE
      $END

           IF WS-0099-T99-REC-COUNT > 0
              PERFORM 3200-PROCESS-HELD-TBL
                 THRU 3200-PROCESS-HELD-TBL-EXIT
                 WITH TEST AFTER
              VARYING WS-0099-T99-INT-INDEX
                 FROM 1 BY 1
                UNTIL WS-0099-T99-INT-INDEX = WS-0099-T99-REC-COUNT
           END-IF

           IF TEMP-POL-FILE-OPEN
              PERFORM 0945-CLOSE-TEMP-FILE
                 THRU 0945-CLOSE-TEMP-FILE-EXIT

              PERFORM 0950-OPEN-TEMP-FOR-INPUT
                 THRU 0950-OPEN-TEMP-FOR-INPUT-EXIT

              MOVE WS-LITERAL-NO TO WS-3200-DONE-PROCESSING

              PERFORM 3200-PROCESS-HELD-FILE
                 THRU 3200-PROCESS-HELD-FILE-EXIT
                UNTIL WS-3200-DONE-PROCESSING = WS-LITERAL-YES

              PERFORM 0945-CLOSE-TEMP-FILE
                 THRU 0945-CLOSE-TEMP-FILE-EXIT

           END-IF

      *****************************************************
      *  UPDATE THE POLICY STATISTICS ISAM FOR THIS       *
      *  ACCEPTED POLICY.                                 *
      *****************************************************
           IF WS-0005-REJECT-POLICY-FLAG <> WS-LITERAL-YES
              INITIALIZE WS-0987-INPUT
              MOVE WS-0005-CURRENT-POLICY-NO
                TO WS-0987-INPUT-POLICY-NO
              MOVE WS-0005-POLICY-STATS
                TO WS-0987-INPUT-STATS
              MOVE WS-0004-BATCH-NO
                TO WS-0987-INPUT-BATCH-NO
              MOVE WS-0004-FCIC-PROC-DATE
                TO WS-0987-INPUT-FCIC-DATE
              PERFORM 0987-WRITE-POL-STATS-REC
                 THRU 0987-WRITE-POL-STATS-REC-EXIT
           END-IF

           PERFORM 0110-INITIALIZE-TABLES
              THRU 0110-INITIALIZE-TABLES-EXIT.



       3200-PROCESS-HELD-POLICY-EXIT.
           EXIT.


       3200-PROCESS-HELD-TBL.

      *****************************************************
      *  THIS PARAGRAPH PROCESSES TRANSACTIONS WHICH HAVE *
      *  BEEN WRITTEN TO THE T99 BUFFER TABLE.            *
      *****************************************************

           SET WS-0099-T99-INDEX TO WS-0099-T99-INT-INDEX

           INITIALIZE WS-0940-HOLD-REC
           MOVE WS-0099-T99-RECORD(WS-0099-T99-INDEX)
             TO WS-0940-HOLD-REC

      $IF DEBUG-SW DEFINED
           DISPLAY 'HELD TRAN = ', WS-0940-HOLD-REC
           UPON CONSOLE
      $END

           PERFORM 3200-PROCESS-TRANSACTION
              THRU 3200-PROCESS-TRANSACTION-EXIT.


       3200-PROCESS-HELD-TBL-EXIT.
           EXIT.



       3200-PROCESS-HELD-FILE.

      *****************************************************
      *  THIS PARAGRAPH PROCESSES TRANSACTIONS WHICH HAVE *
      *  BEEN WRITTEN TO THE HELD TRANSACTION FILE.  THIS *
      *  HAPPENS WHEN THE TRANSACTION BUFFER TABLE IS NOT *
      *  LARGE ENOUGH TO HOLD ALL OF THE POLICY RECORDS   *
      *  FOR ONE POLICY.                                  *
      *****************************************************

           INITIALIZE WS-0940-HOLD-REC

           READ TEMP-POLICY-FILE INTO WS-0940-HOLD-REC
               AT END
                  MOVE WS-LITERAL-YES TO WS-3200-DONE-PROCESSING
                  GO TO 3200-PROCESS-HELD-FILE-EXIT
           END-READ

           PERFORM 3200-PROCESS-TRANSACTION
              THRU 3200-PROCESS-TRANSACTION-EXIT.


       3200-PROCESS-HELD-FILE-EXIT.
           EXIT.


       3200-PROCESS-TRANSACTION.

      *****************************************************
      * This paragraph takes a single transaction which   *
      * has been placed in WS-0940-HOLD-REC and validates *
      * it to make sure that it was moved properly and    *
      * then performs any database updates and writes it  *
      * to the accepted or rejected file.                 *
      *****************************************************

           IF WS-0940-TRAN-SEQ-NO IS NOT NUMERIC
              MOVE 3200 TO WS-8020-PARAGRAPH-NO
              MOVE 90001 TO WS-8020-INT-ERROR-NO
              MOVE 'WS-0940-TRAN-SEQ-NO' TO WS-8020-FIELD-NAME
              MOVE WS-0940-TRAN-SEQ-NO TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-0940-TRAN-SEQ-NO = ZEROS
              MOVE 3200 TO WS-8020-PARAGRAPH-NO
              MOVE 90003 TO WS-8020-INT-ERROR-NO
              MOVE 'WS-0940-TRAN-SEQ-NO' TO WS-8020-FIELD-NAME
              MOVE WS-0940-TRAN-SEQ-NO TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-0940-BATCH-NO IS NOT NUMERIC
              MOVE 3200 TO WS-8020-PARAGRAPH-NO
              MOVE 90001 TO WS-8020-INT-ERROR-NO
              MOVE 'WS-0940-BATCH-NO' TO WS-8020-FIELD-NAME
              MOVE WS-0940-BATCH-NO TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-0940-BATCH-NO = ZEROS
              MOVE 3200 TO WS-8020-PARAGRAPH-NO
              MOVE 90003 TO WS-8020-INT-ERROR-NO
              MOVE 'WS-0940-BATCH-NO' TO WS-8020-FIELD-NAME
              MOVE WS-0940-BATCH-NO TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-0940-FCIC-CONTROL-TIME IS NOT NUMERIC
              MOVE 3200 TO WS-8020-PARAGRAPH-NO
              MOVE 90001 TO WS-8020-INT-ERROR-NO
              MOVE 'WS-0940-FCIC-TIME' TO WS-8020-FIELD-NAME
              MOVE WS-0940-FCIC-CONTROL-TIME TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-0940-FCIC-CONTROL-TIME = ZEROS
              MOVE 3200 TO WS-8020-PARAGRAPH-NO
              MOVE 90003 TO WS-8020-INT-ERROR-NO
              MOVE 'WS-0940-FCIC-TIME' TO WS-8020-FIELD-NAME
              MOVE WS-0940-FCIC-CONTROL-TIME TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-0940-FCIC-CONTROL-DATE IS NOT NUMERIC
              MOVE 3200 TO WS-8020-PARAGRAPH-NO
              MOVE 90001 TO WS-8020-INT-ERROR-NO
              MOVE 'WS-0940-FCIC-DATE' TO WS-8020-FIELD-NAME
              MOVE WS-0940-FCIC-CONTROL-DATE TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-0940-FCIC-CONTROL-DATE = ZEROS
              MOVE 3200 TO WS-8020-PARAGRAPH-NO
              MOVE 90003 TO WS-8020-INT-ERROR-NO
              MOVE 'WS-0940-FCIC-DATE' TO WS-8020-FIELD-NAME
              MOVE WS-0940-FCIC-CONTROL-DATE TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

      $IF DEBUG-SW DEFINED
           DISPLAY 'PROCESSING TRANS # ', WS-0940-TRAN-SEQ-NO,
           ' TYPE ', WS-0940-TRAN-TYPE, ' SOURCE ',
           WS-0940-TRAN-SOURCE-FLAG, ' REJECT = ',
           WS-0940-TRAN-REJECTED-FLAG
           UPON CONSOLE
      $END

      **********************************************************
      *    WRITE TYPE 10 001 RECORD TO THE ESCROW FILE IF THE  *
      *    ESCROW INDICATOR IS SET.                            *
      **********************************************************
           IF WS-0940-TRAN-TYPE = 10 AND

      ***************  ESCROW APPLICATION *****************************

              WS-0940-RECORD-NO = 001 AND
              WS-0005-ESCROW-INDICATOR = WS-LITERAL-YES

      ***************  ESCROW APPLICATION *****************************

              PERFORM 0927-ESCROW-TRANSACTION
                 THRU 0927-ESCROW-TRANSACTION-EXIT
           END-IF

      *****************************************************
      *  IF THE TYPE 11 RECORD IS BEING SUBMITTED FOR THE
      *  FIRST TIME, UPDATE THE TRANSACTION'S WEEKS LATE
      *  WITH THE WEEKS LATE DETERMINED FOR THE POLICY.
      *****************************************************
           IF WS-0940-TRAN-TYPE = 11
      $IF DEBUG-SW DEFINED
           DISPLAY 'FIRST SUBMISSION ', WS-0940-FIRST-SUBMISSION-FLG,
           DISPLAY 'THIS 11 IS ', WS-0940-WEEKS-LATE, ' WEEKS LATE',
           DISPLAY 'WEEKS LATE FOR THE POLICY IS ', WS-0005-WEEKS-LATE
           UPON CONSOLE
      $END
              IF WS-0940-FIRST-SUBMISSION-FLG = WS-LITERAL-YES AND
                 WS-0940-WEEKS-LATE <> WS-0005-WEEKS-LATE
                 MOVE WS-0005-WEEKS-LATE TO WS-0940-WEEKS-LATE
                 MOVE SPACES TO WS-0940-FIRST-SUBMISSION-FLG

                 INITIALIZE WS-0998-INPUT
                 MOVE WS-0005-LATEST-EXTENDED-ARD
                   TO WS-0998-IN-LATE-FILED-DT
                 MOVE WS-0005-REDUCTION-WEEKS
                   TO WS-0998-IN-REDUCTION-WEEKS
                 MOVE WS-0005-LATEST-ARD
                   TO WS-0998-IN-ACREAGE-RPT-DATE
                 INITIALIZE WS-0998-INPUT-T11-DATA
                 MOVE WS-0900-TRAN-REC TO WS-0998-INPUT-T11-DATA
                 PERFORM 0998-UPDATE-T11-LFA
                    THRU 0998-UPDATE-T11-LFA-EXIT
              END-IF
           END-IF

      **********************************************************
      *    REJECT TYPE 20 RECORDS WHICH HAVE BAD CLAIM         *
      *    NUMBERS                                             *
      **********************************************************
      **********************************************************
           IF WS-0020-CLAIM-REC-COUNT > 0
      **********************************************************
      **********************************************************
           IF WS-0940-TRAN-TYPE = 20
              PERFORM 3200-SEARCH-CLAIM-TBL
                 THRU 3200-SEARCH-CLAIM-TBL-EXIT
              IF WS-0940-TRAN-REJECTED-FLAG <> WS-LITERAL-YES
                 IF WS-3200-CLAIM-REJECTED-FLAG = WS-LITERAL-YES
                    MOVE WS-LITERAL-YES
                      TO WS-0940-TRAN-REJECTED-FLAG
                    MOVE WS-0940-TRAN-SEQ-NO
                      TO WS-8000-TRAN-SEQ-NO
                    MOVE WS-0940-TRAN-TYPE
                      TO WS-8000-ERROR-TRAN-TYPE
                    MOVE 039 TO WS-8000-SHORT-ERROR
                    MOVE WS-LITERAL-IR TO WS-8000-ERROR-TYPE
                    MOVE 'CLAIM NO' TO WS-8000-FIELD-NAME1
                    MOVE WS-0940-CLAIM-NO TO WS-8000-BAD-DATA1
                    MOVE SPACES TO WS-8000-CORR-DATA1
                    MOVE WS-0940-TRAN-TYPE TO WS-8000-TRAN-TYPE
                    MOVE WS-0940-POLICY-NO
                      TO WS-8000-POLICY-NO
                    MOVE 3200 TO WS-8000-PARAGRAPH-NO
                    PERFORM 8000-RECORD-TRAN-ERROR
                       THRU 8000-RECORD-TRAN-ERROR-EXIT
                 END-IF
              END-IF

              IF WS-3200-VALID-FOR-ESCROW-FLAG = WS-LITERAL-NO
                 MOVE WS-LITERAL-NO
                   TO WS-0940-T20-VALID-FOR-ESCROW
              END-IF
      $IF DEBUG-SW DEFINED
           DISPLAY 'TYPE 20 VALID FOR ESCROW = ',
           WS-0940-T20-VALID-FOR-ESCROW
           UPON CONSOLE
      $END

      ********************  ESCROW APPLICATION **********************

      ***     IF WS-0940-T20-VALID-FOR-ESCROW <> WS-LITERAL-YES
              IF WS-0940-TRAN-REJECTED-FLAG = WS-LITERAL-YES
                 IF WS-0940-T20-VALID-FOR-ESCROW =  WS-LITERAL-YES
                    MOVE WS-LITERAL-YES
                      TO WS-0940-TRAN-REJECTED-FLAG
                    MOVE WS-0940-TRAN-SEQ-NO
                      TO WS-8000-TRAN-SEQ-NO
                    MOVE WS-0940-TRAN-TYPE
                      TO WS-8000-ERROR-TRAN-TYPE
                    MOVE 20054 TO WS-8000-ERROR-CODE
                    MOVE WS-LITERAL-IR TO WS-8000-ERROR-TYPE
                    MOVE 'ESCROW RECORD' TO WS-8000-FIELD-NAME1
                    MOVE SPACES           TO WS-8000-BAD-DATA1
                    MOVE SPACES TO WS-8000-CORR-DATA1
                    MOVE WS-0940-TRAN-TYPE TO WS-8000-TRAN-TYPE
                    MOVE WS-0940-POLICY-NO
                      TO WS-8000-POLICY-NO
                    MOVE 3200 TO WS-8000-PARAGRAPH-NO
                    PERFORM 8000-RECORD-TRAN-ERROR
                       THRU 8000-RECORD-TRAN-ERROR-EXIT
                    PERFORM 0927-ESCROW-TRANSACTION
                       THRU 0927-ESCROW-TRANSACTION-EXIT
                 ELSE
                    MOVE WS-LITERAL-YES
                      TO WS-0940-TRAN-REJECTED-FLAG
                    MOVE WS-0940-TRAN-SEQ-NO
                      TO WS-8000-TRAN-SEQ-NO
                    MOVE WS-0940-TRAN-TYPE
                      TO WS-8000-ERROR-TRAN-TYPE
                    MOVE 20055 TO WS-8000-ERROR-CODE
                    MOVE WS-LITERAL-IR TO WS-8000-ERROR-TYPE
                    MOVE 'ESCROW RECORD' TO WS-8000-FIELD-NAME1
                    MOVE SPACES           TO WS-8000-BAD-DATA1
                    MOVE SPACES TO WS-8000-CORR-DATA1
                    MOVE WS-0940-TRAN-TYPE TO WS-8000-TRAN-TYPE
                    MOVE WS-0940-POLICY-NO
                      TO WS-8000-POLICY-NO
                    MOVE 3200 TO WS-8000-PARAGRAPH-NO
                    PERFORM 8000-RECORD-TRAN-ERROR
                       THRU 8000-RECORD-TRAN-ERROR-EXIT
                 END-IF
      ********************  ESCROW APPLICATION **********************

              END-IF

      *       *****************************************************
      *       *    DETERMINE IF PAYMENT/CREDIT MEMOS NEED TO BE   *
      *       *    CREATED AND CREATE THEM IF NECESSARY           *
      *       *****************************************************
              IF WS-0940-TRAN-REJECTED-FLAG <> WS-LITERAL-YES
                 INITIALIZE WS-3510-INPUT
                 MOVE WS-0940-HOLD-REC TO WS-3510-TYPE-20
                 PERFORM 3510-GENERATE-PCR-MEMOS
                    THRU 3510-GENERATE-PCR-MEMOS-EXIT
              END-IF
      ***  END-IF
           END-IF
           END-IF

      **********************************************************
      *    REJECT TYPE 21 RECORDS WHICH HAVE BAD CLAIM         *
      *    NUMBERS                                             *
      **********************************************************
      **********************************************************
      **********************************************************
           IF WS-0020-CLAIM-REC-COUNT > 0
      **********************************************************
      **********************************************************
           IF WS-0940-TRAN-TYPE = 21
              PERFORM 3200-SEARCH-CLAIM-TBL
                 THRU 3200-SEARCH-CLAIM-TBL-EXIT
              IF WS-0940-TRAN-REJECTED-FLAG <> WS-LITERAL-YES
                 IF WS-3200-CLAIM-REJECTED-FLAG = WS-LITERAL-YES
                    MOVE WS-LITERAL-YES
                      TO WS-0940-TRAN-REJECTED-FLAG
                    MOVE WS-0940-TRAN-SEQ-NO
                      TO WS-8000-TRAN-SEQ-NO
                    MOVE WS-0940-TRAN-TYPE
                      TO WS-8000-ERROR-TRAN-TYPE
                    MOVE 039 TO WS-8000-SHORT-ERROR
                    MOVE WS-LITERAL-IR TO WS-8000-ERROR-TYPE
                    MOVE 'CLAIM NO' TO WS-8000-FIELD-NAME1
                    MOVE WS-0940-CLAIM-NO TO WS-8000-BAD-DATA1
                    MOVE SPACES TO WS-8000-CORR-DATA1
                    MOVE WS-0940-TRAN-TYPE TO WS-8000-TRAN-TYPE
                    MOVE WS-0940-POLICY-NO
                      TO WS-8000-POLICY-NO
                    MOVE 3200 TO WS-8000-PARAGRAPH-NO
                    PERFORM 8000-RECORD-TRAN-ERROR
                       THRU 8000-RECORD-TRAN-ERROR-EXIT
                 END-IF
              END-IF

              IF WS-3200-VALID-FOR-ESCROW-FLAG = WS-LITERAL-NO
                 MOVE WS-LITERAL-NO
                   TO WS-0940-T21-VALID-FOR-ESCROW
              END-IF
      $IF DEBUG-SW DEFINED
           DISPLAY 'TYPE 21 VALID FOR ESCROW = ',
           WS-0940-T21-VALID-FOR-ESCROW
           UPON CONSOLE
      $END

      ********************  ESCROW APPLICATION **********************

      ***     IF WS-0940-T21-VALID-FOR-ESCROW <> WS-LITERAL-YES
              IF WS-0940-TRAN-REJECTED-FLAG = WS-LITERAL-YES
      ***     IF WS-0940-T20-VALID-FOR-ESCROW =  WS-LITERAL-YES
                 IF WS-0940-T21-VALID-FOR-ESCROW =  WS-LITERAL-YES
                    MOVE WS-LITERAL-YES
                      TO WS-0940-TRAN-REJECTED-FLAG
                    MOVE WS-0940-TRAN-SEQ-NO
                      TO WS-8000-TRAN-SEQ-NO
                    MOVE WS-0940-TRAN-TYPE
                      TO WS-8000-ERROR-TRAN-TYPE
                    MOVE 21089 TO WS-8000-ERROR-CODE
                    MOVE WS-LITERAL-IR TO WS-8000-ERROR-TYPE
                    MOVE 'ESCROW RECORD' TO WS-8000-FIELD-NAME1
                    MOVE SPACES           TO WS-8000-BAD-DATA1
                    MOVE SPACES TO WS-8000-CORR-DATA1
                    MOVE WS-0940-TRAN-TYPE TO WS-8000-TRAN-TYPE
                    MOVE WS-0940-POLICY-NO
                      TO WS-8000-POLICY-NO
                    MOVE 3200 TO WS-8000-PARAGRAPH-NO
                    PERFORM 8000-RECORD-TRAN-ERROR
                       THRU 8000-RECORD-TRAN-ERROR-EXIT
                    PERFORM 0927-ESCROW-TRANSACTION
                       THRU 0927-ESCROW-TRANSACTION-EXIT
                 ELSE
                    MOVE WS-LITERAL-YES
                      TO WS-0940-TRAN-REJECTED-FLAG
                    MOVE WS-0940-TRAN-SEQ-NO
                      TO WS-8000-TRAN-SEQ-NO
                    MOVE WS-0940-TRAN-TYPE
                      TO WS-8000-ERROR-TRAN-TYPE
                    MOVE 21090 TO WS-8000-ERROR-CODE
                    MOVE WS-LITERAL-IR TO WS-8000-ERROR-TYPE
                    MOVE 'ESCROW RECORD' TO WS-8000-FIELD-NAME1
                    MOVE SPACES           TO WS-8000-BAD-DATA1
                    MOVE SPACES TO WS-8000-CORR-DATA1
                    MOVE WS-0940-TRAN-TYPE TO WS-8000-TRAN-TYPE
                    MOVE WS-0940-POLICY-NO
                      TO WS-8000-POLICY-NO
                    MOVE 3200 TO WS-8000-PARAGRAPH-NO
                    PERFORM 8000-RECORD-TRAN-ERROR
                       THRU 8000-RECORD-TRAN-ERROR-EXIT
              END-IF
              END-IF
      ********************  ESCROW APPLICATION **********************
           END-IF
           END-IF

      **********************************************************
      *    ACCEPT OR REJECT THE TRANSACTION                    *
      **********************************************************

           IF (WS-0940-TRAN-REJECTED-FLAG = WS-LITERAL-YES OR
               WS-0005-REJECT-POLICY-FLAG = WS-LITERAL-YES)

               IF (WS-0005-REJECT-POLICY-FLAG = WS-LITERAL-YES) AND
                  (WS-0940-TRAN-REJECTED-FLAG <> WS-LITERAL-YES)
                  MOVE WS-0940-TRAN-SEQ-NO TO WS-8000-TRAN-SEQ-NO
                  MOVE WS-0940-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
                  MOVE 034 TO WS-8000-SHORT-ERROR
                  MOVE WS-LITERAL-IR TO WS-8000-ERROR-TYPE
                  MOVE 'TYPE 10' TO WS-8000-FIELD-NAME1
                  MOVE 'REC 001' TO WS-8000-BAD-DATA1
                  MOVE WS-0940-TRAN-TYPE TO WS-8000-TRAN-TYPE
                  MOVE WS-0940-POLICY-NO
                    TO WS-8000-POLICY-NO
                  MOVE 3200 TO WS-8000-PARAGRAPH-NO
                  PERFORM 8000-RECORD-TRAN-ERROR
                     THRU 8000-RECORD-TRAN-ERROR-EXIT
               END-IF

               PERFORM 0920-REJECT-TRANSACTION
                  THRU 0920-REJECT-TRANSACTION-EXIT
           ELSE
      *        *** MARK THE CORRESPONDING LATE FILED ACREAGE RECORD
      *        *** IN TYPE 11 DATES AS ACCEPTED
               IF WS-0940-TRAN-TYPE = 11
                  MOVE WS-0900-TRAN-REC TO WS-0997-11-REC
                  PERFORM 0997-RECORD-ACCEPTED-11
                     THRU 0997-RECORD-ACCEPTED-11-EXIT
               END-IF

      *        *** MARK THE CORRESPONDING ASSIGNED RISK RECORD
      *        *** IN TYPE 14 DATES AS ACCEPTED
               IF WS-0940-TRAN-TYPE = 14
                  MOVE WS-0900-TRAN-REC TO WS-0995-14-REC
                  PERFORM 0995-RECORD-ACCEPTED-14
                     THRU 0995-RECORD-ACCEPTED-14-EXIT
      *        *** MARK THE TRANSACTION WITH THE ORIGINAL SUBMISSION
      *        *** DATE AND TIME FROM THE ISAM FOR ACCOUNTING.
                  MOVE WS-0995-OUTPUT-SUB-DATE
                    TO WS-0940-T14-ORIG-SUB-DATE
                  MOVE WS-0995-OUTPUT-SUB-TIME
                    TO WS-0940-T14-ORIG-SUB-TIME
               END-IF

               PERFORM 0915-ACCEPT-TRANSACTION
                  THRU 0915-ACCEPT-TRANSACTION-EXIT
           END-IF.

       3200-PROCESS-TRANSACTION-EXIT.
           EXIT.


       3200-PROCESS-TYPE-12-TBL.
      * WRITE EACH TYPE 12 TRANSACTION TO THE TEMPORARY HOLD FILE/BUFFER

           SET WS-0012-T12-INDEX TO WS-0012-T12-INT-INDEX
           INITIALIZE WS-0940-HOLD-REC
           MOVE WS-0012-TBL-TYPE-12(WS-0012-T12-INDEX)
             TO WS-0940-TRANS-REC
           PERFORM 7099-BUFFER-POLICY-RECORD
              THRU 7099-BUFFER-POLICY-RECORD-EXIT.

       3200-PROCESS-TYPE-12-TBL-EXIT.
           EXIT.

       3200-PROCESS-T20-TBL.
      * WRITE THE TYPE 20 TRANSACTION TO THE TEMPORARY HOLD FILE

           INITIALIZE WS-0940-HOLD-REC.
           MOVE WS-0020-TBL-TYPE-20(WS-0020-T20-INDEX)
             TO WS-0940-HOLD-REC
           IF WS-0940-TRAN-REJECTED-FLAG = WS-LITERAL-YES AND
      ***     WS-0940-T20-VALID-FOR-ESCROW <> WS-LITERAL-YES
              WS-0940-T20-VALID-FOR-ESCROW =  WS-LITERAL-YES
              MOVE WS-LITERAL-YES TO WS-0005-ESCROW-INDICATOR
           END-IF
           PERFORM 7099-BUFFER-POLICY-RECORD
              THRU 7099-BUFFER-POLICY-RECORD-EXIT.


       3200-PROCESS-T20-TBL-EXIT.
           EXIT.


       3200-SEARCH-CLAIM-TBL.

           SET WS-0020-CLAIM-INDEX TO 1
           MOVE WS-LITERAL-NO TO WS-3200-CLAIM-REJECTED-FLAG
           MOVE WS-LITERAL-YES TO WS-3200-VALID-FOR-ESCROW-FLAG
           SEARCH WS-0020-CLAIM-RECORD
                VARYING WS-0020-CLAIM-INDEX
                AT END
                   MOVE 3200 TO WS-8020-PARAGRAPH-NO
                   MOVE 90052 TO WS-8020-INT-ERROR-NO
                   MOVE 'CLAIM NUMBER' TO WS-8020-FIELD-NAME
                   MOVE WS-0020-TBL-CLAIM-NUM
                        (WS-0020-T20-INDEX)
                     TO WS-8020-BAD-DATA
                   MOVE WS-LITERAL-NO TO WS-8020-ABORT-PROGRAM
                   PERFORM 8020-RECORD-INT-ERROR
                      THRU 8020-RECORD-INT-ERROR-EXIT
                WHEN WS-0020-CLAIM-TBL-CLAIM-NO
                     (WS-0020-CLAIM-INDEX) = WS-0940-CLAIM-NO
                   IF WS-0020-CLAIM-TBL-TRAN-REJ-FL
                      (WS-0020-CLAIM-INDEX)
                      = WS-LITERAL-YES
                      MOVE WS-LITERAL-YES
                        TO WS-3200-CLAIM-REJECTED-FLAG
                   END-IF
                   IF WS-0020-CLAIM-TBL-ESCROW-FLAG
                      (WS-0020-CLAIM-INDEX)
                      = WS-LITERAL-NO
                      MOVE WS-LITERAL-NO
                        TO WS-3200-VALID-FOR-ESCROW-FLAG
                   END-IF
           END-SEARCH.

       3200-SEARCH-CLAIM-TBL-EXIT.
           EXIT.
