      ***************************************************************
      * File:      IR3315.CBL
      * Author:    Alice Will
      * Date:      2/14/97
      * Purpose:
      *    A corresponding type 14 record must exist for each type
      *    10.  The following fields are used to pair type 14 records
      *    with type 10s:  Reporting Organization, Location State,
      *    Company/County, Policy Number, and Crop Year.
      ***************************************************************

       3315-VAL-RELATED-TYPE-14.

      *    IF WS-0005-REJECT-POLICY-FLAG
      *       = WS-LITERAL-YES

      ******* ERRORS WERE ENCOUNTERED WITH THIS TYPE 10.
      ******* THIS RECORD CANNOT BE VALIDLY COMPARED WITH A TYPE 14
      *       GO TO 3315-VAL-RELATED-TYPE-14-EXIT
      *    END-IF



      $IF DEBUG-SW DEFINED
           DISPLAY '3315-VALIDATING RELATED TYPE 14 RECORDS'
           UPON CONSOLE
      $END

      $IF DEBUG-SW DEFINED
           DISPLAY 'T14(01)= ', WS-0014-TBL-TYPE-14(1)
           UPON CONSOLE
           DISPLAY 'T14(02)= ', WS-0014-TBL-TYPE-14(2)
           UPON CONSOLE
           DISPLAY 'T14(03)= ', WS-0014-TBL-TYPE-14(3)
           UPON CONSOLE
           DISPLAY 'T14(04)= ', WS-0014-TBL-TYPE-14(4)
           UPON CONSOLE
           DISPLAY 'T14(05)= ', WS-0014-TBL-TYPE-14(5)
           UPON CONSOLE
           DISPLAY 'T14 RECORD COUNT = ', WS-0014-T14-REC-COUNT
           UPON CONSOLE
      $END

           IF WS-0014-T14-policy-REC-COUNT <= ZEROS
      ******* THERE IS NO CORRESPONDING TYPE 14 FOR THIS TYPE 10 RECORD
              MOVE WS-LITERAL-YES
                TO WS-0005-REJECT-POLICY-FLAG
              MOVE WS-LITERAL-YES
                TO WS-0005-ERROR-RECORDED
              MOVE WS-LITERAL-IR TO WS-8000-ERROR-TYPE
              MOVE 10068 TO WS-8000-ERROR-CODE
              MOVE 3315 TO WS-8000-PARAGRAPH-NO
              MOVE 'NO MATCHING T14'          TO WS-8000-FIELD-NAME1
              MOVE 'NEED MATCHING T14 RECORD' TO WS-8000-CORR-DATA1
              MOVE 10 TO WS-8000-TRAN-TYPE
              MOVE WS-0005-TRAN-SEQ-NO
                TO WS-8000-TRAN-SEQ-NO
              MOVE WS-0005-CURRENT-POLICY-NO
                TO WS-8000-POLICY-NO
              MOVE WS-0005-RECORD-NUM
                TO WS-8000-RECORD-NUM
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF.

       3315-VAL-RELATED-TYPE-14-EXIT.
           EXIT.


