      *****************************************************************
      * FILE:      IR3330.CBL
      * AUTHOR:    Laura Dittamo
      * DATE:      02/29/96
      * PURPOSE:   If Type 10 Record Number 001 has Entity Type 'M' or
      *            'U', all corresponding Type 14s must be CAT - Coverage
      *            Flag = 'C'.
      ****************************************************************

       3330-CHECK-ENTITY-TYPE.

      $IF DEBUG-SW DEFINED
           DISPLAY '3330-CHECK COVERAGE FLAG OF 14S FOR TYPE 10 REC 001'
           UPON CONSOLE
      $END

           MOVE WS-LITERAL-NO TO WS-3330-REJECT-TYPE-10-REC-001

           IF WS-0005-ENTITY-TYPE = WS-LITERAL-TOBACCO-MKTG-CARD OR
              WS-0005-ENTITY-TYPE = WS-LITERAL-UNDIVIDED-INTEREST
              PERFORM 3330-SEARCH-TABLE-14
                 THRU 3330-SEARCH-TABLE-14-EXIT
                 WITH TEST AFTER
                 VARYING WS-0014-T14-INT-INDEX FROM 1 BY 1
                 UNTIL WS-0014-T14-INT-INDEX = WS-0014-T14-REC-COUNT
           END-IF

      **   IF ANY OF THE TYPE 14S WERE REJECTED, REJECT THE TYPE 10
      **   RECORD 001
           IF WS-3330-REJECT-TYPE-10-REC-001 = WS-LITERAL-YES
              MOVE WS-LITERAL-YES TO WS-0005-REJECT-POLICY-FLAG
              MOVE WS-LITERAL-IR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-0005-ERROR-RECORDED
              MOVE 10064 TO WS-8000-ERROR-CODE
              MOVE 3320 TO WS-8000-PARAGRAPH-NO
              MOVE 10 TO WS-8000-TRAN-TYPE
              MOVE WS-0005-TRAN-SEQ-NO TO WS-8000-TRAN-SEQ-NO
              MOVE WS-0005-CURRENT-POLICY-NO TO WS-8000-POLICY-NO
              MOVE WS-0005-RECORD-NUM TO WS-8000-RECORD-NUM
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF.


       3330-CHECK-ENTITY-TYPE-EXIT.
           EXIT.


       3330-SEARCH-TABLE-14.

           SET WS-0014-T14-INDEX TO WS-0014-T14-INT-INDEX
           IF WS-0014-TBL-COVERAGE-FLG(WS-0014-T14-INDEX)
              <> WS-LITERAL-CAT
      ******* REJECT THE 14
              MOVE WS-LITERAL-YES
                TO WS-0014-TBL-TRAN-REJECTED-FLAG (WS-0014-T14-INDEX)
              MOVE WS-LITERAL-IR TO WS-8000-ERROR-TYPE
              MOVE 14064 TO WS-8000-ERROR-CODE
              MOVE WS-0014-TBL-TRAN-SEQ-NO(WS-0014-T14-INDEX)
                TO WS-8000-TRAN-SEQ-NO
              MOVE 14 TO WS-8000-TRAN-TYPE
              MOVE WS-0014-TBL-POLICY-NO(WS-0014-T14-INDEX)
                TO WS-8000-POLICY-NO
              MOVE WS-LITERAL-CVG-FL TO WS-8000-FIELD-NAME1
              MOVE WS-0014-TBL-COVERAGE-FLG(WS-0014-T14-INDEX)
                TO WS-8000-BAD-DATA1
              MOVE 'C' TO WS-8000-CORR-DATA1
              MOVE 'T10 SEQ NO' TO WS-8000-FIELD-NAME2
              MOVE WS-0005-TRAN-SEQ-NO TO WS-8000-CORR-DATA2
              MOVE 3330 TO WS-8000-PARAGRAPH-NO
              MOVE WS-0014-TBL-LOCATION-COUNTY(WS-0014-T14-INDEX)
                TO WS-8000-LOC-COUNTY
              MOVE WS-0014-TBL-INSURANCE-PLAN-CD(WS-0014-T14-INDEX)
                TO WS-8000-INSURANCE-PLAN-ID
              MOVE WS-0014-TBL-CROP-CD(WS-0014-T14-INDEX)
                TO WS-8000-CROP-CD
              MOVE WS-0014-TBL-RECORD-NUM(WS-0014-T14-INDEX)
                TO WS-8000-RECORD-NUM
              MOVE WS-LITERAL-YES TO WS-0006-REJECT-14S-FLAG
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
      ******* SET REJECTION FLAG FOR THE TYPE 10 RECORD 001
              MOVE WS-LITERAL-YES TO WS-3330-REJECT-TYPE-10-REC-001

           END-IF.

       3330-SEARCH-TABLE-14-EXIT.
           EXIT.

