      ***************************************************************
      * File:      IR3360.CBL
      * Author:    Laura Dittamo
      * Date:      8/25/95
      * Purpose:
      *    When any newly submitted 14 has a refund/cancel flag = 'R',
      *    a matching 14 record with an administrative fee flag - 'F'
      *    or 'V' must exist on the database.
      ***************************************************************

       3360-DETERMINE-VAL-REFUND.

      $IF DEBUG-SW DEFINED
           DISPLAY '3360-VALIDATING REFUND/CANCEL FLAG'
           UPON CONSOLE
      $END

      * THE TYPE 14 TRANSACTION TABLE HOLDS ALL THE TYPE 14 RECORDS FOR
      * ONE CROP UNDER ONE POLICY
           INITIALIZE WS-3360-WORK

           IF WS-0014-T14-REC-COUNT > ZERO
              PERFORM 3360-CHK-REFUND-FLAG
                 THRU 3360-CHK-REFUND-FLAG-EXIT
                 WITH TEST AFTER
              VARYING WS-0014-T14-INT-INDEX FROM 1 BY 1
                UNTIL WS-0014-T14-INT-INDEX = WS-0014-T14-REC-COUNT
           END-IF.


       3360-DETERMINE-VAL-REFUND-EXIT.
           EXIT.


       3360-CHK-REFUND-FLAG.

           SET WS-0014-T14-INDEX TO WS-0014-T14-INT-INDEX

           IF WS-0014-TBL-TRAN-REJECTED-FLAG(WS-0014-T14-INDEX)
              = WS-LITERAL-YES

      *       *** ERRORS WERE ENCOUNTERED WITH THIS TYPE 14.
      *       *** CHECK THE SPECIFIC NUMERIC AND DERIVED FIELDS WHICH ARE USED
      *       *** IN THIS EDIT
              IF WS-0014-TBL-CROP-POLICY-TY(WS-0014-T14-INDEX)
                 EQUAL SPACES
                 GO TO 3360-CHK-REFUND-FLAG-EXIT
              END-IF
           END-IF

           IF WS-0014-TBL-REFND-CANCEL-FLG(WS-0014-T14-INDEX) = 'R'
      * POPULATE THE COMPARISON FIELD AND SAVE CONTENTS OF REFUND FIELD
               MOVE WS-0014-TBL-CROP-POLICY-TY(WS-0014-T14-INDEX)
                 TO WS-3360-COMPARE-CROP-POLICY-TY
               MOVE WS-0014-TBL-REFND-CANCEL-FLG(WS-0014-T14-INDEX)
                 TO WS-3360-SAVE-REFUND-FLAG

      * SAVE INDEX VALUE
               SET WS-3360-RFND-INT-INDEX TO WS-0014-T14-INT-INDEX
               MOVE WS-LITERAL-NO TO WS-3360-VALID-ADMIN-FEE-SW

      * DETERMINE WHETHER ANY MATCHING TYPE 14 RECORD, EXISTING ON THE
      * DATABASE, HAS AN ADMINISTRATIVE FEE FLAG = 'F' OR 'V'

               PERFORM 3360-COMPARE-ADMIN-FEE-FL
                  THRU 3360-COMPARE-ADMIN-FEE-FL-EXIT
                  WITH TEST AFTER
               VARYING WS-0014-T14-INT-INDEX FROM 1 BY 1
                 UNTIL WS-0014-T14-INT-INDEX = WS-0014-T14-REC-COUNT
                  OR WS-3360-VALID-ADMIN-FEE-SW = WS-LITERAL-YES

               IF WS-3360-VALID-ADMIN-FEE-SW = WS-LITERAL-NO
                  MOVE WS-LITERAL-YES
                    TO WS-0014-TBL-TRAN-REJECTED-FLAG
                       (WS-0014-T14-INDEX)
                  MOVE 14063 TO WS-8000-ERROR-CODE
                  MOVE 3360 TO WS-8000-PARAGRAPH-NO
                  MOVE WS-0014-TBL-TRAN-SEQ-NO(WS-0014-T14-INDEX)
                    TO WS-8000-TRAN-SEQ-NO
                  MOVE WS-LITERAL-IR TO WS-8000-ERROR-TYPE
                  MOVE WS-LITERAL-RFND-CNCL-FL TO WS-8000-FIELD-NAME1
                  MOVE WS-3360-SAVE-REFUND-FLAG TO WS-8000-BAD-DATA1
                  MOVE 14 TO WS-8000-TRAN-TYPE
                  MOVE WS-0014-TBL-POLICY-NO(WS-0014-T14-INDEX)
                    TO WS-8000-POLICY-NO
                  MOVE WS-0014-TBL-LOCATION-COUNTY(WS-0014-T14-INDEX)
                    TO WS-8000-LOC-COUNTY
                  MOVE WS-0014-TBL-INSURANCE-PLAN-CD(WS-0014-T14-INDEX)
                    TO WS-8000-INSURANCE-PLAN-ID
                  MOVE WS-0014-TBL-CROP-CD(WS-0014-T14-INDEX)
                    TO WS-8000-CROP-CD
                  MOVE WS-0014-TBL-RECORD-NUM(WS-0014-T14-INDEX)
                    TO WS-8000-RECORD-NUM
                  MOVE WS-LITERAL-YES TO WS-0006-REJECT-14S-FLAG
                  PERFORM 8000-RECORD-TRAN-ERROR
                     THRU 8000-RECORD-TRAN-ERROR-EXIT
               END-IF

               SET WS-0014-T14-INT-INDEX TO WS-3360-RFND-INT-INDEX
           END-IF.



       3360-CHK-REFUND-FLAG-EXIT.
           EXIT.


       3360-COMPARE-ADMIN-FEE-FL.

           SET WS-0014-T14-INDEX TO WS-0014-T14-INT-INDEX

           IF WS-0014-TBL-TRAN-REJECTED-FLAG(WS-0014-T14-INDEX)
              = WS-LITERAL-YES

      ******* ERRORS WERE ENCOUNTERED WITH THIS TYPE 14.
      ******* CHECK THE SPECIFIC NUMERIC AND DERIVED FIELDS WHICH ARE USED
      ******* IN THIS EDIT
              IF WS-0014-TBL-CROP-POLICY-TY(WS-0014-T14-INDEX)
                 EQUAL SPACES
      ******* BYPASS THIS TYPE 14
                 GO TO 3360-COMPARE-ADMIN-FEE-FL-EXIT
              END-IF
           END-IF

           IF WS-0014-TBL-CROP-POLICY-TY(WS-0014-T14-INDEX)
              IS EQUAL WS-3360-COMPARE-CROP-POLICY-TY
              IF WS-0014-TBL-ADMIN-FEE-FL(WS-0014-T14-INDEX)
                 EQUAL 'F'
                 OR WS-0014-TBL-ADMIN-FEE-FL(WS-0014-T14-INDEX)
                 EQUAL 'V'
                 MOVE WS-LITERAL-YES TO WS-3360-VALID-ADMIN-FEE-SW
              END-IF
           END-IF.


       3360-COMPARE-ADMIN-FEE-FL-EXIT.
           EXIT.




