      ****************************************************************
      * FILE:      IR3385.CBL                                        *
      * AUTHOR:    CHERYL D. WOOD                                    *
      * DATE:      10/18/95                                          *
      * PURPOSE:   IF THE POLICY RECORD (TYPE 10 - 001) USES AN ID   *
      *            TYPE OF 4 (EIN APPLIED FOR) ANY TYPE 11 RECORDS   *
      *            SUBMITTED FOR THAT POLICY NEED TO BE REJECTED.    *
      *            NO TYPE 11S WILL BE ACCEPTED FOR THAT POLICY UNTIL*
      *            A NEW POLICY RECORD WITH THE ACTUAL EIN IS        *
      *            RECEIVED.                                         *
      ****************************************************************

       3385-VAL-TYPE-10-ID-TYPE.

      $IF DEBUG-SW DEFINED
           DISPLAY '3385-VALIDATING TYPE 10 ID TYPE'
           UPON CONSOLE
      $END

           IF WS-0005-REJECT-POLICY-FLAG = WS-LITERAL-YES
      *       *** ERRORS WERE ENCOUNTERED WITH THIS TYPE 10.
      *       *** NO OTHER TRANSACTION WILL BE ACCEPTED FOR THIS
      *       *** POLICY.
      *       *** THIS EDIT MAY BE PERFORMED IF ID TYPE IS NUMERIC
              IF WS-0005-ID-TYPE IS NOT NUMERIC
                 GO TO 3385-VAL-TYPE-10-ID-TYPE-EXIT
              END-IF
           END-IF

           IF WS-0011-T11-REC-COUNT > ZEROS
              IF WS-0005-ID-TYPE = WS-LITERAL-EIN-APPLIED-FOR
      *          *** REJECT THE 11S
                 PERFORM 3385-REJECT-TYPE-11
                    THRU 3385-REJECT-TYPE-11-EXIT
                    WITH TEST AFTER
                 VARYING WS-0011-T11-INT-INDEX FROM 1 BY 1
                   UNTIL WS-0011-T11-INT-INDEX = WS-0011-T11-REC-COUNT

      *          *** REJECT THE 10
                 MOVE WS-LITERAL-YES TO WS-0005-REJECT-POLICY-FLAG
                 MOVE WS-LITERAL-IR TO WS-8000-ERROR-TYPE
                 MOVE WS-LITERAL-YES TO WS-0005-ERROR-RECORDED
                 MOVE 10065 TO WS-8000-ERROR-CODE
                 MOVE 3385 TO WS-8000-PARAGRAPH-NO
                 MOVE WS-0005-TRAN-SEQ-NO TO WS-8000-TRAN-SEQ-NO
                 MOVE WS-LITERAL-ID-TYPE TO WS-8000-FIELD-NAME1
                 MOVE WS-0005-ID-TYPE TO WS-8000-BAD-DATA1
                 MOVE '2' TO WS-8000-CORR-DATA1
                 MOVE 11 TO WS-8000-TRAN-TYPE
                 MOVE WS-0005-CURRENT-POLICY-NO TO WS-8000-POLICY-NO
                 MOVE WS-0005-RECORD-NUM TO WS-8000-RECORD-NUM
                 PERFORM 8000-RECORD-TRAN-ERROR
                    THRU 8000-RECORD-TRAN-ERROR-EXIT
              END-IF
           END-IF.


       3385-VAL-TYPE-10-ID-TYPE-EXIT.
           EXIT.


       3385-REJECT-TYPE-11.

           SET WS-0011-T11-INDEX TO WS-0011-T11-INT-INDEX
           MOVE WS-LITERAL-YES
             TO WS-0011-TBL-TRAN-REJECTED-FLAG(WS-0011-T11-INDEX)
           MOVE WS-LITERAL-IR TO WS-8000-ERROR-TYPE
           MOVE 11070 TO WS-8000-ERROR-CODE
           MOVE 3385 TO WS-8000-PARAGRAPH-NO
           MOVE 'T10 ID TYPE' TO WS-8000-FIELD-NAME1
           MOVE WS-0005-ID-TYPE TO WS-8000-BAD-DATA1
           MOVE WS-0011-TBL-TRAN-SEQ-NO(WS-0011-T11-INDEX)
             TO WS-8000-TRAN-SEQ-NO
           MOVE 'T10 SEQ NO' TO WS-8000-FIELD-NAME2
           MOVE WS-0005-TRAN-SEQ-NO TO WS-8000-CORR-DATA2
           MOVE 11 TO WS-8000-TRAN-TYPE
           MOVE WS-0011-TBL-POLICY-NO(WS-0011-T11-INDEX)
             TO WS-8000-POLICY-NO
           MOVE WS-0011-TBL-LOCATION-COUNTY(WS-0011-T11-INDEX)
             TO WS-8000-LOC-COUNTY
           MOVE WS-0011-TBL-INSURANCE-PLAN-CD(WS-0011-T11-INDEX)
             TO WS-8000-INSURANCE-PLAN-ID
           MOVE WS-0011-TBL-CROP-CD(WS-0011-T11-INDEX)
             TO WS-8000-CROP-CD
           MOVE WS-0011-TBL-RECORD-NUM(WS-0011-T11-INDEX)
             TO WS-8000-RECORD-NUM
           MOVE WS-LITERAL-YES TO WS-0006-REJECT-11S-FLAG
           PERFORM 8000-RECORD-TRAN-ERROR
              THRU 8000-RECORD-TRAN-ERROR-EXIT.

       3385-REJECT-TYPE-11-EXIT.
           EXIT.

