      ******************************************************************
      *  File   : IR3400.CBL
      *  Author : Yo-I Tsui
      *  Date   : 6/25/96
      *  Purpose:
      *  A corresponding type 20 record must exist for each Reinsured
      *  type 21.  The following fields are used to pair type 20
      *  records with type 21s:  Reporting Organization, Location
      *  State, Company, Policy Number, Crop Year, and Claim Number.
      *
      *  The following fields exist on both Type 21 and 20:
      *  Branch Office/State Code - This field is only populated for
      *  CFSA Type 21 records.  Since no CFSA Type 20s are submitted,
      *  no field value comparison is done for Branch Office/State Code.
      *
      ******************************************************************

       3400-VAL-RELATED-TYPE-20.

      $IF DEBUG-SW DEFINED
           DISPLAY '3400-VALIDATING RELATED TYPE 20'
           UPON CONSOLE
      $END

      $IF DEBUG-SW DEFINED
           DISPLAY 'T20(01)= ', WS-0020-TBL-TYPE-20(1)
           UPON CONSOLE
           DISPLAY 'T20(02)= ', WS-0020-TBL-TYPE-20(2)
           UPON CONSOLE
           DISPLAY 'T20(03)= ', WS-0020-TBL-TYPE-20(3)
           UPON CONSOLE
           DISPLAY 'T20(04)= ', WS-0020-TBL-TYPE-20(4)
           UPON CONSOLE
           DISPLAY 'T20(05)= ', WS-0020-TBL-TYPE-20(5)
           UPON CONSOLE
           DISPLAY 'T20 REC COUNT = ', WS-0020-T20-REC-COUNT
           UPON CONSOLE
           DISPLAY 'T21 REC COUNT = ', WS-0021-T21-REC-COUNT
           UPON CONSOLE
      $END

           IF WS-0021-T21-REC-COUNT > ZERO
              PERFORM 3400-PROCESS-T21
                 THRU 3400-PROCESS-T21-EXIT
                 WITH TEST AFTER
              VARYING WS-0021-T21-INT-INDEX FROM 1 BY 1
                UNTIL WS-0021-T21-INT-INDEX = WS-0021-T21-REC-COUNT
           END-IF.


       3400-VAL-RELATED-TYPE-20-EXIT.
           EXIT.


       3400-PROCESS-T21.

           SET WS-0021-T21-INDEX TO WS-0021-T21-INT-INDEX

      $IF DEBUG-SW DEFINED
           DISPLAY 'PROCESSING T21 SEQ # = ',
           WS-0021-TBL-TRAN-SEQ-NO(WS-0021-T21-INDEX),
           '  T21 TABLE INDEX = ', WS-0021-T21-INT-INDEX
           UPON CONSOLE
      $END

           IF WS-0021-TBL-TRAN-REJECTED-FLAG(WS-0021-T21-INDEX)
              = WS-LITERAL-YES

      *       *** ERRORS WERE ENCOUNTERED WITH THIS TYPE 21.
      *       *** CHECK THE SPECIFIC NUMERIC FIELDS WHICH ARE USED TO
      *       *** MATCH A TYPE 21 WITH A TYPE 20.
              IF WS-0021-TBL-CLAIM-NUM(WS-0021-T21-INDEX)
                 IS NOT NUMERIC
                 GO TO 3400-PROCESS-T21-EXIT
              END-IF
           END-IF

      $IF DEBUG-SW DEFINED
           DISPLAY 'T21 CLAIM NO = ',
           WS-0021-TBL-CLAIM-NUM(WS-0021-T21-INDEX)
           UPON CONSOLE
      $END

           INITIALIZE WS-3400-WORK
           MOVE WS-LITERAL-NO TO WS-3400-TYPE-20-MATCH-FOUND-SW
           IF WS-0020-T20-REC-COUNT > ZERO
              PERFORM 3400-LOOKUP-MATCHING-20
                 THRU 3400-LOOKUP-MATCHING-20-EXIT
                 WITH TEST AFTER
              VARYING WS-0020-T20-INT-INDEX FROM 1 BY 1
                UNTIL WS-0020-T20-INT-INDEX = WS-0020-T20-REC-COUNT
                   OR WS-3400-TYPE-20-MATCH-FOUND-SW = WS-LITERAL-YES
           END-IF

           IF WS-3400-TYPE-20-MATCH-FOUND-SW = WS-LITERAL-NO
              MOVE WS-LITERAL-IR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES
                TO WS-0021-TBL-TRAN-REJECTED-FLAG(WS-0021-T21-INDEX)
              MOVE WS-0021-TBL-TRAN-SEQ-NO(WS-0021-T21-INDEX)
                TO WS-8000-TRAN-SEQ-NO
              MOVE 21063 TO WS-8000-ERROR-CODE
              MOVE 3400 TO WS-8000-PARAGRAPH-NO
              MOVE 21 TO WS-8000-TRAN-TYPE
              MOVE WS-0021-TBL-POLICY-NO(WS-0021-T21-INDEX)
                TO WS-8000-POLICY-NO
              MOVE WS-0021-TBL-LOCATION-COUNTY(WS-0021-T21-INDEX)
                TO WS-8000-LOC-COUNTY
              MOVE WS-0021-TBL-INSURANCE-PLAN-CD(WS-0021-T21-INDEX)
                TO WS-8000-INSURANCE-PLAN-ID
              MOVE WS-0021-TBL-CROP-CD(WS-0021-T21-INDEX)
                TO WS-8000-CROP-CD
              MOVE WS-0021-TBL-RECORD-NUM(WS-0021-T21-INDEX)
                TO WS-8000-RECORD-NUM
              MOVE WS-LITERAL-YES TO WS-0006-REJECT-21S-FLAG
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE WS-0021-TBL-CLAIM-NUM(WS-0021-T21-INDEX)
                TO WS-3400-CLAIM-NO
              IF WS-0021-T21-REC-COUNT > ZERO
                 PERFORM 3400-REJECT-ASSOC-21
                    THRU 3400-REJECT-ASSOC-21-EXIT
                    WITH TEST AFTER
                 VARYING WS-3400-T21-ERROR-INDEX FROM 1 BY 1
                   UNTIL WS-3400-T21-ERROR-INDEX
                       = WS-0021-T21-REC-COUNT
                 SET WS-0021-T21-INDEX TO WS-0021-T21-INT-INDEX
              END-IF

              IF WS-0020-T20-REC-COUNT > ZERO
                 PERFORM 3400-REJECT-ASSOC-20
                    THRU 3400-REJECT-ASSOC-20-EXIT
                    WITH TEST AFTER
                 VARYING WS-3400-T20-ERROR-INDEX FROM 1 BY 1
                   UNTIL WS-3400-T20-ERROR-INDEX
                       = WS-0020-T20-REC-COUNT
                 SET WS-0020-T20-INDEX TO WS-0020-T20-INT-INDEX
              END-IF
           ELSE
              IF WS-0020-TBL-TRAN-REJECTED-FLAG(WS-0020-T20-INDEX)
                 = WS-LITERAL-YES
                 MOVE WS-0021-TBL-TRAN-SEQ-NO(WS-0021-T21-INDEX)
                   TO WS-8000-TRAN-SEQ-NO
                 MOVE WS-LITERAL-YES
                   TO WS-0021-TBL-TRAN-REJECTED-FLAG
                      (WS-0021-T21-INDEX)
                 MOVE 21064 TO WS-8000-ERROR-CODE
                 MOVE WS-LITERAL-IR TO WS-8000-ERROR-TYPE
                 MOVE 'T20 SEQ NO' TO WS-8000-FIELD-NAME1
                 MOVE WS-0020-TBL-TRAN-SEQ-NO(WS-0020-T20-INDEX)
                   TO WS-8000-CORR-DATA1
                 MOVE WS-0021-TBL-TRAN-SEQ-NO(WS-0021-T21-INDEX)
                   TO WS-8000-TRAN-SEQ-NO
                 MOVE 3400 TO WS-8000-PARAGRAPH-NO
                 MOVE 21 TO WS-8000-TRAN-TYPE
                 MOVE WS-0021-TBL-POLICY-NO(WS-0021-T21-INDEX)
                   TO WS-8000-POLICY-NO
                 MOVE WS-0021-TBL-LOCATION-COUNTY(WS-0021-T21-INDEX)
                   TO WS-8000-LOC-COUNTY
                 MOVE WS-0021-TBL-INSURANCE-PLAN-CD(WS-0021-T21-INDEX)
                   TO WS-8000-INSURANCE-PLAN-ID
                 MOVE WS-0021-TBL-CROP-CD(WS-0021-T21-INDEX)
                   TO WS-8000-CROP-CD
                 MOVE WS-0021-TBL-RECORD-NUM(WS-0021-T21-INDEX)
                   TO WS-8000-RECORD-NUM
                 MOVE WS-LITERAL-YES TO WS-0006-REJECT-21S-FLAG
                 PERFORM 8000-RECORD-TRAN-ERROR
                    THRU 8000-RECORD-TRAN-ERROR-EXIT
                 MOVE WS-0021-TBL-CLAIM-NUM(WS-0021-T21-INDEX)
                   TO WS-3400-CLAIM-NO
                 IF WS-0021-T21-REC-COUNT > ZERO
                    PERFORM 3400-REJECT-ASSOC-21
                       THRU 3400-REJECT-ASSOC-21-EXIT
                       WITH TEST AFTER
                    VARYING WS-3400-T21-ERROR-INDEX FROM 1 BY 1
                      UNTIL WS-3400-T21-ERROR-INDEX
                          = WS-0021-T21-REC-COUNT
      ***     RESTORE MAIN LOOP T21 INDEX VALUE
                    SET WS-0021-T21-INDEX TO WS-0021-T21-INT-INDEX
                 END-IF

                 IF WS-0020-T20-REC-COUNT > ZERO
                    PERFORM 3400-REJECT-ASSOC-20
                       THRU 3400-REJECT-ASSOC-20-EXIT
                       WITH TEST AFTER
                    VARYING WS-3400-T20-ERROR-INDEX FROM 1 BY 1
                      UNTIL WS-3400-T20-ERROR-INDEX
                          = WS-0020-T20-REC-COUNT
                    SET WS-0020-T20-INDEX TO WS-0020-T20-INT-INDEX
                 END-IF
              END-IF
           END-IF.

       3400-PROCESS-T21-EXIT.
           EXIT.


       3400-LOOKUP-MATCHING-20.

           SET WS-0020-T20-INDEX TO WS-0020-T20-INT-INDEX

           IF WS-0020-TBL-TRAN-REJECTED-FLAG(WS-0020-T20-INDEX)
              = WS-LITERAL-YES
              IF WS-0020-TBL-CLAIM-NUM(WS-0020-T20-INDEX)
                 IS NOT NUMERIC
                 GO TO 3400-LOOKUP-MATCHING-20-EXIT
              END-IF
           END-IF

      $IF DEBUG-SW DEFINED
           DISPLAY 'T20 SEQ # = ',
           WS-0020-TBL-TRAN-SEQ-NO(WS-0020-T20-INDEX),
           ' T20 INDEX NO = ', WS-0020-T20-INT-INDEX,
           ' T20 CLAIM = ',
           WS-0020-TBL-CLAIM-NUM(WS-0020-T20-INDEX)
           UPON CONSOLE
      $END

           IF WS-0021-TBL-CLAIM-NUM(WS-0021-T21-INDEX) =
              WS-0020-TBL-CLAIM-NUM(WS-0020-T20-INDEX)
              MOVE WS-LITERAL-YES TO WS-3400-TYPE-20-MATCH-FOUND-SW
           END-IF.

      $IF DEBUG-SW DEFINED
           DISPLAY 'MATCH FOUND = ', WS-3400-TYPE-20-MATCH-FOUND-SW
           UPON CONSOLE
           DISPLAY ' ' UPON CONSOLE.
      $END


       3400-LOOKUP-MATCHING-20-EXIT.
           EXIT.


      ***********************************************************
      *    REJECT ALL TYPE 21S WITH SAME CLAIM NUMBER
      ***********************************************************
       3400-REJECT-ASSOC-21.

           SET WS-0021-T21-INDEX TO WS-3400-T21-ERROR-INDEX

           IF WS-0021-TBL-TRAN-REJECTED-FLAG(WS-0021-T21-INDEX)
              = WS-LITERAL-YES
              GO TO 3400-REJECT-ASSOC-21-EXIT
           END-IF

           IF WS-0021-TBL-CLAIM-NUM(WS-0021-T21-INDEX)
              = WS-3400-CLAIM-NO
              MOVE WS-LITERAL-YES
                TO WS-0021-TBL-TRAN-REJECTED-FLAG(WS-0021-T21-INDEX)
              MOVE WS-LITERAL-IR TO WS-8000-ERROR-TYPE
              MOVE 21039 TO WS-8000-ERROR-CODE
              MOVE WS-0021-TBL-TRAN-SEQ-NO(WS-0021-T21-INDEX)
                TO WS-8000-TRAN-SEQ-NO
              MOVE 'BAD MATCH 21-20' TO WS-8000-FIELD-NAME1
              MOVE 'T20 SEQ NO' TO WS-8000-BAD-DATA1
              MOVE 3400 TO WS-8000-PARAGRAPH-NO
              MOVE 21 TO WS-8000-TRAN-TYPE
              MOVE WS-0021-TBL-POLICY-NO(WS-0021-T21-INDEX)
                TO WS-8000-POLICY-NO
              MOVE WS-0021-TBL-LOCATION-COUNTY(WS-0021-T21-INDEX)
                TO WS-8000-LOC-COUNTY
              MOVE WS-0021-TBL-INSURANCE-PLAN-CD(WS-0021-T21-INDEX)
                TO WS-8000-INSURANCE-PLAN-ID
              MOVE WS-0021-TBL-CROP-CD(WS-0021-T21-INDEX)
                TO WS-8000-CROP-CD
              MOVE WS-0021-TBL-RECORD-NUM(WS-0021-T21-INDEX)
                TO WS-8000-RECORD-NUM
              MOVE WS-LITERAL-YES TO WS-0006-REJECT-21S-FLAG
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF.

       3400-REJECT-ASSOC-21-EXIT.
           EXIT.


      ***********************************************************
      *    REJECT ALL TYPE 20S WITH SAME TYPE 21 CLAIM NUMBER
      ***********************************************************
       3400-REJECT-ASSOC-20.

           SET WS-0020-T20-INDEX TO WS-3400-T20-ERROR-INDEX

           IF WS-0020-TBL-TRAN-REJECTED-FLAG(WS-0020-T20-INDEX)
              = WS-LITERAL-YES
              GO TO 3400-REJECT-ASSOC-20-EXIT
           END-IF

           IF WS-0020-TBL-CLAIM-NUM(WS-0020-T20-INDEX)
              = WS-3400-CLAIM-NO
              MOVE WS-LITERAL-YES
                TO WS-0020-TBL-TRAN-REJECTED-FLAG(WS-0020-T20-INDEX)
              MOVE WS-LITERAL-IR TO WS-8000-ERROR-TYPE
              MOVE 20039 TO WS-8000-ERROR-CODE
              MOVE WS-0020-TBL-TRAN-SEQ-NO(WS-0020-T20-INDEX)
                TO WS-8000-TRAN-SEQ-NO
              MOVE 'BAD MATCH 21-20' TO WS-8000-FIELD-NAME1
              MOVE 'T20 SEQ NO' TO WS-8000-BAD-DATA1
              MOVE WS-0020-TBL-TRAN-SEQ-NO(WS-0020-T20-INDEX)
                TO WS-8000-CORR-DATA1
              MOVE 3400 TO WS-8000-PARAGRAPH-NO
              MOVE 20 TO WS-8000-TRAN-TYPE
              MOVE WS-0020-TBL-POLICY-NO(WS-0020-T20-INDEX)
                TO WS-8000-POLICY-NO
              MOVE WS-0020-TBL-RECORD-NUM(WS-0020-T20-INDEX)
                TO WS-8000-RECORD-NUM
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF.


       3400-REJECT-ASSOC-20-EXIT.
           EXIT.
