      ****************************************************************
      *  File   : IR3405.CBL
      *  Author : Yo-I Tsui
      *  Date   : 11/24/95
      *  Purpose: VALIDATE RECORD NUMBER
      *           SEARCH THE RECORD TYPE 12 TRANSACTION TABLE. REJECT
      *           ALL TYPE 12 RECORDS FOR A POLICY, WHEN MULTIPLE
      *           RECORD NUMBER 001'S ARE RECEIVED IN THE SAME
      *           SUBMISSION.
      *           NOTE: THE TRANSACTION TABLE CONTAINS ONE POLICY
      *           GROUP ONLY!
      ****************************************************************

       3405-VAL-RECORD-NUMBER.

      $IF DEBUG-SW DEFINED
           DISPLAY '3405-VALIDATING T12 RECORD NUMBER'
           UPON CONSOLE
      $END

           INITIALIZE WS-3405-WORK
           MOVE ZEROS TO WS-0012-T12-INT-INDEX

           IF WS-0012-T12-REC-COUNT > 1
              PERFORM 3405-SEARCH-12
                 THRU 3405-SEARCH-12-EXIT
                 WITH TEST AFTER
              VARYING WS-0012-T12-INT-INDEX FROM 1 BY 1
                UNTIL (WS-0012-T12-INT-INDEX = WS-0012-T12-REC-COUNT)
                   OR (WS-3405-COUNT-FLAG > 1)
           END-IF

           IF WS-3405-COUNT-FLAG > 1
              PERFORM 3405-REJ-REC-12
                 THRU 3405-REJ-REC-12-EXIT
                 WITH TEST AFTER
              VARYING WS-0012-T12-INT-INDEX FROM 1 BY 1
                UNTIL WS-0012-T12-INT-INDEX = WS-0012-T12-REC-COUNT
           END-IF.


       3405-VAL-RECORD-NUMBER-EXIT.
           EXIT.


      ***********************************************************
      *           FIND DUPLICATE '001' RECORD NUMBER
      ***********************************************************
       3405-SEARCH-12.

           SET WS-0012-T12-INDEX TO WS-0012-T12-INT-INDEX

      $IF DEBUG-SW DEFINED
           DISPLAY 'T12 SEQ # = ',
           WS-0012-TBL-TRAN-SEQ-NO(WS-0012-T12-INDEX)
           UPON CONSOLE
      $END

           IF WS-0012-TBL-TRAN-REJECTED-FLAG(WS-0012-T12-INDEX)
              = WS-LITERAL-YES

      ******* ERRORS WERE ENCOUNTERED WITH THIS TYPE 12.
      ******* CHECK THE SPECIFIC NUMERIC FIELDS WHICH ARE USED
      ******* IN THIS EDIT
              IF WS-0012-TBL-RECORD-NUM(WS-0012-T12-INDEX)
                 IS NOT NUMERIC
      ******* BYPASS THIS TYPE 12
                 GO TO 3405-SEARCH-12-EXIT
              END-IF
           END-IF

           IF WS-0012-TBL-RECORD-NUM(WS-0012-T12-INDEX) = '001'
              ADD 1 TO WS-3405-COUNT-FLAG
           END-IF.


       3405-SEARCH-12-EXIT.
           EXIT.


      ***********************************************************
      *                REJECT ALL T12 RECORDS
      ***********************************************************
       3405-REJ-REC-12.

           SET WS-0012-T12-INDEX TO WS-0012-T12-INT-INDEX

           IF WS-0012-TBL-TRAN-REJECTED-FLAG(WS-0012-T12-INDEX)
              = WS-LITERAL-YES

      ******* ERRORS WERE ENCOUNTERED WITH THIS TYPE 12.
      ******* CHECK THE SPECIFIC NUMERIC FIELDS WHICH ARE USED
      ******* TO DETERMINE THE ERROR CODE FOR THE REJECTED TRANSACTION
              IF WS-0012-TBL-RECORD-NUM(WS-0012-T12-INDEX)
                 IS NOT NUMERIC
      ******* BYPASS THIS TYPE 12
                 GO TO 3405-REJ-REC-12-EXIT
              END-IF
           END-IF

           MOVE WS-LITERAL-YES
             TO WS-0012-TBL-TRAN-REJECTED-FLAG(WS-0012-T12-INDEX)
           MOVE 3405 TO WS-8000-PARAGRAPH-NO
           MOVE WS-LITERAL-IR TO WS-8000-ERROR-TYPE
           IF WS-0012-TBL-RECORD-NUM(WS-0012-T12-INDEX) = '001'
              MOVE 12050 TO WS-8000-ERROR-CODE
           ELSE
              MOVE 12033 TO WS-8000-ERROR-CODE
           END-IF
           MOVE WS-LITERAL-REC-NO TO WS-8000-FIELD-NAME1
           MOVE WS-0012-TBL-RECORD-NUM(WS-0012-T12-INDEX)
             TO WS-8000-BAD-DATA1
           MOVE WS-0012-TBL-TRAN-SEQ-NO(WS-0012-T12-INDEX)
             TO WS-8000-TRAN-SEQ-NO
           MOVE 12 TO WS-8000-TRAN-TYPE
           MOVE WS-0012-TBL-POLICY-NO(WS-0012-T12-INDEX)
             TO WS-8000-POLICY-NO
           MOVE WS-0012-TBL-RECORD-NUM(WS-0012-T12-INDEX)
             TO WS-8000-RECORD-NUM
           PERFORM 8000-RECORD-TRAN-ERROR
              THRU 8000-RECORD-TRAN-ERROR-EXIT.


       3405-REJ-REC-12-EXIT.
           EXIT.


