      ****************************************************************
      * File:      IR3407.CBL
      * Author:    GARY HARVEY
      * Date:      05/28/97
      * Purpose:   Validate T11 COVERAGE FLAG(S)
      *            If any Type 11s exist for the contract then at least
      *            one of them must be a non-CAT policy.
      ****************************************************************

       3407-VAL-COVERAGE-FLAG.

      $IF DEBUG-SW DEFINED
           DISPLAY '3407-VALIDATING T11 COVERAGE FLAG'
           UPON CONSOLE
      $END
           IF WS-0011-T11-REC-COUNT > 0
           IF WS-0005-NON-CAT-REC-EXISTS <> WS-LITERAL-YES AND
               WS-0012-T12-REC-COUNT > 0
      ** REJECT ALL 12S
                 PERFORM 3407-REJECT-12S
                    THRU 3407-REJECT-12S-EXIT
                    WITH TEST AFTER
                 VARYING WS-0012-T12-INT-INDEX FROM 1 BY 1
                   UNTIL WS-0012-T12-INT-INDEX = WS-0012-T12-REC-COUNT
           END-IF
           END-IF.

       3407-VAL-COVERAGE-FLAG-EXIT.
           EXIT.

       3407-REJECT-12S.

           SET WS-0012-T12-INDEX TO WS-0012-T12-INT-INDEX
           MOVE WS-LITERAL-IR TO WS-8000-ERROR-TYPE
           MOVE 12 TO WS-8000-TRAN-TYPE
           MOVE 12055 TO WS-8000-ERROR-CODE
           MOVE 3407 TO WS-8000-PARAGRAPH-NO
           PERFORM 8007-LOAD-IR-TABLE-ERRORS
              THRU 8007-LOAD-IR-TABLE-ERRORS-EXIT
           PERFORM 8000-RECORD-TRAN-ERROR
              THRU 8000-RECORD-TRAN-ERROR-EXIT.


       3407-REJECT-12S-EXIT.
           EXIT.

