      ****************************************************************
      * File:      IR3420.CBL
      * Author:    Linda Funn & Laura Dittamo
      * Date:      11/27/95
      * Purpose:   Validate Paid Amount
      *            Search the Type 12 Transaction table and sum Paid
      *            Amounts for the policy.  If the sum is less than
      *            Zero, Reject all Type 12s.
      ****************************************************************

       3420-VAL-PAID-AMOUNT.

      $IF DEBUG-SW DEFINED
           DISPLAY '3420-VALIDATING PAID AMOUNT FIELD'
           UPON CONSOLE
      $END

           INITIALIZE WS-3420-TOT-PAID-AMT

           PERFORM 3420-CALCULATE-PAID-AMT
              THRU 3420-CALCULATE-PAID-AMT-EXIT
              WITH TEST AFTER
           VARYING WS-0012-T12-INT-INDEX FROM 1 BY 1
             UNTIL WS-0012-T12-INT-INDEX = WS-0012-T12-REC-COUNT

           IF WS-3420-TOT-PAID-AMT < 0
              PERFORM 3420-REJECT-12S
                 THRU 3420-REJECT-12S-EXIT
                 WITH TEST AFTER
              VARYING WS-0012-T12-INT-INDEX FROM 1 BY 1
                UNTIL WS-0012-T12-INT-INDEX = WS-0012-T12-REC-COUNT
           END-IF.


       3420-VAL-PAID-AMOUNT-EXIT.
           EXIT.

      **************************************
      *   SUM PAID AMOUNT FOR ALL TYPE 12S
      **************************************

       3420-CALCULATE-PAID-AMT.

           SET WS-0012-T12-INDEX TO WS-0012-T12-INT-INDEX

      $IF DEBUG-SW DEFINED
           DISPLAY 'T12 SEQ # = ',
           WS-0012-TBL-TRAN-SEQ-NO(WS-0012-T12-INDEX)
           UPON CONSOLE
      $END

           IF WS-0012-TBL-TRAN-REJECTED-FLAG(WS-0012-T12-INDEX)
              = WS-LITERAL-YES

      ******* ERRORS WERE ENCOUNTERED WITH THIS TYPE 12.
      ******* CHECK THE SPECIFIC NUMERIC FIELDS WHICH ARE USED
      ******* IN THIS EDIT
              IF WS-0012-TBL-PAID-AMOUNT(WS-0012-T12-INDEX)
                 IS NOT NUMERIC
      ******* BYPASS THIS TYPE 12
                 GO TO 3420-CALCULATE-PAID-AMT-EXIT
              END-IF
           END-IF

           ADD WS-0012-TBL-PAID-AMOUNT(WS-0012-T12-INDEX)
            TO WS-3420-TOT-PAID-AMT.

       3420-CALCULATE-PAID-AMT-EXIT.
           EXIT.


       3420-REJECT-12S.

           SET WS-0012-T12-INDEX TO WS-0012-T12-INT-INDEX
           MOVE WS-LITERAL-YES
             TO WS-0012-TBL-TRAN-REJECTED-FLAG(WS-0012-T12-INDEX)
           MOVE 12053 TO WS-8000-ERROR-CODE
           MOVE WS-LITERAL-IR TO WS-8000-ERROR-TYPE
           MOVE 'TOTAL PAID AMOUNT' TO WS-8000-FIELD-NAME1
      *    POPULATE DISPLAY FIELD FOR TOTAL PAID AMT
           MOVE WS-3420-TOT-PAID-AMT TO WS-3420-TOT-PAID-AMT-X
           MOVE WS-3420-TOT-PAID-AMT-X TO WS-8000-BAD-DATA1
           MOVE 'SUM OF PAID AMTS >= 0' TO WS-8000-CORR-DATA1
           MOVE 3420 TO WS-8000-PARAGRAPH-NO
           MOVE WS-0012-TBL-TRAN-SEQ-NO(WS-0012-T12-INDEX)
             TO WS-8000-TRAN-SEQ-NO
           MOVE 12 TO WS-8000-TRAN-TYPE
           MOVE WS-0012-TBL-POLICY-NO(WS-0012-T12-INDEX)
             TO WS-8000-POLICY-NO
           MOVE WS-0012-TBL-RECORD-NUM(WS-0012-T12-INDEX)
             TO WS-8000-RECORD-NUM
           PERFORM 8000-RECORD-TRAN-ERROR
              THRU 8000-RECORD-TRAN-ERROR-EXIT.


       3420-REJECT-12S-EXIT.
           EXIT.


