      ****************************************************************
      *  File   : IR3435.CBL
      *  Author : LAURA DITTAMO
      *  Date   : 7/25/96
      *  Purpose: VALIDATE SIMPLIFIED CLAIMS.  EACH 21, WHICH HAS BEEN
      *           DESIGNATED AS A SIMPLIFIED CLAIM, MAY HAVE ONLY ONE
      *           ACREAGE UNIT.  THIS MODULE DETERMINES THE NUMBER
      *           OF T11 UNITS FOR A CROP POLICY.
      ****************************************************************

       3435-VAL-SIMPLIFIED-CLAIM.

      $IF DEBUG-SW DEFINED
           DISPLAY '3435-VALIDATE T11 UNITS FOR SIMPLE CLAIM'
           UPON CONSOLE
      $END

      $IF DEBUG-SW DEFINED
           DISPLAY 'T11(01)= ', WS-0011-TBL-TYPE-11(1)
           UPON CONSOLE
           DISPLAY 'T11(02)= ', WS-0011-TBL-TYPE-11(2)
           UPON CONSOLE
           DISPLAY 'T11(03)= ', WS-0011-TBL-TYPE-11(3)
           UPON CONSOLE
           DISPLAY 'T11(04)= ', WS-0011-TBL-TYPE-11(4)
           UPON CONSOLE
           DISPLAY 'T11(05)= ', WS-0011-TBL-TYPE-11(5)
           UPON CONSOLE
      $END

           IF WS-0021-T21-REC-COUNT > ZERO
              PERFORM 3435-PROCESS-TYPE-21
                 THRU 3435-PROCESS-TYPE-21-EXIT
                 WITH TEST AFTER
              VARYING WS-0021-T21-INT-INDEX FROM 1 BY 1
                UNTIL WS-0021-T21-INT-INDEX = WS-0021-T21-REC-COUNT
           END-IF.


       3435-VAL-SIMPLIFIED-CLAIM-EXIT.
           EXIT.


       3435-PROCESS-TYPE-21.

           SET WS-0021-T21-INDEX TO WS-0021-T21-INT-INDEX

      $IF DEBUG-SW DEFINED
           DISPLAY 'T21 SEQ # =',
           WS-0021-TBL-TRAN-SEQ-NO(WS-0021-T21-INDEX)
           UPON CONSOLE
      $END

           IF WS-0021-TBL-TRAN-REJECTED-FLAG(WS-0021-T21-INDEX)
              = WS-LITERAL-YES

      ******* ERRORS WERE ENCOUNTERED WITH THIS TYPE 21.
      ******* CHECK THE SPECIFIC NUMERIC FIELDS WHICH ARE USED TO
      ******* FIND MATCHING TYPE 11 UNITS FOR A TYPE 21.
              IF WS-0021-TBL-OPTIONAL-UNIT(WS-0021-T21-INDEX)
                 IS NOT NUMERIC
                 OR WS-0021-TBL-LOCATION-COUNTY(WS-0021-T21-INDEX)
                 IS NOT NUMERIC
                 OR WS-0021-TBL-CLAIM-NUM(WS-0021-T21-INDEX)
                 IS NOT NUMERIC
      ******* THIS RECORD CANNOT BE VALIDLY COMPARED WITH A TYPE 11
                 GO TO 3435-PROCESS-TYPE-21-EXIT
              END-IF
           END-IF


      $IF DEBUG-SW DEFINED
           DISPLAY 'T21 SEQ # = ',
           WS-0021-TBL-TRAN-SEQ-NO(WS-0021-T21-INDEX)
           UPON CONSOLE

           DISPLAY 'T21 CNTY ',
           WS-0021-TBL-LOCATION-COUNTY(WS-0021-T21-INDEX),
           ' TYPE ', WS-0021-TBL-TYPE-CD(WS-0021-T21-INDEX),
           ' PRACT ', WS-0021-TBL-PRACTICE-CD(WS-0021-T21-INDEX),
           ' B UNIT ', WS-0021-TBL-BASIC-UNIT-NUM(WS-0021-T21-INDEX),
           ' O UNIT ', WS-0021-TBL-OPTIONAL-UNIT(WS-0021-T21-INDEX),
           UPON CONSOLE
      $END

           IF WS-0021-TBL-SIMPLIFID-CLM-FLG(WS-0021-T21-INDEX)
              = WS-LITERAL-SIMPLIFIED-CLAIM
      ******* THIS EDIT ONLY APPLIES TO SIMPLIFIED CLAIMS
              CONTINUE
           ELSE
              GO TO 3435-PROCESS-TYPE-21-EXIT
           END-IF

           INITIALIZE WS-3435-WORK

           IF WS-0011-T11-REC-COUNT > 0
              PERFORM 3435-COUNT-T11-UNITS
                 THRU 3435-COUNT-T11-UNITS-EXIT
                 WITH TEST AFTER
              VARYING WS-0011-T11-INT-INDEX FROM 1 BY 1
                UNTIL WS-0011-T11-INT-INDEX = WS-0011-T11-REC-COUNT
                   OR WS-3435-ADDTNL-T11-UNIT-COUNT > 0
           ELSE
              GO TO 3435-PROCESS-TYPE-21-EXIT
           END-IF

           EVALUATE WS-3435-ADDTNL-T11-UNIT-COUNT
               WHEN 0
                  IF WS-3435-UNIT-MATCH-FOUND = WS-LITERAL-YES
      ******* THERE IS ONE CORRESPONDING TYPE 11 UNIT FOR THIS TYPE 21 RECORD
      ******* THE TYPE 21 CLAIM IS VALID
                     CONTINUE
                  ELSE
      ******* THERE IS NO CORRESPONDING TYPE 11 FOR THIS TYPE 21 RECORD
      ******* THIS ERROR SHOULD HAVE BEEN RECORDED IN
      ******* IR3425-VAL-RELATED-TYPE-11.
                     MOVE 3435 TO WS-8020-PARAGRAPH-NO
                     MOVE 90020 TO WS-8020-INT-ERROR-NO
                     MOVE WS-LITERAL-NO TO WS-8020-ABORT-PROGRAM
                     PERFORM 8020-RECORD-INT-ERROR
                        THRU 8020-RECORD-INT-ERROR-EXIT
                  END-IF

               WHEN > 0
      ******* THIS TYPE 21 RECORD CANNOT BE A SIMPLIFIED CLAIM

      ******* REJECT THE 21
                  MOVE WS-LITERAL-YES
                    TO WS-0021-TBL-TRAN-REJECTED-FLAG(WS-0021-T21-INDEX)
                  MOVE WS-LITERAL-IR TO WS-8000-ERROR-TYPE
                  MOVE 21077 TO WS-8000-ERROR-CODE
                  MOVE WS-0021-TBL-TRAN-SEQ-NO(WS-0021-T21-INDEX)
                    TO WS-8000-TRAN-SEQ-NO
                  MOVE 'T21 BASIC/OPT UNIT' TO WS-8000-FIELD-NAME1
                  STRING WS-0021-UNIT-TBL-BASIC-UNIT(WS-0021-UNIT-INDEX)
                    DELIMITED BY SIZE
                    WS-0021-UNIT-TBL-OPTIONAL-UNIT(WS-0021-UNIT-INDEX)
                    DELIMITED BY SIZE
                    INTO WS-8000-BAD-DATA1
                  END-STRING
                  STRING 'T11 SEQ NO = '
                   DELIMITED BY SIZE
                   WS-0011-TBL-TRAN-SEQ-NO(WS-0011-T11-INDEX)
                   DELIMITED BY SIZE
                   INTO WS-8000-CORR-DATA1
                  END-STRING
                  MOVE 3435 TO WS-8000-PARAGRAPH-NO
                  MOVE 21 TO WS-8000-TRAN-TYPE
                  MOVE WS-0021-TBL-POLICY-NO(WS-0021-T21-INDEX)
                    TO WS-8000-POLICY-NO
                  MOVE WS-0021-TBL-LOCATION-COUNTY(WS-0021-T21-INDEX)
                    TO WS-8000-LOC-COUNTY
                  MOVE WS-0021-TBL-INSURANCE-PLAN-CD(WS-0021-T21-INDEX)
                    TO WS-8000-INSURANCE-PLAN-ID
                  MOVE WS-0021-TBL-CROP-CD(WS-0021-T21-INDEX)
                    TO WS-8000-CROP-CD
                  MOVE WS-0021-TBL-RECORD-NUM(WS-0021-T21-INDEX)
                    TO WS-8000-RECORD-NUM
                  MOVE WS-LITERAL-YES TO WS-0006-REJECT-21S-FLAG
                  PERFORM 8000-RECORD-TRAN-ERROR
                     THRU 8000-RECORD-TRAN-ERROR-EXIT

      ******* POPULATE THE CLAIM NUMBER USED TO REJECT 20/21 RECORDS
                  MOVE WS-0021-UNIT-TBL-CLAIM-NUMBER(WS-0021-UNIT-INDEX)
                    TO WS-3435-T21-CLAIM-NO

      ******* REJECT ALL 21S AND 20S WITH WS-3435-T21-CLAIM-NO
                  IF WS-0021-T21-REC-COUNT > ZERO
                     PERFORM 3435-REJECT-ASSOC-21
                        THRU 3435-REJECT-ASSOC-21-EXIT
                        WITH TEST AFTER
                     VARYING WS-3435-T21-ERROR-INDEX FROM 1 BY 1
                       UNTIL WS-3435-T21-ERROR-INDEX
                           = WS-0021-T21-REC-COUNT
      ***     RESTORE MAIN LOOP T21 INDEX VALUE
                     SET WS-0021-T21-INDEX TO WS-0021-T21-INT-INDEX
                  END-IF
                  IF WS-0020-T20-REC-COUNT > ZERO
                     PERFORM 3435-REJECT-ASSOC-20
                        THRU 3435-REJECT-ASSOC-20-EXIT
                        WITH TEST AFTER
                     VARYING WS-0020-T20-INT-INDEX FROM 1 BY 1
                       UNTIL WS-0020-T20-INT-INDEX
                           = WS-0020-T20-REC-COUNT
                  END-IF

               WHEN OTHER
                     MOVE 3435 TO WS-8020-PARAGRAPH-NO
                     MOVE 90004 TO WS-8020-INT-ERROR-NO
                     MOVE 'WS-3435-ADDTNL-T11-UNIT-COUNT'
                       TO WS-8020-FIELD-NAME
                     MOVE WS-3435-ADDTNL-T11-UNIT-COUNT
                       TO WS-8020-BAD-DATA
                     MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
                     PERFORM 8020-RECORD-INT-ERROR
                        THRU 8020-RECORD-INT-ERROR-EXIT
           END-EVALUATE.


       3435-PROCESS-TYPE-21-EXIT.
           EXIT.


       3435-COUNT-T11-UNITS.
           SET WS-0011-UNIT-INDEX TO WS-0011-UNIT-INT-INDEX

           IF WS-0011-UNIT-TBL-LOC-COUNTY(WS-0011-UNIT-INDEX)
              IS NOT NUMERIC
              OR WS-0011-UNIT-TBL-OPTIONAL-UNIT(WS-0011-UNIT-INDEX)
              IS NOT NUMERIC
      ******* THIS RECORD CANNOT BE VALIDLY COMPARED WITH
      ******* TYPE 21 UNIT
              GO TO 3435-COUNT-T11-UNITS-EXIT
           END-IF


      $IF DEBUG-SW DEFINED
           DISPLAY 'T11 VALUES ',
           ' CROP TYPE ',
           WS-0011-UNIT-TBL-CROP-TYPE(WS-0011-UNIT-INDEX),
           ' COUNTY ',
           WS-0011-UNIT-TBL-LOC-COUNTY(WS-0011-UNIT-INDEX),
           ' BASIC UNIT ',
           WS-0011-UNIT-TBL-BASIC-UNIT(WS-0011-UNIT-INDEX),
           ' OPT UNIT ',
           WS-0011-UNIT-TBL-OPTIONAL-UNIT(WS-0011-UNIT-INDEX),
           UPON CONSOLE
      $END

      ******* COUNT THE NUMBER OF T11 UNITS SUBMITTED FOR
      ******* THE CURRENT CROP
           IF WS-0011-UNIT-TBL-CROP-TYPE(WS-0011-UNIT-INDEX) =
              WS-0021-UNIT-TBL-CROP-TYPE(WS-0021-UNIT-INDEX) AND
              WS-0011-UNIT-TBL-LOC-COUNTY(WS-0011-UNIT-INDEX) =
              WS-0021-UNIT-TBL-LOC-COUNTY(WS-0021-UNIT-INDEX)

              IF WS-0011-UNIT-TBL-BASIC-UNIT(WS-0011-UNIT-INDEX) =
                 WS-0021-UNIT-TBL-BASIC-UNIT(WS-0021-UNIT-INDEX) AND
                 WS-0011-UNIT-TBL-OPTIONAL-UNIT(WS-0011-UNIT-INDEX) =
                 WS-0021-UNIT-TBL-OPTIONAL-UNIT(WS-0021-UNIT-INDEX)
                 MOVE WS-LITERAL-YES TO WS-3435-UNIT-MATCH-FOUND
              ELSE
                 ADD 1 TO WS-3435-ADDTNL-T11-UNIT-COUNT
              END-IF
           END-IF.


       3435-COUNT-T11-UNITS-EXIT.
           EXIT.


      ************************************************************
      *   REJECT ALL TYPE 21S WITH SAME CLAIM NUMBER
      ************************************************************
       3435-REJECT-ASSOC-21.

           SET WS-0021-T21-INDEX TO WS-3435-T21-ERROR-INDEX

           IF WS-0021-TBL-TRAN-REJECTED-FLAG(WS-0021-T21-INDEX)
              = WS-LITERAL-YES
              GO TO 3435-REJECT-ASSOC-21-EXIT
           END-IF

           IF WS-0021-TBL-CLAIM-NUM(WS-0021-T21-INDEX) =
              WS-3435-T21-CLAIM-NO
              MOVE WS-LITERAL-YES
                TO WS-0021-TBL-TRAN-REJECTED-FLAG(WS-0021-T21-INDEX)
              MOVE WS-LITERAL-IR TO WS-8000-ERROR-TYPE
              MOVE 21039 TO WS-8000-ERROR-CODE
              MOVE WS-0021-TBL-TRAN-SEQ-NO(WS-0021-T21-INDEX)
                TO WS-8000-TRAN-SEQ-NO
              MOVE 'INVALID SIMPLE CLAIM' TO WS-8000-FIELD-NAME1
              MOVE 'T11 SEQ NO' TO WS-8000-BAD-DATA1
              MOVE WS-0011-TBL-TRAN-SEQ-NO(WS-0011-T11-INDEX)
                TO WS-8000-CORR-DATA1
              MOVE 3435 TO WS-8000-PARAGRAPH-NO
              MOVE 21 TO WS-8000-TRAN-TYPE
              MOVE WS-0021-TBL-POLICY-NO(WS-0021-T21-INDEX)
                TO WS-8000-POLICY-NO
              MOVE WS-0021-TBL-LOCATION-COUNTY(WS-0021-T21-INDEX)
                TO WS-8000-LOC-COUNTY
              MOVE WS-0021-TBL-INSURANCE-PLAN-CD(WS-0021-T21-INDEX)
                TO WS-8000-INSURANCE-PLAN-ID
              MOVE WS-0021-TBL-CROP-CD(WS-0021-T21-INDEX)
                TO WS-8000-CROP-CD
              MOVE WS-0021-TBL-RECORD-NUM(WS-0021-T21-INDEX)
                TO WS-8000-RECORD-NUM
              MOVE WS-LITERAL-YES TO WS-0006-REJECT-21S-FLAG
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF.

       3435-REJECT-ASSOC-21-EXIT.
           EXIT.


      ************************************************************
      *    REJECT ALL TYPE 20S WITH SAME TYPE 21 CLAIM NUMBER
      ************************************************************
       3435-REJECT-ASSOC-20.

           SET WS-0020-T20-INDEX TO WS-0020-T20-INT-INDEX

           IF WS-0020-TBL-TRAN-REJECTED-FLAG(WS-0020-T20-INDEX)
              = WS-LITERAL-YES
              GO TO 3435-REJECT-ASSOC-20-EXIT
           END-IF

           IF WS-0020-TBL-CLAIM-NUM(WS-0020-T20-INDEX) =
              WS-3435-T21-CLAIM-NO
              MOVE WS-LITERAL-YES
                TO WS-0020-TBL-TRAN-REJECTED-FLAG(WS-0020-T20-INDEX)
              MOVE WS-LITERAL-IR TO WS-8000-ERROR-TYPE
              MOVE 20039 TO WS-8000-ERROR-CODE
              MOVE 'INVALID SIMPLE CLAIM' TO WS-8000-FIELD-NAME1
              MOVE WS-0020-TBL-TRAN-SEQ-NO(WS-0020-T20-INDEX)
                TO WS-8000-TRAN-SEQ-NO
              MOVE 3435 TO WS-8000-PARAGRAPH-NO
              MOVE 20 TO WS-8000-TRAN-TYPE
              MOVE WS-0020-TBL-POLICY-NO(WS-0020-T20-INDEX)
                TO WS-8000-POLICY-NO
              MOVE WS-0020-TBL-RECORD-NUM(WS-0020-T20-INDEX)
                TO WS-8000-RECORD-NUM
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF.

       3435-REJECT-ASSOC-20-EXIT.
           EXIT.

