      ****************************************************************
      *  File   : IR3440.CBL
      *  Author : LAURA DITTAMO
      *  Date   : 7/25/96
      *  Purpose: VALIDATE THE BASIC UNIT DISCOUNT.  A 10% PREMIUM
      *           DISCOUNT IS GIVEN TO ACREAGE RECORDS WHICH DESIGNATE
      *           A BASIC UNIT DISCOUNT (UNIT OPTION CODE = BU).
      *           THIS DISCOUNT ONLY APPLIES TO CROP POLICIES WHICH
      *           HAVE ONE CROP UNIT.
      *
      *           CROP UNIT = ***(CROP TYPE) + LOCATION COUNTY +
      *                       BASIC UNIT NUM + OPTIONAL UNIT NUM
      *  *** 6\24\97 - CROP TYPE REMOVED FROM MATCH CRITERIA -
      *      WILL BE REPLACED FOR APPLICABLE CROPS PER KEITH BEGLEY.(AW)
      ****************************************************************

       3440-VAL-UNIT-DISCOUNT.

      $IF DEBUG-SW DEFINED
           DISPLAY '3440-VALIDATE T11 BASIC UNIT DISCOUNT'
           UPON CONSOLE
      $END

      $IF DEBUG-SW DEFINED
           DISPLAY 'T11(01)= ', WS-0011-TBL-TYPE-11(1)
           UPON CONSOLE
           DISPLAY 'T11(02)= ', WS-0011-TBL-TYPE-11(2)
           UPON CONSOLE
           DISPLAY 'T11(03)= ', WS-0011-TBL-TYPE-11(3)
           UPON CONSOLE
           DISPLAY 'T11(04)= ', WS-0011-TBL-TYPE-11(4)
           UPON CONSOLE
           DISPLAY 'T11(05)= ', WS-0011-TBL-TYPE-11(5)
           UPON CONSOLE
      $END

           IF WS-0011-T11-REC-COUNT > ZERO
              PERFORM 3440-PROCESS-TYPE-11
                 THRU 3440-PROCESS-TYPE-11-EXIT
                 WITH TEST AFTER
              VARYING WS-0011-T11-INT-INDEX FROM 1 BY 1
                UNTIL WS-0011-T11-INT-INDEX >= WS-0011-T11-REC-COUNT
           END-IF.


       3440-VAL-UNIT-DISCOUNT-EXIT.
           EXIT.


       3440-PROCESS-TYPE-11.

           SET WS-0011-T11-INDEX TO WS-0011-T11-INT-INDEX

      $IF DEBUG-SW DEFINED
           DISPLAY 'T11 SEQ # = ',
           WS-0011-TBL-TRAN-SEQ-NO(WS-0011-T11-INDEX)
           UPON CONSOLE
      $END

           IF WS-0011-TBL-TRAN-REJECTED-FLAG(WS-0011-T11-INDEX)
              = WS-LITERAL-YES

      ******* ERRORS WERE ENCOUNTERED WITH THIS TYPE 11.
      ******* CHECK THE SPECIFIC NUMERIC FIELDS WHICH ARE USED TO
      ******* DETERMINE THE NUMBER OF CROP UNITS
              IF WS-0011-TBL-BASIC-UNIT-NUM(WS-0011-T11-INDEX)
                 IS NOT NUMERIC
                 OR WS-0011-TBL-OPTIONAL-UNIT(WS-0011-T11-INDEX)
                 IS NOT NUMERIC
                 OR WS-0011-TBL-LOCATION-COUNTY(WS-0011-T11-INDEX)
                 IS NOT NUMERIC
                 GO TO 3440-PROCESS-TYPE-11-EXIT
              END-IF
           END-IF


      $IF DEBUG-SW DEFINED
           DISPLAY 'T11 CNTY ',
           WS-0011-TBL-LOCATION-COUNTY(WS-0011-T11-INDEX),
           ' TYPE ', WS-0011-TBL-TYPE-CD(WS-0011-T11-INDEX),
           ' PRACT ', WS-0011-TBL-PRACTICE-CD(WS-0011-T11-INDEX),
           ' B UNIT ', WS-0011-TBL-BASIC-UNIT-NUM(WS-0011-T11-INDEX),
           ' O UNIT ', WS-0011-TBL-OPTIONAL-UNIT(WS-0011-T11-INDEX),
           ' UNIT OPT CD ', WS-0011-TBL-UNIT-OPT-CD(WS-0011-T11-INDEX),
           UPON CONSOLE
      $END

           IF WS-0011-TBL-INSURANCE-PLAN-CD(WS-0011-T11-INDEX) =
              WS-LITERAL-RA
              GO TO 3440-PROCESS-TYPE-11-EXIT
           END-IF

           INITIALIZE WS-3440-WORK
           MOVE WS-0011-TBL-TYPE-CD(WS-0011-T11-INDEX)
             TO WS-3440-COMPARE-CROP-TYPE
           MOVE WS-0011-TBL-LOCATION-COUNTY(WS-0011-T11-INDEX)
             TO WS-3440-COMPARE-LOC-COUNTY
           MOVE WS-0011-TBL-BASIC-UNIT-NUM(WS-0011-T11-INDEX)
             TO WS-3440-COMPARE-BASIC-UNIT-NUM
           MOVE WS-0011-TBL-OPTIONAL-UNIT(WS-0011-T11-INDEX)
             TO WS-3440-COMPARE-OPTIONAL-UNIT
      ******* SAVE THE MAIN LOOP'S INDEX VALUE
           MOVE WS-0011-T11-INT-INDEX TO WS-3440-MAIN-LOOP-INDEX

           IF WS-0011-T11-REC-COUNT > ZERO
              PERFORM 3440-COUNT-T11-UNITS
                 THRU 3440-COUNT-T11-UNITS-EXIT
                 WITH TEST AFTER
              VARYING WS-0011-T11-INT-INDEX
                 FROM WS-3440-MAIN-LOOP-INDEX BY 1
                UNTIL WS-0011-T11-INT-INDEX = WS-0011-T11-REC-COUNT
                   OR WS-0011-TBL-BASIC-UNIT-NUM(WS-0011-T11-INDEX)
                   <> WS-3440-COMPARE-BASIC-UNIT-NUM
           END-IF

      ******* RESTORE THE MAIN LOOP'S INDEX VALUE
           MOVE WS-3440-MAIN-LOOP-INDEX TO WS-0011-T11-INT-INDEX
           SET WS-0011-T11-INDEX TO WS-0011-T11-INT-INDEX

           MOVE ZEROS TO WS-3440-ERROR-LOOP-INDEX
           EVALUATE WS-3440-ADDTNL-T11-UNIT-COUNT
               WHEN 0
      ******* THERE IS ARE NO ADDITIONAL UNITS FOR THIS CROP ON THE POLICY
                  MOVE 'BU' TO WS-3440-CORRECT-UNIT-OPT-CD
                  PERFORM 3440-VAL-SNGL-UNIT-OPT-CD
                     THRU 3440-VAL-SNGL-UNIT-OPT-CD-EXIT
                     WITH TEST AFTER
                  VARYING WS-0011-T11-INT-INDEX
                     FROM WS-3440-MAIN-LOOP-INDEX BY 1
                    UNTIL WS-0011-T11-INT-INDEX =
                          WS-3440-NEXT-LOOP-INDEX
                     OR WS-0011-TBL-BASIC-UNIT-NUM(WS-0011-T11-INDEX)
                     <> WS-3440-COMPARE-BASIC-UNIT-NUM

               WHEN > 0
                  MOVE SPACES TO WS-3440-CORRECT-UNIT-OPT-CD
                  PERFORM 3440-VAL-MULT-UNIT-OPT-CD
                     THRU 3440-VAL-MULT-UNIT-OPT-CD-EXIT
                     WITH TEST AFTER
                  VARYING WS-0011-T11-INT-INDEX
                     FROM WS-3440-MAIN-LOOP-INDEX BY 1
                    UNTIL WS-0011-T11-INT-INDEX =
                          WS-3440-NEXT-LOOP-INDEX
                     OR WS-0011-TBL-BASIC-UNIT-NUM(WS-0011-T11-INDEX)
                     <> WS-3440-COMPARE-BASIC-UNIT-NUM

               WHEN OTHER
                     MOVE 3440 TO WS-8020-PARAGRAPH-NO
                     MOVE 90004 TO WS-8020-INT-ERROR-NO
                     MOVE 'WS-3440-ADDTNL-T11-UNIT-COUNT'
                       TO WS-8020-FIELD-NAME
                     MOVE WS-3440-ADDTNL-T11-UNIT-COUNT
                       TO WS-8020-BAD-DATA
                     MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
                     PERFORM 8020-RECORD-INT-ERROR
                        THRU 8020-RECORD-INT-ERROR-EXIT
           END-EVALUATE.

           IF WS-3440-NEXT-LOOP-INDEX <> ZEROS
               MOVE WS-3440-NEXT-LOOP-INDEX TO WS-0011-T11-INT-INDEX
           ELSE
               MOVE WS-0011-T11-REC-COUNT TO WS-0011-T11-INT-INDEX
           END-IF.

       3440-PROCESS-TYPE-11-EXIT.
           EXIT.

       3440-COUNT-T11-UNITS.
           SET WS-0011-T11-INDEX TO WS-0011-T11-INT-INDEX

           IF WS-0011-TBL-TRAN-REJECTED-FLAG(WS-0011-T11-INDEX)
              = WS-LITERAL-YES

      ******* ERRORS WERE ENCOUNTERED WITH THIS TYPE 11.
      ******* CHECK THE SPECIFIC NUMERIC FIELDS WHICH ARE USED TO
      ******* DETERMINE THE NUMBER OF CROP UNITS
              IF WS-0011-TBL-LOCATION-COUNTY(WS-0011-T11-INDEX)
                 IS NOT NUMERIC
                 OR WS-0011-TBL-OPTIONAL-UNIT(WS-0011-T11-INDEX)
                 IS NOT NUMERIC
      ******* THIS RECORD CANNOT BE VALIDLY COMPARED WITH TYPE 11 UNIT
                 GO TO 3440-COUNT-T11-UNITS-EXIT
              END-IF
           END-IF

      $IF DEBUG-SW DEFINED
           DISPLAY 'T11 VALUES ',
           ' CROP TYPE ',
           WS-0011-TBL-TYPE-CD(WS-0011-T11-INDEX),
           ' COUNTY ',
           WS-0011-TBL-LOCATION-COUNTY(WS-0011-T11-INDEX),
           ' BASIC UNIT ',
           WS-0011-TBL-BASIC-UNIT-NUM(WS-0011-T11-INDEX),
           ' OPT UNIT ',
           WS-0011-TBL-OPTIONAL-UNIT(WS-0011-T11-INDEX),
           UPON CONSOLE
      $END

      **** COUNT THE NUMBER OF T11 UNITS SUBMITTED FOR THE CURRENT CROP0

           IF WS-0011-TBL-CROP-CD(WS-0011-T11-INDEX) =
              WS-LITERAL-DRY-BEANS AND WS-3440-COMPARE-CROP-TYPE = 062
              IF WS-0011-TBL-TYPE-CD(WS-0011-T11-INDEX) =
                 WS-3440-COMPARE-CROP-TYPE  AND
                 WS-0011-TBL-LOCATION-COUNTY(WS-0011-T11-INDEX) =
                 WS-3440-COMPARE-LOC-COUNTY AND
                 WS-0011-TBL-BASIC-UNIT-NUM(WS-0011-T11-INDEX) =
                 WS-3440-COMPARE-BASIC-UNIT-NUM

                 MOVE WS-0011-T11-INT-INDEX TO WS-3440-NEXT-LOOP-INDEX

                 IF WS-0011-TBL-OPTIONAL-UNIT(WS-0011-T11-INDEX) =
                    WS-3440-COMPARE-OPTIONAL-UNIT
                    CONTINUE
                 ELSE
                    ADD 1 TO WS-3440-ADDTNL-T11-UNIT-COUNT
                 END-IF
              END-IF
           ELSE
              IF WS-0011-TBL-LOCATION-COUNTY(WS-0011-T11-INDEX) =
                 WS-3440-COMPARE-LOC-COUNTY AND
                 WS-0011-TBL-BASIC-UNIT-NUM(WS-0011-T11-INDEX) =
                 WS-3440-COMPARE-BASIC-UNIT-NUM

                 IF WS-0011-TBL-CROP-CD(WS-0011-T11-INDEX) =
                    WS-LITERAL-DRY-BEANS AND
                    WS-0011-TBL-TYPE-CD(WS-0011-T11-INDEX) = 062
      *             *** Do not compare non-Type 062 UNITS to Type 062
      *             *** Type 062 UNITS were evaluated separately above.
                    GO TO 3440-COUNT-T11-UNITS-EXIT
                 END-IF

                 MOVE WS-0011-T11-INT-INDEX TO WS-3440-NEXT-LOOP-INDEX

                 IF WS-0011-TBL-OPTIONAL-UNIT(WS-0011-T11-INDEX) =
                    WS-3440-COMPARE-OPTIONAL-UNIT
                    CONTINUE
                 ELSE
                    ADD 1 TO WS-3440-ADDTNL-T11-UNIT-COUNT
                 END-IF
              END-IF
           END-IF.

       3440-COUNT-T11-UNITS-EXIT.
           EXIT.

       3440-VAL-SNGL-UNIT-OPT-CD.

      $IF DEBUG-SW DEFINED
           DISPLAY '3440-VALIDATING SINGLE UNIT OPTION CODE'
           UPON CONSOLE
      $END

           SET WS-0011-T11-INDEX TO WS-0011-T11-INT-INDEX

           MOVE WS-0011-TBL-INSURANCE-PLAN-CD(WS-0011-T11-INDEX)
             TO WS-3440-INSURANCE-PLAN-ID
           MOVE WS-0011-TBL-CROP-CD(WS-0011-T11-INDEX)
             TO WS-3440-CROP-CODE
           MOVE WS-0011-TBL-UNIT-OPT-CD(WS-0011-T11-INDEX)
             TO WS-3440-UNIT-OPT-CD

           IF WS-0011-TBL-BASIC-UNIT-NUM(WS-0011-T11-INDEX)
              <> WS-3440-COMPARE-BASIC-UNIT-NUM
              GO TO 3440-VAL-SNGL-UNIT-OPT-CD-EXIT
           END-IF

      ******************************************************************
      *    BELOW:  ANY COMBINATION OF WS-3440-INSURANCE-PLAN-ID AND    *
      *            WS-3440-CROP-CODE, LISTED BELOW IN THE EVALUATE     *
      *            STATEMENT, MUST HAVE THE UNIT OPTION CODE = 'BU'    *
      *            IF THE CROP HAS ONLY 1 UNIT. OTHERWISE, THE RECORD  *
      *            IS IN ERROR.                                        *
      *    NOTE:   THIS TABLE WAS BUILT FROM THE MARCH 1997 VERSION    *
      *            OF THE FCIC M13 MANUAL, EXHIBIT 11-7.               *
      ******************************************************************


           EVALUATE WS-3440-INSURANCE-PLAN-ID
               WHEN WS-LITERAL-APH
                  EVALUATE WS-3440-CROP-CODE
                     WHEN WS-LITERAL-BARLEY
                     WHEN WS-LITERAL-DRY-BEANS
                     WHEN WS-LITERAL-CANOLA
                     WHEN WS-LITERAL-CORN
                     WHEN WS-LITERAL-COTTON
                     WHEN WS-LITERAL-COTTON-XTRA-LONG
                     WHEN WS-LITERAL-FLAX
                     WHEN WS-LITERAL-GRAIN-SORGHUM
                     WHEN WS-LITERAL-MILLET
                     WHEN WS-LITERAL-OATS
                     WHEN WS-LITERAL-DRY-PEAS
                     WHEN WS-LITERAL-POPCORN
                     WHEN WS-LITERAL-POTATOES
                     WHEN WS-LITERAL-RICE
                     WHEN WS-LITERAL-RYE
                     WHEN WS-LITERAL-SAFFLOWER
                     WHEN WS-LITERAL-SOYBEANS
                     WHEN WS-LITERAL-SUGAR-BEETS
                     WHEN WS-LITERAL-SUGAR-CANE
                     WHEN WS-LITERAL-SUNFLOWERS
                     WHEN WS-LITERAL-SWEET-CORN
                     WHEN WS-LITERAL-TOMATOES
                     WHEN WS-LITERAL-WHEAT
                        CONTINUE
                     WHEN OTHER
                        MOVE SPACES TO WS-3440-CORRECT-UNIT-OPT-CD
                  END-EVALUATE

               WHEN WS-LITERAL-APH-AREA-PLAN
                  EVALUATE WS-3440-CROP-CODE
                     WHEN WS-LITERAL-CANNING-BEANS
                     WHEN WS-LITERAL-DRY-BEANS
                     WHEN WS-LITERAL-DRY-PEAS
                     WHEN WS-LITERAL-GREEN-PEAS
                     WHEN WS-LITERAL-POTATOES
                     WHEN WS-LITERAL-SUGAR-CANE
                     WHEN WS-LITERAL-MARYLAND-TOBACCO
                     WHEN WS-LITERAL-CIGAR-BINDR-TOBACCO
                     WHEN WS-LITERAL-CIGAR-FILL-TOBACCO
                     WHEN WS-LITERAL-CIGAR-WRAPR-TOBACCO
                     WHEN WS-LITERAL-FRESH-TOMATOES
                     WHEN WS-LITERAL-TOMATOES
                        CONTINUE
                     WHEN OTHER
                        MOVE SPACES TO WS-3440-CORRECT-UNIT-OPT-CD
                  END-EVALUATE

               WHEN WS-LITERAL-CRC
                  EVALUATE WS-3440-CROP-CODE
                     WHEN WS-LITERAL-CORN
                     WHEN WS-LITERAL-COTTON
                     WHEN WS-LITERAL-GRAIN-SORGHUM
                     WHEN WS-LITERAL-SOYBEANS
                     WHEN WS-LITERAL-WHEAT
                        CONTINUE
                     WHEN OTHER
                        MOVE SPACES TO WS-3440-CORRECT-UNIT-OPT-CD
                  END-EVALUATE
               WHEN WS-LITERAL-DOLLAR-AMT
                  EVALUATE WS-3440-CROP-CODE
                     WHEN WS-LITERAL-FORAGE-SEED
                     WHEN WS-LITERAL-PEPPERS
                     WHEN WS-LITERAL-FRESH-SWEET-CORN
                     WHEN WS-LITERAL-FRESH-TOMATOES
                     WHEN WS-LITERAL-CITRUS-TREES-I
                     WHEN WS-LITERAL-CITRUS-TREES-II
                     WHEN WS-LITERAL-CITRUS-TREES-III
                     WHEN WS-LITERAL-CITRUS-TREES-IV
                     WHEN WS-LITERAL-CITRUS-TREES-V
                        CONTINUE
                     WHEN OTHER
                        MOVE SPACES TO WS-3440-CORRECT-UNIT-OPT-CD
                  END-EVALUATE

               WHEN WS-LITERAL-YLD-BASED-DOL-AMT
                  EVALUATE WS-3440-CROP-CODE
                     WHEN WS-LITERAL-HYBRID-CORN-SEED
                     WHEN WS-LITERAL-HYBRID-SORGHUM-SEED
                        CONTINUE
                     WHEN OTHER
                        MOVE SPACES TO WS-3440-CORRECT-UNIT-OPT-CD
                  END-EVALUATE
               WHEN WS-LITERAL-ARC
                        CONTINUE
               WHEN WS-LITERAL-APH-AREA-SPAN
                  EVALUATE WS-3440-CROP-CODE
                     WHEN WS-LITERAL-POTATOES
                     WHEN WS-LITERAL-SUGAR-BEETS
                        CONTINUE
                     WHEN OTHER
                        MOVE SPACES TO WS-3440-CORRECT-UNIT-OPT-CD
                  END-EVALUATE

               WHEN WS-LITERAL-GUARANTEE-TOBACCO
                  EVALUATE WS-3440-CROP-CODE
                     WHEN WS-LITERAL-FLUE-CURED-TOBACCO
                     WHEN WS-LITERAL-FIRE-CURED-TOBACCO
                     WHEN WS-LITERAL-DARK-AIR-TOBACCO
                     WHEN WS-LITERAL-CIGAR-FILL-TOBACCO
                     WHEN WS-LITERAL-CIGAR-BINDR-TOBACCO
                     WHEN WS-LITERAL-BARLEY
                        CONTINUE
                     WHEN OTHER
                        MOVE SPACES TO WS-3440-CORRECT-UNIT-OPT-CD
                  END-EVALUATE

               WHEN WS-LITERAL-RA
                  EVALUATE WS-3440-CROP-CODE
                     WHEN WS-LITERAL-CORN
                     WHEN WS-LITERAL-SOYBEANS
                        CONTINUE
                     WHEN OTHER
                        MOVE SPACES TO WS-3440-CORRECT-UNIT-OPT-CD
                  END-EVALUATE

               WHEN OTHER
                  MOVE SPACES TO WS-3440-CORRECT-UNIT-OPT-CD
           END-EVALUATE

           IF WS-3440-UNIT-OPT-CD = WS-3440-CORRECT-UNIT-OPT-CD
               GO TO 3440-VAL-SNGL-UNIT-OPT-CD-EXIT
           END-IF

      **********************************************************
      *              RECORD ERROR                              *
      **********************************************************

           MOVE WS-LITERAL-YES
             TO WS-0011-TBL-TRAN-REJECTED-FLAG(WS-0011-T11-INDEX)
      *      *** REJECT THE ACREAGE & LOSS RECORDS ***
           MOVE WS-LITERAL-YES
             TO WS-0006-REJECT-11S-FLAG
           MOVE WS-LITERAL-YES TO ERROR-UNIT-OPT-CD
           MOVE WS-LITERAL-IR  TO WS-8000-ERROR-TYPE
           IF WS-3440-CORRECT-UNIT-OPT-CD = 'BU'
              MOVE 11048 TO WS-8000-ERROR-CODE
           ELSE
              MOVE 11049 TO WS-8000-ERROR-CODE
           END-IF
           MOVE 11 TO WS-8000-TRAN-TYPE
           MOVE 3440 TO WS-8000-PARAGRAPH-NO
           MOVE WS-LITERAL-UNIT-OPT-CD TO WS-8000-FIELD-NAME1
           MOVE WS-3440-UNIT-OPT-CD TO WS-8000-BAD-DATA1
           MOVE WS-3440-CORRECT-UNIT-OPT-CD TO WS-8000-CORR-DATA1
           PERFORM 8007-LOAD-IR-TABLE-ERRORS
             THRU 8007-LOAD-IR-TABLE-ERRORS-EXIT
           PERFORM 8000-RECORD-TRAN-ERROR
              THRU 8000-RECORD-TRAN-ERROR-EXIT

           MOVE WS-0011-T11-INT-INDEX TO WS-3440-ERROR-LOOP-INDEX
           MOVE WS-3440-MAIN-LOOP-INDEX TO WS-0011-T11-INT-INDEX
           SET WS-0011-T11-INDEX TO WS-0011-T11-INT-INDEX
           PERFORM 3440-REJECT-RELATED-11S
              THRU 3440-REJECT-RELATED-11S-EXIT
              WITH TEST AFTER
      *       VARYING WS-0011-T11-INT-INDEX FROM 1 BY 1
              VARYING WS-0011-T11-INT-INDEX
                FROM WS-3440-MAIN-LOOP-INDEX BY 1
      *       UNTIL WS-0011-T11-INT-INDEX = WS-0011-T11-REC-COUNT
                UNTIL WS-0011-T11-INT-INDEX =
                      WS-3440-NEXT-LOOP-INDEX
                 OR WS-0011-TBL-BASIC-UNIT-NUM(WS-0011-T11-INDEX) <>
                    WS-3440-COMPARE-BASIC-UNIT-NUM.

       3440-VAL-SNGL-UNIT-OPT-CD-EXIT.
           EXIT.

       3440-VAL-MULT-UNIT-OPT-CD.

      $IF DEBUG-SW DEFINED
           DISPLAY '3440-VALIDATING MULTI UNIT OPTION CODE'
           UPON CONSOLE
      $END
           SET WS-0011-T11-INDEX TO WS-0011-T11-INT-INDEX

           MOVE WS-0011-TBL-INSURANCE-PLAN-CD(WS-0011-T11-INDEX)
             TO WS-3440-INSURANCE-PLAN-ID
           MOVE WS-0011-TBL-CROP-CD(WS-0011-T11-INDEX)
             TO WS-3440-CROP-CODE
           MOVE WS-0011-TBL-UNIT-OPT-CD(WS-0011-T11-INDEX)
             TO WS-3440-UNIT-OPT-CD

           IF WS-0011-TBL-BASIC-UNIT-NUM(WS-0011-T11-INDEX)
              <> WS-3440-COMPARE-BASIC-UNIT-NUM
              GO TO 3440-VAL-MULT-UNIT-OPT-CD-EXIT
           END-IF

           IF WS-3440-UNIT-OPT-CD = WS-3440-CORRECT-UNIT-OPT-CD
               GO TO 3440-VAL-MULT-UNIT-OPT-CD-EXIT
           END-IF

      **********************************************************
      *              RECORD ERROR                              *
      **********************************************************

           MOVE WS-LITERAL-YES
             TO WS-0011-TBL-TRAN-REJECTED-FLAG(WS-0011-T11-INDEX)
      *         *** REJECT THE ACREAGE & LOSS RECORDS ***
           MOVE WS-LITERAL-YES
             TO WS-0006-REJECT-11S-FLAG
           MOVE WS-LITERAL-YES TO ERROR-UNIT-OPT-CD
           MOVE WS-LITERAL-IR TO WS-8000-ERROR-TYPE
           MOVE 11 TO WS-8000-TRAN-TYPE
           MOVE 11089 TO WS-8000-ERROR-CODE
           MOVE 3440 TO WS-8000-PARAGRAPH-NO
           MOVE 11 TO WS-8000-TRAN-TYPE
           PERFORM 8007-LOAD-IR-TABLE-ERRORS
              THRU 8007-LOAD-IR-TABLE-ERRORS-EXIT
           MOVE WS-LITERAL-UNIT-OPT-CD TO WS-8000-FIELD-NAME1
           MOVE WS-0011-TBL-UNIT-OPT-CD(WS-0011-T11-INDEX)
             TO WS-8000-BAD-DATA1
           MOVE 'T11 BASIC/OPT UNIT' TO WS-8000-FIELD-NAME1
           MOVE SPACES TO WS-8000-CORR-DATA1
           PERFORM 8000-RECORD-TRAN-ERROR
              THRU 8000-RECORD-TRAN-ERROR-EXIT

           MOVE WS-0011-T11-INT-INDEX TO WS-3440-ERROR-LOOP-INDEX
           MOVE WS-3440-MAIN-LOOP-INDEX TO WS-0011-T11-INT-INDEX
           SET WS-0011-T11-INDEX TO WS-0011-T11-INT-INDEX
           PERFORM 3440-REJECT-RELATED-11S
              THRU 3440-REJECT-RELATED-11S-EXIT
              WITH TEST AFTER
              VARYING WS-0011-T11-INT-INDEX
                FROM WS-3440-MAIN-LOOP-INDEX BY 1
              UNTIL WS-0011-T11-INT-INDEX =
                    WS-3440-NEXT-LOOP-INDEX
               OR WS-0011-TBL-BASIC-UNIT-NUM(WS-0011-T11-INDEX) <>
                  WS-3440-COMPARE-BASIC-UNIT-NUM.

       3440-VAL-MULT-UNIT-OPT-CD-EXIT.
           EXIT.


       3440-REJECT-RELATED-11S.
           SET WS-0011-T11-INDEX TO WS-0011-T11-INT-INDEX

           IF WS-0011-TBL-TRAN-REJECTED-FLAG(WS-0011-T11-INDEX)
              = WS-LITERAL-YES
      ******* BYPASS THIS TYPE 11 - ALREADY REJECTED!
              GO TO 3440-REJECT-RELATED-11S-EXIT
           END-IF

           IF WS-0011-TBL-LOCATION-COUNTY(WS-0011-T11-INDEX) =
              WS-3440-COMPARE-LOC-COUNTY AND
              WS-0011-TBL-BASIC-UNIT-NUM(WS-0011-T11-INDEX) =
              WS-3440-COMPARE-BASIC-UNIT-NUM AND
              WS-0011-T11-INT-INDEX <> WS-3440-ERROR-LOOP-INDEX
              MOVE WS-LITERAL-YES
                TO WS-0011-TBL-TRAN-REJECTED-FLAG(WS-0011-T11-INDEX)
              MOVE WS-LITERAL-IR TO WS-8000-ERROR-TYPE
              MOVE 11033 TO WS-8000-ERROR-CODE
              MOVE 3440 TO WS-8000-PARAGRAPH-NO
              MOVE 11 TO WS-8000-TRAN-TYPE
              PERFORM 8007-LOAD-IR-TABLE-ERRORS
                 THRU 8007-LOAD-IR-TABLE-ERRORS-EXIT
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              MOVE WS-0011-T11-INT-INDEX TO WS-3440-ERROR-LOOP-INDEX
           END-IF.

       3440-REJECT-RELATED-11S-EXIT.
           EXIT.


