      ****************************************************************
      *  File   : IR3445.CBL
      *  Author : LAURA DITTAMO
      *  Date   : 7/30/96
      *  Purpose: VALIDATE RATE CLASS FOR MALT BARLEY.
      *           TYPE 11 RECORDS WHICH CARRY MALT BARLEY OPTION A
      *           MUST HAVE A CORRESPONDING FEED BARLEY RECORD
      *           UNDER THE SAME POLICY WITH THE SAME RATE CLASS.
      *
      ****************************************************************

       3445-VAL-MALT-BARLEY-RATE.

      $IF DEBUG-SW DEFINED
           DISPLAY '3445-VALIDATE T11 RATE CLASS FOR MALT BARLEY'
           UPON CONSOLE
      $END

      $IF DEBUG-SW DEFINED
           DISPLAY 'T11(01)= ', WS-0011-TBL-TYPE-11(1)
           UPON CONSOLE
           DISPLAY 'T11(02)= ', WS-0011-TBL-TYPE-11(2)
           UPON CONSOLE
           DISPLAY 'T11(03)= ', WS-0011-TBL-TYPE-11(3)
           UPON CONSOLE
           DISPLAY 'T11(04)= ', WS-0011-TBL-TYPE-11(4)
           UPON CONSOLE
           DISPLAY 'T11(05)= ', WS-0011-TBL-TYPE-11(5)
           UPON CONSOLE
      $END

           PERFORM 3445-PROCESS-TYPE-11
              THRU 3445-PROCESS-TYPE-11-EXIT
              WITH TEST AFTER
           VARYING WS-0011-T11-INT-INDEX FROM 1 BY 1
             UNTIL WS-0011-T11-INT-INDEX = WS-0011-T11-REC-COUNT.


       3445-VAL-MALT-BARLEY-RATE-EXIT.
           EXIT.


       3445-PROCESS-TYPE-11.

           SET WS-0011-T11-INDEX TO WS-0011-T11-INT-INDEX

      $IF DEBUG-SW DEFINED
           DISPLAY 'T11 SEQ # =',
           WS-0011-TBL-TRAN-SEQ-NO(WS-0011-T11-INDEX)
           UPON CONSOLE
      $END

           IF WS-0011-TBL-TRAN-REJECTED-FLAG(WS-0011-T11-INDEX)
              = WS-LITERAL-YES

      ******* ERRORS WERE ENCOUNTERED WITH THIS TYPE 11.
      ******* CHECK THE SPECIFIC NUMERIC FIELDS WHICH ARE USED TO
      ******* VALIDATE THE MALT BARLEY RATE CLASS
              IF WS-0011-TBL-OPTIONAL-UNIT(WS-0011-T11-INDEX)
                 IS NOT NUMERIC
                 OR WS-0011-TBL-LOCATION-COUNTY(WS-0011-T11-INDEX)
                 IS NOT NUMERIC
                 GO TO 3445-PROCESS-TYPE-11-EXIT
              END-IF
           END-IF


      $IF DEBUG-SW DEFINED
           DISPLAY 'T11 SEQ # = ',
           WS-0011-TBL-TRAN-SEQ-NO(WS-0011-T11-INDEX)
           UPON CONSOLE

           DISPLAY 'T11 CNTY ',
           WS-0011-TBL-LOCATION-COUNTY(WS-0011-T11-INDEX),
           ' TYPE ', WS-0011-TBL-TYPE-CD(WS-0011-T11-INDEX),
           ' PRACT ', WS-0011-TBL-PRACTICE-CD(WS-0011-T11-INDEX),
           ' B UNIT ', WS-0011-TBL-BASIC-UNIT-NUM(WS-0011-T11-INDEX),
           ' O UNIT ', WS-0011-TBL-OPTIONAL-UNIT(WS-0011-T11-INDEX),
           ' TYPE/PRAC OPT ', WS-0011-TBL-TYPE-PRAC-OPT-CD
           (WS-0011-T11-INDEX),
           UPON CONSOLE
      $END

           IF WS-0011-TBL-CROP-CD(WS-0011-T11-INDEX) =
              WS-LITERAL-BARLEY AND
              WS-0011-TBL-TYPE-PRAC-OPT-CD(WS-0011-T11-INDEX) =
              WS-LITERAL-MALT-BARLEY-OPT-A
      ******* THIS EDIT ONLY APPLIES TO BARLEY TYPE 11S WHICH CARRY
      ******* THE MALT BARLEY OPTION A
              CONTINUE
           ELSE
              GO TO 3445-PROCESS-TYPE-11-EXIT
           END-IF

           INITIALIZE WS-3445-WORK
           MOVE WS-0011-TBL-TYPE-CD(WS-0011-T11-INDEX)
             TO WS-3445-COMPARE-CROP-TYPE
           MOVE WS-0011-TBL-LOCATION-COUNTY(WS-0011-T11-INDEX)
             TO WS-3445-COMPARE-LOC-COUNTY
           MOVE WS-0011-TBL-RATE-CLASS(WS-0011-T11-INDEX)
             TO WS-3445-COMPARE-RATE-CLASS
           MOVE WS-0011-T11-INT-INDEX TO WS-3445-MAIN-LOOP-INDEX

           PERFORM 3445-FIND-FEED-BARLEY-T11
              THRU 3445-FIND-FEED-BARLEY-T11-EXIT
              WITH TEST AFTER
           VARYING WS-0011-T11-INT-INDEX FROM 1 BY 1
             UNTIL WS-0011-T11-INT-INDEX = WS-0011-T11-REC-COUNT
                OR WS-3445-T11-RATE-MATCH-FOUND = WS-LITERAL-YES

      ******* RESTORE THE MAIN LOOP'S INDEX VALUE
           MOVE WS-3445-MAIN-LOOP-INDEX TO WS-0011-T11-INT-INDEX
           SET WS-0011-T11-INDEX TO WS-0011-T11-INT-INDEX

           IF WS-3445-T11-RATE-MATCH-FOUND <> WS-LITERAL-YES
      ******* THERE ARE NO CORRESPONDING FEED BARLEY RECORDS WITH
      ******* THE SAME RATE CLASS AS THE MALT BARLEY RECORD
      ******* REJECT THE 11
              MOVE WS-LITERAL-YES
                TO WS-0011-TBL-TRAN-REJECTED-FLAG(WS-0011-T11-INDEX)
              MOVE WS-LITERAL-IR TO WS-8000-ERROR-TYPE
              MOVE 11091 TO WS-8000-ERROR-CODE
              MOVE WS-0011-TBL-TRAN-SEQ-NO(WS-0011-T11-INDEX)
                TO WS-8000-TRAN-SEQ-NO
              MOVE 'T11 RATE CLASS' TO WS-8000-FIELD-NAME1
              MOVE WS-0011-TBL-RATE-CLASS(WS-0011-T11-INDEX)
                TO WS-8000-BAD-DATA1
              MOVE SPACES TO WS-8000-CORR-DATA1
              MOVE 3445 TO WS-8000-PARAGRAPH-NO
              MOVE 11 TO WS-8000-TRAN-TYPE
              display '*' with no advancing
              MOVE WS-0011-TBL-POLICY-NO(WS-0011-T11-INDEX)
                TO WS-8000-POLICY-NO
              MOVE WS-0011-TBL-LOCATION-COUNTY(WS-0011-T11-INDEX)
                TO WS-8000-LOC-COUNTY
              MOVE WS-0011-TBL-INSURANCE-PLAN-CD(WS-0011-T11-INDEX)
                TO WS-8000-INSURANCE-PLAN-ID
              MOVE WS-0011-TBL-CROP-CD(WS-0011-T11-INDEX)
                TO WS-8000-CROP-CD
              MOVE WS-0011-TBL-RECORD-NUM(WS-0011-T11-INDEX)
                TO WS-8000-RECORD-NUM
              MOVE WS-LITERAL-YES TO WS-0006-REJECT-11S-FLAG
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF.


       3445-PROCESS-TYPE-11-EXIT.
           EXIT.


       3445-FIND-FEED-BARLEY-T11.
           SET WS-0011-T11-INDEX TO WS-0011-T11-INT-INDEX

           IF WS-0011-TBL-TRAN-REJECTED-FLAG(WS-0011-T11-INDEX)
              = WS-LITERAL-YES

      ******* ERRORS WERE ENCOUNTERED WITH THIS TYPE 11.
      ******* CHECK THE SPECIFIC NUMERIC FIELDS WHICH ARE USED TO
      ******* FIND A FEED BARLEY T11 RECORD
              IF WS-0011-TBL-OPTIONAL-UNIT(WS-0011-T11-INDEX)
                 IS NOT NUMERIC
                 OR WS-0011-TBL-LOCATION-COUNTY(WS-0011-T11-INDEX)
                 IS NOT NUMERIC
      ******* SKIP THIS RECORD
                 GO TO 3445-FIND-FEED-BARLEY-T11-EXIT
              END-IF
           END-IF


      $IF DEBUG-SW DEFINED
           DISPLAY 'T11 VALUES ',
           ' CROP TYPE ',
           WS-0011-TBL-TYPE-CD(WS-0011-T11-INDEX),
           ' COUNTY ',
           WS-0011-TBL-LOCATION-COUNTY(WS-0011-T11-INDEX),
           ' BASIC UNIT ',
           WS-0011-TBL-BASIC-UNIT-NUM(WS-0011-T11-INDEX),
           ' OPT UNIT ',
           WS-0011-TBL-OPTIONAL-UNIT(WS-0011-T11-INDEX),
           ' TYPE/PRAC OPT ',
           WS-0011-TBL-TYPE-PRAC-OPT-CD(WS-0011-T11-INDEX),
           UPON CONSOLE
      $END

      ******* DETERMINE WHETHER THERE IS A CORRESPONDING FEED
      ******* BARLEY RECORD
           IF WS-0011-TBL-TYPE-CD(WS-0011-T11-INDEX) =
              WS-3445-COMPARE-CROP-TYPE AND
              WS-0011-TBL-LOCATION-COUNTY(WS-0011-T11-INDEX) =
              WS-3445-COMPARE-LOC-COUNTY AND
              WS-0011-TBL-TYPE-PRAC-OPT-CD(WS-0011-T11-INDEX) <>
              WS-LITERAL-MALT-BARLEY AND
              WS-0011-TBL-TYPE-PRAC-OPT-CD(WS-0011-T11-INDEX) <>
              WS-LITERAL-MALT-BARLEY-OPT-A AND
              WS-0011-TBL-TYPE-PRAC-OPT-CD(WS-0011-T11-INDEX) <>
              WS-LITERAL-MALT-BARLEY-OPT-B

              IF WS-0011-TBL-RATE-CLASS(WS-0011-T11-INDEX) =
                 WS-3445-COMPARE-RATE-CLASS
                 MOVE WS-LITERAL-YES TO WS-3445-T11-RATE-MATCH-FOUND
              END-IF
           END-IF.


       3445-FIND-FEED-BARLEY-T11-EXIT.
           EXIT.



