      *****************************************************************
      * FILE:      IR3450.CBL
      * AUTHOR:    Mike Ray
      * DATE:      06/02/97
      * PURPOSE:   If all of the type 14 records for the policy have been
      *            for cat coverage only, no type 12 records are allowed.
      ****************************************************************

       3450-VAL-T14-CVG-FLAG.

      $IF DEBUG-SW DEFINED
           DISPLAY '3450-CHECKING T14 CVG TO SEE IF T12S ARE ALLOWED'
           UPON CONSOLE
      $END


           IF WS-0005-ALL-CAT-CVG-FLAG = WS-LITERAL-YES
              PERFORM 3450-REJ-REC-12
                 THRU 3450-REJ-REC-12-EXIT
                 WITH TEST AFTER
              VARYING WS-0012-T12-INT-INDEX FROM 1 BY 1
                UNTIL WS-0012-T12-INT-INDEX = WS-0012-T12-REC-COUNT
           END-IF.


       3450-VAL-T14-CVG-FLAG-EXIT.
           EXIT.


      ***********************************************************
      *                REJECT ALL T12 RECORDS
      ***********************************************************

       3450-REJ-REC-12.

           SET WS-0012-T12-INDEX TO WS-0012-T12-INT-INDEX

           MOVE WS-LITERAL-YES
             TO WS-0012-TBL-TRAN-REJECTED-FLAG(WS-0012-T12-INDEX)
           MOVE 3450 TO WS-8000-PARAGRAPH-NO
           MOVE WS-LITERAL-IR TO WS-8000-ERROR-TYPE
           MOVE 12055 TO WS-8000-ERROR-CODE
           MOVE WS-LITERAL-CVG-FL TO WS-8000-FIELD-NAME1
           MOVE WS-LITERAL-CAT
             TO WS-8000-BAD-DATA1
           MOVE 'NOT CAT COVERAGE'
             TO WS-8000-CORR-DATA1
           MOVE WS-0012-TBL-TRAN-SEQ-NO(WS-0012-T12-INDEX)
             TO WS-8000-TRAN-SEQ-NO
           MOVE 12 TO WS-8000-TRAN-TYPE
           MOVE WS-0012-TBL-POLICY-NO(WS-0012-T12-INDEX)
             TO WS-8000-POLICY-NO
           MOVE WS-0012-TBL-RECORD-NUM(WS-0012-T12-INDEX)
             TO WS-8000-RECORD-NUM
           PERFORM 8000-RECORD-TRAN-ERROR
              THRU 8000-RECORD-TRAN-ERROR-EXIT.


       3450-REJ-REC-12-EXIT.
           EXIT.


