      ****************************************************************
      *  File   : IR3495.CBL
      *  Author : Yo-I Tsui
      *  Date   : 7/2/96
      *  Purpose: THIS EDIT ENSURES THAT THE TYPE 20 TOTAL AMOUNT
      *           FOR A CLAIM NUMBER MATCHES THE TOTAL OF TYPE 21
      *           INDEMNITY AMOUNTS.
      ****************************************************************

       3495-COMP-TOTALS-20-21.

      $IF DEBUG-SW DEFINED
           DISPLAY
           '3495-COMPARE TOTALS FOR TYPE 20 AND NORMAL/NURSERY 21'
           UPON CONSOLE
      $END

           IF WS-0020-CLAIM-REC-COUNT > ZERO
              PERFORM 3495-PROCESS-TYPE-20
                 THRU 3495-PROCESS-TYPE-20-EXIT
                 WITH TEST AFTER
              VARYING WS-0020-CLAIM-INT-INDEX FROM 1 BY 1
                UNTIL WS-0020-CLAIM-INT-INDEX
                      = WS-0020-CLAIM-REC-COUNT
           END-IF.

       3495-COMP-TOTALS-20-21-EXIT.
           EXIT.


       3495-PROCESS-TYPE-20.

           SET WS-0020-CLAIM-INDEX TO WS-0020-CLAIM-INT-INDEX

      $IF DEBUG-SW DEFINED
           DISPLAY
           'CLAIM-TBL-T20-TOT-AMT = '
           UPON CONSOLE
           DISPLAY
               WS-0020-CLAIM-TBL-T20-TOT-AMT(WS-0020-CLAIM-INDEX)
           UPON CONSOLE
           DISPLAY
           'CLAIM-TBL-LOSS-TOT    = '
           UPON CONSOLE
           DISPLAY
              WS-0020-CLAIM-TBL-LOSS-TOT(WS-0020-CLAIM-INDEX)
           UPON CONSOLE
      $END

      ******* COMPARE TYPE 20'S TOTAL AMOUNT WITH LOSS TOTAL AMOUNT

      ******* REMOVE TOLERANCE PER K. BEGLEY - 8/27/97

      ***  IF (WS-0020-CLAIM-TBL-T20-TOT-AMT(WS-0020-CLAIM-INDEX) <
      ***     WS-0020-CLAIM-TBL-LOSS-TOT(WS-0020-CLAIM-INDEX) - 3)
      ***  OR
      ***     (WS-0020-CLAIM-TBL-T20-TOT-AMT(WS-0020-CLAIM-INDEX) >
      ***     WS-0020-CLAIM-TBL-LOSS-TOT(WS-0020-CLAIM-INDEX) + 3)


           IF  WS-0020-CLAIM-TBL-T20-TOT-AMT(WS-0020-CLAIM-INDEX) <>
              WS-0020-CLAIM-TBL-LOSS-TOT(WS-0020-CLAIM-INDEX)


              MOVE WS-LITERAL-YES
                TO WS-0020-CLAIM-TBL-TRAN-REJ-FL(WS-0020-CLAIM-INDEX)
      *       *** IF THE AMOUNTS DO NOT MATCH THE CLAIM CANNOT BE USED
      *       *** TO FUND ESCROW
              MOVE WS-LITERAL-NO
                TO WS-0020-CLAIM-TBL-ESCROW-FLAG(WS-0020-CLAIM-INDEX)

      ******* REJECT ALL 20S WITH WS-3495-CLAIM-NO
              IF WS-0020-T20-REC-COUNT > ZERO
                 PERFORM 3495-REJECT-ASSOC-20
                    THRU 3495-REJECT-ASSOC-20-EXIT
                    WITH TEST AFTER
                 VARYING WS-0020-T20-INT-INDEX FROM 1 BY 1
                   UNTIL WS-0020-T20-INT-INDEX
                         = WS-0020-T20-REC-COUNT
              END-IF
           END-IF.


       3495-PROCESS-TYPE-20-EXIT.
           EXIT.



      ************************************************
      *    REJECT ALL TYPE 20S WITH SAME CLAIM NUMBER
      ************************************************
       3495-REJECT-ASSOC-20.

           SET WS-0020-T20-INDEX TO WS-0020-T20-INT-INDEX

           IF WS-0020-TBL-TRAN-REJECTED-FLAG(WS-0020-T20-INDEX)
              = WS-LITERAL-YES
              GO TO 3495-REJECT-ASSOC-20-EXIT
           END-IF

           IF WS-0020-TBL-CLAIM-NUM(WS-0020-T20-INDEX) =
              WS-0020-CLAIM-TBL-CLAIM-NO(WS-0020-CLAIM-INDEX)
              MOVE WS-LITERAL-YES
                TO WS-0020-TBL-TRAN-REJECTED-FLAG(WS-0020-T20-INDEX)
              MOVE WS-LITERAL-IR TO WS-8000-ERROR-TYPE
              MOVE 20052 TO WS-8000-ERROR-CODE
              MOVE 'T20 TOT AMOUNT' TO WS-8000-FIELD-NAME1
              MOVE WS-0020-CLAIM-TBL-T20-TOT-AMT(WS-0020-CLAIM-INDEX)
                TO WS-8000-BAD-DATA1
              MOVE WS-0020-CLAIM-TBL-LOSS-TOT(WS-0020-CLAIM-INDEX)
                TO WS-3495-T21-TOT-LOSS-AMT
              STRING 'T21 TOT LOSS AMOUNT = '
               DELIMITED BY SIZE
               WS-3495-T21-TOT-LOSS-AMT
               DELIMITED BY SIZE
               INTO WS-8000-CORR-DATA1
              END-STRING
              MOVE 3495 TO WS-8000-PARAGRAPH-NO
              MOVE 20 TO WS-8000-TRAN-TYPE
              MOVE WS-0020-TBL-POLICY-NO(WS-0020-T20-INDEX)
                TO WS-8000-POLICY-NO
              MOVE WS-0020-TBL-TRAN-SEQ-NO(WS-0020-T20-INDEX)
                TO WS-8000-TRAN-SEQ-NO
              MOVE WS-0020-TBL-RECORD-NUM(WS-0020-T20-INDEX)
                TO WS-8000-RECORD-NUM
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF.

       3495-REJECT-ASSOC-20-EXIT.
           EXIT.

