      ****************************************************************
      *  File   : IR3500.CBL
      *  Author : Yo-I Tsui
      *  Date   : 7/1/96
      *  Purpose: This module ensures that all Type 20 records which
      *           have been marked as rejected in the transaction table
      *           are also designated as rejected in the Claim Table.
      *
      *           The Claim Indemnity Table is used to ensure
      *           that type 21 records in the policy buffer
      *           are correctly written to the rejected or accepted
      *           files.  If the claim number has been rejected, all of
      *           its associated type 21 records must also be rejected.
      ******************************************************************

       3500-REJECT-CLAIM-NO.

      $IF DEBUG-SW DEFINED
           DISPLAY '3500-REJECT CLAIM NUMBER'
           UPON CONSOLE
      $END

           IF WS-0020-T20-REC-COUNT > ZERO
              PERFORM 3500-PROCESS-TYPE-20
                 THRU 3500-PROCESS-TYPE-20-EXIT
                 WITH TEST AFTER
              VARYING WS-0020-T20-INT-INDEX FROM 1 BY 1
                UNTIL WS-0020-T20-INT-INDEX = WS-0020-T20-REC-COUNT
           END-IF.

       3500-REJECT-CLAIM-NO-EXIT.
           EXIT.


       3500-PROCESS-TYPE-20.

           SET WS-0020-T20-INDEX TO WS-0020-T20-INT-INDEX

           IF WS-0020-TBL-TRAN-REJECTED-FLAG(WS-0020-T20-INDEX)
              = WS-LITERAL-YES
              PERFORM 3500-CHECK-CLAIM-TABLE
                 THRU 3500-CHECK-CLAIM-TABLE-EXIT
                 WITH TEST AFTER
              VARYING WS-0020-CLAIM-INT-INDEX FROM 1 BY 1
                UNTIL WS-0020-CLAIM-INT-INDEX = WS-0020-CLAIM-REC-COUNT
           END-IF.


       3500-PROCESS-TYPE-20-EXIT.
           EXIT.

      *  ** CHECK WHETHER THE CORRESPONDING CLAIM TABLE RECORD HAS BEEN
      *  ** MARKED AS REJECTED.  IF IT HAS NOT BEEN REJECTED, MARK
      *  ** IT REJECTED.

       3500-CHECK-CLAIM-TABLE.

           SET WS-0020-CLAIM-INDEX TO WS-0020-CLAIM-INT-INDEX.

           IF (WS-0020-CLAIM-TBL-CLAIM-NO(WS-0020-CLAIM-INDEX)
              = WS-0020-TBL-CLAIM-NUM(WS-0020-T20-INDEX))
      $IF DEBUG-SW DEFINED
           DISPLAY 'REJECTING CLAIM # ',
           WS-0020-TBL-CLAIM-NUM(WS-0020-T20-INDEX)
           UPON CONSOLE
      $END
              MOVE WS-LITERAL-YES
                TO WS-0020-CLAIM-TBL-TRAN-REJ-FL(WS-0020-CLAIM-INDEX)
           END-IF.


       3500-CHECK-CLAIM-TABLE-EXIT.
           EXIT.



