      ***************************************************************
      *  File   : IF3510.CBL
      *  Author : Mike Ray
      *  Date   : 10/24/96
      *  Purpose: Generate P/CR MEMO T12
      ***************************************************************

       3510-GENERATE-PCR-MEMOS.

      $IF DEBUG-SW DEFINED
           DISPLAY '3510-GENERATING PAYMENT/CREDIT TYPE 12S'
           UPON CONSOLE
      $END

      **********************************************
      *            CHECK PRE-CONDITIONS            *
      **********************************************
      *    *** CHECK TO SEE IF ANY P/CR MEMOS NEED TO BE CREATED.
           IF WS-3510-1ST-TOTAL <> 'P' AND
              WS-3510-2ND-TOTAL <> 'P' AND
              WS-3510-3RD-TOTAL <> 'P' AND
              WS-3510-4TH-TOTAL <> 'P'
              GO TO 3510-GENERATE-PCR-MEMOS-EXIT
           END-IF

      **********************************************
      *          SET UP BASE P/CR T12 RECORD       *
      **********************************************
           INITIALIZE WS-3510-PCR-T12
           MOVE WS-3510-RO TO WS-3510-REPORTING-ORG
      *    LOCATION STATE VARIES BY TOTAL
      *    PAYMENT/CREDIT MEMO COMPANY MAY VARY BY TOTAL
      *    TOTAL P/CR MEMO COMPANY IS SUBSTITUTED BELOW IF APPLICABLE
           MOVE WS-3510-COMPANY-COUNTY TO WS-3510-COMPANY
      *    POLICY NUMBER VARIES BY TOTAL
           MOVE WS-3510-T20-CROP-YR TO WS-3510-CROP-YEAR
           MOVE '12' TO WS-3510-RECORD-TYPE
           MOVE '001' TO WS-3510-RECORD-NUM
           MOVE '01' TO WS-3510-PAYMENT-TYPE
      *    PAID AMT VARIES BY TOTAL
           MOVE ZEROS TO WS-3510-PREPAYMENT-FLG
      *    DATE DRAFT ISSUED VARIES BY TOTAL
           MOVE WS-3510-CLAIM-NUM
             TO WS-3510-PMEMO-PARENT-CLAIM-NO
           MOVE WS-3510-T20-TRAN-SEQ-NO
             TO WS-3510-PMEMO-PARENT-TSEQ-NO
           MOVE WS-3510-T20-POLICY-NO
             TO WS-3510-PMEMO-CONTRACT-NUMBER
           MOVE WS-3510-T20-FCIC-CONTROL-DATE
             TO WS-3510-RM-DATA-RECEIPT-DATE
           MOVE WS-3510-T20-FCIC-CONTROL-TIME
             TO WS-3510-FCIC-CONTROL-TIME
           MOVE WS-3510-T20-FCIC-CONTROL-DATE
             TO WS-3510-FCIC-CONTROL-DATE
           MOVE WS-3510-T20-REINS-YR TO WS-3510-REINS-YR
           MOVE WS-3510-T20-BATCH-NO TO WS-3510-BATCH-NO
      *    TRANSACTION SEQUENCE NUMBER VARIES BY TOTAL
           MOVE WS-LITERAL-NO TO WS-3510-TRAN-REJ-FLAG
           MOVE WS-LITERAL-GENERATED TO WS-3510-TRAN-SOURCE-FLAG
           MOVE WS-0004-MDAS-PROCESS-NO TO WS-3510-MDAS-PROCESS-NO
           MOVE SPACES TO WS-3510-FILLER-14

      **********************************************
      *            TEST 1ST TOTAL                  *
      **********************************************
           IF WS-3510-1ST-TOTAL = 'P'
              MOVE WS-3510-P-CR-MEMO1-ST TO WS-3510-LOC-STATE
              IF WS-3510-1ST-TOT-P-CR-M-CO > ZEROS
                 MOVE WS-3510-1ST-TOT-P-CR-M-CO TO WS-3510-COMPANY
              END-IF
              MOVE WS-3510-P-CR-MEMO1-POL TO WS-3510-POLICY-NUM
              MOVE WS-3510-1ST-TOT-DT-DRFT-IS
                TO WS-3510-PAID-DATE
              MOVE WS-3510-1ST-TOTAL-AMOUNT TO WS-3510-PAID-AMOUNT
      *       *** TSEQ # FOR P-CR MEMO = PCR COUNT
              ADD 1 TO WS-0008-PCR-MEMO-TRANSACTIONS
              MOVE WS-0008-PCR-MEMO-TRANSACTIONS
                TO WS-3510-TRAN-SEQ-NO
              INITIALIZE WS-0928-INPUT-REC
              MOVE WS-3510-PCR-T12 TO WS-0928-INPUT-REC
              PERFORM 0928-RECORD-PCR-MEMO
                 THRU 0928-RECORD-PCR-MEMO-EXIT
      $IF DEBUG-SW DEFINED
              DISPLAY 'CREDITED ', WS-3510-PAID-AMOUNT,
              ' TO POLICY # ', WS-3510-POLICY-NO,
              ' FROM 1ST TOTAL' UPON CONSOLE
              DISPLAY 'CREATED T12 SEQ # ', WS-3510-TRAN-SEQ-NO
              UPON CONSOLE
      $END
           END-IF

      **********************************************
      *            TEST 2ND TOTAL                  *
      **********************************************
           IF WS-3510-2ND-TOTAL = 'P'
              MOVE WS-3510-P-CR-MEMO2-ST TO WS-3510-LOC-STATE
              IF WS-3510-2ND-TOT-P-CR-M-CO > ZEROS
                 MOVE WS-3510-2ND-TOT-P-CR-M-CO TO WS-3510-COMPANY
              END-IF
              MOVE WS-3510-P-CR-MEMO2-POL TO WS-3510-POLICY-NUM
              MOVE WS-3510-2ND-TOT-DT-DRFT-IS
                TO WS-3510-PAID-DATE
              MOVE WS-3510-2ND-TOTAL-AMOUNT TO WS-3510-PAID-AMOUNT
      *       *** TSEQ # FOR P-CR MEMO = PCR COUNT
              ADD 1 TO WS-0008-PCR-MEMO-TRANSACTIONS
              MOVE WS-0008-PCR-MEMO-TRANSACTIONS
                TO WS-3510-TRAN-SEQ-NO
              INITIALIZE WS-0928-INPUT-REC
              MOVE WS-3510-PCR-T12 TO WS-0928-INPUT-REC
              PERFORM 0928-RECORD-PCR-MEMO
                 THRU 0928-RECORD-PCR-MEMO-EXIT
      $IF DEBUG-SW DEFINED
              DISPLAY 'CREDITED ', WS-3510-PAID-AMOUNT,
              ' TO POLICY # ', WS-3510-POLICY-NO,
              ' FROM 2ND TOTAL' UPON CONSOLE
              DISPLAY 'CREATED T12 SEQ # ', WS-3510-TRAN-SEQ-NO
              UPON CONSOLE
      $END
           END-IF

      **********************************************
      *            TEST 3RD TOTAL                  *
      **********************************************
           IF WS-3510-3RD-TOTAL = 'P'
              MOVE WS-3510-P-CR-MEMO3-ST TO WS-3510-LOC-STATE
              IF WS-3510-3RD-TOT-P-CR-M-CO > ZEROS
                 MOVE WS-3510-3RD-TOT-P-CR-M-CO TO WS-3510-COMPANY
              END-IF
              MOVE WS-3510-P-CR-MEMO3-POL TO WS-3510-POLICY-NUM
              MOVE WS-3510-3RD-TOT-DT-DRFT-IS
                TO WS-3510-PAID-DATE
              MOVE WS-3510-3RD-TOTAL-AMOUNT TO WS-3510-PAID-AMOUNT
      *       *** TSEQ # FOR P-CR MEMO = PCR COUNT
              ADD 1 TO WS-0008-PCR-MEMO-TRANSACTIONS
              MOVE WS-0008-PCR-MEMO-TRANSACTIONS
                TO WS-3510-TRAN-SEQ-NO
              INITIALIZE WS-0928-INPUT-REC
              MOVE WS-3510-PCR-T12 TO WS-0928-INPUT-REC
              PERFORM 0928-RECORD-PCR-MEMO
                 THRU 0928-RECORD-PCR-MEMO-EXIT
      $IF DEBUG-SW DEFINED
              DISPLAY 'CREDITED ', WS-3510-PAID-AMOUNT,
              ' TO POLICY # ', WS-3510-POLICY-NO,
              ' FROM 3RD TOTAL' UPON CONSOLE
              DISPLAY 'CREATED T12 SEQ # ', WS-3510-TRAN-SEQ-NO
              UPON CONSOLE
      $END
           END-IF

      **********************************************
      *            TEST 4TH TOTAL                  *
      **********************************************
           IF WS-3510-4TH-TOTAL = 'P'
              MOVE WS-3510-P-CR-MEMO4-ST TO WS-3510-LOC-STATE
              IF WS-3510-4TH-TOT-P-CR-M-CO > ZEROS
                 MOVE WS-3510-4TH-TOT-P-CR-M-CO TO WS-3510-COMPANY
              END-IF
              MOVE WS-3510-P-CR-MEMO4-POL TO WS-3510-POLICY-NUM
              MOVE WS-3510-4TH-TOT-DT-DRFT-IS
                TO WS-3510-PAID-DATE
              MOVE WS-3510-4TH-TOTAL-AMOUNT TO WS-3510-PAID-AMOUNT
      *       *** TSEQ # FOR P-CR MEMO = PCR COUNT
              ADD 1 TO WS-0008-PCR-MEMO-TRANSACTIONS
              MOVE WS-0008-PCR-MEMO-TRANSACTIONS
                TO WS-3510-TRAN-SEQ-NO
              INITIALIZE WS-0928-INPUT-REC
              MOVE WS-3510-PCR-T12 TO WS-0928-INPUT-REC
              PERFORM 0928-RECORD-PCR-MEMO
                 THRU 0928-RECORD-PCR-MEMO-EXIT
      $IF DEBUG-SW DEFINED
              DISPLAY 'CREDITED ', WS-3510-PAID-AMOUNT,
              ' TO POLICY # ', WS-3510-POLICY-NO,
              ' FROM 4TH TOTAL' UPON CONSOLE
              DISPLAY 'CREATED T12 SEQ # ', WS-3510-TRAN-SEQ-NO
              UPON CONSOLE
      $END
           END-IF.


       3510-GENERATE-PCR-MEMOS-EXIT.
           EXIT.




