       IDENTIFICATION DIVISION.
       PROGRAM-ID. LOADPSUM.
       AUTHOR. DAS DEVELOPMENT TEAM.
       DATE-WRITTEN. APR 23, 1996.
       DATE-COMPILED.

       ENVIRONMENT DIVISION.
       CONFIGURATION SECTION.
       SOURCE-COMPUTER. IFXSUN.
       OBJECT-COMPUTER. IFXSUN.

       INPUT-OUTPUT SECTION.
       FILE-CONTROL.

           SELECT INPUT-FILE
                  ASSIGN TO DYNAMIC WS-INPUT-FILE
                  ORGANIZATION IS LINE SEQUENTIAL
                  ACCESS IS SEQUENTIAL
                  FILE STATUS IS FILE-STAT.

           SELECT POLSUM-FILE
                  ASSIGN TO DYNAMIC WS-OUTPUT-FILE
                  ORGANIZATION IS INDEXED
                  ACCESS IS RANDOM
                  RECORD KEY IS POLSUM-REC-KEY
                  FILE STATUS IS FILE-STAT.

       FD  INPUT-FILE
           DATA RECORD IS INPUT-RECORD.
       01  INPUT-RECORD                   PIC X(170).



       FD  POLSUM-FILE
           DATA RECORD IS POLSUM-REC.

       01  POLSUM-REC.
           05 POLSUM-REC-KEY            PIC X(18).
           05 POLSUM-REC-DATA           PIC X(152).


       WORKING-STORAGE SECTION.

       01  FILE-STAT.
           03  F-STAT-1    PIC X.
           03  F-STAT-2    PIC X.
           03  F-STAT-2-BIN REDEFINES F-STAT-2
                           PIC 9(2) COMP-X.
       01  STAT-DISP.
           03  DISP1       PIC X.
           03  FILLER      PIC X.
           03  DISP2       PIC 9(3).

       01  WS-INPUT-FILE.
           05 WS-INPUT-FILE-PATH             PIC X(06)
                                              VALUE 'INPUT/'.
           05 WS-INPUT-FILE-NAME.
               10 WS-INPUT-RO                PIC X(02).
               10 FILLER                     PIC X(10).

       01  WS-OUTPUT-FILE.
           05 WS-OUTPUT-FILE-PATH             PIC X(05)
                                              VALUE 'ISAM/'.
           05 WS-OUTPUT-FILE-NAME.
               10 WS-OUTPUT-RO                PIC X(02).
               10 WS-OUTPUT-REST-OF-NAME      PIC X(10)
                                              VALUE '97PSUM.ISM'.

       01  WS-OUTPUT-SW                   PIC X(01).

       01  WS-RECORD-COUNT                PIC 9(10).
       01  WS-RECORDS-ADDED               PIC 9(10).
       01  WS-RECORDS-SKIPPED             PIC 9(10).

       01 WS-POLSUM-RECORD                     PIC X(170).

       01  WS-INFILE-EOF                     PIC X(01)
                                              VALUE 'N'.


       PROCEDURE DIVISION.
       DECLARATIVES.
       DEC-LARATIVES SECTION.
       USE AFTER STANDARD ERROR PROCEDURE ON POLSUM-FILE.
           EVALUATE F-STAT-1
               WHEN '0'
                  EVALUATE F-STAT-2
                   WHEN '4'
                     DISPLAY 'INVALID RECORD LENGTH!'
                     UPON CONSOLE
                   WHEN '5'
                     DISPLAY 'OPEN FAILED!'
                     UPON CONSOLE
                   WHEN OTHER
                     CONTINUE
                  END-EVALUATE
               WHEN '1'
                  EVALUATE F-STAT-2
                   WHEN '0'
                     DISPLAY 'END-OF-FILE'
                     UPON CONSOLE
                   WHEN '4'
                     DISPLAY 'RELATIVE FILE KEY VALUE OVERFLOW'
                     UPON CONSOLE
                   WHEN OTHER
                     CONTINUE
                  END-EVALUATE
               WHEN '2'
                  EVALUATE F-STAT-2
                   WHEN '2'
                     DISPLAY 'INDEXED FILE - DUPLICATE KEY ERROR!'
                     UPON CONSOLE
                   WHEN '3'
                     DISPLAY 'INDEXED FILE - RECORD NOT FOUND!'
                     UPON CONSOLE
                   WHEN '4'
                     DISPLAY 'FILE SIZE OR RELATIVE FILE KEY OVERFLOW!'
                     UPON CONSOLE
                   WHEN OTHER
                     CONTINUE
                  END-EVALUATE
               WHEN '3'
                  EVALUATE F-STAT-2
                   WHEN '5'
                     DISPLAY 'OPEN FAILED - FILE NOT FOUND!'
                     UPON CONSOLE
                   WHEN '7'
                     DISPLAY 'OPEN FAILED - INVALID FILE MODE!'
                     UPON CONSOLE
                   WHEN '8'
                     DISPLAY 'OPEN FAILED - FILE IS LOCKED!'
                     UPON CONSOLE
                   WHEN '9'
                     DISPLAY 'OPEN FAILED - FILE ATTRIBUTE CONFLICT!'
                     UPON CONSOLE
                   WHEN OTHER
                     CONTINUE
                  END-EVALUATE
               WHEN '4'
                  EVALUATE F-STAT-2
                   WHEN '1'
                     DISPLAY 'OPEN FAILED - FILE ALREADY OPEN!'
                     UPON CONSOLE
                   WHEN '2'
                     DISPLAY 'CLOSE FAILED - FILE ALREADY CLOSED!'
                     UPON CONSOLE
                   WHEN '3'
                     DISPLAY 'REWRITE FAILED - RECORD NOT LOCKED!'
                     UPON CONSOLE
                   WHEN '4'
                     DISPLAY 'BOUNDARY VIOLATION!'
                     UPON CONSOLE
                   WHEN '6'
                     DISPLAY 'READ FAILED - NEXT RECORD UNDEFINED!'
                     UPON CONSOLE
                   WHEN '7'
                     DISPLAY 'READ FAILED - FILE NOT OPENED FOR INPUT!'
                     UPON CONSOLE
                   WHEN '8'
                     DISPLAY 'WRITE FAILED - FILE NOT OPEN FOR OUTPUT!'
                     UPON CONSOLE
                   WHEN '9'
                     DISPLAY 'DELETE/REWRITE FAILED - NOT OPEN FOR I-O!'

                     UPON CONSOLE
                   WHEN OTHER
                     CONTINUE
                  END-EVALUATE
               WHEN OTHER
                  CONTINUE
           END-EVALUATE
           MOVE F-STAT-1 TO DISP1
           IF F-STAT-1 = "9"
               MOVE F-STAT-2-BIN TO DISP2
           ELSE
               MOVE F-STAT-2 TO DISP2
           END-IF
           DISPLAY "FILE STATUS :" ,STAT-DISP
           UPON CONSOLE
           DISPLAY 'PROCESSED ', WS-RECORD-COUNT, ' RECORDS'
           UPON CONSOLE
           DISPLAY 'ADDED     ', WS-RECORDS-ADDED, ' RECORDS'
           UPON CONSOLE
           DISPLAY 'SKIPPED   ', WS-RECORDS-SKIPPED, ' RECORDS'
           UPON CONSOLE
           STOP RUN.
       END DECLARATIVES.

      ****************************************************************
      *     THIS IS THE MAINLINE MODULE.  IT WILL CONTROL THE HIGH  *
      *     LEVEL PROCESSING FLOW OF THIS PROGRAM.                  *
      ***************************************************************

       0000-MAINLINE.

           INITIALIZE WS-RECORD-COUNT
           INITIALIZE WS-RECORDS-ADDED
           INITIALIZE WS-RECORDS-SKIPPED

           DISPLAY 'POL-SUM ISAM LOAD PROGRAM'
           UPON CONSOLE


           DISPLAY 'INFILE' UPON ENVIRONMENT-NAME
           ACCEPT WS-INPUT-FILE-NAME FROM ENVIRONMENT-VALUE

           IF WS-INPUT-FILE-NAME IS EQUAL SPACES
              DISPLAY 'ENTER INPUT FILE NAME: '
              UPON CONSOLE WITH NO ADVANCING
              ACCEPT WS-INPUT-FILE-NAME FROM CONSOLE
           END-IF

           IF WS-INPUT-FILE-NAME IS EQUAL SPACES
              DISPLAY 'INFILE PARAMETER NOT SET - ABORTING PROGRAM!'
              UPON CONSOLE
              GO TO 0000-MAINLINE-EXIT
           END-IF

           MOVE WS-INPUT-RO TO WS-OUTPUT-RO

           DISPLAY 'OPENING FILE FOR INPUT ' WS-INPUT-FILE
           UPON CONSOLE

           OPEN INPUT INPUT-FILE

           DISPLAY 'OPENING ISAM FILE FOR EXTENSION ' WS-OUTPUT-FILE
           UPON CONSOLE

           OPEN OUTPUT POLSUM-FILE

           PERFORM 0100-LOAD-ISAM
              THRU 0100-LOAD-ISAM-EXIT
             UNTIL WS-INFILE-EOF = 'Y'

           DISPLAY 'PROCESSED ', WS-RECORD-COUNT, ' RECORDS'
           UPON CONSOLE
           DISPLAY 'ADDED     ', WS-RECORDS-ADDED, ' RECORDS'
           UPON CONSOLE
           DISPLAY 'SKIPPED   ', WS-RECORDS-SKIPPED, ' RECORDS'
           UPON CONSOLE


           DISPLAY 'CLOSING INPUT FILE'
           UPON CONSOLE

           CLOSE INPUT-FILE

           DISPLAY 'CLOSING ISAM FILE'
           UPON CONSOLE

           CLOSE POLSUM-FILE.



       0000-MAINLINE-EXIT.
           STOP RUN.


       0100-LOAD-ISAM.

           READ INPUT-FILE INTO WS-POLSUM-RECORD
               AT END
                  MOVE 'Y' TO WS-INFILE-EOF
                  GO TO 0100-LOAD-ISAM-EXIT
               NOT AT END
                  ADD 1 TO WS-RECORD-COUNT
           END-READ

      *    *** WRITE OUTPUT RECORD

           WRITE POLSUM-REC FROM WS-POLSUM-RECORD
                 INVALID KEY
                    DISPLAY 'INVALID KEY ERROR '
                       POLSUM-REC-KEY
                    UPON CONSOLE
                    ADD 1 TO WS-RECORDS-SKIPPED
                 NOT INVALID KEY
                    ADD 1 TO WS-RECORDS-ADDED
           END-WRITE.

       0100-LOAD-ISAM-EXIT.
           EXIT.



