       IDENTIFICATION DIVISION.
       PROGRAM-ID. LOAD1.
       AUTHOR. MIKE RAY.
       DATE-WRITTEN. JAN 30, 1997.
       DATE-COMPILED.

       ENVIRONMENT DIVISION.
       CONFIGURATION SECTION.
       SOURCE-COMPUTER. IBM-PC.
       OBJECT-COMPUTER. IBM-PC.

       INPUT-OUTPUT SECTION.
       FILE-CONTROL.

           SELECT INPUT-FILE
                  ASSIGN TO DYNAMIC WS-INPUT-FILE
                  ORGANIZATION IS LINE SEQUENTIAL
                  ACCESS IS SEQUENTIAL
                  FILE STATUS IS FILE-STAT.


      $IF PC-SW DEFINED
      $SET DATACOMPRESS "1"
      $SET KEYCOMPRESS "6"
      $END

           SELECT ISAM-FILE
                  ASSIGN TO 'isam/97ADM1.ISM'
                  ORGANIZATION IS INDEXED
                  ACCESS IS RANDOM
                  RECORD ADM1-REC-KEY.

      $IF PC-SW DEFINED
      $SET NOKEYCOMPRESS
      $SET NODATACOMPRESS
      $END

           SELECT ERROR-FILE
                  ASSIGN TO '97ADM1.ERR'
                  ORGANIZATION IS LINE SEQUENTIAL
                  ACCESS IS SEQUENTIAL.


       FD  ERROR-FILE
           RECORD CONTAINS 175 CHARACTERS
           DATA RECORD IS ERROR-RECORD.
       01  ERROR-RECORD                   PIC X(175).


       FD  INPUT-FILE
           RECORD CONTAINS 175 CHARACTERS
           DATA RECORD IS INPUT-RECORD.
       01  INPUT-RECORD                   PIC X(175).


       FD  ISAM-FILE
           DATA RECORD IS ADM1-RECORD.

      *                                       TOTAL = 175
       01  ADM1-RECORD.
           05 ADM1-REC-KEY                    PIC X(23).
           05 ADM1-REC-DATA                   PIC X(152).

       WORKING-STORAGE SECTION.

       01  FILE-STAT.
           03  F-STAT-1    PIC X.
           03  F-STAT-2    PIC X.
           03  F-STAT-2-BIN REDEFINES F-STAT-2
                           PIC 9(2) COMP-X.
       01  STAT-DISP.
           03  DISP1       PIC X.
           03  FILLER      PIC X.
           03  DISP2       PIC 9(3).

       01  WS-INPUT-FILE.
           05 WS-INPUT-FILE-PATH             PIC X(06)
                                              VALUE 'input/'.
           05 WS-INPUT-FILE-NAME             PIC X(20).

       01  WS-OUTPUT-SW                   PIC X(01).

       01  WS-COUNTERS.
           05 WS-RECORD-COUNT                PIC 9(10).
           05 WS-RECORDS-ADDED               PIC 9(10).
           05 WS-RECORDS-SKIPPED             PIC 9(10).
           05 WS-ADM1G-RECS-SKIPPED          PIC 9(10).

       01  WS-INPUT-FILE-REC.
           05 WS-INPUT-REC.
              10 WS-INPUT-KEY.
                 15 WS-RECORD-TYPE-CD           PIC X(01).
                 15 WS-RECORD-TYPE-SFX          PIC X(01).
                 15 WS-CROP-YEAR                PIC 9(02).
                 15 WS-STATE-CD                 PIC 9(02).
                 15 WS-COUNTY-CD                PIC 9(03).
                 15 WS-CROP-CD                  PIC X(04).
                 15 WS-INSURANCE-PLAN-ID        PIC 9(02).
                 15 WS-PRACTICE-CD              PIC X(03).
                 15 WS-TYPE-CD                  PIC X(03).
                 15 WS-RATE-CLASS               PIC X(03).
              10 WS-INPUT-DATA.
                 15 WS-LOW-YIELD                PIC 9(05)V9(02).
                 15 WS-LOW-TREES REDEFINES WS-LOW-YIELD
                                                PIC 9(07).
                 15 WS-HIGH-YIELD               PIC 9(05)V9(02).
                 15 WS-HIGH-TREES REDEFINES WS-HIGH-YIELD
                                                PIC 9(07).
                 15 WS-GROWTH-STAGE-REC REDEFINES WS-HIGH-YIELD.
                    20 WS-GROWTH-STAGE             PIC X(03).
                    20 FILLER                      PIC X(04).
                 15 WS-CAT-DOLLAR-AMT-INS       PIC 9(05).
                 15 WS-REF-CAT-PRICE REDEFINES WS-CAT-DOLLAR-AMT-INS
                                                PIC 9(05).
                 15 WS-MIN-DOLLAR-AMT-INS       PIC 9(05).
                 15 WS-MAX-DOLLAR-AMT-INS       PIC 9(05).
                 15 WS-MAX-GUARANTEED-CVG REDEFINES
                    WS-MAX-DOLLAR-AMT-INS       PIC 9(04)V9(01).
                 15 WS-MAX-HYBRID-YIELD REDEFINES
                    WS-MAX-DOLLAR-AMT-INS       PIC 9(04)V9(01).
                 15 WS-REF-MAX-DOLLAR-AMT-INS   PIC 9(05).
                 15 WS-REF-MAX-PRICE REDEFINES
                    WS-REF-MAX-DOLLAR-AMT-INS   PIC 9(05).
                 15 WS-COVERAGE-LEVEL-01        PIC 9(02).
                 15 WS-BASE-PREMIUM-RATE-01     PIC 9(01)V9(03).
                 15 WS-COVERAGE-LEVEL-02        PIC 9(02).
                 15 WS-BASE-PREMIUM-RATE-02     PIC 9(01)V9(03).
                 15 WS-COVERAGE-LEVEL-03        PIC 9(02).
                 15 WS-BASE-PREMIUM-RATE-03     PIC 9(01)V9(03).
                 15 WS-COVERAGE-LEVEL-04        PIC 9(02).
                 15 WS-BASE-PREMIUM-RATE-04     PIC 9(01)V9(03).
                 15 WS-COVERAGE-LEVEL-05        PIC 9(02).
                 15 WS-BASE-PREMIUM-RATE-05     PIC 9(01)V9(03).
                 15 WS-COVERAGE-LEVEL-06        PIC 9(02).
                 15 WS-BASE-PREMIUM-RATE-06     PIC 9(01)V9(03).
                 15 WS-COVERAGE-LEVEL-07        PIC 9(02).
                 15 WS-BASE-PREMIUM-RATE-07     PIC 9(01)V9(03).
                 15 WS-COVERAGE-LEVEL-08        PIC 9(02).
                 15 WS-BASE-PREMIUM-RATE-08     PIC 9(01)V9(03).
                 15 WS-COVERAGE-LEVEL-09        PIC 9(02).
                 15 WS-BASE-PREMIUM-RATE-09     PIC 9(01)V9(03).
                 15 WS-COVERAGE-LEVEL-10        PIC 9(02).
                 15 WS-BASE-PREMIUM-RATE-10     PIC 9(01)V9(03).
                 15 WS-COVERAGE-LEVEL-11        PIC 9(02).
                 15 WS-BASE-PREMIUM-RATE-11     PIC 9(01)V9(03).
                 15 WS-COVERAGE-LEVEL-12        PIC 9(02).
                 15 WS-BASE-PREMIUM-RATE-12     PIC 9(01)V9(03).
                 15 WS-COVERAGE-LEVEL-13        PIC 9(02).
                 15 WS-BASE-PREMIUM-RATE-13     PIC 9(01)V9(03).
                 15 WS-COVERAGE-LEVEL-14        PIC 9(02).
                 15 WS-BASE-PREMIUM-RATE-14     PIC 9(01)V9(03).
                 15 WS-COVERAGE-LEVEL-15        PIC 9(02).
                 15 WS-BASE-PREMIUM-RATE-15     PIC 9(01)V9(03).
                 15 WS-COVERAGE-LEVEL-16        PIC 9(02).
                 15 WS-BASE-PREMIUM-RATE-16     PIC 9(01)V9(03).
                 15 WS-CRC-APH-FLAG             PIC X(01).
                 15 WS-BIG-FILLER               PIC X(02).
                 15 WS-DATE-LAST-RELEASED       PIC 9(06).
                 15 WS-DATE-LAST-UPDATED        PIC 9(06).
                 15 WS-DATE-FILED               PIC 9(06).

       01  WS-ISAM-FILE-REC.
           05 WS-ISAM-REC.
              10 WS-ISAM-KEY.
                 15 WS-ISAM-RECORD-TYPE-CD         PIC X(01).
                 15 WS-ISAM-CROP-YEAR              PIC 9(02).
                 15 WS-ISAM-STATE-CD               PIC 9(02).
                 15 WS-ISAM-COUNTY-CD              PIC 9(03).
                 15 WS-ISAM-CROP-CD                PIC X(04).
                 15 WS-ISAM-INSURANCE-PLAN-ID      PIC 9(02).
                 15 WS-ISAM-PRACTICE-CD            PIC X(03).
                 15 WS-ISAM-TYPE-CD                PIC X(03).
                 15 WS-ISAM-RATE-CLASS             PIC X(03).
              10 WS-ISAM-RECORD-TYPE-SFX        PIC X(01).
              10 WS-ISAM-DATA.
                 15 WS-ISAM-LOW-YIELD              PIC 9(05)V9(02).
                 15 WS-ISAM-LOW-TREES REDEFINES
                    WS-ISAM-LOW-YIELD              PIC 9(07).
                 15 WS-ISAM-HIGH-YIELD             PIC 9(05)V9(02).
                 15 WS-ISAM-HIGH-TREES REDEFINES
                    WS-ISAM-HIGH-YIELD             PIC 9(07).
                 15 WS-ISAM-GROWTH-STAGE-REC REDEFINES
                    WS-ISAM-HIGH-YIELD.
                    20 WS-ISAM-GROWTH-STAGE           PIC X(03).
                    20 FILLER                         PIC X(04).
                 15 WS-ISAM-CAT-DOLLAR-AMT-INS     PIC 9(05).
                 15 WS-ISAM-REF-CAT-PRICE REDEFINES
                    WS-ISAM-CAT-DOLLAR-AMT-INS     PIC 9(05).
                 15 WS-ISAM-MIN-DOLLAR-AMT-INS     PIC 9(05).
                 15 WS-ISAM-MAX-DOLLAR-AMT-INS     PIC 9(05).
                 15 WS-ISAM-MAX-GUARANTEED-CVG REDEFINES
                    WS-ISAM-MAX-DOLLAR-AMT-INS     PIC 9(04)V9(01).
                 15 WS-ISAM-MAX-HYBRID-YIELD REDEFINES
                    WS-ISAM-MAX-DOLLAR-AMT-INS     PIC 9(04)V9(01).
                 15 WS-ISAM-REF-MAX-DOLLAR-AMT-INS PIC 9(05).
                 15 WS-ISAM-REF-MAX-PRICE REDEFINES
                    WS-ISAM-REF-MAX-DOLLAR-AMT-INS PIC 9(05).
                 15 WS-ISAM-COVERAGE-LEVEL-01      PIC 9(02).
                 15 WS-ISAM-BASE-PREMIUM-RATE-01   PIC 9(01)V9(03).
                 15 WS-ISAM-COVERAGE-LEVEL-02      PIC 9(02).
                 15 WS-ISAM-BASE-PREMIUM-RATE-02   PIC 9(01)V9(03).
                 15 WS-ISAM-COVERAGE-LEVEL-03      PIC 9(02).
                 15 WS-ISAM-BASE-PREMIUM-RATE-03   PIC 9(01)V9(03).
                 15 WS-ISAM-COVERAGE-LEVEL-04      PIC 9(02).
                 15 WS-ISAM-BASE-PREMIUM-RATE-04   PIC 9(01)V9(03).
                 15 WS-ISAM-COVERAGE-LEVEL-05      PIC 9(02).
                 15 WS-ISAM-BASE-PREMIUM-RATE-05   PIC 9(01)V9(03).
                 15 WS-ISAM-COVERAGE-LEVEL-06      PIC 9(02).
                 15 WS-ISAM-BASE-PREMIUM-RATE-06   PIC 9(01)V9(03).
                 15 WS-ISAM-COVERAGE-LEVEL-07      PIC 9(02).
                 15 WS-ISAM-BASE-PREMIUM-RATE-07   PIC 9(01)V9(03).
                 15 WS-ISAM-COVERAGE-LEVEL-08      PIC 9(02).
                 15 WS-ISAM-BASE-PREMIUM-RATE-08   PIC 9(01)V9(03).
                 15 WS-ISAM-COVERAGE-LEVEL-09      PIC 9(02).
                 15 WS-ISAM-BASE-PREMIUM-RATE-09   PIC 9(01)V9(03).
                 15 WS-ISAM-COVERAGE-LEVEL-10      PIC 9(02).
                 15 WS-ISAM-BASE-PREMIUM-RATE-10   PIC 9(01)V9(03).
                 15 WS-ISAM-COVERAGE-LEVEL-11      PIC 9(02).
                 15 WS-ISAM-BASE-PREMIUM-RATE-11   PIC 9(01)V9(03).
                 15 WS-ISAM-COVERAGE-LEVEL-12      PIC 9(02).
                 15 WS-ISAM-BASE-PREMIUM-RATE-12   PIC 9(01)V9(03).
                 15 WS-ISAM-COVERAGE-LEVEL-13      PIC 9(02).
                 15 WS-ISAM-BASE-PREMIUM-RATE-13   PIC 9(01)V9(03).
                 15 WS-ISAM-COVERAGE-LEVEL-14      PIC 9(02).
                 15 WS-ISAM-BASE-PREMIUM-RATE-14   PIC 9(01)V9(03).
                 15 WS-ISAM-COVERAGE-LEVEL-15      PIC 9(02).
                 15 WS-ISAM-BASE-PREMIUM-RATE-15   PIC 9(01)V9(03).
                 15 WS-ISAM-COVERAGE-LEVEL-16      PIC 9(02).
                 15 WS-ISAM-BASE-PREMIUM-RATE-16   PIC 9(01)V9(03).
                 15 WS-ISAM-CRC-APH-FLAG           PIC X(01).
                 15 WS-ISAM-BIG-FILLER             PIC X(02).
                 15 WS-ISAM-DATE-LAST-RELEASED     PIC 9(06).
                 15 WS-ISAM-DATE-LAST-UPDATED      PIC 9(06).
                 15 WS-ISAM-DATE-FILED             PIC 9(06).

       01  WS-INFILE-EOF                  PIC X(01)
                                            VALUE 'N'.


       PROCEDURE DIVISION.
       DECLARATIVES.
       DEC-LARATIVES SECTION.
       USE AFTER STANDARD ERROR PROCEDURE ON INPUT-FILE.
           EVALUATE F-STAT-1
               WHEN '0'
                  EVALUATE F-STAT-2
                   WHEN '4'
                     DISPLAY 'INVALID RECORD LENGTH!'
                     UPON CONSOLE
                   WHEN '5'
                     DISPLAY 'OPEN FAILED!'
                     UPON CONSOLE
                   WHEN OTHER
                     CONTINUE
                  END-EVALUATE
               WHEN '1'
                  EVALUATE F-STAT-2
                   WHEN '0'
                     DISPLAY 'END-OF-FILE'
                     UPON CONSOLE
                   WHEN '4'
                     DISPLAY 'RELATIVE FILE KEY VALUE OVERFLOW'
                     UPON CONSOLE
                   WHEN OTHER
                     CONTINUE
                  END-EVALUATE
               WHEN '2'
                  EVALUATE F-STAT-2
                   WHEN '2'
                     DISPLAY 'INDEXED FILE - DUPLICATE KEY ERROR!'
                     UPON CONSOLE
                   WHEN '3'
                     DISPLAY 'INDEXED FILE - RECORD NOT FOUND!'
                     UPON CONSOLE
                   WHEN '4'
                     DISPLAY 'FILE SIZE OR RELATIVE FILE KEY OVERFLOW!'
                     UPON CONSOLE
                   WHEN OTHER
                     CONTINUE
                  END-EVALUATE
               WHEN '3'
                  EVALUATE F-STAT-2
                   WHEN '5'
                     DISPLAY 'OPEN FAILED - FILE NOT FOUND!'
                     UPON CONSOLE
                   WHEN '7'
                     DISPLAY 'OPEN FAILED - INVALID FILE MODE!'
                     UPON CONSOLE
                   WHEN '8'
                     DISPLAY 'OPEN FAILED - FILE IS LOCKED!'
                     UPON CONSOLE
                   WHEN '9'
                     DISPLAY 'OPEN FAILED - FILE ATTRIBUTE CONFLICT!'
                     UPON CONSOLE
                   WHEN OTHER
                     CONTINUE
                  END-EVALUATE
               WHEN '4'
                  EVALUATE F-STAT-2
                   WHEN '1'
                     DISPLAY 'OPEN FAILED - FILE ALREADY OPEN!'
                     UPON CONSOLE
                   WHEN '2'
                     DISPLAY 'CLOSE FAILED - FILE ALREADY CLOSED!'
                     UPON CONSOLE
                   WHEN '3'
                     DISPLAY 'REWRITE FAILED - RECORD NOT LOCKED!'
                     UPON CONSOLE
                   WHEN '4'
                     DISPLAY 'BOUNDARY VIOLATION!'
                     UPON CONSOLE
                   WHEN '6'
                     DISPLAY 'READ FAILED - NEXT RECORD UNDEFINED!'
                     UPON CONSOLE
                   WHEN '7'
                     DISPLAY 'READ FAILED - FILE NOT OPENED FOR INPUT!'
                     UPON CONSOLE
                   WHEN '8'
                     DISPLAY 'WRITE FAILED - FILE NOT OPEN FOR OUTPUT!'
                     UPON CONSOLE
                   WHEN '9'
                     DISPLAY 'DELETE/REWRITE FAILED - NOT OPEN FOR I-O!'

                     UPON CONSOLE
                   WHEN OTHER
                     CONTINUE
                  END-EVALUATE
               WHEN OTHER
                  CONTINUE
           END-EVALUATE
           MOVE F-STAT-1 TO DISP1
           IF F-STAT-1 = "9"
               MOVE F-STAT-2-BIN TO DISP2
           ELSE
               MOVE F-STAT-2 TO DISP2
           END-IF
           DISPLAY "FILE STATUS :" , STAT-DISP
           UPON CONSOLE
           DISPLAY 'PROCESSED ', WS-RECORD-COUNT, ' RECORDS'
           UPON CONSOLE
           DISPLAY 'ADDED     ', WS-RECORDS-ADDED, ' RECORDS'
           UPON CONSOLE
           DISPLAY 'SKIPPED   ', WS-RECORDS-SKIPPED, ' RECORDS'
           UPON CONSOLE
           STOP RUN.
       END DECLARATIVES.

      ****************************************************************
      *     THIS IS THE MAINLINE MODULE.  IT WILL CONTROL THE HIGH  *
      *     LEVEL PROCESSING FLOW OF THIS PROGRAM.                  *
      ***************************************************************

       0000-MAINLINE.

           INITIALIZE WS-COUNTERS

           DISPLAY 'ADM1 (GUARANTEE & RATE DATA) LOAD PROGRAM'
           UPON CONSOLE


           DISPLAY 'INFILE' UPON ENVIRONMENT-NAME
           ACCEPT WS-INPUT-FILE-NAME FROM ENVIRONMENT-VALUE
           DISPLAY 'LOG' UPON ENVIRONMENT-NAME
           ACCEPT WS-OUTPUT-SW FROM ENVIRONMENT-VALUE

           IF WS-INPUT-FILE-NAME IS EQUAL SPACES
              DISPLAY 'ENTER INPUT FILE NAME: '
              UPON CONSOLE WITH NO ADVANCING
              ACCEPT WS-INPUT-FILE-NAME FROM CONSOLE
              DISPLAY 'SHOW OUTPUT (N/Y)    : '
              UPON CONSOLE WITH NO ADVANCING
              ACCEPT WS-OUTPUT-SW FROM CONSOLE
           END-IF

           IF WS-INPUT-FILE-NAME IS EQUAL SPACES
              DISPLAY 'INFILE PARAMETER NOT SET - ABORTING PROGRAM!'
              UPON CONSOLE
              GO TO 0000-MAINLINE-EXIT
           END-IF


           DISPLAY 'OPENING INPUT FILE = ', WS-INPUT-FILE-NAME
           UPON CONSOLE

           OPEN INPUT INPUT-FILE

           DISPLAY 'OPENING ERROR FILE'
           UPON CONSOLE

           OPEN EXTEND ERROR-FILE

           DISPLAY 'OPENING ISAM FILE FOR EXTENSION'
           UPON CONSOLE

           OPEN I-O ISAM-FILE

           PERFORM 0100-LOAD-ISAM
              THRU 0100-LOAD-ISAM-EXIT
             UNTIL WS-INFILE-EOF = 'Y'

           DISPLAY 'PROCESSED ', WS-RECORD-COUNT, ' RECORDS'
           UPON CONSOLE
           DISPLAY 'ADDED     ', WS-RECORDS-ADDED, ' RECORDS'
           UPON CONSOLE
           DISPLAY 'SKIPPED   ', WS-RECORDS-SKIPPED, ' RECORDS'
           UPON CONSOLE
           DISPLAY 'SKIPPED   ', WS-ADM1G-RECS-SKIPPED,
           ' GRP RECORDS' UPON CONSOLE


           DISPLAY 'CLOSING INPUT FILE'
           UPON CONSOLE

           CLOSE INPUT-FILE

           DISPLAY 'CLOSING ERROR FILE'
           UPON CONSOLE

           MOVE SPACES TO ERROR-RECORD
           WRITE ERROR-RECORD
           CLOSE ERROR-FILE

           DISPLAY 'CLOSING ISAM FILE'
           UPON CONSOLE

           CLOSE ISAM-FILE.



       0000-MAINLINE-EXIT.
           EXIT PROGRAM.

       0000-MAINLINE-DONE.
           STOP RUN.

       0100-LOAD-ISAM.

           READ INPUT-FILE INTO WS-INPUT-FILE-REC
               AT END
                  MOVE 'Y' TO WS-INFILE-EOF
                  GO TO 0100-LOAD-ISAM-EXIT
               NOT AT END
                  ADD 1 TO WS-RECORD-COUNT
           END-READ

           IF WS-RECORD-TYPE-SFX = 'G'
              ADD 1 TO WS-ADM1G-RECS-SKIPPED
              GO TO 0100-LOAD-ISAM-EXIT
           END-IF


      *    *** REFORMAT FOR ISAM RECORD ***
           INITIALIZE WS-ISAM-FILE-REC
           MOVE WS-RECORD-TYPE-CD
             TO WS-ISAM-RECORD-TYPE-CD
           MOVE WS-CROP-YEAR
             TO WS-ISAM-CROP-YEAR
           MOVE WS-STATE-CD
             TO WS-ISAM-STATE-CD
           MOVE WS-COUNTY-CD
             TO WS-ISAM-COUNTY-CD
           MOVE WS-CROP-CD
             TO WS-ISAM-CROP-CD
           MOVE WS-INSURANCE-PLAN-ID
             TO WS-ISAM-INSURANCE-PLAN-ID
           MOVE WS-PRACTICE-CD
             TO WS-ISAM-PRACTICE-CD
           MOVE WS-TYPE-CD
             TO WS-ISAM-TYPE-CD
           MOVE WS-RATE-CLASS
             TO WS-ISAM-RATE-CLASS
      *    *** SUFFIX ***
           MOVE WS-RECORD-TYPE-SFX
             TO WS-ISAM-RECORD-TYPE-SFX
      *    *** DATA ***
           MOVE WS-INPUT-DATA
             TO WS-ISAM-DATA

           IF WS-OUTPUT-SW = 'Y' OR WS-OUTPUT-SW = 'y'
              PERFORM 0200-SHOW-OUTPUT
                 THRU 0200-SHOW-OUTPUT-EXIT
           END-IF


           WRITE ADM1-RECORD FROM WS-ISAM-REC
                 INVALID KEY
                    IF WS-OUTPUT-SW = 'Y' OR WS-OUTPUT-SW = 'y'
                       DISPLAY 'INVALID KEY ERROR - RECORD SKIPPED'
                       UPON CONSOLE
                    END-IF
                    ADD 1 TO WS-RECORDS-SKIPPED
                    WRITE ERROR-RECORD FROM WS-ISAM-REC
                    GO TO 0100-LOAD-ISAM-EXIT
                 NOT INVALID KEY
                    CONTINUE
           END-WRITE

           ADD 1 TO WS-RECORDS-ADDED.

       0100-LOAD-ISAM-EXIT.
           EXIT.


       0200-SHOW-OUTPUT.

           DISPLAY 'RECORD TYPE CODE: ',
              WS-ISAM-RECORD-TYPE-CD UPON CONSOLE
           DISPLAY 'CROP YEAR       : ',
             WS-ISAM-CROP-YEAR UPON CONSOLE
           DISPLAY 'STATE CODE      : ',
             WS-ISAM-STATE-CD UPON CONSOLE
           DISPLAY 'COUNTY CODE     : ',
             WS-ISAM-COUNTY-CD UPON CONSOLE
           DISPLAY 'CROP CODE       : ',
             WS-ISAM-CROP-CD UPON CONSOLE
           DISPLAY 'PRACTICE CODE   : ',
             WS-ISAM-PRACTICE-CD UPON CONSOLE
           DISPLAY 'TYPE CODE       : ',
             WS-ISAM-TYPE-CD UPON CONSOLE
           DISPLAY 'RATE CLASS      : ',
             WS-ISAM-RATE-CLASS UPON CONSOLE
           DISPLAY '---------------------------'
             UPON CONSOLE
           DISPLAY 'RECORD TYPE SFX : ',
             WS-ISAM-RECORD-TYPE-SFX UPON CONSOLE
           DISPLAY 'LOW YIELD              : ',
             WS-ISAM-LOW-YIELD UPON CONSOLE
           DISPLAY 'LOW TREES              : ',
             WS-ISAM-LOW-TREES UPON CONSOLE
           DISPLAY 'HIGH YIELD             : ',
             WS-ISAM-HIGH-YIELD UPON CONSOLE
           DISPLAY 'HIGH TREES             : ',
             WS-ISAM-HIGH-TREES UPON CONSOLE
           DISPLAY 'CAT $ AMT INSURANCE    : ',
             WS-ISAM-CAT-DOLLAR-AMT-INS UPON CONSOLE
           DISPLAY 'MIN $ AMT INSURANCE    : ',
             WS-ISAM-MIN-DOLLAR-AMT-INS UPON CONSOLE
           DISPLAY 'MAX $ AMT INSURANCE    : ',
             WS-ISAM-MAX-DOLLAR-AMT-INS UPON CONSOLE
           DISPLAY 'REF MAX $ AMT INSURANCE: ',
             WS-ISAM-REF-MAX-DOLLAR-AMT-INS UPON CONSOLE
           DISPLAY '---------------------------'
             UPON CONSOLE
           DISPLAY 'COVERAGE LEVEL 01    : ',
             WS-ISAM-COVERAGE-LEVEL-01 UPON CONSOLE
           DISPLAY 'BASE PREMIUM RATE 01 : ',
             WS-ISAM-BASE-PREMIUM-RATE-01 UPON CONSOLE
           DISPLAY 'COVERAGE LEVEL 02    : ',
             WS-ISAM-COVERAGE-LEVEL-02 UPON CONSOLE
           DISPLAY 'BASE PREMIUM RATE 02 : ',
             WS-ISAM-BASE-PREMIUM-RATE-02 UPON CONSOLE
           DISPLAY 'COVERAGE LEVEL 03    : ',
             WS-ISAM-COVERAGE-LEVEL-03 UPON CONSOLE
           DISPLAY 'BASE PREMIUM RATE 03 : ',
             WS-ISAM-BASE-PREMIUM-RATE-03 UPON CONSOLE
           DISPLAY 'COVERAGE LEVEL 04    : ',
             WS-ISAM-COVERAGE-LEVEL-04 UPON CONSOLE
           DISPLAY 'BASE PREMIUM RATE 04 : ',
             WS-ISAM-BASE-PREMIUM-RATE-04 UPON CONSOLE
           DISPLAY 'COVERAGE LEVEL 05    : ',
             WS-ISAM-COVERAGE-LEVEL-05 UPON CONSOLE
           DISPLAY 'BASE PREMIUM RATE 05 : ',
             WS-ISAM-BASE-PREMIUM-RATE-05 UPON CONSOLE
           DISPLAY 'COVERAGE LEVEL 06    : ',
             WS-ISAM-COVERAGE-LEVEL-06 UPON CONSOLE
           DISPLAY 'BASE PREMIUM RATE 06 : ',
             WS-ISAM-BASE-PREMIUM-RATE-06 UPON CONSOLE
           DISPLAY 'COVERAGE LEVEL 07    : ',
             WS-ISAM-COVERAGE-LEVEL-07 UPON CONSOLE
           DISPLAY 'BASE PREMIUM RATE 07 : ',
             WS-ISAM-BASE-PREMIUM-RATE-07 UPON CONSOLE
           DISPLAY 'COVERAGE LEVEL 08    : ',
             WS-ISAM-COVERAGE-LEVEL-08 UPON CONSOLE
           DISPLAY 'BASE PREMIUM RATE 08 : ',
             WS-ISAM-BASE-PREMIUM-RATE-08 UPON CONSOLE
           DISPLAY 'COVERAGE LEVEL 09    : ',
             WS-ISAM-COVERAGE-LEVEL-09 UPON CONSOLE
           DISPLAY 'BASE PREMIUM RATE 09 : ',
             WS-ISAM-BASE-PREMIUM-RATE-09 UPON CONSOLE
           DISPLAY 'COVERAGE LEVEL 10    : ',
             WS-ISAM-COVERAGE-LEVEL-10 UPON CONSOLE
           DISPLAY 'BASE PREMIUM RATE 10 : ',
             WS-ISAM-BASE-PREMIUM-RATE-10 UPON CONSOLE
           DISPLAY 'COVERAGE LEVEL 11    : ',
             WS-ISAM-COVERAGE-LEVEL-11 UPON CONSOLE
           DISPLAY 'BASE PREMIUM RATE 11 : ',
             WS-ISAM-BASE-PREMIUM-RATE-11 UPON CONSOLE
           DISPLAY 'COVERAGE LEVEL 12    : ',
             WS-ISAM-COVERAGE-LEVEL-12 UPON CONSOLE
           DISPLAY 'BASE PREMIUM RATE 12 : ',
             WS-ISAM-BASE-PREMIUM-RATE-12 UPON CONSOLE
           DISPLAY 'COVERAGE LEVEL 13    : ',
             WS-ISAM-COVERAGE-LEVEL-13 UPON CONSOLE
           DISPLAY 'BASE PREMIUM RATE 13 : ',
             WS-ISAM-BASE-PREMIUM-RATE-13 UPON CONSOLE
           DISPLAY 'COVERAGE LEVEL 14    : ',
             WS-ISAM-COVERAGE-LEVEL-14 UPON CONSOLE
           DISPLAY 'BASE PREMIUM RATE 14 : ',
             WS-ISAM-BASE-PREMIUM-RATE-14 UPON CONSOLE
           DISPLAY 'COVERAGE LEVEL 15    : ',
             WS-ISAM-COVERAGE-LEVEL-15 UPON CONSOLE
           DISPLAY 'BASE PREMIUM RATE 15 : ',
             WS-ISAM-BASE-PREMIUM-RATE-15 UPON CONSOLE
           DISPLAY 'COVERAGE LEVEL 16    : ',
             WS-ISAM-COVERAGE-LEVEL-16 UPON CONSOLE
           DISPLAY 'BASE PREMIUM RATE 16 : ',
             WS-ISAM-BASE-PREMIUM-RATE-16 UPON CONSOLE
           DISPLAY 'CRC APH FLAG         : ',
             WS-ISAM-CRC-APH-FLAG UPON CONSOLE
           DISPLAY '---------------------------'
             UPON CONSOLE
           DISPLAY 'FILLER               : ',
             WS-ISAM-BIG-FILLER UPON CONSOLE
           DISPLAY '---------------------------'
             UPON CONSOLE
           DISPLAY 'DATE LAST RELEASED: ',
             WS-ISAM-DATE-LAST-RELEASED UPON CONSOLE
           DISPLAY 'DATE LAST UPDATED : ',
             WS-ISAM-DATE-LAST-UPDATED UPON CONSOLE
           DISPLAY 'DATE FILED        : ',
             WS-ISAM-DATE-FILED UPON CONSOLE
           DISPLAY ' ' UPON CONSOLE
           DISPLAY ' ' UPON CONSOLE.

       0200-SHOW-OUTPUT-EXIT.
           EXIT.
