       IDENTIFICATION DIVISION.
       PROGRAM-ID. LOAD1G.
       AUTHOR. MIKE RAY
       DATE-WRITTEN. JAN 30, 1997
       DATE-COMPILED.

       ENVIRONMENT DIVISION.
       CONFIGURATION SECTION.
       SOURCE-COMPUTER. IFXSUN.
       OBJECT-COMPUTER. IFXSUN.

       INPUT-OUTPUT SECTION.
       FILE-CONTROL.

           SELECT INPUT-FILE
                  ASSIGN TO DYNAMIC WS-INPUT-FILE
                  ORGANIZATION IS LINE SEQUENTIAL
                  ACCESS IS SEQUENTIAL
                  FILE STATUS IS FILE-STAT.

      $IF PC-SW DEFINED
      $SET DATACOMPRESS "1"
      $SET KEYCOMPRESS "6"
      $END

           SELECT ISAM-FILE
                  ASSIGN TO 'isam/97ADM1G.ISM'
                  ORGANIZATION IS INDEXED
                  ACCESS IS RANDOM
                  RECORD ADM1G-REC-KEY.

      $IF PC-SW DEFINED
      $SET NOKEYCOMPRESS
      $SET NODATACOMPRESS
      $END

           SELECT ERROR-FILE
                  ASSIGN TO '97ADM1G.ERR'
                  ORGANIZATION IS LINE SEQUENTIAL
                  ACCESS IS SEQUENTIAL.


       FD  ERROR-FILE
           RECORD CONTAINS 175 CHARACTERS
           DATA RECORD IS ERROR-RECORD.
       01  ERROR-RECORD                   PIC X(175).


       FD  INPUT-FILE
           RECORD CONTAINS 175 CHARACTERS
           DATA RECORD IS INPUT-RECORD.
       01  INPUT-RECORD                   PIC X(175).



       FD  ISAM-FILE
           DATA RECORD IS ADM1G-RECORD.

      *                                       TOTAL = 175
       01  ADM1G-RECORD.
           05 ADM1G-REC-KEY                   PIC X(21).
           05 ADM1G-REC-DATA                  PIC X(154).

       WORKING-STORAGE SECTION.

       01  FILE-STAT.
           03  F-STAT-1    PIC X.
           03  F-STAT-2    PIC X.
           03  F-STAT-2-BIN REDEFINES F-STAT-2
                           PIC 9(2) COMP-X.
       01  STAT-DISP.
           03  DISP1       PIC X.
           03  FILLER      PIC X.
           03  DISP2       PIC 9(3).

       01  WS-INPUT-FILE.
           05 WS-INPUT-FILE-PATH             PIC X(06)
                                              VALUE 'input/'.
           05 WS-INPUT-FILE-NAME             PIC X(20).

       01  WS-OUTPUT-SW                   PIC X(01).
       01  WS-NON-GRP-RECS-FOUND          PIC X(01)
                                               VALUE 'N'.

       01  WS-COUNTERS.
           05 WS-RECORD-COUNT                PIC 9(10).
           05 WS-RECORDS-ADDED               PIC 9(10).
           05 WS-RECORDS-SKIPPED             PIC 9(10).
           05 WS-NON-GRP-RECORDS-SKIPPED     PIC 9(10).

       01  WS-INPUT-FILE-REC.
           05 WS-INPUT-REC.
              10 WS-INPUT-KEY.
                 15 WS-RECORD-TYPE-CD           PIC X(01).
                 15 WS-RECORD-TYPE-SFX          PIC X(01).
                 15 WS-CROP-YEAR                PIC 9(02).
                 15 WS-STATE-CD                 PIC 9(02).
                 15 WS-COUNTY-CD                PIC 9(03).
                 15 WS-CROP-CD                  PIC X(04).
                 15 WS-INSURANCE-PLAN-ID        PIC 9(02).
                 15 WS-PRACTICE-CD              PIC X(03).
                 15 WS-TYPE-CD                  PIC X(03).
              10 WS-INPUT-DATA.
                 15 WS-EXPECTED-CNTY-YLD        PIC 9(05).
                 15 WS-EXPECTED-CNTY-YLD-DEC REDEFINES
                    WS-EXPECTED-CNTY-YLD        PIC 9(04)V9(01).
                 15 WS-MAXIMUM-LIABILITY        PIC 9(05).
                 15 WS-EST-ANNUAL-YIELD         PIC 9(05).
                 15 WS-EST-ANNUAL-YIELD-DEC REDEFINES
                    WS-EST-ANNUAL-YIELD         PIC 9(04)V9(01).
                 15 WS-FINAL-ANNUAL-YIELD       PIC 9(05).
                 15 WS-FINAL-ANNUAL-YIELD-DEC REDEFINES
                    WS-FINAL-ANNUAL-YIELD       PIC 9(04)V9(01).
                 15 WS-MAXIMUM-SUBSIDY          PIC 9(03)V9(02).
                 15 WS-COVERAGE-LEVEL-1         PIC 9(02).
                 15 WS-BASE-PREMIUM-RATE-1      PIC 9(03)V9(02).
                 15 WS-COVERAGE-LEVEL-2         PIC 9(02).
                 15 WS-BASE-PREMIUM-RATE-2      PIC 9(03)V9(02).
                 15 WS-COVERAGE-LEVEL-3         PIC 9(02).
                 15 WS-BASE-PREMIUM-RATE-3      PIC 9(03)V9(02).
                 15 WS-COVERAGE-LEVEL-4         PIC 9(02).
                 15 WS-BASE-PREMIUM-RATE-4      PIC 9(03)V9(02).
                 15 WS-COVERAGE-LEVEL-5         PIC 9(02).
                 15 WS-BASE-PREMIUM-RATE-5      PIC 9(03)V9(02).
                 15 WS-COVERAGE-LEVEL-6         PIC 9(02).
                 15 WS-BASE-PREMIUM-RATE-6      PIC 9(03)V9(02).
                 15 WS-COVERAGE-LEVEL-7         PIC 9(02).
                 15 WS-BASE-PREMIUM-RATE-7      PIC 9(03)V9(02).
                 15 WS-NASS-TYPE                PIC X(03).
                 15 WS-NASS-PRACTICE            PIC X(03).
                 15 WS-NASS-YIELD-TYPE          PIC 9(01).
                 15 WS-LIMITED-SUBSIDY          PIC 9(04)V9(02).
                 15 WS-MAXIMUM-SUBSIDY-80-PCT   PIC 9(04).
                 15 WS-MAXIMUM-SUBSIDY-85-PCT   PIC 9(04).
                 15 WS-MAXIMUM-SUBSIDY-90-PCT   PIC 9(04).
                 15 WS-BIG-FILLER               PIC X(37).
                 15 WS-DATE-LAST-RELEASED       PIC 9(06).
                 15 WS-DATE-LAST-UPDATED        PIC 9(06).
                 15 WS-DATE-FILED               PIC 9(06).


       01  WS-INFILE-EOF                     PIC X(01)
                                              VALUE 'N'.


       PROCEDURE DIVISION.
       DECLARATIVES.
       DEC-LARATIVES SECTION.
       USE AFTER STANDARD ERROR PROCEDURE ON INPUT-FILE.
           EVALUATE F-STAT-1
               WHEN '0'
                  EVALUATE F-STAT-2
                   WHEN '4'
                     DISPLAY 'INVALID RECORD LENGTH!'
                     UPON CONSOLE
                   WHEN '5'
                     DISPLAY 'OPEN FAILED!'
                     UPON CONSOLE
                   WHEN OTHER
                     CONTINUE
                  END-EVALUATE
               WHEN '1'
                  EVALUATE F-STAT-2
                   WHEN '0'
                     DISPLAY 'END-OF-FILE'
                     UPON CONSOLE
                   WHEN '4'
                     DISPLAY 'RELATIVE FILE KEY VALUE OVERFLOW'
                     UPON CONSOLE
                   WHEN OTHER
                     CONTINUE
                  END-EVALUATE
               WHEN '2'
                  EVALUATE F-STAT-2
                   WHEN '2'
                     DISPLAY 'INDEXED FILE - DUPLICATE KEY ERROR!'
                     UPON CONSOLE
                   WHEN '3'
                     DISPLAY 'INDEXED FILE - RECORD NOT FOUND!'
                     UPON CONSOLE
                   WHEN '4'
                     DISPLAY 'FILE SIZE OR RELATIVE FILE KEY OVERFLOW!'
                     UPON CONSOLE
                   WHEN OTHER
                     CONTINUE
                  END-EVALUATE
               WHEN '3'
                  EVALUATE F-STAT-2
                   WHEN '5'
                     DISPLAY 'OPEN FAILED - FILE NOT FOUND!'
                     UPON CONSOLE
                   WHEN '7'
                     DISPLAY 'OPEN FAILED - INVALID FILE MODE!'
                     UPON CONSOLE
                   WHEN '8'
                     DISPLAY 'OPEN FAILED - FILE IS LOCKED!'
                     UPON CONSOLE
                   WHEN '9'
                     DISPLAY 'OPEN FAILED - FILE ATTRIBUTE CONFLICT!'
                     UPON CONSOLE
                   WHEN OTHER
                     CONTINUE
                  END-EVALUATE
               WHEN '4'
                  EVALUATE F-STAT-2
                   WHEN '1'
                     DISPLAY 'OPEN FAILED - FILE ALREADY OPEN!'
                     UPON CONSOLE
                   WHEN '2'
                     DISPLAY 'CLOSE FAILED - FILE ALREADY CLOSED!'
                     UPON CONSOLE
                   WHEN '3'
                     DISPLAY 'REWRITE FAILED - RECORD NOT LOCKED!'
                     UPON CONSOLE
                   WHEN '4'
                     DISPLAY 'BOUNDARY VIOLATION!'
                     UPON CONSOLE
                   WHEN '6'
                     DISPLAY 'READ FAILED - NEXT RECORD UNDEFINED!'
                     UPON CONSOLE
                   WHEN '7'
                     DISPLAY 'READ FAILED - FILE NOT OPENED FOR INPUT!'
                     UPON CONSOLE
                   WHEN '8'
                     DISPLAY 'WRITE FAILED - FILE NOT OPEN FOR OUTPUT!'
                     UPON CONSOLE
                   WHEN '9'
                     DISPLAY 'DELETE/REWRITE FAILED - NOT OPEN FOR I-O!'

                     UPON CONSOLE
                   WHEN OTHER
                     CONTINUE
                  END-EVALUATE
               WHEN OTHER
                  CONTINUE
           END-EVALUATE
           MOVE F-STAT-1 TO DISP1
           IF F-STAT-1 = "9"
               MOVE F-STAT-2-BIN TO DISP2
           ELSE
               MOVE F-STAT-2 TO DISP2
           END-IF
           DISPLAY "FILE STATUS :" , STAT-DISP
           UPON CONSOLE
           DISPLAY 'PROCESSED ', WS-RECORD-COUNT, ' RECORDS'
           UPON CONSOLE
           DISPLAY 'ADDED     ', WS-RECORDS-ADDED, ' RECORDS'
           UPON CONSOLE
           DISPLAY 'SKIPPED   ', WS-RECORDS-SKIPPED, ' RECORDS'
           UPON CONSOLE
           STOP RUN.
       END DECLARATIVES.

      ****************************************************************
      *     THIS IS THE MAINLINE MODULE.  IT WILL CONTROL THE HIGH  *
      *     LEVEL PROCESSING FLOW OF THIS PROGRAM.                  *
      ***************************************************************

       0000-MAINLINE.

           INITIALIZE WS-COUNTERS

           DISPLAY 'ADM1G (GRP RATE DATA) LOAD PROGRAM'
           UPON CONSOLE


           DISPLAY 'INFILE' UPON ENVIRONMENT-NAME
           ACCEPT WS-INPUT-FILE-NAME FROM ENVIRONMENT-VALUE
           DISPLAY 'LOG' UPON ENVIRONMENT-NAME
           ACCEPT WS-OUTPUT-SW FROM ENVIRONMENT-VALUE

           IF WS-INPUT-FILE-NAME IS EQUAL SPACES
              DISPLAY 'ENTER INPUT FILE NAME: '
              UPON CONSOLE WITH NO ADVANCING
              ACCEPT WS-INPUT-FILE-NAME FROM CONSOLE
              DISPLAY 'SHOW OUTPUT (N/Y)    : '
              UPON CONSOLE WITH NO ADVANCING
              ACCEPT WS-OUTPUT-SW FROM CONSOLE
           END-IF

           IF WS-INPUT-FILE-NAME IS EQUAL SPACES
              DISPLAY 'INFILE PARAMETER NOT SET - ABORTING PROGRAM!'
              UPON CONSOLE
              GO TO 0000-MAINLINE-EXIT
           END-IF

           DISPLAY 'OPENING INPUT FILE = ', WS-INPUT-FILE-NAME
           UPON CONSOLE

           OPEN INPUT INPUT-FILE

           DISPLAY 'OPENING ERROR FILE'
           UPON CONSOLE

           OPEN EXTEND ERROR-FILE

           DISPLAY 'OPENING ISAM FILE FOR EXTENSION'
           UPON CONSOLE

           OPEN I-O ISAM-FILE

           PERFORM 0100-LOAD-ISAM
              THRU 0100-LOAD-ISAM-EXIT
             UNTIL WS-INFILE-EOF = 'Y'

           IF WS-NON-GRP-RECS-FOUND = 'Y'
              DISPLAY 'NON-GRP RECORDS FOUND IN THE INPUT FILE!'
              UPON CONSOLE
           END-IF

           DISPLAY 'PROCESSED ', WS-RECORD-COUNT, ' RECORDS'
           UPON CONSOLE
           DISPLAY 'ADDED     ', WS-RECORDS-ADDED, ' RECORDS'
           UPON CONSOLE
           DISPLAY 'SKIPPED   ', WS-RECORDS-SKIPPED, ' RECORDS'
           UPON CONSOLE
           DISPLAY 'SKIPPED   ', WS-NON-GRP-RECORDS-SKIPPED,
           ' NON-GRP RECORDS'
           UPON CONSOLE

           DISPLAY 'CLOSING INPUT FILE'
           UPON CONSOLE

           CLOSE INPUT-FILE

           DISPLAY 'CLOSING ERROR FILE'
           UPON CONSOLE

           MOVE SPACES TO ERROR-RECORD
           WRITE ERROR-RECORD
           CLOSE ERROR-FILE

           DISPLAY 'CLOSING ISAM FILE'
           UPON CONSOLE

           CLOSE ISAM-FILE.



       0000-MAINLINE-EXIT.
           STOP RUN.


       0100-LOAD-ISAM.

           READ INPUT-FILE INTO WS-INPUT-FILE-REC
               AT END
                  MOVE 'Y' TO WS-INFILE-EOF
                  GO TO 0100-LOAD-ISAM-EXIT
               NOT AT END
                  ADD 1 TO WS-RECORD-COUNT
           END-READ

           IF WS-RECORD-TYPE-SFX NOT = 'G'
              ADD 1 TO WS-NON-GRP-RECORDS-SKIPPED
              MOVE 'Y' TO WS-NON-GRP-RECS-FOUND
              GO TO 0100-LOAD-ISAM-EXIT
           END-IF

           IF WS-OUTPUT-SW = 'Y' OR WS-OUTPUT-SW = 'y'
              PERFORM 0200-SHOW-OUTPUT
                 THRU 0200-SHOW-OUTPUT-EXIT
           END-IF

           WRITE ADM1G-RECORD FROM WS-INPUT-REC
                 INVALID KEY
                    IF WS-OUTPUT-SW = 'Y' OR WS-OUTPUT-SW = 'y'
                       DISPLAY 'INVALID KEY ERROR - RECORD SKIPPED'
                       UPON CONSOLE
                    END-IF
                    ADD 1 TO WS-RECORDS-SKIPPED
                    WRITE ERROR-RECORD FROM WS-INPUT-REC
                    GO TO 0100-LOAD-ISAM-EXIT
                 NOT INVALID KEY
                    CONTINUE
           END-WRITE

           ADD 1 TO WS-RECORDS-ADDED.

       0100-LOAD-ISAM-EXIT.
           EXIT.


       0200-SHOW-OUTPUT.

           DISPLAY 'RECORD TYPE CODE: ',
              WS-RECORD-TYPE-CD UPON CONSOLE
           DISPLAY 'RECORD TYPE SFX : ',
             WS-RECORD-TYPE-SFX UPON CONSOLE
           DISPLAY 'CROP YEAR       : ',
             WS-CROP-YEAR UPON CONSOLE
           DISPLAY 'STATE CODE      : ',
             WS-STATE-CD UPON CONSOLE
           DISPLAY 'COUNTY CODE     : ',
             WS-COUNTY-CD UPON CONSOLE
           DISPLAY 'CROP CODE       : ',
             WS-CROP-CD UPON CONSOLE
           DISPLAY 'PRACTICE CODE   : ',
             WS-PRACTICE-CD UPON CONSOLE
           DISPLAY 'TYPE CODE       : ',
             WS-TYPE-CD UPON CONSOLE
           DISPLAY '---------------------------'
             UPON CONSOLE

           DISPLAY 'EXPECTED COUNTY YIELD  : ',
             WS-EXPECTED-CNTY-YLD UPON CONSOLE
           DISPLAY 'MAXIMUM LIABILITY      : ',
              WS-MAXIMUM-LIABILITY UPON CONSOLE
           DISPLAY 'ESTIMATED ANNUAL YIELD : ',
             WS-EST-ANNUAL-YIELD UPON CONSOLE
           DISPLAY 'FINAL ANNUAL YIELD     : ',
             WS-FINAL-ANNUAL-YIELD UPON CONSOLE
           DISPLAY 'MAXIMUM SUBSIDY        : ',
             WS-MAXIMUM-SUBSIDY UPON CONSOLE
           DISPLAY '---------------------------'
             UPON CONSOLE
           DISPLAY 'SUBSIDY RATE 01      : ',
             WS-COVERAGE-LEVEL-1 UPON CONSOLE
           DISPLAY 'BASE RATE 01         : ',
             WS-BASE-PREMIUM-RATE-1 UPON CONSOLE
           DISPLAY 'SUBSIDY RATE 02      : ',
             WS-COVERAGE-LEVEL-2 UPON CONSOLE
           DISPLAY 'BASE RATE 02         : ',
             WS-BASE-PREMIUM-RATE-2 UPON CONSOLE
           DISPLAY 'SUBSIDY RATE 03      : ',
             WS-COVERAGE-LEVEL-3 UPON CONSOLE
           DISPLAY 'BASE RATE 03         : ',
             WS-BASE-PREMIUM-RATE-3 UPON CONSOLE
           DISPLAY 'SUBSIDY RATE 04      : ',
             WS-COVERAGE-LEVEL-4 UPON CONSOLE
           DISPLAY 'BASE RATE 04         : ',
             WS-BASE-PREMIUM-RATE-4 UPON CONSOLE
           DISPLAY 'SUBSIDY RATE 05      : ',
             WS-COVERAGE-LEVEL-5 UPON CONSOLE
           DISPLAY 'BASE RATE 05         : ',
             WS-BASE-PREMIUM-RATE-5 UPON CONSOLE
           DISPLAY 'SUBSIDY RATE 06      : ',
             WS-COVERAGE-LEVEL-6 UPON CONSOLE
           DISPLAY 'BASE RATE 06         : ',
             WS-BASE-PREMIUM-RATE-6 UPON CONSOLE
           DISPLAY 'SUBSIDY RATE 07      : ',
             WS-COVERAGE-LEVEL-7 UPON CONSOLE
           DISPLAY 'BASE RATE 07         : ',
             WS-BASE-PREMIUM-RATE-7 UPON CONSOLE
           DISPLAY '---------------------------'
             UPON CONSOLE
           DISPLAY 'NASS CROP TYPE       : ',
             WS-NASS-TYPE UPON CONSOLE
           DISPLAY 'NASS PRACTICE        : ',
             WS-NASS-PRACTICE UPON CONSOLE
           DISPLAY 'NASS YIELD TYPE      : ',
             WS-NASS-YIELD-TYPE UPON CONSOLE
           DISPLAY 'LIMITED SUBSIDY      : ',
             WS-LIMITED-SUBSIDY UPON CONSOLE
           DISPLAY 'MAXIMUM SUBSIDY 80%  : ',
             WS-MAXIMUM-SUBSIDY-80-PCT UPON CONSOLE
           DISPLAY 'MAXIMUM SUBSIDY 85%  : ',
             WS-MAXIMUM-SUBSIDY-85-PCT UPON CONSOLE
           DISPLAY 'MAXIMUM SUBSIDY 90%  : ',
             WS-MAXIMUM-SUBSIDY-90-PCT UPON CONSOLE
           DISPLAY 'FILLER               : ',
             WS-BIG-FILLER UPON CONSOLE
           DISPLAY '---------------------------'
             UPON CONSOLE
           DISPLAY 'DATE LAST RELEASED: ',
             WS-DATE-LAST-RELEASED UPON CONSOLE
           DISPLAY 'DATE LAST UPDATED : ',
             WS-DATE-LAST-UPDATED UPON CONSOLE
           DISPLAY 'DATE FILED        : ',
             WS-DATE-FILED UPON CONSOLE
           DISPLAY ' ' UPON CONSOLE
           DISPLAY ' ' UPON CONSOLE.

       0200-SHOW-OUTPUT-EXIT.
           EXIT.
