       IDENTIFICATION DIVISION.
       PROGRAM-ID. LOAD3.
       AUTHOR. DAS DEVELOPMENT TEAM.
       DATE-WRITTEN. JAN 30, 1997
       DATE-COMPILED.

       ENVIRONMENT DIVISION.
       CONFIGURATION SECTION.
       SOURCE-COMPUTER. IBM-PC.
       OBJECT-COMPUTER. IBM-PC.

       INPUT-OUTPUT SECTION.
       FILE-CONTROL.

           SELECT INPUT-FILE
                  ASSIGN TO DYNAMIC WS-INPUT-FILE
                  ORGANIZATION IS LINE SEQUENTIAL
                  ACCESS IS SEQUENTIAL
                  FILE STATUS IS FILE-STAT.


      $IF PC-SW DEFINED
      $SET DATACOMPRESS "1"
      $SET KEYCOMPRESS "6"
      $END

           SELECT ISAM-FILE
                  ASSIGN TO 'isam/97ADM3.ISM'
                  ORGANIZATION IS INDEXED
                  ACCESS IS RANDOM
                  RECORD ADM3-REC-KEY.


      $IF PC-SW DEFINED
      $SET NOKEYCOMPRESS
      $SET NODATACOMPRESS
      $END

           SELECT ERROR-FILE
                  ASSIGN TO '97ADM3.ERR'
                  ORGANIZATION IS LINE SEQUENTIAL
                  ACCESS IS SEQUENTIAL.


       FD  ERROR-FILE
           RECORD CONTAINS 175 CHARACTERS
           DATA RECORD IS ERROR-RECORD.
       01  ERROR-RECORD                   PIC X(175).

       FD  INPUT-FILE
           RECORD CONTAINS 175 CHARACTERS
           DATA RECORD IS INPUT-RECORD.
       01  INPUT-RECORD                   PIC X(175).


       FD  ISAM-FILE
           DATA RECORD IS ADM3-RECORD.

      *                                       TOTAL = 175
       01  ADM3-RECORD.
           05 ADM3-REC-KEY                    PIC X(21).
           05 ADM3-REC-DATA                   PIC X(154).


       WORKING-STORAGE SECTION.

       01  FILE-STAT.
           03  F-STAT-1    PIC X.
           03  F-STAT-2    PIC X.
           03  F-STAT-2-BIN REDEFINES F-STAT-2
                           PIC 9(2) COMP-X.
       01  STAT-DISP.
           03  DISP1       PIC X.
           03  FILLER      PIC X.
           03  DISP2       PIC 9(3).

       01  WS-INPUT-FILE.
           05 WS-INPUT-FILE-PATH             PIC X(06)
                                              VALUE 'input/'.
           05 WS-INPUT-FILE-NAME             PIC X(24).

       01  WS-OUTPUT-SW                   PIC X(01).

       01  WS-COUNTERS.
           05 WS-RECORD-COUNT                PIC 9(10).
           05 WS-RECORDS-ADDED               PIC 9(10).
           05 WS-RECORDS-SKIPPED             PIC 9(10).


       01  WS-INPUT-FILE-REC.
           05 WS-INPUT-REC.
              10 WS-INPUT-KEY.
                 15 WS-RECORD-TYPE-CD           PIC X(01).
                 15 WS-RECORD-TYPE-SFX          PIC X(01).
                 15 WS-CROP-YEAR                PIC 9(02).
                 15 WS-STATE-CD                 PIC 9(02).
                 15 WS-COUNTY-CD                PIC 9(03).
                 15 WS-CROP-CD                  PIC X(04).
                 15 WS-INSURANCE-PLAN-ID        PIC 9(02).
                 15 WS-PRACTICE-CD              PIC X(03).
                 15 WS-TYPE-CD                  PIC X(03).
              10 WS-INPUT-DATA.
                 15 WS-FILING-DATE              PIC 9(06).
                 15 WS-SALES-CLOSING            PIC 9(06).
                 15 WS-MOD-SALES-CLOSING        PIC 9(06).
                 15 WS-EXT-SALES-CLOSING        PIC 9(06).
                 15 WS-FINAL-PLANTING           PIC 9(06).
                 15 WS-EXT-FINAL-PLANTING       PIC 9(06).
                 15 WS-ACREAGE-REPORTING        PIC 9(06).
                 15 WS-MOD-ACREAGE-REPORTING    PIC 9(06).
                 15 WS-BILLING-DATE             PIC 9(06).
                 15 WS-END-OF-INSURANCE         PIC 9(06).
                 15 WS-CANCELLATION-DATE        PIC 9(06).
                 15 WS-MOD-CANCELLATION-DATE    PIC 9(06).
                 15 WS-TERMINATION-DATE         PIC 9(06).
                 15 WS-CRC-APH-FLAG             PIC X(01).
                 15 WS-BIG-FILLER               PIC X(57).
                 15 WS-DATE-LAST-RELEASED       PIC 9(06).
                 15 WS-DATE-LAST-UPDATED        PIC 9(06).
                 15 WS-DATE-FILED               PIC 9(06).

       01 WS-ISAM-REC.
          10 WS-ISAM-KEY.
             15 WS-ISAM-RECORD-TYPE-CD         PIC X(01).
             15 WS-ISAM-RECORD-TYPE-SFX        PIC X(01).
             15 WS-ISAM-CROP-YEAR              PIC 9(02).
             15 WS-ISAM-STATE-CD               PIC 9(02).
             15 WS-ISAM-COUNTY-CD              PIC 9(03).
             15 WS-ISAM-CROP-CD                PIC X(04).
             15 WS-ISAM-INSURANCE-PLAN-ID      PIC 9(02).
             15 WS-ISAM-PRACTICE-CD            PIC X(03).
             15 WS-ISAM-TYPE-CD                PIC X(03).
          10 WS-ISAM-DATA.
             15 WS-ISAM-FILING-DATE.
                20 WS-ISAM-FILING-DATE-2          PIC 9(02).
                20 WS-ISAM-FILING-DATE-6          PIC 9(06).
             15 WS-ISAM-SALES-CLOSING.
                20 WS-ISAM-SALES-CLOSING-2        PIC 9(02).
                20 WS-ISAM-SALES-CLOSING-6        PIC 9(06).
             15 WS-ISAM-MOD-SALES-CLOSING.
                20 WS-ISAM-MOD-SALES-CLOSING-2    PIC 9(02).
                20 WS-ISAM-MOD-SALES-CLOSING-6    PIC 9(06).
             15 WS-ISAM-EXT-SALES-CLOSING.
                20 WS-ISAM-EXT-SALES-CLOSING-2    PIC 9(02).
                20 WS-ISAM-EXT-SALES-CLOSING-6    PIC 9(06).
             15 WS-ISAM-FINAL-PLANTING.
                20 WS-ISAM-FINAL-PLANTING-2       PIC 9(02).
                20 WS-ISAM-FINAL-PLANTING-6       PIC 9(06).
             15 WS-ISAM-EXT-FINAL-PLANTING.
                20 WS-ISAM-EXT-FINAL-PLANTING-2   PIC 9(02).
                20 WS-ISAM-EXT-FINAL-PLANTING-6   PIC 9(06).
             15 WS-ISAM-ACREAGE-REPORTING.
                20 WS-ISAM-ACREAGE-REPORTING-2    PIC 9(02).
                20 WS-ISAM-ACREAGE-REPORTING-6    PIC 9(06).
             15 WS-ISAM-MOD-ACREAGE-REPORTING.
                20 WS-ISAM-MOD-ACREAGE-RPT-2      PIC 9(02).
                20 WS-ISAM-MOD-ACREAGE-RPT-6      PIC 9(06).
             15 WS-ISAM-BILLING-DATE.
                20 WS-ISAM-BILLING-DATE-2         PIC 9(02).
                20 WS-ISAM-BILLING-DATE-6         PIC 9(06).
             15 WS-ISAM-END-OF-INSURANCE.
                20 WS-ISAM-END-OF-INSURANCE-2     PIC 9(02).
                20 WS-ISAM-END-OF-INSURANCE-6     PIC 9(06).
             15 WS-ISAM-CANCELLATION-DATE.
                20 WS-ISAM-CANCELLATION-DATE-2    PIC 9(02).
                20 WS-ISAM-CANCELLATION-DATE-6    PIC 9(06).
             15 WS-ISAM-MOD-CANCELLATION-DATE.
                20 WS-ISAM-MOD-CANCELLATION-2     PIC 9(02).
                20 WS-ISAM-MOD-CANCELLATION-6     PIC 9(06).
             15 WS-ISAM-TERMINATION-DATE.
                20 WS-ISAM-TERMINATION-DATE-2     PIC 9(02).
                20 WS-ISAM-TERMINATION-DATE-6     PIC 9(06).
             15 WS-ISAM-CRC-APH-FLAG           PIC X(01).
             15 WS-ISAM-BIG-FILLER             PIC X(31).
             15 WS-ISAM-DATE-LAST-RELEASED     PIC 9(06).
             15 WS-ISAM-DATE-LAST-UPDATED      PIC 9(06).
             15 WS-ISAM-DATE-FILED             PIC 9(06).

       01  WS-INFILE-EOF                     PIC X(01)
                                              VALUE 'N'.


       PROCEDURE DIVISION.
       DECLARATIVES.
       DEC-LARATIVES SECTION.
       USE AFTER STANDARD ERROR PROCEDURE ON INPUT-FILE.
           EVALUATE F-STAT-1
               WHEN '0'
                  EVALUATE F-STAT-2
                   WHEN '4'
                     DISPLAY 'INVALID RECORD LENGTH!'
                     UPON CONSOLE
                   WHEN '5'
                     DISPLAY 'OPEN FAILED!'
                     UPON CONSOLE
                   WHEN OTHER
                     CONTINUE
                  END-EVALUATE
               WHEN '1'
                  EVALUATE F-STAT-2
                   WHEN '0'
                     DISPLAY 'END-OF-FILE'
                     UPON CONSOLE
                   WHEN '4'
                     DISPLAY 'RELATIVE FILE KEY VALUE OVERFLOW'
                     UPON CONSOLE
                   WHEN OTHER
                     CONTINUE
                  END-EVALUATE
               WHEN '2'
                  EVALUATE F-STAT-2
                   WHEN '2'
                     DISPLAY 'INDEXED FILE - DUPLICATE KEY ERROR!'
                     UPON CONSOLE
                   WHEN '3'
                     DISPLAY 'INDEXED FILE - RECORD NOT FOUND!'
                     UPON CONSOLE
                   WHEN '4'
                     DISPLAY 'FILE SIZE OR RELATIVE FILE KEY OVERFLOW!'
                     UPON CONSOLE
                   WHEN OTHER
                     CONTINUE
                  END-EVALUATE
               WHEN '3'
                  EVALUATE F-STAT-2
                   WHEN '5'
                     DISPLAY 'OPEN FAILED - FILE NOT FOUND!'
                     UPON CONSOLE
                   WHEN '7'
                     DISPLAY 'OPEN FAILED - INVALID FILE MODE!'
                     UPON CONSOLE
                   WHEN '8'
                     DISPLAY 'OPEN FAILED - FILE IS LOCKED!'
                     UPON CONSOLE
                   WHEN '9'
                     DISPLAY 'OPEN FAILED - FILE ATTRIBUTE CONFLICT!'
                     UPON CONSOLE
                   WHEN OTHER
                     CONTINUE
                  END-EVALUATE
               WHEN '4'
                  EVALUATE F-STAT-2
                   WHEN '1'
                     DISPLAY 'OPEN FAILED - FILE ALREADY OPEN!'
                     UPON CONSOLE
                   WHEN '2'
                     DISPLAY 'CLOSE FAILED - FILE ALREADY CLOSED!'
                     UPON CONSOLE
                   WHEN '3'
                     DISPLAY 'REWRITE FAILED - RECORD NOT LOCKED!'
                     UPON CONSOLE
                   WHEN '4'
                     DISPLAY 'BOUNDARY VIOLATION!'
                     UPON CONSOLE
                   WHEN '6'
                     DISPLAY 'READ FAILED - NEXT RECORD UNDEFINED!'
                     UPON CONSOLE
                   WHEN '7'
                     DISPLAY 'READ FAILED - FILE NOT OPENED FOR INPUT!'
                     UPON CONSOLE
                   WHEN '8'
                     DISPLAY 'WRITE FAILED - FILE NOT OPEN FOR OUTPUT!'
                     UPON CONSOLE
                   WHEN '9'
                     DISPLAY 'DELETE/REWRITE FAILED - NOT OPEN FOR I-O!'

                     UPON CONSOLE
                   WHEN OTHER
                     CONTINUE
                  END-EVALUATE
               WHEN OTHER
                  CONTINUE
           END-EVALUATE
           MOVE F-STAT-1 TO DISP1
           IF F-STAT-1 = "9"
               MOVE F-STAT-2-BIN TO DISP2
           ELSE
               MOVE F-STAT-2 TO DISP2
           END-IF
           DISPLAY "FILE STATUS :" , STAT-DISP
           UPON CONSOLE
           DISPLAY 'PROCESSED ', WS-RECORD-COUNT, ' RECORDS'
           UPON CONSOLE
           DISPLAY 'ADDED     ', WS-RECORDS-ADDED, ' RECORDS'
           UPON CONSOLE
           DISPLAY 'SKIPPED   ', WS-RECORDS-SKIPPED, ' RECORDS'
           UPON CONSOLE
           STOP RUN.
       END DECLARATIVES.

      ****************************************************************
      *     THIS IS THE MAINLINE MODULE.  IT WILL CONTROL THE HIGH  *
      *     LEVEL PROCESSING FLOW OF THIS PROGRAM.                  *
      ***************************************************************

       0000-MAINLINE.

           INITIALIZE WS-COUNTERS

           DISPLAY 'ADM3 (DATES) - LOAD PROGRAM'
           UPON CONSOLE


           DISPLAY 'INFILE' UPON ENVIRONMENT-NAME
           ACCEPT WS-INPUT-FILE-NAME FROM ENVIRONMENT-VALUE
           DISPLAY 'LOG' UPON ENVIRONMENT-NAME
           ACCEPT WS-OUTPUT-SW FROM ENVIRONMENT-VALUE

           IF WS-INPUT-FILE-NAME IS EQUAL SPACES
              DISPLAY 'ENTER INPUT FILE NAME: '
              UPON CONSOLE WITH NO ADVANCING
              ACCEPT WS-INPUT-FILE-NAME FROM CONSOLE
              DISPLAY 'SHOW OUTPUT (N/Y)    : '
              UPON CONSOLE WITH NO ADVANCING
              ACCEPT WS-OUTPUT-SW FROM CONSOLE
           END-IF

           IF WS-INPUT-FILE-NAME IS EQUAL SPACES
              DISPLAY 'INFILE PARAMETER NOT SET - ABORTING PROGRAM!'
              UPON CONSOLE
              GO TO 0000-MAINLINE-EXIT
           END-IF


           DISPLAY 'OPENING INPUT FILE = ', WS-INPUT-FILE-NAME
           UPON CONSOLE

           OPEN INPUT INPUT-FILE

           DISPLAY 'OPENING ERROR FILE'
           UPON CONSOLE

           OPEN EXTEND ERROR-FILE

           DISPLAY 'OPENING ISAM FILE FOR EXTENSION'
           UPON CONSOLE

           OPEN I-O ISAM-FILE

           PERFORM 0100-LOAD-ISAM
              THRU 0100-LOAD-ISAM-EXIT
             UNTIL WS-INFILE-EOF = 'Y'

           DISPLAY 'PROCESSED ', WS-RECORD-COUNT, ' RECORDS'
           UPON CONSOLE
           DISPLAY 'ADDED     ', WS-RECORDS-ADDED, ' RECORDS'
           UPON CONSOLE
           DISPLAY 'SKIPPED   ', WS-RECORDS-SKIPPED, ' RECORDS'
           UPON CONSOLE

           DISPLAY 'CLOSING INPUT FILE'
           UPON CONSOLE

           CLOSE INPUT-FILE

           DISPLAY 'CLOSING ERROR FILE'
           UPON CONSOLE

           MOVE SPACES TO ERROR-RECORD
           WRITE ERROR-RECORD
           CLOSE ERROR-FILE

           DISPLAY 'CLOSING ISAM FILE'
           UPON CONSOLE

           CLOSE ISAM-FILE.

       0000-MAINLINE-EXIT.
           STOP RUN.

       0100-LOAD-ISAM.

           READ INPUT-FILE INTO WS-INPUT-FILE-REC
               AT END
                  MOVE 'Y' TO WS-INFILE-EOF
                  GO TO 0100-LOAD-ISAM-EXIT
               NOT AT END
                  ADD 1 TO WS-RECORD-COUNT
           END-READ

           PERFORM 0300-FORMAT-ISAM
              THRU 0300-FORMAT-ISAM-EXIT

           IF WS-OUTPUT-SW = 'Y' OR WS-OUTPUT-SW = 'y'
              PERFORM 0200-SHOW-OUTPUT
                 THRU 0200-SHOW-OUTPUT-EXIT
           END-IF

           WRITE ADM3-RECORD FROM WS-ISAM-REC
                 INVALID KEY
                    IF WS-OUTPUT-SW = 'Y' OR WS-OUTPUT-SW = 'y'
                       DISPLAY 'INVALID KEY ERROR - RECORD SKIPPED'
                       UPON CONSOLE
                    END-IF
                    ADD 1 TO WS-RECORDS-SKIPPED
                    WRITE ERROR-RECORD FROM WS-INPUT-REC
                    GO TO 0100-LOAD-ISAM-EXIT
                 NOT INVALID KEY
                    CONTINUE
           END-WRITE

           ADD 1 TO WS-RECORDS-ADDED.

       0100-LOAD-ISAM-EXIT.
           EXIT.


       0200-SHOW-OUTPUT.

           DISPLAY 'RECORD TYPE CODE: ',
             WS-ISAM-RECORD-TYPE-CD UPON CONSOLE
           DISPLAY 'RECORD TYPE SFX : ',
             WS-ISAM-RECORD-TYPE-SFX UPON CONSOLE
           DISPLAY 'CROP YEAR       : ',
             WS-ISAM-CROP-YEAR UPON CONSOLE
           DISPLAY 'STATE CODE      : ',
             WS-ISAM-STATE-CD UPON CONSOLE
           DISPLAY 'COUNTY CODE     : ',
             WS-ISAM-COUNTY-CD UPON CONSOLE
           DISPLAY 'CROP CODE       : ',
             WS-ISAM-CROP-CD UPON CONSOLE
           DISPLAY 'INSURANCE PLAN ID: ',
             WS-ISAM-INSURANCE-PLAN-ID UPON CONSOLE
           DISPLAY 'PRACTICE CODE   : ',
             WS-ISAM-PRACTICE-CD UPON CONSOLE
           DISPLAY 'TYPE CODE       : ',
             WS-ISAM-TYPE-CD UPON CONSOLE
           DISPLAY '---------------------------'
             UPON CONSOLE
           DISPLAY 'FILING DATE               : ',
             WS-ISAM-FILING-DATE UPON CONSOLE
           DISPLAY 'SALES CLOSING DATE        : ',
             WS-ISAM-SALES-CLOSING UPON CONSOLE
           DISPLAY 'MOD SALES CLOSING DATE    : ',
             WS-ISAM-MOD-SALES-CLOSING UPON CONSOLE
           DISPLAY 'EXT SALES CLOSING DATE    : ',
             WS-ISAM-EXT-SALES-CLOSING UPON CONSOLE
           DISPLAY 'FINAL PLANTING DATE       : ',
             WS-ISAM-FINAL-PLANTING UPON CONSOLE
           DISPLAY 'EXT FINAL PLANTING        : ',
             WS-ISAM-EXT-FINAL-PLANTING UPON CONSOLE
           DISPLAY 'ACREAGE REPORTING DATE    : ',
             WS-ISAM-ACREAGE-REPORTING UPON CONSOLE
           DISPLAY 'MOD ACREAGE REPORTING DATE: ',
             WS-ISAM-MOD-ACREAGE-REPORTING UPON CONSOLE
           DISPLAY 'BILLING DATE              : ',
             WS-ISAM-BILLING-DATE UPON CONSOLE
           DISPLAY 'END OF INSURANCE DATE     : ',
             WS-ISAM-END-OF-INSURANCE UPON CONSOLE
           DISPLAY 'CANCELLATION DATE         : ',
             WS-ISAM-CANCELLATION-DATE UPON CONSOLE
           DISPLAY 'MOD CANCELLATION DATE     : ',
             WS-ISAM-MOD-CANCELLATION-DATE UPON CONSOLE
           DISPLAY 'TERMINATION DATE          : ',
             WS-ISAM-TERMINATION-DATE UPON CONSOLE
           DISPLAY 'CRC APH FLAG              : ',
             WS-ISAM-CRC-APH-FLAG UPON CONSOLE
           DISPLAY '---------------------------'
             UPON CONSOLE
           DISPLAY 'FILLER               : ',
             WS-ISAM-BIG-FILLER UPON CONSOLE
           DISPLAY '---------------------------'
             UPON CONSOLE
           DISPLAY 'DATE LAST RELEASED: ',
             WS-ISAM-DATE-LAST-RELEASED UPON CONSOLE
           DISPLAY 'DATE LAST UPDATED : ',
             WS-ISAM-DATE-LAST-UPDATED UPON CONSOLE
           DISPLAY 'DATE FILED        : ',
             WS-ISAM-DATE-FILED UPON CONSOLE
           DISPLAY ' ' UPON CONSOLE.

       0200-SHOW-OUTPUT-EXIT.
           EXIT.


       0300-FORMAT-ISAM.

           INITIALIZE WS-ISAM-REC
      *    *** KEY DATA ***
           MOVE WS-RECORD-TYPE-CD TO WS-ISAM-RECORD-TYPE-CD
           MOVE WS-RECORD-TYPE-SFX TO WS-ISAM-RECORD-TYPE-SFX
           MOVE WS-CROP-YEAR TO WS-ISAM-CROP-YEAR
           MOVE WS-STATE-CD TO WS-ISAM-STATE-CD
           MOVE WS-COUNTY-CD TO WS-ISAM-COUNTY-CD
           MOVE WS-CROP-CD TO WS-ISAM-CROP-CD
           MOVE WS-INSURANCE-PLAN-ID TO WS-ISAM-INSURANCE-PLAN-ID
           MOVE WS-PRACTICE-CD TO WS-ISAM-PRACTICE-CD
           MOVE WS-TYPE-CD TO WS-ISAM-TYPE-CD
      *    *** NON-KEY DATA ***
           IF WS-FILING-DATE = ZEROS
              MOVE ZEROS
                TO WS-ISAM-FILING-DATE
           ELSE
              MOVE 19 TO WS-ISAM-FILING-DATE-2
              MOVE WS-FILING-DATE TO WS-ISAM-FILING-DATE-6
           END-IF
           IF WS-SALES-CLOSING = ZEROS
              MOVE ZEROS TO WS-ISAM-SALES-CLOSING
           ELSE
              MOVE 19 TO WS-ISAM-SALES-CLOSING-2
              MOVE WS-SALES-CLOSING TO WS-ISAM-SALES-CLOSING-6
           END-IF
           IF WS-MOD-SALES-CLOSING = ZEROS
              MOVE ZEROS TO WS-ISAM-MOD-SALES-CLOSING
           ELSE
              MOVE 19 TO WS-ISAM-MOD-SALES-CLOSING-2
              MOVE WS-MOD-SALES-CLOSING
                TO WS-ISAM-MOD-SALES-CLOSING-6
           END-IF
           IF WS-EXT-SALES-CLOSING = ZEROS
              MOVE ZEROS TO WS-ISAM-EXT-SALES-CLOSING
           ELSE
              MOVE 19 TO WS-ISAM-EXT-SALES-CLOSING-2
              MOVE WS-EXT-SALES-CLOSING
                TO WS-ISAM-EXT-SALES-CLOSING-6
           END-IF
           IF WS-FINAL-PLANTING = ZEROS
              MOVE ZEROS TO WS-ISAM-FINAL-PLANTING
           ELSE
              MOVE 19 TO WS-ISAM-FINAL-PLANTING-2
              MOVE WS-FINAL-PLANTING TO WS-ISAM-FINAL-PLANTING-6
           END-IF
           IF WS-EXT-FINAL-PLANTING = ZEROS
              MOVE ZEROS TO WS-ISAM-EXT-FINAL-PLANTING
           ELSE
              MOVE 19 TO WS-ISAM-EXT-FINAL-PLANTING-2
              MOVE WS-EXT-FINAL-PLANTING
                TO WS-ISAM-EXT-FINAL-PLANTING-6
           END-IF
           IF WS-ACREAGE-REPORTING = ZEROS
              MOVE ZEROS TO WS-ISAM-ACREAGE-REPORTING
           ELSE
              MOVE 19 TO WS-ISAM-ACREAGE-REPORTING-2
              MOVE WS-ACREAGE-REPORTING
                TO WS-ISAM-ACREAGE-REPORTING-6
           END-IF
           IF WS-MOD-ACREAGE-REPORTING = ZEROS
              MOVE ZEROS TO WS-ISAM-MOD-ACREAGE-REPORTING
           ELSE
              MOVE 19 TO WS-ISAM-MOD-ACREAGE-RPT-2
              MOVE WS-MOD-ACREAGE-REPORTING
                TO WS-ISAM-MOD-ACREAGE-RPT-6
           END-IF
           IF WS-BILLING-DATE = ZEROS
              MOVE ZEROS TO WS-ISAM-BILLING-DATE
           ELSE
              MOVE 19 TO WS-ISAM-BILLING-DATE-2
              MOVE WS-BILLING-DATE TO WS-ISAM-BILLING-DATE-6
           END-IF
           IF WS-END-OF-INSURANCE = ZEROS
              MOVE ZEROS TO WS-ISAM-END-OF-INSURANCE
           ELSE
              MOVE 19 TO WS-ISAM-END-OF-INSURANCE-2
              MOVE WS-END-OF-INSURANCE
                TO WS-ISAM-END-OF-INSURANCE-6
           END-IF
           IF WS-CANCELLATION-DATE = ZEROS
              MOVE ZEROS TO WS-ISAM-CANCELLATION-DATE
           ELSE
              MOVE 19 TO WS-ISAM-CANCELLATION-DATE-2
              MOVE WS-CANCELLATION-DATE
                TO WS-ISAM-CANCELLATION-DATE-6
           END-IF
           IF WS-MOD-CANCELLATION-DATE = ZEROS
              MOVE ZEROS TO WS-ISAM-MOD-CANCELLATION-DATE
           ELSE
              MOVE 19 TO WS-ISAM-MOD-CANCELLATION-2
              MOVE WS-MOD-CANCELLATION-DATE
                TO WS-ISAM-MOD-CANCELLATION-6
           END-IF
           IF WS-TERMINATION-DATE = ZEROS
              MOVE ZEROS TO WS-ISAM-TERMINATION-DATE
           ELSE
              MOVE 19 TO WS-ISAM-TERMINATION-DATE-2
              MOVE WS-TERMINATION-DATE
                TO WS-ISAM-TERMINATION-DATE-6
           END-IF
           MOVE WS-CRC-APH-FLAG TO WS-ISAM-CRC-APH-FLAG
           MOVE WS-BIG-FILLER TO WS-ISAM-BIG-FILLER
           MOVE WS-DATE-LAST-RELEASED TO WS-ISAM-DATE-LAST-RELEASED
           MOVE WS-DATE-LAST-UPDATED TO WS-ISAM-DATE-LAST-UPDATED
           MOVE WS-DATE-FILED TO WS-ISAM-DATE-FILED.

       0300-FORMAT-ISAM-EXIT.
           EXIT.


