       IDENTIFICATION DIVISION.
       PROGRAM-ID. LOAD4.
       AUTHOR. DAS DEVELOPMENT TEAM.
       DATE-WRITTEN. JAN 30, 1997
       DATE-COMPILED.

       ENVIRONMENT DIVISION.
       CONFIGURATION SECTION.
       SOURCE-COMPUTER. IBM-PC.
       OBJECT-COMPUTER. IBM-PC.

       INPUT-OUTPUT SECTION.
       FILE-CONTROL.

           SELECT INPUT-FILE
                  ASSIGN TO DYNAMIC WS-INPUT-FILE
                  ORGANIZATION IS LINE SEQUENTIAL
                  ACCESS IS SEQUENTIAL
                  FILE STATUS IS FILE-STAT.


      $IF PC-SW DEFINED
      $SET DATACOMPRESS "1"
      $SET KEYCOMPRESS "6"
      $END

           SELECT ISAM-FILE
                  ASSIGN TO 'isam/97ADM4.ISM'
                  ORGANIZATION IS INDEXED
                  ACCESS IS RANDOM
                  RECORD ADM4-REC-KEY.

      $IF PC-SW DEFINED
      $SET NOKEYCOMPRESS
      $SET NODATACOMPRESS
      $END

           SELECT ERROR-FILE
                  ASSIGN TO '97ADM4.ERR'
                  ORGANIZATION IS LINE SEQUENTIAL
                  ACCESS IS SEQUENTIAL.

           SELECT REJECT-FILE
                  ASSIGN TO '97ADM4.REJ'
                  ORGANIZATION IS LINE SEQUENTIAL
                  ACCESS IS SEQUENTIAL.


       FD  REJECT-FILE
           RECORD CONTAINS 175 CHARACTERS
           DATA RECORD IS REJECT-RECORD.
       01  REJECT-RECORD                  PIC X(175).

       FD  ERROR-FILE
           RECORD CONTAINS 175 CHARACTERS
           DATA RECORD IS ERROR-RECORD.
       01  ERROR-RECORD                   PIC X(175).


       FD  INPUT-FILE
           RECORD CONTAINS 175 CHARACTERS
           DATA RECORD IS INPUT-RECORD.
       01  INPUT-RECORD                   PIC X(175).


       FD  ISAM-FILE
           DATA RECORD IS ADM4-RECORD.
      *                                       TOTAL = 175
       01  ADM4-RECORD.
           05 ADM4-REC-KEY                    PIC X(23).
           05 ADM4-REC-DATA                   PIC X(152).


       WORKING-STORAGE SECTION.

       01  FILE-STAT.
           03  F-STAT-1    PIC X.
           03  F-STAT-2    PIC X.
           03  F-STAT-2-BIN REDEFINES F-STAT-2
                           PIC 9(2) COMP-X.
       01  STAT-DISP.
           03  DISP1       PIC X.
           03  FILLER      PIC X.
           03  DISP2       PIC 9(3).

       01  WS-INPUT-FILE.
           05 WS-INPUT-FILE-PATH             PIC X(06)
                                              VALUE 'input/'.
           05 WS-INPUT-FILE-NAME             PIC X(20).

       01  WS-OUTPUT-SW                   PIC X(01).
       01  WS-REJECT-FLAG                 PIC X(01).

       01  WS-COUNTERS.
           05 WS-RECORD-COUNT                PIC 9(10).
           05 WS-RECORDS-ADDED               PIC 9(10).
           05 WS-RECORDS-SKIPPED             PIC 9(10).
           05 WS-RECORDS-REJECTED            PIC 9(10).

       01  WS-INPUT-FILE-REC.
           05 WS-INPUT-REC.
              10 WS-INPUT-KEY.
                 15 WS-RECORD-TYPE-CD              PIC X(01).
                 15 WS-RECORD-TYPE-SFX             PIC X(01).
                 15 WS-CROP-YEAR                   PIC 9(02).
                 15 WS-STATE-CD                    PIC 9(02).
                 15 WS-COUNTY-CD                   PIC 9(03).
                 15 WS-CROP-CD                     PIC X(04).
                 15 WS-INSURANCE-PLAN-ID           PIC 9(02).
                 15 WS-PRACTICE-CD                 PIC X(03).
                 15 WS-TYPE-CD                     PIC X(03).
                 15 WS-INDEX                       PIC 9(03).
              10 WS-INPUT-DATA.
                 15 WS-CATASTROPHIC-PRICE          PIC 9(05)V9(02).
                 15 WS-ESTABLISHED-HIGH-PRICE      PIC 9(05)V9(02).
                 15 WS-MARKET-PRICE                PIC 9(05)V9(02).
                 15 WS-QUOTA-PRICE                 PIC 9(05)V9(02).
                 15 WS-NON-QUOTA-PRICE             PIC 9(05)V9(02).
                 15 WS-SUPPORT-PRICE               PIC 9(05)V9(02).
                 15 WS-SEASON-AVERAGE-PRICE        PIC 9(05)V9(02).
                 15 WS-PRE-SALES-PRICE             PIC 9(05)V9(02).
                 15 WS-HARVEST-PRICE               PIC 9(05)V9(02).
                 15 WS-SPRING-MARKET-PRICE         PIC 9(05)V9(02).
                 15 WS-HARVEST-MARKET-PRICE        PIC 9(05)V9(02).
                 15 WS-CONTRACT-PRICE-CODE         PIC X(02).
                 15 WS-PROJ-HARVEST-PRICE          PIC 9(05)V9(02).
                 15 WS-COUNTY-HARVEST-PRICE        PIC 9(05)V9(02).
                 15 WS-CRC-APH-FLAG                PIC X(01).
                 15 WS-BIG-FILLER                  PIC X(39).
                 15 WS-DATE-LAST-RELEASED          PIC 9(06).
                 15 WS-DATE-LAST-UPDATED           PIC 9(06).
                 15 WS-DATE-FILED                  PIC 9(06).

       01  WS-ISAM-FILE-REC.
           05 WS-ISAM-REC.
              10 WS-ISAM-KEY.
                 15 WS-ISAM-RECORD-TYPE-CD         PIC X(01).
                 15 WS-ISAM-CROP-YEAR              PIC 9(02).
                 15 WS-ISAM-STATE-CD               PIC 9(02).
                 15 WS-ISAM-COUNTY-CD              PIC 9(03).
                 15 WS-ISAM-CROP-CD                PIC X(04).
                 15 WS-ISAM-INSURANCE-PLAN-ID      PIC 9(02).
                 15 WS-ISAM-PRACTICE-CD            PIC X(03).
                 15 WS-ISAM-TYPE-CD                PIC X(03).
                 15 WS-ISAM-INDEX                  PIC 9(03).
              10 WS-ISAM-DATA.
                 15 WS-ISAM-RECORD-TYPE-SFX        PIC X(01).
                 15 WS-ISAM-CATASTROPHIC-PRICE     PIC 9(05)V9(02).
                 15 WS-ISAM-ESTABLISHED-HIGH-PRICE PIC 9(05)V9(02).
                 15 WS-ISAM-MARKET-PRICE           PIC 9(05)V9(02).
                 15 WS-ISAM-QUOTA-PRICE            PIC 9(05)V9(02).
                 15 WS-ISAM-NON-QUOTA-PRICE        PIC 9(05)V9(02).
                 15 WS-ISAM-SUPPORT-PRICE          PIC 9(05)V9(02).
                 15 WS-ISAM-SEASON-AVERAGE-PRICE   PIC 9(05)V9(02).
                 15 WS-ISAM-PRE-SALES-PRICE        PIC 9(05)V9(02).
                 15 WS-ISAM-HARVEST-PRICE          PIC 9(05)V9(02).
                 15 WS-ISAM-SPRING-MARKET-PRICE    PIC 9(05)V9(02).
                 15 WS-ISAM-HARVEST-MARKET-PRICE   PIC 9(05)V9(02).
                 15 WS-ISAM-CONTRACT-PRICE-CODE    PIC X(02).
                 15 WS-ISAM-PROJ-HARVEST-PRICE     PIC 9(05)V9(02).
                 15 WS-ISAM-COUNTY-HARVEST-PRICE   PIC 9(05)V9(02).
                 15 WS-ISAM-CRC-APH-FLAG           PIC X(01).
                 15 WS-ISAM-BIG-FILLER             PIC X(39).
                 15 WS-ISAM-DATE-LAST-RELEASED     PIC 9(06).
                 15 WS-ISAM-DATE-LAST-UPDATED      PIC 9(06).
                 15 WS-ISAM-DATE-FILED             PIC 9(06).

       01  WS-INFILE-EOF                     PIC X(01)
                                              VALUE 'N'.


       PROCEDURE DIVISION.
       DECLARATIVES.
       DEC-LARATIVES SECTION.
       USE AFTER STANDARD ERROR PROCEDURE ON INPUT-FILE.
           EVALUATE F-STAT-1
               WHEN '0'
                  EVALUATE F-STAT-2
                   WHEN '4'
                     DISPLAY 'INVALID RECORD LENGTH!'
                     UPON CONSOLE
                   WHEN '5'
                     DISPLAY 'OPEN FAILED!'
                     UPON CONSOLE
                   WHEN OTHER
                     CONTINUE
                  END-EVALUATE
               WHEN '1'
                  EVALUATE F-STAT-2
                   WHEN '0'
                     DISPLAY 'END-OF-FILE'
                     UPON CONSOLE
                   WHEN '4'
                     DISPLAY 'RELATIVE FILE KEY VALUE OVERFLOW'
                     UPON CONSOLE
                   WHEN OTHER
                     CONTINUE
                  END-EVALUATE
               WHEN '2'
                  EVALUATE F-STAT-2
                   WHEN '2'
                     DISPLAY 'INDEXED FILE - DUPLICATE KEY ERROR!'
                     UPON CONSOLE
                   WHEN '3'
                     DISPLAY 'INDEXED FILE - RECORD NOT FOUND!'
                     UPON CONSOLE
                   WHEN '4'
                     DISPLAY 'FILE SIZE OR RELATIVE FILE KEY OVERFLOW!'
                     UPON CONSOLE
                   WHEN OTHER
                     CONTINUE
                  END-EVALUATE
               WHEN '3'
                  EVALUATE F-STAT-2
                   WHEN '5'
                     DISPLAY 'OPEN FAILED - FILE NOT FOUND!'
                     UPON CONSOLE
                   WHEN '7'
                     DISPLAY 'OPEN FAILED - INVALID FILE MODE!'
                     UPON CONSOLE
                   WHEN '8'
                     DISPLAY 'OPEN FAILED - FILE IS LOCKED!'
                     UPON CONSOLE
                   WHEN '9'
                     DISPLAY 'OPEN FAILED - FILE ATTRIBUTE CONFLICT!'
                     UPON CONSOLE
                   WHEN OTHER
                     CONTINUE
                  END-EVALUATE
               WHEN '4'
                  EVALUATE F-STAT-2
                   WHEN '1'
                     DISPLAY 'OPEN FAILED - FILE ALREADY OPEN!'
                     UPON CONSOLE
                   WHEN '2'
                     DISPLAY 'CLOSE FAILED - FILE ALREADY CLOSED!'
                     UPON CONSOLE
                   WHEN '3'
                     DISPLAY 'REWRITE FAILED - RECORD NOT LOCKED!'
                     UPON CONSOLE
                   WHEN '4'
                     DISPLAY 'BOUNDARY VIOLATION!'
                     UPON CONSOLE
                   WHEN '6'
                     DISPLAY 'READ FAILED - NEXT RECORD UNDEFINED!'
                     UPON CONSOLE
                   WHEN '7'
                     DISPLAY 'READ FAILED - FILE NOT OPENED FOR INPUT!'
                     UPON CONSOLE
                   WHEN '8'
                     DISPLAY 'WRITE FAILED - FILE NOT OPEN FOR OUTPUT!'
                     UPON CONSOLE
                   WHEN '9'
                     DISPLAY 'DELETE/REWRITE FAILED - NOT OPEN FOR I-O!'

                     UPON CONSOLE
                   WHEN OTHER
                     CONTINUE
                  END-EVALUATE
               WHEN OTHER
                  CONTINUE
           END-EVALUATE
           MOVE F-STAT-1 TO DISP1
           IF F-STAT-1 = "9"
               MOVE F-STAT-2-BIN TO DISP2
           ELSE
               MOVE F-STAT-2 TO DISP2
           END-IF
           DISPLAY "FILE STATUS :" , STAT-DISP
           UPON CONSOLE
           DISPLAY 'PROCESSED ', WS-RECORD-COUNT, ' RECORDS'
           UPON CONSOLE
           DISPLAY 'ADDED     ', WS-RECORDS-ADDED, ' RECORDS'
           UPON CONSOLE
           DISPLAY 'SKIPPED   ', WS-RECORDS-SKIPPED, ' RECORDS'
           UPON CONSOLE
           STOP RUN.
       END DECLARATIVES.

      ****************************************************************
      *     THIS IS THE MAINLINE MODULE.  IT WILL CONTROL THE HIGH  *
      *     LEVEL PROCESSING FLOW OF THIS PROGRAM.                  *
      ***************************************************************

       0000-MAINLINE.

           INITIALIZE WS-COUNTERS

           DISPLAY 'ADM4 (PRICES) - LOAD PROGRAM'
           UPON CONSOLE


           DISPLAY 'INFILE' UPON ENVIRONMENT-NAME
           ACCEPT WS-INPUT-FILE-NAME FROM ENVIRONMENT-VALUE
           DISPLAY 'LOG' UPON ENVIRONMENT-NAME
           ACCEPT WS-OUTPUT-SW FROM ENVIRONMENT-VALUE

           IF WS-INPUT-FILE-NAME IS EQUAL SPACES
              DISPLAY 'ENTER INPUT FILE NAME: '
              UPON CONSOLE WITH NO ADVANCING
              ACCEPT WS-INPUT-FILE-NAME FROM CONSOLE
              DISPLAY 'SHOW OUTPUT (N/Y)    : '
              UPON CONSOLE WITH NO ADVANCING
              ACCEPT WS-OUTPUT-SW FROM CONSOLE
           END-IF

           IF WS-INPUT-FILE-NAME IS EQUAL SPACES
              DISPLAY 'INFILE PARAMETER NOT SET - ABORTING PROGRAM!'
              UPON CONSOLE
              GO TO 0000-MAINLINE-EXIT
           END-IF


           DISPLAY 'OPENING INPUT FILE = ', WS-INPUT-FILE-NAME
           UPON CONSOLE

           OPEN INPUT INPUT-FILE

           DISPLAY 'OPENING ERROR FILE'
           UPON CONSOLE

           OPEN EXTEND ERROR-FILE

           DISPLAY 'OPENING REJECT FILE'
           UPON CONSOLE

           OPEN EXTEND REJECT-FILE

           DISPLAY 'OPENING ISAM FILE FOR EXTENSION'
           UPON CONSOLE

           OPEN I-O ISAM-FILE

           PERFORM 0100-LOAD-ISAM
              THRU 0100-LOAD-ISAM-EXIT
             UNTIL WS-INFILE-EOF = 'Y'

           DISPLAY 'PROCESSED ', WS-RECORD-COUNT, ' RECORDS'
           UPON CONSOLE
           DISPLAY 'ADDED     ', WS-RECORDS-ADDED, ' RECORDS'
           UPON CONSOLE
           DISPLAY 'SKIPPED   ', WS-RECORDS-SKIPPED, ' RECORDS'
           UPON CONSOLE
           DISPLAY 'REJECTED  ', WS-RECORDS-REJECTED, ' RECORDS'
           UPON CONSOLE

           DISPLAY 'CLOSING INPUT FILE'
           UPON CONSOLE

           CLOSE INPUT-FILE

           DISPLAY 'CLOSING ERROR FILE'
           UPON CONSOLE

           MOVE SPACES TO ERROR-RECORD
           WRITE ERROR-RECORD
           CLOSE ERROR-FILE

           DISPLAY 'CLOSING REJECT FILE'
           UPON CONSOLE

           MOVE SPACES TO REJECT-RECORD
           WRITE REJECT-RECORD
           CLOSE REJECT-FILE

           DISPLAY 'CLOSING ISAM FILE'
           UPON CONSOLE

           CLOSE ISAM-FILE.


       0000-MAINLINE-EXIT.
           STOP RUN.

       0100-LOAD-ISAM.

           READ INPUT-FILE INTO WS-INPUT-FILE-REC
               AT END
                  MOVE 'Y' TO WS-INFILE-EOF
                  GO TO 0100-LOAD-ISAM-EXIT
               NOT AT END
                  ADD 1 TO WS-RECORD-COUNT
           END-READ

           MOVE 'N' TO WS-REJECT-FLAG

           PERFORM 0300-FORMAT-ISAM
              THRU 0300-FORMAT-ISAM-EXIT

           IF WS-OUTPUT-SW = 'Y' OR WS-OUTPUT-SW = 'y' OR
              WS-REJECT-FLAG = 'Y'
              PERFORM 0200-SHOW-OUTPUT
                 THRU 0200-SHOW-OUTPUT-EXIT
           END-IF

           IF WS-REJECT-FLAG = 'Y'
              ADD 1 TO WS-RECORDS-REJECTED
              WRITE REJECT-RECORD FROM WS-INPUT-FILE-REC
              GO TO 0100-LOAD-ISAM-EXIT
           END-IF

           WRITE ADM4-RECORD FROM WS-ISAM-REC
                 INVALID KEY
                    IF WS-OUTPUT-SW = 'Y' OR WS-OUTPUT-SW = 'y'
                       DISPLAY 'INVALID KEY ERROR - RECORD SKIPPED'
                       UPON CONSOLE
                    END-IF
                    ADD 1 TO WS-RECORDS-SKIPPED
                    WRITE ERROR-RECORD FROM WS-ISAM-REC
                    GO TO 0100-LOAD-ISAM-EXIT
                 NOT INVALID KEY
                    CONTINUE
           END-WRITE

           ADD 1 TO WS-RECORDS-ADDED.

       0100-LOAD-ISAM-EXIT.
           EXIT.


       0200-SHOW-OUTPUT.

           DISPLAY 'RECORD TYPE CODE: ',
             WS-ISAM-RECORD-TYPE-CD UPON CONSOLE
           DISPLAY 'CROP YEAR       : ',
             WS-ISAM-CROP-YEAR UPON CONSOLE
           DISPLAY 'STATE CODE      : ',
             WS-ISAM-STATE-CD UPON CONSOLE
           DISPLAY 'COUNTY CODE     : ',
             WS-ISAM-COUNTY-CD UPON CONSOLE
           DISPLAY 'CROP CODE       : ',
             WS-ISAM-CROP-CD UPON CONSOLE
           DISPLAY 'INSURANCE PLAN  : ',
             WS-ISAM-INSURANCE-PLAN-ID UPON CONSOLE
           DISPLAY 'PRACTICE CODE   : ',
             WS-ISAM-PRACTICE-CD UPON CONSOLE
           DISPLAY 'TYPE CODE       : ',
             WS-ISAM-TYPE-CD UPON CONSOLE
           DISPLAY 'INDEX           : ',
             WS-ISAM-INDEX UPON CONSOLE
           DISPLAY '---------------------------'
             UPON CONSOLE
           DISPLAY 'RECORD TYPE SFX         : ',
             WS-ISAM-RECORD-TYPE-SFX UPON CONSOLE
           DISPLAY 'CATASTROPHIC PRICE      : ',
             WS-ISAM-CATASTROPHIC-PRICE UPON CONSOLE
           DISPLAY 'ESTABLISHED HIGH PRICE  : ',
             WS-ISAM-ESTABLISHED-HIGH-PRICE UPON  CONSOLE
           DISPLAY 'MARKET PRICE            : ',
             WS-ISAM-MARKET-PRICE UPON CONSOLE
           DISPLAY 'QUOTA PRICE             : ',
             WS-ISAM-QUOTA-PRICE UPON CONSOLE
           DISPLAY 'NON-QUOTA PRICE         : ',
             WS-ISAM-NON-QUOTA-PRICE UPON CONSOLE
           DISPLAY 'SUPPORT PRICE           : ',
             WS-ISAM-SUPPORT-PRICE UPON CONSOLE
           DISPLAY 'SEASON AVERAGE PRICE    : ',
             WS-ISAM-SEASON-AVERAGE-PRICE UPON CONSOLE
           DISPLAY 'PRE-SALES-PRICE         : ',
             WS-ISAM-PRE-SALES-PRICE UPON CONSOLE
           DISPLAY 'HARVEST PRICE           : ',
             WS-ISAM-HARVEST-PRICE UPON CONSOLE
           DISPLAY 'SPRING MARKET PRICE     : ',
             WS-ISAM-SPRING-MARKET-PRICE UPON CONSOLE
           DISPLAY 'HARVEST MARKET PRICE    : ',
             WS-ISAM-HARVEST-MARKET-PRICE UPON CONSOLE
           DISPLAY 'CONTRACT PRICE CODE     : ',
             WS-ISAM-CONTRACT-PRICE-CODE UPON CONSOLE
           DISPLAY 'PROJECTED HARVEST PRICE : ',
             WS-ISAM-PROJ-HARVEST-PRICE UPON CONSOLE
           DISPLAY 'COUNTY HARVEST PRICE    : ',
             WS-ISAM-COUNTY-HARVEST-PRICE UPON CONSOLE
           DISPLAY 'CRC APH FLAG            : ',
             WS-ISAM-CRC-APH-FLAG UPON CONSOLE
           DISPLAY '---------------------------'
             UPON CONSOLE
           DISPLAY 'FILLER               : ',
             WS-ISAM-BIG-FILLER UPON CONSOLE
           DISPLAY '---------------------------'
             UPON CONSOLE
           DISPLAY 'DATE LAST RELEASED: ',
             WS-ISAM-DATE-LAST-RELEASED UPON CONSOLE
           DISPLAY 'DATE LAST UPDATED : ',
             WS-ISAM-DATE-LAST-UPDATED UPON CONSOLE
           DISPLAY 'DATE FILED        : ',
             WS-ISAM-DATE-FILED UPON CONSOLE
           DISPLAY ' ' UPON CONSOLE.

       0200-SHOW-OUTPUT-EXIT.
           EXIT.


       0300-FORMAT-ISAM.

           INITIALIZE WS-ISAM-FILE-REC
      *    *** KEY DATA ***
           MOVE WS-RECORD-TYPE-CD TO WS-ISAM-RECORD-TYPE-CD
           MOVE WS-CROP-YEAR TO WS-ISAM-CROP-YEAR
           MOVE WS-STATE-CD TO WS-ISAM-STATE-CD
           MOVE WS-COUNTY-CD TO WS-ISAM-COUNTY-CD
           MOVE WS-CROP-CD TO WS-ISAM-CROP-CD
           MOVE WS-INSURANCE-PLAN-ID TO WS-ISAM-INSURANCE-PLAN-ID
           MOVE WS-PRACTICE-CD TO WS-ISAM-PRACTICE-CD
           MOVE WS-TYPE-CD TO WS-ISAM-TYPE-CD
           MOVE WS-INDEX TO WS-ISAM-INDEX
      *    *** NON-KEY DATA ***
           MOVE WS-RECORD-TYPE-SFX TO WS-ISAM-RECORD-TYPE-SFX
           MOVE WS-CATASTROPHIC-PRICE TO WS-ISAM-CATASTROPHIC-PRICE
           MOVE WS-ESTABLISHED-HIGH-PRICE
             TO WS-ISAM-ESTABLISHED-HIGH-PRICE
           MOVE WS-MARKET-PRICE TO WS-ISAM-MARKET-PRICE
           MOVE WS-QUOTA-PRICE TO WS-ISAM-QUOTA-PRICE
           MOVE WS-NON-QUOTA-PRICE TO WS-ISAM-NON-QUOTA-PRICE
           MOVE WS-SUPPORT-PRICE TO WS-ISAM-SUPPORT-PRICE
           MOVE WS-SEASON-AVERAGE-PRICE
             TO WS-ISAM-SEASON-AVERAGE-PRICE
           MOVE WS-PRE-SALES-PRICE TO WS-ISAM-PRE-SALES-PRICE
           MOVE WS-HARVEST-PRICE TO WS-ISAM-HARVEST-PRICE
           MOVE WS-SPRING-MARKET-PRICE
             TO WS-ISAM-SPRING-MARKET-PRICE
           MOVE WS-HARVEST-MARKET-PRICE
             TO WS-ISAM-HARVEST-MARKET-PRICE
           MOVE WS-CONTRACT-PRICE-CODE
             TO WS-ISAM-CONTRACT-PRICE-CODE
           MOVE WS-PROJ-HARVEST-PRICE TO WS-ISAM-PROJ-HARVEST-PRICE
           MOVE WS-COUNTY-HARVEST-PRICE
             TO WS-ISAM-COUNTY-HARVEST-PRICE
           MOVE WS-CRC-APH-FLAG TO WS-ISAM-CRC-APH-FLAG
           MOVE WS-BIG-FILLER TO WS-ISAM-BIG-FILLER
           MOVE WS-DATE-LAST-RELEASED TO WS-ISAM-DATE-LAST-RELEASED
           MOVE WS-DATE-LAST-UPDATED TO WS-ISAM-DATE-LAST-UPDATED
           MOVE WS-DATE-FILED TO WS-ISAM-DATE-FILED

      *    *** TEST INPUT FIELDS ***
           IF WS-CROP-YEAR NOT NUMERIC
              MOVE 'Y' TO WS-REJECT-FLAG
              DISPLAY 'BAD CROP YEAR           ' UPON CONSOLE
           END-IF
           IF WS-STATE-CD NOT NUMERIC
              DISPLAY 'BAD STATE CODE          ' UPON CONSOLE
              MOVE 'Y' TO WS-REJECT-FLAG
           END-IF
           IF WS-COUNTY-CD NOT NUMERIC
              DISPLAY 'BAD COUNTY CODE         ' UPON CONSOLE
              MOVE 'Y' TO WS-REJECT-FLAG
           END-IF
           IF WS-CROP-YEAR NOT NUMERIC
              DISPLAY 'BAD CROP YEAR           ' UPON CONSOLE
              MOVE 'Y' TO WS-REJECT-FLAG
           END-IF
           IF WS-INSURANCE-PLAN-ID NOT NUMERIC
              DISPLAY 'BAD INS PLAN            ' UPON CONSOLE
              MOVE 'Y' TO WS-REJECT-FLAG
           END-IF
           IF WS-INDEX NOT NUMERIC
              DISPLAY 'BAD INDEX               ' UPON CONSOLE
              MOVE 'Y' TO WS-REJECT-FLAG
           END-IF.

       0300-FORMAT-ISAM-EXIT.
           EXIT.
