       IDENTIFICATION DIVISION.
       PROGRAM-ID. LOADSSN.
       AUTHOR. DAS DEVELOPMENT TEAM.
       DATE-WRITTEN. FEB 18, 1997.
       DATE-COMPILED.

       ENVIRONMENT DIVISION.
       CONFIGURATION SECTION.
       SOURCE-COMPUTER. IBM-PC.
       OBJECT-COMPUTER. IBM-PC.

       INPUT-OUTPUT SECTION.
       FILE-CONTROL.

           SELECT INPUT-FILE
                  ASSIGN TO DYNAMIC WS-INPUT-FILE
                  ORGANIZATION IS LINE SEQUENTIAL
                  ACCESS IS SEQUENTIAL
                  FILE STATUS IS FILE-STAT.

      $IF PC-SW DEFINED
      $SET DATACOMPRESS "1"
      $SET KEYCOMPRESS "6"
      $END

           SELECT ISAM-FILE
                  ASSIGN TO 'isam/97ADMSSN.ISM'
                  ORGANIZATION IS INDEXED
                  ACCESS IS RANDOM
                  RECORD WS-ADMSSN-KEY.

      $IF PC-SW DEFINED
      $SET NOKEYCOMPRESS
      $SET NODATACOMPRESS
      $END

           SELECT ERROR-FILE
                  ASSIGN TO '97ADMSSN.ERR'
                  ORGANIZATION IS LINE SEQUENTIAL
                  ACCESS IS SEQUENTIAL.


       FD  ERROR-FILE
           RECORD CONTAINS 185 CHARACTERS
           DATA RECORD IS ERROR-RECORD.
       01  ERROR-RECORD                   PIC X(185).


       FD  INPUT-FILE
           RECORD CONTAINS 185 CHARACTERS
           DATA RECORD IS INPUT-RECORD.
       01  INPUT-RECORD                   PIC X(185).


       FD  ISAM-FILE
           DATA RECORD IS ADMSSN-RECORD.
      *                                       TOTAL = 185
       01  ADMSSN-RECORD.
           05 WS-ADMSSN-KEY                  PIC X(36).
           05 WS-ADMSSN-DATA                 PIC X(149).

       WORKING-STORAGE SECTION.

       01  FILE-STAT.
           03  F-STAT-1    PIC X.
           03  F-STAT-2    PIC X.
           03  F-STAT-2-BIN REDEFINES F-STAT-2
                           PIC 9(2) COMP-X.
       01  STAT-DISP.
           03  DISP1       PIC X.
           03  FILLER      PIC X.
           03  DISP2       PIC 9(3).

       01  WS-INPUT-FILE.
           05 WS-INPUT-FILE-PATH             PIC X(06)
                                              VALUE 'input/'.
           05 WS-INPUT-FILE-NAME             PIC X(20).

       01  WS-OUTPUT-SW                   PIC X(01).

       01  WS-COUNTERS.
           05 WS-RECORD-COUNT                PIC 9(10).
           05 WS-RECORDS-ADDED               PIC 9(10).
           05 WS-RECORDS-SKIPPED             PIC 9(10).
           05 WS-RECS-WITHOUT-ID-NO          PIC 9(10).

       01  WS-INPUT-REC.
           05 WS-RECORD-TYPE-CD              PIC X(01).
           05 WS-RECORD-TYPE-SFX             PIC X(01).
           05 WS-CROP-YEAR                   PIC 9(02).
           05 WS-STATE-CD                    PIC 9(02).
           05 WS-COUNTY-CD                   PIC 9(03).
           05 WS-CROP-CD                     PIC X(04).
           05 WS-INSURANCE-PLAN-ID           PIC 9(02).
           05 WS-PRACTICE-CD                 PIC X(03).
           05 WS-TYPE-CD                     PIC X(03).
           05 WS-OPTION-CD                   PIC X(08).
           05 WS-PROD-BUSINESS-NAME-ID       PIC X(01).
           05 WS-PRODUCER-NAME               PIC X(49).
           05 WS-FSN                         PIC X(07).
           05 WS-LEGAL-DESC.
              10 WS-SECTION                     PIC X(04).
              10 WS-TOWNSHIP                    PIC X(04).
              10 WS-RANGE                       PIC X(04).
           05 WS-LEGAL-NARRATIVE1            PIC X(25).
           05 WS-LEGAL-NARRATIVE2            PIC X(25).
           05 WS-RATE                        PIC 9(01)V9(03).
           05 WS-YIELD-FACTOR                PIC 9(03)V9(02).
           05 WS-F32-GUAR-RATE-CLASS REDEFINES
              WS-YIELD-FACTOR.
              10 WS-SMALL-FILLER                PIC X(02).
              10 WS-F32-GUAR-RATE               PIC X(03).
           05 WS-DATE-LAST-RELEASED          PIC 9(06).
           05 WS-DATE-LAST-UPDATED           PIC 9(06).
           05 WS-DATE-FILED                  PIC 9(06).
           05 WS-ID-NUM                      PIC 9(09).
           05 WS-ENTITY-TYPE                 PIC X(01).

       01  WS-ISAM-REC.
           05 WS-ISAM-KEY.
              10 WS-ISAM-ID-NUM                PIC 9(09).
              10 WS-ISAM-CROP-YEAR             PIC 9(02).
              10 WS-ISAM-STATE-CD              PIC 9(02).
              10 WS-ISAM-COUNTY-CD             PIC 9(03).
              10 WS-ISAM-CROP-CD               PIC X(04).
              10 WS-ISAM-INSURANCE-PLAN-ID     PIC 9(02).
              10 WS-ISAM-PRACTICE-CD           PIC X(03).
              10 WS-ISAM-TYPE-CD               PIC X(03).
              10 WS-ISAM-OPTION-CD             PIC X(08).
           05 WS-ISAM-DATA.
              10 WS-ISAM-ENTITY-TYPE           PIC X(01).
              10 WS-ISAM-RECORD-TYPE-SFX       PIC X(01).
              10 WS-ISAM-PROD-BUSINESS-NAME-ID PIC X(01).
              10 WS-ISAM-PRODUCER-NAME         PIC X(49).
              10 WS-ISAM-FSN                   PIC X(07).
              10 WS-ISAM-LEGAL-DESC.
                 15 WS-ISAM-SECTION               PIC X(04).
                 15 WS-ISAM-TOWNSHIP              PIC X(04).
                 15 WS-ISAM-RANGE                 PIC X(04).
              10 WS-ISAM-LEGAL-NARRATIVE1      PIC X(25).
              10 WS-ISAM-LEGAL-NARRATIVE2      PIC X(25).
              10 WS-ISAM-RATE                  PIC 9(01)V9(03).
              10 WS-ISAM-YIELD-FACTOR          PIC 9(03)V9(02).
              10 WS-ISAM-F32-GUAR-RATE-CLASS REDEFINES
                 WS-ISAM-YIELD-FACTOR.
                 15 WS-ISAM-SMALL-FILLER          PIC X(02).
                 15 WS-ISAM-F32-GUAR-RATE         PIC X(03).
              10 FILLER                        PIC X(01).
              10 WS-ISAM-DATE-LAST-RELEASED    PIC 9(06).
              10 WS-ISAM-DATE-LAST-UPDATED     PIC 9(06).
              10 WS-ISAM-DATE-FILED            PIC 9(06).


       01  WS-INFILE-EOF                     PIC X(01)
                                              VALUE 'N'.


       PROCEDURE DIVISION.
       DECLARATIVES.
       DEC-LARATIVES SECTION.
       USE AFTER STANDARD ERROR PROCEDURE ON INPUT-FILE.
           EVALUATE F-STAT-1
               WHEN '0'
                  EVALUATE F-STAT-2
                   WHEN '4'
                     DISPLAY 'INVALID RECORD LENGTH!'
                     UPON CONSOLE
                   WHEN '5'
                     DISPLAY 'OPEN FAILED!'
                     UPON CONSOLE
                   WHEN OTHER
                     CONTINUE
                  END-EVALUATE
               WHEN '1'
                  EVALUATE F-STAT-2
                   WHEN '0'
                     DISPLAY 'END-OF-FILE'
                     UPON CONSOLE
                   WHEN '4'
                     DISPLAY 'RELATIVE FILE KEY VALUE OVERFLOW'
                     UPON CONSOLE
                   WHEN OTHER
                     CONTINUE
                  END-EVALUATE
               WHEN '2'
                  EVALUATE F-STAT-2
                   WHEN '2'
                     DISPLAY 'INDEXED FILE - DUPLICATE KEY ERROR!'
                     UPON CONSOLE
                   WHEN '3'
                     DISPLAY 'INDEXED FILE - RECORD NOT FOUND!'
                     UPON CONSOLE
                   WHEN '4'
                     DISPLAY 'FILE SIZE OR RELATIVE FILE KEY OVERFLOW!'
                     UPON CONSOLE
                   WHEN OTHER
                     CONTINUE
                  END-EVALUATE
               WHEN '3'
                  EVALUATE F-STAT-2
                   WHEN '5'
                     DISPLAY 'OPEN FAILED - FILE NOT FOUND!'
                     UPON CONSOLE
                   WHEN '7'
                     DISPLAY 'OPEN FAILED - INVALID FILE MODE!'
                     UPON CONSOLE
                   WHEN '8'
                     DISPLAY 'OPEN FAILED - FILE IS LOCKED!'
                     UPON CONSOLE
                   WHEN '9'
                     DISPLAY 'OPEN FAILED - FILE ATTRIBUTE CONFLICT!'
                     UPON CONSOLE
                   WHEN OTHER
                     CONTINUE
                  END-EVALUATE
               WHEN '4'
                  EVALUATE F-STAT-2
                   WHEN '1'
                     DISPLAY 'OPEN FAILED - FILE ALREADY OPEN!'
                     UPON CONSOLE
                   WHEN '2'
                     DISPLAY 'CLOSE FAILED - FILE ALREADY CLOSED!'
                     UPON CONSOLE
                   WHEN '3'
                     DISPLAY 'REWRITE FAILED - RECORD NOT LOCKED!'
                     UPON CONSOLE
                   WHEN '4'
                     DISPLAY 'BOUNDARY VIOLATION!'
                     UPON CONSOLE
                   WHEN '6'
                     DISPLAY 'READ FAILED - NEXT RECORD UNDEFINED!'
                     UPON CONSOLE
                   WHEN '7'
                     DISPLAY 'READ FAILED - FILE NOT OPENED FOR INPUT!'
                     UPON CONSOLE
                   WHEN '8'
                     DISPLAY 'WRITE FAILED - FILE NOT OPEN FOR OUTPUT!'
                     UPON CONSOLE
                   WHEN '9'
                     DISPLAY 'DELETE/REWRITE FAILED - NOT OPEN FOR I-O!'

                     UPON CONSOLE
                   WHEN OTHER
                     CONTINUE
                  END-EVALUATE
               WHEN OTHER
                  CONTINUE
           END-EVALUATE
           MOVE F-STAT-1 TO DISP1
           IF F-STAT-1 = "9"
               MOVE F-STAT-2-BIN TO DISP2
           ELSE
               MOVE F-STAT-2 TO DISP2
           END-IF
           DISPLAY "FILE STATUS :" , STAT-DISP
           UPON CONSOLE
           DISPLAY 'PROCESSED ', WS-RECORD-COUNT, ' RECORDS'
           UPON CONSOLE
           DISPLAY 'ADDED     ', WS-RECORDS-ADDED, ' RECORDS'
           UPON CONSOLE
           DISPLAY 'SKIPPED   ', WS-RECORDS-SKIPPED, ' RECORDS'
           UPON CONSOLE
           DISPLAY '# SKIPPED WITHOUT ID TYPE OR ID NO ',
           WS-RECS-WITHOUT-ID-NO, UPON CONSOLE
           STOP RUN.
       END DECLARATIVES.

      ****************************************************************
      *     THIS IS THE MAINLINE MODULE.  IT WILL CONTROL THE HIGH  *
      *     LEVEL PROCESSING FLOW OF THIS PROGRAM.                  *
      ***************************************************************

       0000-MAINLINE.

           INITIALIZE WS-COUNTERS

           DISPLAY 'ADMSSN (NCS SSN DATA) LOAD PROGRAM'
           UPON CONSOLE

           DISPLAY 'INFILE' UPON ENVIRONMENT-NAME
           ACCEPT WS-INPUT-FILE-NAME FROM ENVIRONMENT-VALUE
           DISPLAY 'LOG' UPON ENVIRONMENT-NAME
           ACCEPT WS-OUTPUT-SW FROM ENVIRONMENT-VALUE

           IF WS-INPUT-FILE-NAME IS EQUAL SPACES
              DISPLAY 'ENTER INPUT FILE NAME: '
              UPON CONSOLE WITH NO ADVANCING
              ACCEPT WS-INPUT-FILE-NAME FROM CONSOLE
              DISPLAY 'SHOW OUTPUT (N/Y)    : '
              UPON CONSOLE WITH NO ADVANCING
              ACCEPT WS-OUTPUT-SW FROM CONSOLE
           END-IF

           IF WS-INPUT-FILE-NAME IS EQUAL SPACES
              DISPLAY 'INFILE PARAMETER NOT SET - ABORTING PROGRAM!'
              UPON CONSOLE
              GO TO 0000-MAINLINE-EXIT
           END-IF

           DISPLAY 'OPENING INPUT FILE = ', WS-INPUT-FILE-NAME
           UPON CONSOLE

           OPEN INPUT INPUT-FILE

           DISPLAY 'OPENING ERROR FILE'
           UPON CONSOLE

           OPEN EXTEND ERROR-FILE

           DISPLAY 'OPENING ISAM FILE FOR EXTENSION'
           UPON CONSOLE

           OPEN I-O ISAM-FILE

           PERFORM 0100-LOAD-ISAM
              THRU 0100-LOAD-ISAM-EXIT
             UNTIL WS-INFILE-EOF = 'Y'

           DISPLAY 'PROCESSED ', WS-RECORD-COUNT, ' RECORDS'
           UPON CONSOLE
           DISPLAY 'ADDED     ', WS-RECORDS-ADDED, ' RECORDS'
           UPON CONSOLE
           DISPLAY 'SKIPPED   ', WS-RECORDS-SKIPPED, ' RECORDS'
           UPON CONSOLE
           DISPLAY '# WITHOUT ID NO (SSN) ',
           WS-RECS-WITHOUT-ID-NO, UPON CONSOLE

           DISPLAY 'CLOSING INPUT FILE'
           UPON CONSOLE

           CLOSE INPUT-FILE

           DISPLAY 'CLOSING ERROR FILE'
           UPON CONSOLE

           MOVE SPACES TO ERROR-RECORD
           WRITE ERROR-RECORD
           CLOSE ERROR-FILE

           DISPLAY 'CLOSING ISAM FILE'
           UPON CONSOLE

           CLOSE ISAM-FILE.


       0000-MAINLINE-EXIT.
           STOP RUN.

       0100-LOAD-ISAM.

           READ INPUT-FILE INTO WS-INPUT-REC
               AT END
                  MOVE 'Y' TO WS-INFILE-EOF
                  GO TO 0100-LOAD-ISAM-EXIT
               NOT AT END
                  ADD 1 TO WS-RECORD-COUNT
           END-READ

           PERFORM 0300-FORMAT-DATA
              THRU 0300-FORMAT-DATA-EXIT

           IF WS-OUTPUT-SW = 'Y' OR WS-OUTPUT-SW = 'y'
              PERFORM 0200-SHOW-OUTPUT
                 THRU 0200-SHOW-OUTPUT-EXIT
           END-IF

           IF (WS-ISAM-ID-NUM = ZEROS)
              IF WS-OUTPUT-SW = 'Y' OR WS-OUTPUT-SW = 'y'
                 DISPLAY 'NO VALUE IN ID NUMBER'
                 UPON CONSOLE
              END-IF
              ADD 1 TO WS-RECS-WITHOUT-ID-NO
              ADD 1 TO WS-RECORDS-SKIPPED
              WRITE ERROR-RECORD FROM WS-ISAM-REC
              GO TO 0100-LOAD-ISAM-EXIT
           END-IF


           WRITE ADMSSN-RECORD FROM WS-ISAM-REC
                 INVALID KEY
                    IF WS-OUTPUT-SW = 'Y' OR WS-OUTPUT-SW = 'y'
                       DISPLAY 'INVALID KEY ERROR - RECORD SKIPPED'
                       UPON CONSOLE
                    END-IF
                    ADD 1 TO WS-RECORDS-SKIPPED
                    WRITE ERROR-RECORD FROM WS-ISAM-REC
                    GO TO 0100-LOAD-ISAM-EXIT
                 NOT INVALID KEY
                    CONTINUE
           END-WRITE

           ADD 1 TO WS-RECORDS-ADDED.

       0100-LOAD-ISAM-EXIT.
           EXIT.


       0200-SHOW-OUTPUT.

           DISPLAY 'ID NUMBER       : ',
             WS-ISAM-ID-NUM UPON CONSOLE
           DISPLAY 'CROP YEAR       : ',
             WS-ISAM-CROP-YEAR UPON CONSOLE
           DISPLAY 'STATE CODE      : ',
             WS-ISAM-STATE-CD UPON CONSOLE
           DISPLAY 'COUNTY CODE     : ',
             WS-ISAM-COUNTY-CD UPON CONSOLE
           DISPLAY 'CROP CODE       : ',
             WS-ISAM-CROP-CD UPON CONSOLE
           DISPLAY 'INS PLAN        : ',
             WS-ISAM-INSURANCE-PLAN-ID UPON CONSOLE
           DISPLAY 'PRACTICE CODE   : ',
             WS-ISAM-PRACTICE-CD UPON CONSOLE
           DISPLAY 'TYPE CODE       : ',
             WS-ISAM-TYPE-CD UPON CONSOLE
           DISPLAY 'OPTION CODE     : ',
             WS-ISAM-OPTION-CD UPON CONSOLE
           DISPLAY '---------------------------'
              UPON CONSOLE
           DISPLAY 'ENTITY TYPE          : ',
             WS-ISAM-ENTITY-TYPE UPON CONSOLE
           DISPLAY 'ADM SUFFIX           : ',
             WS-ISAM-RECORD-TYPE-SFX UPON CONSOLE
           DISPLAY 'PROD BUS NAME ID     : ',
             WS-ISAM-PROD-BUSINESS-NAME-ID UPON CONSOLE
           DISPLAY 'PRODUCER NAME        : ',
             WS-ISAM-PRODUCER-NAME UPON CONSOLE
           DISPLAY 'FSN                  : ',
             WS-ISAM-FSN UPON CONSOLE
           DISPLAY 'LEGAL DESCRIPTION    : ',
             WS-ISAM-LEGAL-DESC UPON CONSOLE
           DISPLAY 'LEGAL NARRATIVE1     : ',
             WS-ISAM-LEGAL-NARRATIVE1 UPON CONSOLE
           DISPLAY 'LEGAL NARRATIVE2     : ',
             WS-ISAM-LEGAL-NARRATIVE2 UPON CONSOLE
           DISPLAY 'RATE                 : ',
             WS-ISAM-RATE UPON CONSOLE
           DISPLAY 'YIELD FACTOR         : ',
             WS-ISAM-YIELD-FACTOR UPON CONSOLE
           DISPLAY '---------------------------'
              UPON CONSOLE
           DISPLAY 'DATE LAST RELEASED   : ',
             WS-ISAM-DATE-LAST-RELEASED UPON CONSOLE
           DISPLAY 'DATE LAST UPDATED    : ',
             WS-ISAM-DATE-LAST-UPDATED UPON CONSOLE
           DISPLAY 'DATE FILED           : ',
             WS-ISAM-DATE-FILED UPON CONSOLE
           DISPLAY ' ' UPON CONSOLE.

       0200-SHOW-OUTPUT-EXIT.
           EXIT.


       0300-FORMAT-DATA.

           INITIALIZE WS-ISAM-REC
           MOVE WS-ID-NUM
             TO WS-ISAM-ID-NUM
           MOVE WS-CROP-YEAR
             TO WS-ISAM-CROP-YEAR
           MOVE WS-STATE-CD
             TO WS-ISAM-STATE-CD
           MOVE WS-COUNTY-CD
             TO WS-ISAM-COUNTY-CD
           MOVE WS-CROP-CD
             TO WS-ISAM-CROP-CD
           MOVE WS-INSURANCE-PLAN-ID
             TO WS-ISAM-INSURANCE-PLAN-ID
           MOVE WS-PRACTICE-CD
             TO WS-ISAM-PRACTICE-CD
           MOVE WS-TYPE-CD
             TO WS-ISAM-TYPE-CD
           MOVE WS-OPTION-CD
             TO WS-ISAM-OPTION-CD
      *    *** DATA PART ***
           MOVE WS-ENTITY-TYPE
             TO WS-ISAM-ENTITY-TYPE
           MOVE WS-RECORD-TYPE-SFX
             TO WS-ISAM-RECORD-TYPE-SFX
           MOVE WS-PROD-BUSINESS-NAME-ID
             TO WS-ISAM-PROD-BUSINESS-NAME-ID
           MOVE WS-PRODUCER-NAME
             TO WS-ISAM-PRODUCER-NAME
           MOVE WS-FSN
             TO WS-ISAM-FSN
           MOVE WS-LEGAL-DESC
             TO WS-ISAM-LEGAL-DESC
           MOVE WS-LEGAL-NARRATIVE1
             TO WS-ISAM-LEGAL-NARRATIVE1
           MOVE WS-LEGAL-NARRATIVE2
             TO WS-ISAM-LEGAL-NARRATIVE2
           MOVE WS-RATE
             TO WS-ISAM-RATE
           MOVE WS-YIELD-FACTOR
             TO WS-ISAM-YIELD-FACTOR
           MOVE WS-DATE-LAST-RELEASED
             TO WS-ISAM-DATE-LAST-RELEASED
           MOVE WS-DATE-LAST-UPDATED
             TO WS-ISAM-DATE-LAST-UPDATED
           MOVE WS-DATE-FILED
             TO WS-ISAM-DATE-FILED.


       0300-FORMAT-DATA-EXIT.
           EXIT.
