       IDENTIFICATION DIVISION.
       PROGRAM-ID. LOADVS.
       AUTHOR. DAS DEVELOPMENT TEAM.
       DATE-WRITTEN. JAN 28, 1997
       DATE-COMPILED.

       ENVIRONMENT DIVISION.
       CONFIGURATION SECTION.
       SOURCE-COMPUTER. IFXSUN.
       OBJECT-COMPUTER. IFXSUN.

       INPUT-OUTPUT SECTION.
       FILE-CONTROL.

           SELECT INPUT-FILE
                  ASSIGN TO DYNAMIC WS-INPUT-FILE
                  ORGANIZATION IS LINE SEQUENTIAL
                  ACCESS IS SEQUENTIAL
                  FILE STATUS IS FILE-STAT.

      $IF PC-SW DEFINED
      $SET DATACOMPRESS "1"
      $SET KEYCOMPRESS "6"
      $END

           SELECT ISAM-FILE
                  ASSIGN TO 'isam/97ADMVS.ISM'
                  ORGANIZATION IS INDEXED
                  ACCESS IS RANDOM
                  LOCK MODE IS AUTOMATIC
                  RECORD ADMVS-REC-KEY.

      $IF PC-SW DEFINED
      $SET NOKEYCOMPRESS
      $SET NODATACOMPRESS
      $END

           SELECT ERROR-FILE
                  ASSIGN TO '97ADMVS.ERR'
                  ORGANIZATION IS LINE SEQUENTIAL
                  ACCESS IS SEQUENTIAL.


       FD  ERROR-FILE
           RECORD CONTAINS 225 CHARACTERS
           DATA RECORD IS ERROR-RECORD.
       01  ERROR-RECORD                   PIC X(225).


       FD  INPUT-FILE
           RECORD CONTAINS 225 CHARACTERS
           DATA RECORD IS INPUT-RECORD.
       01  INPUT-RECORD                   PIC X(225).



       FD  ISAM-FILE
           DATA RECORD IS ADMVS-RECORD.

      *                                       TOTAL = 225
       01  ADMVS-RECORD.
           05 ADMVS-REC-KEY                  PIC X(12).
           05 ADMVS-REC-DATA                 PIC X(213).


       WORKING-STORAGE SECTION.

       01  FILE-STAT.
           03  F-STAT-1    PIC X.
           03  F-STAT-2    PIC X.
           03  F-STAT-2-BIN REDEFINES F-STAT-2
                           PIC 9(2) COMP-X.
       01  STAT-DISP.
           03  DISP1       PIC X.
           03  FILLER      PIC X.
           03  DISP2       PIC 9(3).

       01  WS-INPUT-FILE.
           05 WS-INPUT-FILE-PATH             PIC X(06)
                                              VALUE 'input/'.
           05 WS-INPUT-FILE-NAME             PIC X(18).

       01  WS-OUTPUT-SW                   PIC X(01).

       01  WS-COUNTERS.
           05 WS-RECORD-COUNT                PIC 9(10).
           05 WS-RECORDS-ADDED               PIC 9(10).
           05 WS-RECORDS-SKIPPED             PIC 9(10).

       01  WS-INPUT-FILE-REC.
           05 WS-INPUT-REC.
              10 WS-INPUT-KEY.
                 15 WS-RECORD-TYPE-CD           PIC X(01).
                 15 WS-RECORD-TYPE-SFX          PIC X(01).
                 15 WS-CROP-YEAR                PIC 9(02).
                 15 WS-STATE-CD                 PIC 9(02).
                 15 WS-CROP-CD                  PIC X(04).
                 15 WS-INS-PLAN-CD              PIC 9(02).
              10 WS-INPUT-DATA.
                 15 WS-PRICE-VOL-FACTOR         PIC 9(01)V9(03).
                 15 WS-OPT-UNIT-SURCHARGE       PIC 9(01)V9(03).
                 15 WS-BETA1                    PIC 9(01)V9(05).
                 15 WS-BETA1-SIGN               PIC X(01).
                 15 WS-BETA2                    PIC 9(01)V9(05).
                 15 WS-BETA2-SIGN               PIC X(01).
                 15 WS-BETA3                    PIC 9(01)V9(05).
                 15 WS-BETA3-SIGN               PIC X(01).
                 15 WS-BETA4                    PIC 9(01)V9(05).
                 15 WS-BETA4-SIGN               PIC X(01).
                 15 WS-BETA5                    PIC 9(01)V9(05).
                 15 WS-BETA5-SIGN               PIC X(01).
                 15 WS-BETA6                    PIC 9(01)V9(05).
                 15 WS-BETA6-SIGN               PIC X(01).
                 15 WS-BETA7                    PIC 9(01)V9(05).
                 15 WS-BETA7-SIGN               PIC X(01).
                 15 WS-BETA8                    PIC 9(01)V9(05).
                 15 WS-BETA8-SIGN               PIC X(01).
                 15 WS-BETA9                    PIC 9(01)V9(05).
                 15 WS-BETA9-SIGN               PIC X(01).
                 15 WS-BETA10                   PIC 9(01)V9(05).
                 15 WS-BETA10-SIGN              PIC X(01).
                 15 WS-BETA11                   PIC 9(01)V9(05).
                 15 WS-BETA11-SIGN              PIC X(01).
                 15 WS-BETA12                   PIC 9(01)V9(05).
                 15 WS-BETA12-SIGN              PIC X(01).
                 15 WS-BETA13                   PIC 9(01)V9(05).
                 15 WS-BETA13-SIGN              PIC X(01).
                 15 WS-BETA14                   PIC 9(01)V9(05).
                 15 WS-BETA14-SIGN              PIC X(01).
                 15 WS-BETA15                   PIC 9(01)V9(05).
                 15 WS-BETA15-SIGN              PIC X(01).
                 15 WS-BETA16                   PIC 9(01)V9(05).
                 15 WS-BETA16-SIGN              PIC X(01).
                 15 WS-BETA17                   PIC 9(01)V9(05).
                 15 WS-BETA17-SIGN              PIC X(01).
                 15 WS-BETA18                   PIC 9(01)V9(05).
                 15 WS-BETA18-SIGN              PIC X(01).
                 15 WS-BETA19                   PIC 9(01)V9(05).
                 15 WS-BETA19-SIGN              PIC X(01).
                 15 WS-BETA20                   PIC 9(01)V9(05).
                 15 WS-BETA20-SIGN              PIC X(01).
                 15 WS-BETA21                   PIC 9(01)V9(05).
                 15 WS-BETA21-SIGN              PIC X(01).
                 15 WS-PP1                      PIC 9(01)V9(05).
                 15 WS-PP1-SIGN                 PIC X(01).
                 15 WS-PP2                      PIC 9(01)V9(05).
                 15 WS-PP2-SIGN                 PIC X(01).
                 15 WS-PP3                      PIC 9(01)V9(05).
                 15 WS-PP3-SIGN                 PIC X(01).
                 15 WS-BIG-FILLER               PIC X(19).
                 15 WS-DATE-LAST-RELEASED       PIC 9(06).
                 15 WS-DATE-LAST-UPDATED        PIC 9(06).
                 15 WS-DATE-FILED               PIC 9(06).

       01  WS-ISAM-FILE-REC.
           05 WS-ISAM-REC.
              10 WS-ISAM-KEY.
                 15 WS-ISAM-RECORD-TYPE-CD      PIC X(01).
                 15 WS-ISAM-RECORD-TYPE-SFX     PIC X(01).
                 15 WS-ISAM-CROP-YEAR           PIC 9(02).
                 15 WS-ISAM-STATE-CD            PIC 9(02).
                 15 WS-ISAM-CROP-CD             PIC X(04).
                 15 WS-ISAM-INS-PLAN-CD         PIC 9(02).
              10 WS-ISAM-DATA.
                 15 WS-ISAM-PRICE-VOL-FACTOR    PIC 9(01)V9(03).
                 15 WS-ISAM-OPT-UNIT-SURCHARGE  PIC 9(01)V9(03).
                 15 WS-ISAM-BETA1               PIC S9(01)V9(05).
                 15 WS-ISAM-BETA2               PIC S9(01)V9(05).
                 15 WS-ISAM-BETA3               PIC S9(01)V9(05).
                 15 WS-ISAM-BETA4               PIC S9(01)V9(05).
                 15 WS-ISAM-BETA5               PIC S9(01)V9(05).
                 15 WS-ISAM-BETA6               PIC S9(01)V9(05).
                 15 WS-ISAM-BETA7               PIC S9(01)V9(05).
                 15 WS-ISAM-BETA8               PIC S9(01)V9(05).
                 15 WS-ISAM-BETA9               PIC S9(01)V9(05).
                 15 WS-ISAM-BETA10              PIC S9(01)V9(05).
                 15 WS-ISAM-BETA11              PIC S9(01)V9(05).
                 15 WS-ISAM-BETA12              PIC S9(01)V9(05).
                 15 WS-ISAM-BETA13              PIC S9(01)V9(05).
                 15 WS-ISAM-BETA14              PIC S9(01)V9(05).
                 15 WS-ISAM-BETA15              PIC S9(01)V9(05).
                 15 WS-ISAM-BETA16              PIC S9(01)V9(05).
                 15 WS-ISAM-BETA17              PIC S9(01)V9(05).
                 15 WS-ISAM-BETA18              PIC S9(01)V9(05).
                 15 WS-ISAM-BETA19              PIC S9(01)V9(05).
                 15 WS-ISAM-BETA20              PIC S9(01)V9(05).
                 15 WS-ISAM-BETA21              PIC S9(01)V9(05).
                 15 WS-ISAM-PP1                 PIC S9(01)V9(05).
                 15 WS-ISAM-PP2                 PIC S9(01)V9(05).
                 15 WS-ISAM-PP3                 PIC S9(01)V9(05).
                 15 WS-ISAM-BIG-FILLER          PIC X(43).
                 15 WS-ISAM-DATE-LAST-RELEASED  PIC 9(06).
                 15 WS-ISAM-DATE-LAST-UPDATED   PIC 9(06).
                 15 WS-ISAM-DATE-FILED          PIC 9(06).

       01 WS-DISPLAY-FIELDS.
          05 WS-INPUT-PRICE-VOL-FACTOR-X    PIC 9.999.
          05 WS-ISAM-PRICE-VOL-FACTOR-X     PIC 9.999.
          05 WS-INPUT-OPT-UNIT-SURCHARGE-X  PIC 9.999.
          05 WS-ISAM-OPT-UNIT-SURCHARGE-X   PIC 9.999.
          05 WS-INPUT-BETA-X                PIC 9.99999.
          05 WS-ISAM-BETA-X                 PIC +9.99999.
          05 WS-INPUT-PP-X                  PIC 9.99999.
          05 WS-ISAM-PP-X                   PIC +9.99999.


       01 WS-INFILE-EOF                     PIC X(01)
                                              VALUE 'N'.


       PROCEDURE DIVISION.
       DECLARATIVES.
       DEC-LARATIVES SECTION.
       USE AFTER STANDARD ERROR PROCEDURE ON INPUT-FILE.
           EVALUATE F-STAT-1
               WHEN '0'
                  EVALUATE F-STAT-2
                   WHEN '4'
                     DISPLAY 'INVALID RECORD LENGTH!'
                     UPON CONSOLE
                   WHEN '5'
                     DISPLAY 'OPEN FAILED!'
                     UPON CONSOLE
                   WHEN OTHER
                     CONTINUE
                  END-EVALUATE
               WHEN '1'
                  EVALUATE F-STAT-2
                   WHEN '0'
                     DISPLAY 'END-OF-FILE'
                     UPON CONSOLE
                   WHEN '4'
                     DISPLAY 'RELATIVE FILE KEY VALUE OVERFLOW'
                     UPON CONSOLE
                   WHEN OTHER
                     CONTINUE
                  END-EVALUATE
               WHEN '2'
                  EVALUATE F-STAT-2
                   WHEN '2'
                     DISPLAY 'INDEXED FILE - DUPLICATE KEY ERROR!'
                     UPON CONSOLE
                   WHEN '3'
                     DISPLAY 'INDEXED FILE - RECORD NOT FOUND!'
                     UPON CONSOLE
                   WHEN '4'
                     DISPLAY 'FILE SIZE OR RELATIVE FILE KEY OVERFLOW!'
                     UPON CONSOLE
                   WHEN OTHER
                     CONTINUE
                  END-EVALUATE
               WHEN '3'
                  EVALUATE F-STAT-2
                   WHEN '5'
                     DISPLAY 'OPEN FAILED - FILE NOT FOUND!'
                     UPON CONSOLE
                   WHEN '7'
                     DISPLAY 'OPEN FAILED - INVALID FILE MODE!'
                     UPON CONSOLE
                   WHEN '8'
                     DISPLAY 'OPEN FAILED - FILE IS LOCKED!'
                     UPON CONSOLE
                   WHEN '9'
                     DISPLAY 'OPEN FAILED - FILE ATTRIBUTE CONFLICT!'
                     UPON CONSOLE
                   WHEN OTHER
                     CONTINUE
                  END-EVALUATE
               WHEN '4'
                  EVALUATE F-STAT-2
                   WHEN '1'
                     DISPLAY 'OPEN FAILED - FILE ALREADY OPEN!'
                     UPON CONSOLE
                   WHEN '2'
                     DISPLAY 'CLOSE FAILED - FILE ALREADY CLOSED!'
                     UPON CONSOLE
                   WHEN '3'
                     DISPLAY 'REWRITE FAILED - RECORD NOT LOCKED!'
                     UPON CONSOLE
                   WHEN '4'
                     DISPLAY 'BOUNDARY VIOLATION!'
                     UPON CONSOLE
                   WHEN '6'
                     DISPLAY 'READ FAILED - NEXT RECORD UNDEFINED!'
                     UPON CONSOLE
                   WHEN '7'
                     DISPLAY 'READ FAILED - FILE NOT OPENED FOR INPUT!'
                     UPON CONSOLE
                   WHEN '8'
                     DISPLAY 'WRITE FAILED - FILE NOT OPEN FOR OUTPUT!'
                     UPON CONSOLE
                   WHEN '9'
                     DISPLAY 'DELETE/REWRITE FAILED - NOT OPEN FOR I-O!'

                     UPON CONSOLE
                   WHEN OTHER
                     CONTINUE
                  END-EVALUATE
               WHEN OTHER
                  CONTINUE
           END-EVALUATE
           MOVE F-STAT-1 TO DISP1
           IF F-STAT-1 = "9"
               MOVE F-STAT-2-BIN TO DISP2
           ELSE
               MOVE F-STAT-2 TO DISP2
           END-IF
           DISPLAY "FILE STATUS :" , STAT-DISP
           UPON CONSOLE
           DISPLAY 'PROCESSED ', WS-RECORD-COUNT, ' RECORDS'
           UPON CONSOLE
           DISPLAY 'ADDED     ', WS-RECORDS-ADDED, ' RECORDS'
           UPON CONSOLE
           DISPLAY 'SKIPPED   ', WS-RECORDS-SKIPPED, ' RECORDS'
           UPON CONSOLE
           STOP RUN.
       END DECLARATIVES.

      ****************************************************************
      *     THIS IS THE MAINLINE MODULE.  IT WILL CONTROL THE HIGH  *
      *     LEVEL PROCESSING FLOW OF THIS PROGRAM.                  *
      ***************************************************************

       0000-MAINLINE.

           INITIALIZE WS-COUNTERS

           DISPLAY 'ADMVS (RA STATE DATA) LOAD PROGRAM'
           UPON CONSOLE

           DISPLAY 'INFILE' UPON ENVIRONMENT-NAME
           ACCEPT WS-INPUT-FILE-NAME FROM ENVIRONMENT-VALUE
           DISPLAY 'LOG' UPON ENVIRONMENT-NAME
           ACCEPT WS-OUTPUT-SW FROM ENVIRONMENT-VALUE

           IF WS-INPUT-FILE-NAME IS EQUAL SPACES
              DISPLAY 'ENTER INPUT FILE NAME: '
              UPON CONSOLE WITH NO ADVANCING
              ACCEPT WS-INPUT-FILE-NAME FROM CONSOLE
              DISPLAY 'SHOW OUTPUT (N/Y)    : '
              UPON CONSOLE WITH NO ADVANCING
              ACCEPT WS-OUTPUT-SW FROM CONSOLE
           END-IF

           IF WS-INPUT-FILE-NAME IS EQUAL SPACES
              DISPLAY 'INFILE PARAMETER NOT SET - ABORTING PROGRAM!'
              UPON CONSOLE
              GO TO 0000-MAINLINE-EXIT
           END-IF

           DISPLAY 'OPENING INPUT FILE = ', WS-INPUT-FILE-NAME
           UPON CONSOLE

           OPEN INPUT INPUT-FILE

           DISPLAY 'OPENING ERROR FILE'
           UPON CONSOLE

           OPEN EXTEND ERROR-FILE

           DISPLAY 'OPENING ISAM FILE FOR EXTENSION'
           UPON CONSOLE

           OPEN I-O ISAM-FILE

           PERFORM 0100-LOAD-ISAM
              THRU 0100-LOAD-ISAM-EXIT
             UNTIL WS-INFILE-EOF = 'Y'

           DISPLAY 'PROCESSED ', WS-RECORD-COUNT, ' RECORDS'
           UPON CONSOLE
           DISPLAY 'ADDED     ', WS-RECORDS-ADDED, ' RECORDS'
           UPON CONSOLE
           DISPLAY 'SKIPPED   ', WS-RECORDS-SKIPPED, ' RECORDS'
           UPON CONSOLE

           DISPLAY 'CLOSING INPUT FILE'
           UPON CONSOLE

           CLOSE INPUT-FILE

           DISPLAY 'CLOSING ERROR FILE'
           UPON CONSOLE

           MOVE SPACES TO ERROR-RECORD
           WRITE ERROR-RECORD
           CLOSE ERROR-FILE

           DISPLAY 'CLOSING ISAM FILE'
           UPON CONSOLE

           CLOSE ISAM-FILE.

       0000-MAINLINE-EXIT.
           STOP RUN.


       0100-LOAD-ISAM.

           READ INPUT-FILE INTO WS-INPUT-FILE-REC
               AT END
                  MOVE 'Y' TO WS-INFILE-EOF
                  GO TO 0100-LOAD-ISAM-EXIT
               NOT AT END
                  ADD 1 TO WS-RECORD-COUNT
           END-READ

      *    *** REFORMAT INPUT FOR ISAM FILE ***
           INITIALIZE WS-ISAM-FILE-REC
           MOVE WS-INPUT-KEY
             TO WS-ISAM-KEY
           MOVE WS-PRICE-VOL-FACTOR
             TO WS-ISAM-PRICE-VOL-FACTOR
           MOVE WS-OPT-UNIT-SURCHARGE
             TO WS-ISAM-OPT-UNIT-SURCHARGE
      *    ************************************
           IF WS-BETA1-SIGN = '+'
              ADD WS-BETA1 TO WS-ISAM-BETA1
           ELSE
              SUBTRACT WS-BETA1 FROM WS-ISAM-BETA1
           END-IF
           IF WS-BETA2-SIGN = '+'
              ADD WS-BETA2 TO WS-ISAM-BETA2
           ELSE
              SUBTRACT WS-BETA2 FROM WS-ISAM-BETA2
           END-IF
           IF WS-BETA3-SIGN = '+'
              ADD WS-BETA3 TO WS-ISAM-BETA3
           ELSE
              SUBTRACT WS-BETA3 FROM WS-ISAM-BETA3
           END-IF
           IF WS-BETA4-SIGN = '+'
              ADD WS-BETA4 TO WS-ISAM-BETA4
           ELSE
              SUBTRACT WS-BETA4 FROM WS-ISAM-BETA4
           END-IF
           IF WS-BETA5-SIGN = '+'
              ADD WS-BETA5 TO WS-ISAM-BETA5
           ELSE
              SUBTRACT WS-BETA5 FROM WS-ISAM-BETA5
           END-IF
           IF WS-BETA6-SIGN = '+'
              ADD WS-BETA6 TO WS-ISAM-BETA6
           ELSE
              SUBTRACT WS-BETA6 FROM WS-ISAM-BETA6
           END-IF
           IF WS-BETA7-SIGN = '+'
              ADD WS-BETA7 TO WS-ISAM-BETA7
           ELSE
              SUBTRACT WS-BETA7 FROM WS-ISAM-BETA7
           END-IF
           IF WS-BETA8-SIGN = '+'
              ADD WS-BETA8 TO WS-ISAM-BETA8
           ELSE
              SUBTRACT WS-BETA8 FROM WS-ISAM-BETA8
           END-IF
           IF WS-BETA9-SIGN = '+'
              ADD WS-BETA9 TO WS-ISAM-BETA9
           ELSE
              SUBTRACT WS-BETA9 FROM WS-ISAM-BETA9
           END-IF
           IF WS-BETA10-SIGN = '+'
              ADD WS-BETA10 TO WS-ISAM-BETA10
           ELSE
              SUBTRACT WS-BETA10 FROM WS-ISAM-BETA10
           END-IF
           IF WS-BETA11-SIGN = '+'
              ADD WS-BETA11 TO WS-ISAM-BETA11
           ELSE
              SUBTRACT WS-BETA11 FROM WS-ISAM-BETA11
           END-IF
           IF WS-BETA12-SIGN = '+'
              ADD WS-BETA12 TO WS-ISAM-BETA12
           ELSE
              SUBTRACT WS-BETA12 FROM WS-ISAM-BETA12
           END-IF
           IF WS-BETA13-SIGN = '+'
              ADD WS-BETA13 TO WS-ISAM-BETA13
           ELSE
              SUBTRACT WS-BETA13 FROM WS-ISAM-BETA13
           END-IF
           IF WS-BETA14-SIGN = '+'
              ADD WS-BETA14 TO WS-ISAM-BETA14
           ELSE
              SUBTRACT WS-BETA14 FROM WS-ISAM-BETA14
           END-IF
           IF WS-BETA15-SIGN = '+'
              ADD WS-BETA15 TO WS-ISAM-BETA15
           ELSE
              SUBTRACT WS-BETA15 FROM WS-ISAM-BETA15
           END-IF
           IF WS-BETA16-SIGN = '+'
              ADD WS-BETA16 TO WS-ISAM-BETA16
           ELSE
              SUBTRACT WS-BETA16 FROM WS-ISAM-BETA16
           END-IF
           IF WS-BETA17-SIGN = '+'
              ADD WS-BETA17 TO WS-ISAM-BETA17
           ELSE
              SUBTRACT WS-BETA17 FROM WS-ISAM-BETA17
           END-IF
           IF WS-BETA18-SIGN = '+'
              ADD WS-BETA18 TO WS-ISAM-BETA18
           ELSE
              SUBTRACT WS-BETA18 FROM WS-ISAM-BETA18
           END-IF
           IF WS-BETA19-SIGN = '+'
              ADD WS-BETA19 TO WS-ISAM-BETA19
           ELSE
              SUBTRACT WS-BETA19 FROM WS-ISAM-BETA19
           END-IF
           IF WS-BETA20-SIGN = '+'
              ADD WS-BETA20 TO WS-ISAM-BETA20
           ELSE
              SUBTRACT WS-BETA20 FROM WS-ISAM-BETA20
           END-IF
           IF WS-BETA20-SIGN = '+'
              ADD WS-BETA21 TO WS-ISAM-BETA21
           ELSE
              SUBTRACT WS-BETA21 FROM WS-ISAM-BETA21
           END-IF
      *    ************************************
           IF WS-PP1-SIGN = '+'
              ADD WS-PP1 TO WS-ISAM-PP1
           ELSE
              SUBTRACT WS-PP1 FROM WS-ISAM-PP1
           END-IF
           IF WS-PP2-SIGN = '+'
              ADD WS-PP2 TO WS-ISAM-PP2
           ELSE
              SUBTRACT WS-PP2 FROM WS-ISAM-PP2
           END-IF
           IF WS-PP3-SIGN = '+'
              ADD WS-PP3 TO WS-ISAM-PP3
           ELSE
              SUBTRACT WS-PP3 FROM WS-ISAM-PP3
           END-IF
      *    ************************************
           MOVE WS-DATE-LAST-RELEASED
             TO WS-ISAM-DATE-LAST-RELEASED
           MOVE WS-DATE-LAST-UPDATED
             TO WS-ISAM-DATE-LAST-UPDATED
           MOVE WS-DATE-FILED
             TO WS-ISAM-DATE-FILED
      *    ************************************

           IF WS-OUTPUT-SW = 'Y' OR WS-OUTPUT-SW = 'y'
              PERFORM 0200-SHOW-OUTPUT
                 THRU 0200-SHOW-OUTPUT-EXIT
           END-IF

           WRITE ADMVS-RECORD FROM WS-ISAM-REC
                 INVALID KEY
                    IF WS-OUTPUT-SW = 'Y' OR WS-OUTPUT-SW = 'y'
                       DISPLAY 'INVALID KEY ERROR - RECORD SKIPPED'
                       UPON CONSOLE
                    END-IF
                    ADD 1 TO WS-RECORDS-SKIPPED
                    WRITE ERROR-RECORD FROM WS-ISAM-REC
                    GO TO 0100-LOAD-ISAM-EXIT
                 NOT INVALID KEY
                    CONTINUE
           END-WRITE

           ADD 1 TO WS-RECORDS-ADDED.

       0100-LOAD-ISAM-EXIT.
           EXIT.


       0200-SHOW-OUTPUT.

           INITIALIZE WS-DISPLAY-FIELDS

           DISPLAY 'RECORD TYPE CODE: ',
           WS-RECORD-TYPE-CD, '     ', WS-ISAM-RECORD-TYPE-CD
           UPON CONSOLE
           DISPLAY 'RECORD TYPE SFX : ',
           WS-RECORD-TYPE-SFX, '     ', WS-ISAM-RECORD-TYPE-SFX
           UPON CONSOLE
           DISPLAY 'CROP YEAR       : ',
           WS-CROP-YEAR, '    ', WS-ISAM-CROP-YEAR
           UPON CONSOLE
           DISPLAY 'STATE CODE      : ',
           WS-STATE-CD, '    ', WS-ISAM-STATE-CD
           UPON CONSOLE
           DISPLAY 'CROP CODE       : ',
           WS-CROP-CD, '  ', WS-ISAM-CROP-CD
           UPON CONSOLE
           DISPLAY 'INS PLAN CD     : ',
           WS-INS-PLAN-CD, '  ', WS-ISAM-INS-PLAN-CD
           UPON CONSOLE
           DISPLAY '---------------------------'
           UPON CONSOLE
           MOVE WS-PRICE-VOL-FACTOR
             TO WS-INPUT-PRICE-VOL-FACTOR-X
           MOVE WS-ISAM-PRICE-VOL-FACTOR
             TO WS-ISAM-PRICE-VOL-FACTOR-X
           DISPLAY 'PRICE VOL FACTOR   : ',
           WS-INPUT-PRICE-VOL-FACTOR-X, '    ',
           WS-ISAM-PRICE-VOL-FACTOR-X
           UPON CONSOLE
           MOVE WS-OPT-UNIT-SURCHARGE
             TO WS-INPUT-OPT-UNIT-SURCHARGE-X
           MOVE WS-ISAM-OPT-UNIT-SURCHARGE
             TO WS-ISAM-OPT-UNIT-SURCHARGE-X
           DISPLAY 'OPT UNIT SURCHARGE : ',
           WS-INPUT-OPT-UNIT-SURCHARGE-X, '    ',
           WS-ISAM-OPT-UNIT-SURCHARGE-X
           UPON CONSOLE
           DISPLAY '---------------------------'
           UPON CONSOLE
           MOVE WS-BETA1 TO WS-INPUT-BETA-X
           MOVE WS-ISAM-BETA1 TO WS-ISAM-BETA-X
           DISPLAY 'BETA 01      : ', WS-BETA1-SIGN, ' ',
           WS-INPUT-BETA-X, '  ', WS-ISAM-BETA-X
           UPON CONSOLE
           MOVE WS-BETA2 TO WS-INPUT-BETA-X
           MOVE WS-ISAM-BETA2 TO WS-ISAM-BETA-X
           DISPLAY 'BETA 02      : ', WS-BETA2-SIGN, ' ',
           WS-INPUT-BETA-X, '  ', WS-ISAM-BETA-X
           UPON CONSOLE
           MOVE WS-BETA3 TO WS-INPUT-BETA-X
           MOVE WS-ISAM-BETA3 TO WS-ISAM-BETA-X
           DISPLAY 'BETA 03      : ', WS-BETA3-SIGN, ' ',
           WS-INPUT-BETA-X, '  ', WS-ISAM-BETA-X
           UPON CONSOLE
           MOVE WS-BETA4 TO WS-INPUT-BETA-X
           MOVE WS-ISAM-BETA4 TO WS-ISAM-BETA-X
           DISPLAY 'BETA 04      : ', WS-BETA4-SIGN, ' ',
           WS-INPUT-BETA-X, '  ', WS-ISAM-BETA-X
           UPON CONSOLE
           MOVE WS-BETA5 TO WS-INPUT-BETA-X
           MOVE WS-ISAM-BETA5 TO WS-ISAM-BETA-X
           DISPLAY 'BETA 05      : ', WS-BETA5-SIGN, ' ',
           WS-INPUT-BETA-X, '  ', WS-ISAM-BETA-X
           UPON CONSOLE
           MOVE WS-BETA6 TO WS-INPUT-BETA-X
           MOVE WS-ISAM-BETA6 TO WS-ISAM-BETA-X
           DISPLAY 'BETA 06      : ', WS-BETA6-SIGN, ' ',
           WS-INPUT-BETA-X, '  ', WS-ISAM-BETA-X
           UPON CONSOLE
           MOVE WS-BETA7 TO WS-INPUT-BETA-X
           MOVE WS-ISAM-BETA7 TO WS-ISAM-BETA-X
           DISPLAY 'BETA 07      : ', WS-BETA7-SIGN, ' ',
           WS-INPUT-BETA-X, '  ', WS-ISAM-BETA-X
           UPON CONSOLE
           MOVE WS-BETA8 TO WS-INPUT-BETA-X
           MOVE WS-ISAM-BETA8 TO WS-ISAM-BETA-X
           DISPLAY 'BETA 08      : ', WS-BETA8-SIGN, ' ',
           WS-INPUT-BETA-X, '  ', WS-ISAM-BETA-X
           UPON CONSOLE
           MOVE WS-BETA9 TO WS-INPUT-BETA-X
           MOVE WS-ISAM-BETA9 TO WS-ISAM-BETA-X
           DISPLAY 'BETA 09      : ', WS-BETA9-SIGN, ' ',
           WS-INPUT-BETA-X, '  ', WS-ISAM-BETA-X
           UPON CONSOLE
           MOVE WS-BETA10 TO WS-INPUT-BETA-X
           MOVE WS-ISAM-BETA10 TO WS-ISAM-BETA-X
           DISPLAY 'BETA 10      : ', WS-BETA10-SIGN, ' ',
           WS-INPUT-BETA-X, '  ', WS-ISAM-BETA-X
           UPON CONSOLE
           MOVE WS-BETA11 TO WS-INPUT-BETA-X
           MOVE WS-ISAM-BETA11 TO WS-ISAM-BETA-X
           DISPLAY 'BETA 11      : ', WS-BETA11-SIGN, ' ',
           WS-INPUT-BETA-X, '  ', WS-ISAM-BETA-X
           UPON CONSOLE
           MOVE WS-BETA12 TO WS-INPUT-BETA-X
           MOVE WS-ISAM-BETA12 TO WS-ISAM-BETA-X
           DISPLAY 'BETA 12      : ', WS-BETA12-SIGN, ' ',
           WS-INPUT-BETA-X, '  ', WS-ISAM-BETA-X
           UPON CONSOLE
           MOVE WS-BETA13 TO WS-INPUT-BETA-X
           MOVE WS-ISAM-BETA13 TO WS-ISAM-BETA-X
           DISPLAY 'BETA 13      : ', WS-BETA13-SIGN, ' ',
           WS-INPUT-BETA-X, '  ', WS-ISAM-BETA-X
           UPON CONSOLE
           MOVE WS-BETA14 TO WS-INPUT-BETA-X
           MOVE WS-ISAM-BETA14 TO WS-ISAM-BETA-X
           DISPLAY 'BETA 14      : ', WS-BETA14-SIGN, ' ',
           WS-INPUT-BETA-X, '  ', WS-ISAM-BETA-X
           UPON CONSOLE
           MOVE WS-BETA15 TO WS-INPUT-BETA-X
           MOVE WS-ISAM-BETA15 TO WS-ISAM-BETA-X
           DISPLAY 'BETA 15      : ', WS-BETA15-SIGN, ' ',
           WS-INPUT-BETA-X, '  ', WS-ISAM-BETA-X
           UPON CONSOLE
           MOVE WS-BETA16 TO WS-INPUT-BETA-X
           MOVE WS-ISAM-BETA16 TO WS-ISAM-BETA-X
           DISPLAY 'BETA 16      : ', WS-BETA16-SIGN, ' ',
           WS-INPUT-BETA-X, '  ', WS-ISAM-BETA-X
           UPON CONSOLE
           MOVE WS-BETA17 TO WS-INPUT-BETA-X
           MOVE WS-ISAM-BETA17 TO WS-ISAM-BETA-X
           DISPLAY 'BETA 17      : ', WS-BETA17-SIGN, ' ',
           WS-INPUT-BETA-X, '  ', WS-ISAM-BETA-X
           UPON CONSOLE
           MOVE WS-BETA18 TO WS-INPUT-BETA-X
           MOVE WS-ISAM-BETA18 TO WS-ISAM-BETA-X
           DISPLAY 'BETA 18      : ', WS-BETA18-SIGN, ' ',
           WS-INPUT-BETA-X, '  ', WS-ISAM-BETA-X
           UPON CONSOLE
           MOVE WS-BETA19 TO WS-INPUT-BETA-X
           MOVE WS-ISAM-BETA19 TO WS-ISAM-BETA-X
           DISPLAY 'BETA 19      : ', WS-BETA19-SIGN, ' ',
           WS-INPUT-BETA-X, '  ', WS-ISAM-BETA-X
           UPON CONSOLE
           MOVE WS-BETA20 TO WS-INPUT-BETA-X
           MOVE WS-ISAM-BETA20 TO WS-ISAM-BETA-X
           DISPLAY 'BETA 20      : ', WS-BETA20-SIGN, ' ',
           WS-INPUT-BETA-X, '  ', WS-ISAM-BETA-X
           UPON CONSOLE
           MOVE WS-BETA21 TO WS-INPUT-BETA-X
           MOVE WS-ISAM-BETA21 TO WS-ISAM-BETA-X
           DISPLAY 'BETA 21      : ', WS-BETA21-SIGN, ' ',
           WS-INPUT-BETA-X, '  ', WS-ISAM-BETA-X
           UPON CONSOLE
           DISPLAY '---------------------------'
           UPON CONSOLE
           MOVE WS-PP1 TO WS-INPUT-PP-X
           MOVE WS-ISAM-PP1 TO WS-ISAM-PP-X
           DISPLAY 'PP 01        : ', WS-PP1-SIGN, ' ',
           WS-INPUT-PP-X, '  ', WS-ISAM-PP-X
           UPON CONSOLE
           MOVE WS-PP2 TO WS-INPUT-PP-X
           MOVE WS-ISAM-PP2 TO WS-ISAM-PP-X
           DISPLAY 'PP 02        : ', WS-PP2-SIGN, ' ',
           WS-INPUT-PP-X, '  ', WS-ISAM-PP-X
           UPON CONSOLE
           MOVE WS-PP3 TO WS-INPUT-PP-X
           MOVE WS-ISAM-PP3 TO WS-ISAM-PP-X
           DISPLAY 'PP 03        : ', WS-PP3-SIGN, ' ',
           WS-INPUT-PP-X, '  ', WS-ISAM-PP-X
           UPON CONSOLE
           DISPLAY '---------------------------'
           UPON CONSOLE
           DISPLAY 'FILLER               : ',
           WS-BIG-FILLER UPON CONSOLE
           DISPLAY '---------------------------'
             UPON CONSOLE
           DISPLAY 'DATE LAST RELEASED: ',
           WS-DATE-LAST-RELEASED, '  ', WS-ISAM-DATE-LAST-RELEASED
           UPON CONSOLE
           DISPLAY 'DATE LAST UPDATED : ',
           WS-DATE-LAST-UPDATED, '  ', WS-ISAM-DATE-LAST-UPDATED
           UPON CONSOLE
           DISPLAY 'DATE FILED        : ',
           WS-DATE-FILED, '  ', WS-ISAM-DATE-FILED
           UPON CONSOLE
           DISPLAY ' ' UPON CONSOLE
           DISPLAY ' ' UPON CONSOLE.

       0200-SHOW-OUTPUT-EXIT.
           EXIT.
