      ***************************************************************
      * File:      M0200.CBL
      * Author:    Mike Ray
      * Date:      8/13/95
      * Purpose:
      *    This paragraph performs all validation and sequencing
      *    logic.
      * Contains:
      *    M0205.CBL    0205-PROCESS-POLICY-CHG
      *    M0210.CBL    0210-PROCESS-CROP-CHG
      *    M0211.CBL    0211-LOOKUP-CROP-POL-TYPE
      *    M0215.CBL    0215-PROCESS-CROP-TRAN
      *    M0220.CBL    0220-PROCESS-POLICY-TRAN
      *    M0225.CBL    0225-PROCESS-RO-TRAN
      *    M0230.CBL    0230-PROCESS-INQUIRY
      *    M0240.CBL    0240-PROCESS-TRAILER
      ***************************************************************

       0200-PROCESS-TRANSACTIONS.

      $IF DEBUG-SW DEFINED
           DISPLAY '0200-PROCESS-TRANSACTIONS'
           UPON CONSOLE
      $END

      ******************************************************
      *    READ A TRANSACTION                              *
      ******************************************************

           PERFORM 0905-READ-TRANSACTION
              THRU 0905-READ-TRANSACTION-EXIT

           IF WS-0004-END-BATCH-FLAG = WS-LITERAL-YES
              PERFORM 0240-PROCESS-TRAILER
                 THRU 0240-PROCESS-TRAILER-EXIT
              GO TO 0200-PROCESS-EXIT
           END-IF

      ******************************************************
      *    CHECK FOR GARBAGE CHARACTERS IN ENTIRE RECORD   *
      ******************************************************

           INITIALIZE WS-0200-GARBAGE-CHECK
           PERFORM 0200-CHECK-4-GARBAGE THRU 0200-CHECK-4-GARBAGE-EXIT
               VARYING WS-0200-CHAR-COUNT FROM 1 BY 1
                   UNTIL WS-0200-CHAR-COUNT > 350

           IF WS-0200-INVALID-CHAR  = WS-LITERAL-YES
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE 00000 TO WS-8000-ERROR-CODE
              MOVE 'RECORD' TO WS-8000-FIELD-NAME1
              MOVE 'INVALID CHRCTER' TO WS-8000-BAD-DATA1
              MOVE 'REPLACED WITH @' TO WS-8000-CORR-DATA1
              MOVE 0200 TO WS-8000-PARAGRAPH-NO
              MOVE WS-TRAN-TYPE TO WS-8000-TRAN-TYPE
              MOVE WS-POLICY-NO
                TO WS-8000-POLICY-NO
              MOVE WS-0004-TRAN-SEQ-NO
                TO WS-8000-TRAN-SEQ-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              INITIALIZE WS-0920-REJECT-REC
              MOVE WS-TRAN-400 TO WS-0920-REJECT-REC
              MOVE WS-0007-TRANSACTION-SOURCE
                TO WS-0920-TRAN-SOURCE-FLAG
              MOVE WS-0007-REJECT-TRANSACTION
                TO WS-0920-TRAN-REJECTED-FLAG
              PERFORM 0920-REJECT-TRANSACTION
                 THRU 0920-REJECT-TRANSACTION-EXIT
      *       GO TO 0200-PROCESS-EXIT
           END-IF

      ******************************************************
      *    CHECK VALIDATION PRE-CONDITIONS                 *
      ******************************************************

           IF ERROR-REC-TYPE = WS-LITERAL-YES
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE 90036 TO WS-8000-ERROR-CODE
              MOVE WS-LITERAL-REC-TYPE TO WS-8000-FIELD-NAME1
              MOVE WS-TRAN-TYPE TO WS-8000-BAD-DATA1
              MOVE '10-12, 14-16,' TO WS-8000-CORR-DATA1
              MOVE '20-21, 33, 49,' TO WS-8000-CORR-DATA2
              MOVE '50, 55-56, 65,97' TO WS-8000-CORR-DATA3
              MOVE 0200 TO WS-8000-PARAGRAPH-NO
              MOVE WS-TRAN-TYPE TO WS-8000-TRAN-TYPE
              MOVE WS-POLICY-NO
                TO WS-8000-POLICY-NO
              MOVE WS-0004-TRAN-SEQ-NO
                TO WS-8000-TRAN-SEQ-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              INITIALIZE WS-0920-REJECT-REC
              MOVE WS-TRAN-400 TO WS-0920-REJECT-REC
              MOVE WS-0007-TRANSACTION-SOURCE
                TO WS-0920-TRAN-SOURCE-FLAG
              MOVE WS-0007-REJECT-TRANSACTION
                TO WS-0920-TRAN-REJECTED-FLAG
              PERFORM 0920-REJECT-TRANSACTION
                 THRU 0920-REJECT-TRANSACTION-EXIT
              GO TO 0200-PROCESS-EXIT
           END-IF

           IF NOT VALID-TRAN-TYPE
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE 90036 TO WS-8000-ERROR-CODE
              MOVE WS-LITERAL-REC-TYPE TO WS-8000-FIELD-NAME1
              MOVE WS-TRAN-TYPE TO WS-8000-BAD-DATA1
              MOVE '10-12, 14-16,' TO WS-8000-CORR-DATA1
              MOVE '20-21, 33, 49,' TO WS-8000-CORR-DATA2
              MOVE '50, 55-56, 65,97' TO WS-8000-CORR-DATA3
              MOVE 0200 TO WS-8000-PARAGRAPH-NO
              MOVE WS-TRAN-TYPE TO WS-8000-TRAN-TYPE
              MOVE WS-POLICY-NO
                TO WS-8000-POLICY-NO
              MOVE WS-0004-TRAN-SEQ-NO
                TO WS-8000-TRAN-SEQ-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              INITIALIZE WS-0940-HOLD-REC
              MOVE WS-TRAN-400 TO WS-0940-HOLD-REC
              MOVE WS-LITERAL-YES TO WS-0940-TRAN-REJECTED-FLAG
              MOVE WS-0007-TRANSACTION-SOURCE
                TO WS-0940-TRAN-SOURCE-FLAG
              PERFORM 7099-BUFFER-POLICY-RECORD
                 THRU 7099-BUFFER-POLICY-RECORD-EXIT
              GO TO 0200-PROCESS-EXIT
           END-IF

           IF UNIMPLEMENTED-TRAN
              INITIALIZE WS-0925-SUSPEND-REC
              MOVE WS-TRAN-400 TO WS-0925-SUSPEND-REC
              MOVE WS-0007-TRANSACTION-SOURCE
                TO WS-0925-TRAN-SOURCE-FLAG
              MOVE WS-0007-REJECT-TRANSACTION
                TO WS-0925-TRAN-REJECTED-FLAG
              PERFORM 0925-SUSPEND-TRANSACTION
                 THRU 0925-SUSPEND-TRANSACTION-EXIT
              GO TO 0200-PROCESS-EXIT
           END-IF

      ******************************************************
      *          CHECK FOR UNIMPLEMENTED CROPS/PLANS       *
      ******************************************************

      ******************************************************
      *          SUSPEND UNIMPLEMENTED TRANSACTIONS        *
      ******************************************************

           IF WS-0007-SUSPEND-TRANSACTION = WS-LITERAL-YES
              INITIALIZE WS-0925-SUSPEND-REC
              MOVE WS-TRAN-400 TO WS-0925-SUSPEND-REC
              MOVE WS-0007-TRANSACTION-SOURCE
                TO WS-0925-TRAN-SOURCE-FLAG
              MOVE WS-0007-REJECT-TRANSACTION
                TO WS-0925-TRAN-REJECTED-FLAG
              PERFORM 0925-SUSPEND-TRANSACTION
                 THRU 0925-SUSPEND-TRANSACTION-EXIT
              GO TO 0200-PROCESS-EXIT
           END-IF

      ******************************************************
      *          BEGIN FIELD VALIDATION                    *
      ******************************************************

           PERFORM 1000-FIELD-VALIDATION
              THRU 1000-FIELD-VALIDATION-EXIT

      $IF DEBUG-SW DEFINED
           DISPLAY '0200-FIELD VALIDATION COMPLETE'
           UPON CONSOLE
      $END

      ******************************************************
      *          BEGIN INTER-FIELD VALIDATION              *
      ******************************************************

           PERFORM 2000-IF-VALIDATION
              THRU 2000-IF-VALIDATION-EXIT

      $IF DEBUG-SW DEFINED
           DISPLAY '0200-INTER-FIELD VALIDATION COMPLETE'
           UPON CONSOLE.
      $END


      ******************************************************
      *          PROCESS POLICY TRANSACTIONS               *
      ******************************************************
           IF POLICY-TRANS
      *       *** IF THE BASIC POLICY KEY OF THE RECORD IS
      *       *** IN ERROR, THROW IT OUT.
              IF WS-0007-POLICY-NO-ERROR = WS-LITERAL-YES
                 INITIALIZE WS-0940-HOLD-REC
                 MOVE WS-TRAN-400 TO WS-0940-HOLD-REC
                 MOVE WS-LITERAL-YES TO WS-0940-TRAN-REJECTED-FLAG
                 MOVE WS-0007-TRANSACTION-SOURCE
                   TO WS-0940-TRAN-SOURCE-FLAG
                 PERFORM 7099-BUFFER-POLICY-RECORD
                    THRU 7099-BUFFER-POLICY-RECORD-EXIT
                 GO TO 0200-PROCESS-EXIT
              END-IF

      *       *** SEE IF THIS RECORD INDICATES A NEW POLICY ***
              INITIALIZE WS-0200-NEW-POLICY-NO
              MOVE WS-POLICY-NO TO WS-0200-NEW-POLICY-NO
              IF WS-0005-CURRENT-POLICY-NO <> WS-0200-NEW-POLICY-NO
                 PERFORM 0205-PROCESS-POLICY-CHG
                    THRU 0205-PROCESS-POLICY-CHG-EXIT
                 GO TO 0200-PROCESS-EXIT
              END-IF

      *       *** TEST FOR A DUPLICATE POLICY RECORD ***
              IF TYPE10 AND T10-POLICY-RECORD
                 MOVE 10062 TO WS-8000-ERROR-CODE
                 MOVE WS-LITERAL-IR TO WS-8000-ERROR-TYPE
                 MOVE WS-0004-TRAN-SEQ-NO
                   TO WS-8000-TRAN-SEQ-NO
                 MOVE 'POLICY RECORD' TO WS-8000-FIELD-NAME1
                 MOVE 0200 TO WS-8000-PARAGRAPH-NO
                 MOVE WS-TRAN-TYPE TO WS-8000-TRAN-TYPE
                 MOVE WS-POLICY-NO
                   TO WS-8000-POLICY-NO
                 PERFORM 8000-RECORD-TRAN-ERROR
                    THRU 8000-RECORD-TRAN-ERROR-EXIT
                 INITIALIZE WS-0940-HOLD-REC
                 MOVE WS-TRAN-400 TO WS-0940-HOLD-REC
                 MOVE WS-LITERAL-YES
                   TO WS-0940-TRAN-REJECTED-FLAG
                 MOVE WS-LITERAL-YES TO WS-0005-REJECT-POLICY-FLAG
                 MOVE WS-0007-TRANSACTION-SOURCE
                   TO WS-0940-TRAN-SOURCE-FLAG
                 PERFORM 7099-BUFFER-POLICY-RECORD
                    THRU 7099-BUFFER-POLICY-RECORD-EXIT
                 GO TO 0200-PROCESS-EXIT
              END-IF

      *       *** THE CURRENT POLICY HAS BEEN REJECTED ***
              IF WS-0005-REJECT-POLICY-FLAG = WS-LITERAL-YES
      *          *** IF THIS IS THE ONLY ERROR RECORD IT
                 IF WS-0007-REJECT-TRANSACTION <> WS-LITERAL-YES
                    MOVE WS-TRAN-TYPE
                      TO WS-8000-ERROR-TRAN-TYPE
                    MOVE 034 TO WS-8000-SHORT-ERROR
                    MOVE WS-LITERAL-IR TO WS-8000-ERROR-TYPE
                    MOVE WS-0004-TRAN-SEQ-NO
                      TO WS-8000-TRAN-SEQ-NO
                    MOVE WS-LITERAL-YES
                      TO WS-0007-REJECT-TRANSACTION
                    MOVE WS-LITERAL-YES
                      TO WS-TRAN-REJ-FLAG
                    MOVE 'TYPE 10' TO WS-8000-FIELD-NAME1
                    MOVE 'REC 001' TO WS-8000-BAD-DATA1
                    MOVE 0200 TO WS-8000-PARAGRAPH-NO
                    MOVE WS-TRAN-TYPE TO WS-8000-TRAN-TYPE
                    MOVE WS-POLICY-NO
                      TO WS-8000-POLICY-NO
                    PERFORM 8000-RECORD-TRAN-ERROR
                       THRU 8000-RECORD-TRAN-ERROR-EXIT
                 END-IF
              END-IF

      *       *** IF THIS IS A POLICY TRANSACTION THAT IS NOT
      *       *** ALSO A CROP TRANSACTION, PROCESS IT AND YOU
      *       *** ARE READY FOR THE NEXT TRANSACITON.
              IF NOT CROP-TRANS
                 PERFORM 0220-PROCESS-POLICY-TRAN
                    THRU 0220-PROCESS-POLICY-TRAN-EXIT
                 GO TO 0200-PROCESS-EXIT
              END-IF
           END-IF

      ******************************************************
      *            PROCESS CROP TRANSACTIONS               *
      * ALL CROP TRANSACTIONS ARE ALSO POLICY TRANSACTIONS *
      * AND WILL HAVE BEEN PROCESSED TO SOME EXTENT BY THE *
      * POLICY LOGIC ABOVE.
      ******************************************************

           IF CROP-TRANS
              INITIALIZE WS-0200-NEW-CROP-POLICY
              EVALUATE TRUE
                  WHEN TYPE11
                    MOVE WS-T11-LOCATION-COUNTY
                      TO WS-0200-LOCATION-COUNTY
                    MOVE WS-T11-INSUR-PLAN-CD
                      TO WS-0200-INS-PLAN-CD
                    MOVE WS-T11-CROP-CD
                      TO WS-0200-CROP-CODE
                  WHEN TYPE14
                    MOVE WS-T14-LOCATION-COUNTY
                      TO WS-0200-LOCATION-COUNTY
                    MOVE WS-T14-INSURANCE-PLAN-ID
                      TO WS-0200-INS-PLAN-CD
                    MOVE WS-T14-CROP-CD
                      TO WS-0200-CROP-CODE
                  WHEN TYPE15
                    MOVE WS-T15-LOCATION-COUNTY
                      TO WS-0200-LOCATION-COUNTY
                    MOVE WS-T15-INS-PLAN-CD
                      TO WS-0200-INS-PLAN-CD
                    MOVE WS-T15-CROP-CD
                      TO WS-0200-CROP-CODE
                  WHEN TYPE21
                    MOVE WS-T21-LOCATION-COUNTY
                      TO WS-0200-LOCATION-COUNTY
                    MOVE WS-T21-INS-PLAN-CD
                      TO WS-0200-INS-PLAN-CD
                    MOVE WS-T21-CROP-CD
                      TO WS-0200-CROP-CODE
                  WHEN OTHER
                   MOVE 0200 TO WS-8020-PARAGRAPH-NO
                   MOVE 90005 TO WS-8020-INT-ERROR-NO
                   MOVE 'WS-TRAN-TYPE'
                     TO WS-8020-FIELD-NAME
                   MOVE WS-TRAN-TYPE TO WS-8020-BAD-DATA
                   PERFORM 8020-RECORD-INT-ERROR
                      THRU 8020-RECORD-INT-ERROR-EXIT
              END-EVALUATE

      $IF DEBUG-SW DEFINED
           DISPLAY 'COMPARING INPUT CROP POLICY TO HELD CROP POLICY'
           UPON CONSOLE
           DISPLAY 'INPUT CROP POLICY = ', WS-0200-LOCATION-COUNTY,
                   '-', WS-0200-INS-PLAN-CD, '-', WS-0200-CROP-CODE
           UPON CONSOLE
           DISPLAY 'HELD CROP POLICY = ', WS-0006-LOC-COUNTY, '-',
                   WS-0006-INS-PLAN-CD, '-', WS-0006-CROP-CODE
           UPON CONSOLE
      $END

              IF WS-0006-LOC-COUNTY <> WS-0200-LOCATION-COUNTY OR
      *          WS-0006-INS-PLAN-CD <> WS-0200-INS-PLAN-CD OR
                 WS-0006-CROP-CODE <> WS-0200-CROP-CODE
      *          *** FOR REVENUE ASSURANCE, TREAT MULTIPLE CROPS
      *          *** AS A SINGLE CROP. PROCESS CHANGES WHEN THE
      *          *** COUNTY OR PLAN CHANGES.
                 IF WS-0006-INS-PLAN-CD = WS-LITERAL-RA AND
                    WS-0006-INS-PLAN-CD = WS-0200-INS-PLAN-CD AND
                    WS-0006-LOC-COUNTY = WS-0200-LOCATION-COUNTY
                    MOVE WS-0200-CROP-CODE
                      TO WS-0006-CROP-CODE
                 ELSE
                    PERFORM 0210-PROCESS-CROP-CHG
                       THRU 0210-PROCESS-CROP-CHG-EXIT
                 END-IF
              END-IF

              PERFORM 0215-PROCESS-CROP-TRAN
                 THRU 0215-PROCESS-CROP-TRAN-EXIT
              GO TO 0200-PROCESS-EXIT
           END-IF


      ******************************************************
      *   PROCESS ANY HELD POLICY DATA BEFORE PROCESSING   *
      *   NON-POLICY TRANSACTIONS                          *
      ******************************************************
           IF (WS-0005-CURRENT-POLICY-NO <> SPACES OR
              WS-0099-T99-REC-COUNT > ZERO)
      *       IF WS-0006-CROP-CODE <> ZEROS
                 PERFORM 3100-PROCESS-HELD-CROP
                    THRU 3100-PROCESS-HELD-CROP-EXIT
                 PERFORM 0125-INITIALIZE-CROP-POL
                    THRU 0125-INITIALIZE-CROP-POL-EXIT
      *       END-IF
              PERFORM 3200-PROCESS-HELD-POLICY
                 THRU 3200-PROCESS-HELD-POLICY-EXIT
              PERFORM 0120-INITIALIZE-POLICY
                 THRU 0120-INITIALIZE-POLICY-EXIT
              PERFORM 0160-INIT-POLICY-TABLES
                 THRU 0160-INIT-POLICY-TABLES-EXIT
           END-IF

      ******************************************************
      *   PROCESS INSURANCE PROVIDER (IP) TRANSACTIONS     *
      ******************************************************
           IF RO-TRANS
              PERFORM 0225-PROCESS-RO-TRAN
                 THRU 0225-PROCESS-RO-TRAN-EXIT
              GO TO 0200-PROCESS-EXIT
           END-IF

      ******************************************************
      *       PROCESS INQUIRY TRANSACTIONS                 *
      ******************************************************
           IF INQUIRY-TRANS
              PERFORM 0230-PROCESS-INQUIRY
                 THRU 0230-PROCESS-INQUIRY-EXIT
              GO TO 0200-PROCESS-EXIT
           END-IF

      ******************************************************
      *       PROCESS TRAILER TRANSACTIONS                 *
      ******************************************************
           IF TYPE97
              IF WS-0004-TRAN-SEQ-NO > 1
                 MOVE WS-LITERAL-YES TO WS-0004-END-BATCH-FLAG
                 PERFORM 0240-PROCESS-TRAILER
                    THRU 0240-PROCESS-TRAILER-EXIT
              END-IF
              GO TO 0200-PROCESS-EXIT
           END-IF

      ******************************************************
      *        PROCESS HEADER TRANSACTIONS                 *
      ******************************************************
           IF TYPE00
              GO TO 0200-PROCESS-EXIT
           END-IF

      ******************************************************
      *        TRAP ANY OTHER UNKNOWN TRANSACTION TYPE     *
      ******************************************************
           MOVE 0200 TO WS-8020-PARAGRAPH-NO
           MOVE 90036 TO WS-8020-INT-ERROR-NO
           MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
           MOVE WS-LITERAL-REC-TYPE TO WS-8020-FIELD-NAME
           PERFORM 8020-RECORD-INT-ERROR
              THRU 8020-RECORD-INT-ERROR-EXIT.


       0200-PROCESS-EXIT.
           EXIT.

       0200-CHECK-4-GARBAGE.

           IF WS-TRAN-400 (WS-0200-CHAR-COUNT : 1) < " "

      $IF DEBUG-SW DEFINED
           DISPLAY 'GARBAGE CHARACTER = ' WS-TRAN-400 
              (WS-0200-CHAR-COUNT : 1)
      $END

              MOVE '@' TO WS-TRAN-400 (WS-0200-CHAR-COUNT : 1)
              MOVE WS-LITERAL-YES TO WS-0200-INVALID-CHAR
           END-IF.

       0200-CHECK-4-GARBAGE-EXIT.

       COPY 'PROCESS/M0205.CBL'.
       COPY 'PROCESS/M0210.CBL'.
       COPY 'PROCESS/M0211.CBL'.
       COPY 'PROCESS/M0215.CBL'.
       COPY 'PROCESS/M0220.CBL'.
       COPY 'PROCESS/M0225.CBL'.
       COPY 'PROCESS/M0230.CBL'.
       COPY 'PROCESS/M0240.CBL'.
