      ***************************************************************
      * File:      M0205.CBL
      * Author:    Mike Ray
      * Date:      8/17/95
      * Purpose:
      *    This paragraph makes all of the changes and performs the
      *    validations and updates necessary when the policy number
      *    changes. This entails performing any necessary inter-record
      *    validation on a held crop, updating the held policy file,
      *    performing any policy level inter-record validations, reading
      *    from the held transaction file and writing to the accepted
      *    and rejected transaction files as appropriate.
      ***************************************************************

       0205-PROCESS-POLICY-CHG.

      $IF DEBUG-SW DEFINED
           DISPLAY '0205-PROCESSING POLICY CHANGE'
           UPON CONSOLE
      $END

           IF (WS-0005-CURRENT-POLICY-NO = SPACES AND
              WS-0099-T99-REC-COUNT = ZERO)
              PERFORM 0120-INITIALIZE-POLICY
                 THRU 0120-INITIALIZE-POLICY-EXIT
              PERFORM 0160-INIT-POLICY-TABLES
                 THRU 0160-INIT-POLICY-TABLES-EXIT

           ELSE
      *       IF WS-0006-CROP-CODE <> ZEROS
                 PERFORM 3100-PROCESS-HELD-CROP
                    THRU 3100-PROCESS-HELD-CROP-EXIT
                 PERFORM 0125-INITIALIZE-CROP-POL
                    THRU 0125-INITIALIZE-CROP-POL-EXIT
      *       END-IF

              PERFORM 3200-PROCESS-HELD-POLICY
                 THRU 3200-PROCESS-HELD-POLICY-EXIT
              PERFORM 0120-INITIALIZE-POLICY
                 THRU 0120-INITIALIZE-POLICY-EXIT
              PERFORM 0160-INIT-POLICY-TABLES
                 THRU 0160-INIT-POLICY-TABLES-EXIT
           END-IF

           INITIALIZE WS-0575-INPUT
           MOVE 'das97.off'
             TO WS-0575-INPUT-FILE-NAME
           PERFORM 0575-TEST-FILE-NAME
              THRU 0575-TEST-FILE-NAME-EXIT
           IF FILE-EXISTS-0575
              MOVE WS-LITERAL-YES
                TO WS-0004-EXT-STOP-DAS-FLAG
              MOVE 0205 TO WS-8020-PARAGRAPH-NO
              MOVE 90053 TO WS-8020-INT-ERROR-NO
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              MOVE WS-LITERAL-REC-TYPE TO WS-8020-FIELD-NAME
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

      ***************************************************************
      *    PROCESS NEW POLICY TRANSACTION
      ***************************************************************

           IF TYPE10 AND T10-POLICY-RECORD
      *       *** MOVE THE INPUT TRANSACTION TO WS0005 ***
              MOVE WS-TRAN-400 TO WS-0005-CURRENT-POLICY-RECORD
              MOVE WS-LITERAL-INPUT TO WS-0005-POLICY-SOURCE-FLAG
              MOVE WS-0007-REJECT-TRANSACTION
                TO WS-0005-REJECT-POLICY-FLAG
              MOVE WS-0007-REJECT-TRANSACTION
                TO WS-0005-ERROR-RECORDED
              MOVE WS-0004-TRAN-SEQ-NO TO WS-0005-TRAN-SEQ-NO
              MOVE WS-0004-BATCH-NO TO WS-0005-BATCH-NO
              IF WS-0005-TRAN-SEQ-NO IS NOT NUMERIC OR
                 WS-0004-TRAN-SEQ-NO = ZEROS
                 DISPLAY '0205-MOVE TO 0005 FAILED'
                 UPON CONSOLE
              END-IF
           ELSE
      *       *** LEAVE WS0005 BLANK SO THAT THE NEXT VALID TRANSACTION
      *       *** CAN POPULATE IT.

      *       HERE WE WOULD LOOK UP THE APPROPRIATE TYPE 10 001 RECORD
      *       IF WE HAD A DATABASE; BUT WE DON'T SO WE REJECT IT.
              MOVE 00035 TO WS-8000-ERROR-CODE
              MOVE WS-LITERAL-IR TO WS-8000-ERROR-TYPE
              MOVE WS-0004-TRAN-SEQ-NO TO WS-8000-TRAN-SEQ-NO
              MOVE 0205 TO WS-8000-PARAGRAPH-NO
              MOVE WS-TRAN-TYPE TO WS-8000-TRAN-TYPE
              MOVE WS-POLICY-NO
                TO WS-8000-POLICY-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              INITIALIZE WS-0940-HOLD-REC
              MOVE WS-TRAN-400 TO WS-0940-HOLD-REC
              MOVE WS-LITERAL-YES
                TO WS-0940-TRAN-REJECTED-FLAG
              MOVE WS-0007-TRANSACTION-SOURCE
                TO WS-0940-TRAN-SOURCE-FLAG
      *       *****************************************************
      *       *  0920-REJECT TRANSACTION USES A REDEFINED VERSION *
      *       *  OF WS-0940-HOLD-REC (NO MOVE IS NECESSARY).      *
      *       *****************************************************
               PERFORM 0920-REJECT-TRANSACTION
                  THRU 0920-REJECT-TRANSACTION-EXIT
           END-IF.


       0205-PROCESS-POLICY-CHG-EXIT.
           EXIT.


