      ***************************************************************
      * File:      M0210.CBL
      * Author:    Mike Ray
      * Date:      8/17/95
      * Purpose:
      *    This paragraph performs all of the updates and validation
      *    necessary when the current crop changes. This entails
      *    performing the inter-record validations for the current
      *    held crop, writing the held transactions out to the
      *    transaction hold file, and updating any global status variables.
      ***************************************************************

       0210-PROCESS-CROP-CHG.

      $IF DEBUG-SW DEFINED
           DISPLAY '0210-PROCESSING CROP CHANGE'
           UPON CONSOLE
      $END

           IF WS-0006-CROP-CODE <> SPACES
      ***************************************************************
      *    PROCESS HELD CROP
      ***************************************************************
              PERFORM 3100-PROCESS-HELD-CROP
                 THRU 3100-PROCESS-HELD-CROP-EXIT
              PERFORM 0125-INITIALIZE-CROP-POL
                 THRU 0125-INITIALIZE-CROP-POL-EXIT
           END-IF

           PERFORM 0210-SET-CURRENT-CROP
              THRU 0210-SET-CURRENT-CROP-EXIT.


       0210-PROCESS-CROP-CHG-EXIT.
           EXIT.


       0210-SET-CURRENT-CROP.

           MOVE WS-LITERAL-NO TO WS-0006-REJECT-14S-FLAG
           MOVE WS-LITERAL-NO TO WS-0006-REJECT-15S-FLAG
           MOVE WS-LITERAL-NO TO WS-0006-REJECT-11S-FLAG
           MOVE WS-LITERAL-NO TO WS-0006-REJECT-21S-FLAG
           EVALUATE TRUE
               WHEN TYPE11
                  MOVE WS-T11-LOCATION-COUNTY
                    TO WS-0006-LOC-COUNTY
                  MOVE WS-T11-INSUR-PLAN-CD
                    TO WS-0006-INS-PLAN-CD
                  MOVE WS-T11-CROP-CD TO WS-0006-CROP-CODE
               WHEN TYPE14
                  MOVE WS-T14-LOCATION-COUNTY
                    TO WS-0006-LOC-COUNTY
                  MOVE WS-T14-INSURANCE-PLAN-ID
                    TO WS-0006-INS-PLAN-CD
                  MOVE WS-T14-CROP-CD TO WS-0006-CROP-CODE
               WHEN TYPE15
                  MOVE WS-T15-LOCATION-COUNTY
                    TO WS-0006-LOC-COUNTY
                  MOVE WS-T15-INS-PLAN-CD
                    TO WS-0006-INS-PLAN-CD
                  MOVE WS-T15-CROP-CD TO WS-0006-CROP-CODE
               WHEN TYPE21
                  MOVE WS-T21-LOCATION-COUNTY
                    TO WS-0006-LOC-COUNTY
                  MOVE WS-T21-INS-PLAN-CD
                    TO WS-0006-INS-PLAN-CD
                  MOVE WS-T21-CROP-CD TO WS-0006-CROP-CODE
               WHEN OTHER
                 MOVE 0210 TO WS-8020-PARAGRAPH-NO
                 MOVE 90005 TO WS-8020-INT-ERROR-NO
                 MOVE WS-LITERAL-REC-TYPE TO WS-8020-FIELD-NAME
                 MOVE WS-TRAN-TYPE TO WS-8020-BAD-DATA
                 PERFORM 8020-RECORD-INT-ERROR
                    THRU 8020-RECORD-INT-ERROR-EXIT
           END-EVALUATE.

      $IF DEBUG-SW DEFINED
           DISPLAY 'CURRENT CROP SET TO ', WS-0006-CROP-CODE
           UPON CONSOLE.
      $END


       0210-SET-CURRENT-CROP-EXIT.
           EXIT.




