      ***************************************************************
      * File:      M0215.CBL
      * Author:    Mike Ray
      * Date:      8/17/95
      * Purpose:
      *    This paragraph performs the necessary validation and lookup
      *    of associated transactions for a new crop transaction and
      *    then stores the new transaction and the associated
      *    transactions in the appropriate tables, updating or deleting
      *    records in those tables as necessary and updating global
      *    status variables as necessary.
      ***************************************************************

       0215-PROCESS-CROP-TRAN.

      $IF DEBUG-SW DEFINED
           DISPLAY '0215-PROCESSING CROP TRANSACTION'
           UPON CONSOLE
      $END


      *************************************************
      *    ADD TRANSACTION TO THE APPROPRIATE TABLE   *
      *************************************************

           EVALUATE TRUE
               WHEN TYPE11
                  INITIALIZE WS-7010-INPUT
                  INITIALIZE WS-7010-TYPE-11
                  MOVE WS-TRAN-400 TO WS-7010-TYPE-11
                  MOVE WS-2011-PREMIUM-GPA
                    TO WS-7010-PREMIUM-GPA
                  MOVE WS-2011-PREMIUM-GUARANTEE
                    TO WS-7010-PREMIUM-GUARANTEE
                  MOVE WS-2011-LOW-YLD-QTY
                    TO WS-7010-LOW-YIELD
                  MOVE WS-2011-HIGH-YLD-QTY
                    TO WS-7010-HIGH-YIELD
                  MOVE WS-2011-CALC-RA-CVG-PCT
                    TO WS-7010-CALC-REV-CVG-PCT
                  IF WS-0007-REJECT-TRANSACTION = WS-LITERAL-YES
                     MOVE WS-LITERAL-YES TO WS-0006-REJECT-11S-FLAG
                  END-IF
                  PERFORM 7010-ADD-T11-RECORD
                     THRU 7010-ADD-T11-RECORD-EXIT
                  MOVE ZEROS TO WS-2537-FARM-APRV-AVG-REVENUE

               WHEN TYPE14
                  INITIALIZE WS-7015-INPUT
                  INITIALIZE WS-7015-TYPE-14
                  MOVE WS-TRAN-400 TO WS-7015-TYPE-14
                  IF WS-0007-REJECT-TRANSACTION = WS-LITERAL-YES
                     MOVE WS-LITERAL-YES TO WS-0006-REJECT-14S-FLAG
                  END-IF
      *           *** SET POLICY LEVEL FLAG TO INDICATE IF ALL
      *           *** TYPE 14 RECORDS SUBMITTED ARE FOR CAT CVG
      *           *** IF SO, ANY T12 RECORDS WILL BE REJECTED.
                  IF WS-T14-COVERAGE-FLG = 'C' AND
                     WS-T14-DUAL-COVERAGE-FLG = 1
                     MOVE WS-LITERAL-YES
                        TO WS-0006-CAT-AND-DUAL-CVG-EXIST
                  END-IF
                  IF WS-0005-ALL-CAT-CVG-FLAG = SPACES
                     IF WS-T14-COVERAGE-FLG = WS-LITERAL-CAT
                        MOVE WS-LITERAL-YES
                          TO WS-0005-ALL-CAT-CVG-FLAG
                     ELSE
                        MOVE WS-LITERAL-NO
                          TO WS-0005-ALL-CAT-CVG-FLAG
                     END-IF
                  ELSE
                     IF WS-T14-COVERAGE-FLG <> WS-LITERAL-CAT
                        MOVE WS-LITERAL-NO
                          TO WS-0005-ALL-CAT-CVG-FLAG
                     END-IF
                  END-IF
                  PERFORM 7015-ADD-T14-RECORD
                     THRU 7015-ADD-T14-RECORD-EXIT

               WHEN TYPE15
                  INITIALIZE WS-7020-INPUT
                  INITIALIZE WS-7020-TYPE-15
                  MOVE WS-TRAN-400 TO WS-7020-TYPE-15
                  MOVE WS-2015-AVERAGE-YIELD
                    TO WS-7020-AVG-APH-YIELD
                  MOVE WS-2015-ACTUAL-YEARS
                    TO WS-7020-ACTUAL-YEARS
                  MOVE WS-2015-REFERENCE-YEARS-REQ
                    TO WS-7020-REF-YEARS-REQ
                  MOVE WS-2537-FARM-APRV-AVG-REVENUE
                    TO WS-7020-FARM-APR-AVG-REV
                  PERFORM 7020-ADD-T15-RECORD
                     THRU 7020-ADD-T15-RECORD-EXIT

               WHEN TYPE21
                  INITIALIZE WS-7035-INPUT
                  INITIALIZE WS-7035-TYPE-21
                  MOVE WS-TRAN-400 TO WS-7035-TYPE-21
                  MOVE WS-2021-STAGE-GUARANTEE
                    TO WS-7035-STAGE-GUARANTEE
                  MOVE WS-2021-TOTAL-GUARANTEE
                    TO WS-7035-TOTAL-GUARANTEE
                  IF WS-0007-REJECT-TRANSACTION = WS-LITERAL-YES
                     MOVE WS-LITERAL-YES TO WS-0006-REJECT-21S-FLAG
                  END-IF
                  PERFORM 7035-ADD-T21-RECORD
                     THRU 7035-ADD-T21-RECORD-EXIT

               WHEN OTHER
                  MOVE 0215 TO WS-8020-PARAGRAPH-NO
                  MOVE 90005 TO WS-8020-INT-ERROR-NO
                  MOVE WS-LITERAL-REC-TYPE TO WS-8020-FIELD-NAME
                  MOVE WS-TRAN-TYPE TO WS-8020-BAD-DATA
                  PERFORM 8020-RECORD-INT-ERROR
                     THRU 8020-RECORD-INT-ERROR-EXIT
           END-EVALUATE

           IF WS-0006-REJECT-14S-FLAG = WS-LITERAL-YES
              MOVE WS-LITERAL-YES TO WS-0006-REJECT-15S-FLAG
           END-IF

           IF WS-0006-REJECT-15S-FLAG = WS-LITERAL-YES
              MOVE WS-LITERAL-YES TO WS-0006-REJECT-11S-FLAG
           END-IF

           IF WS-0006-REJECT-11S-FLAG = WS-LITERAL-YES
              MOVE WS-LITERAL-YES TO WS-0006-REJECT-21S-FLAG
           END-IF

           IF WS-0006-REJECT-21S-FLAG = WS-LITERAL-YES
              CONTINUE
           END-IF.


       0215-PROCESS-CROP-TRAN-EXIT.
           EXIT.


