      ***************************************************************
      * File:      M0220.CBL
      * Author:    Mike Ray
      * Date:      8/13/95
      * Purpose:
      *    This paragraph performs all processing for non-crop policy
      *    transactions.  It performs any necessary validations, looks
      *    up associated transactions, then stores the new transaction
      *    and the associated transaction in the appropriate tables,
      *    updating or deleting transactions there as necessary.
      ***************************************************************

       0220-PROCESS-POLICY-TRAN.

      $IF DEBUG-SW DEFINED
           DISPLAY '0220-PROCESS-POLICY-TRAN'
           UPON CONSOLE
      $END

           EVALUATE TRUE
               WHEN TYPE10
                 IF WS-T10-RECORD-NUM = '001'
      *             ******************************************
      *             *  THIS IS A TYPE 10-001                 *
      *             *  THAT SHOULDN'T HAVE MADE IT TO HERE   *
      *             ******************************************
                    MOVE 0220 TO WS-8020-PARAGRAPH-NO
                    MOVE 90005 TO WS-8020-INT-ERROR-NO
                    MOVE 'INVALID TRAN' TO WS-8020-FIELD-NAME
                    MOVE SPACES TO WS-8020-BAD-DATA
                    MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
                    PERFORM 8020-RECORD-INT-ERROR
                       THRU 8020-RECORD-INT-ERROR-EXIT
                 ELSE
                    INITIALIZE WS-7005-TYPE-10
                    MOVE WS-TRAN-400 TO WS-7005-TYPE-10
                    PERFORM 7005-ADD-SBI-RECORD
                       THRU 7005-ADD-SBI-RECORD-EXIT
                 END-IF

               WHEN TYPE12
                    INITIALIZE WS-7012-TYPE-12
                    MOVE WS-TRAN-400 TO WS-7012-TYPE-12
                    PERFORM 7012-ADD-T12-RECORD
                       THRU 7012-ADD-T12-RECORD-EXIT
               WHEN TYPE16
                    INITIALIZE WS-7025-TYPE-16
                    MOVE WS-TRAN-400 TO WS-7025-TYPE-16
                    PERFORM 7025-ADD-T16-RECORD
                       THRU 7025-ADD-T16-RECORD-EXIT
               WHEN TYPE20
                    INITIALIZE WS-7030-TYPE-20
                    MOVE WS-TRAN-400 TO WS-7030-TYPE-20
                    PERFORM 7030-ADD-T20-RECORD
                       THRU 7030-ADD-T20-RECORD-EXIT
               WHEN TYPE50
                    INITIALIZE WS-7040-TYPE-50
                    MOVE WS-TRAN-400 TO WS-7040-TYPE-50
                    PERFORM 7040-ADD-T50-RECORD
                       THRU 7040-ADD-T50-RECORD-EXIT
               WHEN OTHER
                 MOVE 0220 TO WS-8020-PARAGRAPH-NO
                 MOVE 90005 TO WS-8020-INT-ERROR-NO
                 MOVE WS-LITERAL-REC-TYPE TO WS-8020-FIELD-NAME
                 MOVE WS-TRAN-TYPE TO WS-8020-BAD-DATA
                 PERFORM 8020-RECORD-INT-ERROR
                    THRU 8020-RECORD-INT-ERROR-EXIT
           END-EVALUATE.


       0220-PROCESS-POLICY-TRAN-EXIT.
           EXIT.


