      ***************************************************************
      * File:      M0240.CBL
      * Author:    Mike Ray
      * Date:      8/13/95
      * Purpose:
      *    This paragraph performs all processing for the transaction
      *    trailer record, including processing of all held transactions.
      ***************************************************************

       0240-PROCESS-TRAILER.

      $IF DEBUG-SW DEFINED
           DISPLAY '0240-PROCESSING TRAILER'
           UPON CONSOLE
      $END

           PERFORM 3100-PROCESS-HELD-CROP
              THRU 3100-PROCESS-HELD-CROP-EXIT
           PERFORM 3200-PROCESS-HELD-POLICY
              THRU 3200-PROCESS-HELD-POLICY-EXIT

      **   ROUND STATISTICS FOR TOTAL ACCEPTED/REJECTED/SUSPENDED ACRES & PAID AMTS
           COMPUTE WS-0008-INFILE-ACRES ROUNDED
              = (WS-0008-INFILE-ACRES-DEC * 1)
              ON SIZE ERROR
                 MOVE 240 TO WS-8020-PARAGRAPH-NO
                 MOVE 90017 TO WS-8020-INT-ERROR-NO
                 MOVE 'TOT INFILE ACRES' TO WS-8020-FIELD-NAME
                 MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
                 PERFORM 8020-RECORD-INT-ERROR
                    THRU 8020-RECORD-INT-ERROR-EXIT
           END-COMPUTE

           COMPUTE WS-0008-ACCEPTED-ACRES ROUNDED
              = (WS-0008-ACCEPTED-ACRES-DEC * 1)
              ON SIZE ERROR
                 MOVE 240 TO WS-8020-PARAGRAPH-NO
                 MOVE 90017 TO WS-8020-INT-ERROR-NO
                 MOVE 'TOT ACPTD ACRES' TO WS-8020-FIELD-NAME
                 MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
                 PERFORM 8020-RECORD-INT-ERROR
                    THRU 8020-RECORD-INT-ERROR-EXIT
           END-COMPUTE

           COMPUTE WS-0008-REJECTED-ACRES ROUNDED
              = (WS-0008-REJECTED-ACRES-DEC * 1)
              ON SIZE ERROR
                 MOVE 240 TO WS-8020-PARAGRAPH-NO
                 MOVE 90017 TO WS-8020-INT-ERROR-NO
                 MOVE 'TOT REJ ACRES' TO WS-8020-FIELD-NAME
                 MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
                 PERFORM 8020-RECORD-INT-ERROR
                    THRU 8020-RECORD-INT-ERROR-EXIT
           END-COMPUTE

           COMPUTE WS-0008-SUSPENDED-ACRES ROUNDED
              = (WS-0008-SUSPENDED-ACRES-DEC * 1)
              ON SIZE ERROR
                 MOVE 240 TO WS-8020-PARAGRAPH-NO
                 MOVE 90017 TO WS-8020-INT-ERROR-NO
                 MOVE 'TOT SUSPD ACRES' TO WS-8020-FIELD-NAME
                 MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
                 PERFORM 8020-RECORD-INT-ERROR
                    THRU 8020-RECORD-INT-ERROR-EXIT
           END-COMPUTE

           COMPUTE WS-0008-INFILE-PAID ROUNDED
              = (WS-0008-INFILE-PAID-DEC * 1)
              ON SIZE ERROR
                 MOVE 240 TO WS-8020-PARAGRAPH-NO
                 MOVE 90017 TO WS-8020-INT-ERROR-NO
                 MOVE 'TOT INFILE PAID' TO WS-8020-FIELD-NAME
                 MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
                 PERFORM 8020-RECORD-INT-ERROR
                    THRU 8020-RECORD-INT-ERROR-EXIT
           END-COMPUTE

           COMPUTE WS-0008-ACCEPTED-PAID ROUNDED
              = (WS-0008-ACCEPTED-PAID-DEC * 1)
              ON SIZE ERROR
                 MOVE 240 TO WS-8020-PARAGRAPH-NO
                 MOVE 90017 TO WS-8020-INT-ERROR-NO
                 MOVE 'TOT ACPTD PAID' TO WS-8020-FIELD-NAME
                 MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
                 PERFORM 8020-RECORD-INT-ERROR
                    THRU 8020-RECORD-INT-ERROR-EXIT
           END-COMPUTE

           COMPUTE WS-0008-REJECTED-PAID ROUNDED
              = (WS-0008-REJECTED-PAID-DEC * 1)
              ON SIZE ERROR
                 MOVE 240 TO WS-8020-PARAGRAPH-NO
                 MOVE 90017 TO WS-8020-INT-ERROR-NO
                 MOVE 'TOT REJ PAID' TO WS-8020-FIELD-NAME
                 MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
                 PERFORM 8020-RECORD-INT-ERROR
                    THRU 8020-RECORD-INT-ERROR-EXIT
           END-COMPUTE

           COMPUTE WS-0008-SUSPENDED-PAID ROUNDED
              = (WS-0008-SUSPENDED-PAID-DEC * 1)
              ON SIZE ERROR
                 MOVE 240 TO WS-8020-PARAGRAPH-NO
                 MOVE 90017 TO WS-8020-INT-ERROR-NO
                 MOVE 'TOT SUSPD PAID' TO WS-8020-FIELD-NAME
                 MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
                 PERFORM 8020-RECORD-INT-ERROR
                    THRU 8020-RECORD-INT-ERROR-EXIT
           END-COMPUTE


           IF WS-0004-MULTI-PROCESSOR-SW <> WS-LITERAL-YES
              INITIALIZE WS-0707-OPTIONS
              MOVE WS-0004-RPT-PAGE-LENGTH
                TO WS-0707-PAGE-LENGTH
              MOVE WS-0004-RPT-ERROR-MSG-FLAG
                TO WS-0707-ERROR-MESSAGE-FLAG
              MOVE WS-0004-RPT-PARAGRAPH-NO-FLAG
                TO WS-0707-PARAGRAPH-NO-FLAG
              MOVE WS-0004-REMOVE-ID-FLAG
                TO WS-0707-REMOVE-ID-FLAG
              MOVE WS-0004-RERUN-INDICATOR
                TO WS-0707-RERUN-INDICATOR
              PERFORM 0707-PRODUCE-ERROR-RPT
                 THRU 0707-PRODUCE-ERROR-RPT-EXIT

              PERFORM 0755-WRITE-T97-STATS
                 THRU 0755-WRITE-T97-STATS-EXIT
           ELSE
              INITIALIZE WS-0937-INPUT
              MOVE WS-0004-MDAS-PROCESS-NO
                TO WS-0937-MDAS-PROCESS-NO
              MOVE WS-0008-STATISTICS
                TO WS-0937-STATISTICS
              PERFORM 0937-WRITE-MDAS-STATS
                 THRU 0937-WRITE-MDAS-STATS-EXIT
           END-IF.


       0240-PROCESS-TRAILER-EXIT.
           EXIT.


