      ***************************************************************
      * File:      M0755.CBL
      * Author:    Mike Ray  - C DAVIS
      * Date:      10/10/95
      * PURPOSE:
      *    THIS PARAGRAPH FORMATS A TYPE 99 RECORD (IN WS-TRANS)
      *    FOR OUTPUT AS AN 80 COLUMN REPORT AND WRITES IT,
      *    ONE LINE AT A TIME TO THE ERROR-REPT-FILE.
      ***************************************************************


       0755-WRITE-T97-STATS.

      $IF DEBUG-SW DEFINED
           DISPLAY '0755-WRITING TYPE 97 REPORT'
           UPON CONSOLE
      $END

      *************************************************************
      *    INITIALIZE LOCAL WORKING STORAGE                       *
      *************************************************************
           INITIALIZE WS-0755-REPORT-LINES
           INITIALIZE WS-0755-DT

      *************************************************************
      *    SUM POLICY STATISTICS FROM YTD FILE                    *
      *************************************************************
           PERFORM 0989-SUM-POLICY-STATS
              THRU 0989-SUM-POLICY-STATS-EXIT

      *****************
      * LINE 3 MOVES: *
      *****************
           MOVE WS-0004-INS-PROVIDER-NAME TO WS-0755-L3-REINS-ORG
           MOVE WS-0004-REINS-YR TO WS-0755-L3-REINS-YR

      *****************
      * LINE 4 MOVES: *
      *****************
           MOVE WS-0004-FILE-NAME TO WS-0755-L4-INPUT-FILE
           MOVE WS-0004-FCIC-PROC-DATE TO WS-0755-L4-FCIC-DT
           MOVE WS-0004-FCIC-PROC-TIME TO WS-0755-L4-FCIC-TIME
           MOVE WS-0004-SYS-DATE TO WS-0755-L4-SYS-DATE

      *****************
      * LINE 9 MOVES: *
      *****************
           MOVE WS-0008-INFILE-POLICY-RECS
             TO WS-0755-L9-INFILE-POLICY-RECS
           MOVE WS-0008-ACCEPTED-POLICY-RECS
             TO WS-0755-L9-ACCEPTED-POL-REC
           MOVE WS-0008-REJECTED-POLICY-RECS
             TO WS-0755-L9-REJECTED-POL-REC
           MOVE WS-0008-SUSPENDED-POLICY-RECS
             TO WS-0755-L9-SUSPENDED-POL-REC
           MOVE WS-0008-ESCROW-POLICY-RECS
             TO WS-0755-L9-ESCROW-POL-REC

      ******************
      * LINE 10 MOVES: *
      ******************
           MOVE WS-0008-INFILE-SBI-RECS
             TO WS-0755-L10-INFILE-SBI-RECS
           MOVE WS-0008-ACCEPTED-SBI-RECS
             TO WS-0755-L10-ACCEPTED-SBI-RECS
           MOVE WS-0008-REJECTED-SBI-RECS
             TO WS-0755-L10-REJECTED-SBI-RECS
           MOVE WS-0008-SUSPENDED-SBI-RECS
             TO WS-0755-L10-SUSPENDED-SBI-REC

      ******************
      * LINE 11 MOVES: *
      ******************
           MOVE WS-0008-INFILE-T11-RECS
             TO WS-0755-L11-INFILE-T11-RECS
           MOVE WS-0008-ACCEPTED-T11-RECS
             TO WS-0755-L11-ACCEPTED-T11-RECS
           MOVE WS-0008-REJECTED-T11-RECS
             TO WS-0755-L11-REJECTED-T11-RECS
           MOVE WS-0008-SUSPENDED-T11-RECS
             TO WS-0755-L11-SUSPENDED-T11-REC

      ******************
      * LINE 12 MOVES: *
      ******************
           MOVE WS-0008-INFILE-T12-RECS
             TO WS-0755-L12-INFILE-T12-RECS
           MOVE WS-0008-ACCEPTED-T12-RECS
             TO WS-0755-L12-ACCEPTED-T12-RECS
           MOVE WS-0008-REJECTED-T12-RECS
             TO WS-0755-L12-REJECTED-T12-RECS
           MOVE WS-0008-SUSPENDED-T12-RECS
             TO WS-0755-L12-SUSPENDED-T12-REC

      ******************
      * LINE 13 MOVES: *
      ******************
           MOVE WS-0008-INFILE-T14-RECS
             TO WS-0755-L13-INFILE-T14-RECS
           MOVE WS-0008-ACCEPTED-T14-RECS
             TO WS-0755-L13-ACCEPTED-T14-RECS
           MOVE WS-0008-REJECTED-T14-RECS
             TO WS-0755-L13-REJECTED-T14-RECS
           MOVE WS-0008-SUSPENDED-T14-RECS
             TO WS-0755-L13-SUSPENDED-T14-REC

      ******************
      * LINE 14 MOVES: *
      ******************
           MOVE WS-0008-INFILE-T15-RECS
             TO WS-0755-L14-INFILE-T15-RECS
           MOVE WS-0008-ACCEPTED-T15-RECS
             TO WS-0755-L14-ACCEPTED-T15-RECS
           MOVE WS-0008-REJECTED-T15-RECS
             TO WS-0755-L14-REJECTED-T15-RECS
           MOVE WS-0008-SUSPENDED-T15-RECS
             TO WS-0755-L14-SUSPENDED-T15-REC

      ******************
      * LINE 15 MOVES: *
      ******************
           MOVE WS-0008-INFILE-T16-RECS
             TO WS-0755-L15-INFILE-T16-RECS
           MOVE WS-0008-ACCEPTED-T16-RECS
             TO WS-0755-L15-ACCEPTED-T16-RECS
           MOVE WS-0008-REJECTED-T16-RECS
             TO WS-0755-L15-REJECTED-T16-RECS
           MOVE WS-0008-SUSPENDED-T16-RECS
             TO WS-0755-L15-SUSPENDED-T16-REC

      ******************
      * LINE 16 MOVES: *
      ******************
           MOVE WS-0008-INFILE-T20-RECS
             TO WS-0755-L16-INFILE-T20-RECS
           MOVE WS-0008-ACCEPTED-T20-RECS
             TO WS-0755-L16-ACCEPTED-T20-RECS
           MOVE WS-0008-REJECTED-T20-RECS
             TO WS-0755-L16-REJECTED-T20-RECS
           MOVE WS-0008-SUSPENDED-T20-RECS
             TO WS-0755-L16-SUSPENDED-T20-REC
           MOVE WS-0008-ESCROW-T20-RECS
             TO WS-0755-L16-ESCROW-T20-REC

      *******************
      * LINE 17 MOVES:  *
      *******************
           MOVE WS-0008-INFILE-T21-RECS
             TO WS-0755-L17-INFILE-T21-RECS
           MOVE WS-0008-ACCEPTED-T21-RECS
             TO WS-0755-L17-ACCEPTED-T21-RECS
           MOVE WS-0008-REJECTED-T21-RECS
             TO WS-0755-L17-REJECTED-T21-RECS
           MOVE WS-0008-SUSPENDED-T21-RECS
             TO WS-0755-L17-SUSPENDED-T21-REC
           MOVE WS-0008-ESCROW-T21-RECS
             TO WS-0755-L17-ESCROW-T21-REC

      ******************
      * LINE 18 MOVES: *
      ******************

      ******************
      * LINE 19 MOVES: *
      ******************
           MOVE WS-0008-INFILE-T33-RECS
             TO WS-0755-L19-INFILE-T33-RECS
           MOVE WS-0008-ACCEPTED-T33-RECS
             TO WS-0755-L19-ACCEPTED-T33-RECS
           MOVE WS-0008-REJECTED-T33-RECS
             TO WS-0755-L19-REJECTED-T33-RECS
           MOVE WS-0008-SUSPENDED-T33-RECS
             TO WS-0755-L19-SUSPENDED-T33-REC

      ******************
      * LINE 20 MOVES: *
      ******************
           MOVE WS-0008-INFILE-T49-RECS
             TO WS-0755-L20-INFILE-T49-RECS
           MOVE WS-0008-ACCEPTED-T49-RECS
             TO WS-0755-L20-ACCEPTED-T49-RECS
           MOVE WS-0008-REJECTED-T49-RECS
             TO WS-0755-L20-REJECTED-T49-RECS
           MOVE WS-0008-SUSPENDED-T49-RECS
             TO WS-0755-L20-SUSPENDED-T49-REC

      ******************
      * LINE 21 MOVES: *
      ******************
           MOVE WS-0008-INFILE-T50-RECS
             TO WS-0755-L21-INFILE-T50-RECS
           MOVE WS-0008-ACCEPTED-T50-RECS
             TO WS-0755-L21-ACCEPTED-T50-RECS
           MOVE WS-0008-REJECTED-T50-RECS
             TO WS-0755-L21-REJECTED-T50-RECS
           MOVE WS-0008-SUSPENDED-T50-RECS
             TO WS-0755-L21-SUSPENDED-T50-REC

      ******************
      * LINE 22 MOVES: *
      ******************
           MOVE WS-0008-INFILE-T55-RECS
             TO WS-0755-L22-INFILE-T55-RECS
           MOVE WS-0008-ACCEPTED-T55-RECS
             TO WS-0755-L22-ACCEPTED-T55-RECS
           MOVE WS-0008-REJECTED-T55-RECS
             TO WS-0755-L22-REJECTED-T55-RECS
           MOVE WS-0008-SUSPENDED-T55-RECS
             TO WS-0755-L22-SUSPENDED-T55-REC

      ******************
      * LINE 23 MOVES: *
      ******************
           MOVE WS-0008-INFILE-T56-RECS
             TO WS-0755-L23-INFILE-T56-RECS
           MOVE WS-0008-ACCEPTED-T56-RECS
             TO WS-0755-L23-ACCEPTED-T56-RECS
           MOVE WS-0008-REJECTED-T56-RECS
             TO WS-0755-L23-REJECTED-T56-RECS
           MOVE WS-0008-SUSPENDED-T56-RECS
             TO WS-0755-L23-SUSPENDED-T56-REC

      ******************
      * LINE 24 MOVES: *
      ******************
           MOVE WS-0008-INFILE-T97-RECS
             TO WS-0755-L24-INFILE-T97-RECS
           MOVE WS-0008-ACCEPTED-T97-RECS
             TO WS-0755-L24-ACCEPTED-T97-RECS
           MOVE WS-0008-REJECTED-T97-RECS
             TO WS-0755-L24-REJECTED-T97-RECS
           MOVE WS-0008-SUSPENDED-T97-RECS
             TO WS-0755-L24-SUSPENDED-T97-REC

      ******************
      * LINE 25 MOVES: *
      ******************
           MOVE ZEROS
             TO WS-0755-L25-INFILE-PCR-RECS
           MOVE WS-0008-ACCEPTED-PCR-MEMO-RECS
             TO WS-0755-L25-ACCEPTED-PCR-RECS
           MOVE WS-0008-REJECTED-PCR-MEMO-RECS
             TO WS-0755-L25-REJECTED-PCR-RECS
           MOVE ZEROS
             TO WS-0755-L25-SUSPENDED-PCR-REC

      ******************
      * LINE 26 MOVES: *
      ******************
           MOVE WS-0008-INFILE-UNKNOWN-RECS
             TO WS-0755-L26-INFILE-UNK-RECS
           MOVE WS-0008-ACCEPTED-UNKNOWN-RECS
             TO WS-0755-L26-ACCEPTED-UNK-RECS
           MOVE WS-0008-REJECTED-UNKNOWN-RECS
             TO WS-0755-L26-REJECTED-UNK-RECS
           MOVE WS-0008-SUSPENDED-UNKNOWN-RECS
             TO WS-0755-L26-SUSPENDED-UNK-REC

      ******************
      * LINE 28 MOVES: *
      ******************
           MOVE WS-0008-INFILE-TOTAL-RECS
             TO WS-0755-L28-INFILE-TOT-RECS
           MOVE WS-0008-ACCEPTED-TRANSACTIONS
             TO WS-0755-L28-ACCEPTED-TRANS
           MOVE WS-0008-REJECTED-TRANSACTIONS
             TO WS-0755-L28-REJECTED-TRANS
           MOVE WS-0008-SUSPENDED-TRANSACTIONS
             TO WS-0755-L28-SUSPENDED-TRANS
           MOVE WS-0008-ESCROW-TRANSACTIONS
             TO WS-0755-L28-ESCROW-TRANS

      ******************
      * LINE 32 MOVES: *
      ******************
           MOVE WS-0008-INFILE-ACRES
             TO WS-0755-L32-INFILE-TOT-ACRES
           MOVE WS-0008-ACCEPTED-ACRES
             TO WS-0755-L32-ACCEPT-TOT-ACRES
           MOVE WS-0008-REJECTED-ACRES
             TO WS-0755-L32-REJECT-TOT-ACRES
           MOVE WS-0008-SUSPENDED-ACRES
             TO WS-0755-L32-SUSPEND-TOT-ACRES

      ******************
      * LINE 33 MOVES: *
      ******************
           MOVE WS-0008-INFILE-LIABILITY
             TO WS-0755-L33-INFILE-TOT-LIAB
           MOVE WS-0008-ACCEPTED-LIABILITY
             TO WS-0755-L33-ACCEPT-TOT-LIAB
           MOVE WS-0008-REJECTED-LIABILITY
             TO WS-0755-L33-REJECT-TOT-LIAB
           MOVE WS-0008-SUSPENDED-LIABILITY
             TO WS-0755-L33-SUSPEND-TOT-LIAB

      ******************
      * LINE 34 MOVES: *
      ******************
           MOVE WS-0008-INFILE-PREMIUM
             TO WS-0755-L34-INFILE-TOT-PREM
           MOVE WS-0008-ACCEPTED-PREMIUM
             TO WS-0755-L34-ACCEPTED-TOT-PREM
           MOVE WS-0008-REJECTED-PREMIUM
             TO WS-0755-L34-REJECTED-TOT-PREM
           MOVE WS-0008-SUSPENDED-PREMIUM
             TO WS-0755-L34-SUSPEND-TOT-PREM

      ******************
      * LINE 35 MOVES: *
      ******************
           MOVE WS-0008-INFILE-PROD-PREM
             TO WS-0755-L35-INFILE-TOT-PRD-PR
           MOVE WS-0008-ACCEPTED-PROD-PREM
             TO WS-0755-L35-ACCEPT-TOT-PRD-PR
           MOVE WS-0008-REJECTED-PROD-PREM
             TO WS-0755-L35-REJECT-TOT-PRD-PR
           MOVE WS-0008-SUSPENDED-PROD-PREM
             TO WS-0755-L35-SUSPND-TOT-PRD-PR

      ******************
      * LINE 36 MOVES: *
      ******************
           MOVE WS-0008-INFILE-LOSSES
             TO WS-0755-L36-INFILE-TOT-LOSSES
           MOVE WS-0008-ACCEPTED-LOSSES
             TO WS-0755-L36-ACCEPTED-TOT-LOSS
           MOVE WS-0008-REJECTED-LOSSES
             TO WS-0755-L36-REJECTED-TOT-LOSS
           MOVE WS-0008-SUSPENDED-LOSSES
             TO WS-0755-L36-SUSPEND-TOT-LOSS
           MOVE WS-0008-ESCROW-LOSSES
             TO WS-0755-L36-ESCROW-TOT-LOSS

      ******************
      * LINE 37 MOVES: *
      ******************
           MOVE WS-0008-INFILE-PAID
             TO WS-0755-L37-INFILE-TOTAL-PAID
           MOVE WS-0008-ACCEPTED-PAID
             TO WS-0755-L37-ACCEPTED-TOT-PAID
           MOVE WS-0008-REJECTED-PAID
             TO WS-0755-L37-REJECTED-TOT-PAID
           MOVE WS-0008-SUSPENDED-PAID
             TO WS-0755-L37-SUSPENDED-TOT-PD

      ******************
      * LINE 38 MOVES: *
      ******************

      ******************
      * LINE 39 MOVES: *
      ******************

      ******************
      * LINE 40 MOVES: *
      ******************

      ******************
      * LINE 41 MOVES: *
      ******************

      ******************
      * LINE 42 MOVES: *
      ******************
           MOVE WS-0008-ACCEPTED-ACRES-YTD
             TO WS-0755-L42-ACCEPT-TOT-ACRES

      ******************
      * LINE 43 MOVES: *
      ******************
           MOVE WS-0008-ACCEPTED-LIABILITY-YTD
             TO WS-0755-L43-ACCEPT-TOT-LIAB

      ******************
      * LINE 44 MOVES: *
      ******************
           MOVE WS-0008-ACCEPTED-PREMIUM-YTD
             TO WS-0755-L44-ACCEPTED-TOT-PREM

      ******************
      * LINE 45 MOVES: *
      ******************
           MOVE WS-0008-ACCEPTED-PROD-PREM-YTD
             TO WS-0755-L45-ACCEPT-TOT-PRD-PR

      ******************
      * LINE 46 MOVES: *
      ******************
           MOVE WS-0008-ACCEPTED-LOSSES-YTD
             TO WS-0755-L46-ACCEPTED-TOT-LOSS

      ******************
      * LINE 48 MOVES: *
      ******************

      ******************
      * LINE 49 MOVES: *
      ******************

      ******************
      * LINE 50 MOVES: *
      ******************

      ******************
      * LINE 51 MOVES: *
      ******************
           MOVE WS-0008-T97-T10-RECS
             TO WS-0755-L51-T10-COUNT
           MOVE WS-0008-T97-ACRES
             TO WS-0755-L51-TOTAL-ACRES

      ******************
      * LINE 52 MOVES: *
      ******************
           MOVE WS-0008-T97-T11-RECS
             TO WS-0755-L52-T11-COUNT
           MOVE WS-0008-T97-LIABILITY
             TO WS-0755-L52-LIABILITY

      ******************
      * LINE 53 MOVES: *
      ******************
           MOVE WS-0008-T97-T12-RECS
             TO WS-0755-L53-T12-COUNT
           MOVE WS-0008-T97-PREMIUM
             TO WS-0755-L53-PREMIUM

      ******************
      * LINE 54 MOVES: *
      ******************
           MOVE WS-0008-T97-T15-RECS
             TO WS-0755-L54-T15-COUNT
           MOVE WS-0008-T97-PROD-PREM
             TO WS-0755-L54-PROD-PREMIUM

      ******************
      * LINE 55 MOVES: *
      ******************
           MOVE WS-0008-T97-T20-RECS
             TO WS-0755-L55-T20-COUNT
           MOVE WS-0008-T97-LOSSES
             TO WS-0755-L55-LOSSES

      ******************
      * LINE 56 MOVES: *
      ******************
           MOVE WS-0008-T97-T21-RECS
             TO WS-0755-L56-T21-COUNT
           MOVE WS-0008-T97-PAID
             TO WS-0755-L56-PAID

      ******************
      * LINE 57 MOVES: *
      ******************
           MOVE WS-0008-T97-T49-RECS
             TO WS-0755-L57-T49-COUNT

      ******************
      * LINE 58 MOVES: *
      ******************
           MOVE WS-0008-T97-ASSIGNED-RISK-CNT
             TO WS-0755-L58-ASS-RISK-COUNT

      ******************
      * LINE 59 MOVES: *
      ******************
           MOVE WS-0008-T97-OTHER-RECS
             TO WS-0755-L59-OTHER-COUNT

      ******************
      * LINE 60 MOVES: *
      ******************
           MOVE WS-0008-T97-TOTAL-RECS
             TO WS-0755-L60-TOTAL-RECS

      *****************
      * WRITE TO FILE *
      *****************
           IF ERR-RPT-FILE-OPEN AND SUM-FILE-OPEN
              MOVE WS-0755-L1 TO ERROR-REPT-RECORD
              MOVE ERROR-REPT-RECORD TO ERROR-SUM-REC
              WRITE ERROR-REPT-RECORD
              WRITE ERROR-SUM-REC

              IF WS-0004-RERUN-INDICATOR = WS-LITERAL-YES
                 MOVE WS-0755-L2 TO ERROR-REPT-RECORD
                 MOVE ERROR-REPT-RECORD TO ERROR-SUM-REC
                 WRITE ERROR-REPT-RECORD
                 WRITE ERROR-SUM-REC
              END-IF

              MOVE SPACES TO ERROR-REPT-RECORD
              MOVE ERROR-REPT-RECORD TO ERROR-SUM-REC
              WRITE ERROR-REPT-RECORD
              WRITE ERROR-SUM-REC

              MOVE WS-0755-L3 TO ERROR-REPT-RECORD
              MOVE ERROR-REPT-RECORD TO ERROR-SUM-REC
              WRITE ERROR-REPT-RECORD
              WRITE ERROR-SUM-REC

              MOVE WS-0755-L4 TO ERROR-REPT-RECORD
              MOVE ERROR-REPT-RECORD TO ERROR-SUM-REC
              WRITE ERROR-REPT-RECORD
              WRITE ERROR-SUM-REC

              MOVE SPACES TO ERROR-REPT-RECORD
              MOVE ERROR-REPT-RECORD TO ERROR-SUM-REC
              WRITE ERROR-REPT-RECORD
              WRITE ERROR-SUM-REC

              MOVE WS-0755-L6 TO ERROR-REPT-RECORD
              MOVE ERROR-REPT-RECORD TO ERROR-SUM-REC
              WRITE ERROR-REPT-RECORD
              WRITE ERROR-SUM-REC

              MOVE SPACES TO ERROR-REPT-RECORD
              MOVE ERROR-REPT-RECORD TO ERROR-SUM-REC
              WRITE ERROR-REPT-RECORD
              WRITE ERROR-SUM-REC

              MOVE WS-0755-L8 TO ERROR-REPT-RECORD
              MOVE ERROR-REPT-RECORD TO ERROR-SUM-REC
              WRITE ERROR-REPT-RECORD
              WRITE ERROR-SUM-REC

              MOVE WS-0755-L9 TO ERROR-REPT-RECORD
              MOVE ERROR-REPT-RECORD TO ERROR-SUM-REC
              WRITE ERROR-REPT-RECORD
              WRITE ERROR-SUM-REC

              MOVE WS-0755-L10 TO ERROR-REPT-RECORD
              MOVE ERROR-REPT-RECORD TO ERROR-SUM-REC
              WRITE ERROR-REPT-RECORD
              WRITE ERROR-SUM-REC

              MOVE WS-0755-L11 TO ERROR-REPT-RECORD
              MOVE ERROR-REPT-RECORD TO ERROR-SUM-REC
              WRITE ERROR-REPT-RECORD
              WRITE ERROR-SUM-REC

              MOVE WS-0755-L12 TO ERROR-REPT-RECORD
              MOVE ERROR-REPT-RECORD TO ERROR-SUM-REC
              WRITE ERROR-REPT-RECORD
              WRITE ERROR-SUM-REC

              MOVE WS-0755-L13 TO ERROR-REPT-RECORD
              MOVE ERROR-REPT-RECORD TO ERROR-SUM-REC
              WRITE ERROR-REPT-RECORD
              WRITE ERROR-SUM-REC

              MOVE WS-0755-L14 TO ERROR-REPT-RECORD
              MOVE ERROR-REPT-RECORD TO ERROR-SUM-REC
              WRITE ERROR-REPT-RECORD
              WRITE ERROR-SUM-REC

              MOVE WS-0755-L15 TO ERROR-REPT-RECORD
              MOVE ERROR-REPT-RECORD TO ERROR-SUM-REC
              WRITE ERROR-REPT-RECORD
              WRITE ERROR-SUM-REC

              MOVE WS-0755-L16 TO ERROR-REPT-RECORD
              MOVE ERROR-REPT-RECORD TO ERROR-SUM-REC
              WRITE ERROR-REPT-RECORD
              WRITE ERROR-SUM-REC

              MOVE WS-0755-L17 TO ERROR-REPT-RECORD
              MOVE ERROR-REPT-RECORD TO ERROR-SUM-REC
              WRITE ERROR-REPT-RECORD
              WRITE ERROR-SUM-REC

              MOVE WS-0755-L19 TO ERROR-REPT-RECORD
              MOVE ERROR-REPT-RECORD TO ERROR-SUM-REC
              WRITE ERROR-REPT-RECORD
              WRITE ERROR-SUM-REC

              MOVE WS-0755-L20 TO ERROR-REPT-RECORD
              MOVE ERROR-REPT-RECORD TO ERROR-SUM-REC
              WRITE ERROR-REPT-RECORD
              WRITE ERROR-SUM-REC

              MOVE WS-0755-L21 TO ERROR-REPT-RECORD
              MOVE ERROR-REPT-RECORD TO ERROR-SUM-REC
              WRITE ERROR-REPT-RECORD
              WRITE ERROR-SUM-REC

              MOVE WS-0755-L22 TO ERROR-REPT-RECORD
              MOVE ERROR-REPT-RECORD TO ERROR-SUM-REC
              WRITE ERROR-REPT-RECORD
              WRITE ERROR-SUM-REC

              MOVE WS-0755-L23 TO ERROR-REPT-RECORD
              MOVE ERROR-REPT-RECORD TO ERROR-SUM-REC
              WRITE ERROR-REPT-RECORD
              WRITE ERROR-SUM-REC

              MOVE WS-0755-L24 TO ERROR-REPT-RECORD
              MOVE ERROR-REPT-RECORD TO ERROR-SUM-REC
              WRITE ERROR-REPT-RECORD
              WRITE ERROR-SUM-REC

              MOVE WS-0755-L25 TO ERROR-REPT-RECORD
              MOVE ERROR-REPT-RECORD TO ERROR-SUM-REC
              WRITE ERROR-REPT-RECORD
              WRITE ERROR-SUM-REC

              MOVE WS-0755-L26 TO ERROR-REPT-RECORD
              MOVE ERROR-REPT-RECORD TO ERROR-SUM-REC
              WRITE ERROR-REPT-RECORD
              WRITE ERROR-SUM-REC

              MOVE WS-0755-L27 TO ERROR-REPT-RECORD
              MOVE ERROR-REPT-RECORD TO ERROR-SUM-REC
              WRITE ERROR-REPT-RECORD
              WRITE ERROR-SUM-REC

              MOVE WS-0755-L28 TO ERROR-REPT-RECORD
              MOVE ERROR-REPT-RECORD TO ERROR-SUM-REC
              WRITE ERROR-REPT-RECORD
              WRITE ERROR-SUM-REC

              MOVE SPACES TO ERROR-REPT-RECORD
              MOVE ERROR-REPT-RECORD TO ERROR-SUM-REC
              WRITE ERROR-REPT-RECORD
              WRITE ERROR-SUM-REC

              MOVE WS-0755-L29 TO ERROR-REPT-RECORD
              MOVE ERROR-REPT-RECORD TO ERROR-SUM-REC
              WRITE ERROR-REPT-RECORD
              WRITE ERROR-SUM-REC

              MOVE SPACES TO ERROR-REPT-RECORD
              MOVE ERROR-REPT-RECORD TO ERROR-SUM-REC
              WRITE ERROR-REPT-RECORD
              WRITE ERROR-SUM-REC

              MOVE WS-0755-L31 TO ERROR-REPT-RECORD
              MOVE ERROR-REPT-RECORD TO ERROR-SUM-REC
              WRITE ERROR-REPT-RECORD
              WRITE ERROR-SUM-REC

              MOVE WS-0755-L32 TO ERROR-REPT-RECORD
              MOVE ERROR-REPT-RECORD TO ERROR-SUM-REC
              WRITE ERROR-REPT-RECORD
              WRITE ERROR-SUM-REC

              MOVE WS-0755-L33 TO ERROR-REPT-RECORD
              MOVE ERROR-REPT-RECORD TO ERROR-SUM-REC
              WRITE ERROR-REPT-RECORD
              WRITE ERROR-SUM-REC

              MOVE WS-0755-L34 TO ERROR-REPT-RECORD
              MOVE ERROR-REPT-RECORD TO ERROR-SUM-REC
              WRITE ERROR-REPT-RECORD
              WRITE ERROR-SUM-REC

              MOVE WS-0755-L35 TO ERROR-REPT-RECORD
              MOVE ERROR-REPT-RECORD TO ERROR-SUM-REC
              WRITE ERROR-REPT-RECORD
              WRITE ERROR-SUM-REC

              MOVE WS-0755-L36 TO ERROR-REPT-RECORD
              MOVE ERROR-REPT-RECORD TO ERROR-SUM-REC
              WRITE ERROR-REPT-RECORD
              WRITE ERROR-SUM-REC

              MOVE WS-0755-L37 TO ERROR-REPT-RECORD
              MOVE ERROR-REPT-RECORD TO ERROR-SUM-REC
              WRITE ERROR-REPT-RECORD
              WRITE ERROR-SUM-REC

              MOVE SPACES TO ERROR-REPT-RECORD
              MOVE ERROR-REPT-RECORD TO ERROR-SUM-REC
              WRITE ERROR-REPT-RECORD
              WRITE ERROR-SUM-REC

              MOVE WS-0755-L39 TO ERROR-REPT-RECORD
              MOVE ERROR-REPT-RECORD TO ERROR-SUM-REC
              WRITE ERROR-REPT-RECORD
              WRITE ERROR-SUM-REC

              MOVE SPACES TO ERROR-REPT-RECORD
              MOVE ERROR-REPT-RECORD TO ERROR-SUM-REC
              WRITE ERROR-REPT-RECORD
              WRITE ERROR-SUM-REC

              MOVE WS-0755-L41 TO ERROR-REPT-RECORD
              MOVE ERROR-REPT-RECORD TO ERROR-SUM-REC
              WRITE ERROR-REPT-RECORD
              WRITE ERROR-SUM-REC

              MOVE WS-0755-L42 TO ERROR-REPT-RECORD
              MOVE ERROR-REPT-RECORD TO ERROR-SUM-REC
              WRITE ERROR-REPT-RECORD
              WRITE ERROR-SUM-REC

              MOVE WS-0755-L43 TO ERROR-REPT-RECORD
              MOVE ERROR-REPT-RECORD TO ERROR-SUM-REC
              WRITE ERROR-REPT-RECORD
              WRITE ERROR-SUM-REC

              MOVE WS-0755-L44 TO ERROR-REPT-RECORD
              MOVE ERROR-REPT-RECORD TO ERROR-SUM-REC
              WRITE ERROR-REPT-RECORD
              WRITE ERROR-SUM-REC

              MOVE WS-0755-L45 TO ERROR-REPT-RECORD
              MOVE ERROR-REPT-RECORD TO ERROR-SUM-REC
              WRITE ERROR-REPT-RECORD
              WRITE ERROR-SUM-REC

              MOVE WS-0755-L46 TO ERROR-REPT-RECORD
              MOVE ERROR-REPT-RECORD TO ERROR-SUM-REC
              WRITE ERROR-REPT-RECORD
              WRITE ERROR-SUM-REC

      *       MOVE WS-0755-L47 TO ERROR-REPT-RECORD
      *       MOVE ERROR-REPT-RECORD TO ERROR-SUM-REC
      *       WRITE ERROR-REPT-RECORD
      *       WRITE ERROR-SUM-REC

              MOVE SPACES TO ERROR-REPT-RECORD
              MOVE ERROR-REPT-RECORD TO ERROR-SUM-REC
              WRITE ERROR-REPT-RECORD
              WRITE ERROR-SUM-REC

              IF WS-0008-T97-TOTAL-RECS > ZERO
                 MOVE WS-0755-L49 TO ERROR-REPT-RECORD
                 MOVE ERROR-REPT-RECORD TO ERROR-SUM-REC
                 WRITE ERROR-REPT-RECORD
                 WRITE ERROR-SUM-REC

                 MOVE SPACES TO ERROR-REPT-RECORD
                 MOVE ERROR-REPT-RECORD TO ERROR-SUM-REC
                 WRITE ERROR-REPT-RECORD
                 WRITE ERROR-SUM-REC

                 MOVE WS-0755-L51 TO ERROR-REPT-RECORD
                 MOVE ERROR-REPT-RECORD TO ERROR-SUM-REC
                 WRITE ERROR-REPT-RECORD
                 WRITE ERROR-SUM-REC

                 MOVE WS-0755-L52 TO ERROR-REPT-RECORD
                 MOVE ERROR-REPT-RECORD TO ERROR-SUM-REC
                 WRITE ERROR-REPT-RECORD
                 WRITE ERROR-SUM-REC

                 MOVE WS-0755-L53 TO ERROR-REPT-RECORD
                 MOVE ERROR-REPT-RECORD TO ERROR-SUM-REC
                 WRITE ERROR-REPT-RECORD
                 WRITE ERROR-SUM-REC

                 MOVE WS-0755-L54 TO ERROR-REPT-RECORD
                 MOVE ERROR-REPT-RECORD TO ERROR-SUM-REC
                 WRITE ERROR-REPT-RECORD
                 WRITE ERROR-SUM-REC

                 MOVE WS-0755-L55 TO ERROR-REPT-RECORD
                 MOVE ERROR-REPT-RECORD TO ERROR-SUM-REC
                 WRITE ERROR-REPT-RECORD
                 WRITE ERROR-SUM-REC

                 MOVE WS-0755-L56 TO ERROR-REPT-RECORD
                 MOVE ERROR-REPT-RECORD TO ERROR-SUM-REC
                 WRITE ERROR-REPT-RECORD
                 WRITE ERROR-SUM-REC

                 MOVE WS-0755-L57 TO ERROR-REPT-RECORD
                 MOVE ERROR-REPT-RECORD TO ERROR-SUM-REC
                 WRITE ERROR-REPT-RECORD
                 WRITE ERROR-SUM-REC

                 MOVE WS-0755-L58 TO ERROR-REPT-RECORD
                 MOVE ERROR-REPT-RECORD TO ERROR-SUM-REC
                 WRITE ERROR-REPT-RECORD
                 WRITE ERROR-SUM-REC

                 MOVE WS-0755-L59 TO ERROR-REPT-RECORD
                 MOVE ERROR-REPT-RECORD TO ERROR-SUM-REC
                 WRITE ERROR-REPT-RECORD
                 WRITE ERROR-SUM-REC

                 MOVE WS-0755-L60 TO ERROR-REPT-RECORD
                 MOVE ERROR-REPT-RECORD TO ERROR-SUM-REC
                 WRITE ERROR-REPT-RECORD
                 WRITE ERROR-SUM-REC

                 MOVE SPACES TO ERROR-REPT-RECORD
                 MOVE ERROR-REPT-RECORD TO ERROR-SUM-REC
                 WRITE ERROR-REPT-RECORD
                 WRITE ERROR-SUM-REC
              END-IF
           ELSE
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              MOVE 0755 TO WS-8020-PARAGRAPH-NO
              MOVE 90013 TO WS-8020-INT-ERROR-NO
              MOVE 'ERROR-REPT-FILE' TO WS-8020-FIELD-NAME
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF.

       0755-WRITE-T97-STATS-EXIT.
          EXIT.
