      ***************************************************************
      * File:      M0770.CBL
      * Author:    Mike Ray
      * Date:      02/02/96
      * Purpose:
      *    This paragraph prints out the errors encountered during
      *    a run and the number of times they occurred
      *    one line at a time to the ERROR-REPT-FILE.
      ***************************************************************


       0770-LOG-ERROR-COUNTS.

      $IF DEBUG-SW DEFINED
           DISPLAY '0770-LOGGING ERROR COUNTS'
           UPON CONSOLE
      $END

      *****************************************************
      *              INITIALIZE REPORT                    *
      *****************************************************
           INITIALIZE WS-0770-REPORT-LINES
           INITIALIZE WS-0770-WORK

      *****************************************************
      *              CYCLE THROUGH TABLE                  *
      *****************************************************

           IF WS-0004-ERR-SEQ-NO = 0
              GO TO 0770-LOG-ERROR-COUNTS-EXIT
           END-IF

           IF ERR-RPT-FILE-OPEN AND SUM-FILE-OPEN
              MOVE SPACES TO ERROR-REPT-RECORD
              MOVE ERROR-REPT-RECORD TO ERROR-SUM-REC
              WRITE ERROR-REPT-RECORD
              WRITE ERROR-SUM-REC
              MOVE SPACES TO ERROR-REPT-RECORD
              MOVE ERROR-REPT-RECORD TO ERROR-SUM-REC
              WRITE ERROR-REPT-RECORD
              WRITE ERROR-SUM-REC
              MOVE WS-0770-TITLE TO ERROR-REPT-RECORD
              MOVE ERROR-REPT-RECORD TO ERROR-SUM-REC
              WRITE ERROR-REPT-RECORD
              WRITE ERROR-SUM-REC
              MOVE SPACES TO ERROR-REPT-RECORD
              MOVE ERROR-REPT-RECORD TO ERROR-SUM-REC
              WRITE ERROR-REPT-RECORD
              WRITE ERROR-SUM-REC
              MOVE WS-0770-HEADER TO ERROR-REPT-RECORD
              MOVE ERROR-REPT-RECORD TO ERROR-SUM-REC
              WRITE ERROR-REPT-RECORD
              WRITE ERROR-SUM-REC
           ELSE
              IF LOG-FILE-OPEN AND SUM-FILE-OPEN
                 MOVE SPACES TO ERROR-LOG-REC
                 MOVE ERROR-LOG-REC TO ERROR-SUM-REC
                 WRITE ERROR-LOG-REC
                 WRITE ERROR-SUM-REC
                 MOVE SPACES TO ERROR-LOG-REC
                 MOVE ERROR-LOG-REC TO ERROR-SUM-REC
                 WRITE ERROR-LOG-REC
                 WRITE ERROR-SUM-REC
                 MOVE WS-0770-TITLE TO ERROR-LOG-REC
                 MOVE ERROR-LOG-REC TO ERROR-SUM-REC
                 WRITE ERROR-LOG-REC
                 WRITE ERROR-SUM-REC
                 MOVE SPACES TO ERROR-LOG-REC
                 MOVE ERROR-LOG-REC TO ERROR-SUM-REC
                 WRITE ERROR-LOG-REC
                 WRITE ERROR-SUM-REC
                 MOVE WS-0770-HEADER TO ERROR-LOG-REC
                 MOVE ERROR-LOG-REC TO ERROR-SUM-REC
                 WRITE ERROR-LOG-REC
                 WRITE ERROR-SUM-REC
              END-IF
           END-IF

      $IF DEBUG-SW DEFINED
           DISPLAY SPACES
           UPON CONSOLE
           DISPLAY WS-0770-TITLE
           UPON CONSOLE
           DISPLAY SPACES
           UPON CONSOLE
           DISPLAY WS-0770-HEADER
           UPON CONSOLE
      $END

           PERFORM 0770-LOG-ERROR
              THRU 0770-LOG-ERROR-EXIT
              WITH TEST AFTER
           VARYING WS-7008-ERROR-MSG-INT-INDEX FROM 1 BY 1
             UNTIL WS-7008-ERROR-MSG-INT-INDEX
                   = WS-7008-ERROR-MSG-REC-COUNT

           MOVE WS-0004-SYS-DAY TO WS-0770-START-DAY
           MOVE WS-0004-START-TIME TO WS-0770-START-TIME
           MOVE WS-0004-TRAN-SEQ-NO TO WS-0770-TRANSACTION-COUNT
           PERFORM 0540-GET-DATE-TIME
              THRU 0540-GET-DATE-TIME-EXIT
           MOVE WS-0540-FULL-TIME TO WS-0770-END-TIME
           MOVE WS-0540-DAY TO WS-0770-END-DAY

      *    ************************************************
      *    *  COMPUTE LENGTH OF PROCESSING RUN IN SECONDS *
      *    ************************************************
      *    *** IF RUN SPANS MULTIPLE DAYS ***
           IF WS-0770-END-DAY > WS-0770-START-DAY
              COMPUTE WS-0770-RUN-SECONDS =
                  (((WS-0770-END-DAY - WS-0770-START-DAY) * 86400) -
                  ((WS-0770-START-HH * 3600) + (WS-0770-START-MM * 60)
                  + WS-0770-START-SS)) +
                  ((WS-0770-END-HH * 3600) + (WS-0770-END-MM * 60)
                  + WS-0770-END-SS)
                 ON SIZE ERROR
                    MOVE 0770 TO WS-8020-PARAGRAPH-NO
                    MOVE 90017 TO WS-8020-INT-ERROR-NO
                    MOVE 'RUN SECONDS'
                      TO WS-8020-FIELD-NAME
                    MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
                    PERFORM 8020-RECORD-INT-ERROR
                       THRU 8020-RECORD-INT-ERROR-EXIT
              END-COMPUTE
           ELSE
      *    *** IF RUN COMPLETED IN ONE DAY ***
              COMPUTE WS-0770-RUN-SECONDS =
                  ((WS-0770-END-HH * 3600) + (WS-0770-END-MM * 60)
                  + WS-0770-END-SS) -
                  ((WS-0770-START-HH * 3600) + (WS-0770-START-MM * 60)
                  + WS-0770-START-SS)
                 ON SIZE ERROR
                    MOVE 0770 TO WS-8020-PARAGRAPH-NO
                    MOVE 90017 TO WS-8020-INT-ERROR-NO
                    MOVE 'RUN SECONDS'
                      TO WS-8020-FIELD-NAME
                    MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
                    PERFORM 8020-RECORD-INT-ERROR
                       THRU 8020-RECORD-INT-ERROR-EXIT
              END-COMPUTE
           END-IF
      *    ************************************************
      *    *  COMPUTE LENGTH OF PROCESSING RUN IN MINUTES *
      *    ************************************************
           COMPUTE WS-0770-RUN-MINUTES ROUNDED =
               WS-0770-RUN-SECONDS / 60
              ON SIZE ERROR
                 MOVE 0770 TO WS-8020-PARAGRAPH-NO
                 MOVE 90017 TO WS-8020-INT-ERROR-NO
                 MOVE 'RUN MINUTES'
                   TO WS-8020-FIELD-NAME
                 MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
                 PERFORM 8020-RECORD-INT-ERROR
                    THRU 8020-RECORD-INT-ERROR-EXIT
           END-COMPUTE
           MOVE WS-0770-RUN-MINUTES TO WS-0770-RUN-MINUTES-X
      *    ************************************************
      *    *  COMPUTE TRANSACTIONS/MINUTE                 *
      *    ************************************************
           COMPUTE WS-0770-TRANSACTIONS-PER-MIN ROUNDED =
               WS-0770-TRANSACTION-COUNT / WS-0770-RUN-MINUTES
              ON SIZE ERROR
                 MOVE 0770 TO WS-8020-PARAGRAPH-NO
                 MOVE 90017 TO WS-8020-INT-ERROR-NO
                 MOVE 'TRANS/MIN'
                   TO WS-8020-FIELD-NAME
                 MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
                 PERFORM 8020-RECORD-INT-ERROR
                    THRU 8020-RECORD-INT-ERROR-EXIT
           END-COMPUTE
      *    ************************************************
      *    *  COMPUTE TRANSACTIONS/SECOND                 *
      *    ************************************************
           COMPUTE WS-0770-TRANSACTIONS-PER-SEC ROUNDED =
               WS-0770-TRANSACTION-COUNT / WS-0770-RUN-SECONDS
              ON SIZE ERROR
                 MOVE 0770 TO WS-8020-PARAGRAPH-NO
                 MOVE 90017 TO WS-8020-INT-ERROR-NO
                 MOVE 'TRANS/SEC'
                   TO WS-8020-FIELD-NAME
                 MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
                 PERFORM 8020-RECORD-INT-ERROR
                    THRU 8020-RECORD-INT-ERROR-EXIT
           END-COMPUTE
           MOVE WS-0770-TRANSACTIONS-PER-MIN TO WS-0770-TPM
           MOVE WS-0770-TRANSACTIONS-PER-SEC TO WS-0770-TPS

           IF ERR-RPT-FILE-OPEN AND SUM-FILE-OPEN
              MOVE SPACES TO ERROR-REPT-RECORD
              MOVE ERROR-REPT-RECORD TO ERROR-SUM-REC
              WRITE ERROR-REPT-RECORD
              WRITE ERROR-SUM-REC
              MOVE WS-0770-TIME-LINE TO ERROR-REPT-RECORD
              MOVE ERROR-REPT-RECORD TO ERROR-SUM-REC
              WRITE ERROR-REPT-RECORD
              WRITE ERROR-SUM-REC
              MOVE WS-0770-STAT-LINE TO ERROR-REPT-RECORD
              MOVE ERROR-REPT-RECORD TO ERROR-SUM-REC
              WRITE ERROR-REPT-RECORD
              WRITE ERROR-SUM-REC
           ELSE
              IF LOG-FILE-OPEN AND SUM-FILE-OPEN
                 MOVE SPACES TO ERROR-LOG-REC
                 MOVE ERROR-LOG-REC TO ERROR-SUM-REC
                 WRITE ERROR-LOG-REC
                 WRITE ERROR-SUM-REC
                 MOVE WS-0770-TIME-LINE TO ERROR-REPT-RECORD
                 MOVE ERROR-LOG-REC TO ERROR-SUM-REC
                 WRITE ERROR-LOG-REC
                 WRITE ERROR-SUM-REC
                 MOVE WS-0770-STAT-LINE TO ERROR-REPT-RECORD
                 MOVE ERROR-LOG-REC TO ERROR-SUM-REC
                 WRITE ERROR-LOG-REC
                 WRITE ERROR-SUM-REC
              END-IF
           END-IF.


       0770-LOG-ERROR-COUNTS-EXIT.
          EXIT.


       0770-LOG-ERROR.

           SET WS-7008-ERROR-MSG-INDEX TO WS-7008-ERROR-MSG-INT-INDEX
           INITIALIZE WS-0770-ERROR-LINE

           IF WS-7008-ERROR-COUNT(WS-7008-ERROR-MSG-INDEX) > ZEROS
              MOVE WS-7008-ERROR-NO(WS-7008-ERROR-MSG-INDEX)
                TO WS-0770-ERROR-CD
              MOVE WS-7008-ERROR-MSG(WS-7008-ERROR-MSG-INDEX)
                TO WS-0770-ERROR-MSG
              MOVE WS-7008-ERROR-COUNT(WS-7008-ERROR-MSG-INDEX)
                TO WS-0770-ERROR-COUNT

              IF ERR-RPT-FILE-OPEN AND SUM-FILE-OPEN
                 MOVE WS-0770-ERROR-LINE TO ERROR-REPT-RECORD
                 MOVE ERROR-REPT-RECORD TO ERROR-SUM-REC
                 WRITE ERROR-REPT-RECORD
                 WRITE ERROR-SUM-REC
              ELSE
                 IF LOG-FILE-OPEN AND SUM-FILE-OPEN
                    MOVE WS-0770-ERROR-LINE TO ERROR-LOG-REC
                    MOVE ERROR-LOG-REC TO ERROR-SUM-REC
                    WRITE ERROR-LOG-REC
                    WRITE ERROR-SUM-REC
                 END-IF
              END-IF

      $IF DEBUG-SW DEFINED
           DISPLAY WS-0770-ERROR-LINE
           UPON CONSOLE
      $END

           END-IF.


       0770-LOG-ERROR-EXIT.
           EXIT.
