      *************************************************************
      * File:      M0110.CBL
      * Author:    Mike Ray
      * Date:      8/9/95
      * Purpose:   Initialize the transaction tables in working storage.
      *
      *************************************************************

       0110-INITIALIZE-TABLES.

      $IF DEBUG-SW DEFINED
           DISPLAY '0110-INITIALIZING-TABLES'
           UPON CONSOLE
      $END

      *    *** INITIALIZE SBI TABLE ***
           IF WS-0010-SBI-REC-COUNT > ZERO
              PERFORM 0110-INIT-T10
                 THRU 0110-INIT-T10-EXIT
                 WITH TEST AFTER
              VARYING WS-0010-SBI-INT-INDEX FROM 1 BY 1
                UNTIL WS-0010-SBI-INT-INDEX = WS-0010-SBI-REC-COUNT
           END-IF
           MOVE ZERO TO WS-0010-SBI-REC-COUNT

      *    *** INITIALIZE T11 TABLE ***
           IF WS-0011-T11-REC-COUNT > ZERO
              PERFORM 0110-INIT-T11
                 THRU 0110-INIT-T11-EXIT
                 WITH TEST AFTER
              VARYING WS-0011-T11-INT-INDEX FROM 1 BY 1
                UNTIL WS-0011-T11-INT-INDEX = WS-0011-T11-REC-COUNT
           END-IF
           MOVE ZERO TO WS-0011-T11-REC-COUNT

      *    *** INITIALIZE T11 REVENUE ASSURANCE DATA ***
           MOVE ZEROS TO WS-0011-RA-DATA
           MOVE SPACES TO WS-0011-RA-CORN-UNIT-ORG
           MOVE SPACES TO WS-0011-RA-SOY-UNIT-ORG

      *    *** INITIALIZE T11 LIABILITY TABLE ***
           IF WS-0011-UNIT-REC-COUNT > ZERO
              PERFORM 0110-INIT-T11-LIAB
                 THRU 0110-INIT-T11-LIAB-EXIT
                 WITH TEST AFTER
              VARYING WS-0011-UNIT-INT-INDEX FROM 1 BY 1
                UNTIL WS-0011-UNIT-INT-INDEX = WS-0011-UNIT-REC-COUNT
           END-IF
           MOVE ZERO TO WS-0011-UNIT-REC-COUNT

      *    *** INITIALIZE T12 TABLE ***
           IF WS-0012-T12-REC-COUNT > ZERO
              PERFORM 0110-INIT-T12
                 THRU 0110-INIT-T12-EXIT
                 WITH TEST AFTER
              VARYING WS-0012-T12-INT-INDEX FROM 1 BY 1
                UNTIL WS-0012-T12-INT-INDEX = WS-0012-T12-REC-COUNT
           END-IF
           MOVE ZERO TO WS-0012-T12-REC-COUNT

      *    *** INITIALIZE T14 TABLE ***
           IF WS-0014-T14-REC-COUNT > ZERO
              PERFORM 0110-INIT-T14
                 THRU 0110-INIT-T14-EXIT
                 WITH TEST AFTER
              VARYING WS-0014-T14-INT-INDEX FROM 1 BY 1
                UNTIL WS-0014-T14-INT-INDEX = WS-0014-T14-REC-COUNT
           END-IF
           MOVE ZERO TO WS-0014-T14-policy-REC-COUNT
           MOVE ZERO TO WS-0014-T14-REC-COUNT

      *    *** INITIALIZE T15 TABLE ***
           IF WS-0015-T15-REC-COUNT > ZERO
              PERFORM 0110-INIT-T15
                 THRU 0110-INIT-T15-EXIT
                 WITH TEST AFTER
              VARYING WS-0015-T15-INT-INDEX FROM 1 BY 1
                UNTIL WS-0015-T15-INT-INDEX = WS-0015-T15-REC-COUNT
           END-IF
           MOVE ZERO TO WS-0015-T15-REC-COUNT

      *    *** INITIALIZE T16 TABLE ***
           IF WS-0016-T16-REC-COUNT > ZERO
              PERFORM 0110-INIT-T16
                 THRU 0110-INIT-T16-EXIT
                 WITH TEST AFTER
              VARYING WS-0016-T16-INT-INDEX FROM 1 BY 1
                UNTIL WS-0016-T16-INT-INDEX = WS-0016-T16-REC-COUNT
           END-IF
           MOVE ZERO TO WS-0016-T16-REC-COUNT

      *    *** INITIALIZE T20 TABLE ***
           IF WS-0020-T20-REC-COUNT > ZERO
              PERFORM 0110-INIT-T20
                 THRU 0110-INIT-T20-EXIT
                 WITH TEST AFTER
              VARYING WS-0020-T20-INT-INDEX FROM 1 BY 1
                UNTIL WS-0020-T20-INT-INDEX = WS-0020-T20-REC-COUNT
           END-IF
           MOVE ZERO TO WS-0020-T20-REC-COUNT

      *    *** INITIALIZE T20 CLAIMS TABLE ***
           IF WS-0020-CLAIM-REC-COUNT > ZERO
              PERFORM 0110-INIT-T20-CLAIMS
                 THRU 0110-INIT-T20-CLAIMS-EXIT
                 WITH TEST AFTER
              VARYING WS-0020-CLAIM-INT-INDEX FROM 1 BY 1
                UNTIL WS-0020-CLAIM-INT-INDEX
                      = WS-0020-CLAIM-REC-COUNT
           END-IF
           MOVE ZERO TO WS-0020-CLAIM-REC-COUNT

      *    *** INITIALIZE T21 TABLE ***
           IF WS-0021-T21-REC-COUNT > ZERO
              PERFORM 0110-INIT-T21
                 THRU 0110-INIT-T21-EXIT
                 WITH TEST AFTER
              VARYING WS-0021-T21-INT-INDEX FROM 1 BY 1
                UNTIL WS-0021-T21-INT-INDEX = WS-0021-T21-REC-COUNT
           END-IF
           MOVE ZERO TO WS-0021-T21-REC-COUNT

      *    *** INITIALIZE T21 UNIT INDEMNITY TABLE ***
           IF WS-0021-UNIT-REC-COUNT > ZERO
              PERFORM 0110-INIT-T21-UNIT
                 THRU 0110-INIT-T21-UNIT-EXIT
                 WITH TEST AFTER
              VARYING WS-0021-UNIT-INT-INDEX FROM 1 BY 1
                UNTIL WS-0021-UNIT-INT-INDEX = WS-0021-UNIT-REC-COUNT
           END-IF
           MOVE ZERO TO WS-0021-UNIT-REC-COUNT

      *    *** INITIALIZE T21 CROP INDEMNITY TABLE ***
           IF WS-0021-CROP-REC-COUNT > ZERO
              PERFORM 0110-INIT-T21-CROP
                 THRU 0110-INIT-T21-CROP-EXIT
                 WITH TEST AFTER
              VARYING WS-0021-CROP-INT-INDEX FROM 1 BY 1
                UNTIL WS-0021-CROP-INT-INDEX = WS-0021-CROP-REC-COUNT
           END-IF
           MOVE ZERO TO WS-0021-CROP-REC-COUNT

      *    *** INITIALIZE T50 TABLE ***
           IF WS-0050-T50-REC-COUNT > ZERO
              PERFORM 0110-INIT-T50
                 THRU 0110-INIT-T50-EXIT
                 WITH TEST AFTER
              VARYING WS-0050-T50-INT-INDEX FROM 1 BY 1
                UNTIL WS-0050-T50-INT-INDEX = WS-0050-T50-REC-COUNT
           END-IF
           MOVE ZERO TO WS-0050-T50-REC-COUNT

      *    *** INITIALIZE T14 ASSIGNED RISK TABLE ***
           IF WS-7014-ASGD-RISK-REC-COUNT > ZERO
              PERFORM 0110-INIT-T14-AR
                 THRU 0110-INIT-T14-AR-EXIT
                 WITH TEST AFTER
              VARYING WS-7014-ASGD-RISK-INT-INDEX FROM 1 BY 1
                UNTIL WS-7014-ASGD-RISK-INT-INDEX
                   = WS-7014-ASGD-RISK-REC-COUNT
           END-IF
           MOVE ZERO TO WS-7014-ASGD-RISK-REC-COUNT

      *    *** INITIALIZE T99 TABLE ***
           IF WS-0099-T99-REC-COUNT > ZERO
              PERFORM 0110-INIT-T99
                 THRU 0110-INIT-T99-EXIT
                 WITH TEST AFTER
              VARYING WS-0099-T99-INT-INDEX FROM 1 BY 1
                UNTIL WS-0099-T99-INT-INDEX = WS-0099-T99-REC-COUNT
           END-IF
           MOVE ZERO TO WS-0099-T99-REC-COUNT.


       0110-INITIALIZE-TABLES-EXIT.
           EXIT.

       0110-INIT-T10.

           SET WS-0010-SBI-INDEX TO WS-0010-SBI-INT-INDEX
           MOVE ZEROS TO WS-0010-TBL-TYPE-10(WS-0010-SBI-INDEX).

       0110-INIT-T10-EXIT.
           EXIT.

       0110-INIT-T11.

           SET WS-0011-T11-INDEX TO WS-0011-T11-INT-INDEX
           MOVE ZEROS TO WS-0011-TBL-CROP-POLICY-TY(WS-0011-T11-INDEX)
           MOVE ZEROS TO WS-0011-TBL-LOW-YIELD(WS-0011-T11-INDEX)
           MOVE ZEROS TO WS-0011-TBL-HIGH-YIELD(WS-0011-T11-INDEX)
           MOVE ZEROS TO WS-0011-TBL-TYPE-11(WS-0011-T11-INDEX).

       0110-INIT-T11-EXIT.
           EXIT.


       0110-INIT-T11-LIAB.

           SET WS-0011-UNIT-INDEX TO WS-0011-UNIT-INT-INDEX
           MOVE ZEROS TO WS-0011-UNIT-TBL-REC(WS-0011-UNIT-INDEX).

       0110-INIT-T11-LIAB-EXIT.
           EXIT.


       0110-INIT-T12.

           SET WS-0012-T12-INDEX TO WS-0012-T12-INT-INDEX
           MOVE ZEROS TO WS-0012-TBL-TYPE-12(WS-0012-T12-INDEX).

       0110-INIT-T12-EXIT.
           EXIT.

       0110-INIT-T14.

           SET WS-0014-T14-INDEX TO WS-0014-T14-INT-INDEX
           MOVE ZEROS
             TO WS-0014-TBL-CROP-POLICY-TY(WS-0014-T14-INDEX)
           MOVE ZEROS TO WS-0014-TBL-TYPE-14(WS-0014-T14-INDEX).

       0110-INIT-T14-EXIT.
           EXIT.

       0110-INIT-T15.

           SET WS-0015-T15-INDEX TO WS-0015-T15-INT-INDEX
           MOVE ZEROS TO WS-0015-TBL-AVG-APH-YIELD(WS-0015-T15-INDEX)
           MOVE ZEROS TO WS-0015-TBL-ACTUAL-YEARS(WS-0015-T15-INDEX)
           MOVE ZEROS TO WS-0015-TBL-REF-YEARS-REQ(WS-0015-T15-INDEX)
           MOVE ZEROS
             TO WS-0015-TBL-CROP-POLICY-TY(WS-0015-T15-INDEX)
           MOVE ZEROS TO WS-0015-TBL-TYPE-15(WS-0015-T15-INDEX).

       0110-INIT-T15-EXIT.
           EXIT.

       0110-INIT-T16.

           SET WS-0016-T16-INDEX TO WS-0016-T16-INT-INDEX
           MOVE ZEROS TO WS-0016-TBL-TYPE-16(WS-0016-T16-INDEX).

       0110-INIT-T16-EXIT.
           EXIT.

       0110-INIT-T20.

           SET WS-0020-T20-INDEX TO WS-0020-T20-INT-INDEX
           MOVE ZEROS TO WS-0020-TBL-TYPE-20(WS-0020-T20-INDEX).

       0110-INIT-T20-EXIT.
           EXIT.

       0110-INIT-T20-CLAIMS.

           SET WS-0020-CLAIM-INDEX TO WS-0020-CLAIM-INT-INDEX
           MOVE ZEROS TO WS-0020-CLAIM-TBL-REC(WS-0020-CLAIM-INDEX).

       0110-INIT-T20-CLAIMS-EXIT.
           EXIT.

       0110-INIT-T21.

           SET WS-0021-T21-INDEX TO WS-0021-T21-INT-INDEX
           MOVE ZEROS TO WS-0021-TBL-CROP-POLICY-TY(WS-0021-T21-INDEX)
           MOVE ZEROS
             TO WS-0021-TBL-CROP-UNIT-OF-MEAS(WS-0021-T21-INDEX)
           MOVE ZEROS
             TO WS-0021-TBL-PRELIM-PMT-FACTOR(WS-0021-T21-INDEX)
           MOVE ZEROS TO WS-0021-TBL-TYPE-21(WS-0021-T21-INDEX).

       0110-INIT-T21-EXIT.
           EXIT.

       0110-INIT-T21-UNIT.

           SET WS-0021-UNIT-INDEX TO WS-0021-UNIT-INT-INDEX
           MOVE ZEROS TO WS-0021-UNIT-TBL-REC(WS-0021-UNIT-INDEX).

       0110-INIT-T21-UNIT-EXIT.
           EXIT.

       0110-INIT-T21-CROP.

           SET WS-0021-CROP-INDEX TO WS-0021-CROP-INT-INDEX
           MOVE ZEROS TO WS-0021-CROP-TBL-REC(WS-0021-CROP-INDEX).

       0110-INIT-T21-CROP-EXIT.
           EXIT.

       0110-INIT-T50.

           SET WS-0050-T50-INDEX TO WS-0050-T50-INT-INDEX
           MOVE ZEROS TO WS-0050-TBL-TYPE-50(WS-0050-T50-INDEX).

       0110-INIT-T50-EXIT.
           EXIT.

       0110-INIT-T99.

           SET WS-0099-T99-INDEX TO WS-0099-T99-INT-INDEX
           MOVE ZEROS TO WS-0099-T99-RECORD(WS-0099-T99-INDEX).

       0110-INIT-T99-EXIT.
           EXIT.

       0110-INIT-T14-AR.

           SET WS-7014-ASGD-RISK-INDEX TO WS-7014-ASGD-RISK-INT-INDEX
           MOVE ZEROS
             TO WS-7014-ASGD-RISK-REC(WS-7014-ASGD-RISK-INDEX).

       0110-INIT-T14-AR-EXIT.
           EXIT.

