      *************************************************************
      * File:      M0135.CBL
      * Author:    Mike Ray
      * Date:      8/9/95
      * Purpose:   Gets the parameters from the linkage section and
      *            stores them in the current batch section of
      *            working storage.
      *************************************************************
       0135-GET-PARAMETERS.

      $IF DEBUG-SW DEFINED
           DISPLAY '0135-GETTING PARAMETERS'
           UPON CONSOLE
      $END

      *******************************************
      *    INITIALIZE LOCAL VARIABLES           *
      *******************************************
           INITIALIZE WS-0135-LOCAL

      *******************************************
      *    GET INSURANCE PROVIDER PARAMETER     *
      *******************************************
           DISPLAY 'IP' UPON ENVIRONMENT-NAME
           ACCEPT WS-0004-BATCH-INS-PROV FROM ENVIRONMENT-VALUE
           IF WS-0004-BATCH-INS-PROV IS EQUAL SPACES
              DISPLAY 'ENTER IP/RO CODE                     : '
                UPON CONSOLE WITH NO ADVANCING
              ACCEPT WS-0004-BATCH-INS-PROV FROM CONSOLE
           END-IF
           IF WS-0004-BATCH-INS-PROV IS EQUAL SPACES
              DISPLAY 'RO CODE NOT ENTERED - ABORTING PROGRAM!'
              UPON CONSOLE
              PERFORM 0800-ABORT-PROGRAM
                 THRU 0800-ABORT-PROGRAM-EXIT
           ELSE
              PERFORM 0135-VAL-IP
                 THRU 0135-VAL-IP-EXIT
           END-IF.


      *******************************************
      *    GET FCIC DATE/TIME PARAMETER         *
      *                                         *
      *    - DEFAULT TO SYSTEM DATE/TIME        *
      *******************************************

           DISPLAY 'FCICDATE' UPON ENVIRONMENT-NAME
           ACCEPT WS-0004-FCIC-PROC-DATE FROM ENVIRONMENT-VALUE
           IF WS-0004-FCIC-PROC-DATE IS EQUAL SPACES
              IF WS-0004-SYS-DATE <> ZEROS
                 MOVE WS-0004-SYS-DATE TO WS-0004-FCIC-PROC-DATE
              ELSE
                 DISPLAY 'ENTER FCIC PROCESSING DATE (YYMMDD)  : '
                    UPON CONSOLE WITH NO ADVANCING
                 ACCEPT WS-0004-FCIC-PROC-DATE FROM CONSOLE
              END-IF
           END-IF
           IF WS-0004-FCIC-PROC-DATE IS EQUAL SPACES
              DISPLAY 'FCIC PROCESSING DATE NOT ENTERED - ABORTING!'
              UPON CONSOLE
              PERFORM 0800-ABORT-PROGRAM
                 THRU 0800-ABORT-PROGRAM-EXIT
           END-IF
           IF WS-0004-FCIC-PROC-DATE IS NOT NUMERIC
              DISPLAY 'FCIC PROCESSING DATE NOT NUMERIC - ABORTING!'
              UPON CONSOLE
              PERFORM 0800-ABORT-PROGRAM
                 THRU 0800-ABORT-PROGRAM-EXIT
           END-IF.

           DISPLAY 'FCICTIME' UPON ENVIRONMENT-NAME
           ACCEPT WS-0004-FCIC-PROC-TIME FROM ENVIRONMENT-VALUE
           IF WS-0004-FCIC-PROC-TIME IS EQUAL SPACES
              IF WS-0004-SYS-TIME <> ZEROS
                 MOVE WS-0004-SYS-TIME TO WS-0004-FCIC-PROC-TIME
              ELSE
                 DISPLAY 'ENTER FCIC PROCESSING TIME (HHMMSSMM): '
                    UPON CONSOLE WITH NO ADVANCING
                 ACCEPT WS-0004-FCIC-PROC-TIME FROM CONSOLE
              END-IF
           END-IF
           IF WS-0004-FCIC-PROC-TIME IS EQUAL SPACES
              DISPLAY 'FCIC PROCESSING TIME NOT ENTERED - ABORTING!'
              UPON CONSOLE
              PERFORM 0800-ABORT-PROGRAM
                 THRU 0800-ABORT-PROGRAM-EXIT
           END-IF
           IF WS-0004-FCIC-PROC-TIME IS NOT NUMERIC
              DISPLAY 'FCIC PROCESSING DATE NOT NUMERIC - ABORTING!'
              UPON CONSOLE
              PERFORM 0800-ABORT-PROGRAM
                 THRU 0800-ABORT-PROGRAM-EXIT
           END-IF.


      ************************************************
      *          GET USE SUBDIRECTORIES FLAG         *
      *                                              *
      *              - DEFAULT TO N -                *
      ************************************************
           DISPLAY 'SUBDIRS' UPON ENVIRONMENT-NAME
           ACCEPT WS-0004-SUBDIR-INDICATOR FROM ENVIRONMENT-VALUE
           IF WS-0004-SUBDIR-INDICATOR = WS-LITERAL-YES OR
              WS-0004-SUBDIR-INDICATOR = 'y'
              MOVE WS-LITERAL-YES TO WS-0004-SUBDIR-INDICATOR
      *     ELSE
      *$IF PC-SW DEFINED
      *        MOVE WS-LITERAL-NO TO WS-0004-SUBDIR-INDICATOR
      *$ELSE
      *        MOVE WS-LITERAL-YES TO WS-0004-SUBDIR-INDICATOR
      *$END
           END-IF

      *******************************************
      *    GET INPUT FILE NAME PARAMETER        *
      *******************************************
           DISPLAY 'INFILE' UPON ENVIRONMENT-NAME
           ACCEPT WS-0004-FILE-NAME FROM ENVIRONMENT-VALUE

           IF WS-0004-FILE-NAME IS EQUAL SPACES
              DISPLAY 'ENTER INPUT FILE NAME                : '
                 UPON CONSOLE WITH NO ADVANCING
              ACCEPT WS-0004-FILE-NAME FROM CONSOLE
           END-IF
           IF WS-0004-FILE-NAME IS EQUAL SPACES
              DISPLAY 'INPUT FILE NAME NOT ENTERED - ABORTING!'
              UPON CONSOLE
              PERFORM 0800-ABORT-PROGRAM
                 THRU 0800-ABORT-PROGRAM-EXIT
           END-IF.

           IF WS-0004-SUBDIR-INDICATOR = WS-LITERAL-YES
              STRING 'INPUT/'
               DELIMITED BY SIZE
               WS-0004-BATCH-INS-PROV
               DELIMITED BY SIZE
               '/'
               DELIMITED BY SIZE
               WS-0004-FILE-NAME
               DELIMITED BY SPACE
               INTO WS-0004-FULL-FILE-NAME
              END-STRING
           ELSE
              STRING 'INPUT/'
               DELIMITED BY SIZE
               WS-0004-FILE-NAME
               DELIMITED BY SPACE
               INTO WS-0004-FULL-FILE-NAME
              END-STRING
           END-IF

      *******************************************
      *        GET REINS YR PARAMETER           *
      *                                         *
      *          - DEFAULT TO 1997 -            *
      *******************************************
           DISPLAY 'REINS_YR' UPON ENVIRONMENT-NAME
           ACCEPT WS-0004-REINS-YR FROM ENVIRONMENT-VALUE

           IF WS-0004-REINS-YR IS EQUAL SPACES
              MOVE 1997 TO WS-0004-REINS-YR
           END-IF
           IF WS-0004-REINS-YR IS EQUAL SPACES
              DISPLAY 'REINSURANCE YR NOT ENTERED - ABORTING!'
              UPON CONSOLE
              PERFORM 0800-ABORT-PROGRAM
                 THRU 0800-ABORT-PROGRAM-EXIT
           END-IF
           IF WS-0004-REINS-YR IS NOT NUMERIC
              DISPLAY 'REINSURANCE YR NOT NUMERIC - ABORTING!'
              UPON CONSOLE
              PERFORM 0800-ABORT-PROGRAM
                 THRU 0800-ABORT-PROGRAM-EXIT
           END-IF.


      *******************************************
      *        GET NEW BOOK PARAMETER           *
      *                                         *
      *           - DEFAULT TO N -              *
      *******************************************
           DISPLAY 'NEW_BOOK' UPON ENVIRONMENT-NAME
           ACCEPT WS-0004-NEW-BOOK-FLAG FROM ENVIRONMENT-VALUE
           IF WS-0004-NEW-BOOK-FLAG IS NOT EQUAL WS-LITERAL-YES
              MOVE WS-LITERAL-NO TO WS-0004-NEW-BOOK-FLAG
           END-IF


      *******************************************
      *  GET ERROR RPT PAGE LENGTH PARAMETER    *
      *                                         *
      *           - DEFAULT TO 62 -             *
      *                                         *
      *  IF THE USER SETS THE PAGE LENGTH < 0   *
      *  NO REPORT WILL BE CREATED              *
      *******************************************
           DISPLAY 'RPT_PG_LEN' UPON ENVIRONMENT-NAME
           ACCEPT WS-0004-RPT-PAGE-LENGTH-X FROM ENVIRONMENT-VALUE
           IF WS-0004-RPT-PAGE-LENGTH-X NUMERIC
              IF WS-0004-RPT-PAGE-LENGTH = ZEROS
                 MOVE 62 TO WS-0004-RPT-PAGE-LENGTH
              END-IF
           ELSE
              MOVE 62 TO WS-0004-RPT-PAGE-LENGTH
           END-IF

      *******************************************
      *  GET ERROR RPT PRINT MESSAGE PARAMETER  *
      *                                         *
      *           - DEFAULT TO Y -              *
      *******************************************
           DISPLAY 'RPT_ERR_MSG' UPON ENVIRONMENT-NAME
           ACCEPT WS-0004-RPT-ERROR-MSG-FLAG FROM ENVIRONMENT-VALUE
           IF WS-0004-RPT-ERROR-MSG-FLAG = WS-LITERAL-NO OR
              WS-0004-RPT-ERROR-MSG-FLAG = 'n'
              MOVE WS-LITERAL-NO TO WS-0004-RPT-ERROR-MSG-FLAG
           ELSE
              MOVE WS-LITERAL-YES TO WS-0004-RPT-ERROR-MSG-FLAG
           END-IF.

      ************************************************
      *   GET ERROR RPT PRINT PARAGRAPHS PARAMETER   *
      *                                              *
      *              - DEFAULT TO Y -                *
      ************************************************
           DISPLAY 'RPT_PARA_NO' UPON ENVIRONMENT-NAME
           ACCEPT WS-0004-RPT-PARAGRAPH-NO-FLAG FROM ENVIRONMENT-VALUE
           IF WS-0004-RPT-PARAGRAPH-NO-FLAG = WS-LITERAL-NO OR
              WS-0004-RPT-PARAGRAPH-NO-FLAG = 'n'
              MOVE WS-LITERAL-NO TO WS-0004-RPT-PARAGRAPH-NO-FLAG
           ELSE
              MOVE WS-LITERAL-YES TO WS-0004-RPT-PARAGRAPH-NO-FLAG
           END-IF

      ************************************************
      *   GET REMOVE ID NUMBER FROM OUTPUT FLAG      *
      *                                              *
      *              - DEFAULT TO N -                *
      ************************************************
           DISPLAY 'RMV_ID_NO' UPON ENVIRONMENT-NAME
           ACCEPT WS-0004-REMOVE-ID-FLAG FROM ENVIRONMENT-VALUE
           IF WS-0004-REMOVE-ID-FLAG = WS-LITERAL-YES OR
              WS-0004-REMOVE-ID-FLAG = 'y'
              MOVE WS-LITERAL-YES TO WS-0004-REMOVE-ID-FLAG
           ELSE
              MOVE WS-LITERAL-NO TO WS-0004-REMOVE-ID-FLAG
           END-IF

      ************************************************
      *        GET 400 BYTE TRANSACTION FLAG         *
      *                                              *
      *              - DEFAULT TO N -                *
      ************************************************
           DISPLAY 'TRAN_400' UPON ENVIRONMENT-NAME
           ACCEPT WS-0004-TRAN-400-FLAG FROM ENVIRONMENT-VALUE
           IF WS-0004-TRAN-400-FLAG = WS-LITERAL-YES OR
              WS-0004-TRAN-400-FLAG = 'y'
              MOVE WS-LITERAL-YES TO WS-0004-TRAN-400-FLAG
           ELSE
              MOVE WS-LITERAL-NO TO WS-0004-TRAN-400-FLAG
           END-IF

      ************************************************
      *        KEEP TRAN SEQUENCE NUMBERS FLAG       *
      *                                              *
      *              - DEFAULT TO N -                *
      ************************************************
           DISPLAY 'KEEP_SEQ' UPON ENVIRONMENT-NAME
           ACCEPT WS-0004-KEEP-SEQ-NO-FLAG FROM ENVIRONMENT-VALUE
           IF WS-0004-KEEP-SEQ-NO-FLAG = WS-LITERAL-YES OR
              WS-0004-KEEP-SEQ-NO-FLAG = 'y'
              MOVE WS-LITERAL-YES TO WS-0004-KEEP-SEQ-NO-FLAG
              MOVE WS-LITERAL-YES TO WS-0004-TRAN-400-FLAG
           ELSE
              MOVE WS-LITERAL-NO TO WS-0004-KEEP-SEQ-NO-FLAG
           END-IF


      ************************************************
      *             GET RERUN INDICATOR              *
      *                                              *
      *              - DEFAULT TO N -                *
      ************************************************
           DISPLAY 'RERUN' UPON ENVIRONMENT-NAME
           ACCEPT WS-0004-RERUN-INDICATOR FROM ENVIRONMENT-VALUE
           IF WS-0004-RERUN-INDICATOR = WS-LITERAL-YES OR
              WS-0004-RERUN-INDICATOR = 'y'
              MOVE WS-LITERAL-YES TO WS-0004-RERUN-INDICATOR
           ELSE
              MOVE WS-LITERAL-NO TO WS-0004-RERUN-INDICATOR
           END-IF


      ************************************************
      *          GET USE /TMP DIRECTORY FLAG         *
      *                                              *
      *              - DEFAULT TO Y -                *
      ************************************************
      $IF PC-SW DEFINED
           MOVE WS-LITERAL-NO TO WS-0004-USE-TMP-DIR-FLAG
      $ELSE
           DISPLAY 'USE_TMP' UPON ENVIRONMENT-NAME
           ACCEPT WS-0004-USE-TMP-DIR-FLAG FROM ENVIRONMENT-VALUE
           IF WS-0004-USE-TMP-DIR-FLAG = WS-LITERAL-NO OR
              WS-0004-USE-TMP-DIR-FLAG = 'n'
              MOVE WS-LITERAL-NO TO WS-0004-USE-TMP-DIR-FLAG
           ELSE
              MOVE WS-LITERAL-YES TO WS-0004-USE-TMP-DIR-FLAG
           END-IF
      $END

      ************************************************
      *        GET OVERRIDE BATCH NUMBER             *
      *                                              *
      ************************************************
           DISPLAY 'BATCH_NO' UPON ENVIRONMENT-NAME
           ACCEPT WS-0135-BATCH-NO-X FROM ENVIRONMENT-VALUE
           IF WS-0135-BATCH-NO-X IS EQUAL SPACES
              CONTINUE
           ELSE
              IF WS-0135-BATCH-NO IS NUMERIC AND
                 WS-0135-BATCH-NO <> ZEROS
                 MOVE WS-0135-BATCH-NO TO WS-0004-BATCH-NO
              END-IF
           END-IF

      ************************************************
      *        GET MULTIPROCESSOR SWITCH             *
      ************************************************
           DISPLAY 'MULTI' UPON ENVIRONMENT-NAME
           ACCEPT WS-0004-MULTI-PROCESSOR-SW FROM ENVIRONMENT-VALUE
           IF WS-0004-MULTI-PROCESSOR-SW = WS-LITERAL-YES OR
              WS-0004-MULTI-PROCESSOR-SW = 'y'
              DISPLAY 'PROC_NO' UPON ENVIRONMENT-NAME
              ACCEPT WS-0135-PROCESS-NO-X FROM ENVIRONMENT-VALUE
              IF WS-0135-PROCESS-NO-X = SPACES OR
                 WS-0135-PROCESS-NO NOT NUMERIC
                 DISPLAY 'MDAS PROCESS NUMBER NOT ENTERED - ABORTING!'
                 UPON CONSOLE
                 PERFORM 0800-ABORT-PROGRAM
                    THRU 0800-ABORT-PROGRAM-EXIT
              ELSE
                 IF WS-0135-PROCESS-NO = ZERO
                    DISPLAY 'MDAS PROCESS NUMBER = ZERO - ABORTING!'
                    UPON CONSOLE
                    PERFORM 0800-ABORT-PROGRAM
                       THRU 0800-ABORT-PROGRAM-EXIT
                 ELSE
                    MOVE WS-LITERAL-YES
                      TO WS-0004-MULTI-PROCESSOR-SW
                    MOVE WS-0135-PROCESS-NO
                      TO WS-0004-MDAS-PROCESS-NO
                 END-IF
              END-IF
              DISPLAY 'START_SEQ' UPON ENVIRONMENT-NAME
              ACCEPT WS-0135-START-TSEQ-NO-X FROM ENVIRONMENT-VALUE
              IF WS-0135-START-TSEQ-NO-X = SPACES OR
                 WS-0135-START-TSEQ-NO NOT NUMERIC
                 DISPLAY 'MDAS STARTING TSEQ# NOT ENTERED - ABORTING!'
                 UPON CONSOLE
                 PERFORM 0800-ABORT-PROGRAM
                    THRU 0800-ABORT-PROGRAM-EXIT
              ELSE
                 MOVE WS-0135-START-TSEQ-NO
                   TO WS-0004-MDAS-STARTING-TSEQ
      *          *** SET STARTING TSEQ NUMBER ***
                 MOVE WS-0004-MDAS-STARTING-TSEQ
                   TO WS-0004-TRAN-SEQ-NO
                 SUBTRACT 1 FROM WS-0004-TRAN-SEQ-NO
              END-IF
           ELSE
              MOVE WS-LITERAL-NO TO WS-0004-MULTI-PROCESSOR-SW
              MOVE ZERO TO WS-0004-MDAS-PROCESS-NO
              MOVE ZERO TO WS-0004-MDAS-STARTING-TSEQ
           END-IF.


      $IF DEBUG-SW DEFINED
           DISPLAY 'INPUT INS PROVIDER=', WS-0004-BATCH-INS-PROV
           UPON CONSOLE
           DISPLAY 'FCIC CONTROL DATE = ', WS-0004-FCIC-PROC-DATE
           UPON CONSOLE
           DISPLAY 'FCIC CONTROL TIME = ', WS-0004-FCIC-PROC-TIME
           UPON CONSOLE
           DISPLAY 'INPUT FILE NAME = ', WS-0004-FULL-FILE-NAME
           UPON CONSOLE
           DISPLAY 'REINSURANCE YEAR = ', WS-0004-REINS-YR
           UPON CONSOLE
           DISPLAY 'NEW BOOK FLAG = ', WS-0004-NEW-BOOK-FLAG
           UPON CONSOLE
           DISPLAY 'REPT PAGE LENGTH = ', WS-0004-RPT-PAGE-LENGTH
           UPON CONSOLE
           DISPLAY 'PRINT ERROR MESSAGES = ',
             WS-0004-RPT-ERROR-MSG-FLAG
           UPON CONSOLE
           DISPLAY 'PRINT PARAGRAPH NUMBERS = ',
             WS-0004-RPT-PARAGRAPH-NO-FLAG
           UPON CONSOLE
           DISPLAY 'REMOVE ID NUMBERS       = ',
             WS-0004-REMOVE-ID-FLAG
           UPON CONSOLE
           DISPLAY 'RERUN INDICATOR         = ',
             WS-0004-RERUN-INDICATOR
           UPON CONSOLE
           DISPLAY 'USE SUBDIRECTORIES      = ',
             WS-0004-SUBDIR-INDICATOR
           UPON CONSOLE
           DISPLAY 'USE /tmp DIRECTORY      = ',
           WS-0004-USE-TMP-DIR-FLAG
           UPON CONSOLE
           DISPLAY 'BATCH NUMBER            = ',
             WS-0004-BATCH-NO
           UPON CONSOLE
           DISPLAY 'USE 400 BYTE TRANS      = ',
             WS-0004-TRAN-400-FLAG
           UPON CONSOLE
           DISPLAY 'KEEP TRAN SEQUENCE NUM  = ',
             WS-0004-KEEP-SEQ-NO-FLAG
           UPON CONSOLE
           DISPLAY 'MULTI-PROCESS FLAG      = ',
             WS-0004-MULTI-PROCESSOR-SW
           UPON CONSOLE
           DISPLAY 'MDAS PROCESS NUMBER     = ',
             WS-0004-MDAS-PROCESS-NO
           UPON CONSOLE
           DISPLAY 'MDAS STARTING TSEQ NUM  = ',
           WS-0004-MDAS-STARTING-TSEQ
           UPON CONSOLE.
      $END

       0135-GET-PARAMETERS-EXIT.
           EXIT.



      $IF ISAM-SW DEFINED

       0135-VAL-IP.

      **********************************************************
      *    LOOKUP INSURANCE PROVIDER/RO                        *
      **********************************************************
           INITIALIZE WS-7250-INPUT
           MOVE WS-0004-BATCH-INS-PROV TO WS-7250-INS-PROVIDER
           PERFORM 7250-LOOKUP-IP-TBL
              THRU 7250-LOOKUP-IP-TBL-EXIT
           IF MATCH-FOUND-7250
              IF WS-0004-BATCH-INS-PROV = '05'
                 MOVE 'C' TO WS-0009-CFSA-REINS
              ELSE
                 MOVE 'R' TO WS-0009-CFSA-REINS
              END-IF
              MOVE WS-7250-IP-NAME TO WS-0004-INS-PROVIDER-NAME
           ELSE
              DISPLAY 'INPUT RO CODE ' ws-0004-batch-ins-prov
                   ' NOT IN LOOKUP TABLE - ABORTING!'
              UPON CONSOLE
              PERFORM 0800-ABORT-PROGRAM
                 THRU 0800-ABORT-PROGRAM-EXIT
           END-IF.
      $END


       0135-VAL-IP-EXIT.
           EXIT.
