      *************************************************************
      * File:      M0155.CBL
      * Author:    Mike Ray
      * Date:      8/22/95
      * Purpose:   Initialize the crop tables in working storage.
      *
      *************************************************************

       0155-INIT-CROP-TABLES.

      $IF DEBUG-SW DEFINED
           DISPLAY '0155-INITIALIZING CROP TABLES'
           UPON CONSOLE
      $END

      *    *** INITIALIZE T11 TABLE ***
           IF WS-0011-T11-REC-COUNT > ZERO
              PERFORM 0155-INIT-T11
                 THRU 0155-INIT-T11-EXIT
                 WITH TEST AFTER
              VARYING WS-0011-T11-INT-INDEX FROM 1 BY 1
                UNTIL WS-0011-T11-INT-INDEX = WS-0011-T11-REC-COUNT
           END-IF
           MOVE ZERO TO WS-0011-T11-REC-COUNT

      *    *** INITIALIZE T11 REVENUE ASSURANCE DATA ***
           MOVE ZEROS TO WS-0011-RA-DATA
           MOVE SPACES TO WS-0011-RA-CORN-UNIT-ORG
           MOVE SPACES TO WS-0011-RA-SOY-UNIT-ORG

      *    *** INITIALIZE T11 LIABILITY TABLE ***
           IF WS-0011-UNIT-REC-COUNT > ZERO
              PERFORM 0155-INIT-T11-LIAB
                 THRU 0155-INIT-T11-LIAB-EXIT
                 WITH TEST AFTER
              VARYING WS-0011-UNIT-INT-INDEX FROM 1 BY 1
                UNTIL WS-0011-UNIT-INT-INDEX = WS-0011-UNIT-REC-COUNT
           END-IF
           MOVE ZERO TO WS-0011-UNIT-REC-COUNT

      *    *** INITIALIZE T14 TABLE ***
           IF WS-0014-T14-REC-COUNT > ZERO
              PERFORM 0155-INIT-T14
                 THRU 0155-INIT-T14-EXIT
                 WITH TEST AFTER
              VARYING WS-0014-T14-INT-INDEX FROM 1 BY 1
                UNTIL WS-0014-T14-INT-INDEX = WS-0014-T14-REC-COUNT
           END-IF
           MOVE ZERO TO WS-0014-T14-REC-COUNT

      *    *** INITIALIZE T15 TABLE ***
           IF WS-0015-T15-REC-COUNT > ZERO
              PERFORM 0155-INIT-T15
                 THRU 0155-INIT-T15-EXIT
                 WITH TEST AFTER
              VARYING WS-0015-T15-INT-INDEX FROM 1 BY 1
                UNTIL WS-0015-T15-INT-INDEX = WS-0015-T15-REC-COUNT
           END-IF
           MOVE ZERO TO WS-0015-T15-REC-COUNT

      *    *** INITIALIZE T21 TABLE ***
           IF WS-0021-T21-REC-COUNT > ZERO
              PERFORM 0155-INIT-T21
                 THRU 0155-INIT-T21-EXIT
                 WITH TEST AFTER
              VARYING WS-0021-T21-INT-INDEX FROM 1 BY 1
                UNTIL WS-0021-T21-INT-INDEX = WS-0021-T21-REC-COUNT
           END-IF
           MOVE ZERO TO WS-0021-T21-REC-COUNT

      *    *** INITIALIZE T21 UNIT INDEMNITY TABLE ***
           IF WS-0021-UNIT-REC-COUNT > ZERO
              PERFORM 0155-INIT-T21-UNIT
                 THRU 0155-INIT-T21-UNIT-EXIT
                 WITH TEST AFTER
              VARYING WS-0021-UNIT-INT-INDEX FROM 1 BY 1
                UNTIL WS-0021-UNIT-INT-INDEX = WS-0021-UNIT-REC-COUNT
           END-IF
           MOVE ZERO TO WS-0021-UNIT-REC-COUNT

      *    *** INITIALIZE T21 CROP INDEMNITY TABLE ***
           IF WS-0021-CROP-REC-COUNT > ZERO
              PERFORM 0155-INIT-T21-CROP
                 THRU 0155-INIT-T21-CROP-EXIT
                 WITH TEST AFTER
              VARYING WS-0021-CROP-INT-INDEX FROM 1 BY 1
                UNTIL WS-0021-CROP-INT-INDEX = WS-0021-CROP-REC-COUNT
           END-IF
           MOVE ZERO TO WS-0021-CROP-REC-COUNT

      *    *** INITIALIZE T14 ASSIGNED RISK TABLE ***
           IF WS-7014-ASGD-RISK-REC-COUNT > ZERO
              PERFORM 0155-INIT-T14-AR
                 THRU 0155-INIT-T14-AR-EXIT
                 WITH TEST AFTER
              VARYING WS-7014-ASGD-RISK-INT-INDEX FROM 1 BY 1
                UNTIL WS-7014-ASGD-RISK-INT-INDEX
                   = WS-7014-ASGD-RISK-REC-COUNT
           END-IF
           MOVE ZERO TO WS-7014-ASGD-RISK-REC-COUNT.


       0155-INIT-CROP-TABLES-EXIT.
           EXIT.

       0155-INIT-T11.

           SET WS-0011-T11-INDEX TO WS-0011-T11-INT-INDEX
           MOVE ZEROS TO WS-0011-TBL-CROP-POLICY-TY(WS-0011-T11-INDEX)
           MOVE ZEROS TO WS-0011-TBL-LOW-YIELD(WS-0011-T11-INDEX)
           MOVE ZEROS TO WS-0011-TBL-HIGH-YIELD(WS-0011-T11-INDEX)
           MOVE ZEROS TO WS-0011-TBL-TYPE-11(WS-0011-T11-INDEX).

       0155-INIT-T11-EXIT.
           EXIT.


       0155-INIT-T11-LIAB.

           SET WS-0011-UNIT-INDEX TO WS-0011-UNIT-INT-INDEX
           MOVE ZEROS TO WS-0011-UNIT-TBL-REC(WS-0011-UNIT-INDEX).

       0155-INIT-T11-LIAB-EXIT.
           EXIT.


       0155-INIT-T14.

           SET WS-0014-T14-INDEX TO WS-0014-T14-INT-INDEX
           MOVE ZEROS
             TO WS-0014-TBL-CROP-POLICY-TY(WS-0014-T14-INDEX)
           MOVE ZEROS TO WS-0014-TBL-TYPE-14(WS-0014-T14-INDEX).

       0155-INIT-T14-EXIT.
           EXIT.

       0155-INIT-T15.

           SET WS-0015-T15-INDEX TO WS-0015-T15-INT-INDEX
           MOVE ZEROS TO WS-0015-TBL-AVG-APH-YIELD(WS-0015-T15-INDEX)
           MOVE ZEROS TO WS-0015-TBL-ACTUAL-YEARS(WS-0015-T15-INDEX)
           MOVE ZEROS TO WS-0015-TBL-REF-YEARS-REQ(WS-0015-T15-INDEX)
           MOVE ZEROS
             TO WS-0015-TBL-CROP-POLICY-TY(WS-0015-T15-INDEX)
           MOVE ZEROS TO WS-0015-TBL-TYPE-15(WS-0015-T15-INDEX).

       0155-INIT-T15-EXIT.
           EXIT.

       0155-INIT-T21.

           SET WS-0021-T21-INDEX TO WS-0021-T21-INT-INDEX
           MOVE ZEROS TO WS-0021-TBL-CROP-POLICY-TY(WS-0021-T21-INDEX)
           MOVE ZEROS
             TO WS-0021-TBL-CROP-UNIT-OF-MEAS(WS-0021-T21-INDEX)
           MOVE ZEROS
             TO WS-0021-TBL-PRELIM-PMT-FACTOR(WS-0021-T21-INDEX)
           MOVE ZEROS TO WS-0021-TBL-TYPE-21(WS-0021-T21-INDEX).

       0155-INIT-T21-EXIT.
           EXIT.

       0155-INIT-T21-UNIT.

           SET WS-0021-UNIT-INDEX TO WS-0021-UNIT-INT-INDEX
           MOVE ZEROS TO WS-0021-UNIT-TBL-REC(WS-0021-UNIT-INDEX).

       0155-INIT-T21-UNIT-EXIT.
           EXIT.

       0155-INIT-T21-CROP.

           SET WS-0021-CROP-INDEX TO WS-0021-CROP-INT-INDEX
           MOVE ZEROS TO WS-0021-CROP-TBL-REC(WS-0021-CROP-INDEX).

       0155-INIT-T21-CROP-EXIT.
           EXIT.

       0155-INIT-T14-AR.

           SET WS-7014-ASGD-RISK-INDEX TO WS-7014-ASGD-RISK-INT-INDEX
           MOVE ZEROS
             TO WS-7014-ASGD-RISK-REC(WS-7014-ASGD-RISK-INDEX).

       0155-INIT-T14-AR-EXIT.
           EXIT.

