      *************************************************************
      * File:      M0160.CBL
      * Author:    Mike Ray
      * Date:      8/22/95
      * Purpose:   Initialize the policy tables in working storage.
      *
      *************************************************************

       0160-INIT-POLICY-TABLES.

      $IF DEBUG-SW DEFINED
           DISPLAY '0160-INITIALIZING POLICY TABLES'
           UPON CONSOLE
      $END

      *    *** INITIALIZE SBI TABLE ***
           IF WS-0010-SBI-REC-COUNT > ZERO
              PERFORM 0160-INIT-T10
                 THRU 0160-INIT-T10-EXIT
                 WITH TEST AFTER
              VARYING WS-0010-SBI-INT-INDEX FROM 1 BY 1
                UNTIL WS-0010-SBI-INT-INDEX = WS-0010-SBI-REC-COUNT
           END-IF
           MOVE ZERO TO WS-0010-SBI-REC-COUNT

      *    *** INITIALIZE T12 TABLE ***
           IF WS-0012-T12-REC-COUNT > ZERO
              PERFORM 0160-INIT-T12
                 THRU 0160-INIT-T12-EXIT
                 WITH TEST AFTER
              VARYING WS-0012-T12-INT-INDEX FROM 1 BY 1
                UNTIL WS-0012-T12-INT-INDEX = WS-0012-T12-REC-COUNT
           END-IF
           MOVE ZERO TO WS-0012-T12-REC-COUNT

      *    *** INITIALIZE T16 TABLE ***
           IF WS-0016-T16-REC-COUNT > ZERO
              PERFORM 0160-INIT-T16
                 THRU 0160-INIT-T16-EXIT
                 WITH TEST AFTER
              VARYING WS-0016-T16-INT-INDEX FROM 1 BY 1
                UNTIL WS-0016-T16-INT-INDEX = WS-0016-T16-REC-COUNT
           END-IF
           MOVE ZERO TO WS-0016-T16-REC-COUNT

      *    *** INITIALIZE T20 TABLE ***
           IF WS-0020-T20-REC-COUNT > ZERO
              PERFORM 0160-INIT-T20
                 THRU 0160-INIT-T20-EXIT
                 WITH TEST AFTER
              VARYING WS-0020-T20-INT-INDEX FROM 1 BY 1
                UNTIL WS-0020-T20-INT-INDEX = WS-0020-T20-REC-COUNT
           END-IF
           MOVE ZERO TO WS-0020-T20-REC-COUNT

      *    *** INITIALIZE T20 CLAIMS TABLE ***
           IF WS-0020-CLAIM-REC-COUNT > ZERO
              PERFORM 0160-INIT-T20-CLAIMS
                 THRU 0160-INIT-T20-CLAIMS-EXIT
                 WITH TEST AFTER
              VARYING WS-0020-CLAIM-INT-INDEX FROM 1 BY 1
                UNTIL WS-0020-CLAIM-INT-INDEX
                      = WS-0020-CLAIM-REC-COUNT
           END-IF
           MOVE ZERO TO WS-0020-CLAIM-REC-COUNT

      *    *** INITIALIZE T50 TABLE ***
           IF WS-0050-T50-REC-COUNT > ZERO
              PERFORM 0160-INIT-T50
                 THRU 0160-INIT-T50-EXIT
                 WITH TEST AFTER
              VARYING WS-0050-T50-INT-INDEX FROM 1 BY 1
                UNTIL WS-0050-T50-INT-INDEX = WS-0050-T50-REC-COUNT
           END-IF
           MOVE ZERO TO WS-0050-T50-REC-COUNT

      *    *** INITIALIZE T99 TABLE ***
           IF WS-0099-T99-REC-COUNT > ZERO
              PERFORM 0160-INIT-T99
                 THRU 0160-INIT-T99-EXIT
                 WITH TEST AFTER
              VARYING WS-0099-T99-INT-INDEX FROM 1 BY 1
                UNTIL WS-0099-T99-INT-INDEX = WS-0099-T99-REC-COUNT
           END-IF
           MOVE ZERO TO WS-0099-T99-REC-COUNT.

       0160-INIT-POLICY-TABLES-EXIT.
           EXIT.


       0160-INIT-T10.

           SET WS-0010-SBI-INDEX TO WS-0010-SBI-INT-INDEX
           MOVE ZEROS TO WS-0010-TBL-TYPE-10(WS-0010-SBI-INDEX).

       0160-INIT-T10-EXIT.
           EXIT.

       0160-INIT-T12.

           SET WS-0012-T12-INDEX TO WS-0012-T12-INT-INDEX
           MOVE ZEROS TO WS-0012-TBL-TYPE-12(WS-0012-T12-INDEX).

       0160-INIT-T12-EXIT.
           EXIT.

       0160-INIT-T16.

           SET WS-0016-T16-INDEX TO WS-0016-T16-INT-INDEX
           MOVE ZEROS TO WS-0016-TBL-TYPE-16(WS-0016-T16-INDEX).

       0160-INIT-T16-EXIT.
           EXIT.

       0160-INIT-T20.

           SET WS-0020-T20-INDEX TO WS-0020-T20-INT-INDEX
           MOVE ZEROS TO WS-0020-TBL-TYPE-20(WS-0020-T20-INDEX).

       0160-INIT-T20-EXIT.
           EXIT.

       0160-INIT-T20-CLAIMS.

           SET WS-0020-CLAIM-INDEX TO WS-0020-CLAIM-INT-INDEX
           MOVE ZEROS TO WS-0020-CLAIM-TBL-REC(WS-0020-CLAIM-INDEX).

       0160-INIT-T20-CLAIMS-EXIT.
           EXIT.

       0160-INIT-T50.

           SET WS-0050-T50-INDEX TO WS-0050-T50-INT-INDEX
           MOVE ZEROS TO WS-0050-TBL-TYPE-50(WS-0050-T50-INDEX).

       0160-INIT-T50-EXIT.
           EXIT.

       0160-INIT-T99.

           SET WS-0099-T99-INDEX TO WS-0099-T99-INT-INDEX
           MOVE ZEROS TO WS-0099-T99-RECORD(WS-0099-T99-INDEX).

       0160-INIT-T99-EXIT.
           EXIT.

