      *************************************************************
      * File:      M0165.CBL
      * Author:    Mike Ray
      * Date:      03/21/96
      * Purpose:   Sets the output file names.
      *
      *************************************************************

       0165-SET-FILE-NAMES.

      $IF DEBUG-SW DEFINED
           DISPLAY '0165-SETTING FILE NAMES'
           UPON CONSOLE
      $END

      ************************************************
      *           INITIALIZE LOCAL VARIABLES         *
      ************************************************
           INITIALIZE WS-0165-LOCAL.
           MOVE WS-LITERAL-NO TO WS-0165-USE-INPUT-FILENAME
           MOVE WS-0004-BATCH-INS-PROV TO WS-0165-RO
           MOVE WS-0004-REINS-SHORT-YR TO WS-0165-REINS-YR
           IF WS-0165-USE-INPUT-FILENAME = WS-LITERAL-YES
              MOVE WS-0004-FILE-NAME TO WS-0165-LOCAL-FILE-NAME
           ELSE
              MOVE WS-0004-BATCH-NO TO WS-0165-BATCH-NO
           END-IF
           MOVE 'OUTPUT' TO WS-0165-OUTPUT-PATH
           IF WS-0004-SUBDIR-INDICATOR = WS-LITERAL-YES
              STRING 'OUTPUT'
               DELIMITED BY SIZE
               '/'
               DELIMITED BY SIZE
               WS-0165-RO
               DELIMITED BY SIZE
               INTO WS-0165-OUTPUT-PATH
              END-STRING
           ELSE
              MOVE 'OUTPUT' TO WS-0165-OUTPUT-PATH
           END-IF

      $IF PC-SW DEFINED
           MOVE 'TEMP/' TO WS-0165-TEMP-PATH
      $ELSE
           MOVE '/tmp/' TO WS-0165-TEMP-PATH
      $END



      ************************************************
      *    CREATE OUTPUT DIRECTORY IF NECESSARY      *
      ************************************************
           INITIALIZE WS-0580-INPUT
           MOVE WS-0165-OUTPUT-PATH
             TO WS-0580-INPUT-DIR-NAME
           PERFORM 0580-CREATE-DIR
              THRU 0580-CREATE-DIR-EXIT
           STRING WS-0165-OUTPUT-PATH
               DELIMITED BY SPACE
               '/'
               DELIMITED BY SIZE
               INTO WS-0165-OUTPUT-PATH
           END-STRING


      ************************************************
      *    SET TEMP INPUT FILE NAME                  *
      ************************************************
           STRING '/tmp/'
               DELIMITED BY SIZE
               WS-0004-FILE-NAME
               DELIMITED BY SIZE
               INTO WS-0004-TEMP-IN-FILE-NAME
           END-STRING

      ************************************************
      *    SET ACCEPTED FILE NAMES                   *
      ************************************************
           INITIALIZE WS-0565-INPUT
           MOVE WS-0165-LOCAL-FILE-NAME TO WS-0565-INPUT-FILE-NAME
           MOVE WS-0165-OUTPUT-PATH TO WS-0565-INPUT-PATH
           MOVE 'acp' TO WS-0565-INPUT-FILE-EXT
           PERFORM 0565-BUILD-FILE-NAME
              THRU 0565-BUILD-FILE-NAME-EXIT
           IF WS-0004-MULTI-PROCESSOR-SW = WS-LITERAL-YES
              STRING WS-0565-OUTPUT-FILE-NAME
               DELIMITED BY SPACES
               '.'
               DELIMITED BY SIZE
               WS-0004-MDAS-PROCESS-NO
               DELIMITED BY SIZE
               INTO WS-0004-OUT-ACCEPT-FILE-NAME
              END-STRING
           ELSE
              MOVE WS-0565-OUTPUT-FILE-NAME
                TO WS-0004-OUT-ACCEPT-FILE-NAME
           END-IF
           INITIALIZE WS-0565-INPUT
           MOVE WS-0165-LOCAL-FILE-NAME TO WS-0565-INPUT-FILE-NAME
           MOVE WS-0165-TEMP-PATH TO WS-0565-INPUT-PATH
           MOVE 'acp' TO WS-0565-INPUT-FILE-EXT
           IF WS-0004-RERUN-INDICATOR = WS-LITERAL-YES
              MOVE 'acp.test' TO WS-0565-INPUT-FILE-EXT
           ELSE
              MOVE 'acp' TO WS-0565-INPUT-FILE-EXT
           END-IF
           PERFORM 0565-BUILD-FILE-NAME
              THRU 0565-BUILD-FILE-NAME-EXIT
           IF WS-0004-MULTI-PROCESSOR-SW = WS-LITERAL-YES
              STRING WS-0565-OUTPUT-FILE-NAME
               DELIMITED BY SPACES
               '.'
               DELIMITED BY SIZE
               WS-0004-MDAS-PROCESS-NO
               DELIMITED BY SIZE
               INTO WS-0004-TEMP-ACP-FILE-NAME
              END-STRING
           ELSE
              MOVE WS-0565-OUTPUT-FILE-NAME
                TO WS-0004-TEMP-ACP-FILE-NAME
           END-IF

      ************************************************
      *           SET REJECTED FILE NAME             *
      ************************************************
           INITIALIZE WS-0565-INPUT
           MOVE WS-0165-LOCAL-FILE-NAME TO WS-0565-INPUT-FILE-NAME
           MOVE WS-0165-OUTPUT-PATH TO WS-0565-INPUT-PATH
           MOVE 'rej' TO WS-0565-INPUT-FILE-EXT
           PERFORM 0565-BUILD-FILE-NAME
              THRU 0565-BUILD-FILE-NAME-EXIT
           IF WS-0004-MULTI-PROCESSOR-SW = WS-LITERAL-YES
              STRING WS-0565-OUTPUT-FILE-NAME
               DELIMITED BY SPACES
               '.'
               DELIMITED BY SIZE
               WS-0004-MDAS-PROCESS-NO
               DELIMITED BY SIZE
               INTO WS-0004-OUT-REJECT-FILE-NAME
              END-STRING
           ELSE
              MOVE WS-0565-OUTPUT-FILE-NAME
                TO WS-0004-OUT-REJECT-FILE-NAME
           END-IF
           INITIALIZE WS-0565-INPUT
           MOVE WS-0165-LOCAL-FILE-NAME TO WS-0565-INPUT-FILE-NAME
           MOVE WS-0165-TEMP-PATH TO WS-0565-INPUT-PATH
           IF WS-0004-RERUN-INDICATOR = WS-LITERAL-YES
              MOVE 'rej.test' TO WS-0565-INPUT-FILE-EXT
           ELSE
              MOVE 'rej' TO WS-0565-INPUT-FILE-EXT
           END-IF
           PERFORM 0565-BUILD-FILE-NAME
              THRU 0565-BUILD-FILE-NAME-EXIT
           IF WS-0004-MULTI-PROCESSOR-SW = WS-LITERAL-YES
              STRING WS-0565-OUTPUT-FILE-NAME
               DELIMITED BY SPACES
               '.'
               DELIMITED BY SIZE
               WS-0004-MDAS-PROCESS-NO
               DELIMITED BY SIZE
               INTO WS-0004-TEMP-REJ-FILE-NAME
              END-STRING
           ELSE
              MOVE WS-0565-OUTPUT-FILE-NAME
                TO WS-0004-TEMP-REJ-FILE-NAME
           END-IF


      ************************************************
      *           SET SUSPENDED FILE NAMES           *
      ************************************************
           INITIALIZE WS-0565-INPUT
           MOVE WS-0165-LOCAL-FILE-NAME TO WS-0565-INPUT-FILE-NAME
           MOVE WS-0165-OUTPUT-PATH TO WS-0565-INPUT-PATH
           MOVE 'sus' TO WS-0565-INPUT-FILE-EXT
           PERFORM 0565-BUILD-FILE-NAME
              THRU 0565-BUILD-FILE-NAME-EXIT
           IF WS-0004-MULTI-PROCESSOR-SW = WS-LITERAL-YES
              STRING WS-0565-OUTPUT-FILE-NAME
               DELIMITED BY SPACES
               '.'
               DELIMITED BY SIZE
               WS-0004-MDAS-PROCESS-NO
               DELIMITED BY SIZE
               INTO WS-0004-OUT-SUSPEND-FILE-NAME
              END-STRING
           ELSE
              MOVE WS-0565-OUTPUT-FILE-NAME
                TO WS-0004-OUT-SUSPEND-FILE-NAME
           END-IF
           INITIALIZE WS-0565-INPUT
           MOVE WS-0165-LOCAL-FILE-NAME TO WS-0565-INPUT-FILE-NAME
           MOVE WS-0165-TEMP-PATH TO WS-0565-INPUT-PATH
           IF WS-0004-RERUN-INDICATOR = WS-LITERAL-YES
              MOVE 'sus.test' TO WS-0565-INPUT-FILE-EXT
           ELSE
              MOVE 'sus' TO WS-0565-INPUT-FILE-EXT
           END-IF
           PERFORM 0565-BUILD-FILE-NAME
              THRU 0565-BUILD-FILE-NAME-EXIT
           IF WS-0004-MULTI-PROCESSOR-SW = WS-LITERAL-YES
              STRING WS-0565-OUTPUT-FILE-NAME
               DELIMITED BY SPACES
               '.'
               DELIMITED BY SIZE
               WS-0004-MDAS-PROCESS-NO
               DELIMITED BY SIZE
               INTO WS-0004-TEMP-SUS-FILE-NAME
              END-STRING
           ELSE
              MOVE WS-0565-OUTPUT-FILE-NAME
                TO WS-0004-TEMP-SUS-FILE-NAME
           END-IF


      ************************************************
      *           SET ESCROW FILE NAMES              *
      ************************************************
           INITIALIZE WS-0565-INPUT
           MOVE WS-0165-LOCAL-FILE-NAME TO WS-0565-INPUT-FILE-NAME
           MOVE WS-0165-OUTPUT-PATH TO WS-0565-INPUT-PATH
           MOVE 'esc' TO WS-0565-INPUT-FILE-EXT
           PERFORM 0565-BUILD-FILE-NAME
              THRU 0565-BUILD-FILE-NAME-EXIT
           IF WS-0004-MULTI-PROCESSOR-SW = WS-LITERAL-YES
              STRING WS-0565-OUTPUT-FILE-NAME
               DELIMITED BY SPACES
               '.'
               DELIMITED BY SIZE
               WS-0004-MDAS-PROCESS-NO
               DELIMITED BY SIZE
               INTO WS-0004-OUT-ESCROW-FILE-NAME
              END-STRING
           ELSE
              MOVE WS-0565-OUTPUT-FILE-NAME
                TO WS-0004-OUT-ESCROW-FILE-NAME
           END-IF
           INITIALIZE WS-0565-INPUT
           MOVE WS-0165-LOCAL-FILE-NAME TO WS-0565-INPUT-FILE-NAME
           MOVE WS-0165-TEMP-PATH TO WS-0565-INPUT-PATH
           IF WS-0004-RERUN-INDICATOR = WS-LITERAL-YES
              MOVE 'esc.test' TO WS-0565-INPUT-FILE-EXT
           ELSE
              MOVE 'esc' TO WS-0565-INPUT-FILE-EXT
           END-IF
           PERFORM 0565-BUILD-FILE-NAME
              THRU 0565-BUILD-FILE-NAME-EXIT
           IF WS-0004-MULTI-PROCESSOR-SW = WS-LITERAL-YES
              STRING WS-0565-OUTPUT-FILE-NAME
               DELIMITED BY SPACES
               '.'
               DELIMITED BY SIZE
               WS-0004-MDAS-PROCESS-NO
               DELIMITED BY SIZE
               INTO WS-0004-TEMP-ESC-FILE-NAME
              END-STRING
           ELSE
              MOVE WS-0565-OUTPUT-FILE-NAME
                TO WS-0004-TEMP-ESC-FILE-NAME
           END-IF

      ************************************************
      *           SET PMEMO FILE NAMES               *
      ************************************************
           INITIALIZE WS-0565-INPUT
           MOVE WS-0165-LOCAL-FILE-NAME TO WS-0565-INPUT-FILE-NAME
           MOVE WS-0165-OUTPUT-PATH TO WS-0565-INPUT-PATH
           MOVE 'pcr' TO WS-0565-INPUT-FILE-EXT
           PERFORM 0565-BUILD-FILE-NAME
              THRU 0565-BUILD-FILE-NAME-EXIT
           IF WS-0004-MULTI-PROCESSOR-SW = WS-LITERAL-YES
              STRING WS-0565-OUTPUT-FILE-NAME
               DELIMITED BY SPACES
               '.'
               DELIMITED BY SIZE
               WS-0004-MDAS-PROCESS-NO
               DELIMITED BY SIZE
               INTO WS-0004-OUT-PMEMO-FILE-NAME
              END-STRING
           ELSE
              MOVE WS-0565-OUTPUT-FILE-NAME
                TO WS-0004-OUT-PMEMO-FILE-NAME
           END-IF
           INITIALIZE WS-0565-INPUT
           MOVE WS-0165-LOCAL-FILE-NAME TO WS-0565-INPUT-FILE-NAME
           MOVE WS-0165-TEMP-PATH TO WS-0565-INPUT-PATH
           IF WS-0004-RERUN-INDICATOR = WS-LITERAL-YES
              MOVE 'pcr.test' TO WS-0565-INPUT-FILE-EXT
           ELSE
              MOVE 'pcr' TO WS-0565-INPUT-FILE-EXT
           END-IF
           PERFORM 0565-BUILD-FILE-NAME
              THRU 0565-BUILD-FILE-NAME-EXIT
           IF WS-0004-MULTI-PROCESSOR-SW = WS-LITERAL-YES
              STRING WS-0565-OUTPUT-FILE-NAME
               DELIMITED BY SPACES
               '.'
               DELIMITED BY SIZE
               WS-0004-MDAS-PROCESS-NO
               DELIMITED BY SIZE
               INTO WS-0004-TEMP-PCR-FILE-NAME
              END-STRING
           ELSE
              MOVE WS-0565-OUTPUT-FILE-NAME
                TO WS-0004-TEMP-PCR-FILE-NAME
           END-IF

      ************************************************
      *      SET MDAS STATISTICS FILE NAMES          *
      ************************************************
           INITIALIZE WS-0565-INPUT
           MOVE WS-0165-LOCAL-FILE-NAME TO WS-0565-INPUT-FILE-NAME
           MOVE WS-0165-OUTPUT-PATH TO WS-0565-INPUT-PATH
           MOVE 'sta' TO WS-0565-INPUT-FILE-EXT
           PERFORM 0565-BUILD-FILE-NAME
              THRU 0565-BUILD-FILE-NAME-EXIT
           IF WS-0004-MULTI-PROCESSOR-SW = WS-LITERAL-YES
              STRING WS-0565-OUTPUT-FILE-NAME
               DELIMITED BY SPACES
               '.'
               DELIMITED BY SIZE
               WS-0004-MDAS-PROCESS-NO
               DELIMITED BY SIZE
               INTO WS-0004-OUT-STATS-FILE-NAME
              END-STRING
           ELSE
              MOVE WS-0565-OUTPUT-FILE-NAME
                TO WS-0004-OUT-STATS-FILE-NAME
           END-IF
           INITIALIZE WS-0565-INPUT
           MOVE WS-0165-LOCAL-FILE-NAME TO WS-0565-INPUT-FILE-NAME
           MOVE WS-0165-TEMP-PATH TO WS-0565-INPUT-PATH
           IF WS-0004-RERUN-INDICATOR = WS-LITERAL-YES
              MOVE 'sta.test' TO WS-0565-INPUT-FILE-EXT
           ELSE
              MOVE 'sta' TO WS-0565-INPUT-FILE-EXT
           END-IF
           PERFORM 0565-BUILD-FILE-NAME
              THRU 0565-BUILD-FILE-NAME-EXIT
           IF WS-0004-MULTI-PROCESSOR-SW = WS-LITERAL-YES
              STRING WS-0565-OUTPUT-FILE-NAME
               DELIMITED BY SPACES
               '.'
               DELIMITED BY SIZE
               WS-0004-MDAS-PROCESS-NO
               DELIMITED BY SIZE
               INTO WS-0004-TEMP-STA-FILE-NAME
              END-STRING
           ELSE
              MOVE WS-0565-OUTPUT-FILE-NAME
                TO WS-0004-TEMP-STA-FILE-NAME
           END-IF

      ************************************************
      *             SET LOG FILE NAME                *
      ************************************************
           INITIALIZE WS-0565-INPUT
           MOVE WS-0165-LOCAL-FILE-NAME TO WS-0565-INPUT-FILE-NAME
           MOVE WS-0165-OUTPUT-PATH TO WS-0565-INPUT-PATH
           MOVE 'log' TO WS-0565-INPUT-FILE-EXT
           PERFORM 0565-BUILD-FILE-NAME
              THRU 0565-BUILD-FILE-NAME-EXIT
           IF WS-0004-MULTI-PROCESSOR-SW = WS-LITERAL-YES
              STRING WS-0565-OUTPUT-FILE-NAME
               DELIMITED BY SPACES
               '.'
               DELIMITED BY SIZE
               WS-0004-MDAS-PROCESS-NO
               DELIMITED BY SIZE
               INTO WS-0004-OUT-LOG-FILE-NAME
              END-STRING
           ELSE
              MOVE WS-0565-OUTPUT-FILE-NAME
                TO WS-0004-OUT-LOG-FILE-NAME
           END-IF

      ************************************************
      *           SET SUMMARY FILE NAME              *
      ************************************************
           INITIALIZE WS-0565-INPUT
           MOVE WS-0165-LOCAL-FILE-NAME TO WS-0565-INPUT-FILE-NAME
           MOVE WS-0165-OUTPUT-PATH TO WS-0565-INPUT-PATH
           MOVE 'sum' TO WS-0565-INPUT-FILE-EXT
           PERFORM 0565-BUILD-FILE-NAME
              THRU 0565-BUILD-FILE-NAME-EXIT
           MOVE WS-0565-OUTPUT-FILE-NAME
             TO WS-0004-OUT-SUM-FILE-NAME

      ************************************************
      *          SET ERROR FILE NAME                 *
      ************************************************
           INITIALIZE WS-0565-INPUT
           MOVE WS-0165-LOCAL-FILE-NAME TO WS-0565-INPUT-FILE-NAME
           MOVE WS-0165-OUTPUT-PATH TO WS-0565-INPUT-PATH
           MOVE 'err' TO WS-0565-INPUT-FILE-EXT
           PERFORM 0565-BUILD-FILE-NAME
              THRU 0565-BUILD-FILE-NAME-EXIT
           IF WS-0004-MULTI-PROCESSOR-SW = WS-LITERAL-YES
              STRING WS-0565-OUTPUT-FILE-NAME
               DELIMITED BY SPACES
               '.'
               DELIMITED BY SIZE
               WS-0004-MDAS-PROCESS-NO
               DELIMITED BY SIZE
               INTO WS-0004-OUT-ERRORS-FILE-NAME
              END-STRING
           ELSE
              MOVE WS-0565-OUTPUT-FILE-NAME
                TO WS-0004-OUT-ERRORS-FILE-NAME
           END-IF
           INITIALIZE WS-0565-INPUT
           MOVE WS-0165-LOCAL-FILE-NAME TO WS-0565-INPUT-FILE-NAME
           MOVE WS-0165-TEMP-PATH TO WS-0565-INPUT-PATH
           IF WS-0004-RERUN-INDICATOR = WS-LITERAL-YES
              MOVE 'err.test' TO WS-0565-INPUT-FILE-EXT
           ELSE
              MOVE 'err' TO WS-0565-INPUT-FILE-EXT
           END-IF
           PERFORM 0565-BUILD-FILE-NAME
              THRU 0565-BUILD-FILE-NAME-EXIT
           IF WS-0004-MULTI-PROCESSOR-SW = WS-LITERAL-YES
              STRING WS-0565-OUTPUT-FILE-NAME
               DELIMITED BY SPACES
               '.'
               DELIMITED BY SIZE
               WS-0004-MDAS-PROCESS-NO
               DELIMITED BY SIZE
               INTO WS-0004-TEMP-ERR-FILE-NAME
              END-STRING
           ELSE
              MOVE WS-0565-OUTPUT-FILE-NAME
                TO WS-0004-TEMP-ERR-FILE-NAME
           END-IF

      ************************************************
      *          SET ERROR REPORT FILE NAME          *
      ************************************************
           INITIALIZE WS-0565-INPUT
           MOVE WS-0165-LOCAL-FILE-NAME TO WS-0565-INPUT-FILE-NAME
           MOVE WS-0165-OUTPUT-PATH TO WS-0565-INPUT-PATH
           MOVE 'rpt' TO WS-0565-INPUT-FILE-EXT
           PERFORM 0565-BUILD-FILE-NAME
              THRU 0565-BUILD-FILE-NAME-EXIT
           MOVE WS-0565-OUTPUT-FILE-NAME
             TO WS-0004-OUT-REPORT-FILE-NAME

      ************************************************
      *          SET T14EXPR FILE NAME           *                      ]97A-JLH
      ************************************************

           INITIALIZE WS-0565-INPUT
           MOVE WS-0165-LOCAL-FILE-NAME TO WS-0565-INPUT-FILE-NAME
           MOVE WS-0165-OUTPUT-PATH TO WS-0565-INPUT-PATH
           MOVE 'exp' TO WS-0565-INPUT-FILE-EXT
           PERFORM 0565-BUILD-FILE-NAME
              THRU 0565-BUILD-FILE-NAME-EXIT
           MOVE WS-0565-OUTPUT-FILE-NAME
             TO WS-0004-t14expr-file-name


      ************************************************
      *          SET TEMP POLICY FILE NAME           *
      ************************************************
           INITIALIZE WS-0565-INPUT
           MOVE WS-0165-LOCAL-FILE-NAME TO WS-0565-INPUT-FILE-NAME
           MOVE WS-0165-TEMP-PATH TO WS-0565-INPUT-PATH
           MOVE 'pol' TO WS-0565-INPUT-FILE-EXT
           PERFORM 0565-BUILD-FILE-NAME
              THRU 0565-BUILD-FILE-NAME-EXIT
           IF WS-0004-MULTI-PROCESSOR-SW = WS-LITERAL-YES
              STRING WS-0565-OUTPUT-FILE-NAME
               DELIMITED BY SPACES
               '.'
               DELIMITED BY SIZE
               WS-0004-MDAS-PROCESS-NO
               DELIMITED BY SIZE
               INTO WS-0004-TEMP-POL-FILE-NAME
              END-STRING
           ELSE
              MOVE WS-0565-OUTPUT-FILE-NAME
                TO WS-0004-TEMP-POL-FILE-NAME
           END-IF

      ************************************************
      *          SET SORT REJECT FILE NAME           *
      ************************************************
           INITIALIZE WS-0565-INPUT
           MOVE WS-0165-LOCAL-FILE-NAME TO WS-0565-INPUT-FILE-NAME
           MOVE WS-0165-TEMP-PATH TO WS-0565-INPUT-PATH
           MOVE 'srj' TO WS-0565-INPUT-FILE-EXT
           PERFORM 0565-BUILD-FILE-NAME
              THRU 0565-BUILD-FILE-NAME-EXIT
           MOVE WS-0565-OUTPUT-FILE-NAME
             TO WS-0004-SORT-REJ-FILE-NAME

      ************************************************
      *          SET SORT ERROR FILE NAME            *
      ************************************************
           INITIALIZE WS-0565-INPUT
           MOVE WS-0165-LOCAL-FILE-NAME TO WS-0565-INPUT-FILE-NAME
           MOVE WS-0165-TEMP-PATH TO WS-0565-INPUT-PATH
           MOVE 'ser' TO WS-0565-INPUT-FILE-EXT
           PERFORM 0565-BUILD-FILE-NAME
              THRU 0565-BUILD-FILE-NAME-EXIT
           MOVE WS-0565-OUTPUT-FILE-NAME
             TO WS-0004-SORT-ERR-FILE-NAME


      ************************************************
      *          SET T11 ISAM FILE NAMES             *
      ************************************************
           MOVE SPACES TO WS-0165-ISAM-NAME
           MOVE 'T11' TO WS-0165-ISAM-NAME
           INITIALIZE WS-0565-INPUT
           MOVE WS-0165-LOCAL-FILE-NAME TO WS-0565-INPUT-FILE-NAME
           MOVE 'ISAM/' TO WS-0565-INPUT-PATH
           MOVE 'ISM' TO WS-0565-INPUT-FILE-EXT
           PERFORM 0565-BUILD-FILE-NAME
              THRU 0565-BUILD-FILE-NAME-EXIT
           MOVE WS-0565-OUTPUT-FILE-NAME
             TO WS-0004-OUT-T11-FILE-NAME
           MOVE SPACES TO WS-0165-ISAM-NAME
           MOVE 'T11' TO WS-0165-ISAM-NAME
           INITIALIZE WS-0565-INPUT
           MOVE WS-0165-LOCAL-FILE-NAME TO WS-0565-INPUT-FILE-NAME
           MOVE WS-0165-TEMP-PATH TO WS-0565-INPUT-PATH
           IF WS-0004-RERUN-INDICATOR = WS-LITERAL-YES
              MOVE 'ISM.test' TO WS-0565-INPUT-FILE-EXT
           ELSE
              MOVE 'ISM' TO WS-0565-INPUT-FILE-EXT
           END-IF
           PERFORM 0565-BUILD-FILE-NAME
              THRU 0565-BUILD-FILE-NAME-EXIT
           MOVE WS-0565-OUTPUT-FILE-NAME
             TO WS-0004-TEMP-T11-FILE-NAME

      ************************************************
      *          SET T14 ISAM FILE NAMES             *
      ************************************************
           MOVE SPACES TO WS-0165-ISAM-NAME
           MOVE 'T14' TO WS-0165-ISAM-NAME
           INITIALIZE WS-0565-INPUT
           MOVE WS-0165-LOCAL-FILE-NAME TO WS-0565-INPUT-FILE-NAME
           MOVE 'ISAM/' TO WS-0565-INPUT-PATH
           MOVE 'ISM' TO WS-0565-INPUT-FILE-EXT
           PERFORM 0565-BUILD-FILE-NAME
              THRU 0565-BUILD-FILE-NAME-EXIT
           MOVE WS-0565-OUTPUT-FILE-NAME
             TO WS-0004-OUT-T14-FILE-NAME
           MOVE SPACES TO WS-0165-ISAM-NAME
           MOVE 'T14' TO WS-0165-ISAM-NAME
           INITIALIZE WS-0565-INPUT
           MOVE WS-0165-LOCAL-FILE-NAME TO WS-0565-INPUT-FILE-NAME
           MOVE WS-0165-TEMP-PATH TO WS-0565-INPUT-PATH
           IF WS-0004-RERUN-INDICATOR = WS-LITERAL-YES
              MOVE 'ISM.test' TO WS-0565-INPUT-FILE-EXT
           ELSE
              MOVE 'ISM' TO WS-0565-INPUT-FILE-EXT
           END-IF
           PERFORM 0565-BUILD-FILE-NAME
              THRU 0565-BUILD-FILE-NAME-EXIT
           MOVE WS-0565-OUTPUT-FILE-NAME
             TO WS-0004-TEMP-T14-FILE-NAME

      ************************************************
      *          SET T55 ISAM FILE NAME              *
      ************************************************
           MOVE SPACES TO WS-0165-ISAM-NAME
           MOVE 'T55' TO WS-0165-ISAM-NAME
           INITIALIZE WS-0565-INPUT
           MOVE WS-0165-LOCAL-FILE-NAME TO WS-0565-INPUT-FILE-NAME
           MOVE 'ISAM/' TO WS-0565-INPUT-PATH
           MOVE 'ISM' TO WS-0565-INPUT-FILE-EXT
           PERFORM 0565-BUILD-FILE-NAME
              THRU 0565-BUILD-FILE-NAME-EXIT
           MOVE WS-0565-OUTPUT-FILE-NAME
             TO WS-0004-OUT-T55-FILE-NAME
           MOVE SPACES TO WS-0165-ISAM-NAME
           MOVE 'T55' TO WS-0165-ISAM-NAME
           INITIALIZE WS-0565-INPUT
           MOVE WS-0165-LOCAL-FILE-NAME TO WS-0565-INPUT-FILE-NAME
           MOVE WS-0165-TEMP-PATH TO WS-0565-INPUT-PATH
           IF WS-0004-RERUN-INDICATOR = WS-LITERAL-YES
              MOVE 'ISM.test' TO WS-0565-INPUT-FILE-EXT
           ELSE
              MOVE 'ISM' TO WS-0565-INPUT-FILE-EXT
           END-IF
           PERFORM 0565-BUILD-FILE-NAME
              THRU 0565-BUILD-FILE-NAME-EXIT
           MOVE WS-0565-OUTPUT-FILE-NAME
             TO WS-0004-TEMP-T55-FILE-NAME

      ************************************************
      *          SET T56 ISAM FILE NAME              *
      ************************************************
           MOVE SPACES TO WS-0165-ISAM-NAME
           MOVE 'T56' TO WS-0165-ISAM-NAME
           INITIALIZE WS-0565-INPUT
           MOVE WS-0165-LOCAL-FILE-NAME TO WS-0565-INPUT-FILE-NAME
           MOVE 'ISAM/' TO WS-0565-INPUT-PATH
           MOVE 'ISM' TO WS-0565-INPUT-FILE-EXT
           PERFORM 0565-BUILD-FILE-NAME
              THRU 0565-BUILD-FILE-NAME-EXIT
           MOVE WS-0565-OUTPUT-FILE-NAME
             TO WS-0004-OUT-T56-FILE-NAME
           MOVE SPACES TO WS-0165-ISAM-NAME
           MOVE 'T56' TO WS-0165-ISAM-NAME
           INITIALIZE WS-0565-INPUT
           MOVE WS-0165-LOCAL-FILE-NAME TO WS-0565-INPUT-FILE-NAME
           MOVE WS-0165-TEMP-PATH TO WS-0565-INPUT-PATH
           IF WS-0004-RERUN-INDICATOR = WS-LITERAL-YES
              MOVE 'ISM.test' TO WS-0565-INPUT-FILE-EXT
           ELSE
              MOVE 'ISM' TO WS-0565-INPUT-FILE-EXT
           END-IF
           PERFORM 0565-BUILD-FILE-NAME
              THRU 0565-BUILD-FILE-NAME-EXIT
           MOVE WS-0565-OUTPUT-FILE-NAME
             TO WS-0004-TEMP-T56-FILE-NAME

      ************************************************
      *    SET POLICY STATS ISAM FILE NAME           *
      ************************************************
           MOVE SPACES TO WS-0165-ISAM-NAME
           MOVE 'PSUM' TO WS-0165-ISAM-NAME
           INITIALIZE WS-0565-INPUT
           MOVE WS-0165-LOCAL-FILE-NAME TO WS-0565-INPUT-FILE-NAME
           MOVE 'ISAM/' TO WS-0565-INPUT-PATH
           MOVE 'ISM' TO WS-0565-INPUT-FILE-EXT
           PERFORM 0565-BUILD-FILE-NAME
              THRU 0565-BUILD-FILE-NAME-EXIT
           MOVE WS-0565-OUTPUT-FILE-NAME
             TO WS-0004-OUT-PSTATS-FILE-NAME
           MOVE SPACES TO WS-0165-ISAM-NAME
           MOVE 'PSUM' TO WS-0165-ISAM-NAME
           INITIALIZE WS-0565-INPUT
           MOVE WS-0165-LOCAL-FILE-NAME TO WS-0565-INPUT-FILE-NAME
           MOVE WS-0165-TEMP-PATH TO WS-0565-INPUT-PATH
           IF WS-0004-RERUN-INDICATOR = WS-LITERAL-YES
              MOVE 'ISM.test' TO WS-0565-INPUT-FILE-EXT
           ELSE
              MOVE 'ISM' TO WS-0565-INPUT-FILE-EXT
           END-IF
           PERFORM 0565-BUILD-FILE-NAME
              THRU 0565-BUILD-FILE-NAME-EXIT
           MOVE WS-0565-OUTPUT-FILE-NAME
             TO WS-0004-TEMP-PSTATS-FILE-NAME


      *****************************************************
      *    SET NAMES FOR FILES WHICH ALWAYS USE THE OUTPUT*
      *    or input NAMES (DO NOT USE /tmp)               *
      *****************************************************
              MOVE WS-0004-OUT-LOG-FILE-NAME
                TO WS-0004-LOG-FILE-NAME
              MOVE WS-0004-OUT-SUM-FILE-NAME
                TO WS-0004-SUM-FILE-NAME
              MOVE WS-0004-OUT-REPORT-FILE-NAME
                TO WS-0004-REPORT-FILE-NAME
              MOVE WS-0004-FULL-FILE-NAME
                TO WS-0004-INPUT-FILE-NAME
              MOVE WS-0004-OUT-ACCEPT-FILE-NAME
                TO WS-0004-ACCEPT-FILE-NAME


      *****************************************************
      *    SET OUTPUT OR TEMP FILE NAMES FOR ACTUAL FILES *
      *****************************************************
      $IF PC-SW DEFINED
              MOVE 'ISAM/97ADM1.ISM' TO WS-0004-ADM1-FILE-NAME
              MOVE 'ISAM/97ADM1G.ISM' TO WS-0004-ADM1G-FILE-NAME
              MOVE 'ISAM/97ADM2.ISM' TO WS-0004-ADM2-FILE-NAME
              MOVE 'ISAM/97ADM3.ISM' TO WS-0004-ADM3-FILE-NAME
              MOVE 'ISAM/97ADM4.ISM' TO WS-0004-ADM4-FILE-NAME
              MOVE 'ISAM/97ADMAC.ISM' TO WS-0004-ADMAC-FILE-NAME
              MOVE 'ISAM/97ADMAR.ISM' TO WS-0004-ADMAR-FILE-NAME
              MOVE 'ISAM/97ADMC.ISM' TO WS-0004-ADMC-FILE-NAME
              MOVE 'ISAM/97ADMH.ISM' TO WS-0004-ADMH-FILE-NAME
              MOVE 'ISAM/97ADMIR.ISM' TO WS-0004-ADMIR-FILE-NAME
              MOVE 'ISAM/97ADMIY.ISM' TO WS-0004-ADMIY-FILE-NAME
              MOVE 'ISAM/97ADMM.ISM' TO WS-0004-ADMM-FILE-NAME
              MOVE 'ISAM/97ADMO.ISM' TO WS-0004-ADMO-FILE-NAME
              MOVE 'ISAM/97ADMR.ISM' TO WS-0004-ADMR-FILE-NAME
              MOVE 'ISAM/97ADMSSN.ISM' TO WS-0004-ADMSSN-FILE-NAME
              MOVE 'ISAM/97ADMVC.ISM' TO WS-0004-ADMVC-FILE-NAME
              MOVE 'ISAM/97ADMVS.ISM' TO WS-0004-ADMVS-FILE-NAME
              MOVE 'ISAM/97ADMWE.ISM' TO WS-0004-ADMWE-FILE-NAME
              MOVE 'ISAM/97ADMWF.ISM' TO WS-0004-ADMWF-FILE-NAME
              MOVE 'ISAM/97ADMY.ISM' TO WS-0004-ADMY-FILE-NAME
      $else
              MOVE '/tmp/97ADM1.ISM' TO WS-0004-ADM1-FILE-NAME
              MOVE '/tmp/97ADM1G.ISM' TO WS-0004-ADM1G-FILE-NAME
              MOVE '/tmp/97ADM2.ISM' TO WS-0004-ADM2-FILE-NAME
              MOVE '/tmp/97ADM3.ISM' TO WS-0004-ADM3-FILE-NAME
              MOVE '/tmp/97ADM4.ISM' TO WS-0004-ADM4-FILE-NAME
              MOVE '/tmp/97ADMAC.ISM' TO WS-0004-ADMAC-FILE-NAME
              MOVE '/tmp/97ADMAR.ISM' TO WS-0004-ADMAR-FILE-NAME
              MOVE '/tmp/97ADMC.ISM' TO WS-0004-ADMC-FILE-NAME
              MOVE '/tmp/97ADMH.ISM' TO WS-0004-ADMH-FILE-NAME
              MOVE '/tmp/97ADMIR.ISM' TO WS-0004-ADMIR-FILE-NAME
              MOVE '/tmp/97ADMIY.ISM' TO WS-0004-ADMIY-FILE-NAME
              MOVE '/tmp/97ADMM.ISM' TO WS-0004-ADMM-FILE-NAME
              MOVE '/tmp/97ADMO.ISM' TO WS-0004-ADMO-FILE-NAME
              MOVE '/tmp/97ADMR.ISM' TO WS-0004-ADMR-FILE-NAME
              MOVE '/tmp/97ADMSSN.ISM' TO WS-0004-ADMSSN-FILE-NAME
              MOVE '/tmp/97ADMVC.ISM' TO WS-0004-ADMVC-FILE-NAME
              MOVE '/tmp/97ADMVS.ISM' TO WS-0004-ADMVS-FILE-NAME
              MOVE '/tmp/97ADMWE.ISM' TO WS-0004-ADMWE-FILE-NAME
              MOVE '/tmp/97ADMWF.ISM' TO WS-0004-ADMWF-FILE-NAME
              MOVE '/tmp/97ADMY.ISM' TO WS-0004-ADMY-FILE-NAME
      $end
           IF WS-0004-USE-TMP-DIR-FLAG = WS-LITERAL-YES
              MOVE WS-0004-TEMP-REJ-FILE-NAME
                TO WS-0004-REJECT-FILE-NAME
              MOVE WS-0004-TEMP-SUS-FILE-NAME
                TO WS-0004-SUSPEND-FILE-NAME
              MOVE WS-0004-TEMP-ESC-FILE-NAME
                TO WS-0004-ESCROW-FILE-NAME
              MOVE WS-0004-TEMP-PCR-FILE-NAME
                TO WS-0004-PMEMO-FILE-NAME
              MOVE WS-0004-TEMP-STA-FILE-NAME
                TO WS-0004-STATS-FILE-NAME
              MOVE WS-0004-TEMP-ERR-FILE-NAME
                TO WS-0004-ERRORS-FILE-NAME
              MOVE WS-0004-TEMP-T11-FILE-NAME
                TO WS-0004-T11-FILE-NAME
              MOVE WS-0004-TEMP-T14-FILE-NAME
                TO WS-0004-T14-FILE-NAME
              MOVE WS-0004-TEMP-T55-FILE-NAME
                TO WS-0004-T55-FILE-NAME
              MOVE WS-0004-TEMP-T56-FILE-NAME
                TO WS-0004-T56-FILE-NAME
              MOVE WS-0004-TEMP-PSTATS-FILE-NAME
                TO WS-0004-PSTATS-FILE-NAME
           ELSE
              MOVE WS-0004-FULL-FILE-NAME
                TO WS-0004-INPUT-FILE-NAME
              MOVE WS-0004-OUT-ACCEPT-FILE-NAME
                TO WS-0004-ACCEPT-FILE-NAME
              MOVE WS-0004-OUT-REJECT-FILE-NAME
                TO WS-0004-REJECT-FILE-NAME
              MOVE WS-0004-OUT-SUSPEND-FILE-NAME
                TO WS-0004-SUSPEND-FILE-NAME
              MOVE WS-0004-OUT-ESCROW-FILE-NAME
                TO WS-0004-ESCROW-FILE-NAME
              MOVE WS-0004-OUT-PMEMO-FILE-NAME
                TO WS-0004-PMEMO-FILE-NAME
              MOVE WS-0004-OUT-STATS-FILE-NAME
                TO WS-0004-STATS-FILE-NAME
              MOVE WS-0004-OUT-ERRORS-FILE-NAME
                TO WS-0004-ERRORS-FILE-NAME
              MOVE WS-0004-OUT-T11-FILE-NAME
                TO WS-0004-T11-FILE-NAME
              MOVE WS-0004-OUT-T14-FILE-NAME
                TO WS-0004-T14-FILE-NAME
              MOVE WS-0004-OUT-T55-FILE-NAME
                TO WS-0004-T55-FILE-NAME
              MOVE WS-0004-OUT-T56-FILE-NAME
                TO WS-0004-T56-FILE-NAME
              MOVE WS-0004-OUT-PSTATS-FILE-NAME
                TO WS-0004-PSTATS-FILE-NAME
           END-IF.



      $IF DEBUG-SW DEFINED
           DISPLAY 'ACCEPTED FILE NAME  = ',
           WS-0004-ACCEPT-FILE-NAME UPON CONSOLE
           DISPLAY 'REJECTED FILE NAME  = ',
           WS-0004-REJECT-FILE-NAME UPON CONSOLE
           DISPLAY 'SUSPENDED FILE NAME = ',
           WS-0004-SUSPEND-FILE-NAME UPON CONSOLE
           DISPLAY 'ESCROW FILE NAME    = ',
           WS-0004-ESCROW-FILE-NAME UPON CONSOLE
           DISPLAY 'PMEMO FILE NAME     = ',
           WS-0004-PMEMO-FILE-NAME UPON CONSOLE
           DISPLAY 'MDAS STATS FILE NM  = ',
           WS-0004-STATS-FILE-NAME UPON CONSOLE
           DISPLAY 'LOG FILE NAME       = ',
           WS-0004-LOG-FILE-NAME UPON CONSOLE
           DISPLAY 'SUMMARY FILE NAME   = ',
           WS-0004-SUM-FILE-NAME UPON CONSOLE
           DISPLAY 'ERROR FILE NAME     = ',
           WS-0004-ERRORS-FILE-NAME UPON CONSOLE
           DISPLAY 'ERROR RPT FILE NAME = ',
           WS-0004-REPORT-FILE-NAME UPON CONSOLE
           DISPLAY 'TEMP REJECT FILE NM = ',
           WS-0004-TEMP-REJ-FILE-NAME UPON CONSOLE
           DISPLAY 'TEMP POLICY FILE NM = ',
           WS-0004-TEMP-POL-FILE-NAME UPON CONSOLE
           DISPLAY 'SORT REJECT FILE NM = ',
           WS-0004-SORT-REJ-FILE-NAME UPON CONSOLE
           DISPLAY 'SORT ERROR FILE NM  = ',
           WS-0004-SORT-ERR-FILE-NAME UPON CONSOLE
           DISPLAY 'T11 ISAM FILE NAME  = ',
           WS-0004-T11-FILE-NAME UPON CONSOLE
           DISPLAY 'T14 ISAM FILE NAME  = ',
           WS-0004-T14-FILE-NAME UPON CONSOLE
           DISPLAY 'T55 ISAM FILE NAME  = ',
           WS-0004-T55-FILE-NAME UPON CONSOLE
           DISPLAY 'T56 ISAM FILE NAME  = ',
           WS-0004-T56-FILE-NAME UPON CONSOLE
           DISPLAY 'POLICY STATS FILE   = ',
           WS-0004-PSTATS-FILE-NAME UPON CONSOLE.
      $END

       0165-SET-FILE-NAMES-EXIT.
           EXIT.
