      *************************************************************
      * File:      M0170.CBL
      * Author:    Mike Ray
      * Date:      05/26/97
      * Purpose:   Moves files to the /tmp directory for faster file
      *            access during execution.
      *************************************************************

       0170-MOVE-FILES-TO-TMP.

      $IF DEBUG-SW DEFINED
           DISPLAY '0170-MOVING FILES TO /tmp DIRECTORY'
           UPON CONSOLE
      $END


      *==============================================================*
      *                 READ-ONLY INPUT FILE                         *
      *==============================================================*

      ************************************************
      *    COPY INPUT FILE                           *
      ************************************************
      *    IF WS-0004-MULTI-PROCESSOR-SW <> WS-LITERAL-YES
      *       INITIALIZE WS-0590-INPUT
      *       MOVE WS-0004-FULL-FILE-NAME TO WS-0590-SRC-FILE-NAME
      *       MOVE WS-0004-TEMP-IN-FILE-NAME TO WS-0590-DEST-FILE-NAME
      *       PERFORM 0590-COPY-FILE
      *          THRU 0590-COPY-FILE-EXIT
      *       IF NOT COPY-SUCCESS-0590
      *          MOVE 0170 TO WS-8020-PARAGRAPH-NO
      *          MOVE 90054 TO WS-8020-INT-ERROR-NO
      *          MOVE 'INPUT FILE' TO WS-8020-FIELD-NAME
      *          MOVE 'COPY FAILED' TO WS-8020-BAD-DATA
      *          MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
      *          PERFORM 8020-RECORD-INT-ERROR
      *             THRU 8020-RECORD-INT-ERROR-EXIT
      *       END-IF
      *    END-IF

      *==============================================================*
      *                 READ-ONLY ISAM FILES                         *
      *==============================================================*

      ************************************************
      *    SEE IF ADM1 FILES EXIST ON /tmp           *
      ************************************************
           MOVE WS-LITERAL-NO TO WS-0170-ISAM-FILE-EXISTS-FLG
           INITIALIZE WS-0575-INPUT
           MOVE '/tmp/97ADM1.ISM'
             TO WS-0575-INPUT-FILE-NAME
           PERFORM 0575-TEST-FILE-NAME
              THRU 0575-TEST-FILE-NAME-EXIT
           IF FILE-EXISTS-0575
              MOVE WS-LITERAL-YES TO WS-0170-ISAM-FILE-EXISTS-FLG
           END-IF

           MOVE WS-LITERAL-NO TO WS-0170-ISAM-INDEX-EXISTS-FLG
           INITIALIZE WS-0575-INPUT
           MOVE '/tmp/97ADM1.ISM.idx'
             TO WS-0575-INPUT-FILE-NAME
           PERFORM 0575-TEST-FILE-NAME
              THRU 0575-TEST-FILE-NAME-EXIT
           IF FILE-EXISTS-0575
              MOVE WS-LITERAL-YES TO WS-0170-ISAM-INDEX-EXISTS-FLG
           END-IF

      ************************************************
      *    COPY ADM1 FILES IF NECESSARY              *
      ************************************************
           IF WS-0170-ISAM-FILE-EXISTS-FLG <> WS-LITERAL-YES OR
              WS-0170-ISAM-INDEX-EXISTS-FLG <> WS-LITERAL-YES
              INITIALIZE WS-0590-INPUT
              MOVE 'ISAM/97ADM1.ISM' TO WS-0590-SRC-FILE-NAME
              MOVE '/tmp/97ADM1.ISM' TO WS-0590-DEST-FILE-NAME
              PERFORM 0590-COPY-FILE
                 THRU 0590-COPY-FILE-EXIT
              IF NOT COPY-SUCCESS-0590
                 MOVE 0170 TO WS-8020-PARAGRAPH-NO
                 MOVE 90054 TO WS-8020-INT-ERROR-NO
                 MOVE '97ADM1.ISM' TO WS-8020-FIELD-NAME
                 MOVE 'COPY FAILED' TO WS-8020-BAD-DATA
                 MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
                 PERFORM 8020-RECORD-INT-ERROR
                    THRU 8020-RECORD-INT-ERROR-EXIT
              END-IF
              INITIALIZE WS-0590-INPUT
              MOVE 'ISAM/97ADM1.ISM.idx' TO WS-0590-SRC-FILE-NAME
              MOVE '/tmp/97ADM1.ISM.idx' TO WS-0590-DEST-FILE-NAME
              PERFORM 0590-COPY-FILE
                 THRU 0590-COPY-FILE-EXIT
              IF NOT COPY-SUCCESS-0590
                 MOVE 0170 TO WS-8020-PARAGRAPH-NO
                 MOVE 90054 TO WS-8020-INT-ERROR-NO
                 MOVE '97ADM1.ISM.idx' TO WS-8020-FIELD-NAME
                 MOVE 'COPY FAILED' TO WS-8020-BAD-DATA
                 MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
                 PERFORM 8020-RECORD-INT-ERROR
                    THRU 8020-RECORD-INT-ERROR-EXIT
              END-IF
           END-IF


      ************************************************
      *    SEE IF ADM1G FILES EXIST ON /tmp          *
      ************************************************
           MOVE WS-LITERAL-NO TO WS-0170-ISAM-FILE-EXISTS-FLG
           INITIALIZE WS-0575-INPUT
           MOVE '/tmp/97ADM1G.ISM'
             TO WS-0575-INPUT-FILE-NAME
           PERFORM 0575-TEST-FILE-NAME
              THRU 0575-TEST-FILE-NAME-EXIT
           IF FILE-EXISTS-0575
              MOVE WS-LITERAL-YES TO WS-0170-ISAM-FILE-EXISTS-FLG
           END-IF

           MOVE WS-LITERAL-NO TO WS-0170-ISAM-INDEX-EXISTS-FLG
           INITIALIZE WS-0575-INPUT
           MOVE '/tmp/97ADM1G.ISM.idx'
             TO WS-0575-INPUT-FILE-NAME
           PERFORM 0575-TEST-FILE-NAME
              THRU 0575-TEST-FILE-NAME-EXIT
           IF FILE-EXISTS-0575
              MOVE WS-LITERAL-YES TO WS-0170-ISAM-INDEX-EXISTS-FLG
           END-IF

      ************************************************
      *    COPY ADM1G FILES IF NECESSARY             *
      ************************************************
           IF WS-0170-ISAM-FILE-EXISTS-FLG <> WS-LITERAL-YES OR
              WS-0170-ISAM-INDEX-EXISTS-FLG <> WS-LITERAL-YES
              INITIALIZE WS-0590-INPUT
              MOVE 'ISAM/97ADM1G.ISM' TO WS-0590-SRC-FILE-NAME
              MOVE '/tmp/97ADM1G.ISM' TO WS-0590-DEST-FILE-NAME
              PERFORM 0590-COPY-FILE
                 THRU 0590-COPY-FILE-EXIT
              IF NOT COPY-SUCCESS-0590
                 MOVE 0170 TO WS-8020-PARAGRAPH-NO
                 MOVE 90054 TO WS-8020-INT-ERROR-NO
                 MOVE '97ADM1G.ISM' TO WS-8020-FIELD-NAME
                 MOVE 'COPY FAILED' TO WS-8020-BAD-DATA
                 MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
                 PERFORM 8020-RECORD-INT-ERROR
                    THRU 8020-RECORD-INT-ERROR-EXIT
              END-IF
              INITIALIZE WS-0590-INPUT
              MOVE 'ISAM/97ADM1G.ISM.idx' TO WS-0590-SRC-FILE-NAME
              MOVE '/tmp/97ADM1G.ISM.idx' TO WS-0590-DEST-FILE-NAME
              PERFORM 0590-COPY-FILE
                 THRU 0590-COPY-FILE-EXIT
              IF NOT COPY-SUCCESS-0590
                 MOVE 0170 TO WS-8020-PARAGRAPH-NO
                 MOVE 90054 TO WS-8020-INT-ERROR-NO
                 MOVE '97ADM1G.ISM.idx' TO WS-8020-FIELD-NAME
                 MOVE 'COPY FAILED' TO WS-8020-BAD-DATA
                 MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
                 PERFORM 8020-RECORD-INT-ERROR
                    THRU 8020-RECORD-INT-ERROR-EXIT
              END-IF
           END-IF

      ************************************************
      *    SEE IF ADM2 FILES EXIST ON /tmp           *
      ************************************************
           MOVE WS-LITERAL-NO TO WS-0170-ISAM-FILE-EXISTS-FLG
           INITIALIZE WS-0575-INPUT
           MOVE '/tmp/97ADM2.ISM'
             TO WS-0575-INPUT-FILE-NAME
           PERFORM 0575-TEST-FILE-NAME
              THRU 0575-TEST-FILE-NAME-EXIT
           IF FILE-EXISTS-0575
              MOVE WS-LITERAL-YES TO WS-0170-ISAM-FILE-EXISTS-FLG
           END-IF

           MOVE WS-LITERAL-NO TO WS-0170-ISAM-INDEX-EXISTS-FLG
           INITIALIZE WS-0575-INPUT
           MOVE '/tmp/97ADM2.ISM.idx'
             TO WS-0575-INPUT-FILE-NAME
           PERFORM 0575-TEST-FILE-NAME
              THRU 0575-TEST-FILE-NAME-EXIT
           IF FILE-EXISTS-0575
              MOVE WS-LITERAL-YES TO WS-0170-ISAM-INDEX-EXISTS-FLG
           END-IF

      ************************************************
      *    COPY ADM2 FILES IF NECESSARY              *
      ************************************************
           IF WS-0170-ISAM-FILE-EXISTS-FLG <> WS-LITERAL-YES OR
              WS-0170-ISAM-INDEX-EXISTS-FLG <> WS-LITERAL-YES
              INITIALIZE WS-0590-INPUT
              MOVE 'ISAM/97ADM2.ISM' TO WS-0590-SRC-FILE-NAME
              MOVE '/tmp/97ADM2.ISM' TO WS-0590-DEST-FILE-NAME
              PERFORM 0590-COPY-FILE
                 THRU 0590-COPY-FILE-EXIT
              IF NOT COPY-SUCCESS-0590
                 MOVE 0170 TO WS-8020-PARAGRAPH-NO
                 MOVE 90054 TO WS-8020-INT-ERROR-NO
                 MOVE '97ADM2.ISM' TO WS-8020-FIELD-NAME
                 MOVE 'COPY FAILED' TO WS-8020-BAD-DATA
                 MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
                 PERFORM 8020-RECORD-INT-ERROR
                    THRU 8020-RECORD-INT-ERROR-EXIT
              END-IF
              INITIALIZE WS-0590-INPUT
              MOVE 'ISAM/97ADM2.ISM.idx' TO WS-0590-SRC-FILE-NAME
              MOVE '/tmp/97ADM2.ISM.idx' TO WS-0590-DEST-FILE-NAME
              PERFORM 0590-COPY-FILE
                 THRU 0590-COPY-FILE-EXIT
              IF NOT COPY-SUCCESS-0590
                 MOVE 0170 TO WS-8020-PARAGRAPH-NO
                 MOVE 90054 TO WS-8020-INT-ERROR-NO
                 MOVE '97ADM2.ISM.idx' TO WS-8020-FIELD-NAME
                 MOVE 'COPY FAILED' TO WS-8020-BAD-DATA
                 MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
                 PERFORM 8020-RECORD-INT-ERROR
                    THRU 8020-RECORD-INT-ERROR-EXIT
              END-IF
           END-IF


      ************************************************
      *    SEE IF ADM3 FILES EXIST ON /tmp           *
      ************************************************
           MOVE WS-LITERAL-NO TO WS-0170-ISAM-FILE-EXISTS-FLG
           INITIALIZE WS-0575-INPUT
           MOVE '/tmp/97ADM3.ISM'
             TO WS-0575-INPUT-FILE-NAME
           PERFORM 0575-TEST-FILE-NAME
              THRU 0575-TEST-FILE-NAME-EXIT
           IF FILE-EXISTS-0575
              MOVE WS-LITERAL-YES TO WS-0170-ISAM-FILE-EXISTS-FLG
           END-IF

           MOVE WS-LITERAL-NO TO WS-0170-ISAM-INDEX-EXISTS-FLG
           INITIALIZE WS-0575-INPUT
           MOVE '/tmp/97ADM3.ISM.idx'
             TO WS-0575-INPUT-FILE-NAME
           PERFORM 0575-TEST-FILE-NAME
              THRU 0575-TEST-FILE-NAME-EXIT
           IF FILE-EXISTS-0575
              MOVE WS-LITERAL-YES TO WS-0170-ISAM-INDEX-EXISTS-FLG
           END-IF

      ************************************************
      *    COPY ADM1 FILES IF NECESSARY              *
      ************************************************
           IF WS-0170-ISAM-FILE-EXISTS-FLG <> WS-LITERAL-YES OR
              WS-0170-ISAM-INDEX-EXISTS-FLG <> WS-LITERAL-YES
              INITIALIZE WS-0590-INPUT
              MOVE 'ISAM/97ADM3.ISM' TO WS-0590-SRC-FILE-NAME
              MOVE '/tmp/97ADM3.ISM' TO WS-0590-DEST-FILE-NAME
              PERFORM 0590-COPY-FILE
                 THRU 0590-COPY-FILE-EXIT
              IF NOT COPY-SUCCESS-0590
                 MOVE 0170 TO WS-8020-PARAGRAPH-NO
                 MOVE 90054 TO WS-8020-INT-ERROR-NO
                 MOVE '97ADM3.ISM' TO WS-8020-FIELD-NAME
                 MOVE 'COPY FAILED' TO WS-8020-BAD-DATA
                 MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
                 PERFORM 8020-RECORD-INT-ERROR
                    THRU 8020-RECORD-INT-ERROR-EXIT
              END-IF
              INITIALIZE WS-0590-INPUT
              MOVE 'ISAM/97ADM3.ISM.idx' TO WS-0590-SRC-FILE-NAME
              MOVE '/tmp/97ADM3.ISM.idx' TO WS-0590-DEST-FILE-NAME
              PERFORM 0590-COPY-FILE
                 THRU 0590-COPY-FILE-EXIT
              IF NOT COPY-SUCCESS-0590
                 MOVE 0170 TO WS-8020-PARAGRAPH-NO
                 MOVE 90054 TO WS-8020-INT-ERROR-NO
                 MOVE '97ADM3.ISM.idx' TO WS-8020-FIELD-NAME
                 MOVE 'COPY FAILED' TO WS-8020-BAD-DATA
                 MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
                 PERFORM 8020-RECORD-INT-ERROR
                    THRU 8020-RECORD-INT-ERROR-EXIT
              END-IF
           END-IF


      ************************************************
      *    SEE IF ADM4 FILES EXIST ON /tmp           *
      ************************************************
           MOVE WS-LITERAL-NO TO WS-0170-ISAM-FILE-EXISTS-FLG
           INITIALIZE WS-0575-INPUT
           MOVE '/tmp/97ADM4.ISM'
             TO WS-0575-INPUT-FILE-NAME
           PERFORM 0575-TEST-FILE-NAME
              THRU 0575-TEST-FILE-NAME-EXIT
           IF FILE-EXISTS-0575
              MOVE WS-LITERAL-YES TO WS-0170-ISAM-FILE-EXISTS-FLG
           END-IF

           MOVE WS-LITERAL-NO TO WS-0170-ISAM-INDEX-EXISTS-FLG
           INITIALIZE WS-0575-INPUT
           MOVE '/tmp/97ADM4.ISM.idx'
             TO WS-0575-INPUT-FILE-NAME
           PERFORM 0575-TEST-FILE-NAME
              THRU 0575-TEST-FILE-NAME-EXIT
           IF FILE-EXISTS-0575
              MOVE WS-LITERAL-YES TO WS-0170-ISAM-INDEX-EXISTS-FLG
           END-IF

      ************************************************
      *    COPY ADM4 FILES IF NECESSARY              *
      ************************************************
           IF WS-0170-ISAM-FILE-EXISTS-FLG <> WS-LITERAL-YES OR
              WS-0170-ISAM-INDEX-EXISTS-FLG <> WS-LITERAL-YES
              INITIALIZE WS-0590-INPUT
              MOVE 'ISAM/97ADM4.ISM' TO WS-0590-SRC-FILE-NAME
              MOVE '/tmp/97ADM4.ISM' TO WS-0590-DEST-FILE-NAME
              PERFORM 0590-COPY-FILE
                 THRU 0590-COPY-FILE-EXIT
              IF NOT COPY-SUCCESS-0590
                 MOVE 0170 TO WS-8020-PARAGRAPH-NO
                 MOVE 90054 TO WS-8020-INT-ERROR-NO
                 MOVE '97ADM4.ISM' TO WS-8020-FIELD-NAME
                 MOVE 'COPY FAILED' TO WS-8020-BAD-DATA
                 MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
                 PERFORM 8020-RECORD-INT-ERROR
                    THRU 8020-RECORD-INT-ERROR-EXIT
              END-IF
              INITIALIZE WS-0590-INPUT
              MOVE 'ISAM/97ADM4.ISM.idx' TO WS-0590-SRC-FILE-NAME
              MOVE '/tmp/97ADM4.ISM.idx' TO WS-0590-DEST-FILE-NAME
              PERFORM 0590-COPY-FILE
                 THRU 0590-COPY-FILE-EXIT
              IF NOT COPY-SUCCESS-0590
                 MOVE 0170 TO WS-8020-PARAGRAPH-NO
                 MOVE 90054 TO WS-8020-INT-ERROR-NO
                 MOVE '97ADM4.ISM.idx' TO WS-8020-FIELD-NAME
                 MOVE 'COPY FAILED' TO WS-8020-BAD-DATA
                 MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
                 PERFORM 8020-RECORD-INT-ERROR
                    THRU 8020-RECORD-INT-ERROR-EXIT
              END-IF
           END-IF


      ************************************************
      *    SEE IF ADMAC FILES EXIST ON /tmp           *
      ************************************************
           MOVE WS-LITERAL-NO TO WS-0170-ISAM-FILE-EXISTS-FLG
           INITIALIZE WS-0575-INPUT
           MOVE '/tmp/97ADMAC.ISM'
             TO WS-0575-INPUT-FILE-NAME
           PERFORM 0575-TEST-FILE-NAME
              THRU 0575-TEST-FILE-NAME-EXIT
           IF FILE-EXISTS-0575
              MOVE WS-LITERAL-YES TO WS-0170-ISAM-FILE-EXISTS-FLG
           END-IF

           MOVE WS-LITERAL-NO TO WS-0170-ISAM-INDEX-EXISTS-FLG
           INITIALIZE WS-0575-INPUT
           MOVE '/tmp/97ADMAC.ISM.idx'
             TO WS-0575-INPUT-FILE-NAME
           PERFORM 0575-TEST-FILE-NAME
              THRU 0575-TEST-FILE-NAME-EXIT
           IF FILE-EXISTS-0575
              MOVE WS-LITERAL-YES TO WS-0170-ISAM-INDEX-EXISTS-FLG
           END-IF

      ************************************************
      *    COPY ADMAC FILES IF NECESSARY              *
      ************************************************
           IF WS-0170-ISAM-FILE-EXISTS-FLG <> WS-LITERAL-YES OR
              WS-0170-ISAM-INDEX-EXISTS-FLG <> WS-LITERAL-YES
              INITIALIZE WS-0590-INPUT
              MOVE 'ISAM/97ADMAC.ISM' TO WS-0590-SRC-FILE-NAME
              MOVE '/tmp/97ADMAC.ISM' TO WS-0590-DEST-FILE-NAME
              PERFORM 0590-COPY-FILE
                 THRU 0590-COPY-FILE-EXIT
              IF NOT COPY-SUCCESS-0590
                 MOVE 0170 TO WS-8020-PARAGRAPH-NO
                 MOVE 90054 TO WS-8020-INT-ERROR-NO
                 MOVE '97ADMAC.ISM' TO WS-8020-FIELD-NAME
                 MOVE 'COPY FAILED' TO WS-8020-BAD-DATA
                 MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
                 PERFORM 8020-RECORD-INT-ERROR
                    THRU 8020-RECORD-INT-ERROR-EXIT
              END-IF
              INITIALIZE WS-0590-INPUT
              MOVE 'ISAM/97ADMAC.ISM.idx' TO WS-0590-SRC-FILE-NAME
              MOVE '/tmp/97ADMAC.ISM.idx' TO WS-0590-DEST-FILE-NAME
              PERFORM 0590-COPY-FILE
                 THRU 0590-COPY-FILE-EXIT
              IF NOT COPY-SUCCESS-0590
                 MOVE 0170 TO WS-8020-PARAGRAPH-NO
                 MOVE 90054 TO WS-8020-INT-ERROR-NO
                 MOVE '97ADMAC.ISM.idx' TO WS-8020-FIELD-NAME
                 MOVE 'COPY FAILED' TO WS-8020-BAD-DATA
                 MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
                 PERFORM 8020-RECORD-INT-ERROR
                    THRU 8020-RECORD-INT-ERROR-EXIT
              END-IF
           END-IF

      ************************************************
      *    SEE IF ADMAR FILES EXIST ON /tmp           *
      ************************************************
           MOVE WS-LITERAL-NO TO WS-0170-ISAM-FILE-EXISTS-FLG
           INITIALIZE WS-0575-INPUT
           MOVE '/tmp/97ADMAR.ISM'
             TO WS-0575-INPUT-FILE-NAME
           PERFORM 0575-TEST-FILE-NAME
              THRU 0575-TEST-FILE-NAME-EXIT
           IF FILE-EXISTS-0575
              MOVE WS-LITERAL-YES TO WS-0170-ISAM-FILE-EXISTS-FLG
           END-IF

           MOVE WS-LITERAL-NO TO WS-0170-ISAM-INDEX-EXISTS-FLG
           INITIALIZE WS-0575-INPUT
           MOVE '/tmp/97ADMAR.ISM.idx'
             TO WS-0575-INPUT-FILE-NAME
           PERFORM 0575-TEST-FILE-NAME
              THRU 0575-TEST-FILE-NAME-EXIT
           IF FILE-EXISTS-0575
              MOVE WS-LITERAL-YES TO WS-0170-ISAM-INDEX-EXISTS-FLG
           END-IF

      ************************************************
      *    COPY ADMAR FILES IF NECESSARY              *
      ************************************************
           IF WS-0170-ISAM-FILE-EXISTS-FLG <> WS-LITERAL-YES OR
              WS-0170-ISAM-INDEX-EXISTS-FLG <> WS-LITERAL-YES
              INITIALIZE WS-0590-INPUT
              MOVE 'ISAM/97ADMAR.ISM' TO WS-0590-SRC-FILE-NAME
              MOVE '/tmp/97ADMAR.ISM' TO WS-0590-DEST-FILE-NAME
              PERFORM 0590-COPY-FILE
                 THRU 0590-COPY-FILE-EXIT
              IF NOT COPY-SUCCESS-0590
                 MOVE 0170 TO WS-8020-PARAGRAPH-NO
                 MOVE 90054 TO WS-8020-INT-ERROR-NO
                 MOVE '97ADMAR.ISM' TO WS-8020-FIELD-NAME
                 MOVE 'COPY FAILED' TO WS-8020-BAD-DATA
                 MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
                 PERFORM 8020-RECORD-INT-ERROR
                    THRU 8020-RECORD-INT-ERROR-EXIT
              END-IF
              INITIALIZE WS-0590-INPUT
              MOVE 'ISAM/97ADMAR.ISM.idx' TO WS-0590-SRC-FILE-NAME
              MOVE '/tmp/97ADMAR.ISM.idx' TO WS-0590-DEST-FILE-NAME
              PERFORM 0590-COPY-FILE
                 THRU 0590-COPY-FILE-EXIT
              IF NOT COPY-SUCCESS-0590
                 MOVE 0170 TO WS-8020-PARAGRAPH-NO
                 MOVE 90054 TO WS-8020-INT-ERROR-NO
                 MOVE '97ADMAR.ISM.idx' TO WS-8020-FIELD-NAME
                 MOVE 'COPY FAILED' TO WS-8020-BAD-DATA
                 MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
                 PERFORM 8020-RECORD-INT-ERROR
                    THRU 8020-RECORD-INT-ERROR-EXIT
              END-IF
           END-IF


      ************************************************
      *    SEE IF ADMC FILES EXIST ON /tmp           *
      ************************************************
           MOVE WS-LITERAL-NO TO WS-0170-ISAM-FILE-EXISTS-FLG
           INITIALIZE WS-0575-INPUT
           MOVE '/tmp/97ADMC.ISM'
             TO WS-0575-INPUT-FILE-NAME
           PERFORM 0575-TEST-FILE-NAME
              THRU 0575-TEST-FILE-NAME-EXIT
           IF FILE-EXISTS-0575
              MOVE WS-LITERAL-YES TO WS-0170-ISAM-FILE-EXISTS-FLG
           END-IF

           MOVE WS-LITERAL-NO TO WS-0170-ISAM-INDEX-EXISTS-FLG
           INITIALIZE WS-0575-INPUT
           MOVE '/tmp/97ADMC.ISM.idx'
             TO WS-0575-INPUT-FILE-NAME
           PERFORM 0575-TEST-FILE-NAME
              THRU 0575-TEST-FILE-NAME-EXIT
           IF FILE-EXISTS-0575
              MOVE WS-LITERAL-YES TO WS-0170-ISAM-INDEX-EXISTS-FLG
           END-IF

      ************************************************
      *    COPY ADMC FILES IF NECESSARY              *
      ************************************************
           IF WS-0170-ISAM-FILE-EXISTS-FLG <> WS-LITERAL-YES OR
              WS-0170-ISAM-INDEX-EXISTS-FLG <> WS-LITERAL-YES
              INITIALIZE WS-0590-INPUT
              MOVE 'ISAM/97ADMC.ISM' TO WS-0590-SRC-FILE-NAME
              MOVE '/tmp/97ADMC.ISM' TO WS-0590-DEST-FILE-NAME
              PERFORM 0590-COPY-FILE
                 THRU 0590-COPY-FILE-EXIT
              IF NOT COPY-SUCCESS-0590
                 MOVE 0170 TO WS-8020-PARAGRAPH-NO
                 MOVE 90054 TO WS-8020-INT-ERROR-NO
                 MOVE '97ADMC.ISM' TO WS-8020-FIELD-NAME
                 MOVE 'COPY FAILED' TO WS-8020-BAD-DATA
                 MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
                 PERFORM 8020-RECORD-INT-ERROR
                    THRU 8020-RECORD-INT-ERROR-EXIT
              END-IF
              INITIALIZE WS-0590-INPUT
              MOVE 'ISAM/97ADMC.ISM.idx' TO WS-0590-SRC-FILE-NAME
              MOVE '/tmp/97ADMC.ISM.idx' TO WS-0590-DEST-FILE-NAME
              PERFORM 0590-COPY-FILE
                 THRU 0590-COPY-FILE-EXIT
              IF NOT COPY-SUCCESS-0590
                 MOVE 0170 TO WS-8020-PARAGRAPH-NO
                 MOVE 90054 TO WS-8020-INT-ERROR-NO
                 MOVE '97ADMC.ISM.idx' TO WS-8020-FIELD-NAME
                 MOVE 'COPY FAILED' TO WS-8020-BAD-DATA
                 MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
                 PERFORM 8020-RECORD-INT-ERROR
                    THRU 8020-RECORD-INT-ERROR-EXIT
              END-IF
           END-IF


      ************************************************
      *    SEE IF ADMH FILES EXIST ON /tmp           *
      ************************************************
           MOVE WS-LITERAL-NO TO WS-0170-ISAM-FILE-EXISTS-FLG
           INITIALIZE WS-0575-INPUT
           MOVE '/tmp/97ADMH.ISM'
             TO WS-0575-INPUT-FILE-NAME
           PERFORM 0575-TEST-FILE-NAME
              THRU 0575-TEST-FILE-NAME-EXIT
           IF FILE-EXISTS-0575
              MOVE WS-LITERAL-YES TO WS-0170-ISAM-FILE-EXISTS-FLG
           END-IF

           MOVE WS-LITERAL-NO TO WS-0170-ISAM-INDEX-EXISTS-FLG
           INITIALIZE WS-0575-INPUT
           MOVE '/tmp/97ADMH.ISM.idx'
             TO WS-0575-INPUT-FILE-NAME
           PERFORM 0575-TEST-FILE-NAME
              THRU 0575-TEST-FILE-NAME-EXIT
           IF FILE-EXISTS-0575
              MOVE WS-LITERAL-YES TO WS-0170-ISAM-INDEX-EXISTS-FLG
           END-IF

      ************************************************
      *    COPY ADMH FILES IF NECESSARY              *
      ************************************************
           IF WS-0170-ISAM-FILE-EXISTS-FLG <> WS-LITERAL-YES OR
              WS-0170-ISAM-INDEX-EXISTS-FLG <> WS-LITERAL-YES
              INITIALIZE WS-0590-INPUT
              MOVE 'ISAM/97ADMH.ISM' TO WS-0590-SRC-FILE-NAME
              MOVE '/tmp/97ADMH.ISM' TO WS-0590-DEST-FILE-NAME
              PERFORM 0590-COPY-FILE
                 THRU 0590-COPY-FILE-EXIT
              IF NOT COPY-SUCCESS-0590
                 MOVE 0170 TO WS-8020-PARAGRAPH-NO
                 MOVE 90054 TO WS-8020-INT-ERROR-NO
                 MOVE '97ADMH.ISM' TO WS-8020-FIELD-NAME
                 MOVE 'COPY FAILED' TO WS-8020-BAD-DATA
                 MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
                 PERFORM 8020-RECORD-INT-ERROR
                    THRU 8020-RECORD-INT-ERROR-EXIT
              END-IF
              INITIALIZE WS-0590-INPUT
              MOVE 'ISAM/97ADMH.ISM.idx' TO WS-0590-SRC-FILE-NAME
              MOVE '/tmp/97ADMH.ISM.idx' TO WS-0590-DEST-FILE-NAME
              PERFORM 0590-COPY-FILE
                 THRU 0590-COPY-FILE-EXIT
              IF NOT COPY-SUCCESS-0590
                 MOVE 0170 TO WS-8020-PARAGRAPH-NO
                 MOVE 90054 TO WS-8020-INT-ERROR-NO
                 MOVE '97ADMH.ISM.idx' TO WS-8020-FIELD-NAME
                 MOVE 'COPY FAILED' TO WS-8020-BAD-DATA
                 MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
                 PERFORM 8020-RECORD-INT-ERROR
                    THRU 8020-RECORD-INT-ERROR-EXIT
              END-IF
           END-IF


      ************************************************
      *    SEE IF ADMIR FILES EXIST ON /tmp           *
      ************************************************
           MOVE WS-LITERAL-NO TO WS-0170-ISAM-FILE-EXISTS-FLG
           INITIALIZE WS-0575-INPUT
           MOVE '/tmp/97ADMIR.ISM'
             TO WS-0575-INPUT-FILE-NAME
           PERFORM 0575-TEST-FILE-NAME
              THRU 0575-TEST-FILE-NAME-EXIT
           IF FILE-EXISTS-0575
              MOVE WS-LITERAL-YES TO WS-0170-ISAM-FILE-EXISTS-FLG
           END-IF

           MOVE WS-LITERAL-NO TO WS-0170-ISAM-INDEX-EXISTS-FLG
           INITIALIZE WS-0575-INPUT
           MOVE '/tmp/97ADMIR.ISM.idx'
             TO WS-0575-INPUT-FILE-NAME
           PERFORM 0575-TEST-FILE-NAME
              THRU 0575-TEST-FILE-NAME-EXIT
           IF FILE-EXISTS-0575
              MOVE WS-LITERAL-YES TO WS-0170-ISAM-INDEX-EXISTS-FLG
           END-IF

      ************************************************
      *    COPY ADMH FILES IF NECESSARY              *
      ************************************************
           IF WS-0170-ISAM-FILE-EXISTS-FLG <> WS-LITERAL-YES OR
              WS-0170-ISAM-INDEX-EXISTS-FLG <> WS-LITERAL-YES
              INITIALIZE WS-0590-INPUT
              MOVE 'ISAM/97ADMIR.ISM' TO WS-0590-SRC-FILE-NAME
              MOVE '/tmp/97ADMIR.ISM' TO WS-0590-DEST-FILE-NAME
              PERFORM 0590-COPY-FILE
                 THRU 0590-COPY-FILE-EXIT
              IF NOT COPY-SUCCESS-0590
                 MOVE 0170 TO WS-8020-PARAGRAPH-NO
                 MOVE 90054 TO WS-8020-INT-ERROR-NO
                 MOVE '97ADMIR.ISM' TO WS-8020-FIELD-NAME
                 MOVE 'COPY FAILED' TO WS-8020-BAD-DATA
                 MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
                 PERFORM 8020-RECORD-INT-ERROR
                    THRU 8020-RECORD-INT-ERROR-EXIT
              END-IF
              INITIALIZE WS-0590-INPUT
              MOVE 'ISAM/97ADMIR.ISM.idx' TO WS-0590-SRC-FILE-NAME
              MOVE '/tmp/97ADMIR.ISM.idx' TO WS-0590-DEST-FILE-NAME
              PERFORM 0590-COPY-FILE
                 THRU 0590-COPY-FILE-EXIT
              IF NOT COPY-SUCCESS-0590
                 MOVE 0170 TO WS-8020-PARAGRAPH-NO
                 MOVE 90054 TO WS-8020-INT-ERROR-NO
                 MOVE '97ADMIR.ISM.idx' TO WS-8020-FIELD-NAME
                 MOVE 'COPY FAILED' TO WS-8020-BAD-DATA
                 MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
                 PERFORM 8020-RECORD-INT-ERROR
                    THRU 8020-RECORD-INT-ERROR-EXIT
              END-IF
           END-IF

      ************************************************
      *    SEE IF ADMIY FILES EXIST ON /tmp          *
      ************************************************
           MOVE WS-LITERAL-NO TO WS-0170-ISAM-FILE-EXISTS-FLG
           INITIALIZE WS-0575-INPUT
           MOVE '/tmp/97ADMIY.ISM'
             TO WS-0575-INPUT-FILE-NAME
           PERFORM 0575-TEST-FILE-NAME
              THRU 0575-TEST-FILE-NAME-EXIT
           IF FILE-EXISTS-0575
              MOVE WS-LITERAL-YES TO WS-0170-ISAM-FILE-EXISTS-FLG
           END-IF

           MOVE WS-LITERAL-NO TO WS-0170-ISAM-INDEX-EXISTS-FLG
           INITIALIZE WS-0575-INPUT
           MOVE '/tmp/97ADMIY.ISM.idx'
             TO WS-0575-INPUT-FILE-NAME
           PERFORM 0575-TEST-FILE-NAME
              THRU 0575-TEST-FILE-NAME-EXIT
           IF FILE-EXISTS-0575
              MOVE WS-LITERAL-YES TO WS-0170-ISAM-INDEX-EXISTS-FLG
           END-IF

      ************************************************
      *    COPY ADMH FILES IF NECESSARY              *
      ************************************************
           IF WS-0170-ISAM-FILE-EXISTS-FLG <> WS-LITERAL-YES OR
              WS-0170-ISAM-INDEX-EXISTS-FLG <> WS-LITERAL-YES
              INITIALIZE WS-0590-INPUT
              MOVE 'ISAM/97ADMIY.ISM' TO WS-0590-SRC-FILE-NAME
              MOVE '/tmp/97ADMIY.ISM' TO WS-0590-DEST-FILE-NAME
              PERFORM 0590-COPY-FILE
                 THRU 0590-COPY-FILE-EXIT
              IF NOT COPY-SUCCESS-0590
                 MOVE 0170 TO WS-8020-PARAGRAPH-NO
                 MOVE 90054 TO WS-8020-INT-ERROR-NO
                 MOVE '97ADMIY.ISM' TO WS-8020-FIELD-NAME
                 MOVE 'COPY FAILED' TO WS-8020-BAD-DATA
                 MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
                 PERFORM 8020-RECORD-INT-ERROR
                    THRU 8020-RECORD-INT-ERROR-EXIT
              END-IF
              INITIALIZE WS-0590-INPUT
              MOVE 'ISAM/97ADMIY.ISM.idx' TO WS-0590-SRC-FILE-NAME
              MOVE '/tmp/97ADMIY.ISM.idx' TO WS-0590-DEST-FILE-NAME
              PERFORM 0590-COPY-FILE
                 THRU 0590-COPY-FILE-EXIT
              IF NOT COPY-SUCCESS-0590
                 MOVE 0170 TO WS-8020-PARAGRAPH-NO
                 MOVE 90054 TO WS-8020-INT-ERROR-NO
                 MOVE '97ADMIY.ISM.idx' TO WS-8020-FIELD-NAME
                 MOVE 'COPY FAILED' TO WS-8020-BAD-DATA
                 MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
                 PERFORM 8020-RECORD-INT-ERROR
                    THRU 8020-RECORD-INT-ERROR-EXIT
              END-IF
           END-IF

      ************************************************
      *    SEE IF ADMM FILES EXIST ON /tmp           *
      ************************************************
           MOVE WS-LITERAL-NO TO WS-0170-ISAM-FILE-EXISTS-FLG
           INITIALIZE WS-0575-INPUT
           MOVE '/tmp/97ADMM.ISM'
             TO WS-0575-INPUT-FILE-NAME
           PERFORM 0575-TEST-FILE-NAME
              THRU 0575-TEST-FILE-NAME-EXIT
           IF FILE-EXISTS-0575
              MOVE WS-LITERAL-YES TO WS-0170-ISAM-FILE-EXISTS-FLG
           END-IF

           MOVE WS-LITERAL-NO TO WS-0170-ISAM-INDEX-EXISTS-FLG
           INITIALIZE WS-0575-INPUT
           MOVE '/tmp/97ADMM.ISM.idx'
             TO WS-0575-INPUT-FILE-NAME
           PERFORM 0575-TEST-FILE-NAME
              THRU 0575-TEST-FILE-NAME-EXIT
           IF FILE-EXISTS-0575
              MOVE WS-LITERAL-YES TO WS-0170-ISAM-INDEX-EXISTS-FLG
           END-IF

      ************************************************
      *    COPY ADMM FILES IF NECESSARY              *
      ************************************************
           IF WS-0170-ISAM-FILE-EXISTS-FLG <> WS-LITERAL-YES OR
              WS-0170-ISAM-INDEX-EXISTS-FLG <> WS-LITERAL-YES
              INITIALIZE WS-0590-INPUT
              MOVE 'ISAM/97ADMM.ISM' TO WS-0590-SRC-FILE-NAME
              MOVE '/tmp/97ADMM.ISM' TO WS-0590-DEST-FILE-NAME
              PERFORM 0590-COPY-FILE
                 THRU 0590-COPY-FILE-EXIT
              IF NOT COPY-SUCCESS-0590
                 MOVE 0170 TO WS-8020-PARAGRAPH-NO
                 MOVE 90054 TO WS-8020-INT-ERROR-NO
                 MOVE '97ADMM.ISM' TO WS-8020-FIELD-NAME
                 MOVE 'COPY FAILED' TO WS-8020-BAD-DATA
                 MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
                 PERFORM 8020-RECORD-INT-ERROR
                    THRU 8020-RECORD-INT-ERROR-EXIT
              END-IF
              INITIALIZE WS-0590-INPUT
              MOVE 'ISAM/97ADMM.ISM.idx' TO WS-0590-SRC-FILE-NAME
              MOVE '/tmp/97ADMM.ISM.idx' TO WS-0590-DEST-FILE-NAME
              PERFORM 0590-COPY-FILE
                 THRU 0590-COPY-FILE-EXIT
              IF NOT COPY-SUCCESS-0590
                 MOVE 0170 TO WS-8020-PARAGRAPH-NO
                 MOVE 90054 TO WS-8020-INT-ERROR-NO
                 MOVE '97ADMM.ISM.idx' TO WS-8020-FIELD-NAME
                 MOVE 'COPY FAILED' TO WS-8020-BAD-DATA
                 MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
                 PERFORM 8020-RECORD-INT-ERROR
                    THRU 8020-RECORD-INT-ERROR-EXIT
              END-IF
           END-IF


      ************************************************
      *    SEE IF ADMO FILES EXIST ON /tmp           *
      ************************************************
           MOVE WS-LITERAL-NO TO WS-0170-ISAM-FILE-EXISTS-FLG
           INITIALIZE WS-0575-INPUT
           MOVE '/tmp/97ADMO.ISM'
             TO WS-0575-INPUT-FILE-NAME
           PERFORM 0575-TEST-FILE-NAME
              THRU 0575-TEST-FILE-NAME-EXIT
           IF FILE-EXISTS-0575
              MOVE WS-LITERAL-YES TO WS-0170-ISAM-FILE-EXISTS-FLG
           END-IF

           MOVE WS-LITERAL-NO TO WS-0170-ISAM-INDEX-EXISTS-FLG
           INITIALIZE WS-0575-INPUT
           MOVE '/tmp/97ADMO.ISM.idx'
             TO WS-0575-INPUT-FILE-NAME
           PERFORM 0575-TEST-FILE-NAME
              THRU 0575-TEST-FILE-NAME-EXIT
           IF FILE-EXISTS-0575
              MOVE WS-LITERAL-YES TO WS-0170-ISAM-INDEX-EXISTS-FLG
           END-IF

      ************************************************
      *    COPY ADMO FILES IF NECESSARY              *
      ************************************************
           IF WS-0170-ISAM-FILE-EXISTS-FLG <> WS-LITERAL-YES OR
              WS-0170-ISAM-INDEX-EXISTS-FLG <> WS-LITERAL-YES
              INITIALIZE WS-0590-INPUT
              MOVE 'ISAM/97ADMO.ISM' TO WS-0590-SRC-FILE-NAME
              MOVE '/tmp/97ADMO.ISM' TO WS-0590-DEST-FILE-NAME
              PERFORM 0590-COPY-FILE
                 THRU 0590-COPY-FILE-EXIT
              IF NOT COPY-SUCCESS-0590
                 MOVE 0170 TO WS-8020-PARAGRAPH-NO
                 MOVE 90054 TO WS-8020-INT-ERROR-NO
                 MOVE '97ADMO.ISM' TO WS-8020-FIELD-NAME
                 MOVE 'COPY FAILED' TO WS-8020-BAD-DATA
                 MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
                 PERFORM 8020-RECORD-INT-ERROR
                    THRU 8020-RECORD-INT-ERROR-EXIT
              END-IF
              INITIALIZE WS-0590-INPUT
              MOVE 'ISAM/97ADMO.ISM.idx' TO WS-0590-SRC-FILE-NAME
              MOVE '/tmp/97ADMO.ISM.idx' TO WS-0590-DEST-FILE-NAME
              PERFORM 0590-COPY-FILE
                 THRU 0590-COPY-FILE-EXIT
              IF NOT COPY-SUCCESS-0590
                 MOVE 0170 TO WS-8020-PARAGRAPH-NO
                 MOVE 90054 TO WS-8020-INT-ERROR-NO
                 MOVE '97ADMO.ISM.idx' TO WS-8020-FIELD-NAME
                 MOVE 'COPY FAILED' TO WS-8020-BAD-DATA
                 MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
                 PERFORM 8020-RECORD-INT-ERROR
                    THRU 8020-RECORD-INT-ERROR-EXIT
              END-IF
           END-IF


      ************************************************
      *    SEE IF ADMR FILES EXIST ON /tmp           *
      ************************************************
           MOVE WS-LITERAL-NO TO WS-0170-ISAM-FILE-EXISTS-FLG
           INITIALIZE WS-0575-INPUT
           MOVE '/tmp/97ADMR.ISM'
             TO WS-0575-INPUT-FILE-NAME
           PERFORM 0575-TEST-FILE-NAME
              THRU 0575-TEST-FILE-NAME-EXIT
           IF FILE-EXISTS-0575
              MOVE WS-LITERAL-YES TO WS-0170-ISAM-FILE-EXISTS-FLG
           END-IF

           MOVE WS-LITERAL-NO TO WS-0170-ISAM-INDEX-EXISTS-FLG
           INITIALIZE WS-0575-INPUT
           MOVE '/tmp/97ADMR.ISM.idx'
             TO WS-0575-INPUT-FILE-NAME
           PERFORM 0575-TEST-FILE-NAME
              THRU 0575-TEST-FILE-NAME-EXIT
           IF FILE-EXISTS-0575
              MOVE WS-LITERAL-YES TO WS-0170-ISAM-INDEX-EXISTS-FLG
           END-IF

      ************************************************
      *    COPY ADMR FILES IF NECESSARY              *
      ************************************************
           IF WS-0170-ISAM-FILE-EXISTS-FLG <> WS-LITERAL-YES OR
              WS-0170-ISAM-INDEX-EXISTS-FLG <> WS-LITERAL-YES
              INITIALIZE WS-0590-INPUT
              MOVE 'ISAM/97ADMR.ISM' TO WS-0590-SRC-FILE-NAME
              MOVE '/tmp/97ADMR.ISM' TO WS-0590-DEST-FILE-NAME
              PERFORM 0590-COPY-FILE
                 THRU 0590-COPY-FILE-EXIT
              IF NOT COPY-SUCCESS-0590
                 MOVE 0170 TO WS-8020-PARAGRAPH-NO
                 MOVE 90054 TO WS-8020-INT-ERROR-NO
                 MOVE '97ADMR.ISM' TO WS-8020-FIELD-NAME
                 MOVE 'COPY FAILED' TO WS-8020-BAD-DATA
                 MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
                 PERFORM 8020-RECORD-INT-ERROR
                    THRU 8020-RECORD-INT-ERROR-EXIT
              END-IF
              INITIALIZE WS-0590-INPUT
              MOVE 'ISAM/97ADMR.ISM.idx' TO WS-0590-SRC-FILE-NAME
              MOVE '/tmp/97ADMR.ISM.idx' TO WS-0590-DEST-FILE-NAME
              PERFORM 0590-COPY-FILE
                 THRU 0590-COPY-FILE-EXIT
              IF NOT COPY-SUCCESS-0590
                 MOVE 0170 TO WS-8020-PARAGRAPH-NO
                 MOVE 90054 TO WS-8020-INT-ERROR-NO
                 MOVE '97ADMR.ISM.idx' TO WS-8020-FIELD-NAME
                 MOVE 'COPY FAILED' TO WS-8020-BAD-DATA
                 MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
                 PERFORM 8020-RECORD-INT-ERROR
                    THRU 8020-RECORD-INT-ERROR-EXIT
              END-IF
           END-IF


      ************************************************
      *    SEE IF ADMSSN FILES EXIST ON /tmp         *
      ************************************************
           MOVE WS-LITERAL-NO TO WS-0170-ISAM-FILE-EXISTS-FLG
           INITIALIZE WS-0575-INPUT
           MOVE '/tmp/97ADMSSN.ISM'
             TO WS-0575-INPUT-FILE-NAME
           PERFORM 0575-TEST-FILE-NAME
              THRU 0575-TEST-FILE-NAME-EXIT
           IF FILE-EXISTS-0575
              MOVE WS-LITERAL-YES TO WS-0170-ISAM-FILE-EXISTS-FLG
           END-IF

           MOVE WS-LITERAL-NO TO WS-0170-ISAM-INDEX-EXISTS-FLG
           INITIALIZE WS-0575-INPUT
           MOVE '/tmp/97ADMSSN.ISM.idx'
             TO WS-0575-INPUT-FILE-NAME
           PERFORM 0575-TEST-FILE-NAME
              THRU 0575-TEST-FILE-NAME-EXIT
           IF FILE-EXISTS-0575
              MOVE WS-LITERAL-YES TO WS-0170-ISAM-INDEX-EXISTS-FLG
           END-IF

      ************************************************
      *    COPY ADMSSN FILES IF NECESSARY            *
      ************************************************
           IF WS-0170-ISAM-FILE-EXISTS-FLG <> WS-LITERAL-YES OR
              WS-0170-ISAM-INDEX-EXISTS-FLG <> WS-LITERAL-YES
              INITIALIZE WS-0590-INPUT
              MOVE 'ISAM/97ADMSSN.ISM' TO WS-0590-SRC-FILE-NAME
              MOVE '/tmp/97ADMSSN.ISM' TO WS-0590-DEST-FILE-NAME
              PERFORM 0590-COPY-FILE
                 THRU 0590-COPY-FILE-EXIT
              IF NOT COPY-SUCCESS-0590
                 MOVE 0170 TO WS-8020-PARAGRAPH-NO
                 MOVE 90054 TO WS-8020-INT-ERROR-NO
                 MOVE '97ADMSSN.ISM' TO WS-8020-FIELD-NAME
                 MOVE 'COPY FAILED' TO WS-8020-BAD-DATA
                 MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
                 PERFORM 8020-RECORD-INT-ERROR
                    THRU 8020-RECORD-INT-ERROR-EXIT
              END-IF
              INITIALIZE WS-0590-INPUT
              MOVE 'ISAM/97ADMSSN.ISM.idx' TO WS-0590-SRC-FILE-NAME
              MOVE '/tmp/97ADMSSN.ISM.idx' TO WS-0590-DEST-FILE-NAME
              PERFORM 0590-COPY-FILE
                 THRU 0590-COPY-FILE-EXIT
              IF NOT COPY-SUCCESS-0590
                 MOVE 0170 TO WS-8020-PARAGRAPH-NO
                 MOVE 90054 TO WS-8020-INT-ERROR-NO
                 MOVE '97ADMSSN.ISM.idx' TO WS-8020-FIELD-NAME
                 MOVE 'COPY FAILED' TO WS-8020-BAD-DATA
                 MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
                 PERFORM 8020-RECORD-INT-ERROR
                    THRU 8020-RECORD-INT-ERROR-EXIT
              END-IF
           END-IF


      ************************************************
      *    SEE IF ADMVC FILES EXIST ON /tmp          *
      ************************************************
           MOVE WS-LITERAL-NO TO WS-0170-ISAM-FILE-EXISTS-FLG
           INITIALIZE WS-0575-INPUT
           MOVE '/tmp/97ADMVC.ISM'
             TO WS-0575-INPUT-FILE-NAME
           PERFORM 0575-TEST-FILE-NAME
              THRU 0575-TEST-FILE-NAME-EXIT
           IF FILE-EXISTS-0575
              MOVE WS-LITERAL-YES TO WS-0170-ISAM-FILE-EXISTS-FLG
           END-IF

           MOVE WS-LITERAL-NO TO WS-0170-ISAM-INDEX-EXISTS-FLG
           INITIALIZE WS-0575-INPUT
           MOVE '/tmp/97ADMVC.ISM.idx'
             TO WS-0575-INPUT-FILE-NAME
           PERFORM 0575-TEST-FILE-NAME
              THRU 0575-TEST-FILE-NAME-EXIT
           IF FILE-EXISTS-0575
              MOVE WS-LITERAL-YES TO WS-0170-ISAM-INDEX-EXISTS-FLG
           END-IF

      ************************************************
      *    COPY ADMVC FILES IF NECESSARY             *
      ************************************************
           IF WS-0170-ISAM-FILE-EXISTS-FLG <> WS-LITERAL-YES OR
              WS-0170-ISAM-INDEX-EXISTS-FLG <> WS-LITERAL-YES
              INITIALIZE WS-0590-INPUT
              MOVE 'ISAM/97ADMVC.ISM' TO WS-0590-SRC-FILE-NAME
              MOVE '/tmp/97ADMVC.ISM' TO WS-0590-DEST-FILE-NAME
              PERFORM 0590-COPY-FILE
                 THRU 0590-COPY-FILE-EXIT
              IF NOT COPY-SUCCESS-0590
                 MOVE 0170 TO WS-8020-PARAGRAPH-NO
                 MOVE 90054 TO WS-8020-INT-ERROR-NO
                 MOVE '97ADMVC.ISM' TO WS-8020-FIELD-NAME
                 MOVE 'COPY FAILED' TO WS-8020-BAD-DATA
                 MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
                 PERFORM 8020-RECORD-INT-ERROR
                    THRU 8020-RECORD-INT-ERROR-EXIT
              END-IF
              INITIALIZE WS-0590-INPUT
              MOVE 'ISAM/97ADMVC.ISM.idx' TO WS-0590-SRC-FILE-NAME
              MOVE '/tmp/97ADMVC.ISM.idx' TO WS-0590-DEST-FILE-NAME
              PERFORM 0590-COPY-FILE
                 THRU 0590-COPY-FILE-EXIT
              IF NOT COPY-SUCCESS-0590
                 MOVE 0170 TO WS-8020-PARAGRAPH-NO
                 MOVE 90054 TO WS-8020-INT-ERROR-NO
                 MOVE '97ADMVC.ISM.idx' TO WS-8020-FIELD-NAME
                 MOVE 'COPY FAILED' TO WS-8020-BAD-DATA
                 MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
                 PERFORM 8020-RECORD-INT-ERROR
                    THRU 8020-RECORD-INT-ERROR-EXIT
              END-IF
           END-IF


      ************************************************
      *    SEE IF ADMVS FILES EXIST ON /tmp          *
      ************************************************
           MOVE WS-LITERAL-NO TO WS-0170-ISAM-FILE-EXISTS-FLG
           INITIALIZE WS-0575-INPUT
           MOVE '/tmp/97ADMVS.ISM'
             TO WS-0575-INPUT-FILE-NAME
           PERFORM 0575-TEST-FILE-NAME
              THRU 0575-TEST-FILE-NAME-EXIT
           IF FILE-EXISTS-0575
              MOVE WS-LITERAL-YES TO WS-0170-ISAM-FILE-EXISTS-FLG
           END-IF

           MOVE WS-LITERAL-NO TO WS-0170-ISAM-INDEX-EXISTS-FLG
           INITIALIZE WS-0575-INPUT
           MOVE '/tmp/97ADMVS.ISM.idx'
             TO WS-0575-INPUT-FILE-NAME
           PERFORM 0575-TEST-FILE-NAME
              THRU 0575-TEST-FILE-NAME-EXIT
           IF FILE-EXISTS-0575
              MOVE WS-LITERAL-YES TO WS-0170-ISAM-INDEX-EXISTS-FLG
           END-IF

      ************************************************
      *    COPY ADMVS FILES IF NECESSARY             *
      ************************************************
           IF WS-0170-ISAM-FILE-EXISTS-FLG <> WS-LITERAL-YES OR
              WS-0170-ISAM-INDEX-EXISTS-FLG <> WS-LITERAL-YES
              INITIALIZE WS-0590-INPUT
              MOVE 'ISAM/97ADMVS.ISM' TO WS-0590-SRC-FILE-NAME
              MOVE '/tmp/97ADMVS.ISM' TO WS-0590-DEST-FILE-NAME
              PERFORM 0590-COPY-FILE
                 THRU 0590-COPY-FILE-EXIT
              IF NOT COPY-SUCCESS-0590
                 MOVE 0170 TO WS-8020-PARAGRAPH-NO
                 MOVE 90054 TO WS-8020-INT-ERROR-NO
                 MOVE '97ADMVS.ISM' TO WS-8020-FIELD-NAME
                 MOVE 'COPY FAILED' TO WS-8020-BAD-DATA
                 MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
                 PERFORM 8020-RECORD-INT-ERROR
                    THRU 8020-RECORD-INT-ERROR-EXIT
              END-IF
              INITIALIZE WS-0590-INPUT
              MOVE 'ISAM/97ADMVS.ISM.idx' TO WS-0590-SRC-FILE-NAME
              MOVE '/tmp/97ADMVS.ISM.idx' TO WS-0590-DEST-FILE-NAME
              PERFORM 0590-COPY-FILE
                 THRU 0590-COPY-FILE-EXIT
              IF NOT COPY-SUCCESS-0590
                 MOVE 0170 TO WS-8020-PARAGRAPH-NO
                 MOVE 90054 TO WS-8020-INT-ERROR-NO
                 MOVE '97ADMVS.ISM.idx' TO WS-8020-FIELD-NAME
                 MOVE 'COPY FAILED' TO WS-8020-BAD-DATA
                 MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
                 PERFORM 8020-RECORD-INT-ERROR
                    THRU 8020-RECORD-INT-ERROR-EXIT
              END-IF
           END-IF


      ************************************************
      *    SEE IF ADMWE FILES EXIST ON /tmp          *
      ************************************************
           MOVE WS-LITERAL-NO TO WS-0170-ISAM-FILE-EXISTS-FLG
           INITIALIZE WS-0575-INPUT
           MOVE '/tmp/97ADMWE.ISM'
             TO WS-0575-INPUT-FILE-NAME
           PERFORM 0575-TEST-FILE-NAME
              THRU 0575-TEST-FILE-NAME-EXIT
           IF FILE-EXISTS-0575
              MOVE WS-LITERAL-YES TO WS-0170-ISAM-FILE-EXISTS-FLG
           END-IF

           MOVE WS-LITERAL-NO TO WS-0170-ISAM-INDEX-EXISTS-FLG
           INITIALIZE WS-0575-INPUT
           MOVE '/tmp/97ADMWE.ISM.idx'
             TO WS-0575-INPUT-FILE-NAME
           PERFORM 0575-TEST-FILE-NAME
              THRU 0575-TEST-FILE-NAME-EXIT
           IF FILE-EXISTS-0575
              MOVE WS-LITERAL-YES TO WS-0170-ISAM-INDEX-EXISTS-FLG
           END-IF

      ************************************************
      *    COPY ADMWE FILES IF NECESSARY             *
      ************************************************
           IF WS-0170-ISAM-FILE-EXISTS-FLG <> WS-LITERAL-YES OR
              WS-0170-ISAM-INDEX-EXISTS-FLG <> WS-LITERAL-YES
              INITIALIZE WS-0590-INPUT
              MOVE 'ISAM/97ADMWE.ISM' TO WS-0590-SRC-FILE-NAME
              MOVE '/tmp/97ADMWE.ISM' TO WS-0590-DEST-FILE-NAME
              PERFORM 0590-COPY-FILE
                 THRU 0590-COPY-FILE-EXIT
              IF NOT COPY-SUCCESS-0590
                 MOVE 0170 TO WS-8020-PARAGRAPH-NO
                 MOVE 90054 TO WS-8020-INT-ERROR-NO
                 MOVE '97ADMWE.ISM' TO WS-8020-FIELD-NAME
                 MOVE 'COPY FAILED' TO WS-8020-BAD-DATA
                 MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
                 PERFORM 8020-RECORD-INT-ERROR
                    THRU 8020-RECORD-INT-ERROR-EXIT
              END-IF
              INITIALIZE WS-0590-INPUT
              MOVE 'ISAM/97ADMWE.ISM.idx' TO WS-0590-SRC-FILE-NAME
              MOVE '/tmp/97ADMWE.ISM.idx' TO WS-0590-DEST-FILE-NAME
              PERFORM 0590-COPY-FILE
                 THRU 0590-COPY-FILE-EXIT
              IF NOT COPY-SUCCESS-0590
                 MOVE 0170 TO WS-8020-PARAGRAPH-NO
                 MOVE 90054 TO WS-8020-INT-ERROR-NO
                 MOVE '97ADMWE.ISM.idx' TO WS-8020-FIELD-NAME
                 MOVE 'COPY FAILED' TO WS-8020-BAD-DATA
                 MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
                 PERFORM 8020-RECORD-INT-ERROR
                    THRU 8020-RECORD-INT-ERROR-EXIT
              END-IF
           END-IF


      ************************************************
      *    SEE IF 97ADMWF FILES EXIST ON /tmp          *
      ************************************************
           MOVE WS-LITERAL-NO TO WS-0170-ISAM-FILE-EXISTS-FLG
           INITIALIZE WS-0575-INPUT
           MOVE '/tmp/97ADMWF.ISM'
             TO WS-0575-INPUT-FILE-NAME
           PERFORM 0575-TEST-FILE-NAME
              THRU 0575-TEST-FILE-NAME-EXIT
           IF FILE-EXISTS-0575
              MOVE WS-LITERAL-YES TO WS-0170-ISAM-FILE-EXISTS-FLG
           END-IF

           MOVE WS-LITERAL-NO TO WS-0170-ISAM-INDEX-EXISTS-FLG
           INITIALIZE WS-0575-INPUT
           MOVE '/tmp/97ADMWF.ISM.idx'
             TO WS-0575-INPUT-FILE-NAME
           PERFORM 0575-TEST-FILE-NAME
              THRU 0575-TEST-FILE-NAME-EXIT
           IF FILE-EXISTS-0575
              MOVE WS-LITERAL-YES TO WS-0170-ISAM-INDEX-EXISTS-FLG
           END-IF

      ************************************************
      *    COPY ADMWF FILES IF NECESSARY             *
      ************************************************
           IF WS-0170-ISAM-FILE-EXISTS-FLG <> WS-LITERAL-YES OR
              WS-0170-ISAM-INDEX-EXISTS-FLG <> WS-LITERAL-YES
              INITIALIZE WS-0590-INPUT
              MOVE 'ISAM/97ADMWF.ISM' TO WS-0590-SRC-FILE-NAME
              MOVE '/tmp/97ADMWF.ISM' TO WS-0590-DEST-FILE-NAME
              PERFORM 0590-COPY-FILE
                 THRU 0590-COPY-FILE-EXIT
              IF NOT COPY-SUCCESS-0590
                 MOVE 0170 TO WS-8020-PARAGRAPH-NO
                 MOVE 90054 TO WS-8020-INT-ERROR-NO
                 MOVE '97ADMWF.ISM' TO WS-8020-FIELD-NAME
                 MOVE 'COPY FAILED' TO WS-8020-BAD-DATA
                 MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
                 PERFORM 8020-RECORD-INT-ERROR
                    THRU 8020-RECORD-INT-ERROR-EXIT
              END-IF
              INITIALIZE WS-0590-INPUT
              MOVE 'ISAM/97ADMWF.ISM.idx' TO WS-0590-SRC-FILE-NAME
              MOVE '/tmp/97ADMWF.ISM.idx' TO WS-0590-DEST-FILE-NAME
              PERFORM 0590-COPY-FILE
                 THRU 0590-COPY-FILE-EXIT
              IF NOT COPY-SUCCESS-0590
                 MOVE 0170 TO WS-8020-PARAGRAPH-NO
                 MOVE 90054 TO WS-8020-INT-ERROR-NO
                 MOVE '97ADMWF.ISM.idx' TO WS-8020-FIELD-NAME
                 MOVE 'COPY FAILED' TO WS-8020-BAD-DATA
                 MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
                 PERFORM 8020-RECORD-INT-ERROR
                    THRU 8020-RECORD-INT-ERROR-EXIT
              END-IF
           END-IF


      ************************************************
      *    SEE IF ADMY FILES EXIST ON /tmp           *
      ************************************************
           MOVE WS-LITERAL-NO TO WS-0170-ISAM-FILE-EXISTS-FLG
           INITIALIZE WS-0575-INPUT
           MOVE '/tmp/97ADMY.ISM'
             TO WS-0575-INPUT-FILE-NAME
           PERFORM 0575-TEST-FILE-NAME
              THRU 0575-TEST-FILE-NAME-EXIT
           IF FILE-EXISTS-0575
              MOVE WS-LITERAL-YES TO WS-0170-ISAM-FILE-EXISTS-FLG
           END-IF

           MOVE WS-LITERAL-NO TO WS-0170-ISAM-INDEX-EXISTS-FLG
           INITIALIZE WS-0575-INPUT
           MOVE '/tmp/97ADMY.ISM.idx'
             TO WS-0575-INPUT-FILE-NAME
           PERFORM 0575-TEST-FILE-NAME
              THRU 0575-TEST-FILE-NAME-EXIT
           IF FILE-EXISTS-0575
              MOVE WS-LITERAL-YES TO WS-0170-ISAM-INDEX-EXISTS-FLG
           END-IF

      ************************************************
      *    COPY ADMY FILES IF NECESSARY             *
      ************************************************
           IF WS-0170-ISAM-FILE-EXISTS-FLG <> WS-LITERAL-YES OR
              WS-0170-ISAM-INDEX-EXISTS-FLG <> WS-LITERAL-YES
              INITIALIZE WS-0590-INPUT
              MOVE 'ISAM/97ADMY.ISM' TO WS-0590-SRC-FILE-NAME
              MOVE '/tmp/97ADMY.ISM' TO WS-0590-DEST-FILE-NAME
              PERFORM 0590-COPY-FILE
                 THRU 0590-COPY-FILE-EXIT
              IF NOT COPY-SUCCESS-0590
                 MOVE 0170 TO WS-8020-PARAGRAPH-NO
                 MOVE 90054 TO WS-8020-INT-ERROR-NO
                 MOVE '97ADMY.ISM' TO WS-8020-FIELD-NAME
                 MOVE 'COPY FAILED' TO WS-8020-BAD-DATA
                 MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
                 PERFORM 8020-RECORD-INT-ERROR
                    THRU 8020-RECORD-INT-ERROR-EXIT
              END-IF
              INITIALIZE WS-0590-INPUT
              MOVE 'ISAM/97ADMY.ISM.idx' TO WS-0590-SRC-FILE-NAME
              MOVE '/tmp/97ADMY.ISM.idx' TO WS-0590-DEST-FILE-NAME
              PERFORM 0590-COPY-FILE
                 THRU 0590-COPY-FILE-EXIT
              IF NOT COPY-SUCCESS-0590
                 MOVE 0170 TO WS-8020-PARAGRAPH-NO
                 MOVE 90054 TO WS-8020-INT-ERROR-NO
                 MOVE '97ADMY.ISM.idx' TO WS-8020-FIELD-NAME
                 MOVE 'COPY FAILED' TO WS-8020-BAD-DATA
                 MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
                 PERFORM 8020-RECORD-INT-ERROR
                    THRU 8020-RECORD-INT-ERROR-EXIT
              END-IF
           END-IF

      *==============================================================*
      *                  UPDATABLE ISAM FILES                        *
      *     MUST BE COPIED BACK TO ISAM DIRECTORY UPON SUCCESSFUL    *
      *     COMPLETION.                                              *
      *==============================================================*

      ************************************************
      *    SEE IF T11 FILES EXIST                    *
      ************************************************
           MOVE WS-LITERAL-NO TO WS-0170-ISAM-FILE-EXISTS-FLG
           INITIALIZE WS-0575-INPUT
           MOVE WS-0004-OUT-T11-FILE-NAME
             TO WS-0575-INPUT-FILE-NAME
           PERFORM 0575-TEST-FILE-NAME
              THRU 0575-TEST-FILE-NAME-EXIT
           IF FILE-EXISTS-0575
              MOVE WS-LITERAL-YES TO WS-0170-ISAM-FILE-EXISTS-FLG
           END-IF

      *    *** IN MDAS MODE, DON'T OVERWRITE IF THE FILE IS
      *    *** ALREADY THERE
           IF WS-0004-MULTI-PROCESSOR-SW = WS-LITERAL-YES
              INITIALIZE WS-0575-INPUT
              MOVE WS-0004-TEMP-T11-FILE-NAME
                TO WS-0575-INPUT-FILE-NAME
              PERFORM 0575-TEST-FILE-NAME
                 THRU 0575-TEST-FILE-NAME-EXIT
              IF FILE-EXISTS-0575
                 MOVE WS-LITERAL-NO TO WS-0170-ISAM-FILE-EXISTS-FLG
              END-IF
           END-IF

      ************************************************
      *    COPY T11 FILES                            *
      ************************************************
           IF WS-0170-ISAM-FILE-EXISTS-FLG <> WS-LITERAL-YES
              INITIALIZE WS-0590-INPUT
              MOVE WS-0004-OUT-T11-FILE-NAME
                TO WS-0590-SRC-FILE-NAME
              MOVE WS-0004-TEMP-T11-FILE-NAME
                TO WS-0590-DEST-FILE-NAME
              PERFORM 0590-COPY-FILE
                 THRU 0590-COPY-FILE-EXIT
              IF NOT COPY-SUCCESS-0590
                 MOVE 0170 TO WS-8020-PARAGRAPH-NO
                 MOVE 90054 TO WS-8020-INT-ERROR-NO
                 MOVE 'T11.ISM' TO WS-8020-FIELD-NAME
                 MOVE 'COPY FAILED' TO WS-8020-BAD-DATA
                 MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
                 PERFORM 8020-RECORD-INT-ERROR
                    THRU 8020-RECORD-INT-ERROR-EXIT
              END-IF
              INITIALIZE WS-0590-INPUT
              STRING WS-0004-OUT-T11-FILE-NAME
               DELIMITED BY SPACE
               '.idx'
               DELIMITED BY SIZE
               INTO WS-0590-SRC-FILE-NAME
              END-STRING
              STRING WS-0004-TEMP-T11-FILE-NAME
               DELIMITED BY SPACE
               '.idx'
               DELIMITED BY SIZE
               INTO WS-0590-DEST-FILE-NAME
              END-STRING
              PERFORM 0590-COPY-FILE
                 THRU 0590-COPY-FILE-EXIT
              IF NOT COPY-SUCCESS-0590
                 MOVE 0170 TO WS-8020-PARAGRAPH-NO
                 MOVE 90054 TO WS-8020-INT-ERROR-NO
                 MOVE 'T11.ISM.idx' TO WS-8020-FIELD-NAME
                 MOVE 'COPY FAILED' TO WS-8020-BAD-DATA
                 MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
                 PERFORM 8020-RECORD-INT-ERROR
                    THRU 8020-RECORD-INT-ERROR-EXIT
              END-IF
           END-IF


      ************************************************
      *    SEE IF T14 FILES EXIST                    *
      ************************************************
           MOVE WS-LITERAL-NO TO WS-0170-ISAM-FILE-EXISTS-FLG
           INITIALIZE WS-0575-INPUT
           MOVE WS-0004-OUT-T14-FILE-NAME
             TO WS-0575-INPUT-FILE-NAME
           PERFORM 0575-TEST-FILE-NAME
              THRU 0575-TEST-FILE-NAME-EXIT
           IF FILE-EXISTS-0575
              MOVE WS-LITERAL-YES TO WS-0170-ISAM-FILE-EXISTS-FLG
           END-IF

      *    *** IN MDAS MODE, DON'T OVERWRITE IF THE FILE IS
      *    *** ALREADY THERE
           IF WS-0004-MULTI-PROCESSOR-SW = WS-LITERAL-YES
              INITIALIZE WS-0575-INPUT
              MOVE WS-0004-TEMP-T14-FILE-NAME
                TO WS-0575-INPUT-FILE-NAME
              PERFORM 0575-TEST-FILE-NAME
                 THRU 0575-TEST-FILE-NAME-EXIT
              IF FILE-EXISTS-0575
                 MOVE WS-LITERAL-NO TO WS-0170-ISAM-FILE-EXISTS-FLG
              END-IF
           END-IF

      ************************************************
      *    COPY T14 FILES                            *
      ************************************************
           IF WS-0170-ISAM-FILE-EXISTS-FLG <> WS-LITERAL-YES
              INITIALIZE WS-0590-INPUT
              MOVE WS-0004-OUT-T14-FILE-NAME
                TO WS-0590-SRC-FILE-NAME
              MOVE WS-0004-TEMP-T14-FILE-NAME
                TO WS-0590-DEST-FILE-NAME
              PERFORM 0590-COPY-FILE
                 THRU 0590-COPY-FILE-EXIT
              IF NOT COPY-SUCCESS-0590
                 MOVE 0170 TO WS-8020-PARAGRAPH-NO
                 MOVE 90054 TO WS-8020-INT-ERROR-NO
                 MOVE 'T14.ISM' TO WS-8020-FIELD-NAME
                 MOVE 'COPY FAILED' TO WS-8020-BAD-DATA
                 MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
                 PERFORM 8020-RECORD-INT-ERROR
                    THRU 8020-RECORD-INT-ERROR-EXIT
              END-IF
              INITIALIZE WS-0590-INPUT
              STRING WS-0004-OUT-T14-FILE-NAME
               DELIMITED BY SPACE
               '.idx'
               DELIMITED BY SIZE
               INTO WS-0590-SRC-FILE-NAME
              END-STRING
              STRING WS-0004-TEMP-T14-FILE-NAME
               DELIMITED BY SPACE
               '.idx'
               DELIMITED BY SIZE
               INTO WS-0590-DEST-FILE-NAME
              END-STRING
              PERFORM 0590-COPY-FILE
                 THRU 0590-COPY-FILE-EXIT
              IF NOT COPY-SUCCESS-0590
                 MOVE 0170 TO WS-8020-PARAGRAPH-NO
                 MOVE 90054 TO WS-8020-INT-ERROR-NO
                 MOVE 'T14.ISM.idx' TO WS-8020-FIELD-NAME
                 MOVE 'COPY FAILED' TO WS-8020-BAD-DATA
                 MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
                 PERFORM 8020-RECORD-INT-ERROR
                    THRU 8020-RECORD-INT-ERROR-EXIT
              END-IF
           END-IF


      ************************************************
      *    SEE IF T55 FILES EXIST                    *
      ************************************************
           MOVE WS-LITERAL-NO TO WS-0170-ISAM-FILE-EXISTS-FLG
           INITIALIZE WS-0575-INPUT
           MOVE WS-0004-OUT-T55-FILE-NAME
             TO WS-0575-INPUT-FILE-NAME
           PERFORM 0575-TEST-FILE-NAME
              THRU 0575-TEST-FILE-NAME-EXIT
           IF FILE-EXISTS-0575
              MOVE WS-LITERAL-YES TO WS-0170-ISAM-FILE-EXISTS-FLG
           END-IF

      *    *** IN MDAS MODE, DON'T OVERWRITE IF THE FILE IS
      *    *** ALREADY THERE
           IF WS-0004-MULTI-PROCESSOR-SW = WS-LITERAL-YES
              INITIALIZE WS-0575-INPUT
              MOVE WS-0004-TEMP-T55-FILE-NAME
                TO WS-0575-INPUT-FILE-NAME
              PERFORM 0575-TEST-FILE-NAME
                 THRU 0575-TEST-FILE-NAME-EXIT
              IF FILE-EXISTS-0575
                 MOVE WS-LITERAL-NO TO WS-0170-ISAM-FILE-EXISTS-FLG
              END-IF
           END-IF

      ************************************************
      *    COPY T55 FILES                            *
      ************************************************
           IF WS-0170-ISAM-FILE-EXISTS-FLG <> WS-LITERAL-YES
              INITIALIZE WS-0590-INPUT
              MOVE WS-0004-OUT-T55-FILE-NAME
                TO WS-0590-SRC-FILE-NAME
              MOVE WS-0004-TEMP-T55-FILE-NAME
                TO WS-0590-DEST-FILE-NAME
              PERFORM 0590-COPY-FILE
                 THRU 0590-COPY-FILE-EXIT
              IF NOT COPY-SUCCESS-0590
                 MOVE 0170 TO WS-8020-PARAGRAPH-NO
                 MOVE 90054 TO WS-8020-INT-ERROR-NO
                 MOVE 'T55.ISM' TO WS-8020-FIELD-NAME
                 MOVE 'COPY FAILED' TO WS-8020-BAD-DATA
                 MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
                 PERFORM 8020-RECORD-INT-ERROR
                    THRU 8020-RECORD-INT-ERROR-EXIT
              END-IF
              INITIALIZE WS-0590-INPUT
              STRING WS-0004-OUT-T55-FILE-NAME
               DELIMITED BY SPACE
               '.idx'
               DELIMITED BY SIZE
               INTO WS-0590-SRC-FILE-NAME
              END-STRING
              STRING WS-0004-TEMP-T55-FILE-NAME
               DELIMITED BY SPACE
               '.idx'
               DELIMITED BY SIZE
               INTO WS-0590-DEST-FILE-NAME
              END-STRING
              PERFORM 0590-COPY-FILE
                 THRU 0590-COPY-FILE-EXIT
              IF NOT COPY-SUCCESS-0590
                 MOVE 0170 TO WS-8020-PARAGRAPH-NO
                 MOVE 90054 TO WS-8020-INT-ERROR-NO
                 MOVE 'T55.ISM.idx' TO WS-8020-FIELD-NAME
                 MOVE 'COPY FAILED' TO WS-8020-BAD-DATA
                 MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
                 PERFORM 8020-RECORD-INT-ERROR
                    THRU 8020-RECORD-INT-ERROR-EXIT
              END-IF
           END-IF


      ************************************************
      *    SEE IF T56 FILES EXIST                    *
      ************************************************
           MOVE WS-LITERAL-NO TO WS-0170-ISAM-FILE-EXISTS-FLG
           INITIALIZE WS-0575-INPUT
           MOVE WS-0004-OUT-T56-FILE-NAME
             TO WS-0575-INPUT-FILE-NAME
           PERFORM 0575-TEST-FILE-NAME
              THRU 0575-TEST-FILE-NAME-EXIT
           IF FILE-EXISTS-0575
              MOVE WS-LITERAL-YES TO WS-0170-ISAM-FILE-EXISTS-FLG
           END-IF

      *    *** IN MDAS MODE, DON'T OVERWRITE IF THE FILE IS
      *    *** ALREADY THERE
           IF WS-0004-MULTI-PROCESSOR-SW = WS-LITERAL-YES
              INITIALIZE WS-0575-INPUT
              MOVE WS-0004-TEMP-T56-FILE-NAME
                TO WS-0575-INPUT-FILE-NAME
              PERFORM 0575-TEST-FILE-NAME
                 THRU 0575-TEST-FILE-NAME-EXIT
              IF FILE-EXISTS-0575
                 MOVE WS-LITERAL-NO TO WS-0170-ISAM-FILE-EXISTS-FLG
              END-IF
           END-IF

      ************************************************
      *    COPY T56 FILES                            *
      ************************************************
           IF WS-0170-ISAM-FILE-EXISTS-FLG <> WS-LITERAL-YES
              INITIALIZE WS-0590-INPUT
              MOVE WS-0004-OUT-T56-FILE-NAME
                TO WS-0590-SRC-FILE-NAME
              MOVE WS-0004-TEMP-T56-FILE-NAME
                TO WS-0590-DEST-FILE-NAME
              PERFORM 0590-COPY-FILE
                 THRU 0590-COPY-FILE-EXIT
              IF NOT COPY-SUCCESS-0590
                 MOVE 0170 TO WS-8020-PARAGRAPH-NO
                 MOVE 90054 TO WS-8020-INT-ERROR-NO
                 MOVE 'T56.ISM' TO WS-8020-FIELD-NAME
                 MOVE 'COPY FAILED' TO WS-8020-BAD-DATA
                 MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
                 PERFORM 8020-RECORD-INT-ERROR
                    THRU 8020-RECORD-INT-ERROR-EXIT
              END-IF
              INITIALIZE WS-0590-INPUT
              STRING WS-0004-OUT-T56-FILE-NAME
               DELIMITED BY SPACE
               '.idx'
               DELIMITED BY SIZE
               INTO WS-0590-SRC-FILE-NAME
              END-STRING
              STRING WS-0004-TEMP-T56-FILE-NAME
               DELIMITED BY SPACE
               '.idx'
               DELIMITED BY SIZE
               INTO WS-0590-DEST-FILE-NAME
              END-STRING
              PERFORM 0590-COPY-FILE
                 THRU 0590-COPY-FILE-EXIT
              IF NOT COPY-SUCCESS-0590
                 MOVE 0170 TO WS-8020-PARAGRAPH-NO
                 MOVE 90054 TO WS-8020-INT-ERROR-NO
                 MOVE 'T56.ISM.idx' TO WS-8020-FIELD-NAME
                 MOVE 'COPY FAILED' TO WS-8020-BAD-DATA
                 MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
                 PERFORM 8020-RECORD-INT-ERROR
                    THRU 8020-RECORD-INT-ERROR-EXIT
              END-IF
           END-IF

      ************************************************
      *    SEE IF POLICY STATS FILES EXIST           *
      ************************************************
           MOVE WS-LITERAL-NO TO WS-0170-ISAM-FILE-EXISTS-FLG
           INITIALIZE WS-0575-INPUT
           MOVE WS-0004-OUT-PSTATS-FILE-NAME
             TO WS-0575-INPUT-FILE-NAME
           PERFORM 0575-TEST-FILE-NAME
              THRU 0575-TEST-FILE-NAME-EXIT
           IF FILE-EXISTS-0575
              MOVE WS-LITERAL-YES TO WS-0170-ISAM-FILE-EXISTS-FLG
           END-IF

      *    *** IN MDAS MODE, DON'T OVERWRITE IF THE FILE IS
      *    *** ALREADY THERE
           IF WS-0004-MULTI-PROCESSOR-SW = WS-LITERAL-YES
              INITIALIZE WS-0575-INPUT
              MOVE WS-0004-TEMP-PSTATS-FILE-NAME
                TO WS-0575-INPUT-FILE-NAME
              PERFORM 0575-TEST-FILE-NAME
                 THRU 0575-TEST-FILE-NAME-EXIT
              IF FILE-EXISTS-0575
                 MOVE WS-LITERAL-NO TO WS-0170-ISAM-FILE-EXISTS-FLG
              END-IF
           END-IF

      ************************************************
      *    COPY POLICY STATS FILES                   *
      ************************************************
           IF WS-0170-ISAM-FILE-EXISTS-FLG <> WS-LITERAL-YES
              INITIALIZE WS-0590-INPUT
              MOVE WS-0004-OUT-PSTATS-FILE-NAME
                TO WS-0590-SRC-FILE-NAME
              MOVE WS-0004-TEMP-PSTATS-FILE-NAME
                TO WS-0590-DEST-FILE-NAME
              PERFORM 0590-COPY-FILE
                 THRU 0590-COPY-FILE-EXIT
              IF NOT COPY-SUCCESS-0590
                 MOVE 0170 TO WS-8020-PARAGRAPH-NO
                 MOVE 90054 TO WS-8020-INT-ERROR-NO
                 MOVE 'PSTATS.ISM' TO WS-8020-FIELD-NAME
                 MOVE 'COPY FAILED' TO WS-8020-BAD-DATA
                 MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
                 PERFORM 8020-RECORD-INT-ERROR
                    THRU 8020-RECORD-INT-ERROR-EXIT
              END-IF
              INITIALIZE WS-0590-INPUT
              STRING WS-0004-OUT-PSTATS-FILE-NAME
               DELIMITED BY SPACE
               '.idx'
               DELIMITED BY SIZE
               INTO WS-0590-SRC-FILE-NAME
              END-STRING
              STRING WS-0004-TEMP-PSTATS-FILE-NAME
               DELIMITED BY SPACE
               '.idx'
               DELIMITED BY SIZE
               INTO WS-0590-DEST-FILE-NAME
              END-STRING
              PERFORM 0590-COPY-FILE
                 THRU 0590-COPY-FILE-EXIT
              IF NOT COPY-SUCCESS-0590
                 MOVE 0170 TO WS-8020-PARAGRAPH-NO
                 MOVE 90054 TO WS-8020-INT-ERROR-NO
                 MOVE 'PSTATS.ISM.idx' TO WS-8020-FIELD-NAME
                 MOVE 'COPY FAILED' TO WS-8020-BAD-DATA
                 MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
                 PERFORM 8020-RECORD-INT-ERROR
                    THRU 8020-RECORD-INT-ERROR-EXIT
              END-IF
           END-IF.



       0170-MOVE-FILES-TO-TMP-EXIT.
           EXIT.


