      ***************************************************************
      * File:      M7005.CBL                                        *
      * Author:    Mike Ray and Cheryl D. Wood                      *
      * Date:      8/25/95                                          *
      * Purpose:                                                    *
      *    Adds a single SBI record (Type 10 002+) to the SBI table *
      *    if the record exists, the new record replaces it and the *
      *    indicator is set to indicate where the record came from. *
      ***************************************************************

       7005-ADD-SBI-RECORD.

      $IF DEBUG-SW DEFINED
           DISPLAY '7005-ADDING SBI RECORD'
           UPON CONSOLE
      $END

      ****************************************************************
      *   DISPLAY RECORD BEING ADDED                                 *
      ****************************************************************
      $IF DEBUG-SW DEFINED
           PERFORM 7005-DISPLAY-RECORD
              THRU 7005-DISPLAY-RECORD-EXIT
      $END

      ****************************************************************
      *  Check to make sure that the transaction sequence number     *
      *  is passed and that the other control flags are set.         *
      ****************************************************************

           IF WS-7005-TRAN-SEQ-NO IS NOT NUMERIC
              MOVE 7005 TO WS-8020-PARAGRAPH-NO
              MOVE 90001 TO WS-8020-INT-ERROR-NO
              MOVE 'WS-7005-TRAN-SEQ-NO' TO WS-8020-FIELD-NAME
              MOVE WS-7005-TRAN-SEQ-NO TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-7005-TRAN-SEQ-NO IS NOT NUMERIC
              MOVE 7005 TO WS-8020-PARAGRAPH-NO
              MOVE 90003 TO WS-8020-INT-ERROR-NO
              MOVE 'WS-7005-TRAN-SEQ-NO' TO WS-8020-FIELD-NAME
              MOVE WS-7005-TRAN-SEQ-NO TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-7005-TRAN-SOURCE-FLAG = SPACES
              MOVE 7005 TO WS-8020-PARAGRAPH-NO
              MOVE 90003 TO WS-8020-INT-ERROR-NO
              MOVE 'WS-7005-TRAN-SOURCE-FLAG' TO WS-8020-FIELD-NAME
              MOVE WS-7005-TRAN-SOURCE-FLAG TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-7005-FCIC-CONTROL-TIME IS NOT NUMERIC
              MOVE 7005 TO WS-8020-PARAGRAPH-NO
              MOVE 90001 TO WS-8020-INT-ERROR-NO
              MOVE 'WS-7005-FCIC-CONTROL-TIME' TO WS-8020-FIELD-NAME
              MOVE WS-7005-FCIC-CONTROL-TIME TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-7005-FCIC-CONTROL-TIME = ZEROS
              MOVE 7005 TO WS-8020-PARAGRAPH-NO
              MOVE 90003 TO WS-8020-INT-ERROR-NO
              MOVE 'WS-7005-FCIC-CONTROL-TIME' TO WS-8020-FIELD-NAME
              MOVE WS-7005-FCIC-CONTROL-TIME TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-7005-FCIC-CONTROL-DATE IS NOT NUMERIC
              MOVE 7005 TO WS-8020-PARAGRAPH-NO
              MOVE 90001 TO WS-8020-INT-ERROR-NO
              MOVE 'WS-7005-FCIC-CONTROL-DATE' TO WS-8020-FIELD-NAME
              MOVE WS-7005-FCIC-CONTROL-DATE TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-7005-FCIC-CONTROL-DATE = ZEROS
              MOVE 7005 TO WS-8020-PARAGRAPH-NO
              MOVE 90003 TO WS-8020-INT-ERROR-NO
              MOVE 'WS-7005-FCIC-CONTROL-DATE' TO WS-8020-FIELD-NAME
              MOVE WS-7005-FCIC-CONTROL-DATE TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-7005-BATCH-NO IS NOT NUMERIC
              MOVE 7005 TO WS-8020-PARAGRAPH-NO
              MOVE 90001 TO WS-8020-INT-ERROR-NO
              MOVE 'WS-7005-BATCH-NO' TO WS-8020-FIELD-NAME
              MOVE WS-7005-BATCH-NO TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-7005-BATCH-NO = ZEROS
              MOVE 7005 TO WS-8020-PARAGRAPH-NO
              MOVE 90003 TO WS-8020-INT-ERROR-NO
              MOVE 'WS-7005-BATCH-NO' TO WS-8020-FIELD-NAME
              MOVE WS-7005-BATCH-NO TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

      ****************************************************************
      *  Do insertion logic                                          *
      ****************************************************************

           IF WS-0010-SBI-REC-COUNT = ZEROS
              SET WS-0010-SBI-INDEX TO 1
              PERFORM 7005-ADD-RECORD
                 THRU 7005-ADD-RECORD-EXIT
           ELSE
              PERFORM 7005-ADD-RECORD
                 THRU 7005-ADD-RECORD-EXIT
           END-IF


      ****************************************************************
      *  Initialize Input Fields                                     *
      ****************************************************************

           INITIALIZE WS-7005-TRAN-REJECTED-FLAG
           INITIALIZE WS-7005-TRAN-SOURCE-FLAG
           INITIALIZE WS-7005-TYPE-10.

       7005-ADD-SBI-RECORD-EXIT.
           EXIT.

      ****************************************************************
      *  THIS PARAGRAPH DOES A SEARCH OF THE RECORD TYPE 10 SBI      *
      *  RECORDS TABLE. WHEN A MATCH IS FOUND, THE TABLE IS UPDATED  *
      *  WITH THE NEW TRANSACTION RECORD CONTENTS.                   *
      ****************************************************************

       7005-SEARCH-SBI-TBL.

           SET WS-0010-SBI-INDEX TO 1

           SEARCH WS-0010-SBI-RECORD VARYING WS-0010-SBI-INDEX
                AT END
                    PERFORM 7005-ADD-RECORD
                       THRU 7005-ADD-RECORD-EXIT
                    GO TO 7005-SEARCH-SBI-TBL-EXIT
                WHEN (WS-0010-TBL-POLICY-NO (WS-0010-SBI-INDEX)
                     IS EQUAL WS-7005-POLICY-NO)
                 AND (WS-0010-TBL-ENTITY-TYPE (WS-0010-SBI-INDEX)
                     IS EQUAL WS-7005-ENTITY-TYPE)
                 AND (WS-0010-TBL-ID-TYPE (WS-0010-SBI-INDEX)
                     IS EQUAL WS-7005-ID-TYPE)
                 AND (WS-0010-TBL-ID-NUM (WS-0010-SBI-INDEX)
                     IS EQUAL WS-7005-ID-NUM)

      $IF DEBUG-SW DEFINED
           DISPLAY 'SBI RECORD REPLACED' UPON CONSOLE
      $END
                     MOVE WS-7005-TRAN-REJECTED-FLAG
                       TO WS-0010-TBL-TRAN-REJECTED-FLAG
                          (WS-0010-SBI-INDEX)
                     MOVE WS-7005-TRAN-SOURCE-FLAG
                       TO WS-0010-TBL-TRAN-SOURCE-FLAG
                          (WS-0010-SBI-INDEX)
                     MOVE WS-7005-TYPE-10
                       TO WS-0010-TBL-TYPE-10 (WS-0010-SBI-INDEX)
           END-SEARCH.

       7005-SEARCH-SBI-TBL-EXIT.
           EXIT.

      ****************************************************************
      *  THIS PARAGRAPH TEST THE TABLE SIZE LIMIT BEFORE ADDING AN   *
      *  ADDITIONAL RECORD. WHEN THE MAXIMUM TABLE SIZE IS REACHED,  *
      *  MESSAGES ARE DISPLAYED AND EXECUTION IS TERMINATED -        *
      *  OTHERWISE THE NEW TRANSACTION RECORD IS ADDED TO THE TABLE. *
      ****************************************************************

       7005-ADD-RECORD.

           IF WS-0010-SBI-REC-COUNT >= WS-0010-MAX-SIZE
              DISPLAY 'REC TYPE 10 SBI TABLE LIMIT WILL BE EXCEEDED'
              UPON CONSOLE
              DISPLAY ' WITH THE ADDITION OF THIS RECORD'
              UPON CONSOLE
              DISPLAY '**********************************'
              UPON CONSOLE
              DISPLAY 'MAXIMUM TABLE SIZE IS ' WS-0010-MAX-SIZE
                      ' RECORDS' UPON CONSOLE
              PERFORM 0800-ABORT-PROGRAM
                 THRU 0800-ABORT-PROGRAM-EXIT
           ELSE
              ADD 1 TO WS-0010-SBI-REC-COUNT
              SET WS-0010-SBI-INDEX TO WS-0010-SBI-REC-COUNT
              MOVE WS-7005-TRAN-REJECTED-FLAG TO
              WS-0010-TBL-TRAN-REJECTED-FLAG (WS-0010-SBI-INDEX)
              MOVE WS-7005-TRAN-SOURCE-FLAG TO
              WS-0010-TBL-TRAN-SOURCE-FLAG (WS-0010-SBI-INDEX)
              MOVE WS-7005-TYPE-10 TO
              WS-0010-TBL-TYPE-10 (WS-0010-SBI-INDEX)

      *            UPDATE TABLE STATISTICS
              IF WS-0010-SBI-REC-COUNT > WS-0008-SBI-MAX-TABLE-SIZE
                 MOVE WS-0010-SBI-REC-COUNT
                   TO WS-0008-SBI-MAX-TABLE-SIZE
              END-IF
           END-IF.

       7005-ADD-RECORD-EXIT.
           EXIT.

      $IF DEBUG-SW DEFINED

       7005-DISPLAY-RECORD.

           DISPLAY '7005-TYPE 10 RECORD BEING ADDED TO THE SBI TABLE'
           UPON CONSOLE
           DISPLAY 'RECORD TYPE        : ',
           WS-7005-RECORD-TYPE UPON CONSOLE
           DISPLAY 'REPORTING ORG      : ',
           WS-7005-REPORTING-ORG UPON CONSOLE
           DISPLAY 'LOCATION STATE     : ',
           WS-7005-LOC-STATE UPON CONSOLE
           DISPLAY 'COMPANY            : ',
           WS-7005-COMPANY UPON CONSOLE
           DISPLAY 'POLICY NUMBER      : ',
           WS-7005-POLICY-NUM UPON CONSOLE
           DISPLAY 'CROP YEAR          : ',
           WS-7005-CROP-YEAR UPON CONSOLE
           DISPLAY '--------------------------------'
           UPON CONSOLE
           DISPLAY 'KEY RESERVE        : ',
           WS-7005-KEY-RESERVE UPON CONSOLE
           DISPLAY 'RECORD NUMBER      : ',
           WS-7005-RECORD-NUM UPON CONSOLE
           DISPLAY 'BRANCH OFFICE      : ',
           WS-7005-BRNCH-OFF-STATE-CD UPON CONSOLE
           DISPLAY 'ID TYPE            : ',
           WS-7005-ID-TYPE UPON CONSOLE
           DISPLAY 'ID NUMBER          : ',
           WS-7005-ID-NUM UPON CONSOLE
           DISPLAY 'ENTITY TYPE        : ',
           WS-7005-ENTITY-TYPE UPON CONSOLE
           DISPLAY 'LAST NAME          : ',
           WS-7005-PROD-LST-NAME UPON CONSOLE
           DISPLAY 'FIRST NAME         : ',
           WS-7005-PROD-FRST-NAME UPON CONSOLE
           DISPLAY 'MIDDLE NAME        : ',
           WS-7005-PROD-MIDDLE-NAME UPON CONSOLE
           DISPLAY 'NAME SUFFIX        : ',
           WS-7005-PROD-NAME-SFX UPON CONSOLE
           DISPLAY 'TITLE              : ',
           WS-7005-PROD-TITLE UPON CONSOLE
           DISPLAY 'BUSINESS NAME      : ',
           WS-7005-BUSINESS-NAME UPON CONSOLE
           DISPLAY 'ADDRESS LINE 1     : ',
           WS-7005-ADDRESS-1 UPON CONSOLE
           DISPLAY 'ADDRESS LINE 2     : ',
           WS-7005-ADDRESS-2 UPON CONSOLE
           DISPLAY 'CITY               : ',
           WS-7005-CITY UPON CONSOLE
           DISPLAY 'STATE              : ',
           WS-7005-ADDRESS-STATE UPON CONSOLE
           DISPLAY 'ZIP CODE           : ',
           WS-7005-ZIP-CODE UPON CONSOLE
           DISPLAY 'ZIP EXTENSION      : ',
           WS-7005-ZIP-EXT UPON CONSOLE
           DISPLAY 'PHONE NUMBER       : ',
           WS-7005-PHONE-NUM UPON CONSOLE
           DISPLAY 'COMPANY EMPLOYEE   : ',
           WS-7005-CFSA-COMPANY-EMPL UPON CONSOLE
           DISPLAY '--------------------------------'
           UPON CONSOLE
           DISPLAY 'FILLER 1             : ',
           WS-7005-FILLER-1 UPON CONSOLE
           DISPLAY 'LOSS INDICATOR       : ',
           WS-7005-LOSS-INDICATOR UPON CONSOLE
           DISPLAY 'RM DATA RECEIPT DATE : ',
           WS-7005-RM-DATA-RECEIPT-DATE UPON CONSOLE
           DISPLAY 'FSA CONTROL DATE     : ',
           WS-7005-FSA-CONTROL-DATE UPON CONSOLE
           DISPLAY '--------------------------------'
           UPON CONSOLE
           DISPLAY 'FCIC CONTROL TIME    : ',
           WS-7005-FCIC-CONTROL-TIME UPON CONSOLE
           DISPLAY 'FCIC CONTROL DATE    : ',
           WS-7005-FCIC-CONTROL-DATE UPON CONSOLE
           DISPLAY 'REINSURANCE YEAR     : ',
           WS-7005-REINS-YR UPON CONSOLE
           DISPLAY 'BATCH NUMBER         : ',
           WS-7005-BATCH-NO UPON CONSOLE
           DISPLAY 'TRANS SEQUENCE NUM   : ',
           WS-7005-TRAN-SEQ-NO UPON CONSOLE
           DISPLAY 'TRANS REJECTED FLAG  : ',
           WS-7005-TRAN-REJECTED-FLAG UPON CONSOLE
           DISPLAY 'TRANS SOURCE FLAG    : ',
           WS-7005-TRAN-SOURCE-FLAG UPON CONSOLE
           DISPLAY 'MDAS PROCESS NUMBER  : ',
           WS-7005-MDAS-PROCESS-NO UPON CONSOLE
           DISPLAY 'FILLER 2             : ',
           WS-7005-FILLER-2 UPON CONSOLE.

       7005-DISPLAY-RECORD-EXIT.
           EXIT.

      $END
