      ***************************************************************
      * File:      M7015.CBL                                        *
      * Author:    Mike Ray and Cheryl D. Wood                      *
      * Date:      8/25/95                                          *
      * Purpose:                                                    *
      *    Adds a single T14 record to the T14 table.               *
      *    if the record exists, the new record replaces it and the *
      *    indicator is set to indicate where the record came from. *
      ***************************************************************

       7015-ADD-T14-RECORD.

      $IF DEBUG-SW DEFINED
           DISPLAY '7015-ADDING T14 RECORD'
           UPON CONSOLE
      $END

      ****************************************************************
      *   DISPLAY RECORD BEING ADDED                                 *
      ****************************************************************
      $IF DEBUG-SW DEFINED
           PERFORM 7015-DISPLAY-RECORD
              THRU 7015-DISPLAY-RECORD-EXIT
      $END

      ****************************************************************
      *  Check to make sure that the transaction sequence number     *
      *  is passed and that the other control flags are set.         *
      ****************************************************************

           IF WS-7015-TRAN-SEQ-NO IS NOT NUMERIC
              MOVE 7015 TO WS-8020-PARAGRAPH-NO
              MOVE 90001 TO WS-8020-INT-ERROR-NO
              MOVE 'WS-7015-TRAN-SEQ-NO' TO WS-8020-FIELD-NAME
              MOVE WS-7015-TRAN-SEQ-NO TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-7015-TRAN-SEQ-NO = ZEROS
              MOVE 7015 TO WS-8020-PARAGRAPH-NO
              MOVE 90003 TO WS-8020-INT-ERROR-NO
              MOVE 'WS-7015-TRAN-SEQ-NO' TO WS-8020-FIELD-NAME
              MOVE WS-7015-TRAN-SEQ-NO TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-7015-TRAN-SOURCE-FLAG = SPACES
              MOVE 7015 TO WS-8020-PARAGRAPH-NO
              MOVE 90003 TO WS-8020-INT-ERROR-NO
              MOVE 'WS-7015-TRAN-SOURCE-FLAG' TO WS-8020-FIELD-NAME
              MOVE WS-7015-TRAN-SOURCE-FLAG TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-7015-FCIC-CONTROL-TIME IS NOT NUMERIC
              MOVE 7015 TO WS-8020-PARAGRAPH-NO
              MOVE 90001 TO WS-8020-INT-ERROR-NO
              MOVE 'WS-7015-FCIC-CONTROL-TIME' TO WS-8020-FIELD-NAME
              MOVE WS-7015-FCIC-CONTROL-TIME TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-7015-FCIC-CONTROL-TIME = ZEROS
              MOVE 7015 TO WS-8020-PARAGRAPH-NO
              MOVE 90003 TO WS-8020-INT-ERROR-NO
              MOVE 'WS-7015-FCIC-CONTROL-TIME' TO WS-8020-FIELD-NAME
              MOVE WS-7015-FCIC-CONTROL-TIME TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-7015-FCIC-CONTROL-DATE IS NOT NUMERIC
              MOVE 7015 TO WS-8020-PARAGRAPH-NO
              MOVE 90001 TO WS-8020-INT-ERROR-NO
              MOVE 'WS-7015-FCIC-CONTROL-DATE' TO WS-8020-FIELD-NAME
              MOVE WS-7015-FCIC-CONTROL-DATE TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-7015-FCIC-CONTROL-DATE = ZEROS
              MOVE 7015 TO WS-8020-PARAGRAPH-NO
              MOVE 90003 TO WS-8020-INT-ERROR-NO
              MOVE 'WS-7015-FCIC-CONTROL-DATE' TO WS-8020-FIELD-NAME
              MOVE WS-7015-FCIC-CONTROL-DATE TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-7015-BATCH-NO IS NOT NUMERIC
              MOVE 7015 TO WS-8020-PARAGRAPH-NO
              MOVE 90001 TO WS-8020-INT-ERROR-NO
              MOVE 'WS-7015-BATCH-NO' TO WS-8020-FIELD-NAME
              MOVE WS-7015-BATCH-NO TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-7015-BATCH-NO = ZEROS
              MOVE 7015 TO WS-8020-PARAGRAPH-NO
              MOVE 90003 TO WS-8020-INT-ERROR-NO
              MOVE 'WS-7015-BATCH-NO' TO WS-8020-FIELD-NAME
              MOVE WS-7015-BATCH-NO TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

      ****************************************************************
      *  Initialize local working storage                            *
      ****************************************************************

           INITIALIZE WS-7015-MATCH-FOUND

      ****************************************************************
      *  Look up Crop Policy Type for each crop/type combination     *
      *  so that these values can be placed in the table.            *
      ****************************************************************

      $IF ISAM-SW DEFINED
           IF ERROR-RATE-STATE = WS-LITERAL-YES OR
              ERROR-CROP-CD = WS-LITERAL-YES OR
              ERROR-CROP-TYPE = WS-LITERAL-YES
      **    ** SKIP THE CROP POLICY TYPE LOOKUP
      **    ** GIVE THE RECORD A DEFAULT VALUE-9997-FOR CROP POLICY TYPE
              MOVE '9997' TO WS-7015-CROP-POLICY-TYPE
           ELSE
              INITIALIZE WS-0211-PARAMETERS
              MOVE WS-7015-RATE-STATE TO WS-0211-STATE
              MOVE WS-7015-CROP-CD TO WS-0211-CROP-CD
              IF WS-7015-TYPE-CD = SPACES
                 MOVE '997' TO WS-7015-TYPE-CD
              END-IF
              MOVE WS-7015-TYPE-CD TO WS-0211-CROP-TYPE
              MOVE SPACES TO WS-7015-CROP-POLICY-TYPE

              PERFORM 0211-LOOKUP-CROP-POL-TYPE
                 THRU 0211-LOOKUP-CROP-POL-TYPE-EXIT

              IF WS-0211-CROP-POLICY-TYPE = SPACES
                 MOVE '9997' TO WS-7015-CROP-POLICY-TYPE
              ELSE
                 MOVE WS-0211-CROP-POLICY-TYPE
                   TO WS-7015-CROP-POLICY-TYPE
              END-IF
           END-IF

      $END

      ****************************************************************
      *  Display information.                                        *
      ****************************************************************
      $IF DEBUG-SW DEFINED
           DISPLAY 'REJECTION FLAG = ', WS-7015-TRAN-REJECTED-FLAG
           UPON CONSOLE
      $END

      ****************************************************************
      *  Do insertion logic                                          *
      ****************************************************************


           IF WS-0014-T14-REC-COUNT = ZEROS
              ADD 1 TO WS-0014-T14-REC-COUNT
              ADD 1 TO WS-0014-T14-policy-REC-COUNT
              MOVE WS-0014-T14-REC-COUNT TO WS-0014-T14-INT-INDEX
              PERFORM 7015-ADD-RECORD
                 THRU 7015-ADD-RECORD-EXIT
           ELSE
      *       **** THERE IS CURRENTLY NO NEED FOR REPLACEMENT LOGIC
      *       **** THIS MAY BE NEEDED IF WE GO BACK TO ACCEPTING
      *       **** INCOMPLETE POLICIES.
      *       PERFORM 7015-SEARCH-TABLE
      *          THRU 7015-SEARCH-TABLE-EXIT
      *          WITH TEST AFTER
      *       VARYING WS-0014-T14-INT-INDEX FROM 1 BY 1
      *         UNTIL (WS-0014-T14-INT-INDEX = WS-0014-T14-REC-COUNT)
      *            OR (WS-7015-MATCH-FOUND = WS-LITERAL-YES)

              IF WS-7015-MATCH-FOUND = WS-LITERAL-YES
                 PERFORM 7015-UPDATE-RECORD
                    THRU 7015-UPDATE-RECORD-EXIT
              ELSE
                 IF WS-0014-T14-REC-COUNT < WS-0014-MAX-SIZE
                    ADD 1 TO WS-0014-T14-REC-COUNT
                    ADD 1 TO WS-0014-T14-policy-REC-COUNT
                    SET WS-0014-T14-INT-INDEX TO WS-0014-T14-REC-COUNT
                    PERFORM 7015-ADD-RECORD
                       THRU 7015-ADD-RECORD-EXIT
                 ELSE
                    DISPLAY 'REC TYPE 14 TABLE LIMIT WILL BE EXCEEDED'
                    UPON CONSOLE
                    DISPLAY ' WITH THE ADDITION OF THIS RECORD'
                    UPON CONSOLE
                    DISPLAY '**********************************'
                    UPON CONSOLE
                    DISPLAY 'MAXIMUM TABLE SIZE IS ' WS-0014-MAX-SIZE
                    ' RECORDS' UPON CONSOLE
                    PERFORM 0800-ABORT-PROGRAM
                       THRU 0800-ABORT-PROGRAM-EXIT
                 END-IF
              END-IF
           END-IF


      ****************************************************************
      *  Initialize Input Fields                                     *
      ****************************************************************

           INITIALIZE WS-7015-TRAN-REJECTED-FLAG
           INITIALIZE WS-7015-TRAN-SOURCE-FLAG
           INITIALIZE WS-7015-TYPE-14
           INITIALIZE WS-7015-CROP-POLICY-TYPE.

       7015-ADD-T14-RECORD-EXIT.
           EXIT.

      ****************************************************************
      *  THIS PARAGRAPH DOES A SEARCH OF THE RECORD TYPE 14          *
      *  RECORDS TABLE. WHEN A MATCH IS FOUND, THE TABLE IS UPDATED  *
      *  WITH THE NEW TRANSACTION RECORD CONTENTS.                   *
      ****************************************************************

       7015-SEARCH-TABLE.

           SET WS-0014-T14-INDEX TO WS-0014-T14-INT-INDEX
           IF (WS-0014-TBL-POLICY-NO(WS-0014-T14-INDEX)
               = WS-7015-POLICY-NO)
              AND (WS-0014-TBL-CROP-CD(WS-0014-T14-INDEX)
               = WS-7015-CROP-CD)
              AND (WS-0014-TBL-TYPE-CD(WS-0014-T14-INDEX)
               = WS-7015-TYPE-CD)
              AND (WS-0014-TBL-LOCATION-COUNTY(WS-0014-T14-INDEX)
               = WS-7015-LOCATION-COUNTY)
              AND (WS-0014-TBL-DUAL-COVERAGE-FLG(WS-0014-T14-INDEX)
               = WS-7015-DUAL-COVERAGE-FLG)
              AND (WS-0014-TBL-COVERAGE-FLG(WS-0014-T14-INDEX)
               = WS-7015-COVERAGE-FLG)
               MOVE WS-LITERAL-YES TO WS-7015-MATCH-FOUND
           END-IF.


       7015-SEARCH-TABLE-EXIT.
           EXIT.


       7015-UPDATE-RECORD.

           SET WS-0014-T14-INDEX TO WS-0014-T14-INT-INDEX
           MOVE WS-7015-TRAN-REJECTED-FLAG
             TO WS-0014-TBL-TRAN-REJECTED-FLAG(WS-0014-T14-INDEX)
           MOVE WS-7015-TRAN-SOURCE-FLAG
             TO WS-0014-TBL-TRAN-SOURCE-FL(WS-0014-T14-INDEX)
           MOVE WS-7015-CROP-POLICY-TYPE
             TO WS-0014-TBL-CROP-POLICY-TY(WS-0014-T14-INDEX)
           MOVE WS-7015-TYPE-14
             TO WS-0014-TBL-TYPE-14 (WS-0014-T14-INDEX).

       7015-UPDATE-RECORD-EXIT.
           EXIT.


       7015-ADD-RECORD.

           SET WS-0014-T14-INDEX TO WS-0014-T14-INT-INDEX
           MOVE WS-7015-TRAN-REJECTED-FLAG
             TO WS-0014-TBL-TRAN-REJECTED-FLAG (WS-0014-T14-INDEX)
           MOVE WS-7015-TRAN-SOURCE-FLAG
             TO WS-0014-TBL-TRAN-SOURCE-FL (WS-0014-T14-INDEX)
           MOVE WS-7015-CROP-POLICY-TYPE
             TO WS-0014-TBL-CROP-POLICY-TY(WS-0014-T14-INDEX)
           MOVE WS-7015-TYPE-14
             TO WS-0014-TBL-TYPE-14 (WS-0014-T14-INDEX)
      *    UPDATE TABLE STATISTICS
           IF WS-0014-T14-REC-COUNT > WS-0008-T14-MAX-TABLE-SIZE
              MOVE WS-0014-T14-REC-COUNT
                TO WS-0008-T14-MAX-TABLE-SIZE
           END-IF.

       7015-ADD-RECORD-EXIT.
           EXIT.


      $IF DEBUG-SW DEFINED

       7015-DISPLAY-RECORD.

           DISPLAY '7015-TYPE 14 RECORD BEING ADDED TO THE T14 TABLE'
           UPON CONSOLE
           DISPLAY 'RECORD TYPE        : ',
           WS-7015-RECORD-TYPE UPON CONSOLE
           DISPLAY 'REPORTING ORG      : ',
           WS-7015-REPORTING-ORG UPON CONSOLE
           DISPLAY 'LOCATION STATE     : ',
           WS-7015-LOC-STATE UPON CONSOLE
           DISPLAY 'COMPANY            : ',
           WS-7015-COMPANY-COUNTY UPON CONSOLE
           DISPLAY 'POLICY NUMBER      : ',
           WS-7015-POLICY-NUM UPON CONSOLE
           DISPLAY 'CROP YEAR          : ',
           WS-7015-CROP-YEAR UPON CONSOLE
           DISPLAY '--------------------------------'
           UPON CONSOLE
           DISPLAY 'CROP CODE          : ',
           WS-7015-CROP-CD UPON CONSOLE
           DISPLAY 'INSURANCE PLAN CD  : ',
           WS-7015-INSURANCE-PLAN-ID UPON CONSOLE
           DISPLAY 'LOCATION COUNTY    : ',
           WS-7015-LOCATION-COUNTY UPON CONSOLE
           DISPLAY 'FILLER 01 (05)       : ',
           WS-7015-FILLER-1 UPON CONSOLE
           DISPLAY 'TYPE CODE          : ',
           WS-7015-TYPE-CD UPON CONSOLE
           DISPLAY 'PRACTICE CODE      : ',
           WS-7015-RSERVD-PRACT-CODE UPON CONSOLE
           DISPLAY 'COVERAGE FLAG      : ',
           WS-7015-COVERAGE-FLG UPON CONSOLE
           DISPLAY '--------------------------------'
           UPON CONSOLE
           DISPLAY 'KEY RESERVE          : ',
           WS-7015-KEY-RESERVE UPON CONSOLE
           DISPLAY 'FILLER 02 (02)       : ',
           WS-7015-FILLER-2 UPON CONSOLE
           DISPLAY 'RECORD NUMBER        : ',
           WS-7015-RECORD-NUM UPON CONSOLE
           DISPLAY 'ASSIGNED RISK        : ',
           WS-7015-ASSIGNED-RISK UPON CONSOLE
           DISPLAY 'LATE PROCESSING FLAG : ',
           WS-7015-LATE-PROCESS-FLG UPON CONSOLE
           DISPLAY 'FEE PREPAYMENT FLAG  : ',
           WS-7015-PREPAYMENT-FLG UPON CONSOLE
           DISPLAY 'MAXIMUM FEE FLAG     : ',
           WS-7015-MAX-FEE-CAUSE UPON CONSOLE
           DISPLAY 'ADMIN FEE FLAG       : ',
           WS-7015-ADMIN-FEE-FL UPON CONSOLE
           DISPLAY 'REFUND/CANCEL FLAG   : ',
           WS-7015-REFND-CANCEL-FLG UPON CONSOLE
           DISPLAY 'RATE STATE           : ',
           WS-7015-RATE-STATE UPON CONSOLE
           DISPLAY 'RATE COUNTY          : ',
           WS-7015-RATE-COUNTY UPON CONSOLE
           DISPLAY 'DUAL COVERAGE FLAG   : ',
           WS-7015-DUAL-COVERAGE-FLG UPON CONSOLE
           DISPLAY 'EXPERIENCE INQUIRY   : ',
           WS-7015-EXPERIENCE-INQ UPON CONSOLE
           DISPLAY 'FILLER 03 (221)      : ',
           WS-7015-FILLER-3 UPON CONSOLE
           DISPLAY '--------------------------------'
           UPON CONSOLE
           DISPLAY '1996 CROP CODE       : ',
           WS-7015-1996-CROP-CODE UPON CONSOLE
           DISPLAY '1996 TYPE CODE       : ',
           WS-7015-1996-TYPE-CODE UPON CONSOLE
           DISPLAY 'RM DATA RECEIPT DATE : ',
           WS-7015-RM-DATA-RECEIPT-DATE UPON CONSOLE
           DISPLAY 'ORIGINAL SUB TIME    : ',
           WS-7015-ORIG-SUBMISSION-TIME UPON CONSOLE
           DISPLAY 'ORIGINAL SUB DATE    : ',
           WS-7015-ORIG-SUBMISSION-DATE UPON CONSOLE
           DISPLAY 'FSA CONTROL DATE     : ',
           WS-7015-FSA-CONTROL-DATE UPON CONSOLE
           DISPLAY '--------------------------------'
           UPON CONSOLE
           DISPLAY 'FCIC CONTROL TIME    : ',
           WS-7015-FCIC-CONTROL-TIME UPON CONSOLE
           DISPLAY 'FCIC CONTROL DATE    : ',
           WS-7015-FCIC-CONTROL-DATE UPON CONSOLE
           DISPLAY 'REINSURANCE YEAR     : ',
           WS-7015-REINS-YR UPON CONSOLE
           DISPLAY 'BATCH NUMBER         : ',
           WS-7015-BATCH-NO UPON CONSOLE
           DISPLAY 'TRANS SEQUENCE NUM   : ',
           WS-7015-TRAN-SEQ-NO UPON CONSOLE
           DISPLAY 'TRANS REJECTED FLAG  : ',
           WS-7015-TRAN-REJECTED-FLAG UPON CONSOLE
           DISPLAY 'TRANS SOURCE FLAG    : ',
           WS-7015-TRAN-SOURCE-FLAG UPON CONSOLE
           DISPLAY 'MDAS PROCESS NUMBER  : ',
           WS-7015-MDAS-PROCESS-NO UPON CONSOLE
           DISPLAY 'FILLER 4 (14)        : ',
           WS-7015-FILLER-4 UPON CONSOLE.


       7015-DISPLAY-RECORD-EXIT.
           EXIT.

      $END

