      ***************************************************************
      * FILE:      M7045.CBL                                        *
      * AUTHOR:    LAURA DITTAMO                                    *
      * DATE:      2/08/96                                          *
      * PURPOSE:                                                    *
      *    ADDS A SINGLE TYPE 14 ASSIGNED RISK RECORD TO THE        *
      *    ASSIGNED RISK TABLE.                                     *
      ***************************************************************

       7045-ADD-ASGD-RISK-RECORD.

      $IF DEBUG-SW DEFINED
           DISPLAY '7045-ADDING ASSIGNED RISK RECORD'
           UPON CONSOLE
      $END

      ****************************************************************
      *  CHECK TO MAKE SURE THAT THE TRANSACTION SEQUENCE NUMBER     *
      *  AND BATCH ID NUMBER HAVE BEEN PASSED.                       *
      ****************************************************************

           IF WS-7045-TRAN-REJECTED-FLAG = SPACES
              MOVE 7045 TO WS-8020-PARAGRAPH-NO
              MOVE 90003 TO WS-8020-INT-ERROR-NO
              MOVE 'WS-7045-TRAN-REJECTED-FLAG' TO WS-8020-FIELD-NAME
              MOVE WS-7045-TRAN-REJECTED-FLAG TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-7045-REPORTING-ORG = SPACES
              MOVE 7045 TO WS-8020-PARAGRAPH-NO
              MOVE 90003 TO WS-8020-INT-ERROR-NO
              MOVE 'WS-7045-REPORTING-ORG' TO WS-8020-FIELD-NAME
              MOVE WS-7045-REPORTING-ORG TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-7045-LOC-STATE IS NOT NUMERIC
              MOVE 7045 TO WS-8020-PARAGRAPH-NO
              MOVE 90001 TO WS-8020-INT-ERROR-NO
              MOVE 'WS-7045-LOC-STATE' TO WS-8020-FIELD-NAME
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-7045-LOC-STATE = ZEROS
              MOVE 7045 TO WS-8020-PARAGRAPH-NO
              MOVE 90003 TO WS-8020-INT-ERROR-NO
              MOVE 'WS-7045-LOC-STATE' TO WS-8020-FIELD-NAME
              MOVE WS-7045-LOC-STATE TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-7045-COMPANY-COUNTY IS NOT NUMERIC
              MOVE 7045 TO WS-8020-PARAGRAPH-NO
              MOVE 90001 TO WS-8020-INT-ERROR-NO
              MOVE 'WS-7045-COMPANY-COUNTY' TO WS-8020-FIELD-NAME
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-7045-COMPANY-COUNTY = ZEROS
              MOVE 7045 TO WS-8020-PARAGRAPH-NO
              MOVE 90003 TO WS-8020-INT-ERROR-NO
              MOVE 'WS-7045-COMPANY-COUNTY' TO WS-8020-FIELD-NAME
              MOVE WS-7045-COMPANY-COUNTY TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-7045-POLICY-NUM IS NOT NUMERIC
              MOVE 7045 TO WS-8020-PARAGRAPH-NO
              MOVE 90001 TO WS-8020-INT-ERROR-NO
              MOVE 'WS-7045-POLICY-NUM' TO WS-8020-FIELD-NAME
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-7045-POLICY-NUM = ZEROS
              MOVE 7045 TO WS-8020-PARAGRAPH-NO
              MOVE 90003 TO WS-8020-INT-ERROR-NO
              MOVE 'WS-7045-POLICY-NUM' TO WS-8020-FIELD-NAME
              MOVE WS-7045-POLICY-NUM TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-7045-CROP-YEAR IS NOT NUMERIC
              MOVE 7045 TO WS-8020-PARAGRAPH-NO
              MOVE 90001 TO WS-8020-INT-ERROR-NO
              MOVE 'WS-7045-CROP-YEAR' TO WS-8020-FIELD-NAME
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-7045-CROP-YEAR = ZEROS
              MOVE 7045 TO WS-8020-PARAGRAPH-NO
              MOVE 90003 TO WS-8020-INT-ERROR-NO
              MOVE 'WS-7045-CROP-YEAR' TO WS-8020-FIELD-NAME
              MOVE WS-7045-CROP-YEAR TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-7045-LOC-COUNTY IS NOT NUMERIC
              MOVE 7045 TO WS-8020-PARAGRAPH-NO
              MOVE 90001 TO WS-8020-INT-ERROR-NO
              MOVE WS-LITERAL-LOC-CNTY TO WS-8020-FIELD-NAME
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-7045-LOC-COUNTY = ZEROS
              MOVE 7045 TO WS-8020-PARAGRAPH-NO
              MOVE 90003 TO WS-8020-INT-ERROR-NO
              MOVE WS-LITERAL-LOC-CNTY TO WS-8020-FIELD-NAME
              MOVE WS-7045-LOC-COUNTY TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-7045-CROP-CD IS NOT NUMERIC
              MOVE 7045 TO WS-8020-PARAGRAPH-NO
              MOVE 90001 TO WS-8020-INT-ERROR-NO
              MOVE 'WS-7045-CROP-CD' TO WS-8020-FIELD-NAME
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-7045-CROP-CD = ZEROS
              MOVE 7045 TO WS-8020-PARAGRAPH-NO
              MOVE 90003 TO WS-8020-INT-ERROR-NO
              MOVE 'WS-7045-CROP-CD' TO WS-8020-FIELD-NAME
              MOVE WS-7045-CROP-CD TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-7045-CUTOFF-DATE IS NOT NUMERIC
              MOVE 7045 TO WS-8020-PARAGRAPH-NO
              MOVE 90001 TO WS-8020-INT-ERROR-NO
              MOVE 'WS-7045-CUTOFF-DATE' TO WS-8020-FIELD-NAME
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-7045-CUTOFF-DATE = ZEROS
              MOVE 7045 TO WS-8020-PARAGRAPH-NO
              MOVE 90003 TO WS-8020-INT-ERROR-NO
              MOVE 'WS-7045-CUTOFF-DATE' TO WS-8020-FIELD-NAME
              MOVE WS-7045-CUTOFF-DATE TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF


           IF WS-7045-DUAL-COVERAGE-FLAG IS NOT NUMERIC
              MOVE 7045 TO WS-8020-PARAGRAPH-NO
              MOVE 90001 TO WS-8020-INT-ERROR-NO
              MOVE 'WS-7045-DUAL-COVERAGE-FLAG' TO WS-8020-FIELD-NAME
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-7045-DUAL-COVERAGE-FLAG > 1
              MOVE 7045 TO WS-8020-PARAGRAPH-NO
              MOVE 90003 TO WS-8020-INT-ERROR-NO
              MOVE 'WS-7045-DUAL-COVERAGE-FLAG' TO WS-8020-FIELD-NAME
              MOVE WS-7045-DUAL-COVERAGE-FLAG TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-7045-ASSIGNED-RISK IS NOT NUMERIC
              MOVE 7045 TO WS-8020-PARAGRAPH-NO
              MOVE 90001 TO WS-8020-INT-ERROR-NO
              MOVE 'WS-7045-ASSIGNED-RISK' TO WS-8020-FIELD-NAME
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-7045-ASSIGNED-RISK > 2 and <> 4
              MOVE 7045 TO WS-8020-PARAGRAPH-NO
              MOVE 90003 TO WS-8020-INT-ERROR-NO
              MOVE 'WS-7045-ASSIGNED-RISK' TO WS-8020-FIELD-NAME
              MOVE WS-7045-ASSIGNED-RISK TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-7045-COVERAGE-FLAG = SPACES
              MOVE 7045 TO WS-8020-PARAGRAPH-NO
              MOVE 90003 TO WS-8020-INT-ERROR-NO
              MOVE 'WS-7045-COVERAGE-FLAG' TO WS-8020-FIELD-NAME
              MOVE WS-7045-COVERAGE-FLAG TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-7045-TRAN-SEQ-NUM = ZEROS
              MOVE 7045 TO WS-8020-PARAGRAPH-NO
              MOVE 90003 TO WS-8020-INT-ERROR-NO
              MOVE 'WS-7045-TRAN-SEQ-NUM' TO WS-8020-FIELD-NAME
              MOVE WS-7045-TRAN-SEQ-NUM TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-7045-FCIC-CONTROL-DATE IS NOT NUMERIC
              MOVE 7045 TO WS-8020-PARAGRAPH-NO
              MOVE 90001 TO WS-8020-INT-ERROR-NO
              MOVE 'WS-7045-FCIC-CONTROL-DATE' TO WS-8020-FIELD-NAME
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-7045-FCIC-CONTROL-DATE = ZEROS
              MOVE 7045 TO WS-8020-PARAGRAPH-NO
              MOVE 90003 TO WS-8020-INT-ERROR-NO
              MOVE 'WS-7045-FCIC-CONTROL-DATE' TO WS-8020-FIELD-NAME
              MOVE WS-7045-FCIC-CONTROL-DATE TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-7045-TRAN-SEQ-NUM IS NOT NUMERIC
              MOVE 7045 TO WS-8020-PARAGRAPH-NO
              MOVE 90001 TO WS-8020-INT-ERROR-NO
              MOVE 'WS-7045-TRAN-SEQ-NUM' TO WS-8020-FIELD-NAME
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-7045-TRAN-SEQ-NUM = ZEROS
              MOVE 7045 TO WS-8020-PARAGRAPH-NO
              MOVE 90003 TO WS-8020-INT-ERROR-NO
              MOVE 'WS-7045-TRAN-SEQ-NUM' TO WS-8020-FIELD-NAME
              MOVE WS-7045-TRAN-SEQ-NUM TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-7045-BATCH-ID-NUM IS NOT NUMERIC
              MOVE 7045 TO WS-8020-PARAGRAPH-NO
              MOVE 90001 TO WS-8020-INT-ERROR-NO
              MOVE 'WS-7045-BATCH-ID-NUM' TO WS-8020-FIELD-NAME
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-7045-BATCH-ID-NUM = ZEROS
              MOVE 7045 TO WS-8020-PARAGRAPH-NO
              MOVE 90003 TO WS-8020-INT-ERROR-NO
              MOVE 'WS-7045-BATCH-ID-NUM' TO WS-8020-FIELD-NAME
              MOVE WS-7045-BATCH-ID-NUM TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF


      ****************************************************************
      *  DO INSERTION LOGIC                                          *
      ****************************************************************
      $IF DEBUG-SW DEFINED
           DISPLAY 'WS-7014-ASGD-RISK-REC-COUNT: ',
           WS-7014-ASGD-RISK-REC-COUNT
           UPON CONSOLE
      $END

           IF WS-7014-ASGD-RISK-REC-COUNT = ZEROS
              ADD 1 TO WS-7014-ASGD-RISK-REC-COUNT
              SET WS-7014-ASGD-RISK-INDEX TO 1
              PERFORM 7045-ADD-RECORD
                 THRU 7045-ADD-RECORD-EXIT
           ELSE
              IF WS-7014-ASGD-RISK-REC-COUNT < WS-7014-MAX-SIZE
                 ADD 1 TO WS-7014-ASGD-RISK-REC-COUNT
                 SET WS-7014-ASGD-RISK-INDEX
                  TO WS-7014-ASGD-RISK-REC-COUNT
                 PERFORM 7045-ADD-RECORD
                    THRU 7045-ADD-RECORD-EXIT
              ELSE
                 DISPLAY 'REC ASSIGNED RISK TABLE LIMIT REACHED'
                 UPON CONSOLE
                 DISPLAY ' WITH THE ADDITION OF THIS RECORD'
                 UPON CONSOLE
                 DISPLAY '**********************************'
                 UPON CONSOLE
                 DISPLAY 'TABLE RECORD COUNT IS ',
                 WS-7014-ASGD-RISK-REC-COUNT
                 UPON CONSOLE
                 DISPLAY 'MAXIMUM TABLE SIZE IS ', WS-7014-MAX-SIZE
                 ' RECORDS' UPON CONSOLE
                 PERFORM 0800-ABORT-PROGRAM
                    THRU 0800-ABORT-PROGRAM-EXIT
              END-IF
           END-IF

      $IF DEBUG-SW DEFINED
           DISPLAY 'ASGD RISK(01)= ', WS-7014-ASGD-RISK-REC(1)
           UPON CONSOLE
           DISPLAY 'ASGD RISK(02)= ', WS-7014-ASGD-RISK-REC(2)
           UPON CONSOLE
           DISPLAY 'ASGD RISK(03)= ', WS-7014-ASGD-RISK-REC(3)
           UPON CONSOLE
           DISPLAY 'ASGD RISK(04)= ', WS-7014-ASGD-RISK-REC(4)
           UPON CONSOLE
           DISPLAY 'ASGD RISK(05)= ', WS-7014-ASGD-RISK-REC(5)
           UPON CONSOLE
      $END

      ****************************************************************
      *  INITIALIZE INPUT FIELDS                                     *
      ****************************************************************
           INITIALIZE WS-7045-TYPE-14.

       7045-ADD-ASGD-RISK-RECORD-EXIT.
           EXIT.


       7045-ADD-RECORD.

           MOVE WS-7045-TRAN-REJECTED-FLAG
             TO WS-7014-TRAN-REJECTED-FLAG (WS-7014-ASGD-RISK-INDEX)
           MOVE WS-7045-REPORTING-ORG
             TO WS-7014-REPORTING-ORG (WS-7014-ASGD-RISK-INDEX)
           MOVE WS-7045-LOC-STATE
             TO WS-7014-LOC-STATE (WS-7014-ASGD-RISK-INDEX)
           MOVE WS-7045-COMPANY-COUNTY
             TO WS-7014-COMPANY-COUNTY (WS-7014-ASGD-RISK-INDEX)
           MOVE WS-7045-POLICY-NUM
             TO WS-7014-POLICY-NUM (WS-7014-ASGD-RISK-INDEX)
           MOVE WS-7045-CROP-YEAR
             TO WS-7014-CROP-YEAR (WS-7014-ASGD-RISK-INDEX)
           MOVE WS-7045-LOC-COUNTY
             TO WS-7014-LOC-COUNTY(WS-7014-ASGD-RISK-INDEX)
           MOVE WS-7045-CROP-CD
             TO WS-7014-CROP-CD (WS-7014-ASGD-RISK-INDEX)
           MOVE WS-7045-INSURANCE-PLAN-ID
             TO WS-7014-INSURANCE-PLAN-ID (WS-7014-ASGD-RISK-INDEX)
           MOVE WS-7045-CROP-POLICY-TYPE
             TO WS-7014-CROP-POLICY-TYPE (WS-7014-ASGD-RISK-INDEX)
           MOVE WS-7045-CUTOFF-DATE
             TO WS-7014-CUTOFF-DATE (WS-7014-ASGD-RISK-INDEX)
           MOVE WS-7045-DUAL-COVERAGE-FLAG
             TO WS-7014-DUAL-COVERAGE-FLAG (WS-7014-ASGD-RISK-INDEX)
           MOVE WS-7045-ASSIGNED-RISK
             TO WS-7014-ASSIGNED-RISK (WS-7014-ASGD-RISK-INDEX)
           MOVE WS-7045-COVERAGE-FLAG
             TO WS-7014-COVERAGE-FLAG (WS-7014-ASGD-RISK-INDEX)
           MOVE WS-7045-FCIC-CONTROL-DATE
             TO WS-7014-FCIC-CONTROL-DATE (WS-7014-ASGD-RISK-INDEX)
           MOVE WS-7045-FCIC-PROC-TIME
             TO WS-7014-FCIC-PROC-TIME (WS-7014-ASGD-RISK-INDEX)
           MOVE WS-7045-BATCH-ID-NUM
             TO WS-7014-BATCH-ID-NUM (WS-7014-ASGD-RISK-INDEX)
           MOVE WS-7045-TRAN-SEQ-NUM
             TO WS-7014-TRAN-SEQ-NUM (WS-7014-ASGD-RISK-INDEX)

      $IF DEBUG-SW DEFINED
           DISPLAY 'REPORTING ORG    : ',
             WS-7045-REPORTING-ORG UPON CONSOLE
           DISPLAY 'LOCATION STATE   : ',
             WS-7045-LOC-STATE UPON CONSOLE
           DISPLAY 'COMPANY/COUNTY   : ',
             WS-7045-COMPANY-COUNTY UPON CONSOLE
           DISPLAY 'POLICY NUMBER    : ',
             WS-7045-POLICY-NUM UPON CONSOLE
           DISPLAY 'CROP YEAR        : ',
             WS-7045-CROP-YEAR UPON CONSOLE
           DISPLAY 'LOCATION COUNTY  : ',
             WS-7045-LOC-COUNTY UPON CONSOLE
           DISPLAY 'CROP CODE        : ',
             WS-7045-CROP-CD UPON CONSOLE
           DISPLAY 'INSURANCE PLAN   : ',
             WS-7045-INSURANCE-PLAN-ID UPON CONSOLE
           DISPLAY 'CROP POLICY TYPE : ',
             WS-7045-CROP-POLICY-TYPE UPON CONSOLE
           DISPLAY 'DUAL CVG FLG     : ',
             WS-7045-DUAL-COVERAGE-FLAG UPON CONSOLE
           DISPLAY '---------------------------'
             UPON CONSOLE
           DISPLAY 'CUTOFF DATE           : ',
             WS-7045-CUTOFF-DATE UPON CONSOLE
           DISPLAY 'ASSIGNED RISK         : ',
             WS-7045-ASSIGNED-RISK UPON CONSOLE
           DISPLAY 'COVERAGE FLAG         : ',
             WS-7045-COVERAGE-FLAG UPON CONSOLE
           DISPLAY 'FCIC-CONTROL-DATE     : ',
             WS-7045-FCIC-CONTROL-DATE UPON CONSOLE
           DISPLAY 'BATCH ID NUMBER       : ',
             WS-7045-BATCH-ID-NUM UPON CONSOLE
           DISPLAY 'TRANS SEQ NUM         : ',
             WS-7045-TRAN-SEQ-NUM UPON CONSOLE
           DISPLAY ' ' UPON CONSOLE.

      $END
      *    UPDATE TABLE STATISTICS
           IF WS-7014-ASGD-RISK-REC-COUNT >
              WS-0008-ASGD-RISK-MAX-TBL-SIZE
              MOVE WS-7014-ASGD-RISK-REC-COUNT
                TO WS-0008-ASGD-RISK-MAX-TBL-SIZE
           END-IF.

       7045-ADD-RECORD-EXIT.
           EXIT.

