      ***************************************************************
      * File:      M7099.CBL                                        *
      * Author:    Mike Ray                                         *
      * Date:      10/13/95                                         *
      * Purpose:                                                    *
      *    Adds a single policy transaction record to the held      *
      *    policy buffer table. Moves the transaction directly from *
      *    the WS-0940-HOLD-REC area to facilitate easy redirection *
      *    to a file when the buffer is full.  This routine will be *
      *    called by the 30xx validate policy table modules.        *
      ***************************************************************

       7099-BUFFER-POLICY-RECORD.

      $IF DEBUG-SW DEFINED
           DISPLAY '7099-ADDING T99 HELD POLICY RECORD'
           UPON CONSOLE
      $END

           IF WS-0099-T99-REC-COUNT < WS-0099-MAX-SIZE
              ADD 1 TO WS-0099-T99-REC-COUNT
              SET WS-0099-T99-INDEX TO WS-0099-T99-REC-COUNT
              MOVE WS-0940-HOLD-REC TO WS-0099-T99-RECORD
                                           (WS-0099-T99-INDEX)

      *       UPDATE TABLE STATISTICS
              IF WS-0099-T99-REC-COUNT > WS-0008-T99-MAX-TABLE-SIZE
                 MOVE WS-0099-T99-REC-COUNT
                   TO WS-0008-T99-MAX-TABLE-SIZE
              END-IF

      $IF DEBUG-SW DEFINED
              DISPLAY 'ADDED TRAN # ', WS-T99-TRAN-SEQ-NO
              (WS-0099-T99-INDEX), ' TO THE HELD POLICY BUFFER TABLE'
              UPON CONSOLE
              DISPLAY 'REJECTION FLAG = ',
              WS-T99-TRAN-REJECTED-FLAG(WS-0099-T99-INDEX)
              UPON CONSOLE
      $END
           ELSE

      $IF DEBUG-SW DEFINED
              DISPLAY 'ADDING TRAN # ',
              WS-0940-TRAN-SEQ-NO, ' TO THE HELD POLICY FILE'
              UPON CONSOLE
      $END
              PERFORM 0940-HOLD-TRANSACTION
                 THRU 0940-HOLD-TRANSACTION-EXIT
           END-IF.

       7099-BUFFER-POLICY-RECORD-EXIT.
           EXIT.


