      *****************************************************************
      * File:      M7200.CBL                                          *
      * Author:    Mike Ray/C.B.O.                                    *
      * Date:      8/23/95                                            *
      * Purpose:                                                      *
      *    Loads the ip table from a sequential file into the         *
      *    ws-7004-ip-tbl.  Sets the number of records in the         *
      *    table upon completion.                                     *
      *****************************************************************

       7200-LOAD-IP-TBL.

      $IF DEBUG-SW DEFINED
           DISPLAY '7200-LOADING INS PROVIDER TABLE'
           UPON CONSOLE
      $END

           INITIALIZE WS-7001-IP-TBL
           INITIALIZE WS-7001-IP-REC-COUNT
           INITIALIZE WS-7200-EOF
           INITIALIZE WS-7200-IP-REC
           OPEN INPUT IP-FILE
           ADD 1 TO WS-0004-FILES-OPEN
           IF WS-0004-FILES-OPEN > WS-0008-MAX-FILES-OPENED
              MOVE WS-0004-FILES-OPEN
                TO WS-0008-MAX-FILES-OPENED
           END-IF

      $IF DEBUG-SW DEFINED
           DISPLAY '7200-IP FILE OPENED'
           UPON CONSOLE
      $END

      $IF DEBUG-SW DEFINED
           DISPLAY 'MAX SIZE = ', WS-7001-MAX-SIZE
           UPON CONSOLE
      $END

           PERFORM 7200-READ-IP-RECORD
              THRU 7200-READ-IP-RECORD-EXIT
             UNTIL WS-7200-EOF = WS-LITERAL-YES

      $IF DEBUG-SW DEFINED
           DISPLAY 'DONE READING RECORDS'
           UPON CONSOLE
      $END

           CLOSE IP-FILE
           SUBTRACT 1 FROM WS-0004-FILES-OPEN

           IF WS-7001-IP-REC-COUNT > WS-7001-MAX-SIZE
              DISPLAY 'IP TABLE LIMIT EXCEEDED' UPON CONSOLE
              DISPLAY
                'FILE CONTAINS ' WS-7001-IP-REC-COUNT, ' RECORDS'
              UPON CONSOLE
              DISPLAY 'MAX TABLE SIZE IS ' WS-7001-MAX-SIZE
              UPON CONSOLE
              PERFORM 0800-ABORT-PROGRAM
                 THRU 0800-ABORT-PROGRAM-EXIT
           END-IF.

      $IF DEBUG-SW DEFINED
           DISPLAY 'READ ', WS-7001-IP-REC-COUNT, ' IP RECORDS'
           UPON CONSOLE.
      $END

       7200-LOAD-IP-TBL-EXIT.
           EXIT.

      *****************************************************************
      *    BELOW:  READ EVERY RECORD IN THE FILE.  INCREMENT THE      *
      *    INDEX FOR EACH RECORD TO BE MOVED TO THE TABLE.  AT        *
      *    THE END OF PROCESSING THIS INDEX WILL BE MOVED TO A        *
      *    RECORD COUNTER FOR DISPLAY OF JOB STATISTICS.              *
      *    IF THE INPUT RECORD IS NOT NUMERIC AN ERROR MESSAGE IS     *
      *    DISPLAYED AND THE PROGRAM IS TERMINATED.                   *
      *****************************************************************

       7200-READ-IP-RECORD.

           READ IP-FILE INTO WS-7200-IP-REC
               AT END
                  MOVE WS-LITERAL-YES TO WS-7200-EOF
                  GO TO 7200-READ-IP-RECORD-EXIT
           END-READ

           ADD 1 TO WS-7001-IP-REC-COUNT

           IF WS-7200-IP-CODE IS EQUAL SPACES
              MOVE WS-LITERAL-YES TO WS-7200-EOF
              GO TO 7200-READ-IP-RECORD-EXIT
           END-IF

           IF WS-7001-IP-REC-COUNT <= WS-7001-MAX-SIZE
               SET WS-7001-IP-INDEX
                TO WS-7001-IP-REC-COUNT
               MOVE WS-7200-IP-REC
                 TO WS-7001-IP-REC(WS-7001-IP-INDEX)
           END-IF.


       7200-READ-IP-RECORD-EXIT.
           EXIT.
