      *****************************************************************
      * File:      M7205.CBL                                          *
      * Author:    Mike Ray/C.B.O.                                    *
      * Date:      8/23/95                                            *
      * Purpose:                                                      *
      *    Loads the company table from a sequential file into the    *
      *    ws-7002-company-tbl.  Sets the number of records in the    *
      *    table upon completion.                                     *
      *****************************************************************

       7205-LOAD-COMPANY-TBL.

      $IF DEBUG-SW DEFINED
           DISPLAY '7205-LOADING COMPANY TABLE'
           UPON CONSOLE
      $END

           INITIALIZE WS-7002-COMPANY-TBL
           INITIALIZE WS-7002-COMPANY-REC-COUNT
           INITIALIZE WS-7205-COMPANY-AREA
           OPEN INPUT COMPANY-FILE
           ADD 1 TO WS-0004-FILES-OPEN
           IF WS-0004-FILES-OPEN > WS-0008-MAX-FILES-OPENED
              MOVE WS-0004-FILES-OPEN
                TO WS-0008-MAX-FILES-OPENED
           END-IF

           PERFORM 7205-READ-COMPANY-RECORD
              THRU 7205-READ-COMPANY-RECORD-EXIT
             UNTIL WS-7205-EOF = WS-LITERAL-YES

           CLOSE COMPANY-FILE
           SUBTRACT 1 FROM WS-0004-FILES-OPEN

           IF WS-7002-COMPANY-REC-COUNT > WS-7002-MAX-SIZE
              DISPLAY 'COMPANY TABLE LIMIT EXCEEDED' UPON CONSOLE
              DISPLAY
                'FILE CONTAINS ' WS-7002-COMPANY-REC-COUNT ' RECORDS'
              UPON CONSOLE
              DISPLAY 'MAX TABLE SIZE IS ' WS-7002-MAX-SIZE
              UPON CONSOLE
              PERFORM 0800-ABORT-PROGRAM
                 THRU 0800-ABORT-PROGRAM-EXIT
           END-IF.

      $IF DEBUG-SW DEFINED
           DISPLAY 'READ ', WS-7002-COMPANY-REC-COUNT,
               ' COMPANY RECORDS' UPON CONSOLE.
      $END

       7205-LOAD-COMPANY-TBL-EXIT.
           EXIT.

      *****************************************************************
      *    BELOW:  READ EVERY RECORD IN THE FILE.  INCREMENT THE      *
      *    INDEX FOR EACH RECORD TO BE MOVED TO THE TABLE.  AT        *
      *    THE END OF PROCESSING THIS INDEX WILL BE MOVED TO A        *
      *    RECORD COUNTER FOR DISPLAY OF JOB STATISTICS.              *
      *    IF THE INPUT RECORD IS NOT NUMERIC AN ERROR MESSAGE IS     *
      *    DISPLAYED AND THE PROGRAM IS TERMINATED.                   *
      *****************************************************************

       7205-READ-COMPANY-RECORD.

           READ COMPANY-FILE INTO WS-7205-COMPANY-REC
               AT END
                  MOVE WS-LITERAL-YES TO WS-7205-EOF
           END-READ

           ADD 1 TO WS-7002-COMPANY-REC-COUNT

           IF WS-7205-COMPANY NOT NUMERIC
               DISPLAY 'COMPANY ON TABLE NOT NUMERIC' UPON CONSOLE
               DISPLAY 'COMPANY IS ' WS-7205-COMPANY  UPON CONSOLE
               DISPLAY 'ERROR OCCURRED ON RECORD NUMBER '
                   WS-7002-COMPANY-REC-COUNT UPON CONSOLE
               DISPLAY 'PARAGRAPH 7205-READ-COMPANY-RECORD' UPON CONSOLE
               PERFORM 0800-ABORT-PROGRAM
                  THRU 0800-ABORT-PROGRAM-EXIT
           END-IF

           IF WS-7002-COMPANY-REC-COUNT <= WS-7002-MAX-SIZE
               SET WS-7002-COMPANY-INDEX
                TO WS-7002-COMPANY-REC-COUNT
               MOVE WS-7205-COMPANY-REC
                 TO WS-7002-COMPANY-REC(WS-7002-COMPANY-INDEX)
           END-IF.

       7205-READ-COMPANY-RECORD-EXIT.
           EXIT.
