      *****************************************************************
      * File:      M7210.CBL                                          *
      * Author:    Mike Ray/C.B.O.                                    *
      * Date:      8/23/95                                            *
      * Purpose:                                                      *
      *    Loads the fips-state table from a sequential file into the *
      *    ws-7003-fips-state-tbl.  Sets the number of records in the *
      *    table upon completion.                                     *
      *****************************************************************

       7210-LOAD-FIPS-ST-TBL.

      $IF DEBUG-SW DEFINED
           DISPLAY '7210-LOADING FIPS STATE TABLE'
           UPON CONSOLE
      $END

           INITIALIZE WS-7003-FIPS-ST-TBL
           INITIALIZE WS-7003-FIPS-STATE-REC-COUNT
           INITIALIZE WS-7210-FIPS-ST-AREA
           OPEN INPUT FIPS-STATE-FILE
           ADD 1 TO WS-0004-FILES-OPEN
           IF WS-0004-FILES-OPEN > WS-0008-MAX-FILES-OPENED
              MOVE WS-0004-FILES-OPEN
                TO WS-0008-MAX-FILES-OPENED
           END-IF

           PERFORM 7210-READ-FIPS-ST-RECORD
              THRU 7210-READ-FIPS-ST-RECORD-EXIT
             UNTIL WS-7210-EOF = WS-LITERAL-YES

           CLOSE FIPS-STATE-FILE
           SUBTRACT 1 FROM WS-0004-FILES-OPEN

           IF WS-7003-FIPS-STATE-REC-COUNT > WS-7003-MAX-SIZE
               DISPLAY 'FIPS STATE TABLE LIMIT EXCEEDED' UPON CONSOLE
               DISPLAY
               'FILE CONTAINS ' WS-7003-FIPS-STATE-REC-COUNT ' RECORDS'
               UPON CONSOLE
               DISPLAY 'MAX TABLE SIZE IS ' WS-7003-MAX-SIZE
               UPON CONSOLE
               PERFORM 0800-ABORT-PROGRAM
                  THRU 0800-ABORT-PROGRAM-EXIT
           END-IF.

      $IF DEBUG-SW DEFINED
           DISPLAY 'READ ', WS-7003-FIPS-STATE-REC-COUNT,
               ' STATE RECORDS' UPON CONSOLE.
      $END


       7210-LOAD-FIPS-ST-TBL-EXIT.
           EXIT.

      *****************************************************************
      *    BELOW:  READ EVERY RECORD IN THE FILE.  INCREMENT THE      *
      *    INDEX FOR EACH RECORD TO BE MOVED TO THE TABLE.  AT        *
      *    THE END OF PROCESSING THIS INDEX WILL BE MOVED TO A        *
      *    RECORD COUNTER FOR DISPLAY OF JOB STATISTICS.              *
      *    IF THE INPUT RECORD IS NOT NUMERIC AN ERROR MESSAGE IS     *
      *    DISPLAYED AND THE PROGRAM IS TERMINATED.                   *
      *****************************************************************

       7210-READ-FIPS-ST-RECORD.

           READ FIPS-STATE-FILE INTO WS-7210-FIPS-ST-REC
               AT END
                  MOVE WS-LITERAL-YES TO WS-7210-EOF
           END-READ

           ADD 1 TO WS-7003-FIPS-STATE-REC-COUNT

           IF WS-7210-FIPS-ST NOT NUMERIC
               DISPLAY 'FIPS STATE ON TABLE NOT NUMERIC' UPON CONSOLE
               DISPLAY 'FIPS STATE IS ' WS-7210-FIPS-ST
                  UPON CONSOLE
               DISPLAY 'ERROR OCCURRED ON RECORD NUMBER '
                   WS-7003-FIPS-STATE-REC-COUNT UPON CONSOLE
               DISPLAY 'PARAGRAPH 7210-READ-FIPS-ST-RECORD'
                  UPON CONSOLE
               PERFORM 0800-ABORT-PROGRAM
                  THRU 0800-ABORT-PROGRAM-EXIT
           END-IF

           IF WS-7003-FIPS-STATE-REC-COUNT <= WS-7003-MAX-SIZE
               SET WS-7003-FIPS-ST-INDEX
                TO WS-7003-FIPS-STATE-REC-COUNT
               MOVE WS-7210-FIPS-ST-REC
                   TO WS-7003-FIPS-ST-REC(WS-7003-FIPS-ST-INDEX)
           END-IF.


       7210-READ-FIPS-ST-RECORD-EXIT.
           EXIT.
