      *****************************************************************
      * File:      M7215.CBL                                          *
      * Author:    Mike Ray/C.B.O.                                    *
      * Date:      8/23/95                                            *
      * Purpose:                                                      *
      *    Loads the county table from a sequential file into the     *
      *    ws-7004-county-tbl.  Sets the number of records in the     *
      *    table upon completion.                                     *
      *****************************************************************

       7215-LOAD-COUNTY-TBL.

      $IF DEBUG-SW DEFINED
           DISPLAY '7215-LOADING COUNTY TABLE'
           UPON CONSOLE
      $END

           INITIALIZE WS-7004-COUNTY-TBL
           INITIALIZE WS-7004-COUNTY-REC-COUNT
           INITIALIZE WS-7215-COUNTY-AREA
           OPEN INPUT COUNTY-FILE
           ADD 1 TO WS-0004-FILES-OPEN
           IF WS-0004-FILES-OPEN > WS-0008-MAX-FILES-OPENED
              MOVE WS-0004-FILES-OPEN
                TO WS-0008-MAX-FILES-OPENED
           END-IF

           PERFORM 7215-READ-COUNTY-RECORD
              THRU 7215-READ-COUNTY-RECORD-EXIT
             UNTIL WS-7215-EOF = WS-LITERAL-YES

           CLOSE COUNTY-FILE
           SUBTRACT 1 FROM WS-0004-FILES-OPEN

           IF WS-7004-COUNTY-REC-COUNT > WS-7004-MAX-SIZE
              DISPLAY 'COUNTY TABLE LIMIT EXCEEDED' UPON CONSOLE
              DISPLAY
                'FILE CONTAINS ' WS-7004-COUNTY-REC-COUNT ' RECORDS'
              UPON CONSOLE
              DISPLAY 'MAX TABLE SIZE IS ' WS-7004-MAX-SIZE
              UPON CONSOLE
              PERFORM 0800-ABORT-PROGRAM
                 THRU 0800-ABORT-PROGRAM-EXIT
           END-IF.

      $IF DEBUG-SW DEFINED
           DISPLAY 'READ ', WS-7004-COUNTY-REC-COUNT,
           ' COUNTY RECORDS' UPON CONSOLE.
      $END


       7215-LOAD-COUNTY-TBL-EXIT.
           EXIT.

      *****************************************************************
      *    BELOW:  READ EVERY RECORD IN THE FILE.  INCREMENT THE      *
      *    INDEX FOR EACH RECORD TO BE MOVED TO THE TABLE.  AT        *
      *    THE END OF PROCESSING THIS INDEX WILL BE MOVED TO A        *
      *    RECORD COUNTER FOR DISPLAY OF JOB STATISTICS.              *
      *    IF THE INPUT RECORD IS NOT NUMERIC AN ERROR MESSAGE IS     *
      *    DISPLAYED AND THE PROGRAM IS TERMINATED.                   *
      *****************************************************************

       7215-READ-COUNTY-RECORD.

           READ COUNTY-FILE INTO WS-7215-COUNTY-REC
               AT END
                  MOVE WS-LITERAL-YES TO WS-7215-EOF
                  GO TO 7215-READ-COUNTY-RECORD-EXIT
           END-READ

           ADD 1 TO WS-7004-COUNTY-REC-COUNT

           IF WS-7215-FIPS-STATE NOT NUMERIC
              DISPLAY 'FIPS STATE ON TABLE NOT NUMERIC' UPON CONSOLE
              DISPLAY 'FIPS STATE IS ' WS-7215-FIPS-STATE
              UPON CONSOLE
              DISPLAY 'ERROR OCCURRED ON RECORD NUMBER ',
                  WS-7004-COUNTY-REC-COUNT UPON CONSOLE
              DISPLAY 'PARAGRAPH 7215-READ-COUNTY-RECORD'
              UPON CONSOLE
              PERFORM 0800-ABORT-PROGRAM
                 THRU 0800-ABORT-PROGRAM-EXIT
           END-IF


           IF WS-7215-COUNTY NOT NUMERIC
              DISPLAY 'COUNTY ON TABLE NOT NUMERIC' UPON CONSOLE
              DISPLAY 'COUNTY IS ' WS-7215-COUNTY UPON CONSOLE
              DISPLAY 'ERROR OCCURRED ON RECORD NUMBER '
                  WS-7004-COUNTY-REC-COUNT UPON CONSOLE
              DISPLAY 'PARAGRAPH 7215-READ-COUNTY-RECORD'
              UPON CONSOLE
              PERFORM 0800-ABORT-PROGRAM
                 THRU 0800-ABORT-PROGRAM-EXIT
           END-IF

           IF WS-7004-COUNTY-REC-COUNT <= WS-7004-MAX-SIZE
               SET WS-7004-COUNTY-INDEX
                TO WS-7004-COUNTY-REC-COUNT
               MOVE WS-7215-COUNTY-REC
                   TO WS-7004-COUNTY-REC(WS-7004-COUNTY-INDEX)
           END-IF.


       7215-READ-COUNTY-RECORD-EXIT.
           EXIT.
