      *****************************************************************
      * File:      M7220.CBL                                          *
      * Author:    Mike Ray/C.B.O.                                    *
      * Date:      8/23/95                                            *
      * Purpose:                                                      *
      *    Loads the crop table from a sequential file into the       *
      *    ws-7005-crop-tbl.  Sets the number of records in the       *
      *    table upon completion.                                     *
      *****************************************************************

       7220-LOAD-CROP-TBL.

      $IF DEBUG-SW DEFINED
           DISPLAY '7220-LOADING CROP TABLE'
           UPON CONSOLE
      $END

           INITIALIZE WS-7005-CROP-TBL
           INITIALIZE WS-7005-CROP-REC-COUNT
           INITIALIZE WS-7220-CROP-AREA
           OPEN INPUT CROP-FILE
           ADD 1 TO WS-0004-FILES-OPEN
           IF WS-0004-FILES-OPEN > WS-0008-MAX-FILES-OPENED
              MOVE WS-0004-FILES-OPEN
                TO WS-0008-MAX-FILES-OPENED
           END-IF

           PERFORM 7220-READ-CROP-RECORD
              THRU 7220-READ-CROP-RECORD-EXIT
             UNTIL WS-7220-EOF = WS-LITERAL-YES.

           CLOSE CROP-FILE
           SUBTRACT 1 FROM WS-0004-FILES-OPEN

           IF WS-7005-CROP-REC-COUNT > WS-7005-MAX-SIZE
              DISPLAY 'CROP TABLE LIMIT EXCEEDED' UPON CONSOLE
              DISPLAY
                'FILE CONTAINS ' WS-7005-CROP-REC-COUNT ' RECORDS'
              UPON CONSOLE
              DISPLAY 'MAX TABLE SIZE IS ' WS-7005-MAX-SIZE
              UPON CONSOLE
              PERFORM 0800-ABORT-PROGRAM
                 THRU 0800-ABORT-PROGRAM-EXIT
           END-IF.

      $IF DEBUG-SW DEFINED
           DISPLAY 'READ ', WS-7005-CROP-REC-COUNT,
               ' CROP RECORDS' UPON CONSOLE.
      $END

       7220-LOAD-CROP-TBL-EXIT.
           EXIT.

      *****************************************************************
      *    BELOW:  READ EVERY RECORD IN THE FILE.  INCREMENT THE      *
      *    INDEX FOR EACH RECORD TO BE MOVED TO THE TABLE.  AT        *
      *    THE END OF PROCESSING THIS INDEX WILL BE MOVED TO A        *
      *    RECORD COUNTER FOR DISPLAY OF JOB STATISTICS.              *
      *    IF THE INPUT RECORD IS NOT NUMERIC AN ERROR MESSAGE IS     *
      *    DISPLAYED AND THE PROGRAM IS TERMINATED.                   *
      *****************************************************************

       7220-READ-CROP-RECORD.

           READ CROP-FILE INTO WS-7220-CROP-FILE-REC
               AT END
               MOVE WS-LITERAL-YES TO WS-7220-EOF
           END-READ

           ADD 1 TO WS-7005-CROP-REC-COUNT

           IF WS-7220-CROP NOT NUMERIC
              DISPLAY 'CROP ON TABLE NOT NUMERIC' UPON CONSOLE
              DISPLAY 'CROP IS ' WS-7220-CROP UPON CONSOLE
              DISPLAY 'ERROR OCCURRED ON RECORD NUMBER '
                  WS-7005-CROP-REC-COUNT UPON CONSOLE
              DISPLAY 'PARAGRAPH 7220-READ-CROP-RECORD'
              UPON CONSOLE
              PERFORM 0800-ABORT-PROGRAM
                 THRU 0800-ABORT-PROGRAM-EXIT
           END-IF

           IF WS-7005-CROP-REC-COUNT <= WS-7005-MAX-SIZE
              SET WS-7005-CROP-INDEX
               TO WS-7005-CROP-REC-COUNT
              MOVE WS-7220-CROP-REC
                TO WS-7005-CROP-REC(WS-7005-CROP-INDEX)
           END-IF.


       7220-READ-CROP-RECORD-EXIT.
           EXIT.
