      *****************************************************************
      * FILE:      M7225.CBL                                          *
      * AUTHOR:    MIKE RAY/C.B.O.                                    *
      * DATE:      8/23/95                                            *
      * PURPOSE:                                                      *
      *    LOADS THE CROP TYPE TABLE FROM A SEQUENTIAL FILE INTO THE  *
      *    WS-7006-CROP-TYPE-TBL.  SETS THE NUMBER OF RECORDS IN THE  *
      *    TABLE UPON COMPLETION.                                     *
      *****************************************************************

       7225-LOAD-CROP-TYPE-TBL.

      $IF DEBUG-SW DEFINED
           DISPLAY '7225-LOADING CROP TYPE TABLE'
           UPON CONSOLE
      $END

           INITIALIZE WS-7006-CROP-TYPE-TBL
           INITIALIZE WS-7006-CROP-TYPE-REC-COUNT
           INITIALIZE WS-7225-CROP-TYPE-AREA
           OPEN INPUT CROP-TYPE-FILE
           ADD 1 TO WS-0004-FILES-OPEN
           IF WS-0004-FILES-OPEN > WS-0008-MAX-FILES-OPENED
              MOVE WS-0004-FILES-OPEN
                TO WS-0008-MAX-FILES-OPENED
           END-IF

           PERFORM 7225-READ-CROP-TYPE-REC
              THRU 7225-READ-CROP-TYPE-REC-EXIT
             UNTIL WS-7225-EOF = WS-LITERAL-YES

           CLOSE CROP-TYPE-FILE
           SUBTRACT 1 FROM WS-0004-FILES-OPEN

           IF WS-7006-CROP-TYPE-REC-COUNT > WS-7006-MAX-SIZE
               DISPLAY 'CROP-TYPE TABLE LIMIT EXCEEDED'
               UPON CONSOLE
               DISPLAY
               'FILE CONTAINS ' WS-7006-CROP-TYPE-REC-COUNT ' RECORDS'
               UPON CONSOLE
               DISPLAY 'MAX TABLE SIZE IS ' WS-7006-MAX-SIZE
               UPON CONSOLE
               PERFORM 0800-ABORT-PROGRAM
                  THRU 0800-ABORT-PROGRAM-EXIT
           END-IF.

      $IF DEBUG-SW DEFINED
           DISPLAY 'READ ', WS-7006-CROP-TYPE-REC-COUNT,
               ' CROP TYPE RECORDS' UPON CONSOLE.
      $END


       7225-LOAD-CROP-TYPE-TBL-EXIT.
           EXIT.

      *****************************************************************
      *    BELOW:  READ EVERY RECORD IN THE FILE.  INCREMENT THE      *
      *    INDEX FOR EACH RECORD TO BE MOVED TO THE TABLE.  AT        *
      *    THE END OF PROCESSING THIS INDEX WILL BE MOVED TO A        *
      *    RECORD COUNTER FOR DISPLAY OF JOB STATISTICS.              *
      *    IF THE INPUT RECORD IS NOT NUMERIC AN ERROR MESSAGE IS     *
      *    DISPLAYED AND THE PROGRAM IS TERMINATED.                   *
      *****************************************************************

       7225-READ-CROP-TYPE-REC.

           READ CROP-TYPE-FILE INTO WS-7225-CROP-TYPE-REC
               AT END
               MOVE WS-LITERAL-YES TO WS-7225-EOF
           END-READ

           ADD 1 TO WS-7006-CROP-TYPE-REC-COUNT

           IF WS-7225-CROP NOT NUMERIC
              DISPLAY 'CROP ON TABLE NOT NUMERIC' UPON CONSOLE
              DISPLAY 'CROP IS ' WS-7225-CROP UPON CONSOLE
              DISPLAY 'ERROR OCCURRED ON RECORD NUMBER '
                  WS-7006-CROP-TYPE-REC-COUNT UPON CONSOLE
              DISPLAY 'PARAGRAPH 7225-READ-CROP-TYPE-RECORD'
              UPON CONSOLE
              PERFORM 0800-ABORT-PROGRAM
                 THRU 0800-ABORT-PROGRAM-EXIT
           END-IF

           IF WS-7225-CROP-TYPE NOT NUMERIC
              DISPLAY 'CROP TYPE NOT NUMERIC' UPON CONSOLE
              DISPLAY 'CROP TYPE IS ' WS-7225-CROP-TYPE
              UPON CONSOLE
              DISPLAY 'ERROR OCCURRED ON RECORD NUMBER '
                  WS-7006-CROP-TYPE-REC-COUNT UPON CONSOLE
              DISPLAY 'PARAGRAPH 7225-READ-CROP-TYPE-RECORD'
              UPON CONSOLE
              PERFORM 0800-ABORT-PROGRAM
                 THRU 0800-ABORT-PROGRAM-EXIT
           END-IF

           IF WS-7006-CROP-TYPE-REC-COUNT <= WS-7006-MAX-SIZE
              SET WS-7006-CROP-TYPE-INDEX
               TO WS-7006-CROP-TYPE-REC-COUNT
              MOVE WS-7225-CROP-TYPE-REC
                TO WS-7006-CROP-TYPE-REC(WS-7006-CROP-TYPE-INDEX)
           END-IF.


       7225-READ-CROP-TYPE-REC-EXIT.
           EXIT.
