      *****************************************************************
      * FILE:      M7230.CBL                                          *
      * AUTHOR:    MIKE RAY/C.B.O.                                    *
      * DATE:      8/23/95                                            *
      * PURPOSE:                                                      *
      *    LOADS THE CROP POLICY TYPE TABLE FROM A SEQUENTIAL FILE    *
      *    INTO THE WS-7007-CROP-POL-TYPE-TBL.  SETS THE NUMBER OF    *
      *    RECORDS IN THE TABLE UPON COMPLETION.                      *
      *****************************************************************

       7230-LOAD-CROP-POL-TY-TBL.

      $IF DEBUG-SW DEFINED
           DISPLAY '7230-LOADING CROP POLICY TYPE TABLE'
           UPON CONSOLE
      $END

           INITIALIZE WS-7007-CROP-POLICY-TYPE-TBL
           INITIALIZE WS-7007-CROP-POL-TY-REC-COUNT
           INITIALIZE WS-7230-CROP-POL-TYPE-AREA
           OPEN INPUT CROP-POLICY-TYPE-FILE
           ADD 1 TO WS-0004-FILES-OPEN
           IF WS-0004-FILES-OPEN > WS-0008-MAX-FILES-OPENED
              MOVE WS-0004-FILES-OPEN
                TO WS-0008-MAX-FILES-OPENED
           END-IF

           PERFORM 7230-READ-CROP-POL-TYPE
              THRU 7230-READ-CROP-POL-TYPE-EXIT
             UNTIL WS-7230-EOF = WS-LITERAL-YES

           CLOSE CROP-POLICY-TYPE-FILE
           SUBTRACT 1 FROM WS-0004-FILES-OPEN

           IF WS-7007-CROP-POL-TY-REC-COUNT > WS-7007-MAX-SIZE
              DISPLAY 'CROP-POL-TYPE TABLE LIMIT EXCEEDED'
              UPON CONSOLE
              DISPLAY
              'FILE CONTAINS ' WS-7007-CROP-POL-TY-REC-COUNT ' RECORDS'
              UPON CONSOLE
              DISPLAY 'MAX TABLE SIZE IS ' WS-7007-MAX-SIZE
              UPON CONSOLE
              PERFORM 0800-ABORT-PROGRAM
                 THRU 0800-ABORT-PROGRAM-EXIT
           END-IF.

      $IF DEBUG-SW DEFINED
           DISPLAY 'READ ', WS-7007-CROP-POL-TY-REC-COUNT,
           ' CROP POLICY TYPE RECORDS' UPON CONSOLE.
      $END


       7230-LOAD-CROP-POL-TY-TBL-EXIT.
           EXIT.

      *****************************************************************
      *    BELOW:  READ EVERY RECORD IN THE FILE.  INCREMENT THE      *
      *    INDEX FOR EACH RECORD TO BE MOVED TO THE TABLE.  AT        *
      *    THE END OF PROCESSING THIS INDEX WILL BE MOVED TO A        *
      *    RECORD COUNTER FOR DISPLAY OF JOB STATISTICS.              *
      *    IF THE INPUT RECORD IS NOT NUMERIC AN ERROR MESSAGE IS     *
      *    DISPLAYED AND THE PROGRAM IS TERMINATED.                   *
      *****************************************************************

       7230-READ-CROP-POL-TYPE.

           READ CROP-POLICY-TYPE-FILE
           INTO WS-7230-CROP-POL-TYPE-REC
               AT END
               MOVE WS-LITERAL-YES TO WS-7230-EOF
           END-READ

           ADD 1 TO WS-7007-CROP-POL-TY-REC-COUNT

           IF WS-7230-FIPS-STATE NOT NUMERIC
              DISPLAY 'FIPS STATE ON TABLE NOT NUMERIC' UPON CONSOLE
              DISPLAY 'FIPS STATE IS ' WS-7230-FIPS-STATE
              UPON CONSOLE
              DISPLAY 'ERROR OCCURRED ON RECORD NUMBER '
                  WS-7007-CROP-POL-TY-REC-COUNT UPON CONSOLE
              DISPLAY 'PARAGRAPH 7230-READ-CROP-POL-TYPE-RECORD'
              UPON CONSOLE
              PERFORM 0800-ABORT-PROGRAM
                 THRU 0800-ABORT-PROGRAM-EXIT
           END-IF

           IF WS-7230-CROP NOT NUMERIC
              DISPLAY 'CROP ON TABLE NOT NUMERIC' UPON CONSOLE
              DISPLAY 'CROP ' WS-7230-CROP UPON CONSOLE
              DISPLAY 'ERROR OCCURRED ON RECORD NUMBER '
                  WS-7007-CROP-POL-TY-REC-COUNT UPON CONSOLE
              DISPLAY 'PARAGRAPH 7230-READ-CROP-POL-TYPE'
              UPON CONSOLE
              PERFORM 0800-ABORT-PROGRAM
                 THRU 0800-ABORT-PROGRAM-EXIT
           END-IF


           IF WS-7007-CROP-POL-TY-REC-COUNT <= WS-7007-MAX-SIZE
              SET WS-7007-CROP-POLICY-TYPE-INDEX
               TO WS-7007-CROP-POL-TY-REC-COUNT
              MOVE WS-7230-CROP-POL-TYPE-REC
                TO WS-7007-CROP-POLICY-TYPE-REC
                   (WS-7007-CROP-POLICY-TYPE-INDEX)
           END-IF.


       7230-READ-CROP-POL-TYPE-EXIT.
           EXIT.
