      *****************************************************************
      * FILE:      M7235.CBL                                          *
      * AUTHOR:    MIKE RAY/C.B.O.                                    *
      * DATE:      8/29/95                                            *
      * PURPOSE:                                                      *
      *    LOADS THE ERROR MESSAGE TABLE FROM A SEQUENTIAL FILE       *
      *    INTO THE WS-7008-ERROR-MSG-TBL. SETS THE NUMBER OF         *
      *    RECORDS IN THE TABLE UPON COMPLETION.                      *
      *****************************************************************

       7235-LOAD-ERROR-MSG-TBL.

      $IF DEBUG-SW DEFINED
           DISPLAY '7235-LOADING ERROR MSG TABLE'
           UPON CONSOLE
      $END

           INITIALIZE WS-7008-ERROR-MSG-TBL
           INITIALIZE WS-7008-ERROR-MSG-REC-COUNT
           INITIALIZE WS-7235-ERROR-MSG-AREA
           OPEN INPUT ERROR-MSG-FILE
           ADD 1 TO WS-0004-FILES-OPEN
           IF WS-0004-FILES-OPEN > WS-0008-MAX-FILES-OPENED
              MOVE WS-0004-FILES-OPEN
                TO WS-0008-MAX-FILES-OPENED
           END-IF

           PERFORM 7235-READ-ERROR-MSG
              THRU 7235-READ-ERROR-MSG-EXIT
             UNTIL WS-7235-EOF = WS-LITERAL-YES

           CLOSE ERROR-MSG-FILE
           SUBTRACT 1 FROM WS-0004-FILES-OPEN

           IF WS-7008-ERROR-MSG-REC-COUNT > WS-7008-MAX-SIZE
              DISPLAY 'ERROR-MSG TABLE LIMIT EXCEEDED'
              UPON CONSOLE
              DISPLAY
              'FILE CONTAINS ' WS-7008-ERROR-MSG-REC-COUNT ' RECORDS'
              UPON CONSOLE
              DISPLAY 'MAX TABLE SIZE IS ' WS-7008-MAX-SIZE
              UPON CONSOLE
              PERFORM 0800-ABORT-PROGRAM
                 THRU 0800-ABORT-PROGRAM-EXIT
           END-IF.

      $IF DEBUG-SW DEFINED
           DISPLAY 'READ ', WS-7008-ERROR-MSG-REC-COUNT,
               ' ERROR MESSAGES' UPON CONSOLE.
      $END


       7235-LOAD-ERROR-MSG-TBL-EXIT.
           EXIT.

      *****************************************************************
      *    BELOW:  READ EVERY RECORD IN THE FILE.  INCREMENT THE      *
      *    INDEX FOR EACH RECORD TO BE MOVED TO THE TABLE.  AT        *
      *    THE END OF PROCESSING THIS INDEX WILL BE MOVED TO A        *
      *    RECORD COUNTER FOR DISPLAY OF JOB STATISTICS.              *
      *    IF THE INPUT RECORD IS NOT NUMERIC AN ERROR MESSAGE IS     *
      *    DISPLAYED AND THE PROGRAM IS TERMINATED.                   *
      *****************************************************************

       7235-READ-ERROR-MSG.

           READ ERROR-MSG-FILE INTO WS-7235-FILE-ERROR-MSG-REC
               AT END
                  MOVE WS-LITERAL-YES TO WS-7235-EOF
           END-READ

           ADD 1 TO WS-7008-ERROR-MSG-REC-COUNT

           IF WS-7235-FL-ERROR-NO IS NOT NUMERIC
              DISPLAY 'ERROR NO ON TABLE NOT NUMERIC' UPON CONSOLE
              DISPLAY 'ERROR NO IS ' WS-7235-FL-ERROR-NO
              UPON CONSOLE
              DISPLAY 'ERROR OCCURRED ON RECORD NUMBER '
                  WS-7008-ERROR-MSG-REC-COUNT UPON CONSOLE
              DISPLAY 'PARAGRAPH 7235-READ-ERROR-MSG' UPON CONSOLE
              PERFORM 0800-ABORT-PROGRAM
                 THRU 0800-ABORT-PROGRAM-EXIT
           END-IF

           IF WS-7008-ERROR-MSG-REC-COUNT <= WS-7008-MAX-SIZE
              SET WS-7008-ERROR-MSG-INDEX
               TO WS-7008-ERROR-MSG-REC-COUNT
              MOVE WS-7235-ERROR-MSG-REC
                TO WS-7008-ERROR-MSG-REC
                   (WS-7008-ERROR-MSG-INDEX)
           END-IF.


       7235-READ-ERROR-MSG-EXIT.
           EXIT.
