      *****************************************************************
      * File:      M7250.CBL                                          *
      * Author:    Mike Ray/C.B.O.                                    *
      * Date:      8/23/95                                            *
      * Purpose:                                                      *
      *    This routine uses a serial search against the              *
      *    ws-7001-ip-table to look up insurance provider.            *
      * Assumptions:                                                  *
      *    A check for zero or blank in any of the input fields is    *
      *    made outside of this routine.                              *
      *****************************************************************

       7250-LOOKUP-IP-TBL.

      $IF DEBUG-SW DEFINED
           DISPLAY '7250-LOOKING UP INSURANCE PROVIDER'
           UPON CONSOLE
      $END

      *******************************************
      *    INITIALIZE OUTPUT FIELDS             *
      *******************************************
           INITIALIZE WS-7250-OUTPUT
           MOVE WS-LITERAL-NO TO WS-7250-FOUND-FLG

      ************************************************
      *         VALIDATE INPUT FIELDS                *
      ************************************************
           IF WS-7250-INS-PROVIDER = SPACES
              MOVE 7250 TO WS-8020-PARAGRAPH-NO
              MOVE 90003 TO WS-8020-INT-ERROR-NO
              MOVE 'WS-7250-INS-PROVIDER' TO WS-8020-FIELD-NAME
              MOVE SPACES TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

      *******************************************
      *           PERFORM LOOKUP                *
      *******************************************
           SET WS-7001-IP-INDEX TO 1
           SEARCH WS-7001-IP-REC
              VARYING WS-7001-IP-INDEX
              AT END
                 INITIALIZE WS-7250-INS-PROVIDER
              WHEN WS-7250-INS-PROVIDER
                 = WS-7001-INS-PROVIDER(WS-7001-IP-INDEX)
                 MOVE WS-LITERAL-YES TO WS-7250-FOUND-FLG
                 MOVE WS-7001-IP-REC(WS-7001-IP-INDEX)
                   TO WS-7250-IP-REC
                 INITIALIZE WS-7250-INS-PROVIDER
           END-SEARCH.

       7250-LOOKUP-IP-TBL-EXIT.
           EXIT.

