      *****************************************************************
      * File:      M7255.CBL                                          *
      * Author:    Mike Ray/C.B.O.                                    *
      * Date:      8/23/95                                            *
      * Purpose:                                                      *
      *    This routine uses a serial search against the              *
      *    ws-7002-company-tbl to look up company.                    *
      * Assumptions:                                                  *
      *    A check for zero or blank in any of the input fields is    *
      *    made outside of this routine.                              *
      *****************************************************************

       7255-LOOKUP-COMPANY-TBL.

      $IF DEBUG-SW DEFINED
           DISPLAY '7255-LOOKING UP COMPANY'
           UPON CONSOLE
      $END

      ************************************************
      *       INITIALIZE OUTPUT FIELDS               *
      ************************************************
           INITIALIZE WS-7255-O-COMPANY-AREA
           MOVE WS-LITERAL-NO TO WS-7255-FOUND-FLG
           MOVE WS-LITERAL-NO TO WS-7255-INPUT-ERROR

      ************************************************
      *         VALIDATE INPUT FIELDS                *
      ************************************************
           IF WS-7255-I-INS-PROVIDER = SPACES
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 043 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-7255-INPUT-ERROR
              MOVE 'WS-7255-I-INS-PROVIDER' TO WS-8000-FIELD-NAME1
              MOVE SPACE TO WS-8000-BAD-DATA1
              MOVE 'NOT BLANK' TO WS-8000-CORR-DATA1
              MOVE 7255 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-7255-I-COMPANY = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 043 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-7255-INPUT-ERROR
              MOVE 'WS-7255-I-COMPANY' TO WS-8000-FIELD-NAME1
              MOVE ZEROS TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 7255 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-7255-INPUT-ERROR = WS-LITERAL-YES
              GO TO 7255-LOOKUP-COMPANY-TBL-EXIT
           END-IF

      ************************************************
      *     READ FOR RECORD                          *
      ************************************************
           SET WS-7002-COMPANY-INDEX TO 1
           SEARCH WS-7002-COMPANY-REC
              VARYING WS-7002-COMPANY-INDEX
              AT END INITIALIZE WS-7255-I-COMPANY-AREA
                 WHEN WS-7255-I-INS-PROVIDER =
                     WS-7002-INS-PROVIDER(WS-7002-COMPANY-INDEX)
                 AND WS-7255-I-COMPANY =
                     WS-7002-COMPANY(WS-7002-COMPANY-INDEX)
                     MOVE WS-LITERAL-YES TO WS-7255-FOUND-FLG
                     MOVE WS-7002-INS-PROVIDER(WS-7002-COMPANY-INDEX)
                         TO WS-7255-O-INS-PROVIDER
                     MOVE WS-7002-COMPANY(WS-7002-COMPANY-INDEX)
                         TO WS-7255-O-COMPANY
                     INITIALIZE WS-7255-I-COMPANY-AREA
           END-SEARCH.


       7255-LOOKUP-COMPANY-TBL-EXIT.
           EXIT.

