      *****************************************************************
      * File:      M7260.CBL                                          *
      * Author:    Mike Ray/C.B.O.                                    *
      * Date:      8/23/95                                            *
      * Purpose:                                                      *
      *    This routine uses a serial search against the              *
      *    ws-7003-fips-st-tbl to look up fips state.                 *
      * Assumptions:                                                  *
      *    A check for zero or blank in any of the input fields is    *
      *    made outside of this routine.                              *
      *****************************************************************

       7260-LOOKUP-FIPS-ST-TBL.

      $IF DEBUG-SW DEFINED
           DISPLAY '7260-LOOKING-UP FIPS STATE'
           UPON CONSOLE
      $END

      *****************************************************
      *    Make sure output field has a valid value.      *
      *****************************************************
           IF WS-7260-O-FIPS-STATE NOT NUMERIC
              INITIALIZE WS-7260-O-FIPS-STATE-REC
           END-IF

      *****************************************************
      *    Check to see if state is cached first          *
      *****************************************************
           IF WS-7260-I-FIPS-STATE = WS-7260-O-FIPS-STATE
              MOVE WS-LITERAL-YES TO WS-7260-FOUND-FLG
              INITIALIZE WS-7260-I-FIPS-STATE
              GO TO 7260-LOOKUP-FIPS-ST-TBL-EXIT
           ELSE
              MOVE WS-LITERAL-NO TO WS-7260-FOUND-FLG
              INITIALIZE WS-7260-O-FIPS-STATE-REC
              SET WS-7003-FIPS-ST-INDEX TO 1
           END-IF

           SEARCH WS-7003-FIPS-ST-REC
              VARYING WS-7003-FIPS-ST-INDEX
              AT END INITIALIZE WS-7260-I-FIPS-STATE
              WHEN WS-7260-I-FIPS-STATE IS EQUAL TO
                   WS-7003-FIPS-STATE(WS-7003-FIPS-ST-INDEX)
                   MOVE WS-LITERAL-YES TO WS-7260-FOUND-FLG
                   MOVE WS-7003-FIPS-ST-REC(WS-7003-FIPS-ST-INDEX)
                     TO WS-7260-O-FIPS-STATE-REC
                   INITIALIZE WS-7260-I-FIPS-STATE
           END-SEARCH.

       7260-LOOKUP-FIPS-ST-TBL-EXIT.
           EXIT.

