      *****************************************************************
      * File:      M7265.CBL                                          *
      * Author:    Mike Ray/C.B.O.                                    *
      * Date:      8/23/95                                            *
      * Purpose:                                                      *
      *    This routine uses a serial search against the              *
      *    ws-7004-county-table to look up county.                    *
      *****************************************************************

       7265-LOOKUP-COUNTY-TBL.

      $IF DEBUG-SW DEFINED
           DISPLAY '7265-LOOKING UP COUNTY'
           UPON CONSOLE
      $END

      ************************************************
      *       INITIALIZE OUTPUT FIELDS               *
      ************************************************
           INITIALIZE WS-7265-O-COUNTY-AREA
           MOVE WS-LITERAL-NO TO WS-7265-FOUND-FLG
           MOVE WS-LITERAL-NO TO WS-7265-INPUT-ERROR

      ************************************************
      *         VALIDATE INPUT FIELDS                *
      ************************************************
           IF WS-7265-I-FIPS-STATE = ZERO
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 043 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-7265-INPUT-ERROR
              MOVE 'WS-7265-I-FIPS-STATE' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 7265 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-7265-I-COUNTY = ZERO
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 043 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-7265-INPUT-ERROR
              MOVE 'WS-7265-I-COUNTY' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 7265 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-7265-INPUT-ERROR = WS-LITERAL-YES
              GO TO 7265-LOOKUP-COUNTY-TBL-EXIT
           END-IF

      ************************************************
      *     READ FOR RECORD                          *
      ************************************************
           SET WS-7004-COUNTY-INDEX TO 1

           SEARCH WS-7004-COUNTY-REC
              VARYING WS-7004-COUNTY-INDEX
              AT END INITIALIZE WS-7265-I-COUNTY-AREA
              WHEN WS-7265-I-FIPS-STATE =
                   WS-7004-FIPS-STATE(WS-7004-COUNTY-INDEX)
               AND WS-7265-I-COUNTY =
                   WS-7004-COUNTY(WS-7004-COUNTY-INDEX)
                   MOVE WS-LITERAL-YES TO WS-7265-FOUND-FLG
                   MOVE WS-7004-COUNTY-REC(WS-7004-COUNTY-INDEX)
                     TO WS-7265-O-COUNTY-AREA
                   INITIALIZE WS-7265-I-COUNTY-AREA
           END-SEARCH.

      $IF DEBUG-SW DEFINED
           IF WS-7265-FOUND-FLG = WS-LITERAL-YES
              DISPLAY 'COUNTY IS ',
              WS-7265-O-COUNTY-NAME
              UPON CONSOLE
           END-IF.
      $END

       7265-LOOKUP-COUNTY-TBL-EXIT.
           EXIT.

