      *****************************************************************
      * File:      M7275.CBL                                          *
      * Author:    Mike Ray/C.B.O.                                    *
      * Date:      8/23/95                                            *
      * Purpose:                                                      *
      *    This routine uses a serial search against the              *
      *    ws-7006-crop-type-tbl  to look up crop type.               *
      * Assumptions:                                                  *
      *    A check for zero or blank in any of the input fields is    *
      *    made outside of this routine.                              *
      *****************************************************************

       7275-LOOKUP-CROP-TYPE-TBL.

      $IF DEBUG-SW DEFINED
           DISPLAY '7275-LOOKING UP CROP TYPE'
           UPON CONSOLE
      $END

           MOVE WS-LITERAL-NO TO WS-7275-FOUND-FLG

           INITIALIZE WS-7275-O-CROP-TYPE-AREA
           SET WS-7006-CROP-TYPE-INDEX TO 1

           SEARCH WS-7006-CROP-TYPE-REC
              VARYING WS-7006-CROP-TYPE-INDEX
              AT END INITIALIZE WS-7275-I-CROP-TYPE-AREA
               WHEN (WS-7275-I-CROP
                   = WS-7006-CROP(WS-7006-CROP-TYPE-INDEX)
               AND WS-7275-I-CROP-TYPE
                   = WS-7006-CROP-TYPE(WS-7006-CROP-TYPE-INDEX))
                   MOVE WS-LITERAL-YES TO WS-7275-FOUND-FLG
                   MOVE WS-7006-CROP-TYPE-REC(WS-7006-CROP-TYPE-INDEX)
                     TO WS-7275-O-CROP-TYPE-AREA
                   INITIALIZE WS-7275-I-CROP-TYPE-AREA
           END-SEARCH.

      $IF DEBUG-SW DEFINED
           IF WS-7275-FOUND-FLG = WS-LITERAL-YES
              DISPLAY 'CROP TYPE IS ', WS-7275-O-TYPE-NAME
              UPON CONSOLE
           END-IF.
      $END

       7275-LOOKUP-CROP-TYPE-TBL-EXIT.
           EXIT.

