      *****************************************************************
      * FILE:      M7280.CBL                                          *
      * AUTHOR:    MIKE RAY/C.B.O.                                    *
      * DATE:      8/23/95                                            *
      * PURPOSE:                                                      *
      *    THIS ROUTINE USES A SERIAL SEARCH AGAINST THE              *
      *    WS-7007-CROP-POL-TYPE-TBL  TO LOOK UP CROP POLICY TYPE.    *
      * ASSUMPTIONS:                                                  *
      *    A CHECK FOR ZERO OR BLANK IN ANY OF THE INPUT FIELDS IS    *
      *    MADE OUTSIDE OF THIS ROUTINE.                              *
      *****************************************************************

       7280-LOOKUP-CPT-TBL.

      $IF DEBUG-SW DEFINED
           DISPLAY '7280-LOOKING UP CROP POLICY TYPE'
           UPON CONSOLE
      $END

      *****************************************************
      *    INITIALIZE LOCAL WORKING STORAGE               *
      *****************************************************

           MOVE WS-LITERAL-NO TO WS-7280-FOUND-FLG
           INITIALIZE WS-7280-O-CROP-POL-TYPE-AREA
           SET WS-7007-CROP-POLICY-TYPE-INDEX TO 1

      *****************************************************
      *    CHECK INPUT VALUES                             *
      *****************************************************
           IF WS-7280-I-FIPS-STATE = ZEROS
              MOVE 7280 TO WS-8020-PARAGRAPH-NO
              MOVE 90003 TO WS-8020-INT-ERROR-NO
              MOVE 'WS-7280-STATE' TO WS-8020-FIELD-NAME
              MOVE WS-7280-I-FIPS-STATE TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-7280-I-CROP = ZEROS
              MOVE 7280 TO WS-8020-PARAGRAPH-NO
              MOVE 90003 TO WS-8020-INT-ERROR-NO
              MOVE 'WS-7280-CROP' TO WS-8020-FIELD-NAME
              MOVE WS-7280-I-CROP TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-7280-I-CROP-TYPE = SPACES
              MOVE 7280 TO WS-8020-PARAGRAPH-NO
              MOVE 90003 TO WS-8020-INT-ERROR-NO
              MOVE 'WS-7280-CROP-TYPE' TO WS-8020-FIELD-NAME
              MOVE WS-7280-I-CROP-TYPE TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

      *****************************************************
      *    SEARCH TABLE                                   *
      *****************************************************

           PERFORM 7280-SEARCH-TABLE
              THRU 7280-SEARCH-TABLE-EXIT

           IF NOT MATCH-FOUND-7280
              MOVE 98 TO WS-7280-I-FIPS-STATE
              PERFORM 7280-SEARCH-TABLE
                 THRU 7280-SEARCH-TABLE-EXIT
           END-IF.

      $IF DEBUG-SW DEFINED
           IF NOT MATCH-FOUND-7280
              DISPLAY 'CROP POLICY TYPE NOT FOUND!'
              UPON CONSOLE
              DISPLAY 'STATE     = ', WS-7280-I-FIPS-STATE
              UPON CONSOLE
              DISPLAY 'CROP      = ', WS-7280-I-CROP
              UPON CONSOLE
              DISPLAY 'CROP TYPE = ', WS-7280-I-CROP-TYPE
              UPON CONSOLE
           END-IF.
      $END

      *****************************************************
      *    INITIALIZE INPUT FIELDS                        *
      *****************************************************
           INITIALIZE WS-7280-I-CROP-POL-TYPE-AREA.


       7280-LOOKUP-CPT-TBL-EXIT.
           EXIT.


       7280-SEARCH-TABLE.

           SET WS-7007-CROP-POLICY-TYPE-INDEX TO 1

           SEARCH WS-7007-CROP-POLICY-TYPE-REC
              VARYING WS-7007-CROP-POLICY-TYPE-INDEX
              AT END CONTINUE
              WHEN  WS-7280-I-FIPS-STATE IS EQUAL TO
                     WS-7007-FIPS-STATE
                     (WS-7007-CROP-POLICY-TYPE-INDEX)
                 AND WS-7280-I-CROP IS EQUAL TO
                     WS-7007-CROP
                     (WS-7007-CROP-POLICY-TYPE-INDEX)
                 AND WS-7280-I-CROP-TYPE IS EQUAL TO
                     WS-7007-CROP-TYPE
                     (WS-7007-CROP-POLICY-TYPE-INDEX)
                 MOVE WS-LITERAL-YES TO WS-7280-FOUND-FLG
                 MOVE WS-7007-FIPS-STATE
                      (WS-7007-CROP-POLICY-TYPE-INDEX)
                   TO WS-7280-O-FIPS-STATE
                 MOVE WS-7007-CROP(WS-7007-CROP-POLICY-TYPE-INDEX)
                   TO WS-7280-O-CROP
                 MOVE WS-7007-CROP-TYPE
                      (WS-7007-CROP-POLICY-TYPE-INDEX)
                   TO WS-7280-O-CROP-TYPE
                 MOVE WS-7007-CROP-POLICY-TYPE
                      (WS-7007-CROP-POLICY-TYPE-INDEX)
                   TO WS-7280-O-CROP-POL-TYPE
                 INITIALIZE WS-7280-I-CROP-POL-TYPE-AREA
           END-SEARCH.

       7280-SEARCH-TABLE-EXIT.
           EXIT.
