      *****************************************************************
      * File:      M7287.CBL                                          *
      * Author:    Mike Ray                                           *
      * Date:      02/02/96                                           *
      * Purpose:                                                      *
      *    This routine uses a serial search against the              *
      *    ws-7008-error-msg-tbl to look up an error message and then *
      *    increments the error count.
      * Assumptions:                                                  *
      *    A check for zero or blank in any of the input fields is    *
      *    made outside of this routine.                              *
      *****************************************************************

       7287-INCREMENT-ERR-COUNT.

      $IF DEBUG-SW DEFINED
           DISPLAY '7287-INCREMENTING ERROR MESSAGE COUNT'
           UPON CONSOLE
      $END

           MOVE WS-LITERAL-NO TO WS-7287-FOUND-FLG

           SET WS-7008-ERROR-MSG-INDEX TO 1

           SEARCH WS-7008-ERROR-MSG-REC
              VARYING WS-7008-ERROR-MSG-INDEX
              AT END
                   INITIALIZE WS-7287-ERROR-NO
              WHEN WS-7287-ERROR-NO =
                   WS-7008-ERROR-NO(WS-7008-ERROR-MSG-INDEX)
                   MOVE WS-LITERAL-YES TO WS-7287-FOUND-FLG
                   ADD 1
                    TO WS-7008-ERROR-COUNT(WS-7008-ERROR-MSG-INDEX)
                   INITIALIZE WS-7287-ERROR-NO
           END-SEARCH.

       7287-INCREMENT-ERR-COUNT-EXIT.
           EXIT.

