      *****************************************************************
      * File:      M7290.CBL                                          *
      * Author:    Mike Ray                                           *
      * Date:      11/7/95                                            *
      * Purpose:                                                      *
      *    This routine uses a serial search against the              *
      *    WS-7011-UM-TBL to look up the unit of measure for a crop.  *
      *****************************************************************

       7290-LOOKUP-UM.

      $IF DEBUG-SW DEFINED
           DISPLAY '7290-LOOKING UP UNIT OF MEASURE'
           UPON CONSOLE
      $END

      **   THE FOLLOWING EVALUATE STATEMENT IS A TEMPORARY PATCH
      **   UNTIL TYPE CODE IS ADDED TO THE UNIT OF MEASURE TABLE
           EVALUATE WS-7290-CROP-CD
              WHEN WS-LITERAL-CORN
                 IF WS-7290-TYPE-CD = '026' OR
                    WS-7290-TYPE-CD = '028'
                    MOVE WS-LITERAL-YES TO WS-7290-FOUND-FLG
                    MOVE WS-LITERAL-TONS TO WS-7290-UNIT-OF-MEASURE
                    GO TO 7290-LOOKUP-UM-EXIT
                 END-IF
              WHEN WS-LITERAL-FRESH-TOMATOES
                 IF WS-7290-INS-PLAN-CD = WS-LITERAL-APH-AREA-PLAN
                    MOVE WS-LITERAL-YES TO WS-7290-FOUND-FLG
                    MOVE WS-LITERAL-CARTONS TO WS-7290-UNIT-OF-MEASURE
                    GO TO 7290-LOOKUP-UM-EXIT
                 END-IF

              WHEN WS-LITERAL-FORAGE-PROD
                 IF WS-7290-INS-PLAN-CD = 12
                    MOVE WS-LITERAL-YES TO WS-7290-FOUND-FLG
                    MOVE WS-LITERAL-DOLLARS TO WS-7290-UNIT-OF-MEASURE
                    GO TO 7290-LOOKUP-UM-EXIT
                 ELSE
                    MOVE WS-LITERAL-YES TO WS-7290-FOUND-FLG
                    MOVE WS-LITERAL-TONS TO WS-7290-UNIT-OF-MEASURE
                    GO TO 7290-LOOKUP-UM-EXIT
                 END-IF


              WHEN OTHER
                 CONTINUE
           END-EVALUATE


           MOVE WS-LITERAL-NO TO WS-7290-FOUND-FLG
           INITIALIZE WS-7290-CROP-UM-REC
           SET WS-7011-UM-INDEX TO 1

           SEARCH WS-7011-UM-REC
              VARYING WS-7011-UM-INDEX
              AT END SET WS-7011-UM-INDEX TO 1
              WHEN WS-7290-CROP-CD IS EQUAL TO
                   WS-7011-CROP-CD(WS-7011-UM-INDEX)
               AND WS-7290-STATE-CD IS EQUAL TO
                   WS-7011-STATE-CD(WS-7011-UM-INDEX)
                     MOVE WS-LITERAL-YES TO WS-7290-FOUND-FLG
                     MOVE WS-7011-UM-REC(WS-7011-UM-INDEX)
                         TO WS-7290-CROP-UM-REC
           END-SEARCH

           IF WS-7290-FOUND-FLG = WS-LITERAL-NO
      *
      *       IF NO SPECIFIC UM FOR A CROP IN A STATE EXISTS
      *       USE STATE = 98 TO SEARCH FOR A GENERAL UM.
      *
              SEARCH WS-7011-UM-REC
                 VARYING WS-7011-UM-INDEX
                 AT END INITIALIZE WS-7290-INPUT
                 WHEN (WS-7290-CROP-CD IS EQUAL TO
                      WS-7011-CROP-CD(WS-7011-UM-INDEX)
                  AND WS-7011-STATE-CD(WS-7011-UM-INDEX) = 98)
                        MOVE WS-LITERAL-YES TO WS-7290-FOUND-FLG
                        MOVE WS-7011-UM-REC(WS-7011-UM-INDEX)
                          TO WS-7290-CROP-UM-REC
                        INITIALIZE WS-7290-INPUT
              END-SEARCH
           END-IF.

       7290-LOOKUP-UM-EXIT.
           EXIT.

