      *****************************************************************
      * File:      M7295.CBL                                          *
      * Author:    Mike Ray                                           *
      * Date:      11/07/95                                           *
      * Purpose:                                                      *
      *    Loads the Unit of Measure table from a file into the       *
      *    WS-7011-UM-TBL.  Sets the number of records in the         *
      *    table upon completion.                                     *
      *****************************************************************

       7295-LOAD-UM-TBL.

      $IF DEBUG-SW DEFINED
           DISPLAY '7295-LOADING UNIT OF MEASURE TABLE'
           UPON CONSOLE
      $END

           INITIALIZE WS-7011-UM-TBL
           INITIALIZE WS-7011-UM-REC-COUNT
           INITIALIZE WS-7295-EOF
           INITIALIZE WS-7295-UM-FILE-REC
           OPEN INPUT UM-FILE
           ADD 1 TO WS-0004-FILES-OPEN
           IF WS-0004-FILES-OPEN > WS-0008-MAX-FILES-OPENED
              MOVE WS-0004-FILES-OPEN
                TO WS-0008-MAX-FILES-OPENED
           END-IF

      $IF DEBUG-SW DEFINED
           DISPLAY '7295-UM FILE OPENED'
           UPON CONSOLE
      $END

           PERFORM 7295-READ-UM-RECORD
              THRU 7295-READ-UM-RECORD-EXIT
             UNTIL WS-7295-EOF = WS-LITERAL-YES

           CLOSE UM-FILE
           SUBTRACT 1 FROM WS-0004-FILES-OPEN

           IF WS-7011-UM-REC-COUNT > WS-7011-MAX-SIZE
              DISPLAY 'UM TABLE LIMIT EXCEEDED'
              UPON CONSOLE
              DISPLAY
              'FILE CONTAINS ' WS-7011-UM-REC-COUNT ' RECORDS'
              UPON CONSOLE
              DISPLAY 'MAX TABLE SIZE IS ' WS-7011-MAX-SIZE
              UPON CONSOLE
              PERFORM 0800-ABORT-PROGRAM
                 THRU 0800-ABORT-PROGRAM-EXIT
           END-IF.

      $IF DEBUG-SW DEFINED
           DISPLAY 'READ ', WS-7011-UM-REC-COUNT, ' UM RECORDS'
           UPON CONSOLE.
      $END


       7295-LOAD-UM-TBL-EXIT.
           EXIT.

      *****************************************************************
      *    BELOW:  READ EVERY RECORD IN THE FILE.  INCREMENT THE      *
      *    INDEX FOR EACH RECORD TO BE MOVED TO THE TABLE.  AT        *
      *    THE END OF PROCESSING THIS INDEX WILL BE MOVED TO A        *
      *    RECORD COUNTER FOR DISPLAY OF JOB STATISTICS.              *
      *    IF THE INPUT RECORD IS NOT NUMERIC AN ERROR MESSAGE IS     *
      *    DISPLAYED AND THE PROGRAM IS TERMINATED.                   *
      *****************************************************************

       7295-READ-UM-RECORD.

           READ UM-FILE INTO WS-7295-UM-FILE-REC
               AT END
                  MOVE WS-LITERAL-YES TO WS-7295-EOF
                  GO TO 7295-READ-UM-RECORD-EXIT
           END-READ

           ADD 1 TO WS-7011-UM-REC-COUNT

           IF WS-7295-UM-REC IS EQUAL SPACES
              MOVE WS-LITERAL-YES TO WS-7295-EOF
              GO TO 7295-READ-UM-RECORD-EXIT
           END-IF

           IF WS-7011-UM-REC-COUNT <= WS-7011-MAX-SIZE
              SET WS-7011-UM-INDEX
               TO WS-7011-UM-REC-COUNT
              MOVE WS-7295-CROP-CD
                TO WS-7011-CROP-CD(WS-7011-UM-INDEX)
              MOVE WS-7295-STATE-CD
                TO WS-7011-STATE-CD(WS-7011-UM-INDEX)
              MOVE WS-7295-UNIT-OF-MEASURE
                TO WS-7011-UNIT-OF-MEASURE(WS-7011-UM-INDEX)
           END-IF.


       7295-READ-UM-RECORD-EXIT.
           EXIT.
