      *****************************************************************
      * File:      M7300.CBL                                          *
      * Author:    Mike Ray                                           *
      * Date:      12/05/95                                           *
      * Purpose:                                                      *
      *    Loads the Stage Code by Crop table from a file into the    *
      *    WS-7018-STAGE-TBL.  Sets the number of records in the      *
      *    table upon completion.                                     *
      *****************************************************************

       7300-LOAD-STAGE-CROP-TBL.

      $IF DEBUG-SW DEFINED
           DISPLAY '7300-LOADING STAGE CODE BY CROP TABLE'
           UPON CONSOLE
      $END

           INITIALIZE WS-7018-STAGE-CROP-TBL
           INITIALIZE WS-7018-STAGE-CROP-REC-COUNT
           INITIALIZE WS-7300-STAGE-CROP-AREA
           OPEN INPUT STAGE-CROP-FILE
           ADD 1 TO WS-0004-FILES-OPEN
           IF WS-0004-FILES-OPEN > WS-0008-MAX-FILES-OPENED
              MOVE WS-0004-FILES-OPEN
                TO WS-0008-MAX-FILES-OPENED
           END-IF


      $IF DEBUG-SW DEFINED
           DISPLAY '7300-STAGE CROP FILE OPENED'
           UPON CONSOLE
      $END

           PERFORM 7300-READ-STAGE-CROP-REC
              THRU 7300-READ-STAGE-CROP-REC-EXIT
             UNTIL WS-7300-EOF = WS-LITERAL-YES

           CLOSE STAGE-CROP-FILE

           SUBTRACT 1 FROM WS-0004-FILES-OPEN

           IF WS-7018-STAGE-CROP-REC-COUNT > WS-7018-MAX-SIZE
              DISPLAY 'STAGE CROP TABLE LIMIT EXCEEDED'
              UPON CONSOLE
              DISPLAY
                'FILE CONTAINS ' WS-7018-STAGE-CROP-REC-COUNT ' RECORDS'
              UPON CONSOLE
              DISPLAY 'MAX TABLE SIZE IS ' WS-7018-MAX-SIZE
              UPON CONSOLE
              PERFORM 0800-ABORT-PROGRAM
                 THRU 0800-ABORT-PROGRAM-EXIT
           END-IF.

      $IF DEBUG-SW DEFINED
           DISPLAY 'READ ', WS-7018-STAGE-CROP-REC-COUNT,
           ' STAGE RECORDS'
           UPON CONSOLE.
      $END


       7300-LOAD-STAGE-CROP-TBL-EXIT.
           EXIT.

      *****************************************************************
      *    BELOW:  READ EVERY RECORD IN THE FILE.  INCREMENT THE      *
      *    INDEX FOR EACH RECORD TO BE MOVED TO THE TABLE.  AT        *
      *    THE END OF PROCESSING THIS INDEX WILL BE MOVED TO A        *
      *    RECORD COUNTER FOR DISPLAY OF JOB STATISTICS.              *
      *    IF THE INPUT RECORD IS NOT NUMERIC AN ERROR MESSAGE IS     *
      *    DISPLAYED AND THE PROGRAM IS TERMINATED.                   *
      *****************************************************************

       7300-READ-STAGE-CROP-REC.

           READ STAGE-CROP-FILE INTO WS-7300-STAGE-CROP-FILE-REC
               AT END
                  MOVE WS-LITERAL-YES TO WS-7300-EOF
                  GO TO 7300-READ-STAGE-CROP-REC-EXIT
           END-READ

           ADD 1 TO WS-7018-STAGE-CROP-REC-COUNT

           IF WS-7300-STAGE-CROP-REC IS EQUAL SPACES
              MOVE WS-LITERAL-YES TO WS-7300-EOF
              GO TO 7300-READ-STAGE-CROP-REC-EXIT
           END-IF

           IF WS-7018-STAGE-CROP-REC-COUNT <= WS-7018-MAX-SIZE
              SET WS-7018-STAGE-CROP-INDEX
               TO WS-7018-STAGE-CROP-REC-COUNT
              MOVE WS-7300-STAGE-CROP-REC
                TO WS-7018-STAGE-CROP-REC(WS-7018-STAGE-CROP-INDEX)
           END-IF.


       7300-READ-STAGE-CROP-REC-EXIT.
           EXIT.
