      *****************************************************************
      * File:      M7320.CBL                                          *
      * Author:    Mike Ray                                           *
      * Date:      12/05/95                                           *
      * Purpose:                                                      *
      *    Loads the Cause of Loss by Crop table from a file into the *
      *    WS-7016-LOSS-CAUSE-CROP-TBL  Sets the number of records in *
      *    the table upon completion.                                 *
      *****************************************************************

       7320-LOAD-LOSS-CAUSE-CROP.

      $IF DEBUG-SW DEFINED
           DISPLAY '7320-LOADING LOSS CAUSE BY CROP TABLE'
           UPON CONSOLE
      $END

           INITIALIZE WS-7016-LOSS-CAUSE-CROP-TBL
           INITIALIZE WS-7016-LOSS-CS-CROP-REC-COUNT
           INITIALIZE WS-7320-LOSS-CAUSE-CROP-AREA
           OPEN INPUT LOSS-CAUSE-CROP-FILE
           ADD 1 TO WS-0004-FILES-OPEN
           IF WS-0004-FILES-OPEN > WS-0008-MAX-FILES-OPENED
              MOVE WS-0004-FILES-OPEN
                TO WS-0008-MAX-FILES-OPENED
           END-IF

      $IF DEBUG-SW DEFINED
           DISPLAY '7320-LOSS-CAUSE BY CROP FILE OPENED'
           UPON CONSOLE
      $END

           PERFORM 7320-READ-LC-CROP-RECORD
              THRU 7320-READ-LC-CROP-RECORD-EXIT
             UNTIL WS-7320-EOF = WS-LITERAL-YES

           CLOSE LOSS-CAUSE-CROP-FILE
           SUBTRACT 1 FROM WS-0004-FILES-OPEN

           IF WS-7016-LOSS-CS-CROP-REC-COUNT > WS-7016-MAX-SIZE
              DISPLAY 'LOSS CAUSE BY CROP TABLE LIMIT EXCEEDED'
              UPON CONSOLE
              DISPLAY
              'FILE CONTAINS ' WS-7016-LOSS-CS-CROP-REC-COUNT  'RECORDS'
              UPON CONSOLE
              DISPLAY 'MAX TABLE SIZE IS ' WS-7016-MAX-SIZE
              UPON CONSOLE
              PERFORM 0800-ABORT-PROGRAM
                 THRU 0800-ABORT-PROGRAM-EXIT
           END-IF.

       7320-LOAD-LOSS-CAUSE-CROP-EXIT.
           EXIT.

      *****************************************************************
      *    BELOW:  READ EVERY RECORD IN THE FILE.  INCREMENT THE      *
      *    INDEX FOR EACH RECORD TO BE MOVED TO THE TABLE.  AT        *
      *    THE END OF PROCESSING THIS INDEX WILL BE MOVED TO A        *
      *    RECORD COUNTER FOR DISPLAY OF JOB STATISTICS.              *
      *    IF THE INPUT RECORD IS NOT NUMERIC AN ERROR MESSAGE IS     *
      *    DISPLAYED AND THE PROGRAM IS TERMINATED.                   *
      *****************************************************************

       7320-READ-LC-CROP-RECORD.

           READ LOSS-CAUSE-CROP-FILE
               INTO WS-7320-LOSS-CS-CROP-FILE-REC
               AT END
                  MOVE WS-LITERAL-YES TO WS-7320-EOF
                  GO TO 7320-READ-LC-CROP-RECORD-EXIT
           END-READ

           ADD 1 TO WS-7016-LOSS-CS-CROP-REC-COUNT

           IF WS-7320-LOSS-CS-CROP-FILE-REC IS EQUAL SPACES
              MOVE WS-LITERAL-YES TO WS-7320-EOF
              GO TO 7320-READ-LC-CROP-RECORD-EXIT
           END-IF

           IF WS-7016-LOSS-CS-CROP-REC-COUNT <= WS-7016-MAX-SIZE
              SET WS-7016-LOSS-CAUSE-CROP-INDEX
               TO WS-7016-LOSS-CS-CROP-REC-COUNT
              MOVE WS-7320-LOSS-CAUSE-CROP-REC
                TO WS-7016-LOSS-CAUSE-CROP-REC
                   (WS-7016-LOSS-CAUSE-CROP-INDEX)
           END-IF.


       7320-READ-LC-CROP-RECORD-EXIT.
           EXIT.
