      *****************************************************************
      * File:      M7325.CBL                                          *
      * Author:    Laura Dittamo                                      *
      * Date:      06/19/96                                           *
      * Purpose:                                                      *
      *    Loads the Max Crop Limit table from a file into the        *
      *    WS-7010-CROP-LIMIT-TBL. Sets the number of records in the  *
      *    table upon completion.                                     *
      *****************************************************************

       7325-LOAD-CROP-LIMIT-TBL.

      $IF DEBUG-SW DEFINED
           DISPLAY '7325-LOADING CROP LIMIT TABLE'
           UPON CONSOLE
      $END

           INITIALIZE WS-7010-CROP-LIMIT-TBL
           INITIALIZE WS-7010-CROP-LIMIT-REC-COUNT
           INITIALIZE WS-7325-EOF
           INITIALIZE WS-7325-CROP-LIMIT-FILE-REC
           OPEN INPUT CROP-LIMIT-FILE
           ADD 1 TO WS-0004-FILES-OPEN
           IF WS-0004-FILES-OPEN > WS-0008-MAX-FILES-OPENED
              MOVE WS-0004-FILES-OPEN
                TO WS-0008-MAX-FILES-OPENED
           END-IF

      $IF DEBUG-SW DEFINED
           DISPLAY '7325-CROP MAX LIMIT FILE OPENED'
           UPON CONSOLE
      $END

           PERFORM 7325-READ-CROP-LMT-RECORD
              THRU 7325-READ-CROP-LMT-RECORD-EXIT
             UNTIL WS-7325-EOF = WS-LITERAL-YES

           CLOSE CROP-LIMIT-FILE

           SUBTRACT 1 FROM WS-0004-FILES-OPEN

           IF WS-7010-CROP-LIMIT-REC-COUNT > WS-7010-MAX-SIZE
              DISPLAY 'CROP LIMIT TABLE LIMIT EXCEEDED'
              UPON CONSOLE
              DISPLAY
                'FILE CONTAINS ' WS-7010-CROP-LIMIT-REC-COUNT ' RECORDS'
              UPON CONSOLE
              DISPLAY 'MAX TABLE SIZE IS ' WS-7010-MAX-SIZE
              UPON CONSOLE
              PERFORM 0800-ABORT-PROGRAM
                 THRU 0800-ABORT-PROGRAM-EXIT
           END-IF.

      $IF DEBUG-SW DEFINED
           DISPLAY 'READ ', WS-7010-CROP-LIMIT-REC-COUNT,
           ' CROP LIMIT RECORDS'
           UPON CONSOLE.
      $END


       7325-LOAD-CROP-LIMIT-TBL-EXIT.
           EXIT.

      *****************************************************************
      *    BELOW:  READ EVERY RECORD IN THE FILE.  INCREMENT THE      *
      *    INDEX FOR EACH RECORD TO BE MOVED TO THE TABLE.  AT        *
      *    THE END OF PROCESSING THIS INDEX WILL BE MOVED TO A        *
      *    RECORD COUNTER FOR DISPLAY OF JOB STATISTICS.              *
      *    IF THE INPUT RECORD IS NOT NUMERIC AN ERROR MESSAGE IS     *
      *    DISPLAYED AND THE PROGRAM IS TERMINATED.                   *
      *****************************************************************

       7325-READ-CROP-LMT-RECORD.

           READ CROP-LIMIT-FILE INTO WS-7325-CROP-LIMIT-FILE-REC
               AT END
                  MOVE WS-LITERAL-YES TO WS-7325-EOF
                  GO TO 7325-READ-CROP-LMT-RECORD-EXIT
           END-READ

           ADD 1 TO WS-7010-CROP-LIMIT-REC-COUNT

           IF WS-7325-CROP-LIMIT-REC IS EQUAL SPACES
              MOVE WS-LITERAL-YES TO WS-7325-EOF
              GO TO 7325-READ-CROP-LMT-RECORD-EXIT
           END-IF

           IF WS-7010-CROP-LIMIT-REC-COUNT <= WS-7010-MAX-SIZE
              SET WS-7010-CROP-LIMIT-INDEX
               TO WS-7010-CROP-LIMIT-REC-COUNT
              MOVE WS-7325-CROP-LIMIT-REC
                TO WS-7010-CROP-LIMIT-REC(WS-7010-CROP-LIMIT-INDEX)
           END-IF.


       7325-READ-CROP-LMT-RECORD-EXIT.
           EXIT.
