      *****************************************************************
      * File:      M7350.CBL                                          *
      * Author:    Mike Ray                                           *
      * Date:      12/05/95                                           *
      * Purpose:                                                      *
      *    This routine uses a serial search against the              *
      *    WS-7018-STAGE-CROP-TBL to look up the allowable stage codes*
      *    for a crop.                                                *
      *                                                               *
      * Special Notes:                                                *
      *    Where a Stage code applies to all states the state code    *
      *    will be 98.  Where it applies to all plan codes the plan   *
      *    code will be 98.  Where it applies to all crops the crop   *
      *    code will be 998.                                          *
      * Example:                                                      *
      *    All GRP Crops:                                             *
      *      Crop = 998; State = 98; Plan = 12                        *
      *****************************************************************

       7350-LOOKUP-STAGE-CROP.

      $IF DEBUG-SW DEFINED
           DISPLAY '7350-LOOKING UP STAGE CODE BY CROP'
           UPON CONSOLE
      $END

      *****************************************************
      *    INITIALIZE LOCAL AND OUTPUT VARIABLES          *
      *****************************************************
           INITIALIZE WS-7350-OUTPUT
           MOVE WS-LITERAL-NO TO WS-7350-FOUND-FLG

      *****************************************************
      *    SEARCH STAGE CODE BY CROP TABLE                *
      *****************************************************
           SET WS-7018-STAGE-CROP-INDEX TO 1

           SEARCH WS-7018-STAGE-CROP-REC
              VARYING WS-7018-STAGE-CROP-INDEX
              AT END SET WS-7018-STAGE-CROP-INDEX TO 1
              WHEN WS-7350-CROP-CD =
                   WS-7018-CROP-CD(WS-7018-STAGE-CROP-INDEX) AND
                   WS-7350-STATE-CD =
                   WS-7018-STATE-CD(WS-7018-STAGE-CROP-INDEX) AND
                   WS-7350-INS-PLAN-CD =
                   WS-7018-INS-PLAN-CD(WS-7018-STAGE-CROP-INDEX) AND
                   WS-7350-STAGE-CD =
                   WS-7018-STAGE-CD(WS-7018-STAGE-CROP-INDEX)
                 MOVE WS-LITERAL-YES TO WS-7350-FOUND-FLG
                 MOVE WS-7018-STAGE-PCT-FCTR(WS-7018-STAGE-CROP-INDEX)
                   TO WS-7350-STAGE-PCT-FCTR
           END-SEARCH
           MOVE WS-7350-STAGE-PCT-FCTR
             TO WS-7350-STAGE-PCT-FCTR-X.

      $IF DEBUG-SW DEFINED
           DISPLAY 'STAGE PERCENT FACTOR = ',
           WS-7350-STAGE-PCT-FCTR-X
           UPON CONSOLE.
      $END

       7350-LOOKUP-STAGE-CROP-EXIT.
           EXIT.

