      *****************************************************************
      * File:      M7355.CBL                                          *
      * Author:    Mike Ray                                           *
      * Date:      12/05/95                                           *
      * Purpose:                                                      *
      *    This routine uses a serial search against the              *
      *    WS-7016-LOSS-CAUSE-CROP-TBL to look up the allowable loss  *
      *    cause codes for a crop.                                    *
      *                                                               *
      * Special Notes:                                                *
      *    Where a loss cause code applies to all states the state    *
      *    code will be 98.  Where it applies to all plan codes the   *
      *    plan code will be 98.  Where it applies to all crops the   *
      *    crop code will be 998.                                     *
      * Example:                                                      *
      *    All GRP Crops:                                             *
      *      Crop = 998; State = 98; Plan = 12                        *
      *****************************************************************

       7355-LOOKUP-LOSS-CSE-CROP.

      $IF DEBUG-SW DEFINED
           DISPLAY '7355-LOOKING UP LOSS CAUSE CODE BY CROP'
           UPON CONSOLE
      $END

           MOVE WS-LITERAL-NO TO WS-7355-FOUND-FLG
           SET WS-7016-LOSS-CAUSE-CROP-INDEX TO 1

           SEARCH WS-7016-LOSS-CAUSE-CROP-REC
              VARYING WS-7016-LOSS-CAUSE-CROP-INDEX
              AT END SET WS-7016-LOSS-CAUSE-CROP-INDEX TO 1
              WHEN WS-7355-INPUT IS EQUAL TO
                   WS-7016-LOSS-CAUSE-CROP-REC
                   (WS-7016-LOSS-CAUSE-CROP-INDEX)

                   MOVE WS-LITERAL-YES TO WS-7355-FOUND-FLG
           END-SEARCH.

       7355-LOOKUP-LOSS-CSE-CROP-EXIT.
           EXIT.

