      *****************************************************************
      * File:      M7360.CBL                                          *
      * Author:    Laura Dittamo                                      *
      * Date:      7/10/96                                            *
      * Purpose:                                                      *
      *    Loads the Stage Code table from a file into the            *
      *    WS-7017-STAGE-TBL.  Sets the number of records in the      *
      *    table upon completion.                                     *
      *****************************************************************

       7360-LOAD-STAGE-TBL.

      $IF DEBUG-SW DEFINED
           DISPLAY '7360-LOADING STAGE CODE TABLE'
           UPON CONSOLE
      $END

           INITIALIZE WS-7017-STAGE-TBL
           INITIALIZE WS-7017-STAGE-REC-COUNT
           INITIALIZE WS-7360-STAGE-AREA
           OPEN INPUT STAGE-FILE.

      $IF DEBUG-SW DEFINED
           DISPLAY '7360-STAGE FILE OPENED'
           UPON CONSOLE
      $END

           PERFORM 7360-READ-STAGE-RECORD
              THRU 7360-READ-STAGE-RECORD-EXIT
             UNTIL WS-7360-EOF = WS-LITERAL-YES

           CLOSE STAGE-FILE.

           IF WS-7017-STAGE-REC-COUNT > WS-7017-MAX-SIZE
              DISPLAY 'STAGE TABLE LIMIT EXCEEDED'
              UPON CONSOLE
              DISPLAY
                'FILE CONTAINS ' WS-7017-STAGE-REC-COUNT ' RECORDS'
              UPON CONSOLE
              DISPLAY 'MAX TABLE SIZE IS ' WS-7017-MAX-SIZE
              UPON CONSOLE
              PERFORM 0800-ABORT-PROGRAM
                 THRU 0800-ABORT-PROGRAM-EXIT
           END-IF.

      $IF DEBUG-SW DEFINED
           DISPLAY 'READ ', WS-7017-STAGE-REC-COUNT, ' STAGE RECORDS'
           UPON CONSOLE.
      $END


       7360-LOAD-STAGE-TBL-EXIT.
           EXIT.

      *****************************************************************
      *    BELOW:  READ EVERY RECORD IN THE FILE.  INCREMENT THE      *
      *    INDEX FOR EACH RECORD TO BE MOVED TO THE TABLE.  AT        *
      *    THE END OF PROCESSING THIS INDEX WILL BE MOVED TO A        *
      *    RECORD COUNTER FOR DISPLAY OF JOB STATISTICS.              *
      *    IF THE INPUT RECORD IS NOT NUMERIC AN ERROR MESSAGE IS     *
      *    DISPLAYED AND THE PROGRAM IS TERMINATED.                   *
      *****************************************************************

       7360-READ-STAGE-RECORD.

           READ STAGE-FILE INTO WS-7360-STAGE-FILE-REC
               AT END
                  MOVE WS-LITERAL-YES TO WS-7360-EOF
                  GO TO 7360-READ-STAGE-RECORD-EXIT
           END-READ

           ADD 1 TO WS-7017-STAGE-REC-COUNT

           IF WS-7360-STAGE-REC IS EQUAL SPACES
              MOVE WS-LITERAL-YES TO WS-7360-EOF
              GO TO 7360-READ-STAGE-RECORD-EXIT
           END-IF

           IF WS-7017-STAGE-REC-COUNT <= WS-7017-MAX-SIZE
              SET WS-7017-STAGE-INDEX
               TO WS-7017-STAGE-REC-COUNT
              MOVE WS-7360-STAGE-REC
                TO WS-7017-STAGE-REC(WS-7017-STAGE-INDEX)
           END-IF.


       7360-READ-STAGE-RECORD-EXIT.
           EXIT.
