      *****************************************************************
      * File:      M7370.CBL                                          *
      * Author:    Laura Dittamo                                      *
      * Date:      7/10/96                                            *
      * Purpose:                                                      *
      *    Loads the Cause of Loss table from a file into the         *
      *    WS-7013-LOSS-CAUSE-TBL  Sets the number of records in the  *
      *    table upon completion.                                     *
      *****************************************************************

       7370-LOAD-LOSS-CAUSE-TBL.

      $IF DEBUG-SW DEFINED
           DISPLAY '7370-LOADING LOSS CAUSE TABLE'
           UPON CONSOLE
      $END

           INITIALIZE WS-7370-LOSS-CAUSE-AREA
           INITIALIZE WS-7013-LOSS-CAUSE-REC-COUNT
           INITIALIZE WS-7013-LOSS-CAUSE-TBL
           OPEN INPUT LOSS-CAUSE-FILE

      $IF DEBUG-SW DEFINED
           DISPLAY '7370-LOSS-CAUSE FILE OPENED'
           UPON CONSOLE
      $END

           PERFORM 7370-READ-LC-RECORD
              THRU 7370-READ-LC-RECORD-EXIT
             UNTIL WS-7370-EOF = WS-LITERAL-YES

           CLOSE LOSS-CAUSE-FILE

           IF WS-7013-LOSS-CAUSE-REC-COUNT > WS-7013-MAX-SIZE
              DISPLAY 'LOSS CAUSE TABLE LIMIT EXCEEDED'
              UPON CONSOLE
              DISPLAY
              'FILE CONTAINS ' WS-7013-LOSS-CAUSE-REC-COUNT ' RECORDS'
              UPON CONSOLE
              DISPLAY 'MAX TABLE SIZE IS ' WS-7013-MAX-SIZE
              UPON CONSOLE
              PERFORM 0800-ABORT-PROGRAM
                 THRU 0800-ABORT-PROGRAM-EXIT
           END-IF.

       7370-LOAD-LOSS-CAUSE-TBL-EXIT.
           EXIT.

      *****************************************************************
      *    BELOW:  READ EVERY RECORD IN THE FILE.  INCREMENT THE      *
      *    INDEX FOR EACH RECORD TO BE MOVED TO THE TABLE.  AT        *
      *    THE END OF PROCESSING THIS INDEX WILL BE MOVED TO A        *
      *    RECORD COUNTER FOR DISPLAY OF JOB STATISTICS.              *
      *    IF THE INPUT RECORD IS NOT NUMERIC AN ERROR MESSAGE IS     *
      *    DISPLAYED AND THE PROGRAM IS TERMINATED.                   *
      *****************************************************************

       7370-READ-LC-RECORD.

           READ LOSS-CAUSE-FILE INTO WS-7370-LOSS-CAUSE-FILE-REC
               AT END
                  MOVE WS-LITERAL-YES TO WS-7370-EOF
                  GO TO 7370-READ-LC-RECORD-EXIT
           END-READ

           ADD 1 TO WS-7013-LOSS-CAUSE-REC-COUNT

           IF WS-7370-LOSS-CAUSE-REC IS EQUAL SPACES
              MOVE WS-LITERAL-YES TO WS-7370-EOF
              GO TO 7370-READ-LC-RECORD-EXIT
           END-IF

           IF WS-7013-LOSS-CAUSE-REC-COUNT <= WS-7013-MAX-SIZE
              SET WS-7013-LOSS-CAUSE-INDEX
               TO WS-7013-LOSS-CAUSE-REC-COUNT
              MOVE WS-7370-LOSS-CAUSE-REC
                TO WS-7013-LOSS-CAUSE-REC(WS-7013-LOSS-CAUSE-INDEX)
           END-IF.


       7370-READ-LC-RECORD-EXIT.
           EXIT.
