      *****************************************************************
      * File:      M7507.CBL                                          *
      * Author:    Mike Ray                                           *
      * Date:      12/19/95                                           *
      * Purpose:                                                      *
      *    This module validates the lookup parameters passed in and  *
      *    looks up values in the ADM record type 1G ISAM file.       *
      *    The ADM record contains:                                   *
      *               RATE DATA FOR ALL GRP PLAN CROPS                *
      *****************************************************************

       7507-LOOKUP-ADM1G.

      $IF DEBUG-SW DEFINED
           DISPLAY '7507-LOOKING UP ADM TYPE 1G REC (GRP RATE DATA)'
           UPON CONSOLE
      $END

      ************************************************
      *       INITIALIZE OUTPUT FIELDS               *
      ************************************************
           MOVE WS-LITERAL-NO TO WS-7507-FOUND-FLG
           MOVE WS-LITERAL-NO TO WS-7507-INPUT-ERROR

      ************************************************
      *         VALIDATE INPUT FIELDS                *
      ************************************************
           IF WS-7507-INPUT-CROP-YR = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 043 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-7507-INPUT-ERROR
              MOVE 'WS-7507-INPUT-CROP-YR' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 7507 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-7507-INPUT-STATE-CD = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 043 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-7507-INPUT-ERROR
              MOVE 'WS-7507-INPUT-STATE-CD' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 7507 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-7507-INPUT-COUNTY-CD = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 043 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-7507-INPUT-ERROR
              MOVE 'WS-7507-INPUT-COUNTY-CD' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 7507 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-7507-INPUT-CROP-CD = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 043 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-7507-INPUT-ERROR
              MOVE 'WS-7507-INPUT-CROP-CD' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 7507 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-7507-INPUT-INSURANCE-PLAN = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 043 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-7507-INPUT-ERROR
              MOVE 'WS-7507-INPUT-INS-PLAN' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 7507 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-7507-INPUT-PRACTICE-CD = SPACES
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 043 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-7507-INPUT-ERROR
              MOVE 'WS-7507-INPUT-PRACTICE-CD' TO WS-8000-FIELD-NAME1
              MOVE SPACES TO WS-8000-BAD-DATA1
              MOVE 'NOT SPACES' TO WS-8000-CORR-DATA1
              MOVE 7507 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-7507-INPUT-ERROR = WS-LITERAL-YES
              GO TO 7507-LOOKUP-ADM1G-EXIT
           END-IF

      ************************************************
      *            EXCEPTIONS BY CROP                *
      ************************************************
           EVALUATE WS-7507-INPUT-CROP-CD
               WHEN WS-LITERAL-NURSERY
                  MOVE '998' TO WS-7507-INPUT-COUNTY-CD
               WHEN OTHER
                  CONTINUE
           END-EVALUATE

      ************************************************
      *     EXCEPTION FOR AIR SEEDED SOYBEANS        *
      ************************************************
           IF WS-7507-INPUT-CROP-CD = WS-LITERAL-SOYBEANS AND
              WS-7507-INPUT-PRACTICE-POS1 = 'A'
              MOVE '0' TO WS-7507-INPUT-PRACTICE-POS1
           END-IF

      ************************************************
      *         READ RECORD FROM ISAM FILE           *
      ************************************************

           IF ADM1G-FILE-OPEN
      *       **** CHECK TO SEE IF THE RECORD IS CACHED
              IF WS-7507-INPUT-KEY = WS-7507-ADM1G-KEY
                 MOVE WS-LITERAL-YES TO WS-7507-FOUND-FLG
              ELSE
                 INITIALIZE WS-7507-ADM1G-REC
                 MOVE WS-7507-INPUT-KEY TO ADM1G-REC-KEY
                 READ ADM1G-FILE
                    INVALID KEY
                       GO TO 7507-LOOKUP-ADM1G-EXIT
                    NOT INVALID KEY
                       MOVE ADM1G-RECORD TO WS-7507-ADM1G-REC
                       MOVE WS-LITERAL-YES TO WS-7507-FOUND-FLG
                 END-READ
              END-IF
           ELSE
              MOVE 7507 TO WS-8020-PARAGRAPH-NO
              MOVE 90013 TO WS-8020-INT-ERROR-NO
              MOVE 'ADM1G FILE' TO WS-8020-FIELD-NAME
              MOVE SPACES TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

      $IF DEBUG-SW DEFINED
           PERFORM 7507-DISPLAY-RECORD
              THRU 7507-DISPLAY-RECORD-EXIT
      $END

      ************************************************
      *         INITIALIZE INPUT FIELDS              *
      ************************************************
           INITIALIZE WS-7507-INPUT-KEY.


       7507-LOOKUP-ADM1G-EXIT.
           EXIT.


      $IF DEBUG-SW DEFINED

       7507-DISPLAY-RECORD.

           DISPLAY 'ADM1G RECORD'
           UPON CONSOLE
           DISPLAY 'RECORD TYPE CODE: ',
           WS-7507-RECORD-TYPE-CD UPON CONSOLE
           DISPLAY 'RECORD TYPE SFX : ',
           WS-7507-RECORD-TYPE-SFX UPON CONSOLE
           DISPLAY 'CROP YEAR       : ',
           WS-7507-CROP-YEAR UPON CONSOLE
           DISPLAY 'STATE CODE      : ',
           WS-7507-STATE-CD UPON CONSOLE
           DISPLAY 'COUNTY CODE     : ',
           WS-7507-COUNTY-CD UPON CONSOLE
           DISPLAY 'CROP CODE       : ',
           WS-7507-CROP-CD UPON CONSOLE
           DISPLAY 'INSURANCE PLAN  : ',
           WS-7507-INSURANCE-PLAN-ID UPON CONSOLE
           DISPLAY 'PRACTICE CODE   : ',
           WS-7507-PRACTICE-CD UPON CONSOLE
           DISPLAY 'TYPE CODE       : ',
           WS-7507-TYPE-CD UPON CONSOLE
           DISPLAY '---------------------------'
             UPON CONSOLE
           DISPLAY 'EXPECTED COUNTY YIELD  : ',
             WS-7507-EXPECTED-CNTY-YLD UPON CONSOLE
           DISPLAY 'MAXIMUM LIABILITY      : ',
              WS-7507-MAXIMUM-LIABILITY UPON CONSOLE
           DISPLAY 'ESTIMATED ANNUAL YIELD : ',
             WS-7507-EST-ANNUAL-YIELD UPON CONSOLE
           DISPLAY 'FINAL ANNUAL YIELD     : ',
             WS-7507-FINAL-ANNUAL-YIELD UPON CONSOLE
           DISPLAY 'MAXIMUM SUBSIDY        : ',
             WS-7507-MAXIMUM-SUBSIDY UPON CONSOLE
           DISPLAY '---------------------------'
             UPON CONSOLE
           DISPLAY 'COVERAGE LEVEL/RATE 01: ',
           WS-7507-COVERAGE-LEVEL-01, ' - ',
           WS-7507-BASE-RATE-01 UPON CONSOLE
           DISPLAY 'COVERAGE LEVEL/RATE 02: ',
           WS-7507-COVERAGE-LEVEL-02, ' - ',
           WS-7507-BASE-RATE-02 UPON CONSOLE
           DISPLAY 'COVERAGE LEVEL/RATE 03: ',
           WS-7507-COVERAGE-LEVEL-03, ' - ',
           WS-7507-BASE-RATE-03 UPON CONSOLE
           DISPLAY 'COVERAGE LEVEL/RATE 04: ',
           WS-7507-COVERAGE-LEVEL-04, ' - ',
           WS-7507-BASE-RATE-04 UPON CONSOLE
           DISPLAY 'COVERAGE LEVEL/RATE 05: ',
           WS-7507-COVERAGE-LEVEL-05, ' - ',
           WS-7507-BASE-RATE-05 UPON CONSOLE
           DISPLAY 'COVERAGE LEVEL/RATE 06: ',
           WS-7507-COVERAGE-LEVEL-06, ' - ',
           WS-7507-BASE-RATE-06 UPON CONSOLE
           DISPLAY 'COVERAGE LEVEL/RATE 07: ',
           WS-7507-COVERAGE-LEVEL-07, ' - ',
           WS-7507-BASE-RATE-07 UPON CONSOLE
           DISPLAY '---------------------------'
           UPON CONSOLE
           DISPLAY 'NASS CROP TYPE/PRACT : ',
           WS-7507-NASS-TYPE, ' / ',
           WS-7507-NASS-PRACTICE UPON CONSOLE
           DISPLAY 'NASS YIELD TYPE      : ',
           WS-7507-NASS-YIELD-TYPE UPON CONSOLE
           DISPLAY 'LIMITED SUBSIDY      : ',
           WS-7507-LIMITED-SUBSIDY UPON CONSOLE
           DISPLAY 'MAXIMUM SUBSIDY 80%  : ',
           WS-7507-MAXIMUM-SUBSIDY-80-PCT, ' 85% ',
           WS-7507-MAXIMUM-SUBSIDY-85-PCT, ' 90% ',
           WS-7507-MAXIMUM-SUBSIDY-90-PCT UPON CONSOLE
           DISPLAY 'FILLER               : ',
           WS-7507-BIG-FILLER UPON CONSOLE
           DISPLAY '---------------------------'
             UPON CONSOLE
           DISPLAY 'DATE RELEASED/UPDATED/FILED: ',
           WS-7507-DATE-LAST-RELEASED, ' / ',
           WS-7507-DATE-LAST-UPDATED, ' / ',
           WS-7507-DATE-FILED UPON CONSOLE
           DISPLAY ' ' UPON CONSOLE.

       7507-DISPLAY-RECORD-EXIT.
           EXIT.

      $END
