      *****************************************************************
      * File:      M7510.CBL                                          *
      * Author:    Mike Ray                                           *
      * Date:      10/25/95                                           *
      * Purpose:                                                      *
      *    This module validates the lookup parameters passed in and  *
      *    looks up values in the ADM record type 2 ISAM file.        *
      *    The ADM record contains:                                   *
      *                   RATE FACTORS                                *
      *****************************************************************

       7510-LOOKUP-ADM2.

           IF WS-7510-INPUT-TYPE-CD IS EQUAL SPACES
              MOVE '997' TO WS-7510-INPUT-TYPE-CD
           END-IF


      *if ws-7510-input-state-cd = ws-literal-colorado
      *    and ws-7510-input-crop-cd = ws-literal-potatoes
      *        evaluate ws-7510-input-county-cd
      *            when 3
      *            when 21
      *            when 23
      *            when 105
      *            when 109
      *                move spaces to ws-7510-input-practice-cd
      *        end-evaluate
      *end-if

      $IF DEBUG-SW DEFINED
           DISPLAY '7510-LOOKING UP ADM TYPE 2 REC (RATE FACTORS) '
               ws-7510-input-key
           UPON CONSOLE
      $END

      ************************************************
      *       INITIALIZE OUTPUT FIELDS               *
      ************************************************
           MOVE WS-LITERAL-NO TO WS-7510-FOUND-FLG
           MOVE WS-LITERAL-NO TO WS-7510-INPUT-ERROR
           MOVE SPACES TO WS-7510-KEY-USED

      ************************************************
      *         VALIDATE INPUT FIELDS                *
      ************************************************
           IF WS-7510-INPUT-CROP-YR = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 043 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-7510-INPUT-ERROR
              MOVE 'WS-7510-INPUT-CROP-YR' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 7510 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-7510-INPUT-STATE-CD = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 043 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-7510-INPUT-ERROR
              MOVE 'WS-7510-INPUT-STATE-CD' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 7510 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-7510-INPUT-COUNTY-CD = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 043 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-7510-INPUT-ERROR
              MOVE 'WS-7510-INPUT-COUNTY-CD' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 7510 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-7510-INPUT-CROP-CD = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 043 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-7510-INPUT-ERROR
              MOVE 'WS-7510-INPUT-CROP-CD' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 7510 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-7510-INPUT-INSURANCE-PLAN = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 043 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-7510-INPUT-ERROR
              MOVE 'WS-7510-INPUT-INS-PLAN' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 7510 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-7510-INPUT-ERROR = WS-LITERAL-YES
              GO TO 7510-LOOKUP-ADM2-EXIT
           END-IF


      ************************************************
      *            EXCEPTIONS BY CROP                *
      ************************************************
           EVALUATE WS-7510-INPUT-CROP-CD
               WHEN WS-LITERAL-NURSERY
                  MOVE '998' TO WS-7510-INPUT-COUNTY-CD
               WHEN WS-LITERAL-POTATOES
                  IF WS-7510-INPUT-TYPE-CD = '997'
                     MOVE '000' TO WS-7510-INPUT-TYPE-CD
                  END-IF
               WHEN OTHER
                  CONTINUE
           END-EVALUATE

      ************************************************
      *    SELECT READ BASED UPON PRACTICE AND TYPE  *
      ************************************************
           IF WS-7510-INPUT-PRACTICE-CD = SPACES
              IF  WS-7510-INPUT-TYPE-CD = ZEROS and
                  (WS-7510-INPUT-CROP-CD <> WS-LITERAL-POTATOES OR
                   WS-TRAN-TYPE = 14)
                 MOVE 'T' TO WS-7510-KEY-USED
                 PERFORM 7510-READ-TINY-KEY
                    THRU 7510-READ-TINY-KEY-EXIT
              ELSE
                 MOVE 'P' TO WS-7510-KEY-USED
                 PERFORM 7510-READ-PARTIAL-KEY
                    THRU 7510-READ-PARTIAL-KEY-EXIT
              END-IF
           ELSE
              MOVE 'F' TO WS-7510-KEY-USED
              PERFORM 7510-READ-FULL-KEY
                 THRU 7510-READ-FULL-KEY-EXIT
           END-IF


      $IF DEBUG-SW DEFINED
           IF WS-7510-FOUND-FLG = WS-LITERAL-NO
              MOVE WS-7510-INPUT-KEY TO WS-7510-ADM2-KEY
              PERFORM 7510-DISPLAY-RECORD
                 THRU 7510-DISPLAY-RECORD-EXIT
              INITIALIZE WS-7510-ADM2-KEY
           ELSE
              PERFORM 7510-DISPLAY-RECORD
                 THRU 7510-DISPLAY-RECORD-EXIT
           END-IF
      $END

      ************************************************
      *         INITIALIZE INPUT FIELDS              *
      ************************************************
           INITIALIZE WS-7510-INPUT-KEY.


       7510-LOOKUP-ADM2-EXIT.
           EXIT.

      ************************************************
      *         READ FULL KEY                        *
      ************************************************


       7510-READ-FULL-KEY.

      $IF DEBUG-SW DEFINED
           DISPLAY 'READING ADM2 - FULL KEY'
           UPON CONSOLE
      $END

           IF ADM2-FILE-OPEN
      *       **** CHECK TO SEE IF THE RECORD IS CACHED
              IF WS-7510-INPUT-KEY = WS-7510-ADM2-KEY
                 MOVE WS-LITERAL-YES TO WS-7510-FOUND-FLG
              ELSE
                 INITIALIZE WS-7510-ADM2-REC
                 MOVE WS-7510-INPUT-KEY TO ADM2-REC-KEY
                 READ ADM2-FILE
                    INVALID KEY
                       if ws-7510-input-crop-cd = ws-literal-potatoes
                          if ws-7510-input-type-cd = '000'
                             move space to ws-7510-adm2-key
                             move '997' to ws-7510-input-type-cd
                             go to 7510-read-full-key
                       end-if
                       INITIALIZE WS-7510-ADM2-REC
                       GO TO 7510-READ-FULL-KEY-EXIT
                    NOT INVALID KEY
                       MOVE ADM2-RECORD TO WS-7510-ADM2-REC
                       MOVE WS-LITERAL-YES TO WS-7510-FOUND-FLG
                 END-READ
              END-IF
           ELSE
              MOVE 7510 TO WS-8020-PARAGRAPH-NO
              MOVE 90013 TO WS-8020-INT-ERROR-NO
              MOVE 'ADM2 FILE' TO WS-8020-FIELD-NAME
              MOVE SPACES TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF.

       7510-READ-FULL-KEY-EXIT.
           EXIT.


      ************************************************
      *         READ PARTIAL KEY                     *
      ************************************************


       7510-READ-PARTIAL-KEY.

      $IF DEBUG-SW DEFINED
           DISPLAY 'READING ADM2 - PARTIAL KEY'
               UPON CONSOLE
      $END

           IF ADM2-FILE-OPEN
              MOVE WS-7510-INPUT-KEY TO ADM2-REC-KEY
              START ADM2-FILE KEY = ADM2-REC-KEY
                  WITH SIZE 18
                  INVALID KEY
                       if ws-7510-input-crop-cd = ws-literal-potatoes
                       and ws-7510-input-type-cd = '000'
                           move space to ws-7510-adm2-key
                           move '997' to ws-7510-input-type-cd
                           go to 7510-read-partial-key
                       end-if

      $IF DEBUG-SW DEFINED
           MOVE WS-7510-INPUT-KEY TO WS-7510-ADM2-KEY
           DISPLAY 'ADM 2 PARTIAL KEY DATA NOT PRESENT ='
               WS-7510-INPUT-KEY
           UPON CONSOLE
      $END
                    INITIALIZE WS-7510-ADM2-REC
                    GO TO 7510-READ-PARTIAL-KEY-EXIT
                 NOT INVALID KEY
                    READ ADM2-FILE NEXT INTO WS-7510-ADM2-REC
                       AT END
                          MOVE 7510 TO WS-8020-PARAGRAPH-NO
                          MOVE 90013 TO WS-8020-INT-ERROR-NO
                          MOVE 'ADM2 FILE' TO WS-8020-FIELD-NAME
                          MOVE SPACES TO WS-8020-BAD-DATA
                          MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
                          PERFORM 8020-RECORD-INT-ERROR
                             THRU 8020-RECORD-INT-ERROR-EXIT
                       NOT AT END
                         MOVE WS-LITERAL-YES TO WS-7510-FOUND-FLG
                    END-READ
              END-START
           ELSE
              MOVE 7510 TO WS-8020-PARAGRAPH-NO
              MOVE 90013 TO WS-8020-INT-ERROR-NO
              MOVE 'ADM2 FILE' TO WS-8020-FIELD-NAME
              MOVE SPACES TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF.

       7510-READ-PARTIAL-KEY-EXIT.
           EXIT.


      ************************************************
      *         READ TINY KEY                        *
      ************************************************


       7510-READ-TINY-KEY.

      $IF DEBUG-SW DEFINED
           DISPLAY 'READING ADM2 - TINY KEY'
           UPON CONSOLE
      $END

           IF ADM2-FILE-OPEN
              MOVE WS-7510-INPUT-KEY TO ADM2-REC-KEY
              START ADM2-FILE KEY = ADM2-REC-KEY
                  WITH SIZE 15
                  INVALID KEY

      $IF DEBUG-SW DEFINED
           MOVE WS-7510-INPUT-KEY TO WS-7510-ADM2-KEY
           DISPLAY 'ADM 2 TINY KEY DATA NOT PRESENT'
           UPON CONSOLE
      $END
                    INITIALIZE WS-7510-ADM2-REC
                    GO TO 7510-READ-TINY-KEY-EXIT
                 NOT INVALID KEY
                    READ ADM2-FILE NEXT INTO WS-7510-ADM2-REC
                       AT END
                          MOVE 7510 TO WS-8020-PARAGRAPH-NO
                          MOVE 90013 TO WS-8020-INT-ERROR-NO
                          MOVE 'ADM2 FILE' TO WS-8020-FIELD-NAME
                          MOVE SPACES TO WS-8020-BAD-DATA
                          MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
                          PERFORM 8020-RECORD-INT-ERROR
                             THRU 8020-RECORD-INT-ERROR-EXIT
                       NOT AT END
                         MOVE WS-LITERAL-YES TO WS-7510-FOUND-FLG
                    END-READ
              END-START
           ELSE
              MOVE 7510 TO WS-8020-PARAGRAPH-NO
              MOVE 90013 TO WS-8020-INT-ERROR-NO
              MOVE 'ADM2 FILE' TO WS-8020-FIELD-NAME
              MOVE SPACES TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF.

       7510-READ-TINY-KEY-EXIT.
           EXIT.




      $IF DEBUG-SW DEFINED

       7510-DISPLAY-RECORD.

           DISPLAY 'RECORD TYPE CODE: ',
              WS-7510-RECORD-TYPE-CD UPON CONSOLE
           DISPLAY 'RECORD TYPE SFX : ',
             WS-7510-RECORD-TYPE-SFX UPON CONSOLE
           DISPLAY 'CROP YEAR       : ',
             WS-7510-CROP-YEAR UPON CONSOLE
           DISPLAY 'STATE CODE      : ',
             WS-7510-STATE-CD UPON CONSOLE
           DISPLAY 'COUNTY CODE     : ',
             WS-7510-COUNTY-CD UPON CONSOLE
           DISPLAY 'CROP CODE       : ',
             WS-7510-CROP-CD UPON CONSOLE
           DISPLAY 'INSURANCE PLAN  : ',
             WS-7510-INSURANCE-PLAN-ID UPON CONSOLE
           DISPLAY 'TYPE CODE       : ',
             WS-7510-TYPE-CD UPON CONSOLE
           DISPLAY 'PRACTICE CODE   : ',
             WS-7510-PRACTICE-CD UPON CONSOLE
           DISPLAY '---------------------------'
             UPON CONSOLE
           DISPLAY 'CERTIFIED SEED PRICE : ',
             WS-7510-CERTIFIED-SEED-PRICE UPON CONSOLE
           DISPLAY 'YIELD FLAG           : ',
             WS-7510-YIELD-FLG UPON CONSOLE
           DISPLAY 'MAP FLAG             : ',
             WS-7510-MAP-FLG UPON CONSOLE
           DISPLAY 'PRODUCER PREM TBL NUM: ',
             WS-7510-PROD-PREM-PCT-TBL-NUM UPON CONSOLE
           DISPLAY '---------------------------'
             UPON CONSOLE
           DISPLAY 'COVERAGE LEVEL 1     : ',
             WS-7510-COVERAGE-LVL1 UPON CONSOLE
           DISPLAY 'RATE DIFFERENTIAL 1  : ',
             WS-7510-RATE-DIFFERENTIAL1 UPON CONSOLE
           DISPLAY 'COVERAGE LEVEL 2     : ',
             WS-7510-COVERAGE-LVL2 UPON CONSOLE
           DISPLAY 'RATE DIFFERENTIAL 2  : ',
             WS-7510-RATE-DIFFERENTIAL1 UPON CONSOLE
           DISPLAY 'COVERAGE LEVEL 3     : ',
             WS-7510-COVERAGE-LVL3 UPON CONSOLE
           DISPLAY 'RATE DIFFERENTIAL 3  : ',
             WS-7510-RATE-DIFFERENTIAL3 UPON CONSOLE
           DISPLAY 'COVERAGE LEVEL 4     : ',
             WS-7510-COVERAGE-LVL4 UPON CONSOLE
           DISPLAY 'RATE DIFFERENTIAL 4  : ',
             WS-7510-RATE-DIFFERENTIAL4 UPON CONSOLE
           DISPLAY 'COVERAGE LEVEL 5     : ',
             WS-7510-COVERAGE-LVL5 UPON CONSOLE
           DISPLAY 'RATE DIFFERENTIAL 5  : ',
             WS-7510-RATE-DIFFERENTIAL5 UPON CONSOLE
           DISPLAY 'COVERAGE LEVEL 6     : ',
             WS-7510-COVERAGE-LVL6 UPON CONSOLE
           DISPLAY 'RATE DIFFERENTIAL 6  : ',
             WS-7510-RATE-DIFFERENTIAL6 UPON CONSOLE
           DISPLAY 'COVERAGE LEVEL 7     : ',
             WS-7510-COVERAGE-LVL7 UPON CONSOLE
           DISPLAY 'RATE DIFFERENTIAL 7  : ',
             WS-7510-RATE-DIFFERENTIAL7 UPON CONSOLE
           DISPLAY 'COVERAGE LEVEL 8     : ',
             WS-7510-COVERAGE-LVL8 UPON CONSOLE
           DISPLAY 'RATE DIFFERENTIAL 8  : ',
             WS-7510-RATE-DIFFERENTIAL8 UPON CONSOLE
           DISPLAY 'COVERAGE LEVEL 9     : ',
             WS-7510-COVERAGE-LVL9 UPON CONSOLE
           DISPLAY 'RATE DIFFERENTIAL 9  : ',
             WS-7510-RATE-DIFFERENTIAL9 UPON CONSOLE
           DISPLAY 'COVERAGE LEVEL 10    : ',
             WS-7510-COVERAGE-LVL10 UPON CONSOLE
           DISPLAY 'RATE DIFFERENTIAL 10 : ',
             WS-7510-RATE-DIFFERENTIAL10 UPON CONSOLE
           DISPLAY 'COVERAGE LEVEL 11    : ',
             WS-7510-COVERAGE-LVL11 UPON CONSOLE
           DISPLAY 'RATE DIFFERENTIAL 11 : ',
             WS-7510-RATE-DIFFERENTIAL11 UPON CONSOLE
           DISPLAY 'COVERAGE LEVEL 12    : ',
             WS-7510-COVERAGE-LVL12 UPON CONSOLE
           DISPLAY 'RATE DIFFERENTIAL 12 : ',
             WS-7510-RATE-DIFFERENTIAL12 UPON CONSOLE
           DISPLAY 'COVERAGE LEVEL 13    : ',
             WS-7510-COVERAGE-LVL13 UPON CONSOLE
           DISPLAY 'RATE DIFFERENTIAL 13 : ',
             WS-7510-RATE-DIFFERENTIAL13 UPON CONSOLE
           DISPLAY 'COVERAGE LEVEL 14    : ',
             WS-7510-COVERAGE-LVL14 UPON CONSOLE
           DISPLAY 'RATE DIFFERENTIAL 14 : ',
             WS-7510-RATE-DIFFERENTIAL14 UPON CONSOLE
           DISPLAY 'COVERAGE LEVEL 15    : ',
             WS-7510-COVERAGE-LVL15 UPON CONSOLE
           DISPLAY 'RATE DIFFERENTIAL 15 : ',
             WS-7510-RATE-DIFFERENTIAL15 UPON CONSOLE
           DISPLAY 'COVERAGE LEVEL 16    : ',
             WS-7510-COVERAGE-LVL16 UPON CONSOLE
           DISPLAY 'RATE DIFFERENTIAL 16 : ',
             WS-7510-RATE-DIFFERENTIAL16 UPON CONSOLE
           DISPLAY 'CRC APH FLAG         : ',
             WS-7510-CRC-APH-FLAG UPON CONSOLE
           DISPLAY '---------------------------'
             UPON CONSOLE
           DISPLAY 'DATE LAST RELEASED: ',
             WS-7510-DATE-LAST-RELEASED UPON CONSOLE
           DISPLAY 'DATE LAST UPDATED : ',
             WS-7510-DATE-LAST-UPDATED UPON CONSOLE
           DISPLAY 'DATE FILED        : ',
             WS-7510-DATE-FILED UPON CONSOLE
           DISPLAY ' ' UPON CONSOLE.

       7510-DISPLAY-RECORD-EXIT.
           EXIT.

      $END
