      *****************************************************************
      * File:      M7515.CBL                                          *
      * Author:    Mike Ray                                           *
      * Date:      10/25/95                                           *
      * Purpose:                                                      *
      *    This module validates the lookup parameters passed in and  *
      *    looks up values in the ADM record type 3 ISAM file.        *
      *    The ADM record contains:                                   *
      *                     DATES                                     *
      *****************************************************************

       7515-LOOKUP-ADM3.

      $IF DEBUG-SW DEFINED
           DISPLAY '7515-LOOKING UP ADM TYPE 3 REC (DATES)'
           UPON CONSOLE
      $END

       IF WS-7515-TYPE-CD IS EQUAL SPACES
           MOVE '997' TO WS-7515-TYPE-CD
       END-IF

      ************************************************
      *       INITIALIZE OUTPUT FIELDS               *
      ************************************************
           MOVE WS-LITERAL-NO TO WS-7515-FOUND-FLG
           MOVE WS-LITERAL-NO TO WS-7515-INPUT-ERROR

      ************************************************
      *         VALIDATE INPUT FIELDS                *
      ************************************************
           IF WS-7515-INPUT-CROP-YR = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 043 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-7515-INPUT-ERROR
              MOVE 'WS-7515-INPUT-CROP-YR' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 7515 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-7515-INPUT-STATE-CD = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 043 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-7515-INPUT-ERROR
              MOVE 'WS-7515-INPUT-STATE-CD' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 7515 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-7515-INPUT-COUNTY-CD = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 043 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-7515-INPUT-ERROR
              MOVE 'WS-7515-INPUT-COUNTY' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 7515 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-7515-INPUT-INSURANCE-PLAN = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 043 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-7515-INPUT-ERROR
              MOVE 'WS-7515-INPUT-INS-PLAN' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 7515 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-7515-INPUT-CROP-CD = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 043 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-7515-INPUT-ERROR
              MOVE 'WS-7515-INPUT-CROP-CD' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 7515 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-7515-INPUT-ERROR = WS-LITERAL-YES
              GO TO 7515-LOOKUP-ADM3-EXIT
           END-IF

      ************************************************
      *            EXCEPTIONS BY CROP                *
      ************************************************
           EVALUATE WS-7515-INPUT-CROP-CD
               WHEN WS-LITERAL-NURSERY
                  MOVE '998' TO WS-7515-INPUT-COUNTY-CD
               WHEN OTHER
                  CONTINUE
           END-EVALUATE


      ************************************************
      *     EXCEPTION FOR AIR SEEDED SOYBEANS        *
      ************************************************
      *    IF WS-7515-INPUT-CROP-CD = WS-LITERAL-SOYBEANS AND
      *       WS-7515-INPUT-PRACTICE-POS1 = 'A'
      *       MOVE '0' TO WS-7515-INPUT-PRACTICE-POS1
      *    END-IF

      ************************************************
      *         SELECT READ BASED UPON PRACTICE     *
      ************************************************


           IF WS-7515-INPUT-PRACTICE-CD IS EQUAL SPACES
              PERFORM 7515-READ-PARTIAL-KEY
                 THRU 7515-READ-PARTIAL-KEY-EXIT
           ELSE
              PERFORM 7515-READ-FULL-KEY
                 THRU 7515-READ-FULL-KEY-EXIT
           END-IF



      $IF DEBUG-SW DEFINED
           IF WS-7515-FOUND-FLG = WS-LITERAL-NO
              MOVE WS-7515-INPUT-KEY TO WS-7515-ADM3-KEY
              PERFORM 7515-DISPLAY-RECORD
                 THRU 7515-DISPLAY-RECORD-EXIT
              INITIALIZE WS-7515-ADM3-KEY
           ELSE
              PERFORM 7515-DISPLAY-RECORD
                 THRU 7515-DISPLAY-RECORD-EXIT
           END-IF
      $END

      ************************************************
      *         INITIALIZE INPUT FIELDS              *
      ************************************************
           INITIALIZE WS-7515-INPUT-KEY.


       7515-LOOKUP-ADM3-EXIT.
           EXIT.


      ************************************************
      *         READ FULL KEY                        *
      ************************************************


       7515-READ-FULL-KEY.

      $IF DEBUG-SW DEFINED
           DISPLAY 'READING ADM3 - FULL KEY'
           UPON CONSOLE
      $END

           IF ADM3-FILE-OPEN
              IF WS-7515-INPUT-KEY = WS-7515-ADM3-KEY
                 MOVE WS-LITERAL-YES TO WS-7515-FOUND-FLG
              ELSE
                 INITIALIZE WS-7515-ADM3-REC
                 MOVE WS-7515-INPUT-KEY TO ADM3-REC-KEY
                 READ ADM3-FILE
                    INVALID KEY
                       INITIALIZE WS-7515-ADM3-REC
                       GO TO 7515-READ-FULL-KEY-EXIT
                    NOT INVALID KEY
                       MOVE ADM3-RECORD TO WS-7515-ADM3-REC
                       MOVE WS-LITERAL-YES TO WS-7515-FOUND-FLG
                 END-READ
              END-IF
           ELSE
              MOVE 7515 TO WS-8020-PARAGRAPH-NO
              MOVE 90013 TO WS-8020-INT-ERROR-NO
              MOVE 'ADM3 FILE' TO WS-8020-FIELD-NAME
              MOVE SPACES TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF.

       7515-READ-FULL-KEY-EXIT.
           EXIT.


      ************************************************
      *         READ PARTIAL KEY                     *
      ************************************************


       7515-READ-PARTIAL-KEY.

      $IF DEBUG-SW DEFINED
           DISPLAY 'READING ADM3 - PARTIAL KEY'
           UPON CONSOLE
      $END

           IF ADM3-FILE-OPEN
              MOVE WS-7515-INPUT-KEY TO ADM3-REC-KEY
              START ADM3-FILE KEY = ADM3-REC-KEY
                  WITH SIZE 15
                  INVALID KEY

      $IF DEBUG-SW DEFINED
           MOVE WS-7515-INPUT-KEY TO WS-7515-ADM3-KEY
           DISPLAY 'ADM 3 PARTIAL KEY DATA NOT PRESENT'
           UPON CONSOLE
      $END
                    INITIALIZE WS-7515-ADM3-REC
                    GO TO 7515-READ-PARTIAL-KEY-EXIT
                 NOT INVALID KEY
                    READ ADM3-FILE NEXT INTO WS-7515-ADM3-REC
                       AT END
                          MOVE 7515 TO WS-8020-PARAGRAPH-NO
                          MOVE 90013 TO WS-8020-INT-ERROR-NO
                          MOVE 'ADM3 FILE' TO WS-8020-FIELD-NAME
                          MOVE SPACES TO WS-8020-BAD-DATA
                          MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
                          PERFORM 8020-RECORD-INT-ERROR
                             THRU 8020-RECORD-INT-ERROR-EXIT
                       NOT AT END
                         MOVE WS-LITERAL-YES TO WS-7515-FOUND-FLG
                    END-READ
              END-START
           ELSE
              MOVE 7515 TO WS-8020-PARAGRAPH-NO
              MOVE 90013 TO WS-8020-INT-ERROR-NO
              MOVE 'ADM3 FILE' TO WS-8020-FIELD-NAME
              MOVE SPACES TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF.

       7515-READ-PARTIAL-KEY-EXIT.
           EXIT.



      $IF DEBUG-SW DEFINED

      ************************************************
      *         DISPLAY RECORD                       *
      ************************************************


       7515-DISPLAY-RECORD.

           DISPLAY 'RECORD TYPE CODE: ',
             WS-7515-RECORD-TYPE-CD UPON CONSOLE
           DISPLAY 'RECORD TYPE SFX : ',
             WS-7515-RECORD-TYPE-SFX UPON CONSOLE
           DISPLAY 'CROP YEAR       : ',
             WS-7515-CROP-YEAR UPON CONSOLE
           DISPLAY 'STATE CODE      : ',
             WS-7515-STATE-CD UPON CONSOLE
           DISPLAY 'COUNTY CODE     : ',
             WS-7515-COUNTY-CD UPON CONSOLE
           DISPLAY 'CROP CODE       : ',
             WS-7515-CROP-CD UPON CONSOLE
           DISPLAY 'INSURANCE PLAN  : ',
             WS-7515-INSURANCE-PLAN-ID UPON CONSOLE
           DISPLAY 'PRACTICE CODE   : ',
             WS-7515-PRACTICE-CD UPON CONSOLE
           DISPLAY 'TYPE CODE       : ',
             WS-7515-TYPE-CD UPON CONSOLE
           DISPLAY '---------------------------'
             UPON CONSOLE
           DISPLAY 'FILING DATE               : ',
             WS-7515-FILING-DATE,
           DISPLAY 'SALES CLOSING DATE        : ',
             WS-7515-SALES-CLOSING,
           DISPLAY 'MOD SALES CLOSING DATE    : ',
             WS-7515-MOD-SALES-CLOSING UPON CONSOLE
           DISPLAY 'EXT SALES CLOSING DATE    : ',
             WS-7515-EXT-SALES-CLOSING UPON CONSOLE
           DISPLAY 'FINAL PLANTING DATE       : ',
             WS-7515-FINAL-PLANTING UPON CONSOLE
           DISPLAY 'EXT FINAL PLANTING        : ',
             WS-7515-EXT-FINAL-PLANTING UPON CONSOLE
           DISPLAY 'ACREAGE REPORTING DATE    : ',
             WS-7515-ACREAGE-REPORTING UPON CONSOLE
           DISPLAY 'MOD ACREAGE REPORTING DATE: ',
             WS-7515-MOD-ACREAGE-REPORTING UPON CONSOLE
           DISPLAY 'BILLING DATE              : ',
             WS-7515-BILLING-DATE UPON CONSOLE
           DISPLAY 'END OF INSURANCE DATE     : ',
             WS-7515-END-OF-INSURANCE UPON CONSOLE
           DISPLAY 'CANCELLATION DATE         : ',
             WS-7515-CANCELLATION-DATE UPON CONSOLE
           DISPLAY 'MOD CANCELLATION DATE     : ',
             WS-7515-MOD-CANCELLATION-DATE UPON CONSOLE
           DISPLAY 'TERMINATION DATE          : ',
             WS-7515-TERMINATION-DATE UPON CONSOLE
           DISPLAY 'CRC APH FLAG              : '   ,
             WS-7515-CRC-APH-FLAG UPON CONSOLE
           DISPLAY '---------------------------'
             UPON CONSOLE
           DISPLAY 'DATE LAST RELEASED: ',
             WS-7515-DATE-LAST-RELEASED UPON CONSOLE
           DISPLAY 'DATE LAST UPDATED : ',
             WS-7515-DATE-LAST-UPDATED UPON CONSOLE
           DISPLAY 'DATE FILED        : ',
             WS-7515-DATE-FILED UPON CONSOLE
           DISPLAY ' ' UPON CONSOLE.

       7515-DISPLAY-RECORD-EXIT.
           EXIT.

      $END

