      *****************************************************************
      * File:      M7520.CBL                                          *
      * Author:    Mike Ray                                           *
      * Date:      10/25/95                                           *
      * Purpose:                                                      *
      *    This module validates the lookup parameters passed in and  *
      *    looks up values in the ADM record type 4 ISAM file.        *
      *    The ADM record contains:                                   *
      *                      PRICES                                   *
      *****************************************************************

       7520-LOOKUP-ADM4.

      $IF DEBUG-SW DEFINED
           DISPLAY '7520-LOOKING UP ADM TYPE 4 REC (PRICES)'
           UPON CONSOLE
      $END

      ************************************************
      *       INITIALIZE OUTPUT FIELDS               *
      ************************************************
           INITIALIZE WS-7520-WORK
           MOVE WS-LITERAL-NO TO WS-7520-FOUND-FLG
           MOVE WS-LITERAL-NO TO WS-7520-INPUT-ERROR

      ************************************************
      *         VALIDATE INPUT FIELDS                *
      ************************************************
           IF WS-7520-INPUT-CROP-YR = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 043 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-7520-INPUT-ERROR
              MOVE 'WS-7520-INPUT-CROP-YR' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 7520 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-7520-INPUT-STATE-CD = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 043 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-7520-INPUT-ERROR
              MOVE 'WS-7520-INPUT-STATE-CD' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 7520 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-7520-INPUT-COUNTY-CD = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 043 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-7520-INPUT-ERROR
              MOVE 'WS-7520-INPUT-COUNTY' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 7520 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-7520-INPUT-CROP-CD = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 043 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-7520-INPUT-ERROR
              MOVE 'WS-7520-INPUT-CROP-CD' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 7520 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-7520-INPUT-INSURANCE-PLAN = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 043 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-7520-INPUT-ERROR
              MOVE 'WS-7520-INPUT-INS-PLAN' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 7520 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-7520-INPUT-PRACTICE-CD = SPACES
              MOVE '997' TO WS-7520-INPUT-PRACTICE-CD
           END-IF


      ************************************************
      *               VALIDATE INDEX                 *
      ************************************************

      ***  INDEX = 000 IS VALID FOR SOME CROPS ***

           IF WS-7520-INPUT-INDEX > 002
              IF WS-7520-INPUT-CROP-CD NOT = WS-LITERAL-GRAPES
                 MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
                 MOVE 043 TO WS-8000-SHORT-ERROR
                 MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
                 MOVE WS-LITERAL-YES TO WS-7520-INPUT-ERROR
                 MOVE 'ADM4 INDEX' TO WS-8000-FIELD-NAME1
                 MOVE ZERO TO WS-8000-BAD-DATA1
                 MOVE '<= 002' TO WS-8000-CORR-DATA1
                 MOVE 7520 TO WS-8000-PARAGRAPH-NO
                 PERFORM 8000-RECORD-TRAN-ERROR
                    THRU 8000-RECORD-TRAN-ERROR-EXIT
              END-IF
           END-IF

           IF WS-7520-INPUT-ERROR = WS-LITERAL-YES
              GO TO 7520-LOOKUP-ADM4-EXIT
           END-IF
      ************************************************
      *            EXCEPTIONS BY CROP                *
      ************************************************
           EVALUATE WS-7520-INPUT-CROP-CD
               WHEN WS-LITERAL-NURSERY
                  MOVE '998' TO WS-7520-INPUT-COUNTY-CD
               WHEN OTHER
                  CONTINUE
           END-EVALUATE.




      ************************************************
      *         READ RECORD FROM ISAM FILE           *
      ************************************************
       M7520-REREAD.

      $IF DEBUG-SW DEFINED
           DISPLAY '7520-ADM4 KEY = ' WS-7520-INPUT-KEY
           UPON CONSOLE
      $END

           IF ADM4-FILE-OPEN
      *       **** CHECK TO SEE IF THE RECORD IS CACHED
              IF WS-7520-INPUT-KEY = WS-7520-ADM4-KEY
                 MOVE WS-LITERAL-YES TO WS-7520-FOUND-FLG
              ELSE
                 INITIALIZE WS-7520-ADM4-REC
                 MOVE WS-7520-INPUT-KEY TO ADM4-REC-KEY
                 READ ADM4-FILE
                    INVALID KEY
                    IF WS-7520-INPUT-TYPE-CD = 997
                       MOVE ZEROS TO WS-7520-INPUT-TYPE-CD
                       GO TO M7520-REREAD
                    ELSE
                       GO TO 7520-LOOKUP-ADM4-EXIT
                    END-IF
                    NOT INVALID KEY
                       MOVE ADM4-RECORD TO WS-7520-ADM4-REC
                       MOVE WS-LITERAL-YES TO WS-7520-FOUND-FLG
                 END-READ
              END-IF
           ELSE
              MOVE 7520 TO WS-8020-PARAGRAPH-NO
              MOVE 90013 TO WS-8020-INT-ERROR-NO
              MOVE 'ADM4 FILE' TO WS-8020-FIELD-NAME
              MOVE SPACES TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

      $IF DEBUG-SW DEFINED
           PERFORM 7520-DISPLAY-RECORD
              THRU 7520-DISPLAY-RECORD-EXIT
      $END

      ************************************************
      *         INITIALIZE INPUT FIELDS              *
      ************************************************
           INITIALIZE WS-7520-INPUT-KEY.


       7520-LOOKUP-ADM4-EXIT.
           EXIT.


      $IF DEBUG-SW DEFINED

       7520-DISPLAY-RECORD.

           EVALUATE WS-7520-RECORD-TYPE-SFX
               WHEN 1
                  DISPLAY
                  '*** CAT & EST. HIGH PRICE APPLY ***'
                  UPON CONSOLE
               WHEN 2
                  DISPLAY
                  '*** CAT, EST. HIGH, & MARKET PRICE APPLY ***'
                  UPON CONSOLE
               WHEN 3
                  DISPLAY
                  '*** PROJ. HARVEST & COUNTY HARVEST PRICE APPLY ***'
                  UPON CONSOLE
               WHEN 4
                  DISPLAY
                  '*** QUOTA & NON-QUOTA PRICE APPLY ***'
                  UPON CONSOLE
               WHEN 5
                  DISPLAY
                  '*** SUPPORT PRICE APPLIES ***'
                  UPON CONSOLE
               WHEN 6
                  DISPLAY
                  '*** CAT, EST. HIGH, & SEASON AVG. PRICE APPLY ***'
                  UPON CONSOLE
               WHEN 7
                  DISPLAY
                  '*** PRE-SALES & HARVEST MARKET PRICE APPLY ***'
                  UPON CONSOLE
               WHEN 8
                  DISPLAY
                  '*** SPRING MARKET & HARVEST PRICE APPLY ***'
                  UPON CONSOLE
               WHEN 9
                  DISPLAY
                  '*** CONTRACT PRICE CODE IS APPLICABLE ***'
                  UPON CONSOLE
               WHEN OTHER
                  DISPLAY
                  '*** UNKNOWN PRICE SUFFIX ***'
                  UPON CONSOLE
           END-EVALUATE

           DISPLAY 'RECORD TYPE CODE: ',
             WS-7520-RECORD-TYPE-CD UPON CONSOLE
           DISPLAY 'CROP YEAR       : ',
             WS-7520-CROP-YEAR UPON CONSOLE
           DISPLAY 'STATE CODE      : ',
             WS-7520-STATE-CD UPON CONSOLE
           DISPLAY 'COUNTY CODE     : ',
             WS-7520-COUNTY-CD UPON CONSOLE
           DISPLAY 'CROP CODE       : ',
             WS-7520-CROP-CD UPON CONSOLE
           DISPLAY 'INS PLAN CD     : ',
             WS-7520-INSURANCE-PLAN-ID UPON CONSOLE
           DISPLAY 'PRACTICE CODE   : ',
             WS-7520-PRACTICE-CD UPON CONSOLE
           DISPLAY 'TYPE CODE       : ',
             WS-7520-TYPE-CD UPON CONSOLE
           DISPLAY 'INDEX           : ',
             WS-7520-INDEX UPON CONSOLE
           DISPLAY '---------------------------'
             UPON CONSOLE
           DISPLAY 'RECORD TYPE SFX : ',
             WS-7520-RECORD-TYPE-SFX UPON CONSOLE
           MOVE WS-7520-CAT-PRICE TO WS-7520-PRICE-DISPLAY-X
           DISPLAY 'CAT PRICE               : ',
             WS-7520-PRICE-DISPLAY-X UPON CONSOLE
           MOVE WS-7520-ESTABLISHED-HIGH-PRICE
             TO WS-7520-PRICE-DISPLAY-X
           DISPLAY 'ESTABLISHED HIGH PRICE  : ',
             WS-7520-PRICE-DISPLAY-X UPON CONSOLE
           MOVE WS-7520-MARKET-PRICE
             TO WS-7520-PRICE-DISPLAY-X
           DISPLAY 'MARKET PRICE            : ',
             WS-7520-PRICE-DISPLAY-X UPON CONSOLE
           MOVE WS-7520-QUOTA-PRICE
             TO WS-7520-PRICE-DISPLAY-X
           DISPLAY 'QUOTA PRICE             : ',
             WS-7520-PRICE-DISPLAY-X UPON CONSOLE
           MOVE WS-7520-NON-QUOTA-PRICE
             TO WS-7520-PRICE-DISPLAY-X
           DISPLAY 'NON-QUOTA PRICE         : ',
             WS-7520-PRICE-DISPLAY-X UPON CONSOLE
           MOVE WS-7520-SUPPORT-PRICE
             TO WS-7520-PRICE-DISPLAY-X
           DISPLAY 'SUPPORT PRICE           : ',
             WS-7520-PRICE-DISPLAY-X UPON CONSOLE
           MOVE WS-7520-SEASON-AVERAGE-PRICE
             TO WS-7520-PRICE-DISPLAY-X
           DISPLAY 'SEASON AVERAGE PRICE    : ',
             WS-7520-PRICE-DISPLAY-X UPON CONSOLE
           MOVE WS-7520-PRE-SALES-PRICE
             TO WS-7520-PRICE-DISPLAY-X
           DISPLAY 'PRE-SALES PRICE         : ',
             WS-7520-PRICE-DISPLAY-X UPON CONSOLE
           MOVE WS-7520-HARVEST-PRICE
             TO WS-7520-PRICE-DISPLAY-X
           DISPLAY 'HARVEST PRICE           : ',
             WS-7520-PRICE-DISPLAY-X UPON CONSOLE
           MOVE WS-7520-SPRING-MARKET-PRICE
             TO WS-7520-PRICE-DISPLAY-X
           DISPLAY 'SPRING MKT PRICE        : ',
             WS-7520-PRICE-DISPLAY-X UPON CONSOLE
           MOVE WS-7520-HARVEST-MARKET-PRICE
             TO WS-7520-PRICE-DISPLAY-X
           DISPLAY 'HARVEST MKT PRICE       : ',
             WS-7520-PRICE-DISPLAY-X UPON CONSOLE
           DISPLAY 'CONTRACT PRICE CODE     : ',
             WS-7520-CONTRACT-PRICE-CODE UPON CONSOLE
           MOVE WS-7520-PROJ-HARVEST-PRICE
             TO WS-7520-PRICE-DISPLAY-X
           DISPLAY 'PROJECTED HARVEST PRICE : ',
             WS-7520-PRICE-DISPLAY-X UPON CONSOLE
           MOVE WS-7520-COUNTY-HARVEST-PRICE
             TO WS-7520-PRICE-DISPLAY-X
           DISPLAY 'COUNTY HARVEST PRICE    : ',
             WS-7520-PRICE-DISPLAY-X UPON CONSOLE
           DISPLAY 'CRC APH FLAG            : ',
             WS-7520-CRC-APH-FLAG UPON CONSOLE
           DISPLAY '---------------------------'
             UPON CONSOLE
           DISPLAY 'DATE LAST RELEASED: ',
             WS-7520-DATE-LAST-RELEASED UPON CONSOLE
           DISPLAY 'DATE LAST UPDATED : ',
             WS-7520-DATE-LAST-UPDATED UPON CONSOLE
           DISPLAY 'DATE FILED        : ',
             WS-7520-DATE-FILED UPON CONSOLE
           DISPLAY ' ' UPON CONSOLE.

       7520-DISPLAY-RECORD-EXIT.
           EXIT.

      $END
