      *****************************************************************
      * File:      M7525.CBL                                          *
      * Author:    Mike Ray                                           *
      * Date:      10/25/95                                           *
      * Purpose:                                                      *
      *    This module validates the lookup parameters passed in and  *
      *    looks up values in the ADM record type H ISAM file.        *
      *    The ADM record contains:                                   *
      *                      HIGH RISK FACTOR DATA                    *
      *****************************************************************

       7525-LOOKUP-ADMH.

      $IF DEBUG-SW DEFINED
           DISPLAY '7525-LOOKING UP ADM TYPE H REC (HIGH RISK FACTORS)'
           UPON CONSOLE
      $END

      ************************************************
      *       INITIALIZE OUTPUT FIELDS               *
      ************************************************
           MOVE WS-LITERAL-NO TO WS-7525-FOUND-FLG
           MOVE WS-LITERAL-NO TO WS-7525-INPUT-ERROR

      ************************************************
      *         VALIDATE INPUT FIELDS                *
      ************************************************
           IF WS-7525-INPUT-CROP-YR = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 043 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-7525-INPUT-ERROR
              MOVE 'WS-7525-INPUT-CROP-YR' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 7525 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-7525-INPUT-STATE-CD = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 043 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-7525-INPUT-ERROR
              MOVE 'WS-7525-INPUT-STATE-CD' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 7525 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-7525-INPUT-COUNTY-CD = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 043 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-7525-INPUT-ERROR
              MOVE 'WS-7525-INPUT-COUNTY' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 7525 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-7525-INPUT-CROP-CD = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 043 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-7525-INPUT-ERROR
              MOVE 'WS-7525-INPUT-CROP-CD' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 7525 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-7525-INPUT-INSURANCE-PLAN = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 043 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-7525-INPUT-ERROR
              MOVE 'WS-7525-INPUT-INS-PLAN' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 7525 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-7525-INPUT-MAP-AREA = SPACES
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 043 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-7525-INPUT-ERROR
              MOVE 'WS-7525-INPUT-MAP-AREA' TO WS-8000-FIELD-NAME1
              MOVE SPACES TO WS-8000-BAD-DATA1
              MOVE 'NOT BLANK' TO WS-8000-CORR-DATA1
              MOVE 7525 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-7525-INPUT-RATE-CLASS = SPACES
              IF WS-7525-INPUT-INSURANCE-PLAN <> WS-LITERAL-RA
                 MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
                 MOVE 043 TO WS-8000-SHORT-ERROR
                 MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
                 MOVE WS-LITERAL-YES TO WS-7525-INPUT-ERROR
                 MOVE 'WS-7525-INPUT-RATE-CLASS'
                   TO WS-8000-FIELD-NAME1
                 MOVE SPACES TO WS-8000-BAD-DATA1
                 MOVE 'NOT BLANK' TO WS-8000-CORR-DATA1
                 MOVE 7525 TO WS-8000-PARAGRAPH-NO
                 PERFORM 8000-RECORD-TRAN-ERROR
                    THRU 8000-RECORD-TRAN-ERROR-EXIT
              END-IF
           END-IF

           IF WS-7525-INPUT-PRACTICE-CD = SPACES OR
              WS-7525-INPUT-PRACTICE-CD = '997'
              MOVE 'C' TO WS-7525-INPUT-SFX
              move spaces to ws-7525-input-practice-cd
           ELSE
              MOVE 'P' TO WS-7525-INPUT-SFX
           END-IF

           IF WS-7525-INPUT-ERROR = WS-LITERAL-YES
              GO TO 7525-LOOKUP-ADMH-EXIT
           END-IF

      ************************************************
      *            EXCEPTIONS BY INS PLAN            *
      ************************************************
           EVALUATE WS-7525-INPUT-INSURANCE-PLAN
              WHEN WS-LITERAL-CRC
                MOVE WS-LITERAL-APH TO WS-7525-INPUT-INSURANCE-PLAN
              WHEN WS-LITERAL-RA
                MOVE WS-LITERAL-APH TO WS-7525-INPUT-INSURANCE-PLAN
                MOVE 'R05' TO WS-7525-INPUT-RATE-CLASS
              WHEN OTHER
                CONTINUE
           END-EVALUATE

      ************************************************
      *            EXCEPTIONS BY CROP                *
      ************************************************
           EVALUATE WS-7525-INPUT-CROP-CD
               WHEN WS-LITERAL-NURSERY
                  MOVE '998' TO WS-7525-INPUT-COUNTY-CD
               WHEN OTHER
                  CONTINUE
           END-EVALUATE


      ************************************************
      *         READ RECORD FROM ISAM FILE           *
      ************************************************

           IF ADMH-FILE-OPEN
      *       **** CHECK TO SEE IF THE RECORD IS CACHED
              IF WS-7525-INPUT-KEY = WS-7525-ADMH-KEY
                 MOVE WS-LITERAL-YES TO WS-7525-FOUND-FLG
              ELSE
                 INITIALIZE WS-7525-ADMH-REC
                 MOVE WS-7525-INPUT-KEY TO ADMH-REC-KEY
                 READ ADMH-FILE
                    INVALID KEY
                      IF WS-7525-INPUT-SFX = 'P'
                          MOVE 'C' TO WS-7525-INPUT-SFX
                          MOVE SPACES TO WS-7525-INPUT-PRACTICE-CD
                          MOVE WS-7525-INPUT-KEY TO ADMH-REC-KEY
                          READ ADMH-FILE
                             INVALID KEY
      $IF DEBUG-SW DEFINED
           MOVE WS-7525-INPUT-KEY TO WS-7525-ADMH-KEY
           DISPLAY 'ADM H DATA NOT PRESENT'
           UPON CONSOLE
           PERFORM 7525-DISPLAY-RECORD
              THRU 7525-DISPLAY-RECORD-EXIT
      $END
                                 INITIALIZE WS-7525-ADMH-KEY
                                 GO TO 7525-LOOKUP-ADMH-EXIT
                             NOT INVALID KEY
                                 MOVE ADMH-RECORD TO WS-7525-ADMH-REC
                                 MOVE WS-LITERAL-YES
                                   TO WS-7525-FOUND-FLG
                          END-READ
                       ELSE
                          INITIALIZE WS-7525-ADMH-KEY
                          GO TO 7525-LOOKUP-ADMH-EXIT
                       END-IF
                    NOT INVALID KEY
                       MOVE ADMH-RECORD TO WS-7525-ADMH-REC
                       MOVE WS-LITERAL-YES TO WS-7525-FOUND-FLG
                 END-READ
              END-IF
           ELSE
              MOVE 7525 TO WS-8020-PARAGRAPH-NO
              MOVE 90013 TO WS-8020-INT-ERROR-NO
              MOVE 'ADMH FILE' TO WS-8020-FIELD-NAME
              MOVE SPACES TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

      $IF DEBUG-SW DEFINED
           PERFORM 7525-DISPLAY-RECORD
              THRU 7525-DISPLAY-RECORD-EXIT
      $END

      ************************************************
      *         INITIALIZE INPUT FIELDS              *
      ************************************************
           INITIALIZE WS-7525-INPUT-KEY.


       7525-LOOKUP-ADMH-EXIT.
           EXIT.


      $IF DEBUG-SW DEFINED

       7525-DISPLAY-RECORD.

           DISPLAY 'RECORD TYPE CODE: ',
             WS-7525-RECORD-TYPE-CD UPON CONSOLE
           DISPLAY 'RECORD TYPE SFX : ',
             WS-7525-RECORD-TYPE-SFX UPON CONSOLE
           DISPLAY 'CROP YEAR       : ',
             WS-7525-CROP-YEAR UPON CONSOLE
           DISPLAY 'STATE CODE      : ',
             WS-7525-STATE-CD UPON CONSOLE
           DISPLAY 'COUNTY CODE     : ',
             WS-7525-COUNTY-CD UPON CONSOLE
           DISPLAY 'CROP CODE       : ',
             WS-7525-CROP-CD UPON CONSOLE
           DISPLAY 'PRACTICE CODE   : ',
             WS-7525-PRACTICE-CD UPON CONSOLE
           DISPLAY 'MAP AREA        : ',
             WS-7525-MAP-AREA UPON CONSOLE
           DISPLAY 'RATE CLASS      : ',
             WS-7525-RATE-CLASS UPON CONSOLE
           DISPLAY '---------------------------'
             UPON CONSOLE
           DISPLAY 'MAP FACTOR : ',
             WS-7525-MAP-FACTOR UPON CONSOLE
           DISPLAY '---------------------------'
             UPON CONSOLE
           DISPLAY 'DATE LAST RELEASED: ',
             WS-7525-DATE-LAST-RELEASED UPON CONSOLE
           DISPLAY 'DATE LAST UPDATED : ',
             WS-7525-DATE-LAST-UPDATED UPON CONSOLE
           DISPLAY 'DATE FILED        : ',
             WS-7525-DATE-FILED UPON CONSOLE
           DISPLAY ' ' UPON CONSOLE.

       7525-DISPLAY-RECORD-EXIT.
           EXIT.

      $END
