      *****************************************************************
      * File:      M7530.CBL                                          *
      * Author:    Mike Ray                                           *
      * Date:      10/25/95                                           *
      * Purpose:                                                      *
      *    This module validates the lookup parameters passed in and  *
      *    looks up values in the ADM record type M ISAM file.        *
      *    The ADM record contains:                                   *
      *                      MAP FACTOR DATA                          *
      *****************************************************************

       7530-LOOKUP-ADMM.

      $IF DEBUG-SW DEFINED
           DISPLAY '7530-LOOKING UP ADM TYPE M REC (MAP FACTORS)'
           UPON CONSOLE
      $END

      ************************************************
      *       INITIALIZE OUTPUT FIELDS               *
      ************************************************
           MOVE WS-LITERAL-NO TO WS-7530-FOUND-FLG
           MOVE WS-LITERAL-NO TO WS-7530-INPUT-ERROR

      ************************************************
      *         VALIDATE INPUT FIELDS                *
      ************************************************
           IF WS-7530-INPUT-CROP-YR = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 043 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-7530-INPUT-ERROR
              MOVE 'WS-7530-INPUT-CROP-YR' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 7530 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-7530-INPUT-STATE-CD = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 043 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-7530-INPUT-ERROR
              MOVE 'WS-7530-INPUT-STATE-CD' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 7530 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-7530-INPUT-COUNTY-CD = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 043 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-7530-INPUT-ERROR
              MOVE 'WS-7530-INPUT-COUNTY' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 7530 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-7530-INPUT-CROP-CD = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 043 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-7530-INPUT-ERROR
              MOVE 'WS-7530-INPUT-CROP-CD' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 7530 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-7530-INPUT-INSURANCE-PLAN = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 043 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-7530-INPUT-ERROR
              MOVE 'WS-7530-INPUT-INS-PLAN' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 7530 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-7530-INPUT-MAP-AREA = SPACES
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 043 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-7530-INPUT-ERROR
              MOVE 'WS-7530-INPUT-MAP-AREA' TO WS-8000-FIELD-NAME1
              MOVE SPACES TO WS-8000-BAD-DATA1
              MOVE 'NOT BLANK' TO WS-8000-CORR-DATA1
              MOVE 7530 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-7530-INPUT-PRACTICE-CD = SPACES OR
              WS-7530-INPUT-PRACTICE-CD = '997'
              MOVE 'C' TO WS-7530-INPUT-SUFFIX
              MOVE SPACES TO WS-7530-INPUT-PRACTICE-CD
           ELSE
              MOVE 'P' TO WS-7530-INPUT-SUFFIX
           END-IF

           IF WS-7530-INPUT-ERROR = WS-LITERAL-YES
              GO TO 7530-LOOKUP-ADMM-EXIT
           END-IF

      ************************************************
      *            EXCEPTIONS BY CROP                *
      ************************************************
           EVALUATE WS-7530-INPUT-CROP-CD
               WHEN WS-LITERAL-NURSERY
                  MOVE '998' TO WS-7530-INPUT-COUNTY-CD
               WHEN OTHER
                  CONTINUE
           END-EVALUATE


      ************************************************
      *         READ RECORD FROM ISAM FILE           *
      ************************************************

           IF ADMM-FILE-OPEN
      *       **** CHECK TO SEE IF THE RECORD IS CACHED
              IF WS-7530-INPUT-KEY = WS-7530-ADMM-KEY
                 MOVE WS-LITERAL-YES TO WS-7530-FOUND-FLG
              ELSE
                 INITIALIZE WS-7530-ADMM-REC
                 MOVE WS-7530-INPUT-KEY TO ADMM-REC-KEY
                 READ ADMM-FILE
                    INVALID KEY
                       IF WS-7530-INPUT-SUFFIX = 'P'
                          MOVE 'C' TO WS-7530-INPUT-SUFFIX
                          MOVE SPACES TO WS-7530-INPUT-PRACTICE-CD
                          MOVE WS-7530-INPUT-KEY TO ADMM-REC-KEY
                          READ ADMM-FILE
                             INVALID KEY
                                 INITIALIZE WS-7530-ADMM-KEY
                                 GO TO 7530-LOOKUP-ADMM-EXIT
                             NOT INVALID KEY
                                 MOVE ADMM-RECORD TO WS-7530-ADMM-REC
                                 MOVE WS-LITERAL-YES
                                   TO WS-7530-FOUND-FLG
                          END-READ
                       ELSE
      $IF DEBUG-SW DEFINED
           MOVE WS-7530-INPUT-KEY TO WS-7530-ADMM-KEY
           DISPLAY 'ADM M DATA NOT PRESENT'
           UPON CONSOLE
           PERFORM 7530-DISPLAY-RECORD
              THRU 7530-DISPLAY-RECORD-EXIT
      $END             INITIALIZE WS-7530-ADMM-KEY
                       GO TO 7530-LOOKUP-ADMM-EXIT
                       END-IF

                    NOT INVALID KEY
                       MOVE ADMM-RECORD TO WS-7530-ADMM-REC
                       MOVE WS-LITERAL-YES TO WS-7530-FOUND-FLG
                 END-READ
              END-IF
           ELSE
              MOVE 7530 TO WS-8020-PARAGRAPH-NO
              MOVE 90013 TO WS-8020-INT-ERROR-NO
              MOVE 'ADMM FILE' TO WS-8020-FIELD-NAME
              MOVE SPACES TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

      $IF DEBUG-SW DEFINED
           PERFORM 7530-DISPLAY-RECORD
              THRU 7530-DISPLAY-RECORD-EXIT
      $END

      ************************************************
      *         INITIALIZE INPUT FIELDS              *
      ************************************************
           INITIALIZE WS-7530-INPUT-KEY.


       7530-LOOKUP-ADMM-EXIT.
           EXIT.


      $IF DEBUG-SW DEFINED

       7530-DISPLAY-RECORD.

           DISPLAY 'RECORD TYPE CODE: ',
             WS-7530-RECORD-TYPE-CD UPON CONSOLE
           DISPLAY 'RECORD TYPE SFX : ',
             WS-7530-RECORD-TYPE-SFX UPON CONSOLE
           DISPLAY 'CROP YEAR       : ',
             WS-7530-CROP-YEAR UPON CONSOLE
           DISPLAY 'STATE CODE      : ',
             WS-7530-STATE-CD UPON CONSOLE
           DISPLAY 'COUNTY CODE     : ',
             WS-7530-COUNTY-CD UPON CONSOLE
           DISPLAY 'CROP CODE       : ',
             WS-7530-CROP-CD UPON CONSOLE
           DISPLAY 'PRACTICE CODE   : ',
             WS-7530-PRACTICE-CD UPON CONSOLE
           DISPLAY 'MAP AREA        : ',
             WS-7530-MAP-AREA UPON CONSOLE
           DISPLAY '---------------------------'
             UPON CONSOLE
           DISPLAY 'MAP FACTOR : ',
             WS-7530-MAP-FACTOR UPON CONSOLE
           DISPLAY '---------------------------'
             UPON CONSOLE
           DISPLAY 'DATE LAST RELEASED: ',
             WS-7530-DATE-LAST-RELEASED UPON CONSOLE
           DISPLAY 'DATE LAST UPDATED : ',
             WS-7530-DATE-LAST-UPDATED UPON CONSOLE
           DISPLAY 'DATE FILED        : ',
             WS-7530-DATE-FILED UPON CONSOLE
           DISPLAY ' ' UPON CONSOLE.

       7530-DISPLAY-RECORD-EXIT.
           EXIT.

      $END
