      *****************************************************************
      * File:      M7535.CBL                                          *
      * Author:    Mike Ray                                           *
      * Date:      10/25/95                                           *
      * Purpose:                                                      *
      *    This module validates the lookup parameters passed in and  *
      *    looks up values in the ADM record type O ISAM file.        *
      *    The ADM record contains:                                   *
      *                      OPTION DATA                              *
      *****************************************************************

       7535-LOOKUP-ADMO.

      $IF DEBUG-SW DEFINED
           DISPLAY '7535-LOOKING UP ADM TYPE O REC (OPTIONS)'
           UPON CONSOLE
      $END

      ************************************************
      *       INITIALIZE OUTPUT FIELDS               *
      ************************************************
           MOVE WS-LITERAL-NO TO WS-7535-FOUND-FLG
           MOVE WS-LITERAL-NO TO WS-7535-INPUT-ERROR

      ************************************************
      *         VALIDATE INPUT FIELDS                *
      ************************************************
           IF WS-7535-INPUT-CROP-YR = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 043 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-7535-INPUT-ERROR
              MOVE 'WS-7535-INPUT-CROP-YR' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 7535 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-7535-INPUT-STATE-CD = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 043 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-7535-INPUT-ERROR
              MOVE 'WS-7535-INPUT-STATE-CD' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 7535 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-7535-INPUT-COUNTY-CD = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 043 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-7535-INPUT-ERROR
              MOVE 'WS-7535-INPUT-COUNTY' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 7535 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-7535-INPUT-CROP-CD = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 043 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-7535-INPUT-ERROR
              MOVE 'WS-7535-INPUT-CROP-CD' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 7535 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-7535-INPUT-INSURANCE-PLAN = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 043 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-7535-INPUT-ERROR
              MOVE 'WS-7535-INPUT-INS-PLAN' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 7535 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-7535-INPUT-OPTION-CD = SPACES
      **      THE OPTION CODE FOR NOT APPLICABLE IS X
              MOVE '       X' TO WS-7535-INPUT-OPTION-CD
           END-IF

           IF WS-7535-INPUT-ERROR = WS-LITERAL-YES
              GO TO 7535-LOOKUP-ADMO-EXIT
           END-IF

      ************************************************
      *            EXCEPTIONS BY CROP                *
      ************************************************
           EVALUATE WS-7535-INPUT-CROP-CD
               WHEN WS-LITERAL-NURSERY
                  MOVE '998' TO WS-7535-INPUT-COUNTY-CD
               WHEN OTHER
                  CONTINUE
           END-EVALUATE

      ************************************************
      *            EXCEPTIONS BY PLAN                *
      ************************************************
           EVALUATE WS-7535-INPUT-INSURANCE-PLAN
               WHEN WS-LITERAL-IP
               WHEN WS-LITERAL-RA
                  MOVE WS-LITERAL-APH
                    TO WS-7535-INPUT-INSURANCE-PLAN
               WHEN OTHER
                  CONTINUE
           END-EVALUATE


      ************************************************
      *         READ RECORD FROM ISAM FILE           *
      ************************************************

           IF ADMO-FILE-OPEN
      *       **** CHECK TO SEE IF THE RECORD IS CACHED
              IF WS-7535-INPUT-KEY = WS-7535-ADMO-KEY
                 MOVE WS-LITERAL-YES TO WS-7535-FOUND-FLG
              ELSE
                 INITIALIZE WS-7535-ADMO-REC
                 MOVE WS-7535-INPUT-KEY TO ADMO-REC-KEY
                 READ ADMO-FILE
                    INVALID KEY
                       INITIALIZE WS-7535-ADMO-KEY
                    NOT INVALID KEY
                       MOVE ADMO-RECORD TO WS-7535-ADMO-REC
                       MOVE WS-LITERAL-YES TO WS-7535-FOUND-FLG
                 END-READ
              END-IF
           ELSE
              MOVE 7535 TO WS-8020-PARAGRAPH-NO
              MOVE 90013 TO WS-8020-INT-ERROR-NO
              MOVE 'ADMO FILE' TO WS-8020-FIELD-NAME
              MOVE SPACES TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

      $IF DEBUG-SW DEFINED
           PERFORM 7535-DISPLAY-RECORD
              THRU 7535-DISPLAY-RECORD-EXIT
      $END

      ************************************************
      *         INITIALIZE INPUT FIELDS              *
      ************************************************
           INITIALIZE WS-7535-INPUT-KEY.


       7535-LOOKUP-ADMO-EXIT.
           EXIT.


      $IF DEBUG-SW DEFINED

       7535-DISPLAY-RECORD.

           DISPLAY 'RECORD TYPE CODE: ',
             WS-7535-RECORD-TYPE-CD UPON CONSOLE
           DISPLAY 'RECORD TYPE SFX : ',
             WS-7535-RECORD-TYPE-SFX UPON CONSOLE
           DISPLAY 'CROP YEAR       : ',
             WS-7535-CROP-YEAR UPON CONSOLE
           DISPLAY 'STATE CODE      : ',
             WS-7535-STATE-CD UPON CONSOLE
           DISPLAY 'COUNTY CODE     : ',
             WS-7535-COUNTY-CD UPON CONSOLE
           DISPLAY 'CROP CODE       : ',
             WS-7535-CROP-CD UPON CONSOLE
           DISPLAY 'INS PLAN        : ',
             WS-7535-INSURANCE-PLAN-ID UPON CONSOLE
           DISPLAY 'OPTION CODE     : ',
             WS-7535-OPTION-CD UPON CONSOLE
           DISPLAY '---------------------------'
             UPON CONSOLE
           DISPLAY 'OPTION NAME   : ',
             WS-7535-OPTION-NAME UPON CONSOLE
           DISPLAY 'OPTION FACTOR : ',
             WS-7535-OPTION-FACTOR UPON CONSOLE
           DISPLAY '---------------------------'
             UPON CONSOLE
           DISPLAY 'DATE LAST RELEASED: ',
             WS-7535-DATE-LAST-RELEASED UPON CONSOLE
           DISPLAY 'DATE LAST UPDATED : ',
             WS-7535-DATE-LAST-UPDATED UPON CONSOLE
           DISPLAY 'DATE FILED        : ',
             WS-7535-DATE-FILED UPON CONSOLE
           DISPLAY ' ' UPON CONSOLE.

       7535-DISPLAY-RECORD-EXIT.
           EXIT.

      $END
