      *****************************************************************
      * File:      M7540.CBL                                          *
      * Author:    Yo-I Tsui                                          *
      * Date:      12/26/95                                           *
      * Purpose:                                                      *
      *    This module validates the lookup parameters passed in and  *
      *    looks up values in the ADM record type R ISAM file.        *
      *    The ADM record contains: RATE CLASS OPTION DATA            *
      *****************************************************************

       7540-LOOKUP-ADMR.

      $IF DEBUG-SW DEFINED
           DISPLAY '7540-LOOKING UP ADM TYPE R REC (RATE OPTION DATA)'
           UPON CONSOLE
      $END

       IF WS-7540-TYPE-CD IS NOT NUMERIC OR
          WS-7540-TYPE-CD = ZEROS
           MOVE 997 TO WS-7540-TYPE-CD
       END-IF

      ************************************************
      *       INITIALIZE OUTPUT FIELDS               *
      ************************************************
           MOVE WS-LITERAL-NO TO WS-7540-FOUND-FLG
           MOVE WS-LITERAL-NO TO WS-7540-INPUT-ERROR

      ************************************************
      *         VALIDATE INPUT FIELDS                *
      ************************************************
           IF WS-7540-INPUT-RECORD-SFX <> SPACES
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 043 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-7540-INPUT-ERROR
              MOVE 'WS-7540-INPUT-RECORD-SFX' TO WS-8000-FIELD-NAME1
              MOVE WS-7540-INPUT-RECORD-SFX TO WS-8000-BAD-DATA1
              MOVE 'BLANK' TO WS-8000-CORR-DATA1
              MOVE 7540 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-7540-INPUT-CROP-YR = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 043 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-7540-INPUT-ERROR
              MOVE 'WS-7540-INPUT-CROP-YR' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 7540 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-7540-INPUT-STATE-CD = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 043 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-7540-INPUT-ERROR
              MOVE 'WS-7540-INPUT-STATE-CD' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 7540 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-7540-INPUT-COUNTY-CD = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 043 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-7540-INPUT-ERROR
              MOVE 'WS-7540-INPUT-COUNTY' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 7540 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-7540-INPUT-CROP-CD = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 043 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-7540-INPUT-ERROR
              MOVE 'WS-7540-INPUT-CROP-CD' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 7540 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-7540-INPUT-INSURANCE-PLAN = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 043 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-7540-INPUT-ERROR
              MOVE 'WS-7540-INPUT-INS-PLAN' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 7540 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-7540-INPUT-PRACTICE-CD = SPACES
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 043 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-7540-INPUT-ERROR
              MOVE 'WS-7540-INPUT-PRACTICE' TO WS-8000-FIELD-NAME1
              MOVE SPACES TO WS-8000-BAD-DATA1
              MOVE 'NOT BLANK' TO WS-8000-CORR-DATA1
              MOVE 7540 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-7540-INPUT-OPTION-CD = SPACES
      **      THE OPTION CODE FOR NOT APPLICABLE IS X
              MOVE '   X' TO WS-7540-INPUT-OPTION-CD
           END-IF

           IF WS-7540-INPUT-RATE-CLASS = SPACES
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 043 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-7540-INPUT-ERROR
              MOVE 'WS-7540-INPUT-RATE-CLASS'
                TO WS-8000-FIELD-NAME1
              MOVE SPACES TO WS-8000-BAD-DATA1
              MOVE 'NOT BLANK' TO WS-8000-CORR-DATA1
              MOVE 7540 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-7540-INPUT-ERROR = WS-LITERAL-YES
              GO TO 7540-LOOKUP-ADMR-EXIT
           END-IF

      ************************************************
      *            EXCEPTIONS BY CROP                *
      ************************************************

           EVALUATE WS-7540-INPUT-CROP-CD
               WHEN WS-LITERAL-NURSERY
                      MOVE '998' TO WS-7540-INPUT-COUNTY-CD
               WHEN OTHER
                  CONTINUE
           END-EVALUATE


      ************************************************
      *         READ RECORD FROM ISAM FILE           *
      ************************************************

           IF ADMR-FILE-OPEN
              IF WS-7540-INPUT-KEY = WS-7540-ADMR-KEY
                 MOVE WS-LITERAL-YES TO WS-7540-FOUND-FLG
              ELSE
                 INITIALIZE WS-7540-ADMR-REC
                 MOVE WS-7540-INPUT-KEY TO ADMR-REC-KEY
                 READ ADMR-FILE
                    INVALID KEY
                       GO TO 7540-LOOKUP-ADMR-EXIT
                    NOT INVALID KEY
                       MOVE ADMR-RECORD TO WS-7540-ADMR-REC
                       MOVE WS-LITERAL-YES TO WS-7540-FOUND-FLG
                 END-READ
              END-IF
           ELSE
              MOVE 7540 TO WS-8020-PARAGRAPH-NO
              MOVE 90013 TO WS-8020-INT-ERROR-NO
              MOVE 'ADMR FILE' TO WS-8020-FIELD-NAME
              MOVE SPACES TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

      $IF DEBUG-SW DEFINED
           PERFORM 7540-DISPLAY-RECORD
              THRU 7540-DISPLAY-RECORD-EXIT
      $END

      ************************************************
      *         INITIALIZE INPUT FIELDS              *
      ************************************************
           INITIALIZE WS-7540-INPUT-KEY.


       7540-LOOKUP-ADMR-EXIT.
           EXIT.


      $IF DEBUG-SW DEFINED

       7540-DISPLAY-RECORD.

           DISPLAY 'RECORD TYPE CODE: ',
              WS-7540-RECORD-TYPE-CD UPON CONSOLE
           DISPLAY 'RECORD TYPE SFX : ',
             WS-7540-RECORD-TYPE-SFX UPON CONSOLE
           DISPLAY 'CROP YEAR       : ',
             WS-7540-CROP-YEAR UPON CONSOLE
           DISPLAY 'STATE CODE      : ',
             WS-7540-STATE-CD UPON CONSOLE
           DISPLAY 'COUNTY CODE     : ',
             WS-7540-COUNTY-CD UPON CONSOLE
           DISPLAY 'CROP CODE       : ',
             WS-7540-CROP-CD UPON CONSOLE
           DISPLAY 'INS PLAN        : ',
             WS-7540-INSURANCE-PLAN-ID UPON CONSOLE
           DISPLAY 'PRACTICE CODE   : ',
             WS-7540-PRACTICE-CD UPON CONSOLE
           DISPLAY 'TYPE CODE       : ',
             WS-7540-TYPE-CD UPON CONSOLE
           DISPLAY 'OPTION CODE     : ',
             WS-7540-OPTION-CD UPON CONSOLE
           DISPLAY 'RATE CLASS      : ',
             WS-7540-RATE-CLASS UPON CONSOLE
           DISPLAY '---------------------------'
             UPON CONSOLE
           DISPLAY 'RATE CLASS FACTOR : ',
             WS-7540-RATE-CLASS-OPT-FACTOR UPON CONSOLE
           DISPLAY 'RATE CLASS NAME   : ',
             WS-7540-RATE-CLASS-OPT-NAME UPON CONSOLE
           DISPLAY 'DATE LAST RELEASED: ',
             WS-7540-DATE-LAST-RELEASED UPON CONSOLE
           DISPLAY 'DATE LAST UPDATED : ',
             WS-7540-DATE-LAST-UPDATED UPON CONSOLE
           DISPLAY 'DATE FILED        : ',
             WS-7540-DATE-FILED UPON CONSOLE
           DISPLAY ' ' UPON CONSOLE.

       7540-DISPLAY-RECORD-EXIT.
           EXIT.

      $END
