      *****************************************************************
      * File:      M7545.CBL                                          *
      * Author:    Alice Will                                         *
      * Date:      3/26/97                                            *
      * Purpose:                                                      *
      *    This module validates the lookup parameters passed in and  *
      *    looks up values in the ADM record type AC ISAM file.       *
      *    The ADM record contains:                                   *
      *        REVENUE/PRICE DATA FOR AVOCADO REVENUE PROTECTION      *
      *****************************************************************

       7545-LOOKUP-ADMAC.

      $IF DEBUG-SW DEFINED
           DISPLAY '7545-LOOKING UP ADM TYPE AC REC (ARC REVENUE/PRICE)'
           UPON CONSOLE
      $END

           IF WS-7545-INPUT-TYPE-CD IS EQUAL SPACES
              MOVE '997' TO WS-7545-INPUT-TYPE-CD
           END-IF

      ************************************************
      *       INITIALIZE OUTPUT FIELDS               *
      ************************************************
           MOVE WS-LITERAL-NO TO WS-7545-FOUND-FLG

      ************************************************
      *         VALIDATE INPUT FIELDS                *
      ************************************************

           IF WS-7545-INPUT-CROP-YR IS NOT NUMERIC
              MOVE 7545 TO WS-8020-PARAGRAPH-NO
              MOVE 9001 TO WS-8020-INT-ERROR-NO
              MOVE WS-LITERAL-CROP-YR TO WS-8020-FIELD-NAME
              MOVE WS-7545-INPUT-CROP-YR TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-7545-INPUT-CROP-YR IS EQUAL ZEROS
              MOVE 7545 TO WS-8020-PARAGRAPH-NO
              MOVE 9003 TO WS-8020-INT-ERROR-NO
              MOVE WS-LITERAL-CROP-YR TO WS-8020-FIELD-NAME
              MOVE WS-7545-INPUT-CROP-YR TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-7545-INPUT-STATE-CD IS NOT NUMERIC
              MOVE 7545 TO WS-8020-PARAGRAPH-NO
              MOVE 9001 TO WS-8020-INT-ERROR-NO
              MOVE WS-LITERAL-STATE TO WS-8020-FIELD-NAME
              MOVE WS-7545-INPUT-STATE-CD TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-7545-INPUT-STATE-CD IS EQUAL ZEROS
              MOVE 7545 TO WS-8020-PARAGRAPH-NO
              MOVE 9003 TO WS-8020-INT-ERROR-NO
              MOVE WS-LITERAL-STATE TO WS-8020-FIELD-NAME
              MOVE WS-7545-INPUT-STATE-CD TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-7545-INPUT-COUNTY-CD IS NOT NUMERIC
              MOVE 7545 TO WS-8020-PARAGRAPH-NO
              MOVE 9001 TO WS-8020-INT-ERROR-NO
              MOVE WS-LITERAL-CPNY-CNTY TO WS-8020-FIELD-NAME
              MOVE WS-7545-INPUT-COUNTY-CD TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-7545-INPUT-COUNTY-CD IS EQUAL ZEROS
              MOVE 7545 TO WS-8020-PARAGRAPH-NO
              MOVE 9003 TO WS-8020-INT-ERROR-NO
              MOVE WS-LITERAL-CPNY-CNTY TO WS-8020-FIELD-NAME
              MOVE WS-7545-INPUT-COUNTY-CD TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-7545-INPUT-CROP-CD IS EQUAL SPACES
              MOVE 7545 TO WS-8020-PARAGRAPH-NO
              MOVE 9003 TO WS-8020-INT-ERROR-NO
              MOVE WS-LITERAL-CROP-CD TO WS-8020-FIELD-NAME
              MOVE WS-7545-INPUT-CROP-CD TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-7545-INPUT-INSURANCE-PLAN IS NOT NUMERIC
              MOVE 7545 TO WS-8020-PARAGRAPH-NO
              MOVE 9001 TO WS-8020-INT-ERROR-NO
              MOVE WS-LITERAL-INSURE-PLAN-CD TO WS-8020-FIELD-NAME
              MOVE WS-7545-INPUT-INSURANCE-PLAN TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-7545-INPUT-INSURANCE-PLAN IS NOT NUMERIC
              MOVE 7545 TO WS-8020-PARAGRAPH-NO
              MOVE 9003 TO WS-8020-INT-ERROR-NO
              MOVE WS-LITERAL-INSURE-PLAN-CD TO WS-8020-FIELD-NAME
              MOVE WS-7545-INPUT-INSURANCE-PLAN TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-7545-INPUT-PRACTICE-CD IS EQUAL SPACES
              MOVE 7545 TO WS-8020-PARAGRAPH-NO
              MOVE 9003 TO WS-8020-INT-ERROR-NO
              MOVE WS-LITERAL-PRACTICE-CD TO WS-8020-FIELD-NAME
              MOVE WS-7545-INPUT-PRACTICE-CD TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

      ************************************************
      *     READ FOR RECORD                          *
      ************************************************

           IF ADMAC-FILE-OPEN
      *       **** CHECK TO SEE IF THE RECORD IS CACHED
              IF WS-7545-INPUT-KEY = WS-7545-ADMAC-KEY
                 MOVE WS-LITERAL-YES TO WS-7545-FOUND-FLG
              ELSE
                 INITIALIZE WS-7545-ADMAC-REC
                 MOVE WS-7545-INPUT-KEY TO ADMAC-REC-KEY
                 READ ADMAC-FILE
                    INVALID KEY
                       INITIALIZE WS-7545-ADMAC-REC
                       GO TO 7545-LOOKUP-ADMAC-EXIT
                    NOT INVALID KEY
                       MOVE ADMAC-RECORD TO WS-7545-ADMAC-REC
                       MOVE WS-LITERAL-YES TO WS-7545-FOUND-FLG
                 END-READ
              END-IF
           ELSE
              MOVE 7545 TO WS-8020-PARAGRAPH-NO
              MOVE 9013 TO WS-8020-INT-ERROR-NO
              MOVE 'ADMAC FILE' TO WS-8020-FIELD-NAME
              MOVE SPACES TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF.

      $IF DEBUG-SW DEFINED
           IF WS-7545-FOUND-FLG = WS-LITERAL-NO
              MOVE WS-7545-INPUT-KEY TO WS-7545-ADMAC-KEY
              PERFORM 7545-DISPLAY-RECORD
                 THRU 7545-DISPLAY-RECORD-EXIT
              INITIALIZE WS-7545-ADMAC-KEY
           ELSE
              PERFORM 7545-DISPLAY-RECORD
                 THRU 7545-DISPLAY-RECORD-EXIT
           END-IF
      $END

      ************************************************
      *         INITIALIZE INPUT FIELDS              *
      ************************************************
           INITIALIZE WS-7545-INPUT-KEY.


       7545-LOOKUP-ADMAC-EXIT.
           EXIT.


      $IF DEBUG-SW DEFINED

       7545-DISPLAY-RECORD.

           DISPLAY 'RECORD TYPE CODE: ',
             WS-7545-RECORD-TYPE-CD UPON CONSOLE
           DISPLAY 'RECORD TYPE SFX : ',
             WS-7545-RECORD-TYPE-SFX UPON CONSOLE
           DISPLAY 'CROP YEAR       : ',
             WS-7545-CROP-YEAR UPON CONSOLE
           DISPLAY 'STATE CODE      : ',
             WS-7545-STATE-CD UPON CONSOLE
           DISPLAY 'COUNTY CODE     : ',
             WS-7545-COUNTY-CD UPON CONSOLE
           DISPLAY 'CROP CODE       : ',
             WS-7545-CROP-CD UPON CONSOLE
           DISPLAY 'INS PLAN CD     : ',
             WS-7545-INSURANCE-PLAN-ID UPON CONSOLE
           DISPLAY 'PRACTICE CODE   : ',
             WS-7545-PRACTICE-CD UPON CONSOLE
           DISPLAY 'TYPE CODE       : ',
             WS-7545-TYPE-CD UPON CONSOLE
           DISPLAY '---------------------------'
           UPON CONSOLE
           DISPLAY 'LONG TERM AVG REVENUE  : ',
               WS-7545-LONG-TERM-AVG-REVENUE
           UPON CONSOLE
           DISPLAY '---------------------------'
           UPON CONSOLE
           DISPLAY 'REVENUE CROP YR 01   : ', WS-7545-REVENUE-CROP-YEAR1
           UPON CONSOLE
           DISPLAY 'COUNTY REVENUE 01    : ', WS-7545-COUNTY-REVENUE1
           UPON CONSOLE
           DISPLAY 'SEASON AVG PRICE 01  : ', WS-7545-SEASON-AVG-PRICE1
           UPON CONSOLE
           DISPLAY 'REVENUE CROP YR 02   : ', WS-7545-REVENUE-CROP-YEAR2
           UPON CONSOLE
           DISPLAY 'COUNTY REVENUE 02    : ', WS-7545-COUNTY-REVENUE2
           UPON CONSOLE
           DISPLAY 'SEASON AVG PRICE 02  : ', WS-7545-SEASON-AVG-PRICE2
           UPON CONSOLE
           DISPLAY 'REVENUE CROP YR 03   : ', WS-7545-REVENUE-CROP-YEAR3
           UPON CONSOLE
           DISPLAY 'COUNTY REVENUE 03    : ', WS-7545-COUNTY-REVENUE3
           UPON CONSOLE
           DISPLAY 'SEASON AVG PRICE 03  : ', WS-7545-SEASON-AVG-PRICE3
           UPON CONSOLE
           DISPLAY 'REVENUE CROP YR 04   : ', WS-7545-REVENUE-CROP-YEAR4
           UPON CONSOLE
           DISPLAY 'COUNTY REVENUE 04    : ', WS-7545-COUNTY-REVENUE4
           UPON CONSOLE
           DISPLAY 'SEASON AVG PRICE 04  : ', WS-7545-SEASON-AVG-PRICE4
           UPON CONSOLE
           DISPLAY 'REVENUE CROP YR 05   : ', WS-7545-REVENUE-CROP-YEAR5
           UPON CONSOLE
           DISPLAY 'COUNTY REVENUE 05    : ', WS-7545-COUNTY-REVENUE5
           UPON CONSOLE
           DISPLAY 'SEASON AVG PRICE 05  : ', WS-7545-SEASON-AVG-PRICE5
           UPON CONSOLE
           DISPLAY 'REVENUE CROP YR 06   : ', WS-7545-REVENUE-CROP-YEAR6
           UPON CONSOLE
           DISPLAY 'COUNTY REVENUE 06    : ', WS-7545-COUNTY-REVENUE6
           UPON CONSOLE
           DISPLAY 'SEASON AVG PRICE 06  : ', WS-7545-SEASON-AVG-PRICE6
           UPON CONSOLE
           DISPLAY 'REVENUE CROP YR 07   : ', WS-7545-REVENUE-CROP-YEAR7
           UPON CONSOLE
           DISPLAY 'COUNTY REVENUE 07    : ', WS-7545-COUNTY-REVENUE7
           UPON CONSOLE
           DISPLAY 'SEASON AVG PRICE 07  : ', WS-7545-SEASON-AVG-PRICE7
           UPON CONSOLE
           DISPLAY 'REVENUE CROP YR 08   : ', WS-7545-REVENUE-CROP-YEAR8
           UPON CONSOLE
           DISPLAY 'COUNTY REVENUE 08    : ', WS-7545-COUNTY-REVENUE8
           UPON CONSOLE
           DISPLAY 'SEASON AVG PRICE 08  : ', WS-7545-SEASON-AVG-PRICE8
           UPON CONSOLE
           DISPLAY 'REVENUE CROP YR 09   : ', WS-7545-REVENUE-CROP-YEAR9
           UPON CONSOLE
           DISPLAY 'COUNTY REVENUE 09    : ', WS-7545-COUNTY-REVENUE9
           UPON CONSOLE
           DISPLAY 'SEASON AVG PRICE 09  : ', WS-7545-SEASON-AVG-PRICE9
           UPON CONSOLE
           DISPLAY 'REVENUE CROP YR 10   : ',WS-7545-REVENUE-CROP-YEAR10
           UPON CONSOLE
           DISPLAY 'COUNTY REVENUE 10    : ', WS-7545-COUNTY-REVENUE10
           UPON CONSOLE
           DISPLAY 'SEASON AVG PRICE 10  : ', WS-7545-SEASON-AVG-PRICE10
           UPON CONSOLE
           DISPLAY '---------------------------'
           UPON CONSOLE
           DISPLAY 'FILLER               : ',
           UPON CONSOLE
           DISPLAY '---------------------------'
           UPON CONSOLE
           DISPLAY 'DATE LAST RELEASED: ',
             WS-7545-DATE-LAST-RELEASED UPON CONSOLE
           DISPLAY 'DATE LAST UPDATED : ',
             WS-7545-DATE-LAST-UPDATED UPON CONSOLE
           DISPLAY 'DATE FILED        : ',
             WS-7545-DATE-FILED UPON CONSOLE
           DISPLAY ' ' UPON CONSOLE.

       7545-DISPLAY-RECORD-EXIT.
           EXIT.

      $END
