      *****************************************************************
      * File:      M7550.CBL                                          *
      * Author:    Alice Will                                         *
      * Date:      3/26/97                                            *
      * Purpose:                                                      *
      *    This module validates the lookup parameters passed in and  *
      *    looks up values in the ADM record type AR ISAM file.       *
      *    The ADM record contains:                                   *
      *        RATE DATA FOR AVOCADO REVENUE PROTECTION               *
      *****************************************************************

       7550-LOOKUP-ADMAR.

      $IF DEBUG-SW DEFINED
           DISPLAY '7550-LOOKING UP ADM TYPE AR REC (ARC REVENUE/PRICE)'
           UPON CONSOLE
      $END

           IF WS-7550-INPUT-TYPE-CD IS EQUAL SPACES
              MOVE '997' TO WS-7550-INPUT-TYPE-CD
           END-IF

      ************************************************
      *       INITIALIZE OUTPUT FIELDS               *
      ************************************************
           MOVE WS-LITERAL-NO TO WS-7550-FOUND-FLG

      ************************************************
      *         VALIDATE INPUT FIELDS                *
      ************************************************

           IF WS-7550-INPUT-CROP-YR IS NOT NUMERIC
              MOVE 7550 TO WS-8020-PARAGRAPH-NO
              MOVE 90001 TO WS-8020-INT-ERROR-NO
              MOVE WS-LITERAL-CROP-YR TO WS-8020-FIELD-NAME
              MOVE WS-7550-INPUT-CROP-YR TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-7550-INPUT-CROP-YR IS EQUAL ZEROS
              MOVE 7550 TO WS-8020-PARAGRAPH-NO
              MOVE 90003 TO WS-8020-INT-ERROR-NO
              MOVE WS-LITERAL-CROP-YR TO WS-8020-FIELD-NAME
              MOVE WS-7550-INPUT-CROP-YR TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-7550-INPUT-STATE-CD IS NOT NUMERIC
              MOVE 7550 TO WS-8020-PARAGRAPH-NO
              MOVE 90001 TO WS-8020-INT-ERROR-NO
              MOVE WS-LITERAL-STATE TO WS-8020-FIELD-NAME
              MOVE WS-7550-INPUT-STATE-CD TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-7550-INPUT-STATE-CD IS EQUAL ZEROS
              MOVE 7550 TO WS-8020-PARAGRAPH-NO
              MOVE 90003 TO WS-8020-INT-ERROR-NO
              MOVE WS-LITERAL-STATE TO WS-8020-FIELD-NAME
              MOVE WS-7550-INPUT-STATE-CD TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-7550-INPUT-COUNTY-CD IS NOT NUMERIC
              MOVE 7550 TO WS-8020-PARAGRAPH-NO
              MOVE 90001 TO WS-8020-INT-ERROR-NO
              MOVE WS-LITERAL-CPNY-CNTY TO WS-8020-FIELD-NAME
              MOVE WS-7550-INPUT-COUNTY-CD TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-7550-INPUT-COUNTY-CD IS EQUAL ZEROS
              MOVE 7550 TO WS-8020-PARAGRAPH-NO
              MOVE 90003 TO WS-8020-INT-ERROR-NO
              MOVE WS-LITERAL-CPNY-CNTY TO WS-8020-FIELD-NAME
              MOVE WS-7550-INPUT-COUNTY-CD TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-7550-INPUT-CROP-CD IS EQUAL SPACES
              MOVE 7550 TO WS-8020-PARAGRAPH-NO
              MOVE 90003 TO WS-8020-INT-ERROR-NO
              MOVE WS-LITERAL-CROP-CD TO WS-8020-FIELD-NAME
              MOVE WS-7550-INPUT-CROP-CD TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-7550-INPUT-INSURANCE-PLAN IS NOT NUMERIC
              MOVE 7550 TO WS-8020-PARAGRAPH-NO
              MOVE 90001 TO WS-8020-INT-ERROR-NO
              MOVE WS-LITERAL-INSURE-PLAN-CD TO WS-8020-FIELD-NAME
              MOVE WS-7550-INPUT-INSURANCE-PLAN TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-7550-INPUT-INSURANCE-PLAN IS EQUAL ZEROS
              MOVE 7550 TO WS-8020-PARAGRAPH-NO
              MOVE 90003 TO WS-8020-INT-ERROR-NO
              MOVE WS-LITERAL-INSURE-PLAN-CD TO WS-8020-FIELD-NAME
              MOVE WS-7550-INPUT-INSURANCE-PLAN TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-7550-INPUT-PRACTICE-CD IS EQUAL SPACES
              MOVE 7550 TO WS-8020-PARAGRAPH-NO
              MOVE 90003 TO WS-8020-INT-ERROR-NO
              MOVE WS-LITERAL-PRACTICE-CD TO WS-8020-FIELD-NAME
              MOVE WS-7550-INPUT-PRACTICE-CD TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

      ************************************************
      *     READ FOR RECORD                          *
      ************************************************

           IF ADMAR-FILE-OPEN
      *       **** CHECK TO SEE IF THE RECORD IS CACHED
              IF WS-7550-INPUT-KEY = WS-7550-ADMAR-KEY
                 MOVE WS-LITERAL-YES TO WS-7550-FOUND-FLG
              ELSE
                 INITIALIZE WS-7550-ADMAR-REC
                 MOVE WS-7550-INPUT-KEY TO ADMAR-REC-KEY
                 READ ADMAR-FILE
                    INVALID KEY
                       INITIALIZE WS-7550-ADMAR-REC
                       GO TO 7550-LOOKUP-ADMAR-EXIT
                    NOT INVALID KEY
                       MOVE ADMAR-RECORD TO WS-7550-ADMAR-REC
                       MOVE WS-LITERAL-YES TO WS-7550-FOUND-FLG
                 END-READ
              END-IF
           ELSE
              MOVE 7550 TO WS-8020-PARAGRAPH-NO
              MOVE 90013 TO WS-8020-INT-ERROR-NO
              MOVE 'ADMAR FILE' TO WS-8020-FIELD-NAME
              MOVE SPACES TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF.

      $IF DEBUG-SW DEFINED
           IF WS-7550-FOUND-FLG = WS-LITERAL-NO
              MOVE WS-7550-INPUT-KEY TO WS-7550-ADMAR-KEY
              PERFORM 7550-DISPLAY-RECORD
                 THRU 7550-DISPLAY-RECORD-EXIT
              INITIALIZE WS-7550-ADMAR-KEY
           ELSE
              PERFORM 7550-DISPLAY-RECORD
                 THRU 7550-DISPLAY-RECORD-EXIT
           END-IF
      $END

      ************************************************
      *         INITIALIZE INPUT FIELDS              *
      ************************************************
           INITIALIZE WS-7550-INPUT-KEY.


       7550-LOOKUP-ADMAR-EXIT.
           EXIT.


      $IF DEBUG-SW DEFINED

       7550-DISPLAY-RECORD.

           DISPLAY 'RECORD TYPE CODE: ',
             WS-7550-RECORD-TYPE-CD UPON CONSOLE
           DISPLAY 'RECORD TYPE SFX : ',
             WS-7550-RECORD-TYPE-SFX UPON CONSOLE
           DISPLAY 'CROP YEAR       : ',
             WS-7550-CROP-YEAR UPON CONSOLE
           DISPLAY 'STATE CODE      : ',
             WS-7550-STATE-CD UPON CONSOLE
           DISPLAY 'COUNTY CODE     : ',
             WS-7550-COUNTY-CD UPON CONSOLE
           DISPLAY 'CROP CODE       : ',
             WS-7550-CROP-CD UPON CONSOLE
           DISPLAY 'INS PLAN CD     : ',
             WS-7550-INSURANCE-PLAN-ID UPON CONSOLE
           DISPLAY 'PRACTICE CODE   : ',
             WS-7550-PRACTICE-CD UPON CONSOLE
           DISPLAY 'TYPE CODE       : ',
             WS-7550-TYPE-CD UPON CONSOLE
           DISPLAY 'RATE CLASS      :',
             WS-7550-RATE-CLASS UPON CONSOLE
           DISPLAY '---------------------------'
           UPON CONSOLE
           DISPLAY 'LOW APPROVED AVG REVENUE  : ',
               WS-7550-LOW-APPROVED-AVG-REV
           UPON CONSOLE
           DISPLAY 'HIGH APPROVED AVG REVENUE  : ',
               WS-7550-HIGH-APPROVED-AVG-REV
           UPON CONSOLE
           DISPLAY '---------------------------'
           UPON CONSOLE
           DISPLAY 'CVG LEVEL 01      : ', WS-7550-CVG-LVL-01
           UPON CONSOLE
           DISPLAY 'BASE PREMIUM RATE  01  : ',
           WS-7550-BASE-PREM-RT-01
           UPON CONSOLE
           DISPLAY 'CVG LEVEL 02      : ', WS-7550-CVG-LVL-02
           UPON CONSOLE
           DISPLAY 'BASE PREMIUM RATE  02  : ',
           WS-7550-BASE-PREM-RT-02
           UPON CONSOLE
           DISPLAY 'CVG LEVEL 03      : ', WS-7550-CVG-LVL-03
           UPON CONSOLE
           DISPLAY 'BASE PREMIUM RATE  03  : ',
           WS-7550-BASE-PREM-RT-03
           UPON CONSOLE
           DISPLAY 'CVG LEVEL 04      : ', WS-7550-CVG-LVL-04
           UPON CONSOLE
           DISPLAY 'BASE PREMIUM RATE  04  : ',
           WS-7550-BASE-PREM-RT-04
           UPON CONSOLE
           DISPLAY 'CVG LEVEL 05      : ', WS-7550-CVG-LVL-05
           UPON CONSOLE
           DISPLAY 'BASE PREMIUM RATE  05  : ',
           WS-7550-BASE-PREM-RT-05
           UPON CONSOLE
           DISPLAY 'CVG LEVEL 06      : ', WS-7550-CVG-LVL-06
           UPON CONSOLE
           DISPLAY 'BASE PREMIUM RATE  06  : ',
           WS-7550-BASE-PREM-RT-06
           UPON CONSOLE
           DISPLAY 'CVG LEVEL 07      : ', WS-7550-CVG-LVL-07
           UPON CONSOLE
           DISPLAY 'BASE PREMIUM RATE  07  : ',
           WS-7550-BASE-PREM-RT-07
           UPON CONSOLE
           DISPLAY 'CVG LEVEL 08      : ', WS-7550-CVG-LVL-08
           UPON CONSOLE
           DISPLAY 'BASE PREMIUM RATE  08  : ',
           WS-7550-BASE-PREM-RT-08
           UPON CONSOLE
           DISPLAY 'CVG LEVEL 09      : ', WS-7550-CVG-LVL-09
           UPON CONSOLE
           DISPLAY 'BASE PREMIUM RATE  09  : ',
           WS-7550-BASE-PREM-RT-09
           UPON CONSOLE
           DISPLAY 'CVG LEVEL 10      : ', WS-7550-CVG-LVL-10
           UPON CONSOLE
           DISPLAY 'BASE PREMIUM RATE  10  : ',
           WS-7550-BASE-PREM-RT-10
           UPON CONSOLE
           DISPLAY 'CVG LEVEL 11      : ', WS-7550-CVG-LVL-11
           UPON CONSOLE
           DISPLAY 'BASE PREMIUM RATE  11  : ',
           WS-7550-BASE-PREM-RT-11
           UPON CONSOLE
           DISPLAY 'CVG LEVEL 12      : ', WS-7550-CVG-LVL-12
           UPON CONSOLE
           DISPLAY 'BASE PREMIUM RATE  12  : ',
           WS-7550-BASE-PREM-RT-12
           UPON CONSOLE
           DISPLAY 'CVG LEVEL 13      : ', WS-7550-CVG-LVL-13
           UPON CONSOLE
           DISPLAY 'BASE PREMIUM RATE  13  : ',
           WS-7550-BASE-PREM-RT-13
           UPON CONSOLE
           DISPLAY 'CVG LEVEL 14      : ', WS-7550-CVG-LVL-14
           UPON CONSOLE
           DISPLAY 'BASE PREMIUM RATE  14  : ',
           WS-7550-BASE-PREM-RT-14
           UPON CONSOLE
           DISPLAY 'CVG LEVEL 15      : ', WS-7550-CVG-LVL-15
           UPON CONSOLE
           DISPLAY 'BASE PREMIUM RATE  15  : ',
           WS-7550-BASE-PREM-RT-15
           UPON CONSOLE
           DISPLAY 'CVG LEVEL 15      : ', WS-7550-CVG-LVL-16
           UPON CONSOLE
           DISPLAY 'BASE PREMIUM RATE  16  : ',
           WS-7550-BASE-PREM-RT-16
           UPON CONSOLE
           DISPLAY '---------------------------'
           UPON CONSOLE
           DISPLAY 'FILLER               : ',
           UPON CONSOLE
           DISPLAY '---------------------------'
           UPON CONSOLE
           DISPLAY 'DATE LAST RELEASED: ',
             WS-7550-DATE-LAST-RELEASED UPON CONSOLE
           DISPLAY 'DATE LAST UPDATED : ',
             WS-7550-DATE-LAST-UPDATED UPON CONSOLE
           DISPLAY 'DATE FILED        : ',
             WS-7550-DATE-FILED UPON CONSOLE
           DISPLAY ' ' UPON CONSOLE.

       7550-DISPLAY-RECORD-EXIT.
           EXIT.

      $END
