      *****************************************************************
      * File:      M7555.CBL                                          *
      * Author:    Yo-I Tsui                                          *
      * Date:      1/5/96                                             *
      * Purpose:                                                      *
      *    This module validates the lookup parameters passed in and  *
      *    looks up values in the ADM record type SSN ISAM file       *
      *    The ADM record contains: NCS DATA                          *
      *****************************************************************

       7555-LOOKUP-ADMSSN.

      $IF DEBUG-SW DEFINED
           DISPLAY '7555-LOOKING UP ADM SSN REC (NCS DATA) KEY = '
           WS-7555-INPUT-KEY
           UPON CONSOLE
      $END

      ************************************************
      *       INITIALIZE OUTPUT FIELDS               *
      ************************************************
           MOVE WS-LITERAL-NO TO WS-7555-FOUND-FLG
           MOVE WS-LITERAL-NO TO WS-7555-INPUT-ERROR

      ************************************************
      *         VALIDATE INPUT FIELDS                *
      ************************************************
           IF WS-7555-INPUT-ID-NUM = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 043 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-7555-INPUT-ERROR
              MOVE 'WS-7555-INPUT-ID-NUM' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 7555 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-7555-INPUT-CROP-YR = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 043 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-7555-INPUT-ERROR
              MOVE 'WS-7555-INPUT-CROP-YR' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 7555 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-7555-INPUT-STATE-CD = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 043 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-7555-INPUT-ERROR
              MOVE 'WS-7555-INPUT-STATE-CD' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 7555 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-7555-INPUT-COUNTY-CD = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 043 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-7555-INPUT-ERROR
              MOVE 'WS-7555-INPUT-COUNTY' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 7555 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-7555-INPUT-CROP-CD = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 043 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-7555-INPUT-ERROR
              MOVE 'WS-7555-INPUT-CROP-CD' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 7555 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-7555-INPUT-INSURANCE-PLAN = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 043 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-7555-INPUT-ERROR
              MOVE 'WS-7555-INPUT-INS-PLAN' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 7555 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-7555-INPUT-PRACTICE-CD = SPACES
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 043 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-7555-INPUT-ERROR
              MOVE 'WS-7555-INPUT-PRACTICE' TO WS-8000-FIELD-NAME1
              MOVE SPACES TO WS-8000-BAD-DATA1
              MOVE 'NOT BLANK' TO WS-8000-CORR-DATA1
              MOVE 7555 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-7555-INPUT-TYPE-CD = ZEROS
              MOVE '997' TO WS-7555-INPUT-TYPE-CD
           END-IF

      *    *** NO OPTION CODE IS IN THE ADM AS XX ***
           IF WS-7555-INPUT-OPTION-CD = SPACES
              MOVE 'XX      '
                TO WS-7555-INPUT-OPTION-CD
           END-IF

           IF WS-7555-INPUT-ERROR = WS-LITERAL-YES
              GO TO 7555-LOOKUP-ADMSSN-EXIT
           END-IF

      ************************************************
      *            EXCEPTIONS BY CROP                *
      ************************************************
           EVALUATE WS-7555-INPUT-CROP-CD
               WHEN WS-LITERAL-NURSERY
                      MOVE '998' TO WS-7555-INPUT-COUNTY-CD
               WHEN OTHER
                  CONTINUE
           END-EVALUATE

      ************************************************
      *            EXCEPTIONS BY PLAN                *
      ************************************************
           EVALUATE WS-7555-INPUT-INSURANCE-PLAN
               WHEN WS-LITERAL-RA
                  MOVE WS-LITERAL-APH
                    TO WS-7555-INPUT-INSURANCE-PLAN
               WHEN OTHER
                  CONTINUE
           END-EVALUATE.


      ************************************************
      *         READ RECORD FROM ISAM FILE           *
      ************************************************

      $IF DEBUG-SW DEFINED
           DISPLAY 'UPDATED KEY = ' WS-7555-INPUT-KEY
           UPON CONSOLE.
      $END

       retry-read-with-xx.

           IF ADMSSN-FILE-OPEN
      *       **** CHECK TO SEE IF THE RECORD IS CACHED
              IF WS-7555-INPUT-KEY = WS-7555-ADMSSN-KEY
                 MOVE WS-LITERAL-YES TO WS-7555-FOUND-FLG
              ELSE
                 INITIALIZE WS-7555-ADMSSN-REC
                 MOVE WS-7555-INPUT-KEY TO ADMSSN-REC-KEY
                 READ ADMSSN-FILE
                    INVALID KEY
                       if WS-7555-INPUT-OPTION-CD ='XX'
                          MOVE WS-LITERAL-NO TO WS-7555-FOUND-FLG
                          GO TO 7555-LOOKUP-ADMSSN-EXIT
                       else
                          move 'XX' to WS-7555-INPUT-OPTION-CD
                          go to retry-read-with-xx
                       end-if
                    NOT INVALID KEY
                       MOVE ADMSSN-RECORD TO WS-7555-ADMSSN-REC
                       MOVE WS-LITERAL-YES TO WS-7555-FOUND-FLG
                 END-READ
              END-IF
           ELSE
              MOVE 7555 TO WS-8020-PARAGRAPH-NO
              MOVE 90013 TO WS-8020-INT-ERROR-NO
              MOVE 'ADMSSN FILE' TO WS-8020-FIELD-NAME
              MOVE SPACES TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

      $IF DEBUG-SW DEFINED
           PERFORM 7555-DISPLAY-RECORD
              THRU 7555-DISPLAY-RECORD-EXIT
      $END

      ************************************************
      *         INITIALIZE INPUT FIELDS              *
      ************************************************
           INITIALIZE WS-7555-INPUT-KEY.


       7555-LOOKUP-ADMSSN-EXIT.
           EXIT.


      $IF DEBUG-SW DEFINED

       7555-DISPLAY-RECORD.

           DISPLAY 'ID NUMBER:      : ',
             WS-7555-ID-NUM UPON CONSOLE
           DISPLAY 'CROP YEAR       : ',
             WS-7555-CROP-YEAR UPON CONSOLE
           DISPLAY 'STATE CODE      : ',
             WS-7555-STATE-CD UPON CONSOLE
           DISPLAY 'COUNTY CODE     : ',
             WS-7555-COUNTY-CD UPON CONSOLE
           DISPLAY 'CROP CODE       : ',
             WS-7555-CROP-CD UPON CONSOLE
           DISPLAY 'INS PLAN        : ',
             WS-7555-INSURANCE-PLAN-ID UPON CONSOLE
           DISPLAY 'PRACTICE CODE   : ',
             WS-7555-PRACTICE-CD UPON CONSOLE
           DISPLAY 'TYPE CODE       : ',
             WS-7555-TYPE-CD UPON CONSOLE
           DISPLAY 'OPTION CODE     : ',
             WS-7555-OPTION-CD UPON CONSOLE
           DISPLAY '---------------------------'
             UPON CONSOLE
           DISPLAY 'ENTITY TYPE            : ',
             WS-7555-ENTITY-TYPE UPON CONSOLE
           DISPLAY 'RECORD TYPE SFX        : ',
             WS-7555-RECORD-TYPE-SFX UPON CONSOLE
           DISPLAY 'NCS TYPE FLAG          : ',
             WS-7555-NCS-TYPE-FLG UPON CONSOLE
           DISPLAY 'PRODUCER NAME          : ',
             WS-7555-PRODUCER-NAME UPON CONSOLE
           DISPLAY 'FSN                    : ',
             WS-7555-FSN UPON CONSOLE
           DISPLAY 'LEGAL DESCRIPTION      : ',
             WS-7555-LEGAL-DESC UPON CONSOLE
           DISPLAY 'LEGAL NARRATIVE1       : ',
             WS-7555-LEGAL-NARRATIVE1 UPON CONSOLE
           DISPLAY 'LEGAL NARRATIVE2       : ',
             WS-7555-LEGAL-NARRATIVE2 UPON CONSOLE
           DISPLAY 'RATE                   : ',
             WS-7555-RATE UPON CONSOLE
      *    *** FCI-32 SUPPLEMENT ***
           IF WS-7555-RECORD-TYPE-SFX = 2
              DISPLAY 'FCI-32 GUAR RATE CLASS : ',
                WS-7555-F32-GUAR-RATE-CLASS UPON CONSOLE
           END-IF
      *    *** FCI-35 SUPPLEMENT ***
           IF WS-7555-RECORD-TYPE-SFX = 5
              DISPLAY 'YIELD FACTOR           : ',
                WS-7555-YIELD-FACTOR UPON CONSOLE
           END-IF
           DISPLAY '---------------------------'
             UPON CONSOLE
           DISPLAY 'DATE LAST RELEASED: ',
             WS-7555-DATE-LAST-RELEASED UPON CONSOLE
           DISPLAY 'DATE LAST UPDATED : ',
             WS-7555-DATE-LAST-UPDATED UPON CONSOLE
           DISPLAY 'DATE FILED        : ',
             WS-7555-DATE-FILED UPON CONSOLE
           DISPLAY ' ' UPON CONSOLE.

       7555-DISPLAY-RECORD-EXIT.
           EXIT.

      $END
