      *****************************************************************
      * File:      M7558.CBL                                          *
      * Author:    Yo-I Tsui                                          *
      * Date:      2/13/96                                            *
      * Purpose:                                                      *
      *    This module validates the lookup parameters passed in and  *
      *    looks up values in the ADM record type Y ISAM file         *
      *    The ADM record contains: Yield Factor, Cap, County Avg Yld *
      *****************************************************************

       7558-LOOKUP-ADMY.

      $IF DEBUG-SW DEFINED
           DISPLAY '7558-LOOKING UP ADM TYPE Y REC '
           UPON CONSOLE
      $END

      ************************************************
      *       INITIALIZE OUTPUT FIELDS               *
      ************************************************
           MOVE WS-LITERAL-NO TO WS-7558-FOUND-FLG
           MOVE WS-LITERAL-NO TO WS-7558-BAD-ADM-DATA
           MOVE WS-LITERAL-NO TO WS-7558-INPUT-ERROR
           MOVE WS-LITERAL-NO TO WS-7558-MAP-AREA-REQ-FLG

      ************************************************
      *         VALIDATE INPUT FIELDS                *
      ************************************************
           IF WS-7558-INPUT-SUFFIX <> SPACES
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 043 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-7558-INPUT-ERROR
              MOVE 'WS-7558-INPUT-SUFFIX' TO WS-8000-FIELD-NAME1
              MOVE WS-7558-INPUT-SUFFIX TO WS-8000-BAD-DATA1
              MOVE 'BLANK' TO WS-8000-CORR-DATA1
              MOVE 7558 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-7558-INPUT-CROP-YR = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 043 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-7558-INPUT-ERROR
              MOVE 'WS-7558-INPUT-CROP-YR' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 7558 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-7558-INPUT-STATE-CD = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 043 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-7558-INPUT-ERROR
              MOVE 'WS-7558-INPUT-STATE-CD' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 7558 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-7558-INPUT-COUNTY-CD = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 043 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-7558-INPUT-ERROR
              MOVE 'WS-7558-INPUT-COUNTY' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 7558 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-7558-INPUT-CROP-CD = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 043 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-7558-INPUT-ERROR
              MOVE 'WS-7558-INPUT-CROP-CD' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 7558 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-7558-INPUT-INSURANCE-PLAN = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 043 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-7558-INPUT-ERROR
              MOVE 'WS-7558-INPUT-INS-PLAN' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 7558 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-7558-INPUT-PRACTICE-CD = SPACES
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 043 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-7558-INPUT-ERROR
              MOVE 'WS-7558-INPUT-PRACTICE' TO WS-8000-FIELD-NAME1
              MOVE SPACES TO WS-8000-BAD-DATA1
              MOVE 'NOT BLANK' TO WS-8000-CORR-DATA1
              MOVE 7558 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

      *    IF WS-7558-INPUT-TYPE-CD = ZEROS
      *       MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
      *       MOVE 043 TO WS-8000-SHORT-ERROR
      *       MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
      *       MOVE WS-LITERAL-YES TO WS-7558-INPUT-ERROR
      *       MOVE 'WS-7558-INPUT-TYPE-CD' TO WS-8000-FIELD-NAME1
      ***     MOVE ZERO TO WS-8000-BAD-DATA1
      *       MOVE WS-7558-INPUT-KEY TO WS-8000-BAD-DATA1
      *       MOVE '> ZERO' TO WS-8000-CORR-DATA1
      *       MOVE 7558 TO WS-8000-PARAGRAPH-NO
      *       PERFORM 8000-RECORD-TRAN-ERROR
      *          THRU 8000-RECORD-TRAN-ERROR-EXIT
      *    END-IF

      *    *** AREA MAY BE BLANK OR ZEROS, BUT THE ADM
      *    *** ONLY HAS SPACES
           IF WS-7558-INPUT-T-YIELD-MAP-AREA = ZEROS
              MOVE SPACES TO WS-7558-INPUT-T-YIELD-MAP-AREA
           END-IF

           IF WS-7558-INPUT-ERROR = WS-LITERAL-YES
              GO TO 7558-LOOKUP-ADMY-EXIT
           END-IF

      ************************************************
      *            EXCEPTIONS BY CROP                *
      ************************************************
           EVALUATE WS-7558-INPUT-CROP-CD
               WHEN WS-LITERAL-NURSERY
                  MOVE 998 TO WS-7558-INPUT-COUNTY-CD
               WHEN OTHER
                  CONTINUE
           END-EVALUATE


      ************************************************
      *     EXCEPTION FOR AIR SEEDED SOYBEANS        *
      ************************************************
           IF WS-7558-INPUT-CROP-CD = WS-LITERAL-SOYBEANS AND
              WS-7558-INPUT-PRACTICE-POS1 = 'A'
              MOVE '0' TO WS-7558-INPUT-PRACTICE-POS1
           END-IF

      ************************************************
      *            EXCEPTIONS BY INS PLAN            *
      *                                              *
      * ADMY INFO FOR CRC CROPS IS UNDER NORMAL APH  *
      ************************************************
           EVALUATE WS-7558-INPUT-INSURANCE-PLAN
              WHEN WS-LITERAL-CRC
                MOVE WS-LITERAL-APH TO WS-7558-INPUT-INSURANCE-PLAN
              WHEN WS-LITERAL-RA
                MOVE WS-LITERAL-APH TO WS-7558-INPUT-INSURANCE-PLAN
              WHEN OTHER
                CONTINUE
           END-EVALUATE

      ************************************************
      *         READ RECORD FROM ISAM FILE           *
      ************************************************

           IF ADMY-FILE-OPEN
      *          **** CHECK TO SEE IF THE MOST RECENT SEARCH
      *          **** WAS FOR THE DATA YOU ARE LOOKING FOR
              IF WS-7558-INPUT-KEY = WS-7558-ADMY-KEY
                 MOVE WS-LITERAL-YES TO WS-7558-FOUND-FLG
              ELSE
                 INITIALIZE WS-7558-ADMY-REC
                 MOVE WS-7558-INPUT-KEY TO ADMY-REC-KEY
                 READ ADMY-FILE
                    INVALID KEY
                       IF WS-7558-INPUT-T-YIELD-MAP-AREA = SPACES
                          PERFORM 7558-READ-PARTIAL-KEY
                             THRU 7558-READ-PARTIAL-KEY-EXIT
                          IF NOT MAP-REQUIRED-7558
                             INITIALIZE WS-7558-INPUT-KEY
                          END-IF
                       else if WS-7558-INPUT-PRACTICE-CD = '004'
                           or  WS-7558-INPUT-PRACTICE-CD = '005'
                           evaluate WS-7558-INPUT-PRACTICE-CD
                             when '004'
                               move '005' to WS-7558-INPUT-PRACTICE-CD
                             when '005'
                               move '004' to WS-7558-INPUT-PRACTICE-CD
                           end-evaluate
                           INITIALIZE WS-7558-ADMY-REC
                           MOVE WS-7558-INPUT-KEY TO ADMY-REC-KEY
                           READ ADMY-FILE
                               NOT INVALID KEY
                                   MOVE ADMY-RECORD TO WS-7558-ADMY-REC
                                   MOVE WS-LITERAL-YES
                                       TO WS-7558-FOUND-FLG
                           END-READ
                       end-if
                       END-IF
                    NOT INVALID KEY
                       MOVE ADMY-RECORD TO WS-7558-ADMY-REC
                       MOVE WS-LITERAL-YES TO WS-7558-FOUND-FLG
                 END-READ
           ELSE
              MOVE 7558 TO WS-8020-PARAGRAPH-NO
              MOVE 900013 TO WS-8020-INT-ERROR-NO
              MOVE 'ADMY FILE' TO WS-8020-FIELD-NAME
              MOVE SPACES TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-7558-FOUND-FLG = WS-LITERAL-YES
              IF WS-7558-YIELD-FACTOR NOT NUMERIC OR
                 WS-7558-AREA-YIELD NOT NUMERIC
                 MOVE WS-LITERAL-YES TO WS-7558-BAD-ADM-DATA
              ELSE
                 IF WS-7558-AREA-YIELD <= ZEROS AND
                    WS-7558-YIELD-FACTOR <= ZEROS
                    MOVE WS-LITERAL-YES TO WS-7558-BAD-ADM-DATA
                 END-IF
              END-IF
              IF WS-7558-MAX-YIELD NOT NUMERIC
                 MOVE WS-LITERAL-YES TO WS-7558-BAD-ADM-DATA
              END-IF
              IF WS-7558-DISTR-AVG-YLD NOT NUMERIC
                 MOVE WS-LITERAL-YES TO WS-7558-BAD-ADM-DATA
              END-IF
              IF WS-7558-BAD-ADM-DATA = WS-LITERAL-YES
                 PERFORM 7558-DISPLAY-RECORD
                    THRU 7558-DISPLAY-RECORD-EXIT
                 MOVE 7558 TO WS-8020-PARAGRAPH-NO
                 MOVE 900049 TO WS-8020-INT-ERROR-NO
                 MOVE 'ADMY'
                   TO WS-8020-FIELD-NAME
                 MOVE SPACES
                   TO WS-8020-BAD-DATA
                 MOVE WS-LITERAL-YES
                   TO WS-8020-ABORT-PROGRAM
                 PERFORM 8020-RECORD-INT-ERROR
                    THRU 8020-RECORD-INT-ERROR-EXIT
              END-IF
           END-IF

      $IF DEBUG-SW DEFINED
           IF WS-7558-FOUND-FLG = WS-LITERAL-NO
              MOVE WS-7558-INPUT-KEY TO WS-7558-ADMY-KEY
              PERFORM 7558-DISPLAY-RECORD
                 THRU 7558-DISPLAY-RECORD-EXIT
              INITIALIZE WS-7558-ADMY-REC
           ELSE
              PERFORM 7558-DISPLAY-RECORD
                 THRU 7558-DISPLAY-RECORD-EXIT
           END-IF
      $END

      ************************************************
      *         INITIALIZE INPUT FIELDS              *
      ************************************************
           INITIALIZE WS-7558-INPUT-KEY.


       7558-LOOKUP-ADMY-EXIT.
           EXIT.


      ************************************************
      *         READ PARTIAL KEY                     *
      ************************************************


       7558-READ-PARTIAL-KEY.

      $IF DEBUG-SW DEFINED
           DISPLAY 'READING ADMY - PARTIAL KEY'
           UPON CONSOLE.
      $END

           IF ADMY-FILE-OPEN
              MOVE WS-7558-INPUT-KEY TO ADMY-REC-KEY
              START ADMY-FILE KEY = ADMY-REC-KEY
                  WITH SIZE 21
                  INVALID KEY

      $IF DEBUG-SW DEFINED
           DISPLAY 'ADM Y PARTIAL KEY DATA NOT PRESENT'
           UPON CONSOLE
      $END
                    INITIALIZE WS-7558-ADMY-REC
                    GO TO 7558-READ-PARTIAL-KEY-EXIT
                 NOT INVALID KEY
                    MOVE WS-LITERAL-YES TO WS-7558-MAP-AREA-REQ-FLG
              END-START
           ELSE
              MOVE 7558 TO WS-8020-PARAGRAPH-NO
              MOVE 900013 TO WS-8020-INT-ERROR-NO
              MOVE 'ADMY FILE' TO WS-8020-FIELD-NAME
              MOVE SPACES TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF.

       7558-READ-PARTIAL-KEY-EXIT.
           EXIT.



       7558-DISPLAY-RECORD.

           DISPLAY 'RECORD TYPE CODE: ',
             WS-7558-RECORD-TYPE-CD UPON CONSOLE
           DISPLAY 'RECORD TYPE SFX : ',
             WS-7558-RECORD-TYPE-SFX UPON CONSOLE
           DISPLAY 'CROP YEAR       : ',
             WS-7558-CROP-YEAR UPON CONSOLE
           DISPLAY 'STATE CODE      : ',
             WS-7558-STATE-CD UPON CONSOLE
           DISPLAY 'COUNTY CODE     : ',
             WS-7558-COUNTY-CD UPON CONSOLE
           DISPLAY 'CROP CODE       : ',
             WS-7558-CROP-CD UPON CONSOLE
           DISPLAY 'INS PLAN        : ',
             WS-7558-INSURANCE-PLAN-ID UPON CONSOLE
           DISPLAY 'PRACTICE CODE   : ',
             WS-7558-PRACTICE-CD UPON CONSOLE
           DISPLAY 'TYPE CODE       : ',
             WS-7558-TYPE-CD UPON CONSOLE
           DISPLAY 'T-YIELD MAP AREA: ',
             WS-7558-T-YIELD-MAP-AREA UPON CONSOLE
           DISPLAY '---------------------------'
             UPON CONSOLE
           DISPLAY 'YIELD FLAG      : ',
             WS-7558-YIELD-FLG UPON CONSOLE
           DISPLAY 'YIELD FACTOR    : ',
             WS-7558-YIELD-FACTOR UPON CONSOLE
           DISPLAY 'AREA YIELD      : ',
             WS-7558-AREA-YIELD UPON CONSOLE
           DISPLAY 'MAXIMUM YIELD   : ',
             WS-7558-MAX-YIELD UPON CONSOLE
           DISPLAY 'REFERENCE CROP  : ',
             WS-7558-REFE-CROP UPON CONSOLE
           DISPLAY 'DISTRICT AVG YLD: ',
             WS-7558-DISTR-AVG-YLD UPON CONSOLE
           DISPLAY 'CRC APH FLAG    : ',
             WS-7558-CRC-APH-FLAG UPON CONSOLE
           DISPLAY '---------------------------'
             UPON CONSOLE
           DISPLAY 'DATE LAST RELEASED: ',
             WS-7558-DATE-LAST-RELEASED UPON CONSOLE
           DISPLAY 'DATE LAST UPDATED : ',
             WS-7558-DATE-LAST-UPDATED UPON CONSOLE
           DISPLAY 'DATE FILED        : ',
             WS-7558-DATE-FILED UPON CONSOLE
           DISPLAY ' ' UPON CONSOLE.

       7558-DISPLAY-RECORD-EXIT.
           EXIT.


