      *****************************************************************
      * File:      M7560.CBL                                          *
      * Author:    Laura Dittamo                                      *
      * Date:      1/25/96                                            *
      * Purpose:                                                      *
      *    This module validates the lookup parameters passed in and  *
      *    looks up values in the Type 14 Dates record type 14 ISAM   *
      *    file.  The Type 14 Dates record contains submission        *
      *    data:  Original Submission Date,                           *
      *           Assigned Risk,                                      *
      *           Cutoff Date.                                        *
      *****************************************************************

       7560-LOOKUP-TYPE-14-DATES.

      $IF DEBUG-SW DEFINED
           DISPLAY '7560-LOOKING UP TYPE 14 DATES REC (DATE INFO)'
           UPON CONSOLE
      $END

      ************************************************
      *       INITIALIZE OUTPUT FIELDS               *
      ************************************************
           INITIALIZE WS-7560-TYPE-14-DATES-REC
           MOVE WS-LITERAL-NO TO WS-7560-FOUND-FLG
           MOVE WS-LITERAL-NO TO WS-7560-INPUT-ERROR

      ************************************************
      *         VALIDATE INPUT FIELDS                *
      ************************************************
           IF WS-7560-INPUT-REPORTING-ORG = SPACES
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 043 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-7560-INPUT-ERROR
              MOVE 'WS-7560-INPUT-RO' TO WS-8000-FIELD-NAME1
              MOVE SPACES TO WS-8000-BAD-DATA1
              MOVE 'NOT BLANK' TO WS-8000-CORR-DATA1
              MOVE 7560 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-7560-INPUT-LOC-STATE = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 043 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-7560-INPUT-ERROR
              MOVE 'WS-7560-INPUT-LOC-STATE' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 7560 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-7560-INPUT-COMPANY-COUNTY = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 043 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-7560-INPUT-ERROR
              MOVE 'WS-7560-INPUT-COMPANY' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 7560 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-7560-INPUT-POLICY-NUM = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 043 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-7560-INPUT-ERROR
              MOVE 'WS-7560-INPUT-POLICY-NUM'
                TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 7560 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-7560-INPUT-CROP-YEAR = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 043 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-7560-INPUT-ERROR
              MOVE 'WS-7560-INPUT-CROP-YR' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 7560 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-7560-INPUT-LOC-COUNTY = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 043 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-7560-INPUT-ERROR
              MOVE 'WS-7560-INPUT-LOC-COUNTY'
                TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 7560 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-7560-INPUT-CROP-CD = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 043 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-7560-INPUT-ERROR
              MOVE 'WS-7560-INPUT-CROP-CD' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 7560 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-7560-INPUT-INSURANCE-PLAN = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 043 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-7560-INPUT-ERROR
              MOVE 'WS-7560-INPUT-INS-PLAN' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 7560 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-7560-INPUT-CROP-POLICY-TYPE = SPACES
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 043 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-7560-INPUT-ERROR
              MOVE 'WS-7560-INPUT-CROP-POL-TYPE'
                TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 7560 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-7560-INPUT-ERROR = WS-LITERAL-YES
              GO TO 7560-LOOKUP-TYPE-14-DATES-EXIT
           END-IF

           IF NOT TYPE-14-DATES-FILE-OPEN
              MOVE 7560 TO WS-8020-PARAGRAPH-NO
              MOVE 90013 TO WS-8020-INT-ERROR-NO
              MOVE 'TYPE 14 DATES FILE' TO WS-8020-FIELD-NAME
              MOVE SPACES TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
              GO TO 7560-LOOKUP-TYPE-14-DATES-EXIT
           END-IF

      *****************************************************************
      *    READ RECORD FROM T14 ISAM FILE                             *
      *-------------------------------------------------- 9/19/97(KT)-*
      *    PER SUN-97245-001-2, COMPANIES ARE ALLOWED TO CHANGE THE   *
      *    DUAL COVERAGE FLAG FROM 0 TO 1 OR 1 TO 0. DUE TO THE FACT  *
      *    THAT THE DUAL COVERAGE FLAG IS A PART OF THE T14 ISAM KEY, *
      *    SEARCHING FOR AN EXISTING T14 ISAM RECORD MAY TAKE UP TO   *
      *    FOUR READS:                                                *
      *    1. SEARCH WITH THE SUBMITTED INFORMATION...(NORMAL SEARCH) *
      *       IF NOT FOUND, GO TO NEXT STEP, ETC.                     *
      *    2. IT MAY HAVE BEEN THAT THE COMPANY IS TRIED TO CHANGE THE*
      *       DUAL COVERAGE FLAG. IF THE SUBMITTED DUAL COVERAGE FLAG *
      *       = 0 USE 1 TO SEARCH, OR = 1 USE 0 TO SEARCH. TRY AGAIN. *
      *       IF A T14 ISAM RECORD IS FOUND, UPDATE THAT RECORD WITH  *
      *       THE SUBMITTED DUAL COVERAGE FLAG ALONG WITH THE DATE,   *
      *       THE BATCH NUMBER, AND THE TRANSACTION SEQUENCE NUMBER.  *
      *    3. SAME AS READ #1 EXCEPT USING 999 IN LOCATION COUNTY.    *
      *    4. SAME AS READ #2 EXCEPT USING 999 IN LOCATION COUNTY.    *
      *****************************************************************

           MOVE WS-7560-INPUT-KEY TO TYPE-14-DATES-REC-KEY

      *    ** READ #1...WITH SUBMITTED DUAL COVERAGE FLAG (NORMAL READ).
           PERFORM 7560-READ-TYPE-14-ISAM
              THRU 7560-READ-TYPE-14-ISAM-EXIT

           IF NOT MATCH-FOUND-7560
              MOVE WS-7560-INPUT-DUAL-CVG-FLG
                TO WS-7560-INPUT-DUAL-CVG-FLG-HLD
              IF WS-7560-INPUT-DUAL-CVG-FLG = 0
                 MOVE 1 TO WS-7560-INPUT-DUAL-CVG-FLG
              ELSE
                 MOVE 0 TO WS-7560-INPUT-DUAL-CVG-FLG
              END-IF
              MOVE WS-7560-INPUT-KEY TO TYPE-14-DATES-REC-KEY

      *    ** READ #2...WITHOUT SUBMITTED DUAL COVERAGE FLAG.
              PERFORM 7560-READ-TYPE-14-ISAM
                 THRU 7560-READ-TYPE-14-ISAM-EXIT

              IF MATCH-FOUND-7560
                 PERFORM 7560-CHG-T14-ISAM-DUAL-CVG-FLG
                    THRU 7560-CHG-T14-DUAL-CVG-FLG-EXIT
              END-IF
           END-IF

           IF NOT MATCH-FOUND-7560
      *       ** IF NO MATCH IS FOUND ON THE FIRST READ, READ THE FILE
      *       ** AGAIN USING 999 IN LOCATION COUNTY. DATA MIGRATED FROM
      *       ** THE IBM CONTRACT VSAM WAS ADDED TO THE TYPE 14 ISAM
      *       ** WITH 999 IN THE LOCATION COUNTY FIELD.
              MOVE WS-7560-INPUT-DUAL-CVG-FLG-HLD
                TO WS-7560-INPUT-DUAL-CVG-FLG
              MOVE 999 TO WS-7560-INPUT-LOC-COUNTY

              MOVE WS-7560-INPUT-KEY TO TYPE-14-DATES-REC-KEY

      *    ** READ #3...WITH SUBMITTED DUAL COVERAGE FLAG & CNTY = 999.
              PERFORM 7560-READ-TYPE-14-ISAM
                 THRU 7560-READ-TYPE-14-ISAM-EXIT

              IF NOT MATCH-FOUND-7560
                 IF WS-7560-INPUT-DUAL-CVG-FLG = 0
                    MOVE 1 TO WS-7560-INPUT-DUAL-CVG-FLG
                 ELSE
                    MOVE 0 TO WS-7560-INPUT-DUAL-CVG-FLG
                 END-IF
                 MOVE WS-7560-INPUT-KEY TO TYPE-14-DATES-REC-KEY

      *          ** READ #4...WITHOUT SUBMITTED DUAL CVG FLG & CNTY=999.
                 PERFORM 7560-READ-TYPE-14-ISAM
                    THRU 7560-READ-TYPE-14-ISAM-EXIT

                 IF MATCH-FOUND-7560
                    PERFORM 7560-CHG-T14-ISAM-DUAL-CVG-FLG
                       THRU 7560-CHG-T14-DUAL-CVG-FLG-EXIT
                 END-IF
              END-IF
           END-IF.

      $IF DEBUG-SW DEFINED
           PERFORM 7560-DISPLAY-RECORD
              THRU 7560-DISPLAY-RECORD-EXIT.
      $END

       7560-LOOKUP-TYPE-14-DATES-EXIT.
      *    ***  initialize INPUT FIELDS before exit
           INITIALIZE WS-7560-INPUT-KEY.

           EXIT.


       7560-READ-TYPE-14-ISAM.

           READ TYPE-14-DATES-FILE
              INVALID KEY
                 MOVE WS-LITERAL-NO TO WS-7560-FOUND-FLG
                 MOVE WS-7560-INPUT-KEY TO WS-7560-TYPE-14-DATES-KEY
              NOT INVALID KEY
                 MOVE TYPE-14-DATES-RECORD
                   TO WS-7560-TYPE-14-DATES-REC
                 MOVE WS-LITERAL-YES TO WS-7560-FOUND-FLG
           END-READ.

       7560-READ-TYPE-14-ISAM-EXIT.
           EXIT.

       7560-CHG-T14-ISAM-DUAL-CVG-FLG.
      *****************************************************************
      *    COMPANY IS TRIED TO CHANGE THE DUAL COVERAGE FLAG. THE T14 *
      *    ISAM RECORD FOUND IS IN WS-7560-TYPE-14-DATES-REC. UPDATE  *
      *    THAT RECORD WITH THE SUBMITTED DUAL COVERAGE FLAG ALONG    *
      *    WITH THE DATE, BATCH NUMBER, AND TRANS SEQ NUM.            *
      *****************************************************************
           DELETE TYPE-14-DATES-FILE RECORD
              INVALID KEY
      $IF DEBUG-SW DEFINED
                 DISPLAY 'M7560.CBL...CHANGE IN DUAL COVERAGE FLAG...'
                 UPON CONSOLE
                 DISPLAY '            DELETE T14 ISAM RECORD FAILED..'
                 UPON CONSOLE
      $END
                 CONTINUE
           END-DELETE

           MOVE WS-7560-INPUT-DUAL-CVG-FLG-HLD TO WS-7560-DUAL-CVG-FLG
           MOVE WS-7560-DUAL-LAST-DATE-CHANGE
             TO WS-7560-LAST-CHANGE-DATE
           MOVE WS-7560-DUAL-BATCH-NUM-CHANGE
             TO WS-7560-CHANGE-BATCH-NUM
           MOVE WS-7560-DUAL-TRANS-SEQ-CHANGE
             TO WS-7560-CHANGE-TRANS-SEQ-NUM

           WRITE TYPE-14-DATES-RECORD FROM WS-7560-TYPE-14-DATES-REC
              INVALID KEY
                 MOVE 0975 TO WS-8020-PARAGRAPH-NO
                 MOVE 90029 TO WS-8020-INT-ERROR-NO
                 MOVE 'TYPE 14 DATES KEY' TO WS-8020-FIELD-NAME
                 MOVE WS-0975-INPUT-KEY TO WS-8020-BAD-DATA
                 MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
                 PERFORM 8020-RECORD-INT-ERROR
                    THRU 8020-RECORD-INT-ERROR-EXIT
           END-WRITE.

       7560-CHG-T14-DUAL-CVG-FLG-EXIT.
           EXIT.

      $IF DEBUG-SW DEFINED

       7560-DISPLAY-RECORD.

           IF NOT MATCH-FOUND-7560
              GO TO 7560-DISPLAY-RECORD-EXIT
           END-IF

           DISPLAY 'REPORTING ORG    : ',
             WS-7560-REPORTING-ORG UPON CONSOLE
           DISPLAY 'LOCATION STATE   : ',
             WS-7560-LOC-STATE UPON CONSOLE
           DISPLAY 'COMPANY/COUNTY   : ',
             WS-7560-COMPANY-COUNTY UPON CONSOLE
           DISPLAY 'POLICY NUMBER    : ',
             WS-7560-POLICY-NUM UPON CONSOLE
           DISPLAY 'CROP YEAR        : ',
             WS-7560-CROP-YEAR UPON CONSOLE
           DISPLAY 'LOCATION COUNTY  : ',
             WS-7560-LOC-COUNTY UPON CONSOLE
           DISPLAY 'CROP CODE        : ',
             WS-7560-CROP-CD UPON CONSOLE
           DISPLAY 'INSURANCE PLAN   : ',
             WS-7560-INSURANCE-PLAN-ID UPON CONSOLE
           DISPLAY 'CROP POLICY TYPE : ',
             WS-7560-CROP-POLICY-TYPE UPON CONSOLE
           DISPLAY 'DUAL CVG FLG     : ',
             WS-7560-DUAL-CVG-FLG UPON CONSOLE
           DISPLAY '---------------------------' UPON CONSOLE
           DISPLAY 'ASSIGNED RISK         : ',
             WS-7560-ASSIGNED-RISK UPON CONSOLE
           DISPLAY 'ORIG SUBMISSION DATE  : ',
             WS-7560-ORIG-SUB-DATE UPON CONSOLE
           DISPLAY 'ORIG SUBMISSION TIME  : ',
             WS-7560-ORIG-SUB-TIME UPON CONSOLE
           DISPLAY 'ORIG SUB BATCH NUMBER : ',
             WS-7560-ORIG-SUB-BATCH-NUM UPON CONSOLE
           DISPLAY 'ORIG SUB TRANS SEQ NUM: ',
             WS-7560-ORIG-SUB-TRANS-SEQ-NUM UPON CONSOLE
           DISPLAY 'ASGD RISK CUTOFF DATE : ',
             WS-7560-ASGD-RISK-CUTOFF-DATE UPON CONSOLE
           DISPLAY 'LAST CHANGE DATE      : ',
             WS-7560-LAST-CHANGE-DATE UPON CONSOLE
           DISPLAY 'CHANGE BATCH NUMBER   : ',
             WS-7560-CHANGE-BATCH-NUM UPON CONSOLE
           DISPLAY 'CHANGE TRANS SEQ NUM  : ',
             WS-7560-CHANGE-TRANS-SEQ-NUM UPON CONSOLE
           DISPLAY 'ACCEPTED DATE         : ',

           DISPLAY 'ACCEPTED TIME         : ',
             WS-7560-ACCEPTED-TIME UPON CONSOLE
           DISPLAY 'ACCEPTED BATCH NUMBER   : ',
             WS-7560-ACCEPTED-BATCH-NUM UPON CONSOLE
           DISPLAY 'ACCEPTED TRANS SEQ NUM  : ',
             WS-7560-ACCEPTED-TRANS-SEQ-NUM UPON CONSOLE
           DISPLAY 'OVERRIDE APPROVAL CD  : ',
             WS-7560-OVERRIDE-APPROVAL-CD UPON CONSOLE
           DISPLAY 'OVERRIDE USER ID      : ',
             WS-7560-OVERRIDE-USER-ID UPON CONSOLE
           DISPLAY 'OVERRIDE DATE         : ',
             WS-7560-OVERRIDE-DATE UPON CONSOLE
           DISPLAY ' ' UPON CONSOLE.

       7560-DISPLAY-RECORD-EXIT.
           EXIT.

      $END

