      *****************************************************************
      * File:      M7565.CBL                                          *
      * Author:    Laura Dittamo                                      *
      * Date:      1/25/96                                            *
      * Purpose:                                                      *
      *    This module validates the lookup parameters passed in and  *
      *    looks up values in the Type 11 Dates record type 11 ISAM   *
      *    file.  The Type 11 Dates record contains submission        *
      *    data:  Original Submission Date,                           *
      *           Elapsed Weeks                                       *
      *           Reduction Weeks                                     *
      *****************************************************************

       7565-LOOKUP-TYPE-11-DATES.

      $IF DEBUG-SW DEFINED
           DISPLAY '7565-LOOKING UP TYPE 11 DATES REC (DATE INFO)'
           UPON CONSOLE
      $END

      ************************************************
      *       INITIALIZE OUTPUT FIELDS               *
      ************************************************
           INITIALIZE WS-7565-TYPE-11-DATES-REC
           MOVE WS-LITERAL-NO TO WS-7565-FOUND-FLG
           MOVE WS-LITERAL-NO TO WS-7565-INPUT-ERROR

      ************************************************
      *         VALIDATE INPUT FIELDS                *
      ************************************************
           IF WS-7565-INPUT-REPORTING-ORG = SPACES
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 043 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-7565-INPUT-ERROR
              MOVE 'WS-7565-INPUT-RO' TO WS-8000-FIELD-NAME1
              MOVE SPACES TO WS-8000-BAD-DATA1
              MOVE 'NOT BLANK' TO WS-8000-CORR-DATA1
              MOVE 7565 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-7565-INPUT-rate-STATE = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 043 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-7565-INPUT-ERROR
              MOVE 'WS-7565-INPUT-RATE-STATE' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 7565 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-7565-INPUT-COMPANY-COUNTY = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 043 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-7565-INPUT-ERROR
              MOVE 'WS-7565-INPUT-COUNTY' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 7565 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-7565-INPUT-POLICY-NUM = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 043 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-7565-INPUT-ERROR
              MOVE 'WS-7565-INPUT-POLICY-NO' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 7565 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-7565-INPUT-CROP-YEAR = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 043 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-7565-INPUT-ERROR
              MOVE 'WS-7565-INPUT-CROP-YR' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 7565 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-7565-INPUT-CROP-CD = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 043 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-7565-INPUT-ERROR
              MOVE 'WS-7565-INPUT-CROP-CD' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 7565 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-7565-INPUT-INSURANCE-PLAN = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 043 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-7565-INPUT-ERROR
              MOVE 'WS-7565-INPUT-INS-PLAN' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 7565 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-7565-INPUT-RATE-COUNTY = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 043 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-7565-INPUT-ERROR
              MOVE 'WS-7565-INPUT-RATE-CNTY' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 7565 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-7565-INPUT-SEED-CYCLE = SPACES
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 043 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-7565-INPUT-ERROR
              MOVE 'WS-7565-INPUT-SEED-CYCLE' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 7565 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-7565-INPUT-ERROR = WS-LITERAL-YES
              GO TO 7565-LOOKUP-TYPE-11-DATES-EXIT
           END-IF

      ************************************************
      *         READ RECORD FROM ISAM FILE           *
      ************************************************

           IF TYPE-11-DATES-FILE-OPEN
              IF WS-7565-INPUT-KEY = WS-7565-TYPE-11-DATES-KEY
                 MOVE WS-LITERAL-YES TO WS-7565-FOUND-FLG
              ELSE
                 MOVE WS-7565-INPUT-KEY TO TYPE-11-DATES-REC-KEY
                 READ TYPE-11-DATES-FILE
                    INVALID KEY
                       MOVE WS-LITERAL-NO TO WS-7565-FOUND-FLG
                    NOT INVALID KEY
                       MOVE TYPE-11-DATES-RECORD
                         TO WS-7565-TYPE-11-DATES-REC
                       MOVE WS-LITERAL-YES TO WS-7565-FOUND-FLG
                 END-READ
              END-IF
           ELSE
              MOVE 7565 TO WS-8020-PARAGRAPH-NO
              MOVE 90013 TO WS-8020-INT-ERROR-NO
              MOVE 'TYPE 11 DATES FILE' TO WS-8020-FIELD-NAME
              MOVE SPACES TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

      $IF DEBUG-SW DEFINED
           IF WS-7565-FOUND-FLG = WS-LITERAL-NO
              MOVE WS-7565-INPUT-KEY TO WS-7565-TYPE-11-DATES-KEY
              PERFORM 7565-DISPLAY-RECORD
                 THRU 7565-DISPLAY-RECORD-EXIT
              INITIALIZE WS-7565-TYPE-11-DATES-REC
           ELSE
              PERFORM 7565-DISPLAY-RECORD
                 THRU 7565-DISPLAY-RECORD-EXIT
           END-IF
      $END

      ************************************************
      *         INITIALIZE INPUT FIELDS              *
      ************************************************
           INITIALIZE WS-7565-INPUT-KEY.


       7565-LOOKUP-TYPE-11-DATES-EXIT.
           EXIT.


      $IF DEBUG-SW DEFINED

       7565-DISPLAY-RECORD.

           DISPLAY 'REPORTING ORG    : ',
             WS-7565-REPORTING-ORG UPON CONSOLE
           DISPLAY 'RATE STATE       : ',
             WS-7565-INPUT-RATE-STATE UPON CONSOLE
           DISPLAY 'COMPANY/COUNTY   : ',
             WS-7565-COMPANY-COUNTY UPON CONSOLE
           DISPLAY 'POLICY NUMBER    : ',
             WS-7565-POLICY-NUM UPON CONSOLE
           DISPLAY 'CROP YEAR        : ',
             WS-7565-CROP-YEAR UPON CONSOLE
           DISPLAY 'RATE COUNTY      : ',
             WS-7565-RATE-COUNTY UPON CONSOLE
           DISPLAY 'CROP CODE        : ',
             WS-7565-CROP-CD UPON CONSOLE
           DISPLAY 'INS PLAN         : ',
             WS-7565-INSURANCE-PLAN-ID  UPON CONSOLE
           DISPLAY 'SEED CYCLE       : ',
             WS-7565-SEED-CYCLE UPON CONSOLE
           DISPLAY '---------------------------'
             UPON CONSOLE
           DISPLAY 'LATE FILED DATE       : ',
             WS-7565-LATE-FILED-DATE UPON CONSOLE
           DISPLAY 'REDUCTION WEEKS       : ',
             WS-7565-REDUCTION-WEEKS UPON CONSOLE
           DISPLAY 'ORIG SUBMISSION DATE  : ',
             WS-7565-ORIG-SUB-DATE UPON CONSOLE
           DISPLAY 'ORIG SUB BATCH NUMBER : ',
             WS-7565-ORIG-SUB-BATCH-NUM UPON CONSOLE
           DISPLAY 'ORIG SUB TRANS SEQ NUM: ',
             WS-7565-ORIG-SUB-TRANS-SEQ-NUM UPON CONSOLE
           DISPLAY 'ACREAGE REPORTING DATE: ',
             WS-7565-ACREAGE-RPT-DATE UPON CONSOLE
           DISPLAY 'ACCEPTED DATE         : ',
             WS-7565-ACCEPTED-DATE UPON CONSOLE
           DISPLAY 'ACCEPTED TIME         : ',
             WS-7565-ACCEPTED-TIME UPON CONSOLE
           DISPLAY 'ACCEPTED BATCH NUMBER   : ',
             WS-7565-ACCEPTED-BATCH-NUM UPON CONSOLE
           DISPLAY 'ACCEPTED TRANS SEQ NUM  : ',
             WS-7565-ACCEPTED-TRANS-SEQ-NUM UPON CONSOLE
           DISPLAY 'OVERRIDE APPROVAL CODE  : ',
             WS-7565-OVERRIDE-APPROVAL-CD UPON CONSOLE
           DISPLAY 'OVERRIDE USER ID        : ',
             WS-7565-OVERRIDE-USER-ID UPON CONSOLE
           DISPLAY 'OVERRIDE DATE           : ',
             WS-7565-OVERRIDE-DATE UPON CONSOLE.


       7565-DISPLAY-RECORD-EXIT.
           EXIT.

      $END
