      *****************************************************************
      * File:      M7570.CBL                                          *
      * Author:    Mike Ray                                           *
      * Date:      07/01/97                                           *
      * Purpose:                                                      *
      *    This module validates the lookup parameters passed in and  *
      *    looks up values in the ADMIR ISAM file.                    *
      *****************************************************************

       7570-LOOKUP-ADMIR.

      $IF DEBUG-SW DEFINED
           DISPLAY '7570-LOOKING UP ADMIR (IP RATES)'
           UPON CONSOLE
      $END

      ************************************************
      *       INITIALIZE OUTPUT FIELDS               *
      ************************************************
           MOVE WS-LITERAL-NO TO WS-7570-FOUND-FLG
           MOVE WS-LITERAL-NO TO WS-7570-INPUT-ERROR

      ************************************************
      *         VALIDATE INPUT FIELDS                *
      ************************************************
           IF WS-7570-INPUT-CROP-YR = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 043 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-7570-INPUT-ERROR
              MOVE 'WS-7570-INPUT-CROP-YR' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 7570 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-7570-INPUT-STATE-CD = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 043 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-7570-INPUT-ERROR
              MOVE 'WS-7570-INPUT-STATE-CD' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 7570 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-7570-INPUT-COUNTY-CD = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 043 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-7570-INPUT-ERROR
              MOVE 'WS-7570-INPUT-COUNTY' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 7570 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-7570-INPUT-CROP-CD = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 043 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-7570-INPUT-ERROR
              MOVE 'WS-7570-INPUT-CROP-CD' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 7570 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-7570-INPUT-INSURANCE-PLAN = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 043 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-7570-INPUT-ERROR
              MOVE 'WS-7570-INPUT-INS-PLAN' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 7570 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-7570-INPUT-PRACTICE-CD = SPACES
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 043 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-7570-INPUT-ERROR
              MOVE 'WS-7570-INPUT-PRACTICE' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE 'NOT BLANK' TO WS-8000-CORR-DATA1
              MOVE 7570 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-7570-INPUT-RATE-CLASS = SPACES
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 043 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-7570-INPUT-ERROR
              MOVE 'WS-7570-INPUT-RATE-CLASS' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE 'NOT BLANK' TO WS-8000-CORR-DATA1
              MOVE 7570 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF


           IF WS-7570-INPUT-ERROR = WS-LITERAL-YES
              GO TO 7570-LOOKUP-ADMIR-EXIT
           END-IF


      ************************************************
      *            EXCEPTIONS BY CROP                *
      ************************************************
           EVALUATE WS-7570-INPUT-CROP-CD
               WHEN WS-LITERAL-NURSERY
                  MOVE '998' TO WS-7570-INPUT-COUNTY-CD
               WHEN OTHER
                  CONTINUE
           END-EVALUATE


      ************************************************
      *     EXCEPTION FOR AIR SEEDED SOYBEANS        *
      ************************************************
           IF WS-7570-INPUT-CROP-CD = WS-LITERAL-SOYBEANS AND
              WS-7570-INPUT-PRACTICE-POS1 = 'A'
              MOVE '0' TO WS-7570-INPUT-PRACTICE-POS1
           END-IF

      ************************************************
      *         READ RECORD FROM ISAM FILE           *
      ************************************************

           IF ADMIR-FILE-OPEN
              IF WS-7570-INPUT-KEY = WS-7570-ADMIR-KEY
                 MOVE WS-LITERAL-YES TO WS-7570-FOUND-FLG
              ELSE
                 INITIALIZE WS-7570-ADMIR-REC
                 MOVE WS-7570-INPUT-KEY TO ADMIR-REC-KEY
                 READ ADMIR-FILE
                    INVALID KEY
                       GO TO 7570-LOOKUP-ADMIR-EXIT
                    NOT INVALID KEY
                       MOVE ADMIR-RECORD TO WS-7570-ADMIR-REC
                       MOVE WS-LITERAL-YES TO WS-7570-FOUND-FLG
                 END-READ
              END-IF
           ELSE
              MOVE 7570 TO WS-8020-PARAGRAPH-NO
              MOVE 90013 TO WS-8020-INT-ERROR-NO
              MOVE 'ADMIR FILE' TO WS-8020-FIELD-NAME
              MOVE SPACES TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

      $IF DEBUG-SW DEFINED
           PERFORM 7570-DISPLAY-RECORD
              THRU 7570-DISPLAY-RECORD-EXIT
      $END

      ************************************************
      *         INITIALIZE INPUT FIELDS              *
      ************************************************
           INITIALIZE WS-7570-INPUT-KEY.


       7570-LOOKUP-ADMIR-EXIT.
           EXIT.


      $IF DEBUG-SW DEFINED

       7570-DISPLAY-RECORD.

           DISPLAY 'RECORD TYPE CODE: ',
           WS-7570-RECORD-TYPE-CD UPON CONSOLE
           DISPLAY 'RECORD TYPE SFX : ',
           WS-7570-RECORD-TYPE-SFX UPON CONSOLE
           DISPLAY 'CROP YEAR       : ',
           WS-7570-CROP-YEAR UPON CONSOLE
           DISPLAY 'STATE CODE      : ',
           WS-7570-STATE-CD UPON CONSOLE
           DISPLAY 'COUNTY CODE     : ',
           WS-7570-COUNTY-CD UPON CONSOLE
           DISPLAY 'CROP CODE       : ',
           WS-7570-CROP-CD UPON CONSOLE
           DISPLAY 'INS PLAN        : ',
           WS-7570-INSURANCE-PLAN-ID UPON CONSOLE
           DISPLAY 'PRACTICE CODE   : ',
           WS-7570-PRACTICE-CD UPON CONSOLE
           DISPLAY 'TYPE CODE       : ',
           WS-7570-TYPE-CD UPON CONSOLE
           DISPLAY 'RATE CLASS      : ',
           WS-7570-RATE-CLASS UPON CONSOLE
           DISPLAY '------------------------------------------------'
           UPON CONSOLE
           DISPLAY 'FARM YIELDS   LOW/HIGH : ',
           WS-7570-LOW-FARM-YIELD, ' / ',
           WS-7570-HIGH-FARM-YIELD UPON CONSOLE
           DISPLAY 'COUNTY YIELDS LOW/HIGH : ' ,
           WS-7570-LOW-COUNTY-YIELD, ' / ',
           WS-7570-HIGH-COUNTY-YIELD UPON CONSOLE
           DISPLAY '------------------------------------------------'
           UPON CONSOLE
           MOVE WS-7570-BASE-PREMIUM-RATE-01
             TO WS-7570-BASE-PREMIUM-RATE-X
           DISPLAY 'COVERAGE LEVEL/BASE PREMIUM RATE: ',
           WS-7570-COVERAGE-LVL-01, ' - ',
           WS-7570-BASE-PREMIUM-RATE-X UPON CONSOLE
           MOVE WS-7570-BASE-PREMIUM-RATE-02
             TO WS-7570-BASE-PREMIUM-RATE-X
           DISPLAY 'COVERAGE LEVEL/BASE PREMIUM RATE: ',
           WS-7570-COVERAGE-LVL-02, ' - ',
           WS-7570-BASE-PREMIUM-RATE-X UPON CONSOLE
           MOVE WS-7570-BASE-PREMIUM-RATE-03
             TO WS-7570-BASE-PREMIUM-RATE-X
           DISPLAY 'COVERAGE LEVEL/BASE PREMIUM RATE: ',
           WS-7570-COVERAGE-LVL-03, ' - ',
           WS-7570-BASE-PREMIUM-RATE-X UPON CONSOLE
           MOVE WS-7570-BASE-PREMIUM-RATE-04
             TO WS-7570-BASE-PREMIUM-RATE-X
           DISPLAY 'COVERAGE LEVEL/BASE PREMIUM RATE: ',
           WS-7570-COVERAGE-LVL-04, ' - ',
           WS-7570-BASE-PREMIUM-RATE-X UPON CONSOLE
           MOVE WS-7570-BASE-PREMIUM-RATE-05
             TO WS-7570-BASE-PREMIUM-RATE-X
           DISPLAY 'COVERAGE LEVEL/BASE PREMIUM RATE: ',
           WS-7570-COVERAGE-LVL-05, ' - ',
           WS-7570-BASE-PREMIUM-RATE-X UPON CONSOLE
           MOVE WS-7570-BASE-PREMIUM-RATE-06
             TO WS-7570-BASE-PREMIUM-RATE-X
           DISPLAY 'COVERAGE LEVEL/BASE PREMIUM RATE: ',
           WS-7570-COVERAGE-LVL-06, ' - ',
           WS-7570-BASE-PREMIUM-RATE-X UPON CONSOLE
           MOVE WS-7570-BASE-PREMIUM-RATE-07
             TO WS-7570-BASE-PREMIUM-RATE-X
           DISPLAY 'COVERAGE LEVEL/BASE PREMIUM RATE: ',
           WS-7570-COVERAGE-LVL-07, ' - ',
           WS-7570-BASE-PREMIUM-RATE-X UPON CONSOLE
           MOVE WS-7570-BASE-PREMIUM-RATE-08
             TO WS-7570-BASE-PREMIUM-RATE-X
           DISPLAY 'COVERAGE LEVEL/BASE PREMIUM RATE: ',
           WS-7570-COVERAGE-LVL-08, ' - ',
           WS-7570-BASE-PREMIUM-RATE-X UPON CONSOLE
           MOVE WS-7570-BASE-PREMIUM-RATE-09
             TO WS-7570-BASE-PREMIUM-RATE-X
           DISPLAY 'COVERAGE LEVEL/BASE PREMIUM RATE: ',
           WS-7570-COVERAGE-LVL-09, ' - ',
           WS-7570-BASE-PREMIUM-RATE-X UPON CONSOLE
           MOVE WS-7570-BASE-PREMIUM-RATE-10
             TO WS-7570-BASE-PREMIUM-RATE-X
           DISPLAY 'COVERAGE LEVEL/BASE PREMIUM RATE: ',
           WS-7570-COVERAGE-LVL-10, ' - ',
           WS-7570-BASE-PREMIUM-RATE-X UPON CONSOLE
           MOVE WS-7570-BASE-PREMIUM-RATE-11
             TO WS-7570-BASE-PREMIUM-RATE-X
           DISPLAY 'COVERAGE LEVEL/BASE PREMIUM RATE: ',
           WS-7570-COVERAGE-LVL-11, ' - ',
           WS-7570-BASE-PREMIUM-RATE-X UPON CONSOLE
           MOVE WS-7570-BASE-PREMIUM-RATE-12
             TO WS-7570-BASE-PREMIUM-RATE-X
           DISPLAY 'COVERAGE LEVEL/BASE PREMIUM RATE: ',
           WS-7570-COVERAGE-LVL-12, ' - ',
           WS-7570-BASE-PREMIUM-RATE-X UPON CONSOLE
           MOVE WS-7570-BASE-PREMIUM-RATE-13
             TO WS-7570-BASE-PREMIUM-RATE-X
           DISPLAY 'COVERAGE LEVEL/BASE PREMIUM RATE: ',
           WS-7570-COVERAGE-LVL-13, ' - ',
           WS-7570-BASE-PREMIUM-RATE-X UPON CONSOLE
           MOVE WS-7570-BASE-PREMIUM-RATE-14
             TO WS-7570-BASE-PREMIUM-RATE-X
           DISPLAY 'COVERAGE LEVEL/BASE PREMIUM RATE: ',
           WS-7570-COVERAGE-LVL-14, ' - ',
           WS-7570-BASE-PREMIUM-RATE-X UPON CONSOLE
           MOVE WS-7570-BASE-PREMIUM-RATE-15
             TO WS-7570-BASE-PREMIUM-RATE-X
           DISPLAY 'COVERAGE LEVEL/BASE PREMIUM RATE: ',
           WS-7570-COVERAGE-LVL-15, ' - ',
           WS-7570-BASE-PREMIUM-RATE-X UPON CONSOLE
           MOVE WS-7570-BASE-PREMIUM-RATE-16
             TO WS-7570-BASE-PREMIUM-RATE-X
           DISPLAY 'COVERAGE LEVEL/BASE PREMIUM RATE: ',
           WS-7570-COVERAGE-LVL-16, ' - ',
           WS-7570-BASE-PREMIUM-RATE-X UPON CONSOLE
           DISPLAY '------------------------------------------------'
           UPON CONSOLE
           DISPLAY 'FILLER : ',
           WS-7570-BIG-FILLER UPON CONSOLE
           DISPLAY '---------------------------'
           UPON CONSOLE
           DISPLAY 'DATE LAST RELEASED: ',
           WS-7570-DATE-LAST-RELEASED UPON CONSOLE
           DISPLAY 'DATE LAST UPDATED : ',
           WS-7570-DATE-LAST-UPDATED UPON CONSOLE
           DISPLAY 'DATE FILED        : ',
           WS-7570-DATE-FILED UPON CONSOLE
           DISPLAY ' ' UPON CONSOLE.

       7570-DISPLAY-RECORD-EXIT.
           EXIT.

      $END
