      *****************************************************************
      * File:      M7575.CBL                                          *
      * Author:    Mike Ray                                           *
      * Date:      10/25/95                                           *
      * Purpose:                                                      *
      *    This module validates the lookup parameters passed in and  *
      *    looks up values in the ADM record type C ISAM file.        *
      *    The ADM record contains:                                   *
      *              CRC RATE FACTORS                                 *
      *****************************************************************

       7575-LOOKUP-ADMC.

      $IF DEBUG-SW DEFINED
           DISPLAY '7575-LOOKING UP ADM TYPE C REC (CRC RATE FACTORS)'
           UPON CONSOLE
      $END

      ************************************************
      *       INITIALIZE OUTPUT FIELDS               *
      ************************************************
           MOVE WS-LITERAL-NO TO WS-7575-FOUND-FLG
           MOVE WS-LITERAL-NO TO WS-7575-INPUT-ERROR

      ************************************************
      *         VALIDATE INPUT FIELDS                *
      ************************************************
           IF WS-7575-INPUT-CROP-YR = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 043 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-7575-INPUT-ERROR
              MOVE 'WS-7575-INPUT-CROP-YR' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 7575 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-7575-INPUT-STATE-CD = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 043 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-7575-INPUT-ERROR
              MOVE 'WS-7575-INPUT-STATE-CD' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 7575 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-7575-INPUT-COUNTY-CD = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 043 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-7575-INPUT-ERROR
              MOVE 'WS-7575-INPUT-COUNTY' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 7575 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-7575-INPUT-CROP-CD = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 043 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-7575-INPUT-ERROR
              MOVE 'WS-7575-INPUT-CROP-CD' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 7575 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-7575-INPUT-INS-PLAN = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 043 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-7575-INPUT-ERROR
              MOVE 'WS-7575-INPUT-INS-PLAN' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 7575 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-7575-INPUT-PRACTICE-CD = SPACES
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 043 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-7575-INPUT-ERROR
              MOVE 'WS-7575-INPUT-PRACTICE' TO WS-8000-FIELD-NAME1
              MOVE SPACE TO WS-8000-BAD-DATA1
              MOVE 'NOT BLANK' TO WS-8000-CORR-DATA1
              MOVE 7575 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-7575-INPUT-TYPE-CD = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 043 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-7575-INPUT-ERROR
              MOVE 'WS-7575-INPUT-TYPE' TO WS-8000-FIELD-NAME1
              MOVE SPACE TO WS-8000-BAD-DATA1
              MOVE 'NOT BLANK' TO WS-8000-CORR-DATA1
              MOVE 7575 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

      *    RATE CLASS IS OPTIONAL

           IF WS-7575-INPUT-ERROR = WS-LITERAL-YES
              GO TO 7575-LOOKUP-ADMC-EXIT
           END-IF

      ************************************************
      *            EXCEPTIONS BY CROP                *
      ************************************************
           EVALUATE WS-7575-INPUT-CROP-CD
               WHEN WS-LITERAL-NURSERY
                  MOVE '998' TO WS-7575-INPUT-COUNTY-CD
               WHEN OTHER
                  CONTINUE
           END-EVALUATE


      ************************************************
      *     EXCEPTION FOR AIR SEEDED SOYBEANS        *
      ************************************************
           IF WS-7575-INPUT-CROP-CD = WS-LITERAL-SOYBEANS AND
              WS-7575-INPUT-PRACTICE-POS1 = 'A'
              MOVE '0' TO WS-7575-INPUT-PRACTICE-POS1
           END-IF.

      ************************************************
      *     READ FOR RECORD                          *
      ************************************************
       7575-REREAD-RECORD.

           IF ADMC-FILE-OPEN
      *       **** CHECK TO SEE IF THE RECORD IS CACHED
              IF WS-7575-INPUT-KEY = WS-7575-ADMC-KEY
                 MOVE WS-LITERAL-YES TO WS-7575-FOUND-FLG
              ELSE
                 INITIALIZE WS-7575-ADMC-REC
                 MOVE WS-7575-INPUT-KEY TO ADMC-REC-KEY
                 READ ADMC-FILE
                    INVALID KEY
                       IF WS-7575-INPUT-RATE-CLASS = '000'
                           MOVE SPACES TO WS-7575-INPUT-RATE-CLASS
                           GO TO 7575-REREAD-RECORD
                       ELSE
                          INITIALIZE WS-7575-ADMC-REC
                          GO TO 7575-LOOKUP-ADMC-EXIT
                       END-IF
                    NOT INVALID KEY
                       MOVE ADMC-RECORD TO WS-7575-ADMC-REC
                       MOVE WS-LITERAL-YES TO WS-7575-FOUND-FLG
                 END-READ
              END-IF
           ELSE
              MOVE 7575 TO WS-8020-PARAGRAPH-NO
              MOVE 90013 TO WS-8020-INT-ERROR-NO
              MOVE 'ADMC FILE' TO WS-8020-FIELD-NAME
              MOVE SPACES TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF.

      $IF DEBUG-SW DEFINED
           IF WS-7575-FOUND-FLG = WS-LITERAL-NO
              MOVE WS-7575-INPUT-KEY TO WS-7575-ADMC-KEY
              PERFORM 7575-DISPLAY-RECORD
                 THRU 7575-DISPLAY-RECORD-EXIT
              INITIALIZE WS-7575-ADMC-KEY
           ELSE
              PERFORM 7575-DISPLAY-RECORD
                 THRU 7575-DISPLAY-RECORD-EXIT
           END-IF
      $END

      ************************************************
      *         INITIALIZE INPUT FIELDS              *
      ************************************************
           INITIALIZE WS-7575-INPUT-KEY.


       7575-LOOKUP-ADMC-EXIT.
           EXIT.


      $IF DEBUG-SW DEFINED

       7575-DISPLAY-RECORD.

           DISPLAY 'RECORD TYPE CODE: ',
             WS-7575-RECORD-TYPE-CD UPON CONSOLE
           DISPLAY 'RECORD TYPE SFX : ',
             WS-7575-RECORD-TYPE-SFX UPON CONSOLE
           DISPLAY 'CROP YEAR       : ',
             WS-7575-CROP-YEAR UPON CONSOLE
           DISPLAY 'STATE CODE      : ',
             WS-7575-STATE-CD UPON CONSOLE
           DISPLAY 'COUNTY CODE     : ',
             WS-7575-COUNTY-CD UPON CONSOLE
           DISPLAY 'CROP CODE       : ',
             WS-7575-CROP-CD UPON CONSOLE
           DISPLAY 'INS PLAN CD     : ',
             WS-7575-INS-PLAN-CD UPON CONSOLE
           DISPLAY 'PRACTICE CODE   : ',
             WS-7575-PRACTICE-CD UPON CONSOLE
           DISPLAY 'TYPE CODE       : ',
             WS-7575-TYPE-CD UPON CONSOLE
           DISPLAY 'RATE CLASS      : ',
             WS-7575-RATE-CLASS UPON CONSOLE
           DISPLAY '---------------------------'
           UPON CONSOLE
           DISPLAY 'LOW PRICE FACTOR  : ', WS-7575-LOW-PRICE-FACTOR
           UPON CONSOLE
           DISPLAY 'HIGH PRICE FACTOR : ', WS-7575-HIGH-PRICE-FACTOR
           UPON CONSOLE
           DISPLAY '---------------------------'
           UPON CONSOLE
           DISPLAY 'CVG LEVEL 01      : ', WS-7575-COVERAGE-LVL1
           UPON CONSOLE
           DISPLAY 'CRC RATE FCTR 01  : ', WS-7575-CRC-RATE-FACTOR1
           UPON CONSOLE
           DISPLAY 'CVG LEVEL 02      : ', WS-7575-COVERAGE-LVL2
           UPON CONSOLE
           DISPLAY 'CRC RATE FCTR 02  : ', WS-7575-CRC-RATE-FACTOR2
           UPON CONSOLE
           DISPLAY 'CVG LEVEL 03      : ', WS-7575-COVERAGE-LVL3
           UPON CONSOLE
           DISPLAY 'CRC RATE FCTR 03  : ', WS-7575-CRC-RATE-FACTOR3
           UPON CONSOLE
           DISPLAY 'CVG LEVEL 04      : ', WS-7575-COVERAGE-LVL4
           UPON CONSOLE
           DISPLAY 'CRC RATE FCTR 04  : ', WS-7575-CRC-RATE-FACTOR4
           UPON CONSOLE
           DISPLAY 'CVG LEVEL 05      : ', WS-7575-COVERAGE-LVL5
           UPON CONSOLE
           DISPLAY 'CRC RATE FCTR 05  : ', WS-7575-CRC-RATE-FACTOR5
           UPON CONSOLE
           DISPLAY 'CVG LEVEL 06      : ', WS-7575-COVERAGE-LVL6
           UPON CONSOLE
           DISPLAY 'CRC RATE FCTR 06  : ', WS-7575-CRC-RATE-FACTOR6
           UPON CONSOLE
           DISPLAY 'CVG LEVEL 07      : ', WS-7575-COVERAGE-LVL7
           UPON CONSOLE
           DISPLAY 'CRC RATE FCTR 07  : ', WS-7575-CRC-RATE-FACTOR7
           UPON CONSOLE
           DISPLAY 'CVG LEVEL 08      : ', WS-7575-COVERAGE-LVL8
           UPON CONSOLE
           DISPLAY 'CRC RATE FCTR 08  : ', WS-7575-CRC-RATE-FACTOR8
           UPON CONSOLE
           DISPLAY 'CVG LEVEL 09      : ', WS-7575-COVERAGE-LVL9
           UPON CONSOLE
           DISPLAY 'CRC RATE FCTR 09  : ', WS-7575-CRC-RATE-FACTOR9
           UPON CONSOLE
           DISPLAY 'CVG LEVEL 10      : ', WS-7575-COVERAGE-LVL10
           UPON CONSOLE
           DISPLAY 'CRC RATE FCTR 10  : ', WS-7575-CRC-RATE-FACTOR10
           UPON CONSOLE
           DISPLAY 'CVG LEVEL 11      : ', WS-7575-COVERAGE-LVL11
           UPON CONSOLE
           DISPLAY 'CRC RATE FCTR 11  : ', WS-7575-CRC-RATE-FACTOR11
           UPON CONSOLE
           DISPLAY 'CVG LEVEL 12      : ', WS-7575-COVERAGE-LVL12
           UPON CONSOLE
           DISPLAY 'CRC RATE FCTR 12  : ', WS-7575-CRC-RATE-FACTOR12
           UPON CONSOLE
           DISPLAY 'CVG LEVEL 13      : ', WS-7575-COVERAGE-LVL13
           UPON CONSOLE
           DISPLAY 'CRC RATE FCTR 13  : ', WS-7575-CRC-RATE-FACTOR13
           UPON CONSOLE
           DISPLAY 'CVG LEVEL 14      : ', WS-7575-COVERAGE-LVL14
           UPON CONSOLE
           DISPLAY 'CRC RATE FCTR 14  : ', WS-7575-CRC-RATE-FACTOR14
           UPON CONSOLE
           DISPLAY 'CVG LEVEL 15      : ', WS-7575-COVERAGE-LVL15
           UPON CONSOLE
           DISPLAY 'CRC RATE FCTR 15  : ', WS-7575-CRC-RATE-FACTOR15
           UPON CONSOLE
           DISPLAY 'CVG LEVEL 16      : ', WS-7575-COVERAGE-LVL16
           UPON CONSOLE
           DISPLAY 'CRC RATE FCTR 16  : ', WS-7575-CRC-RATE-FACTOR16
           UPON CONSOLE
           DISPLAY '---------------------------'
           UPON CONSOLE
           DISPLAY 'FILLER               : ',
           UPON CONSOLE
           DISPLAY '---------------------------'
             UPON CONSOLE
           DISPLAY 'DATE LAST RELEASED: ',
             WS-7575-DATE-LAST-RELEASED UPON CONSOLE
           DISPLAY 'DATE LAST UPDATED : ',
             WS-7575-DATE-LAST-UPDATED UPON CONSOLE
           DISPLAY 'DATE FILED        : ',
             WS-7575-DATE-FILED UPON CONSOLE
           DISPLAY ' ' UPON CONSOLE.

       7575-DISPLAY-RECORD-EXIT.
           EXIT.

      $END
