      *****************************************************************
      * File:      M7580.CBL                                          *
      * Author:    Mike Ray                                           *
      * Date:      07/01/97                                           *
      * Purpose:                                                      *
      *    This module validates the lookup parameters passed in and  *
      *    looks up values in the ADMIY ISAM file.                    *
      *****************************************************************

       7580-LOOKUP-ADMIY.

      $IF DEBUG-SW DEFINED
           DISPLAY '7580-LOOKING UP ADMIY (IP YIELDS)'
           UPON CONSOLE
      $END

      ************************************************
      *       INITIALIZE OUTPUT FIELDS               *
      ************************************************
           MOVE WS-LITERAL-NO TO WS-7580-FOUND-FLG
           MOVE WS-LITERAL-NO TO WS-7580-INPUT-ERROR

      ************************************************
      *         VALIDATE INPUT FIELDS                *
      ************************************************
           IF WS-7580-INPUT-CROP-YR = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 043 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-7580-INPUT-ERROR
              MOVE 'WS-7580-INPUT-CROP-YR' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 7580 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-7580-INPUT-STATE-CD = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 043 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-7580-INPUT-ERROR
              MOVE 'WS-7580-INPUT-STATE-CD' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 7580 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-7580-INPUT-COUNTY-CD = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 043 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-7580-INPUT-ERROR
              MOVE 'WS-7580-INPUT-COUNTY' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 7580 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-7580-INPUT-CROP-CD = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 043 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-7580-INPUT-ERROR
              MOVE 'WS-7580-INPUT-CROP-CD' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 7580 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-7580-INPUT-INSURANCE-PLAN = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 043 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-7580-INPUT-ERROR
              MOVE 'WS-7580-INPUT-INS-PLAN' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 7580 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-7580-INPUT-PRACTICE-CD = SPACES
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 043 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-7580-INPUT-ERROR
              MOVE 'WS-7580-INPUT-PRACTICE' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE 'NOT BLANK' TO WS-8000-CORR-DATA1
              MOVE 7580 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF


           IF WS-7580-INPUT-ERROR = WS-LITERAL-YES
              GO TO 7580-LOOKUP-ADMIY-EXIT
           END-IF


      ************************************************
      *            EXCEPTIONS BY CROP                *
      ************************************************
           EVALUATE WS-7580-INPUT-CROP-CD
               WHEN WS-LITERAL-NURSERY
                  MOVE '998' TO WS-7580-INPUT-COUNTY-CD
               WHEN OTHER
                  CONTINUE
           END-EVALUATE


      ************************************************
      *     EXCEPTION FOR AIR SEEDED SOYBEANS        *
      ************************************************
           IF WS-7580-INPUT-CROP-CD = WS-LITERAL-SOYBEANS AND
              WS-7580-INPUT-PRACTICE-POS1 = 'A'
              MOVE '0' TO WS-7580-INPUT-PRACTICE-POS1
           END-IF

      ************************************************
      *         READ RECORD FROM ISAM FILE           *
      ************************************************

           IF ADMIY-FILE-OPEN
              IF WS-7580-INPUT-KEY = WS-7580-ADMIY-KEY
                 MOVE WS-LITERAL-YES TO WS-7580-FOUND-FLG
              ELSE
                 INITIALIZE WS-7580-ADMIY-REC
                 MOVE WS-7580-INPUT-KEY TO ADMIY-REC-KEY
                 READ ADMIY-FILE
                    INVALID KEY
                       GO TO 7580-LOOKUP-ADMIY-EXIT
                    NOT INVALID KEY
                       MOVE ADMIY-RECORD TO WS-7580-ADMIY-REC
                       MOVE WS-LITERAL-YES TO WS-7580-FOUND-FLG
                 END-READ
              END-IF
           ELSE
              MOVE 7580 TO WS-8020-PARAGRAPH-NO
              MOVE 90013 TO WS-8020-INT-ERROR-NO
              MOVE 'ADMIY FILE' TO WS-8020-FIELD-NAME
              MOVE SPACES TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

      $IF DEBUG-SW DEFINED
           PERFORM 7580-DISPLAY-RECORD
              THRU 7580-DISPLAY-RECORD-EXIT
      $END

      ************************************************
      *         INITIALIZE INPUT FIELDS              *
      ************************************************
           INITIALIZE WS-7580-INPUT-KEY.


       7580-LOOKUP-ADMIY-EXIT.
           EXIT.


      $IF DEBUG-SW DEFINED

       7580-DISPLAY-RECORD.

           DISPLAY 'RECORD TYPE CODE: ',
           WS-7580-RECORD-TYPE-CD UPON CONSOLE
           DISPLAY 'RECORD TYPE SFX : ',
           WS-7580-RECORD-TYPE-SFX UPON CONSOLE
           DISPLAY 'CROP YEAR       : ',
           WS-7580-CROP-YEAR UPON CONSOLE
           DISPLAY 'STATE CODE      : ',
           WS-7580-STATE-CD UPON CONSOLE
           DISPLAY 'COUNTY CODE     : ',
           WS-7580-COUNTY-CD UPON CONSOLE
           DISPLAY 'CROP CODE       : ',
           WS-7580-CROP-CD UPON CONSOLE
           DISPLAY 'INS PLAN        : ',
           WS-7580-INSURANCE-PLAN-ID UPON CONSOLE
           DISPLAY 'PRACTICE CODE   : ',
           WS-7580-PRACTICE-CD UPON CONSOLE
           DISPLAY 'TYPE CODE       : ',
           WS-7580-TYPE-CD UPON CONSOLE
           DISPLAY '------------------------------------------------'
           UPON CONSOLE
           DISPLAY 'CROP YEAR/COUNTY YIELD : ',
           WS-7580-YIELD-YEAR-01, ' - ',
           WS-7580-COUNTY-YIELD-01 UPON CONSOLE
           DISPLAY 'CROP YEAR/COUNTY YIELD : ',
           WS-7580-YIELD-YEAR-02, ' - ',
           WS-7580-COUNTY-YIELD-02 UPON CONSOLE
           DISPLAY 'CROP YEAR/COUNTY YIELD : ',
           WS-7580-YIELD-YEAR-03, ' - ',
           WS-7580-COUNTY-YIELD-03 UPON CONSOLE
           DISPLAY 'CROP YEAR/COUNTY YIELD : ',
           WS-7580-YIELD-YEAR-04, ' - ',
           WS-7580-COUNTY-YIELD-04 UPON CONSOLE
           DISPLAY 'CROP YEAR/COUNTY YIELD : ',
           WS-7580-YIELD-YEAR-05, ' - ',
           WS-7580-COUNTY-YIELD-05 UPON CONSOLE
           DISPLAY 'CROP YEAR/COUNTY YIELD : ',
           WS-7580-YIELD-YEAR-06, ' - ',
           WS-7580-COUNTY-YIELD-06 UPON CONSOLE
           DISPLAY 'CROP YEAR/COUNTY YIELD : ',
           WS-7580-YIELD-YEAR-07, ' - ',
           WS-7580-COUNTY-YIELD-07 UPON CONSOLE
           DISPLAY 'CROP YEAR/COUNTY YIELD : ',
           WS-7580-YIELD-YEAR-08, ' - ',
           WS-7580-COUNTY-YIELD-08 UPON CONSOLE
           DISPLAY 'CROP YEAR/COUNTY YIELD : ',
           WS-7580-YIELD-YEAR-09, ' - ',
           WS-7580-COUNTY-YIELD-09 UPON CONSOLE
           DISPLAY 'CROP YEAR/COUNTY YIELD : ',
           WS-7580-YIELD-YEAR-10, ' - ',
           WS-7580-COUNTY-YIELD-10 UPON CONSOLE
           DISPLAY 'CROP YEAR/COUNTY YIELD : ',
           WS-7580-YIELD-YEAR-11, ' - ',
           WS-7580-COUNTY-YIELD-11 UPON CONSOLE
           DISPLAY 'CROP YEAR/COUNTY YIELD : ',
           WS-7580-YIELD-YEAR-12, ' - ',
           WS-7580-COUNTY-YIELD-12 UPON CONSOLE
           DISPLAY 'CROP YEAR/COUNTY YIELD : ',
           WS-7580-YIELD-YEAR-13, ' - ',
           WS-7580-COUNTY-YIELD-13 UPON CONSOLE
           DISPLAY 'CROP YEAR/COUNTY YIELD : ',
           WS-7580-YIELD-YEAR-14, ' - ',
           WS-7580-COUNTY-YIELD-14 UPON CONSOLE
           DISPLAY 'CROP YEAR/COUNTY YIELD : ',
           WS-7580-YIELD-YEAR-15, ' - ',
           WS-7580-COUNTY-YIELD-15 UPON CONSOLE
           DISPLAY 'CROP YEAR/COUNTY YIELD : ',
           WS-7580-YIELD-YEAR-16, ' - ',
           WS-7580-COUNTY-YIELD-16 UPON CONSOLE
           DISPLAY 'CROP YEAR/COUNTY YIELD : ',
           WS-7580-YIELD-YEAR-17, ' - ',
           WS-7580-COUNTY-YIELD-17 UPON CONSOLE
           DISPLAY 'CROP YEAR/COUNTY YIELD : ',
           WS-7580-YIELD-YEAR-18, ' - ',
           WS-7580-COUNTY-YIELD-18 UPON CONSOLE
           DISPLAY 'CROP YEAR/COUNTY YIELD : ',
           WS-7580-YIELD-YEAR-19, ' - ',
           WS-7580-COUNTY-YIELD-19 UPON CONSOLE
           DISPLAY 'CROP YEAR/COUNTY YIELD : ',
           WS-7580-YIELD-YEAR-20, ' - ',
           WS-7580-COUNTY-YIELD-20 UPON CONSOLE
           DISPLAY '------------------------------------------------'
           UPON CONSOLE
           DISPLAY 'FILLER : ',
           WS-7580-BIG-FILLER UPON CONSOLE
           DISPLAY '---------------------------'
           UPON CONSOLE
           DISPLAY 'DATE LAST RELEASED: ',
           WS-7580-DATE-LAST-RELEASED UPON CONSOLE
           DISPLAY 'DATE LAST UPDATED : ',
           WS-7580-DATE-LAST-UPDATED UPON CONSOLE
           DISPLAY 'DATE FILED        : ',
           WS-7580-DATE-FILED UPON CONSOLE
           DISPLAY ' ' UPON CONSOLE.

       7580-DISPLAY-RECORD-EXIT.
           EXIT.

      $END
