      *****************************************************************
      * File:      M7585.CBL                                          *
      * Author:    Mike Ray                                           *
      * Date:      01/28/97                                           *
      * Purpose:                                                      *
      *    This module validates the lookup parameters passed in and  *
      *    looks up values in the ADM record type VC ISAM file.       *
      *    The ADM record contains:                                   *
      *              RA COUNTY DATA                                   *
      *****************************************************************

       7585-LOOKUP-ADMVC.

      $IF DEBUG-SW DEFINED
           DISPLAY '7585-LOOKING UP ADM TYPE VC REC (RA COUNTY DATA)'
           UPON CONSOLE
      $END

      ************************************************
      *       INITIALIZE OUTPUT FIELDS               *
      ************************************************
           MOVE WS-LITERAL-NO TO WS-7585-FOUND-FLG
           MOVE WS-LITERAL-NO TO WS-7585-INPUT-ERROR
           INITIALIZE WS-7585-DISPLAY-FIELDS

      ************************************************
      *         VALIDATE INPUT FIELDS                *
      ************************************************
           IF WS-7585-INPUT-CROP-YR = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 043 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-7585-INPUT-ERROR
              MOVE 'WS-7585-INPUT-CROP-YR' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 7585 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-7585-INPUT-STATE-CD = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 043 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-7585-INPUT-ERROR
              MOVE 'WS-7585-INPUT-STATE-CD' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 7585 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-7585-INPUT-COUNTY-CD = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 043 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-7585-INPUT-ERROR
              MOVE 'WS-7585-INPUT-COUNTY' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 7585 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-7585-INPUT-CROP-CD = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 043 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-7585-INPUT-ERROR
              MOVE 'WS-7585-INPUT-CROP-CD' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 7585 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-7585-INPUT-INS-PLAN = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 043 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-7585-INPUT-ERROR
              MOVE 'WS-7585-INPUT-INS-PLAN' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 7585 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-7585-INPUT-ERROR = WS-LITERAL-YES
              GO TO 7585-LOOKUP-ADMVC-EXIT
           END-IF

      ************************************************
      *     READ FOR RECORD                          *
      ************************************************

           IF ADMVC-FILE-OPEN
      *       **** CHECK TO SEE IF THE RECORD IS CACHED
              IF WS-7585-INPUT-KEY = WS-7585-ADMVC-KEY
                 MOVE WS-LITERAL-YES TO WS-7585-FOUND-FLG
              ELSE
                 INITIALIZE WS-7585-ADMVC-REC
                 MOVE WS-7585-INPUT-KEY TO ADMVC-REC-KEY
                 READ ADMVC-FILE
                    INVALID KEY
                       INITIALIZE WS-7585-ADMVC-REC
                       GO TO 7585-LOOKUP-ADMVC-EXIT
                    NOT INVALID KEY
                       MOVE ADMVC-RECORD TO WS-7585-ADMVC-REC
                       MOVE WS-LITERAL-YES TO WS-7585-FOUND-FLG
                 END-READ
              END-IF
           ELSE
              MOVE 7585 TO WS-8020-PARAGRAPH-NO
              MOVE 90013 TO WS-8020-INT-ERROR-NO
              MOVE 'ADMVC FILE' TO WS-8020-FIELD-NAME
              MOVE SPACES TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF.

      $IF DEBUG-SW DEFINED
           IF WS-7585-FOUND-FLG = WS-LITERAL-NO
              MOVE WS-7585-INPUT-KEY TO WS-7585-ADMVC-KEY
              PERFORM 7585-DISPLAY-RECORD
                 THRU 7585-DISPLAY-RECORD-EXIT
              INITIALIZE WS-7585-ADMVC-KEY
           ELSE
              PERFORM 7585-DISPLAY-RECORD
                 THRU 7585-DISPLAY-RECORD-EXIT
           END-IF
      $END

      ************************************************
      *         INITIALIZE INPUT FIELDS              *
      ************************************************
           INITIALIZE WS-7585-INPUT-KEY.


       7585-LOOKUP-ADMVC-EXIT.
           EXIT.


      $IF DEBUG-SW DEFINED

       7585-DISPLAY-RECORD.

           DISPLAY 'RECORD TYPE CODE: ',
             WS-7585-RECORD-TYPE-CD UPON CONSOLE
           DISPLAY 'RECORD TYPE SFX : ',
             WS-7585-RECORD-TYPE-SFX UPON CONSOLE
           DISPLAY 'CROP YEAR       : ',
             WS-7585-CROP-YEAR UPON CONSOLE
           DISPLAY 'STATE CODE      : ',
             WS-7585-STATE-CD UPON CONSOLE
           DISPLAY 'COUNTY CODE     : ',
             WS-7585-COUNTY-CD UPON CONSOLE
           DISPLAY 'CROP CODE       : ',
             WS-7585-CROP-CD UPON CONSOLE
           DISPLAY 'INS PLAN CD     : ',
             WS-7585-INS-PLAN-CD UPON CONSOLE
           DISPLAY '---------------------------'
           UPON CONSOLE
           IF WS-7585-AVERAGE-YIELD IS NUMERIC
              MOVE WS-7585-AVERAGE-YIELD TO WS-7585-AVERAGE-YIELD-X
           END-IF
           IF WS-7585-YIELD-STD-DEVIATION IS NUMERIC
              MOVE WS-7585-YIELD-STD-DEVIATION
                TO WS-7585-YIELD-STD-DEVIATION-X
           END-IF
           IF WS-7585-PRICE-ADJ-FACTOR IS NUMERIC
              MOVE WS-7585-PRICE-ADJ-FACTOR
                TO WS-7585-PRICE-ADJ-FACTOR-X
           END-IF
           IF WS-7585-PREV-PLANTING-FACTOR IS NUMERIC
              MOVE WS-7585-PREV-PLANTING-FACTOR
                TO WS-7585-PREV-PLANTING-FACTOR-X
           END-IF
           IF WS-7585-LOCAL-PRICE-VOL-FCTR IS NUMERIC
              MOVE WS-7585-LOCAL-PRICE-VOL-FCTR
                TO WS-7585-LOCAL-PRICE-VOL-FCTR-X
           END-IF
           DISPLAY 'AVERAGE YIELD        : ',
           WS-7585-AVERAGE-YIELD-X
           UPON CONSOLE
           DISPLAY 'YIELD STD DEVIATION  : ',
           WS-7585-YIELD-STD-DEVIATION-X
           UPON CONSOLE
           DISPLAY 'PRICE ADJ FACTOR     : ',
           WS-7585-PRICE-ADJ-FACTOR-X
           UPON CONSOLE
           DISPLAY 'PREV PLANTING FACTOR : ',
           WS-7585-PREV-PLANTING-FACTOR-X
           UPON CONSOLE
           DISPLAY 'LOCAL PRICE VOL FCTR : ',
           WS-7585-LOCAL-PRICE-VOL-FCTR-X
           UPON CONSOLE
           DISPLAY '---------------------------'
           UPON CONSOLE
           DISPLAY 'FILLER               : ',
           UPON CONSOLE
           DISPLAY '---------------------------'
             UPON CONSOLE
           DISPLAY 'DATE LAST RELEASED: ',
             WS-7585-DATE-LAST-RELEASED UPON CONSOLE
           DISPLAY 'DATE LAST UPDATED : ',
             WS-7585-DATE-LAST-UPDATED UPON CONSOLE
           DISPLAY 'DATE FILED        : ',
             WS-7585-DATE-FILED UPON CONSOLE
           DISPLAY ' ' UPON CONSOLE.

       7585-DISPLAY-RECORD-EXIT.
           EXIT.

      $END
