      *****************************************************************
      * File:      M7590.CBL                                          *
      * Author:    Mike Ray                                           *
      * Date:      01/28/97                                           *
      * Purpose:                                                      *
      *    This module validates the lookup parameters passed in and  *
      *    looks up values in the ADM record type VS ISAM file.       *
      *    The ADM record contains:                                   *
      *              RA STATE DATA                                    *
      *****************************************************************

       7590-LOOKUP-ADMVS.

      $IF DEBUG-SW DEFINED
           DISPLAY '7590-LOOKING UP ADM TYPE VS REC (RA STATE DATA)'
           UPON CONSOLE
      $END

      ************************************************
      *       INITIALIZE OUTPUT FIELDS               *
      ************************************************
           MOVE WS-LITERAL-NO TO WS-7590-FOUND-FLG
           MOVE WS-LITERAL-NO TO WS-7590-INPUT-ERROR
           INITIALIZE WS-7590-DISPLAY-FIELDS

      ************************************************
      *         VALIDATE INPUT FIELDS                *
      ************************************************
           IF WS-7590-INPUT-CROP-YR = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 043 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-7590-INPUT-ERROR
              MOVE 'WS-7590-INPUT-CROP-YR' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 7590 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-7590-INPUT-STATE-CD = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 043 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-7590-INPUT-ERROR
              MOVE 'WS-7590-INPUT-STATE-CD' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 7590 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-7590-INPUT-CROP-CD = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 043 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-7590-INPUT-ERROR
              MOVE 'WS-7590-INPUT-CROP-CD' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 7590 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-7590-INPUT-INS-PLAN = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 043 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-7590-INPUT-ERROR
              MOVE 'WS-7590-INPUT-INS-PLAN' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 7590 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-7590-INPUT-ERROR = WS-LITERAL-YES
              GO TO 7590-LOOKUP-ADMVS-EXIT
           END-IF

      ************************************************
      *     READ FOR RECORD                          *
      ************************************************

           IF ADMVS-FILE-OPEN
      *       **** CHECK TO SEE IF THE RECORD IS CACHED
              IF WS-7590-INPUT-KEY = WS-7590-ADMVS-KEY
                 MOVE WS-LITERAL-YES TO WS-7590-FOUND-FLG
              ELSE
                 INITIALIZE WS-7590-ADMVS-REC
                 MOVE WS-7590-INPUT-KEY TO ADMVS-REC-KEY
                 READ ADMVS-FILE
                    INVALID KEY
                       INITIALIZE WS-7590-ADMVS-REC
                       GO TO 7590-LOOKUP-ADMVS-EXIT
                    NOT INVALID KEY
                       MOVE ADMVS-RECORD TO WS-7590-ADMVS-REC
                       MOVE WS-LITERAL-YES TO WS-7590-FOUND-FLG
                 END-READ
              END-IF
           ELSE
              MOVE 7590 TO WS-8020-PARAGRAPH-NO
              MOVE 90013 TO WS-8020-INT-ERROR-NO
              MOVE 'ADMVS FILE' TO WS-8020-FIELD-NAME
              MOVE SPACES TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF.

      $IF DEBUG-SW DEFINED
           IF WS-7590-FOUND-FLG = WS-LITERAL-NO
              MOVE WS-7590-INPUT-KEY TO WS-7590-ADMVS-KEY
              PERFORM 7590-DISPLAY-RECORD
                 THRU 7590-DISPLAY-RECORD-EXIT
              INITIALIZE WS-7590-ADMVS-KEY
           ELSE
              PERFORM 7590-DISPLAY-RECORD
                 THRU 7590-DISPLAY-RECORD-EXIT
           END-IF
      $END

      ************************************************
      *         INITIALIZE INPUT FIELDS              *
      ************************************************
           INITIALIZE WS-7590-INPUT-KEY.


       7590-LOOKUP-ADMVS-EXIT.
           EXIT.


      $IF DEBUG-SW DEFINED

       7590-DISPLAY-RECORD.

           INITIALIZE WS-7590-DISPLAY-FIELDS
           DISPLAY 'RECORD TYPE CODE: ',
             WS-7590-RECORD-TYPE-CD UPON CONSOLE
           DISPLAY 'RECORD TYPE SFX : ',
             WS-7590-RECORD-TYPE-SFX UPON CONSOLE
           DISPLAY 'CROP YEAR       : ',
             WS-7590-CROP-YEAR UPON CONSOLE
           DISPLAY 'STATE CODE      : ',
             WS-7590-STATE-CD UPON CONSOLE
           DISPLAY 'CROP CODE       : ',
             WS-7590-CROP-CD UPON CONSOLE
           DISPLAY 'INS PLAN CD     : ',
             WS-7590-INS-PLAN-CD UPON CONSOLE
           DISPLAY '---------------------------'
           UPON CONSOLE
           MOVE WS-7590-PRICE-VOL-FACTOR
             TO WS-7590-PRICE-VOL-FACTOR-X
           DISPLAY 'PRICE VOLATILITY FCTR  : ',
           WS-7590-PRICE-VOL-FACTOR-X
           UPON CONSOLE
           MOVE WS-7590-OPT-UNIT-SURCHARGE
             TO WS-7590-OPT-UNIT-SURCHARGE-X
           DISPLAY 'OPT UNIT SURCHARGE     : ',
           WS-7590-OPT-UNIT-SURCHARGE-X
           UPON CONSOLE
           DISPLAY '---------------------------'
           UPON CONSOLE
           MOVE WS-7590-BETA1 TO WS-7590-BETA-X
           DISPLAY 'BETA 01 : ', WS-7590-BETA-X
           UPON CONSOLE
           MOVE WS-7590-BETA2 TO WS-7590-BETA-X
           DISPLAY 'BETA 02 : ', WS-7590-BETA-X
           UPON CONSOLE
           MOVE WS-7590-BETA3 TO WS-7590-BETA-X
           DISPLAY 'BETA 03 : ', WS-7590-BETA-X
           UPON CONSOLE
           MOVE WS-7590-BETA4 TO WS-7590-BETA-X
           DISPLAY 'BETA 04 : ', WS-7590-BETA-X
           UPON CONSOLE
           MOVE WS-7590-BETA5 TO WS-7590-BETA-X
           DISPLAY 'BETA 05 : ', WS-7590-BETA-X
           UPON CONSOLE
           MOVE WS-7590-BETA6 TO WS-7590-BETA-X
           DISPLAY 'BETA 06 : ', WS-7590-BETA-X
           UPON CONSOLE
           MOVE WS-7590-BETA7 TO WS-7590-BETA-X
           DISPLAY 'BETA 07 : ', WS-7590-BETA-X
           UPON CONSOLE
           MOVE WS-7590-BETA8 TO WS-7590-BETA-X
           DISPLAY 'BETA 08 : ', WS-7590-BETA-X
           UPON CONSOLE
           MOVE WS-7590-BETA9 TO WS-7590-BETA-X
           DISPLAY 'BETA 09 : ', WS-7590-BETA-X
           UPON CONSOLE
           MOVE WS-7590-BETA10 TO WS-7590-BETA-X
           DISPLAY 'BETA 10 : ', WS-7590-BETA-X
           UPON CONSOLE
           MOVE WS-7590-BETA11 TO WS-7590-BETA-X
           DISPLAY 'BETA 11 : ', WS-7590-BETA-X
           UPON CONSOLE
           MOVE WS-7590-BETA12 TO WS-7590-BETA-X
           DISPLAY 'BETA 12 : ', WS-7590-BETA-X
           UPON CONSOLE
           MOVE WS-7590-BETA13 TO WS-7590-BETA-X
           DISPLAY 'BETA 13 : ', WS-7590-BETA-X
           UPON CONSOLE
           MOVE WS-7590-BETA14 TO WS-7590-BETA-X
           DISPLAY 'BETA 14 : ', WS-7590-BETA-X
           UPON CONSOLE
           MOVE WS-7590-BETA15 TO WS-7590-BETA-X
           DISPLAY 'BETA 15 : ', WS-7590-BETA-X
           UPON CONSOLE
           MOVE WS-7590-BETA16 TO WS-7590-BETA-X
           DISPLAY 'BETA 16 : ', WS-7590-BETA-X
           UPON CONSOLE
           MOVE WS-7590-BETA17 TO WS-7590-BETA-X
           DISPLAY 'BETA 17 : ', WS-7590-BETA-X
           UPON CONSOLE
           MOVE WS-7590-BETA18 TO WS-7590-BETA-X
           DISPLAY 'BETA 18 : ', WS-7590-BETA-X
           UPON CONSOLE
           MOVE WS-7590-BETA19 TO WS-7590-BETA-X
           DISPLAY 'BETA 19 : ', WS-7590-BETA-X
           UPON CONSOLE
           MOVE WS-7590-BETA20 TO WS-7590-BETA-X
           DISPLAY 'BETA 20 : ', WS-7590-BETA-X
           UPON CONSOLE
           MOVE WS-7590-BETA21 TO WS-7590-BETA-X
           DISPLAY 'BETA 21 : ', WS-7590-BETA-X
           UPON CONSOLE
           DISPLAY '---------------------------'
           UPON CONSOLE
           MOVE WS-7590-PP1 TO WS-7590-PP-X
           DISPLAY 'PP 01   : ', WS-7590-PP-X
           UPON CONSOLE
           MOVE WS-7590-PP2 TO WS-7590-PP-X
           DISPLAY 'PP 02   : ', WS-7590-PP-X
           UPON CONSOLE
           MOVE WS-7590-PP3 TO WS-7590-PP-X
           DISPLAY 'PP 03   : ', WS-7590-PP-X
           UPON CONSOLE
           DISPLAY '---------------------------'
           UPON CONSOLE
           DISPLAY 'FILLER               : '
           UPON CONSOLE
           DISPLAY '---------------------------'
             UPON CONSOLE
           DISPLAY 'DATE LAST RELEASED: ',
             WS-7590-DATE-LAST-RELEASED UPON CONSOLE
           DISPLAY 'DATE LAST UPDATED : ',
             WS-7590-DATE-LAST-UPDATED UPON CONSOLE
           DISPLAY 'DATE FILED        : ',
             WS-7590-DATE-FILED UPON CONSOLE
           DISPLAY ' ' UPON CONSOLE.

       7590-DISPLAY-RECORD-EXIT.
           EXIT.

      $END
