      *****************************************************************
      * File:      M7595.CBL                                          *
      * Author:    Mike Ray                                           *
      * Date:      01/30/97                                           *
      * Purpose:                                                      *
      *    This module validates the lookup parameters passed in and  *
      *    looks up values in the ADM record type WE ISAM file.       *
      *    The ADM record contains:                                   *
      *              RA ENTERPRISE OPTION DATA                        *
      *****************************************************************

       7595-LOOKUP-ADMWE.

      $IF DEBUG-SW DEFINED
           DISPLAY '7595-LOOKING UP ADMWE (RA ENTERPRISE OPT) DATA'
           UPON CONSOLE
      $END

      ************************************************
      *       INITIALIZE OUTPUT FIELDS               *
      ************************************************
           MOVE WS-LITERAL-NO TO WS-7595-FOUND-FLG
           MOVE WS-LITERAL-NO TO WS-7595-INPUT-ERROR
           INITIALIZE WS-7595-DISPLAY-FIELDS

      ************************************************
      *         VALIDATE INPUT FIELDS                *
      ************************************************
           IF WS-7595-INPUT-CROP-YR = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 043 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-7595-INPUT-ERROR
              MOVE 'WS-7595-INPUT-CROP-YR' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 7595 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-7595-INPUT-STATE-CD = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 043 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-7595-INPUT-ERROR
              MOVE 'WS-7595-INPUT-STATE-CD' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 7595 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-7595-INPUT-CROP-CD = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 043 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-7595-INPUT-ERROR
              MOVE 'WS-7595-INPUT-CROP-CD' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 7595 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-7595-INPUT-INS-PLAN = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 043 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-7595-INPUT-ERROR
              MOVE 'WS-7595-INPUT-INS-PLAN' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 7595 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

      *    *** OPTION CODE CAN EQUAL SPACES ***

           IF WS-7595-INPUT-NBR-SECTIONS-LOW = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 043 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-7595-INPUT-ERROR
              MOVE 'WS-7595-LOW-#-SECTIONS' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 7595 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-7595-INPUT-ERROR = WS-LITERAL-YES
              GO TO 7595-LOOKUP-ADMWE-EXIT
           END-IF


      ************************************************
      *     READ FOR RECORD                          *
      ************************************************

           if WS-7595-INPUT-NBR-SECTIONS-LOW > 9
               move 9 to WS-7595-INPUT-NBR-SECTIONS-LOW
           end-if

           IF ADMWE-FILE-OPEN
      *       **** CHECK TO SEE IF THE RECORD IS CACHED
              IF WS-7595-INPUT-KEY = WS-7595-ADMWE-KEY
                 MOVE WS-LITERAL-YES TO WS-7595-FOUND-FLG
              ELSE
                 INITIALIZE WS-7595-ADMWE-REC
                 MOVE WS-7595-INPUT-KEY TO ADMWE-REC-KEY
                 READ ADMWE-FILE
                    INVALID KEY
                       INITIALIZE WS-7595-ADMWE-REC
                       GO TO 7595-LOOKUP-ADMWE-EXIT
                    NOT INVALID KEY
                       MOVE ADMWE-RECORD TO WS-7595-ADMWE-REC
                       MOVE WS-LITERAL-YES TO WS-7595-FOUND-FLG
                 END-READ
              END-IF
           ELSE
              MOVE 7595 TO WS-8020-PARAGRAPH-NO
              MOVE 90013 TO WS-8020-INT-ERROR-NO
              MOVE 'ADMWE FILE' TO WS-8020-FIELD-NAME
              MOVE SPACES TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

      $IF DEBUG-SW DEFINED
           IF WS-7595-FOUND-FLG = WS-LITERAL-NO
              MOVE WS-7595-INPUT-KEY TO WS-7595-ADMWE-KEY
              PERFORM 7595-DISPLAY-RECORD
                 THRU 7595-DISPLAY-RECORD-EXIT
              INITIALIZE WS-7595-ADMWE-KEY
           ELSE
              PERFORM 7595-DISPLAY-RECORD
                 THRU 7595-DISPLAY-RECORD-EXIT
           END-IF
      $END

      ************************************************
      *         INITIALIZE INPUT FIELDS              *
      ************************************************
           INITIALIZE WS-7595-INPUT-KEY.


       7595-LOOKUP-ADMWE-EXIT.
           EXIT.


      $IF DEBUG-SW DEFINED

       7595-DISPLAY-RECORD.

           DISPLAY 'RECORD TYPE CODE: ',
              WS-7595-RECORD-TYPE-CD UPON CONSOLE
           DISPLAY 'RECORD TYPE SFX : ',
             WS-7595-RECORD-TYPE-SFX UPON CONSOLE
           DISPLAY 'CROP YEAR       : ',
             WS-7595-CROP-YEAR UPON CONSOLE
           DISPLAY 'STATE CODE      : ',
             WS-7595-STATE-CD UPON CONSOLE
           DISPLAY 'CROP CODE       : ',
             WS-7595-CROP-CD UPON CONSOLE
           DISPLAY 'INS PLAN CD     : ',
             WS-7595-INS-PLAN-CD UPON CONSOLE
           DISPLAY 'OPTION CD       : ',
             WS-7595-OPTION-CD UPON CONSOLE
           DISPLAY 'LOW # SECTIONS  : ',
             WS-7595-NBR-SECTIONS-LOW UPON CONSOLE
           DISPLAY '---------------------------'
           UPON CONSOLE
           DISPLAY 'HIGH # SECTIONS : ',
             WS-7595-NBR-SECTIONS-HIGH UPON CONSOLE
           MOVE WS-7595-PREM-DISCOUNT-FCTR
             TO WS-7595-PREM-DISCOUNT-FCTR-X
           DISPLAY 'PREM DISCOUNT FCTR : ',
           WS-7595-PREM-DISCOUNT-FCTR-X
           UPON CONSOLE
           DISPLAY '---------------------------'
           UPON CONSOLE
           DISPLAY 'FILLER               : ',
           UPON CONSOLE
           DISPLAY '---------------------------'
             UPON CONSOLE
           DISPLAY 'DATE LAST RELEASED: ',
             WS-7595-DATE-LAST-RELEASED UPON CONSOLE
           DISPLAY 'DATE LAST UPDATED : ',
             WS-7595-DATE-LAST-UPDATED UPON CONSOLE
           DISPLAY 'DATE FILED        : ',
             WS-7595-DATE-FILED UPON CONSOLE
           DISPLAY ' ' UPON CONSOLE.

       7595-DISPLAY-RECORD-EXIT.
           EXIT.

      $END
