      *****************************************************************
      * File:      M7600.CBL                                          *
      * Author:    Mike Ray                                           *
      * Date:      01/30/97                                           *
      * Purpose:                                                      *
      *    This module validates the lookup parameters passed in and  *
      *    looks up values in the ADM record type WF ISAM file.       *
      *    The ADM record contains:                                   *
      *              RA WHOLE FARM OPTION DATA                        *
      *****************************************************************

       7600-LOOKUP-ADMWF.

      $IF DEBUG-SW DEFINED
           DISPLAY '7600-LOOKING UP ADMWF (RA WHOLE FARM OPT) DATA'
           UPON CONSOLE
      $END

      ************************************************
      *       INITIALIZE OUTPUT FIELDS               *
      ************************************************
           MOVE WS-LITERAL-NO TO WS-7600-FOUND-FLG
           MOVE WS-LITERAL-NO TO WS-7600-INPUT-ERROR
           INITIALIZE WS-7600-DISPLAY-FIELDS

      ************************************************
      *         VALIDATE INPUT FIELDS                *
      ************************************************
           IF WS-7600-INPUT-CROP-YR = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 043 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-7600-INPUT-ERROR
              MOVE 'WS-7600-INPUT-CROP-YR' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 7600 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-7600-INPUT-STATE-CD = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 043 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-7600-INPUT-ERROR
              MOVE 'WS-7600-INPUT-STATE-CD' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 7600 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-7600-INPUT-CROP-CD = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 043 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-7600-INPUT-ERROR
              MOVE 'WS-7600-INPUT-CROP-CD' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 7600 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-7600-INPUT-INS-PLAN = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 043 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-7600-INPUT-ERROR
              MOVE 'WS-7600-INPUT-INS-PLAN' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE '> ZERO' TO WS-8000-CORR-DATA1
              MOVE 7600 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

      *    *** OPTION CODE CAN EQUAL SPACES ***

      *    *** RATIO CAN EQUAL O.O ***

           IF WS-7600-INPUT-ERROR = WS-LITERAL-YES
              GO TO 7600-LOOKUP-ADMWF-EXIT
           END-IF

      ************************************************
      *     READ FOR RECORD                          *
      ************************************************

           IF ADMWF-FILE-OPEN
      *       **** CHECK TO SEE IF THE RECORD IS CACHED
              IF WS-7600-INPUT-KEY = WS-7600-ADMWF-KEY
                 MOVE WS-LITERAL-YES TO WS-7600-FOUND-FLG
              ELSE
                 INITIALIZE WS-7600-ADMWF-REC
                 MOVE WS-7600-INPUT-KEY TO ADMWF-REC-KEY
                 READ ADMWF-FILE
                    INVALID KEY
                       INITIALIZE WS-7600-ADMWF-REC
                       GO TO 7600-LOOKUP-ADMWF-EXIT
                    NOT INVALID KEY
                       MOVE ADMWF-RECORD TO WS-7600-ADMWF-REC
                       MOVE WS-LITERAL-YES TO WS-7600-FOUND-FLG
                 END-READ
              END-IF
           ELSE
              MOVE 7600 TO WS-8020-PARAGRAPH-NO
              MOVE 90013 TO WS-8020-INT-ERROR-NO
              MOVE 'ADMWF FILE' TO WS-8020-FIELD-NAME
              MOVE SPACES TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

      $IF DEBUG-SW DEFINED
           IF WS-7600-FOUND-FLG = WS-LITERAL-NO
              MOVE WS-7600-INPUT-KEY TO WS-7600-ADMWF-KEY
              PERFORM 7600-DISPLAY-RECORD
                 THRU 7600-DISPLAY-RECORD-EXIT
              INITIALIZE WS-7600-ADMWF-KEY
           ELSE
              PERFORM 7600-DISPLAY-RECORD
                 THRU 7600-DISPLAY-RECORD-EXIT
           END-IF
      $END

      ************************************************
      *         INITIALIZE INPUT FIELDS              *
      ************************************************
           INITIALIZE WS-7600-INPUT-KEY.


       7600-LOOKUP-ADMWF-EXIT.
           EXIT.


      $IF DEBUG-SW DEFINED

       7600-DISPLAY-RECORD.

           DISPLAY 'RECORD TYPE CODE: ',
              WS-7600-RECORD-TYPE-CD UPON CONSOLE
           DISPLAY 'RECORD TYPE SFX : ',
             WS-7600-RECORD-TYPE-SFX UPON CONSOLE
           DISPLAY 'CROP YEAR       : ',
             WS-7600-CROP-YEAR UPON CONSOLE
           DISPLAY 'STATE CODE      : ',
             WS-7600-STATE-CD UPON CONSOLE
           DISPLAY 'CROP CODE       : ',
             WS-7600-CROP-CD UPON CONSOLE
           DISPLAY 'INS PLAN CD     : ',
             WS-7600-INS-PLAN-CD UPON CONSOLE
           DISPLAY 'OPTION CD       : ',
             WS-7600-OPTION-CD UPON CONSOLE
           MOVE WS-7600-PLANTED-ACRE-RATIO
             TO WS-7600-PLANTED-ACRE-RATIO-X
           DISPLAY 'PLANTED RATIO   : ',
             WS-7600-PLANTED-ACRE-RATIO-X UPON CONSOLE
           DISPLAY '---------------------------'
           UPON CONSOLE
           MOVE WS-7600-PREM-DISCOUNT-FCTR
             TO WS-7600-PREM-DISCOUNT-FCTR-X
           DISPLAY 'PREM DISCOUNT FCTR : ',
           WS-7600-PREM-DISCOUNT-FCTR-X
           UPON CONSOLE
           DISPLAY '---------------------------'
           UPON CONSOLE
           DISPLAY 'FILLER               : ',
           UPON CONSOLE
           DISPLAY '---------------------------'
             UPON CONSOLE
           DISPLAY 'DATE LAST RELEASED: ',
             WS-7600-DATE-LAST-RELEASED UPON CONSOLE
           DISPLAY 'DATE LAST UPDATED : ',
             WS-7600-DATE-LAST-UPDATED UPON CONSOLE
           DISPLAY 'DATE FILED        : ',
             WS-7600-DATE-FILED UPON CONSOLE
           DISPLAY ' ' UPON CONSOLE.

       7600-DISPLAY-RECORD-EXIT.
           EXIT.

      $END
