      *****************************************************************
      * File:      M7605.CBL                                          *
      * Author:    Mike Ray                                           *
      * Date:      03/21/97                                           *
      * Purpose:                                                      *
      *    This module validates the lookup parameters passed in and  *
      *    looks up the input agent in the agent file.                *
      *****************************************************************

       7605-LOOKUP-AGENT-ID.

      $IF DEBUG-SW DEFINED
           DISPLAY '7605-LOOKING UP AGENT ID'
           UPON CONSOLE
      $END

      ************************************************
      *       INITIALIZE OUTPUT FIELDS               *
      ************************************************
           MOVE WS-LITERAL-NO TO WS-7605-MATCH-FOUND
           MOVE WS-LITERAL-NO TO WS-7605-INPUT-ERROR

      ************************************************
      *         VALIDATE INPUT FIELDS                *
      ************************************************
           IF WS-7605-INPUT-AGENT-ID = SPACES
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 043 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-7605-INPUT-ERROR
              MOVE 'WS-7605-INPUT-AGENT-ID' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE 'NOT BLANK' TO WS-8000-CORR-DATA1
              MOVE 7605 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-7605-INPUT-ERROR = WS-LITERAL-YES
              GO TO 7605-LOOKUP-AGENT-ID-EXIT
           END-IF

      ************************************************
      *     READ FOR RECORD                          *
      ************************************************

           IF T55-AGENT-FILE-OPEN
      *       **** CHECK TO SEE IF THE RECORD IS CACHED
              IF WS-7605-INPUT-KEY = WS-7605-ISAM-KEY
                 MOVE WS-LITERAL-YES TO WS-7605-MATCH-FOUND
              ELSE
                 INITIALIZE WS-7605-ISAM-T55
                 MOVE WS-7605-INPUT-AGENT-ID TO T55-AGENT-REC-KEY
                 READ T55-AGENT-FILE
                    INVALID KEY
                       MOVE WS-LITERAL-NO TO WS-7605-MATCH-FOUND
                       INITIALIZE WS-7605-ISAM-T55
                       GO TO 7605-LOOKUP-AGENT-ID-EXIT
                    NOT INVALID KEY
                       MOVE T55-AGENT-REC TO WS-7605-ISAM-T55
                       MOVE WS-LITERAL-YES TO WS-7605-MATCH-FOUND
                 END-READ
              END-IF
           ELSE
              MOVE 7605 TO WS-8020-PARAGRAPH-NO
              MOVE 90013 TO WS-8020-INT-ERROR-NO
              MOVE 'T55 AGENT FILE' TO WS-8020-FIELD-NAME
              MOVE SPACES TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

      $IF DEBUG-SW DEFINED
           IF WS-7605-MATCH-FOUND = WS-LITERAL-NO
              MOVE WS-7605-INPUT-KEY TO WS-7605-ISAM-KEY
              PERFORM 7605-DISPLAY-RECORD
                 THRU 7605-DISPLAY-RECORD-EXIT
              INITIALIZE WS-7605-ISAM-KEY
           ELSE
              PERFORM 7605-DISPLAY-RECORD
                 THRU 7605-DISPLAY-RECORD-EXIT
           END-IF
      $END

      ************************************************
      *         INITIALIZE INPUT FIELDS              *
      ************************************************
           INITIALIZE WS-7605-INPUT-KEY.


       7605-LOOKUP-AGENT-ID-EXIT.
           EXIT.


      $IF DEBUG-SW DEFINED

       7605-DISPLAY-RECORD.

           DISPLAY 'AGENT ID NUMBER : ', WS-7605-ISAM-AGENT-ID
           UPON CONSOLE
           DISPLAY '------------------------------------------'
           UPON CONSOLE
           DISPLAY 'AGENT REJECTED           : ',
           WS-7605-ISAM-REJECT-FLAG
           UPON CONSOLE
           DISPLAY 'LAST SUBMISSION BATCH #  : ',
           WS-7605-ISAM-LATEST-SUB-BATCH
           UPON CONSOLE
           DISPLAY 'LAST SUBMISSION DATE     : ',
           WS-7605-ISAM-LATEST-SUB-DATE
           UPON CONSOLE
           DISPLAY 'FIRST SUBMISSION BATCH # : ',
           WS-7605-ISAM-FIRST-SUB-BATCH
           UPON CONSOLE
           DISPLAY 'FIRST SUBMISSION DATE    : ',
           WS-7605-ISAM-FIRST-SUB-DATE
           UPON CONSOLE
           DISPLAY '------------------------------------------'
           UPON CONSOLE
           DISPLAY 'REPORTING ORGANIZATION   : ',
           WS-7605-REPORTING-ORG
           UPON CONSOLE
           DISPLAY 'SERVICING STATE          : ',
           WS-7605-SERV-STATE
           UPON CONSOLE
           DISPLAY 'ACTIVE FLAG              : ',
           WS-7605-ACTIVE-FLG
           UPON CONSOLE
           DISPLAY 'INACTIVE DATE            : ',
           WS-7605-INACTIVE-DATE
           UPON CONSOLE
           DISPLAY 'CROP YEAR                : ',
           WS-7605-CROP-YEAR
           UPON CONSOLE
           DISPLAY 'TYPE OF ID CODE          : ',
           WS-7605-TYPE-OF-ID-CODE
           UPON CONSOLE
           DISPLAY 'AGENT ID                 : ',
           WS-7605-AGENT-ID
           UPON CONSOLE
           DISPLAY 'AGENT LAST NAME          : ',
           WS-7605-AGENT-LAST-NAME
           UPON CONSOLE
           DISPLAY 'AGENT FIRST NAME         : ',
           WS-7605-AGENT-FIRST-NAME
           UPON CONSOLE
           DISPLAY 'AGENT MIDDLE NAME        : ',
           WS-7605-AGENT-MID-NAME
           UPON CONSOLE
           DISPLAY 'AGENT SUFFIX             : ',
           WS-7605-AGENT-SUFFIX
           UPON CONSOLE
           DISPLAY 'AGENT TITLE              : ',
           WS-7605-AGENT-TITLE
           UPON CONSOLE
           DISPLAY 'AGENCY NAME              : ',
           WS-7605-AGENCY-NAME
           UPON CONSOLE
           DISPLAY 'BUSINESS ADDRESS         : ',
           WS-7605-BUSINESS-ADDRESS
           UPON CONSOLE
           DISPLAY 'CITY                     : ',
           WS-7605-CITY
           UPON CONSOLE
           DISPLAY 'COUNTY                   : ',
           WS-7605-COUNTY
           UPON CONSOLE
           DISPLAY 'STATE                    : ',
           WS-7605-ADDRESS-STATE
           UPON CONSOLE
           DISPLAY 'ZIP CODE                 : ',
           WS-7605-ZIP-CODE
           UPON CONSOLE
           DISPLAY 'ZIP EXTENSION            : ',
           WS-7605-ZIP-EXTEN
           UPON CONSOLE
           DISPLAY 'PHONE NUMBER             : ',
           WS-7605-PHONE-NUM
           UPON CONSOLE
           DISPLAY 'PHONE EXTENSION          : ',
           WS-7605-PHONE-EXTEN
           UPON CONSOLE
           DISPLAY 'SOCIAL SECURITY NUMBER   : ',
           WS-7605-SOC-SEC-NUM
           UPON CONSOLE
           DISPLAY 'CONTROL DATE             : ',
           WS-7605-CONTROL-DATE
           UPON CONSOLE
           DISPLAY '------------------------------------------'
           UPON CONSOLE
           DISPLAY 'FCIC CONTROL TIME        : ',
           WS-7605-FCIC-CONTROL-TIME
           UPON CONSOLE
           DISPLAY 'FCIC CONTROL DATE        : ',
           WS-7605-FCIC-CONTROL-DATE
           UPON CONSOLE
           DISPLAY 'REINSURANCE YEAR         : ',
           WS-7605-REINS-YR
           UPON CONSOLE
           DISPLAY 'BATCH NUMBER             : ',
           WS-7605-BATCH-NO
           UPON CONSOLE
           DISPLAY 'TRANSACTION SEQ NUMBER   : ',
           WS-7605-TRAN-SEQ-NO
           UPON CONSOLE
           DISPLAY 'TRANSACTION REJECTED FLAG: ',
           WS-7605-TRAN-REJ-FLAG
           DISPLAY 'TRANSACTION SOURCE       : ',
           WS-7605-TRAN-SOURCE-FLAG
           UPON CONSOLE
           DISPLAY ' ' UPON CONSOLE.

       7605-DISPLAY-RECORD-EXIT.
           EXIT.

      $END
