      *****************************************************************
      * File:      M7610.CBL                                          *
      * Author:    Mike Ray                                           *
      * Date:      04/28/97                                           *
      * Purpose:                                                      *
      *    This module validates the lookup parameters passed in and  *
      *    looks up the input Loss Adjuster in the Adjuster ISAM.     *
      *****************************************************************

       7610-LOOKUP-ADJUSTER-ID.

      $IF DEBUG-SW DEFINED
           DISPLAY '7610-LOOKING UP LOSS ADJUSTER ID'
           UPON CONSOLE
      $END

      ************************************************
      *       INITIALIZE OUTPUT FIELDS               *
      ************************************************
           MOVE WS-LITERAL-NO TO WS-7610-MATCH-FOUND
           MOVE WS-LITERAL-NO TO WS-7610-INPUT-ERROR

      ************************************************
      *         VALIDATE INPUT FIELDS                *
      ************************************************
           IF WS-7610-INPUT-ADJUSTER-ID = SPACES
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 043 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-PR TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO WS-7610-INPUT-ERROR
              MOVE 'WS-7610-INPUT-ADJUSTER-ID' TO WS-8000-FIELD-NAME1
              MOVE ZERO TO WS-8000-BAD-DATA1
              MOVE 'NOT BLANK' TO WS-8000-CORR-DATA1
              MOVE 7610 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-7610-INPUT-ERROR = WS-LITERAL-YES
              GO TO 7610-LOOKUP-ADJUSTER-ID-EXIT
           END-IF

      ************************************************
      *     READ FOR RECORD                          *
      ************************************************

           IF T56-ADJUSTER-FILE-OPEN
      *       **** CHECK TO SEE IF THE RECORD IS CACHED
              IF WS-7610-INPUT-KEY = WS-7610-ISAM-KEY
                 MOVE WS-LITERAL-YES TO WS-7610-MATCH-FOUND
              ELSE
                 INITIALIZE WS-7610-ISAM-T56
                 MOVE WS-7610-INPUT-ADJUSTER-ID TO T56-ADJUSTER-REC-KEY
                 READ T56-ADJUSTER-FILE
                    INVALID KEY
                       MOVE WS-LITERAL-NO TO WS-7610-MATCH-FOUND
                       INITIALIZE WS-7610-ISAM-T56
                       GO TO 7610-LOOKUP-ADJUSTER-ID-EXIT
                    NOT INVALID KEY
                       MOVE T56-ADJUSTER-REC TO WS-7610-ISAM-T56
                       MOVE WS-LITERAL-YES TO WS-7610-MATCH-FOUND
                 END-READ
              END-IF
           ELSE
              MOVE 7610 TO WS-8020-PARAGRAPH-NO
              MOVE 90013 TO WS-8020-INT-ERROR-NO
              MOVE 'T56 ADJUSTER FILE' TO WS-8020-FIELD-NAME
              MOVE SPACES TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

      $IF DEBUG-SW DEFINED
           IF WS-7610-MATCH-FOUND = WS-LITERAL-NO
              MOVE WS-7610-INPUT-KEY TO WS-7610-ISAM-KEY
              PERFORM 7610-DISPLAY-RECORD
                 THRU 7610-DISPLAY-RECORD-EXIT
              INITIALIZE WS-7610-ISAM-KEY
           ELSE
              PERFORM 7610-DISPLAY-RECORD
                 THRU 7610-DISPLAY-RECORD-EXIT
           END-IF
      $END

      ************************************************
      *         INITIALIZE INPUT FIELDS              *
      ************************************************
           INITIALIZE WS-7610-INPUT-KEY.


       7610-LOOKUP-ADJUSTER-ID-EXIT.
           EXIT.


      $IF DEBUG-SW DEFINED

       7610-DISPLAY-RECORD.

           DISPLAY 'ADJUSTER ID NUMBER : ', WS-7610-ISAM-ADJUSTER-ID
           UPON CONSOLE
           DISPLAY '------------------------------------------'
           UPON CONSOLE
           DISPLAY 'ADJUSTER REJECTED           : ',
           WS-7610-ISAM-REJECT-FLAG
           UPON CONSOLE
           DISPLAY 'LAST SUBMISSION BATCH #  : ',
           WS-7610-ISAM-LATEST-SUB-BATCH
           UPON CONSOLE
           DISPLAY 'LAST SUBMISSION DATE     : ',
           WS-7610-ISAM-LATEST-SUB-DATE
           UPON CONSOLE
           DISPLAY 'FIRST SUBMISSION BATCH # : ',
           WS-7610-ISAM-FIRST-SUB-BATCH
           UPON CONSOLE
           DISPLAY 'FIRST SUBMISSION DATE    : ',
           WS-7610-ISAM-FIRST-SUB-DATE
           UPON CONSOLE
           DISPLAY '------------------------------------------'
           UPON CONSOLE
           DISPLAY 'REPORTING ORGANIZATION   : ',
           WS-7610-REPORTING-ORG
           UPON CONSOLE
           DISPLAY 'ACTIVE FLAG              : ',
           WS-7610-ACTIVE-FLG
           UPON CONSOLE
           DISPLAY 'INACTIVE DATE            : ',
           WS-7610-INACTIVE-DATE
           UPON CONSOLE
           DISPLAY 'REINSURANCE YEAR         : ',
           WS-7610-REINS-YEAR
           UPON CONSOLE
           DISPLAY 'ADJUSTER ID                 : ',
           WS-7610-ADJUSTER-ID
           UPON CONSOLE
           DISPLAY 'ADJUSTER LAST NAME          : ',
           WS-7610-ADJ-LAST-NAME
           UPON CONSOLE
           DISPLAY 'ADJUSTER FIRST NAME         : ',
           WS-7610-ADJ-FIRST-NAME
           UPON CONSOLE
           DISPLAY 'ADJUSTER MIDDLE NAME        : ',
           WS-7610-ADJ-MID-NAME
           UPON CONSOLE
           DISPLAY 'ADJUSTER SUFFIX             : ',
           WS-7610-ADJ-SUFFIX
           UPON CONSOLE
           DISPLAY 'ADJUSTER TITLE              : ',
           WS-7610-ADJ-TITLE
           UPON CONSOLE
           DISPLAY 'STATE                    : ',
           WS-7610-ADDRESS-STATE
           UPON CONSOLE
           DISPLAY 'SOCIAL SECURITY NUMBER   : ',
           WS-7610-ADJUSTER-SSN
           UPON CONSOLE
           DISPLAY 'FSA CONTROL DATE         : ',
           WS-7610-FSA-CONTROL-DATE
           UPON CONSOLE
           DISPLAY '------------------------------------------'
           UPON CONSOLE
           DISPLAY 'FCIC CONTROL TIME        : ',
           WS-7610-FCIC-CONTROL-TIME
           UPON CONSOLE
           DISPLAY 'FCIC CONTROL DATE        : ',
           WS-7610-FCIC-CONTROL-DATE
           UPON CONSOLE
           DISPLAY 'REINSURANCE YEAR         : ',
           WS-7610-REINS-YR
           UPON CONSOLE
           DISPLAY 'BATCH NUMBER             : ',
           WS-7610-BATCH-NO
           UPON CONSOLE
           DISPLAY 'TRANSACTION SEQ NUMBER   : ',
           WS-7610-TRAN-SEQ-NO
           UPON CONSOLE
           DISPLAY 'TRANSACTION REJECTED FLAG: ',
           WS-7610-TRAN-REJ-FLAG
           DISPLAY 'TRANSACTION SOURCE       : ',
           WS-7610-TRAN-SOURCE-FLAG
           UPON CONSOLE
           DISPLAY ' ' UPON CONSOLE.

       7610-DISPLAY-RECORD-EXIT.
           EXIT.

      $END
