      ****************************************************************
      *     THIS AREA OF WORKING STORAGE DEFINES THE WORKING STORAGE *
      *     USED BY THE TABLE MODULES.                               *
      *                                                              *
      *     FILE  : WS7000.CBL                                       *
      *     AUTHOR: MIKE RAY                                         *
      *     DATE  : 01/11/96                                         *
      *                                                              *
      *     CONTAINS THE FOLLOWING TABLES AND THEIR ASSOCIATED STATUS*
      *     VARIABLES:                                               *
      *     IP-TBL               INSURANCE PROVIDERS (RPT ORGS)      *
      *     COMPANY-TBL          RE-INSURED COMPANIES                *
      *     FIPS-ST-TBL          NUMERIC (FIPS) STATE TABLE          *
      *     COUNTY-TBL           COUNTIES BY STATE                   *
      *     CROP-TBL             CROPS                               *
      *     CROP-TYPE-TBL        CROP TYPES BY CROP                  *
      *     CROP-POL-TY-TBL      CROP POLICY TYPE BY CROP            *
      *     ERROR-MSG-TBL        ERROR MESSAGES FOR TRAN ERRORS      *
      *     SCD-TBL              SALES CLOSING DATES                 *
      *     ARD-TBL              ACREAGE REPORTING DATES             *
      *     UM-TBL               CROP UNITS OF MEASURE               *
      *     STAGE-CROP-TBL       GROWTH STAGES BY CROP               *
      *     LOSS-CAUSE-CROP-TBL  LOSS CAUSES BY CROP                 *
      *     ASGD-RISK            ASSIGNED RISK                       *
      *     STAGE-TBL            GROWTH STAGES                       *
      *     LOSS-CAUSE-TBL       LOSS CAUSES                         *
      *                                                              *
      *     CONTAINS:                                                *
      *         WS7005.CBL  for 7005-ADD-SBI-RECORD                  *
      *         WS7010.CBL  for 7010-ADD-T11-RECORD                  *
      *         WS7012.CBL  for 7012-ADD-T12-RECORD                  *
      *         WS7015.CBL  for 7015-ADD-T14-RECORD                  *
      *         WS7020.CBL  for 7020-ADD-T15-RECORD                  *
      *         WS7025.CBL  for 7025-ADD-T16-RECORD                  *
      *         WS7030.CBL  for 7030-ADD-T20-RECORD                  *
      *         WS7035.CBL  for 7035-ADD-T21-RECORD                  *
      *         WS7040.CBL  for 7040-ADD-T50-RECORD                  *
      *         WS7045.CBL  for 7045-ADD-ASGD-RISK-RECORD            *
      *         WS7200.CBL  for 7200-LOAD-IP-TABLE                   *
      *         WS7205.CBL  for 7205-LOAD-COMPANY-TBL                *
      *         WS7210.CBL  for 7210-LOAD-FIPS-ST-TBL                *
      *         WS7215.CBL  for 7215-LOAD-COUNTY-TBL                 *
      *         WS7220.CBL  for 7220-LOAD-CROP-TBL                   *
      *         WS7225.CBL  for 7225-LOAD-CROP-TYPE-TBL              *
      *         WS7230.CBL  for 7230-LOAD-CROP-POL-TY-TBL            *
      *         WS7235.CBL  for 7235-LOAD-ERROR-MSG-TBL              *
      *         WS7240.CBL  for 7240-LOAD-TXWA-FINAL-DATE-TBL        *
      *         WS7250.CBL  for 7250-LOOKUP-IP-TBL                   *
      *         WS7255.CBL  for 7255-LOOKUP-COMPANY-TBL              *
      *         WS7260.CBL  for 7260-LOOKUP-FIPS-ST-TBL              *
      *         WS7265.CBL  for 7265-LOOKUP-COUNTY-TBL               *
      *         WS7270.CBL  for 7270-LOOKUP-CROP-TBL                 *
      *         WS7275.CBL  for 7275-LOOKUP-CROP-TYPE-TBL            *
      *         WS7280.CBL  for 7280-LOOKUP-CPT-TBL                  *
      *         WS7285.CBL  for 7285-LOOKUP-ERROR-MSG-TBL            *
      *         WS7287.CBL  for 7287-INCREMENT-ERR-COUNT             *
      *         WS7290.CBL  for 7290-LOOKUP-UM                       *
      *         WS7295.CBL  for 7295-LOAD-UM-TBL                     *
      *         WS7300.CBL  for 7300-LOAD-STAGE-CROP-TBL             *
      *         WS7315.CBL  for 7315-LOOKUP-STATE-ABBREV             *
      *         WS7320.CBL  for 7320-LOAD-LOSS-CAUSE-CROP            *
      *         WS7325.CBL  for 7325-LOAD-CROP-LIMIT-TBL             *
      *         WS7330.CBL  for 7330-LOOKUP-CROP-LIMIT               *
      *         WS7350.CBL  for 7350-LOOKUP-STAGE-CROP               *
      *         WS7355.CBL  for 7355-LOOKUP-LOSS-CSE-CROP            *
      *         WS7360.CBL  for 7360-LOAD-STAGE-TBL                  *
      *         WS7365.CBL  for 7365-LOOKUP-STAGE-CD                 *
      *         WS7370.CBL  for 7370-LOAD-LOSS-CAUSE-TBL             *
      *         WS7375.CBL  for 7375-LOOKUP-LOSS-CAUSE-CD            *
      ****************************************************************
      *         *** ADM ISAM LOOKUPS ***                             *
      *         WS7505.CBL  for 7505-LOOKUP-ADM1                     *
      *         WS7507.CBL  for 7507-LOOKUP-ADM1G                    *
      *         WS7510.CBL  for 7510-LOOKUP-ADM2                     *
      *         WS7515.CBL  for 7515-LOOKUP-ADM3                     *
      *         WS7520.CBL  for 7520-LOOKUP-ADM4                     *
      *         WS7525.CBL  for 7525-LOOKUP-ADMH                     *
      *         WS7530.CBL  for 7530-LOOKUP-ADMM                     *
      *         WS7535.CBL  for 7535-LOOKUP-ADMO                     *
      *         WS7540.CBL  for 7540-LOOKUP-ADMR                     *
      *         WS7545.CBL  for 7545-LOOKUP-ADMAC                    *
      *         WS7550.CBL  for 7550-LOOKUP-ADMAR                    *
      *         WS7555.CBL  for 7555-LOOKUP-ADMSSN                   *
      *         WS7558.CBL  for 7558-LOOKUP-ADMY                     *
      *         WS7570.CBL  for 7570-LOOKUP-ADMIR
      *         WS7575.CBL  for 7575-LOOKUP-ADMC
      *         WS7580.CBL  for 7580-LOOKUP-ADMIY
      *         WS7585.CBL  for 7585-LOOKUP-ADMVC                    *
      *         WS7590.CBL  for 7590-LOOKUP-ADMVS                    *
      *         WS7595.CBL  for 7595-LOOKUP-ADMWE                    *
      *         WS7600.CBL  for 7600-LOOKUP-ADMWF                    *
      ****************************************************************
      *         WS7560.CBL  for 7560-LOOKUP-TYPE-14-DATES            *
      *         WS7565.CBL  for 7565-LOOKUP-TYPE-11-DATES            *
      *         WS7605.CBL  FOR 7605-LOOKUP-AGENT-ID                 *
      *         WS7610.CBL  FOR 7610-LOOKUP-ADJUSTER-ID              *
      ****************************************************************

       01 WS-7001-IP-REC-COUNT           PIC 9(06).
       01 WS-7001-MAX-SIZE               PIC 9(06)
                                            VALUE 50.
       01 WS-7001-IP-TBL.
          05 WS-7001-IP-REC OCCURS 50 TIMES
             INDEXED BY WS-7001-IP-INDEX.
             10 WS-7001-INS-PROVIDER           PIC X(02).
             10 WS-7001-IP-NAME                PIC X(45).

       01 WS-7002-COMPANY-REC-COUNT                  PIC 9(06).
       01 WS-7002-MAX-SIZE                           PIC 9(06)
                                                       VALUE 100.
       01 WS-7002-COMPANY-TBL.
          05 WS-7002-COMPANY-REC OCCURS 100 TIMES
             INDEXED BY WS-7002-COMPANY-INDEX.
             10 WS-7002-INS-PROVIDER               PIC X(02).
             10 WS-7002-COMPANY                    PIC 9(03).


       01 WS-7003-FIPS-STATE-REC-COUNT               PIC 9(06).
       01 WS-7003-MAX-SIZE                           PIC 9(06)
                                                       VALUE 60.
       01 WS-7003-FIPS-ST-TBL.
          05 WS-7003-FIPS-ST-REC OCCURS 60 TIMES
             INDEXED BY WS-7003-FIPS-ST-INDEX.
             10 WS-7003-FIPS-STATE                 PIC 9(02).
             10 WS-7003-FIPS-STATE-NAME            PIC X(20).


       01 WS-7004-COUNTY-REC-COUNT                   PIC 9(06).
       01 WS-7004-MAX-SIZE                           PIC 9(06)
                                                       VALUE 3200.
       01 WS-7004-COUNTY-TBL.
          05 WS-7004-COUNTY-REC OCCURS 3200 TIMES
             ASCENDING KEY IS WS-7004-FIPS-STATE
                              WS-7004-COUNTY
             INDEXED BY WS-7004-COUNTY-INDEX.
             10 WS-7004-FIPS-STATE                 PIC 9(02).
             10 WS-7004-COUNTY                     PIC 9(03).
             10 WS-7004-COUNTY-NAME                PIC X(30).


       01 WS-7005-CROP-REC-COUNT                     PIC 9(06).
       01 WS-7005-MAX-SIZE                           PIC 9(06)
                                                       VALUE 150.
       01 WS-7005-CROP-TBL.
          05 WS-7005-CROP-REC OCCURS 150 TIMES
             INDEXED BY WS-7005-CROP-INDEX.
             10 WS-7005-CROP                       PIC 9(04).
             10 WS-7005-CROP-NAME                  PIC X(30).


       01 WS-7006-CROP-TYPE-REC-COUNT                PIC 9(06).
       01 WS-7006-MAX-SIZE                           PIC 9(06)
                                                       VALUE 350.
       01 WS-7006-CROP-TYPE-TBL.
          05 WS-7006-CROP-TYPE-REC OCCURS 300 TIMES
             INDEXED BY WS-7006-CROP-TYPE-INDEX.
             10 WS-7006-CROP                       PIC 9(04).
             10 WS-7006-CROP-TYPE                  PIC 9(03).
             10 WS-7006-TYPE-NAME                  PIC X(40).


       01 WS-7007-CROP-POL-TY-REC-COUNT              PIC 9(06).
       01 WS-7007-MAX-SIZE                           PIC 9(06)
                                                       VALUE 150.
       01 WS-7007-CROP-POLICY-TYPE-TBL.
          05 WS-7007-CROP-POLICY-TYPE-REC OCCURS 150 TIMES
             ASCENDING KEY IS   WS-7007-FIPS-STATE
                                WS-7007-CROP
                                WS-7007-CROP-TYPE
             INDEXED BY WS-7007-CROP-POLICY-TYPE-INDEX.

             10 WS-7007-FIPS-STATE                 PIC 9(02).
             10 WS-7007-CROP                       PIC 9(04).
             10 WS-7007-CROP-TYPE                  PIC X(03).
             10 WS-7007-CROP-POLICY-TYPE           PIC X(04).


       01 WS-7008-ERROR-MSG-REC-COUNT    PIC 9(06).
       01 WS-7008-ERROR-MSG-INT-INDEX    PIC 9(10).
       01 WS-7008-MAX-SIZE               PIC 9(06)
                                            VALUE 800.

       01 WS-7008-ERROR-MSG-TBL.
          05 WS-7008-ERROR-MSG-REC OCCURS 800 TIMES
             ASCENDING KEY IS WS-7008-ERROR-NO
             INDEXED BY WS-7008-ERROR-MSG-INDEX.
             10 WS-7008-ERROR-NO                   PIC X(05).
             10 WS-7008-ERROR-MSG                  PIC X(80).
             10 WS-7008-ERROR-COUNT                PIC 9(08).

       01 WS-7010-CROP-LIMIT-REC-COUNT               PIC 9(06).
       01 WS-7010-MAX-SIZE                           PIC 9(06)
                                                       VALUE 25.
       01 WS-7010-CROP-LIMIT-TBL.
          05 WS-7010-CROP-LIMIT-REC OCCURS 25 TIMES
             INDEXED BY WS-7010-CROP-LIMIT-INDEX.
             10 WS-7010-CROP                        PIC X(04).
             10 WS-7010-CROP-TYPE                   PIC X(03).
             10 WS-7010-INSURANCE-PLAN              PIC 9(02).
             10 WS-7010-CROP-MAX-LIMIT              PIC 9(03)V9(02).

       01 WS-7011-UM-REC-COUNT                       PIC 9(06).
       01 WS-7011-MAX-SIZE                           PIC 9(06)
                                                       VALUE 150.
       01 WS-7011-UM-TBL.
          05 WS-7011-UM-REC OCCURS 150 TIMES
             INDEXED BY WS-7011-UM-INDEX.
             10 WS-7011-CROP-CD                     PIC X(04).
             10 WS-7011-STATE-CD                    PIC 9(02).
             10 WS-7011-UNIT-OF-MEASURE             PIC 9(02).


       01 WS-7013-LOSS-CAUSE-REC-COUNT               PIC 9(06).
       01 WS-7013-MAX-SIZE                           PIC 9(06)
                                                       VALUE 50.
       01 WS-7013-LOSS-CAUSE-TBL.
          05 WS-7013-LOSS-CAUSE-REC OCCURS 50 TIMES
             INDEXED BY WS-7013-LOSS-CAUSE-INDEX.
             10 WS-7013-LOSS-CAUSE-CD               PIC 9(02).
             10 WS-7013-LOSS-CAUSE-DESC             PIC X(60).

      *****************************************************************
      *  THIS TABLE STORES ALL TYPE 14 TRANSACTIONS WHICH PASS THE    *
      *  LATE DETERMINATION FOR ASSIGNED RISK MODIFICATION IN         *
      *  IF2255-DETERMINE-TRANS-LATE.  THE ASSIGNED RISK TABLE IS     *
      *  USED TO DETERMINE WHETHER 14 RECORDS HAVE THE SAME ASSIGNED  *
      *  SETTING FOR A CROP/CROP POLICY TYPE OR CAT/DUAL COVERAGE = 1.*
      *  RECORDS WHICH PASS THIS SECOND EDIT 3345-SAME-ASGD-RISK      *
      *  MAY UPDATE OR SET ASSIGNED RISK FOR THE POLICY.              *
      *****************************************************************

       01 WS-7014-ASGD-RISK-STATUS.
          05 WS-7014-ASGD-RISK-REC-COUNT    PIC 9(03).
          05 WS-7014-ASGD-RISK-INT-INDEX    PIC 9(08).

       01 WS-7014-MAX-SIZE               PIC 9(03)
      $IF PC-SW DEFINED
                                         VALUE 80.
      $ELSE
                                         VALUE 300.
      $END

       01 WS-7014-ASGD-RISK-TBL.
      $IF PC-SW DEFINED
          05 WS-7014-ASGD-RISK-REC OCCURS 80 TIMES
             INDEXED BY WS-7014-ASGD-RISK-INDEX.
      $ELSE
          05 WS-7014-ASGD-RISK-REC OCCURS 300 TIMES
             INDEXED BY WS-7014-ASGD-RISK-INDEX.
      $END
             10 WS-7014-TRAN-REJECTED-FLAG     PIC X(01).
             10 WS-7014-REPORTING-ORG          PIC X(02).
             10 WS-7014-LOC-STATE              PIC 9(02).
             10 WS-7014-COMPANY-COUNTY         PIC 9(03).
             10 WS-7014-POLICY-NUM             PIC 9(07).
             10 WS-7014-CROP-YEAR              PIC 9(04).
             10 WS-7014-LOC-COUNTY             PIC 9(03).
             10 WS-7014-CROP-CD                PIC 9(04).
             10 WS-7014-INSURANCE-PLAN-ID      PIC 9(02).
             10 WS-7014-CROP-POLICY-TYPE       PIC X(04).
             10 WS-7014-CUTOFF-DATE            PIC 9(08).
             10 WS-7014-DUAL-COVERAGE-FLAG     PIC 9(01).
             10 WS-7014-ASSIGNED-RISK          PIC 9(01).
             10 WS-7014-COVERAGE-FLAG          PIC X(01).
             10 WS-7014-FCIC-CONTROL-DATE      PIC 9(08).
             10 WS-7014-FCIC-PROC-TIME         PIC 9(06).
             10 WS-7014-BATCH-ID-NUM           PIC 9(08).
             10 WS-7014-TRAN-SEQ-NUM           PIC 9(08).


       01 WS-7016-LOSS-CS-CROP-REC-COUNT             PIC 9(06).
       01 WS-7016-MAX-SIZE                           PIC 9(06)
                                                       VALUE 2200.
       01 WS-7016-LOSS-CAUSE-CROP-TBL.
          05 WS-7016-LOSS-CAUSE-CROP-REC OCCURS 2200 TIMES
             INDEXED BY WS-7016-LOSS-CAUSE-CROP-INDEX.
             10 WS-7016-CROP-CD                     PIC 9(04).
             10 WS-7016-STATE-CD                    PIC 9(02).
             10 WS-7016-INS-PLAN-CD                 PIC 9(02).
             10 WS-7016-LOSS-CAUSE-CD               PIC 9(02).


       01 WS-7017-STAGE-REC-COUNT                    PIC 9(06).
       01 WS-7017-MAX-SIZE                           PIC 9(06)
                                                       VALUE 25.
       01 WS-7017-STAGE-TBL.
          05 WS-7017-STAGE-REC OCCURS 25 TIMES
             INDEXED BY WS-7017-STAGE-INDEX.
             10 WS-7017-STAGE-CD                    PIC X(02).
             10 WS-7017-STAGE-DESC                  PIC X(50).


       01 WS-7018-STAGE-CROP-REC-COUNT               PIC 9(06).
       01 WS-7018-MAX-SIZE                           PIC 9(06)
                                                       VALUE 600.
       01 WS-7018-STAGE-CROP-TBL.
          05 WS-7018-STAGE-CROP-REC OCCURS 600 TIMES
             INDEXED BY WS-7018-STAGE-CROP-INDEX.
             10 WS-7018-CROP-CD                     PIC 9(04).
             10 WS-7018-STATE-CD                    PIC 9(02).
             10 WS-7018-INS-PLAN-CD                 PIC 9(02).
             10 WS-7018-STAGE-CD                    PIC X(02).
             10 WS-7018-STAGE-PCT-FCTR              PIC 9(01)V9(02).

       COPY 'TABLES/WS7005.CBL'.
       COPY 'TABLES/WS7010.CBL'.
       COPY 'TABLES/WS7012.CBL'.
       COPY 'TABLES/WS7015.CBL'.
       COPY 'TABLES/WS7020.CBL'.
       COPY 'TABLES/WS7025.CBL'.
       COPY 'TABLES/WS7030.CBL'.
       COPY 'TABLES/WS7035.CBL'.
       COPY 'TABLES/WS7040.CBL'.
       COPY 'TABLES/WS7045.CBL'.
       COPY 'TABLES/WS7200.CBL'.
       COPY 'TABLES/WS7205.CBL'.
       COPY 'TABLES/WS7210.CBL'.
       COPY 'TABLES/WS7215.CBL'.
       COPY 'TABLES/WS7220.CBL'.
       COPY 'TABLES/WS7225.CBL'.
       COPY 'TABLES/WS7230.CBL'.
       COPY 'TABLES/WS7235.CBL'.
       COPY 'TABLES/WS7240.CBL'.
       COPY 'TABLES/WS7250.CBL'.
       COPY 'TABLES/WS7255.CBL'.
       COPY 'TABLES/WS7260.CBL'.
       COPY 'TABLES/WS7265.CBL'.
       COPY 'TABLES/WS7270.CBL'.
       COPY 'TABLES/WS7275.CBL'.
       COPY 'TABLES/WS7280.CBL'.
       COPY 'TABLES/WS7285.CBL'.
       COPY 'TABLES/WS7287.CBL'.
       COPY 'TABLES/WS7290.CBL'.
       COPY 'TABLES/WS7295.CBL'.
       COPY 'TABLES/WS7300.CBL'.
       COPY 'TABLES/WS7315.CBL'.
       COPY 'TABLES/WS7320.CBL'.
       COPY 'TABLES/WS7325.CBL'.
       COPY 'TABLES/WS7330.CBL'.
       COPY 'TABLES/WS7350.CBL'.
       COPY 'TABLES/WS7355.CBL'.
       COPY 'TABLES/WS7360.CBL'.
       COPY 'TABLES/WS7365.CBL'.
       COPY 'TABLES/WS7370.CBL'.
       COPY 'TABLES/WS7375.CBL'.

      $IF ISAM-SW DEFINED
       COPY 'TABLES/WS7505.CBL'.
       COPY 'TABLES/WS7507.CBL'.
       COPY 'TABLES/WS7510.CBL'.
       COPY 'TABLES/WS7515.CBL'.
       COPY 'TABLES/WS7520.CBL'.
       COPY 'TABLES/WS7525.CBL'.
       COPY 'TABLES/WS7530.CBL'.
       COPY 'TABLES/WS7535.CBL'.
       COPY 'TABLES/WS7540.CBL'.
       COPY 'TABLES/WS7545.CBL'.
       COPY 'TABLES/WS7550.CBL'.
       COPY 'TABLES/WS7555.CBL'.
       COPY 'TABLES/WS7558.CBL'.
       COPY 'TABLES/WS7560.CBL'.
       COPY 'TABLES/WS7565.CBL'.
       COPY 'TABLES/WS7570.CBL'.
       COPY 'TABLES/WS7575.CBL'.
       COPY 'TABLES/WS7580.CBL'.
       COPY 'TABLES/WS7585.CBL'.
       COPY 'TABLES/WS7590.CBL'.
       COPY 'TABLES/WS7595.CBL'.
       COPY 'TABLES/WS7600.CBL'.
       COPY 'TABLES/WS7605.CBL'.
       COPY 'TABLES/WS7610.CBL'.

      $END
