      ***************************************************************
      * File:      WS7010.CBL                                       *
      * Author:    Mike Ray and Cheryl D. Wood                      *
      * Date:      9/13/95                                          *
      * Purpose:                                                    *
      *    Working Storage for the T11 record to be added to the T11*
      *    table BY 7010-ADD-T11-RECORD.                            *
      ***************************************************************

       01 WS-7010-INPUT.
          05 WS-7010-CROP-POLICY-TYPE       PIC X(04).
          05 WS-7010-PREMIUM-GPA            PIC 9(09)V9(01).
          05 WS-7010-PREMIUM-GUARANTEE      PIC 9(12)V9(01).
          05 WS-7010-LOW-YIELD              PIC 9(07)V9(02).
          05 WS-7010-HIGH-YIELD             PIC 9(07)V9(02).
          05 WS-7010-CALC-REV-CVG-PCT       PIC 9(01)V9(04).

      ***************************************************************
      *  THE INCOMING TRANSACTION WILL BE MOVED TO THIS AREA        *
      ***************************************************************

       01 WS-7010-TYPE-11.
          05 WS-7010-RECORD-TYPE            PIC 9(02).
          05 WS-7010-POLICY-NO.
             10 WS-7010-REPORTING-ORG          PIC X(02).
             10 WS-7010-LOC-STATE              PIC 9(02).
             10 WS-7010-COMPANY-COUNTY         PIC 9(03).
             10 WS-7010-POLICY-NUM             PIC 9(07).
             10 WS-7010-CROP-YEAR              PIC 9(04).
          05 WS-7010-CROP-CD                PIC 9(04).
          05 WS-7010-INSUR-PLAN-CD          PIC 9(02).
          05 WS-7010-LOCATION-COUNTY        PIC 9(03).
          05 WS-7010-UNIT-NUM.
             10 WS-7010-BASIC-UNIT-NUM         PIC 9(03).
             10 WS-7010-BASIC-UNIT-NUM-X REDEFINES
                WS-7010-BASIC-UNIT-NUM         PIC X(03).
             10 WS-7010-OPTIONAL-UNIT          PIC 9(02).
             10 WS-7010-OPTIONAL-UNIT-X REDEFINES
                WS-7010-OPTIONAL-UNIT          PIC X(02).
          05 WS-7010-TYPE-CD                PIC X(03).
          05 WS-7010-PRACTICE-CD            PIC X(03).
          05 WS-7010-COVERAGE-FLG           PIC X(01).
          05 WS-7010-KEY-RESERVE            PIC X(32).
          05 WS-7010-FILLER-1               PIC X(02).
          05 WS-7010-RECORD-NUM             PIC 9(03).
          05 WS-7010-TYPE15-REC-NO          PIC 9(03).
          05 WS-7010-AGENT-ID-CODE          PIC X(09).
          05 WS-7010-RATE-CLASS             PIC X(03).
          05 WS-7010-MAP-AREA               PIC X(03).
          05 WS-7010-CRUSH-DISTRICT         PIC X(02).
          05 WS-7010-REFERENCE-CROP-YR      PIC 9(04).
          05 WS-7010-NCS-FCIC-2-FL          PIC X(01).
          05 WS-7010-DATE-PLANTED           PIC 9(08).
          05 WS-7010-GUARANTEE-REDUCT-FLG   PIC X(01).
          05 WS-7010-YIELD                  PIC 9(07)V9(01).
          05 WS-7010-DOLLAR-AMT-INSUR       PIC 9(06)V9(02).
          05 WS-7010-QUOTA                  PIC 9(10).
          05 WS-7010-COVERAGE-LEVEL-PCT     PIC 9(02).
          05 WS-7010-GUARANTEE-PER-ACRE     PIC 9(06)V9(02).
          05 WS-7010-GUARANTEE-RED-PCT      PIC V9(03).
          05 WS-7010-REPORTED-ACRES         PIC 9(06)V9(02).
          05 WS-7010-TOTAL-GUARANTEE        PIC 9(08)V9(02).
          05 WS-7010-PRICE-ELECTION         PIC 9(04)V9(04).
          05 WS-7010-INSURED-SHARE          PIC 9(01)V9(03).
          05 WS-7010-LIABILITY              PIC 9(09).
          05 WS-7010-YIELD-CONVR-PCT-FCTR   PIC 9(01)V9(02).
          05 WS-7010-PERCENT-ELECTION REDEFINES
             WS-7010-YIELD-CONVR-PCT-FCTR   PIC 9(01)V9(02).
          05 WS-7010-YIELD-CONVR-PCT-FCTR-9 REDEFINES
             WS-7010-YIELD-CONVR-PCT-FCTR   PIC 9(03).
          05 WS-7010-BASE-PREM-RATE         PIC 9(04)V9(04).
          05 WS-7010-UNIT-OPT-CD            PIC X(02).
          05 WS-7010-ADD-OPT-CD             PIC X(06).
          05 WS-7010-TYPE-PRAC-OPT-CD       PIC X(08).
          05 WS-7010-EXPERIENCE-FACTOR      PIC 9(01)V9(02).
          05 WS-7010-PREM-RATE-SURCHARGE    PIC X(01).
          05 WS-7010-TOTAL-PREMIUM          PIC 9(08).
          05 WS-7010-PRODUCER-PREMIUM       PIC 9(08).
          05 WS-7010-PRIVATE-POLICY-CD      PIC X(03).
          05 WS-7010-INTENDED-ACREAGE-FLAG  PIC X(01).
          05 WS-7010-SEED-COMPANY-CD        PIC 9(03).
          05 WS-7010-RATE-STATE             PIC 9(02).
          05 WS-7010-RATE-COUNTY            PIC 9(03).
          05 WS-7010-FARM-SERIAL-NUM        PIC X(07).
          05 WS-7010-REVENUE-CVG-LVL-PCT    PIC 9(01)V9(04).
          05 WS-7010-NBR-OF-SECTIONS        PIC 9(02).
          05 WS-7010-UNIT-PREM-ADJ-FCTR     PIC 9(01)V9(03).
          05 WS-7010-PARTIAL-PP-FLAG        PIC X(01).
          05 WS-7010-IP-COUNTY-AVERAGE-YLD  PIC 9(07)V9(01).
          05 WS-7010-WFARM-DISCOUNT-FCTR    PIC 9(01)V9(03).
          05 WS-7010-FILLER-2               PIC X(24).
          05 WS-7010-SEED-CYCLE-CD          PIC X(01).
          05 WS-7010-CRC-APH-PREMIUM        PIC 9(08).
          05 WS-7010-CAT-65-100-PREMIUM     PIC 9(08).
          05 WS-7010-1996-CROP-CODE         PIC 9(03).
          05 WS-7010-1996-TYPE-CODE         PIC X(03).
          05 WS-7010-RM-DATA-RECEIPT-DATE   PIC 9(08).
          05 WS-7010-FILLER-3               PIC X(02).
          05 WS-7010-WEEKS-LATE             PIC 9(02).
          05 WS-7010-FIRST-SUBMISSION-FLG   PIC X(01).
          05 WS-7010-FILLER-4               PIC X(02).
          05 WS-7010-FSA-CONTROL-DATE       PIC 9(08).
          05 WS-7010-FCIC-CONTROL-TIME      PIC 9(08).
          05 WS-7010-FCIC-CONTROL-DATE      PIC 9(08).
          05 WS-7010-REINS-YR               PIC 9(04).
          05 WS-7010-BATCH-NO               PIC 9(04).
          05 WS-7010-TRAN-SEQ-NO            PIC 9(08).
          05 WS-7010-TRAN-REJECTED-FLAG     PIC X(01).
          05 WS-7010-TRAN-SOURCE-FLAG       PIC X(01).
          05 WS-7010-MDAS-PROCESS-NO        PIC 9(02).
          05 WS-7010-FILLER-5               PIC X(14).

