      *******************************************************************
      *   File:    WS7505.CBL                                           *
      *   Author:  Mike Ray                                             *
      *   Date:    10/25/95                                             *
      *   Purpose:                                                      *
      *            Working storage for 7505-LOOKUP-ADM1                 *
      *            These working storage variables are used for         *
      *            lookup of records in the ADM Type 1 ISAM file        *
      *            This file contains:                                  *
      *                Yield Data      Dollar Amt Data                  *
      *                Guarantee Data  Rate Data                        *
      *            For all crops except Group Risk Plan (GRP) Crops.    *
      *******************************************************************


      *****************************************************
      *               INPUT FIELDS                        *
      *****************************************************

       01 WS-7505-INPUT-KEY.
           05 FILLER                         PIC X(01) VALUE '1'.
           05 WS-7505-INPUT-CROP-YR          PIC 9(02) VALUE ZEROS.
           05 WS-7505-INPUT-STATE-CD         PIC 9(02) VALUE ZEROS.
           05 WS-7505-INPUT-COUNTY-CD        PIC 9(03) VALUE ZEROS.
           05 WS-7505-INPUT-CROP-CD          PIC 9(04) VALUE ZEROS.
           05 WS-7505-INPUT-INSURANCE-PLAN   PIC 9(02) VALUE ZEROS.
           05 WS-7505-INPUT-PRACTICE-CD.
              10 WS-7505-INPUT-PRACTICE-POS1    PIC X(01) VALUE SPACES.
              10 WS-7505-INPUT-PRACTICE-POS2-3  PIC X(02) VALUE SPACES.
           05 WS-7505-INPUT-TYPE-CD          PIC 9(03) VALUE ZEROS.
           05 WS-7505-INPUT-RATE-CLASS       PIC X(03) VALUE SPACES.


      *****************************************************
      *               OUTPUT FIELDS                       *
      *****************************************************

       01 WS-7505-FOUND-FLG              PIC X(01).
          88 MATCH-FOUND-7505                VALUE 'Y'.

       01 WS-7505-INPUT-ERROR            PIC X(01).
          88 INPUT-ERROR-7505               VALUE 'Y'.

       01 WS-7505-ADM1-REC.
          10 WS-7505-ADM1-KEY.
             15 WS-7505-RECORD-TYPE-CD         PIC X(01).
             15 WS-7505-CROP-YEAR              PIC 9(02).
             15 WS-7505-STATE-CD               PIC 9(02).
             15 WS-7505-COUNTY-CD              PIC 9(03).
             15 WS-7505-CROP-CD                PIC 9(04).
             15 WS-7505-INSURANCE-PLAN-ID      PIC 9(02).
             15 WS-7505-PRACTICE-CD            PIC X(03).
             15 WS-7505-TYPE-CD                PIC 9(03).
             15 WS-7505-RATE-CLASS             PIC X(03).
          10 WS-7505-ADM1-DATA.
             15 WS-7505-RECORD-TYPE-SFX        PIC X(01).
             15 WS-7505-LOW-YIELD              PIC 9(05)V9(02).
             15 WS-7505-LOW-TREES REDEFINES WS-7505-LOW-YIELD
                                               PIC 9(07).
             15 WS-7505-HIGH-YIELD             PIC 9(05)V9(02).
             15 WS-7505-HIGH-TREES REDEFINES WS-7505-HIGH-YIELD
                                               PIC 9(07).
             15 WS-7505-FLA-TROP-TREE-CROPS REDEFINES
                WS-7505-HIGH-YIELD.
                20 WS-7505-GROWTH-STAGE        PIC X(03).
                20 WS-7505-GROWTH-STAGE-FILLER PIC X(04).
             15 WS-7505-CAT-DOLLAR-AMT-INS     PIC 9(05).
             15 WS-7505-MIN-DOLLAR-AMT-INS     PIC 9(05).
             15 WS-7505-MAX-DOLLAR-AMT-INS     PIC 9(05).
             15 WS-7505-MAX-GUARANTEED-CVG REDEFINES
                WS-7505-MAX-DOLLAR-AMT-INS     PIC 9(04)V9(01).
             15 WS-7505-MAX-HYBRID-YIELD REDEFINES
                WS-7505-MAX-DOLLAR-AMT-INS     PIC 9(04)V9(01).
             15 WS-7505-REF-MAX-DOLLAR-AMT-INS PIC 9(05).
             15 WS-7505-REF-MAX-PRICE REDEFINES
                WS-7505-REF-MAX-DOLLAR-AMT-INS PIC 9(05).
             15 WS-7505-COVERAGE-LEVEL-01      PIC 9(02).
             15 WS-7505-BASE-PREMIUM-RATE-01   PIC 9(01)V9(03).
             15 WS-7505-COVERAGE-LEVEL-02      PIC 9(02).
             15 WS-7505-BASE-PREMIUM-RATE-02   PIC 9(01)V9(03).
             15 WS-7505-COVERAGE-LEVEL-03      PIC 9(02).
             15 WS-7505-BASE-PREMIUM-RATE-03   PIC 9(01)V9(03).
             15 WS-7505-COVERAGE-LEVEL-04      PIC 9(02).
             15 WS-7505-BASE-PREMIUM-RATE-04   PIC 9(01)V9(03).
             15 WS-7505-COVERAGE-LEVEL-05      PIC 9(02).
             15 WS-7505-BASE-PREMIUM-RATE-05   PIC 9(01)V9(03).
             15 WS-7505-COVERAGE-LEVEL-06      PIC 9(02).
             15 WS-7505-BASE-PREMIUM-RATE-06   PIC 9(01)V9(03).
             15 WS-7505-COVERAGE-LEVEL-07      PIC 9(02).
             15 WS-7505-BASE-PREMIUM-RATE-07   PIC 9(01)V9(03).
             15 WS-7505-COVERAGE-LEVEL-08      PIC 9(02).
             15 WS-7505-BASE-PREMIUM-RATE-08   PIC 9(01)V9(03).
             15 WS-7505-COVERAGE-LEVEL-09      PIC 9(02).
             15 WS-7505-BASE-PREMIUM-RATE-09   PIC 9(01)V9(03).
             15 WS-7505-COVERAGE-LEVEL-10      PIC 9(02).
             15 WS-7505-BASE-PREMIUM-RATE-10   PIC 9(01)V9(03).
             15 WS-7505-COVERAGE-LEVEL-11      PIC 9(02).
             15 WS-7505-BASE-PREMIUM-RATE-11   PIC 9(01)V9(03).
             15 WS-7505-COVERAGE-LEVEL-12      PIC 9(02).
             15 WS-7505-BASE-PREMIUM-RATE-12   PIC 9(01)V9(03).
             15 WS-7505-COVERAGE-LEVEL-13      PIC 9(02).
             15 WS-7505-BASE-PREMIUM-RATE-13   PIC 9(01)V9(03).
             15 WS-7505-COVERAGE-LEVEL-14      PIC 9(02).
             15 WS-7505-BASE-PREMIUM-RATE-14   PIC 9(01)V9(03).
             15 WS-7505-COVERAGE-LEVEL-15      PIC 9(02).
             15 WS-7505-BASE-PREMIUM-RATE-15   PIC 9(01)V9(03).
             15 WS-7505-COVERAGE-LEVEL-16      PIC 9(02).
             15 WS-7505-BASE-PREMIUM-RATE-16   PIC 9(01)V9(03).
             15 WS-7505-CRC-APH-FLAG           PIC X(01).
             15 FILLER                         PIC X(02).
             15 WS-7505-DATE-LAST-RELEASED     PIC 9(06).
             15 WS-7505-DATE-LAST-UPDATED      PIC 9(06).
             15 WS-7505-DATE-FILED             PIC 9(06).

