      *******************************************************************
      *   File:    WS7507.CBL                                           *
      *   Author:  Mike Ray                                             *
      *   Date:    12/19/95                                             *
      *   Purpose:                                                      *
      *            Working storage for 7507-LOOKUP-ADM1G                *
      *            These working storage variables are used for         *
      *            lookup of records in the ADM Type 1G ISAM file       *
      *            This file contains:                                  *
      *                Rate Data for GRP Plan Crops                     *
      *******************************************************************


      *****************************************************
      *               INPUT FIELDS                        *
      *****************************************************

       01 WS-7507-INPUT-KEY.
          05 FILLER                         PIC X(01) VALUE '1'.
          05 FILLER                         PIC X(01) VALUE 'G'.
          05 WS-7507-INPUT-CROP-YR          PIC 9(02) VALUE ZEROS.
          05 WS-7507-INPUT-STATE-CD         PIC 9(02) VALUE ZEROS.
          05 WS-7507-INPUT-COUNTY-CD        PIC 9(03) VALUE ZEROS.
          05 WS-7507-INPUT-CROP-CD          PIC 9(04) VALUE ZEROS.
          05 WS-7507-INPUT-INSURANCE-PLAN   PIC 9(02) VALUE ZEROS.
          05 WS-7507-INPUT-PRACTICE-CD.
             10 WS-7507-INPUT-PRACTICE-POS1    PIC X(01) VALUE SPACES.
             10 WS-7507-INPUT-PRACTICE-POS2-3  PIC X(02) VALUE SPACES.
          05 WS-7507-INPUT-TYPE-CD          PIC 9(03) VALUE ZEROS.


      *****************************************************
      *               OUTPUT FIELDS                       *
      *****************************************************

       01 WS-7507-FOUND-FLG              PIC X(01).
          88 MATCH-FOUND-7507                VALUE 'Y'.

       01 WS-7507-INPUT-ERROR            PIC X(01).
          88 INPUT-ERROR-7507               VALUE 'Y'.

       01 WS-7507-ADM1G-REC.
          10 WS-7507-ADM1G-KEY.
             15 WS-7507-RECORD-TYPE-CD         PIC X(01).
             15 WS-7507-RECORD-TYPE-SFX        PIC X(01).
             15 WS-7507-CROP-YEAR              PIC 9(02).
             15 WS-7507-STATE-CD               PIC 9(02).
             15 WS-7507-COUNTY-CD              PIC 9(03).
             15 WS-7507-CROP-CD                PIC 9(04).
             15 WS-7507-INSURANCE-PLAN-ID      PIC 9(02).
             15 WS-7507-PRACTICE-CD            PIC X(03).
             15 WS-7507-TYPE-CD                PIC 9(03).
          10 WS-7507-ADM1G-DATA.
             15 WS-7507-EXPECTED-CNTY-YLD      PIC 9(05).
             15 WS-7507-EXPECTED-CNTY-YLD-DEC REDEFINES
                WS-7507-EXPECTED-CNTY-YLD      PIC 9(04)V9(01).
             15 WS-7507-MAXIMUM-LIABILITY      PIC 9(05).
             15 WS-7507-EST-ANNUAL-YIELD       PIC 9(05).
             15 WS-7507-EST-ANNUAL-YIELD-DEC REDEFINES
                WS-7507-EST-ANNUAL-YIELD       PIC 9(04)V9(01).
             15 WS-7507-FINAL-ANNUAL-YIELD     PIC 9(05).
             15 WS-7507-FINAL-ANNUAL-YIELD-DEC REDEFINES
                WS-7507-FINAL-ANNUAL-YIELD     PIC 9(04)V9(01).
             15 WS-7507-MAXIMUM-SUBSIDY        PIC 9(03)V9(02).
             15 WS-7507-COVERAGE-LEVEL-01      PIC 9(02).
             15 WS-7507-BASE-RATE-01           PIC 9(03)V9(02).
             15 WS-7507-COVERAGE-LEVEL-02      PIC 9(02).
             15 WS-7507-BASE-RATE-02           PIC 9(03)V9(02).
             15 WS-7507-COVERAGE-LEVEL-03      PIC 9(02).
             15 WS-7507-BASE-RATE-03           PIC 9(03)V9(02).
             15 WS-7507-COVERAGE-LEVEL-04      PIC 9(02).
             15 WS-7507-BASE-RATE-04           PIC 9(03)V9(02).
             15 WS-7507-COVERAGE-LEVEL-05      PIC 9(02).
             15 WS-7507-BASE-RATE-05           PIC 9(03)V9(02).
             15 WS-7507-COVERAGE-LEVEL-06      PIC 9(02).
             15 WS-7507-BASE-RATE-06           PIC 9(03)V9(02).
             15 WS-7507-COVERAGE-LEVEL-07      PIC 9(02).
             15 WS-7507-BASE-RATE-07           PIC 9(03)V9(02).
             15 WS-7507-NASS-TYPE              PIC X(03).
             15 WS-7507-NASS-PRACTICE          PIC X(03).
             15 WS-7507-NASS-YIELD-TYPE        PIC 9(01).
             15 WS-7507-LIMITED-SUBSIDY        PIC 9(04)V9(02).
             15 WS-7507-MAXIMUM-SUBSIDY-80-PCT PIC 9(04).
             15 WS-7507-MAXIMUM-SUBSIDY-85-PCT PIC 9(04).
             15 WS-7507-MAXIMUM-SUBSIDY-90-PCT PIC 9(04).
             15 WS-7507-BIG-FILLER             PIC X(37).
             15 WS-7507-DATE-LAST-RELEASED     PIC 9(06).
             15 WS-7507-DATE-LAST-UPDATED      PIC 9(06).
             15 WS-7507-DATE-FILED             PIC 9(06).

