      *******************************************************************
      *   File:    WS7510.CBL                                           *
      *   Author:  Mike Ray                                             *
      *   Date:    10/25/95                                             *
      *   Purpose:                                                      *
      *            Working storage for 7510-LOOKUP-ADM2                 *
      *            These working storage variables are used for         *
      *            lookup of records in the ADM Type 2 ISAM file        *
      *            This file contains:                                  *
      *                      RATE FACTORS                               *
      *******************************************************************


      *****************************************************
      *               INPUT FIELDS                        *
      *****************************************************

       01 WS-7510-INPUT-KEY.
           05 FILLER                         PIC X(01) VALUE '2'.
           05 FILLER                         PIC X(01) VALUE SPACES.
           05 WS-7510-INPUT-CROP-YR          PIC 9(02) VALUE ZEROS.
           05 WS-7510-INPUT-STATE-CD         PIC 9(02) VALUE ZEROS.
           05 WS-7510-INPUT-COUNTY-CD        PIC 9(03) VALUE ZEROS.
           05 WS-7510-INPUT-CROP-CD          PIC 9(04) VALUE ZEROS.
           05 WS-7510-INPUT-INSURANCE-PLAN   PIC 9(02) VALUE ZEROS.
           05 WS-7510-INPUT-TYPE-CD          PIC 9(03) VALUE ZEROS.
           05 WS-7510-INPUT-PRACTICE-CD.
              10 WS-7510-INPUT-PRACTICE-POS1    PIC X(01) VALUE SPACES.
              10 WS-7510-INPUT-PRACTICE-POS2-3  PIC X(02) VALUE SPACES.


      *****************************************************
      *               OUTPUT FIELDS                       *
      *****************************************************

       01 WS-7510-FOUND-FLG              PIC X(01).
          88 MATCH-FOUND-7510                VALUE 'Y'.

       01 WS-7510-KEY-USED               PIC X(01).
          88 FULL-KEY-7510                   VALUE 'F'.
          88 PARTIAL-KEY-75101                VALUE 'P'.
          88 TINY-KEY-7510                   VALUE 'T'.

       01 WS-7510-INPUT-ERROR            PIC X(01).
          88 INPUT-ERROR-7510               VALUE 'Y'.

       01 WS-7510-ADM2-REC.
          10 WS-7510-ADM2-KEY.
             15 WS-7510-RECORD-TYPE-CD         PIC X(01).
             15 WS-7510-RECORD-TYPE-SFX        PIC X(01).
             15 WS-7510-CROP-YEAR              PIC 9(02).
             15 WS-7510-STATE-CD               PIC 9(02).
             15 WS-7510-COUNTY-CD              PIC 9(03).
             15 WS-7510-CROP-CD                PIC 9(04).
             15 WS-7510-INSURANCE-PLAN-ID      PIC 9(02).
             15 WS-7510-TYPE-CD                PIC 9(03).
             15 WS-7510-PRACTICE-CD            PIC X(03).
          10 WS-7510-ADM2-DATA.
             15 WS-7510-CERTIFIED-SEED-PRICE   PIC 9(02)V9(02).
             15 WS-7510-ALLOWABLE-COST REDEFINES
                WS-7510-CERTIFIED-SEED-PRICE   PIC 9(02)V9(02).
             15 WS-7510-PERCENT-SUCROSE REDEFINES
                WS-7510-CERTIFIED-SEED-PRICE   PIC 9(02)V9(02).
             15 WS-7510-CTREE-MIN-DATA
                REDEFINES WS-7510-CERTIFIED-SEED-PRICE.
                20 FILLER                         PIC X(01).
                20 WS-7510-CTREE-MIN-PCT          PIC 9(01)V9(02).
             15 WS-7510-YIELD-FLG              PIC X(02).
             15 WS-7510-MAP-FLG                PIC 9(01).
             15 WS-7510-PROD-PREM-PCT-TBL-NUM  PIC X(04).
             15 WS-7510-COVERAGE-LVL1          PIC 9(02).
             15 WS-7510-RATE-DIFFERENTIAL1     PIC 9(01)V9(02).
             15 WS-7510-COVERAGE-LVL2          PIC 9(02).
             15 WS-7510-RATE-DIFFERENTIAL2     PIC 9(01)V9(02).
             15 WS-7510-COVERAGE-LVL3          PIC 9(02).
             15 WS-7510-RATE-DIFFERENTIAL3     PIC 9(01)V9(02).
             15 WS-7510-COVERAGE-LVL4          PIC 9(02).
             15 WS-7510-RATE-DIFFERENTIAL4     PIC 9(01)V9(02).
             15 WS-7510-COVERAGE-LVL5          PIC 9(02).
             15 WS-7510-RATE-DIFFERENTIAL5     PIC 9(01)V9(02).
             15 WS-7510-COVERAGE-LVL6          PIC 9(02).
             15 WS-7510-RATE-DIFFERENTIAL6     PIC 9(01)V9(02).
             15 WS-7510-COVERAGE-LVL7          PIC 9(02).
             15 WS-7510-RATE-DIFFERENTIAL7     PIC 9(01)V9(02).
             15 WS-7510-COVERAGE-LVL8          PIC 9(02).
             15 WS-7510-RATE-DIFFERENTIAL8     PIC 9(01)V9(02).
             15 WS-7510-COVERAGE-LVL9          PIC 9(02).
             15 WS-7510-RATE-DIFFERENTIAL9     PIC 9(01)V9(02).
             15 WS-7510-COVERAGE-LVL10         PIC 9(02).
             15 WS-7510-RATE-DIFFERENTIAL10    PIC 9(01)V9(02).
             15 WS-7510-COVERAGE-LVL11         PIC 9(02).
             15 WS-7510-RATE-DIFFERENTIAL11    PIC 9(01)V9(02).
             15 WS-7510-COVERAGE-LVL12         PIC 9(02).
             15 WS-7510-RATE-DIFFERENTIAL12    PIC 9(01)V9(02).
             15 WS-7510-COVERAGE-LVL13         PIC 9(02).
             15 WS-7510-RATE-DIFFERENTIAL13    PIC 9(01)V9(02).
             15 WS-7510-COVERAGE-LVL14         PIC 9(02).
             15 WS-7510-RATE-DIFFERENTIAL14    PIC 9(01)V9(02).
             15 WS-7510-COVERAGE-LVL15         PIC 9(02).
             15 WS-7510-RATE-DIFFERENTIAL15    PIC 9(01)V9(02).
             15 WS-7510-COVERAGE-LVL16         PIC 9(02).
             15 WS-7510-RATE-DIFFERENTIAL16    PIC 9(01)V9(02).
             15 WS-7510-CRC-APH-FLAG           PIC X(01).
             15 FILLER                         PIC X(44).
             15 WS-7510-DATE-LAST-RELEASED     PIC 9(06).
             15 WS-7510-DATE-LAST-UPDATED      PIC 9(06).
             15 WS-7510-DATE-FILED             PIC 9(06).

