      *******************************************************************
      *   File:    WS7520.CBL                                           *
      *   Author:  Mike Ray                                             *
      *   Date:    10/25/95                                             *
      *   Purpose:                                                      *
      *            Working storage for 7520-LOOKUP-ADM4                 *
      *            These working storage variables are used for         *
      *            lookup of records in the ADM Type 4 ISAM file        *
      *            This file contains:                                  *
      *                        PRICES                                   *
      *******************************************************************


      *****************************************************
      *               INPUT FIELDS                        *
      *****************************************************

       01 WS-7520-INPUT-KEY.
          05 FILLER                         PIC X(01) VALUE '4'.
          05 WS-7520-INPUT-CROP-YR          PIC 9(02) VALUE ZEROS.
          05 WS-7520-INPUT-STATE-CD         PIC 9(02) VALUE ZEROS.
          05 WS-7520-INPUT-COUNTY-CD        PIC 9(03) VALUE ZEROS.
          05 WS-7520-INPUT-CROP-CD          PIC 9(04) VALUE ZEROS.
          05 WS-7520-INPUT-INSURANCE-PLAN   PIC 9(02) VALUE ZEROS.
          05 WS-7520-INPUT-PRACTICE-CD.
             10 WS-7520-INPUT-PRACTICE-POS1    PIC X(01) VALUE SPACES.
             10 WS-7520-INPUT-PRACTICE-POS2-3  PIC X(02) VALUE SPACES.
          05 WS-7520-INPUT-TYPE-CD          PIC 9(03) VALUE ZEROS.
          05 WS-7520-INPUT-INDEX            PIC 9(03) VALUE ZEROS.
      *      INDEX LOOKUP VALUES:
      *        GRAPES (053)
      *            CALIFORNIA CRUSH DISTRICTS
      *            001-017


      *****************************************************
      *                WORK FIELDS                        *
      *****************************************************
       01 WS-7520-WORK.
          05 WS-7520-PRICE-DISPLAY-X        PIC ZZZZ9.99.

      *****************************************************
      *               OUTPUT FIELDS                       *
      *****************************************************

       01 WS-7520-FOUND-FLG              PIC X(01).
          88 MATCH-FOUND-7520                VALUE 'Y'.

       01 WS-7520-INPUT-ERROR            PIC X(01).
          88 INPUT-ERROR-7520               VALUE 'Y'.

       01 WS-7520-ADM4-REC.
          10 WS-7520-ADM4-KEY.
             15 WS-7520-RECORD-TYPE-CD         PIC X(01).
             15 WS-7520-CROP-YEAR              PIC 9(02).
             15 WS-7520-STATE-CD               PIC 9(02).
             15 WS-7520-COUNTY-CD              PIC 9(03).
             15 WS-7520-CROP-CD                PIC 9(04).
             15 WS-7520-INSURANCE-PLAN-ID      PIC 9(02).
             15 WS-7520-PRACTICE-CD            PIC X(03).
             15 WS-7520-TYPE-CD                PIC 9(03).
             15 WS-7520-INDEX                  PIC 9(03).
          10 WS-7520-ADM4-DATA.
             15 WS-7520-RECORD-TYPE-SFX        PIC X(01).
             15 WS-7520-CAT-PRICE              PIC 9(05)V9(02).
             15 WS-7520-ESTABLISHED-HIGH-PRICE PIC 9(05)V9(02).
             15 WS-7520-MARKET-PRICE           PIC 9(05)V9(02).
             15 WS-7520-QUOTA-PRICE            PIC 9(05)V9(02).
             15 WS-7520-NON-QUOTA-PRICE        PIC 9(05)V9(02).
             15 WS-7520-SUPPORT-PRICE          PIC 9(05)V9(02).
             15 WS-7520-SEASON-AVERAGE-PRICE   PIC 9(05)V9(02).
             15 WS-7520-PRE-SALES-PRICE        PIC 9(05)V9(02).
             15 WS-7520-HARVEST-PRICE          PIC 9(05)V9(02).
             15 WS-7520-SPRING-MARKET-PRICE    PIC 9(05)V9(02).
             15 WS-7520-HARVEST-MARKET-PRICE   PIC 9(05)V9(02).
             15 WS-7520-CONTRACT-PRICE-CODE    PIC X(02).
             15 WS-7520-PROJ-HARVEST-PRICE     PIC 9(05)V9(02).
             15 WS-7520-COUNTY-HARVEST-PRICE   PIC 9(05)V9(02).
             15 WS-7520-CRC-APH-FLAG           PIC X(01).
             15 FILLER                         PIC X(39).
             15 WS-7520-DATE-LAST-RELEASED     PIC 9(06).
             15 WS-7520-DATE-LAST-UPDATED      PIC 9(06).
             15 WS-7520-DATE-FILED             PIC 9(06).

