      *******************************************************************
      *   File:    WS7530.CBL                                           *
      *   Author:  Mike Ray                                             *
      *   Date:    10/25/95                                             *
      *   Purpose:                                                      *
      *            Working storage for 7530-LOOKUP-ADMM                 *
      *            These working storage variables are used for         *
      *            lookup of records in the ADM Type M ISAM file        *
      *            This file contains:                                  *
      *                        MAP FACTOR DATA                          *
      *******************************************************************


      *****************************************************
      *               INPUT FIELDS                        *
      *****************************************************

       01 WS-7530-INPUT-KEY.
          05 FILLER                         PIC X(01) VALUE 'M'.
          05 WS-7530-INPUT-SUFFIX           PIC X(01) VALUE SPACES.
          05 WS-7530-INPUT-CROP-YR          PIC 9(02) VALUE ZEROS.
          05 WS-7530-INPUT-STATE-CD         PIC 9(02) VALUE ZEROS.
          05 WS-7530-INPUT-COUNTY-CD        PIC 9(03) VALUE ZEROS.
          05 WS-7530-INPUT-CROP-CD          PIC 9(04) VALUE ZEROS.
          05 WS-7530-INPUT-INSURANCE-PLAN   PIC 9(02) VALUE ZEROS.
          05 WS-7530-INPUT-PRACTICE-CD.
             10 WS-7530-INPUT-PRACTICE-POS1    PIC X(01) VALUE SPACES.
             10 WS-7530-INPUT-PRACTICE-POS2-3  PIC X(02) VALUE SPACES.
          05 WS-7530-INPUT-MAP-AREA         PIC X(03) VALUE SPACES.

      *****************************************************
      *               OUTPUT FIELDS                       *
      *****************************************************

       01 WS-7530-FOUND-FLG              PIC X(01).
          88 MATCH-FOUND-7530                VALUE 'Y'.

       01 WS-7530-INPUT-ERROR            PIC X(01).
          88 INPUT-ERROR-7530               VALUE 'Y'.

       01 WS-7530-ADMM-REC.
          10 WS-7530-ADMM-KEY.
             15 WS-7530-RECORD-TYPE-CD         PIC X(01).
             15 WS-7530-RECORD-TYPE-SFX        PIC X(01).
             15 WS-7530-CROP-YEAR              PIC 9(02).
             15 WS-7530-STATE-CD               PIC 9(02).
             15 WS-7530-COUNTY-CD              PIC 9(03).
             15 WS-7530-CROP-CD                PIC 9(04).
             15 WS-7530-INSURANCE-PLAN-ID      PIC 9(02).
             15 WS-7530-PRACTICE-CD            PIC X(03).
             15 WS-7530-MAP-AREA               PIC X(03).
          10 WS-7530-ADMM-DATA.
             15 WS-7530-MAP-FACTOR             PIC 9(02)V9(03).
             15 FILLER                         PIC X(131).
             15 WS-7530-DATE-LAST-RELEASED     PIC 9(06).
             15 WS-7530-DATE-LAST-UPDATED      PIC 9(06).
             15 WS-7530-DATE-FILED             PIC 9(06).

