      *******************************************************************
      *   File:    WS7540.CBL                                           *
      *   AUTHOR:  YO-I TSUI                                            *
      *   DATE:    12/26/95                                             *
      *   PURPOSE:                                                      *
      *            WORKING STORAGE FOR 7540-LOOKUP-ADMR                 *
      *            THESE WORKING STORAGE VARIABLES ARE USED FOR         *
      *            LOOKUP OF RECORDS IN THE ADM TYPE R ISAM FILE        *
      *            THIS FILE CONTAINS:                                  *
      *                      RATE CLASS OPTION DATA                     *
      *            FOR ALL CROPS EXCEPT GROUP RISK PLAN (GRP) CROPS.    *
      *******************************************************************


      *****************************************************
      *               INPUT FIELDS                        *
      *****************************************************

       01 WS-7540-INPUT-KEY.
           05 FILLER                         PIC X(01) VALUE 'R'.
           05 WS-7540-INPUT-RECORD-SFX       PIC X(01) VALUE SPACES.
           05 WS-7540-INPUT-CROP-YR          PIC 9(02) VALUE ZEROS.
           05 WS-7540-INPUT-STATE-CD         PIC 9(02) VALUE ZEROS.
           05 WS-7540-INPUT-COUNTY-CD        PIC 9(03) VALUE ZEROS.
           05 WS-7540-INPUT-CROP-CD          PIC 9(04) VALUE ZEROS.
           05 WS-7540-INPUT-INSURANCE-PLAN   PIC 9(02) VALUE ZEROS.
           05 WS-7540-INPUT-PRACTICE-CD.
              10 WS-7540-INPUT-PRACTICE-POS1    PIC X(01) VALUE SPACES.
              10 WS-7540-INPUT-PRACTICE-POS2-3  PIC X(02) VALUE SPACES.
           05 WS-7540-INPUT-TYPE-CD          PIC 9(03) VALUE ZEROS.
           05 WS-7540-INPUT-OPTION-CD        PIC X(08) VALUE SPACES.
           05 WS-7540-INPUT-RATE-CLASS       PIC X(03) VALUE SPACES.

      *****************************************************
      *               OUTPUT FIELDS                       *
      *****************************************************

       01 WS-7540-FOUND-FLG              PIC X(01).
          88 MATCH-FOUND-7540                VALUE 'Y'.

       01 WS-7540-INPUT-ERROR            PIC X(01).
          88 INPUT-ERROR-7540               VALUE 'Y'.

       01 WS-7540-ADMR-REC.
          10 WS-7540-ADMR-KEY.
             15 WS-7540-RECORD-TYPE-CD         PIC X(01).
             15 WS-7540-RECORD-TYPE-SFX        PIC X(01).
             15 WS-7540-CROP-YEAR              PIC 9(02).
             15 WS-7540-STATE-CD               PIC 9(02).
             15 WS-7540-COUNTY-CD              PIC 9(03).
             15 WS-7540-CROP-CD                PIC 9(04).
             15 WS-7540-INSURANCE-PLAN-ID      PIC 9(02).
             15 WS-7540-PRACTICE-CD            PIC X(03).
             15 WS-7540-TYPE-CD                PIC 9(03).
             15 WS-7540-OPTION-CD              PIC X(08).
             15 WS-7540-RATE-CLASS             PIC X(03).
          10 WS-7540-ADMR-DATA.
             15 WS-7540-RATE-CLASS-OPT-FACTOR  PIC 9(01)V9(03).
             15 WS-7540-RATE-CLASS-OPT-NAME    PIC X(26).
             15 FILLER                         PIC X(95).
             15 WS-7540-DATE-LAST-RELEASED     PIC 9(06).
             15 WS-7540-DATE-LAST-UPDATED      PIC 9(06).
             15 WS-7540-DATE-FILED             PIC 9(06).

