      *******************************************************************
      *   File:    WS7560.CBL                                           *
      *   Author:  Laura Dittamo                                        *
      *   DATE:    1/25/96                                              *
      *   PURPOSE:                                                      *
      *            WORKING STORAGE FOR 7560-LOOKUP-TYPE14DATES          *
      *            THESE WORKING STORAGE VARIABLES ARE USED FOR         *
      *            LOOKUP OF RECORDS IN THE TYPE 14 DATES ISAM FILE     *
      *            THIS FILE CONTAINS DATE AND ASSIGNED RISK            *
      *            INFORMATION FOR TYPE 14 RECORDS.                     *
      *******************************************************************

      *****************************************************
      *               INPUT FIELDS                        *
      *****************************************************

       01 WS-7560-INPUT-KEY.
          05 WS-7560-INPUT-REPORTING-ORG    PIC X(02) VALUE SPACES.
          05 WS-7560-INPUT-LOC-STATE        PIC 9(02) VALUE ZEROS.
          05 WS-7560-INPUT-COMPANY-COUNTY   PIC 9(03) VALUE ZEROS.
          05 WS-7560-INPUT-POLICY-NUM       PIC 9(07) VALUE ZEROS.
          05 WS-7560-INPUT-CROP-YEAR        PIC 9(04) VALUE ZEROS.
          05 WS-7560-INPUT-LOC-COUNTY       PIC 9(03) VALUE ZEROS.
          05 WS-7560-INPUT-CROP-CD          PIC 9(04) VALUE ZEROS.
          05 WS-7560-INPUT-INSURANCE-PLAN   PIC 9(02) VALUE ZEROS.
          05 WS-7560-INPUT-CROP-POLICY-TYPE PIC X(04) VALUE SPACES.
          05 WS-7560-INPUT-DUAL-CVG-FLG     PIC 9(01) VALUE ZEROS.

       01 WS-7560-INPUT-DUAL-CVG-FLG-CHG.
          05 WS-7560-INPUT-DUAL-CVG-FLG-HLD PIC 9(01) VALUE ZEROS.
          05 WS-7560-DUAL-LAST-DATE-CHANGE  PIC 9(08) VALUE ZEROS.
          05 WS-7560-DUAL-BATCH-NUM-CHANGE  PIC 9(08) VALUE ZEROS.
          05 WS-7560-DUAL-TRANS-SEQ-CHANGE  PIC 9(08) VALUE ZEROS.

      *****************************************************
      *               OUTPUT FIELDS                       *
      *****************************************************

       01 WS-7560-FOUND-FLG                 PIC X(01).
          88 MATCH-FOUND-7560                         VALUE 'Y'.

       01 WS-7560-INPUT-ERROR               PIC X(01).
          88 INPUT-ERROR-7560                         VALUE 'Y'.

       01 WS-7560-TYPE-14-DATES-REC.
          10 WS-7560-TYPE-14-DATES-KEY.
             15 WS-7560-REPORTING-ORG          PIC X(02).
             15 WS-7560-LOC-STATE              PIC 9(02).
             15 WS-7560-COMPANY-COUNTY         PIC 9(03).
             15 WS-7560-POLICY-NUM             PIC 9(07).
             15 WS-7560-CROP-YEAR              PIC 9(04).
             15 WS-7560-LOC-COUNTY             PIC 9(03).
             15 WS-7560-CROP-CD                PIC 9(04).
             15 WS-7560-INSURANCE-PLAN-ID      PIC 9(02).
             15 WS-7560-CROP-POLICY-TYPE       PIC X(04).
             15 WS-7560-DUAL-CVG-FLG           PIC 9(01).
          10 WS-7560-TYPE-14-DATES-DATA.
             15 WS-7560-ASSIGNED-RISK          PIC 9(01).
             15 WS-7560-ORIG-SUB-DATE          PIC 9(08).
             15 WS-7560-ORIG-SUB-TIME          PIC 9(06).
             15 WS-7560-ORIG-SUB-BATCH-NUM     PIC 9(08).
             15 WS-7560-ORIG-SUB-TRANS-SEQ-NUM PIC 9(08).
             15 WS-7560-ASGD-RISK-CUTOFF-DATE  PIC 9(08).
             15 WS-7560-LAST-CHANGE-DATE       PIC 9(08).
             15 WS-7560-CHANGE-BATCH-NUM       PIC 9(08).
             15 WS-7560-CHANGE-TRANS-SEQ-NUM   PIC 9(08).
             15 WS-7560-ACCEPTED-DATE          PIC 9(08).
             15 WS-7560-ACCEPTED-TIME          PIC 9(06).
             15 WS-7560-ACCEPTED-BATCH-NUM     PIC 9(08).
             15 WS-7560-ACCEPTED-TRANS-SEQ-NUM PIC 9(08).
             15 WS-7560-OVERRIDE-APPROVAL-CD   PIC X(03).
             15 WS-7560-OVERRIDE-USER-ID       PIC X(09).
             15 WS-7560-OVERRIDE-DATE          PIC 9(08).

