      *******************************************************************
      *   File:    WS7565.CBL                                           *
      *   Author:  Laura Dittamo                                        *
      *   Date:    1/25/96                                              *
      *   Purpose:                                                      *
      *            Working storage for 7565-LOOKUP-TYPE11DATES          *
      *            These working storage variables are used for         *
      *            lookup of records in the Type 11 Dates ISAM file     *
      *            This file contains elapsed and reduction             *
      *            weeks for Type 11 records.                           *
      *******************************************************************


      *****************************************************
      *               INPUT FIELDS                        *
      *****************************************************

       01 WS-7565-INPUT-KEY.
          05 WS-7565-INPUT-REPORTING-ORG    PIC X(02) VALUE SPACES.
          05 WS-7565-INPUT-rate-STATE       PIC 9(02) VALUE ZEROS.
          05 WS-7565-INPUT-COMPANY-COUNTY   PIC 9(03) VALUE ZEROS.
          05 WS-7565-INPUT-POLICY-NUM       PIC 9(07) VALUE ZEROS.
          05 WS-7565-INPUT-CROP-YEAR        PIC 9(04) VALUE ZEROS.
          05 WS-7565-INPUT-RATE-COUNTY      PIC 9(03) VALUE ZEROS.
          05 WS-7565-INPUT-CROP-CD          PIC 9(04) VALUE ZEROS.
          05 WS-7565-INPUT-INSURANCE-PLAN   PIC 9(02) VALUE ZEROS.
          05 WS-7565-INPUT-SEED-CYCLE       PIC X(01) VALUE SPACES.


      *****************************************************
      *               OUTPUT FIELDS                       *
      *****************************************************

       01 WS-7565-FOUND-FLG              PIC X(01).
           88 MATCH-FOUND-7565            VALUE 'Y'.

       01 WS-7565-INPUT-ERROR            PIC X(01).
          88 INPUT-ERROR-7565               VALUE 'Y'.

       01 WS-7565-TYPE-11-DATES-REC.
          10 WS-7565-TYPE-11-DATES-KEY.
             15 WS-7565-REPORTING-ORG          PIC X(02).
             15 WS-7565-LOC-STATE              PIC 9(02).
             15 WS-7565-COMPANY-COUNTY         PIC 9(03).
             15 WS-7565-POLICY-NUM             PIC 9(07).
             15 WS-7565-CROP-YEAR              PIC 9(04).
             15 WS-7565-RATE-COUNTY            PIC 9(03).
             15 WS-7565-CROP-CD                PIC 9(04).
             15 WS-7565-INSURANCE-PLAN-ID      PIC 9(02).
             15 WS-7565-SEED-CYCLE             PIC X(01).
          10 WS-7565-TYPE-11-DATES-DATA.
             15 WS-7565-LATE-FILED-DATE        PIC 9(08).
             15 WS-7565-REDUCTION-WEEKS        PIC 9(02).
             15 WS-7565-ORIG-SUB-DATE          PIC 9(08).
             15 WS-7565-ORIG-SUB-BATCH-NUM     PIC 9(08).
             15 WS-7565-ORIG-SUB-TRANS-SEQ-NUM PIC 9(08).
             15 WS-7565-ACREAGE-RPT-DATE       PIC 9(08).
             15 WS-7565-ACCEPTED-DATE          PIC 9(08).
             15 WS-7565-ACCEPTED-TIME          PIC 9(06).
             15 WS-7565-ACCEPTED-BATCH-NUM     PIC 9(08).
             15 WS-7565-ACCEPTED-TRANS-SEQ-NUM PIC 9(08).
             15 WS-7565-OVERRIDE-APPROVAL-CD   PIC X(03).
             15 WS-7565-OVERRIDE-USER-ID       PIC X(09).
             15 WS-7565-OVERRIDE-DATE          PIC 9(08).

