      *******************************************************************
      *   File:    WS7570.CBL                                           *
      *   Author:  Mike Ray                                             *
      *   Date:    07/01/97                                             *
      *   Purpose: Working storage for 7570-LOOKUP-ADMIR                *
      *******************************************************************


      *****************************************************
      *               INPUT FIELDS                        *
      *****************************************************

       01 WS-7570-INPUT-KEY.
           05 FILLER                         PIC X(01) VALUE 'I'.
           05 FILLER                         PIC X(01) VALUE 'R'.
           05 WS-7570-INPUT-CROP-YR          PIC 9(02) VALUE ZEROS.
           05 WS-7570-INPUT-STATE-CD         PIC 9(02) VALUE ZEROS.
           05 WS-7570-INPUT-COUNTY-CD        PIC 9(03) VALUE ZEROS.
           05 WS-7570-INPUT-CROP-CD          PIC 9(04) VALUE ZEROS.
           05 WS-7570-INPUT-INSURANCE-PLAN   PIC 9(02) VALUE ZEROS.
           05 WS-7570-INPUT-PRACTICE-CD.
              10 WS-7570-INPUT-PRACTICE-POS1    PIC X(01) VALUE SPACES.
              10 WS-7570-INPUT-PRACTICE-POS2-3  PIC X(02) VALUE SPACES.
           05 WS-7570-INPUT-TYPE-CD          PIC 9(03) VALUE ZEROS.
           05 WS-7570-INPUT-RATE-CLASS       PIC X(03) VALUE SPACES.

      *****************************************************
      *               WORK/DISPLAY FIELDS                 *
      *****************************************************
       01 WS-7570-WORK.
          05 WS-7570-BASE-PREMIUM-RATE-X    PIC 9.999.

      *****************************************************
      *               OUTPUT FIELDS                       *
      *****************************************************
       01 WS-7570-FOUND-FLG              PIC X(01).
          88 MATCH-FOUND-7570                VALUE 'Y'.

       01 WS-7570-INPUT-ERROR            PIC X(01).
          88 INPUT-ERROR-7570               VALUE 'Y'.

       01 WS-7570-ADMIR-REC.
          10 WS-7570-ADMIR-KEY.
             15 WS-7570-RECORD-TYPE-CD         PIC X(01).
             15 WS-7570-RECORD-TYPE-SFX        PIC X(01).
             15 WS-7570-CROP-YEAR              PIC 9(02).
             15 WS-7570-STATE-CD               PIC 9(02).
             15 WS-7570-COUNTY-CD              PIC 9(03).
             15 WS-7570-CROP-CD                PIC 9(04).
             15 WS-7570-INSURANCE-PLAN-ID      PIC 9(02).
             15 WS-7570-PRACTICE-CD            PIC X(03).
             15 WS-7570-TYPE-CD                PIC 9(03).
             15 WS-7570-RATE-CLASS             PIC X(03).
          10 WS-7570-ADMIR-DATA.
             15 WS-7570-LOW-FARM-YIELD         PIC 9(07).
             15 WS-7570-HIGH-FARM-YIELD        PIC 9(07).
             15 WS-7570-LOW-COUNTY-YIELD       PIC 9(07).
             15 WS-7570-HIGH-COUNTY-YIELD      PIC 9(07).
             15 WS-7570-COVERAGE-LVL-01        PIC 9(02).
             15 WS-7570-BASE-PREMIUM-RATE-01   PIC 9(01)V9(03).
             15 WS-7570-COVERAGE-LVL-02        PIC 9(02).
             15 WS-7570-BASE-PREMIUM-RATE-02   PIC 9(01)V9(03).
             15 WS-7570-COVERAGE-LVL-03        PIC 9(02).
             15 WS-7570-BASE-PREMIUM-RATE-03   PIC 9(01)V9(03).
             15 WS-7570-COVERAGE-LVL-04        PIC 9(02).
             15 WS-7570-BASE-PREMIUM-RATE-04   PIC 9(01)V9(03).
             15 WS-7570-COVERAGE-LVL-05        PIC 9(02).
             15 WS-7570-BASE-PREMIUM-RATE-05   PIC 9(01)V9(03).
             15 WS-7570-COVERAGE-LVL-06        PIC 9(02).
             15 WS-7570-BASE-PREMIUM-RATE-06   PIC 9(01)V9(03).
             15 WS-7570-COVERAGE-LVL-07        PIC 9(02).
             15 WS-7570-BASE-PREMIUM-RATE-07   PIC 9(01)V9(03).
             15 WS-7570-COVERAGE-LVL-08        PIC 9(02).
             15 WS-7570-BASE-PREMIUM-RATE-08   PIC 9(01)V9(03).
             15 WS-7570-COVERAGE-LVL-09        PIC 9(02).
             15 WS-7570-BASE-PREMIUM-RATE-09   PIC 9(01)V9(03).
             15 WS-7570-COVERAGE-LVL-10        PIC 9(02).
             15 WS-7570-BASE-PREMIUM-RATE-10   PIC 9(01)V9(03).
             15 WS-7570-COVERAGE-LVL-11        PIC 9(02).
             15 WS-7570-BASE-PREMIUM-RATE-11   PIC 9(01)V9(03).
             15 WS-7570-COVERAGE-LVL-12        PIC 9(02).
             15 WS-7570-BASE-PREMIUM-RATE-12   PIC 9(01)V9(03).
             15 WS-7570-COVERAGE-LVL-13        PIC 9(02).
             15 WS-7570-BASE-PREMIUM-RATE-13   PIC 9(01)V9(03).
             15 WS-7570-COVERAGE-LVL-14        PIC 9(02).
             15 WS-7570-BASE-PREMIUM-RATE-14   PIC 9(01)V9(03).
             15 WS-7570-COVERAGE-LVL-15        PIC 9(02).
             15 WS-7570-BASE-PREMIUM-RATE-15   PIC 9(01)V9(03).
             15 WS-7570-COVERAGE-LVL-16        PIC 9(02).
             15 WS-7570-BASE-PREMIUM-RATE-16   PIC 9(01)V9(03).
             15 WS-7570-BIG-FILLER             PIC X(09).
             15 WS-7570-DATE-LAST-RELEASED     PIC 9(06).
             15 WS-7570-DATE-LAST-UPDATED      PIC 9(06).
             15 WS-7570-DATE-FILED             PIC 9(06).

