      *******************************************************************
      *   File:    WS7575.CBL                                           *
      *   Author:  Mike Ray                                             *
      *   Date:    12/04/96                                             *
      *   Purpose:                                                      *
      *            Working storage for 7575-LOOKUP-ADMC                 *
      *            These working storage variables are used for         *
      *            lookup of records in the ADM Type C ISAM file        *
      *            This file contains:                                  *
      *                   CRC RATE FACTORS                              *
      *******************************************************************


      *****************************************************
      *               INPUT FIELDS                        *
      *****************************************************

       01 WS-7575-INPUT-KEY.
          05 FILLER                         PIC X(01) VALUE 'C'.
          05 FILLER                         PIC X(01) VALUE SPACES.
          05 WS-7575-INPUT-CROP-YR          PIC 9(02) VALUE ZEROS.
          05 WS-7575-INPUT-STATE-CD         PIC 9(02) VALUE ZEROS.
          05 WS-7575-INPUT-COUNTY-CD        PIC 9(03) VALUE ZEROS.
          05 WS-7575-INPUT-CROP-CD          PIC 9(04) VALUE ZEROS.
          05 WS-7575-INPUT-INS-PLAN         PIC 9(02) VALUE ZEROS.
          05 WS-7575-INPUT-PRACTICE-CD.
             10 WS-7575-INPUT-PRACTICE-POS1    PIC X(01) VALUE SPACES.
             10 WS-7575-INPUT-PRACTICE-POS2-3  PIC X(02) VALUE SPACES.
          05 WS-7575-INPUT-TYPE-CD          PIC 9(03) VALUE ZEROS.
          05 WS-7575-INPUT-RATE-CLASS       PIC X(03) VALUE SPACES.


      *****************************************************
      *               OUTPUT FIELDS                       *
      *****************************************************

       01 WS-7575-FOUND-FLG              PIC X(01).
          88 MATCH-FOUND-7575                VALUE 'Y'.

       01 WS-7575-INPUT-ERROR            PIC X(01).
          88 INPUT-ERROR-7575               VALUE 'Y'.

       01 WS-7575-ADMC-REC.
          10 WS-7575-ADMC-KEY.
             15 WS-7575-RECORD-TYPE-CD         PIC X(01).
             15 WS-7575-RECORD-TYPE-SFX        PIC X(01).
             15 WS-7575-CROP-YEAR              PIC 9(02).
             15 WS-7575-STATE-CD               PIC 9(02).
             15 WS-7575-COUNTY-CD              PIC 9(03).
             15 WS-7575-CROP-CD                PIC 9(04).
             15 WS-7575-INS-PLAN-CD            PIC 9(02).
             15 WS-7575-PRACTICE-CD            PIC X(03).
             15 WS-7575-TYPE-CD                PIC 9(03).
             15 WS-7575-RATE-CLASS             PIC X(03).
          10 WS-7575-ADMC-DATA.
             15 WS-7575-LOW-PRICE-FACTOR       PIC 9(01)V9(03).
             15 WS-7575-HIGH-PRICE-FACTOR      PIC 9(01)V9(03).
             15 WS-7575-COVERAGE-LVL1          PIC 9(02).
             15 WS-7575-CRC-RATE-FACTOR1       PIC 9(01)V9(03).
             15 WS-7575-COVERAGE-LVL2          PIC 9(02).
             15 WS-7575-CRC-RATE-FACTOR2       PIC 9(01)V9(03).
             15 WS-7575-COVERAGE-LVL3          PIC 9(02).
             15 WS-7575-CRC-RATE-FACTOR3       PIC 9(01)V9(03).
             15 WS-7575-COVERAGE-LVL4          PIC 9(02).
             15 WS-7575-CRC-RATE-FACTOR4       PIC 9(01)V9(03).
             15 WS-7575-COVERAGE-LVL5          PIC 9(02).
             15 WS-7575-CRC-RATE-FACTOR5       PIC 9(01)V9(03).
             15 WS-7575-COVERAGE-LVL6          PIC 9(02).
             15 WS-7575-CRC-RATE-FACTOR6       PIC 9(01)V9(03).
             15 WS-7575-COVERAGE-LVL7          PIC 9(02).
             15 WS-7575-CRC-RATE-FACTOR7       PIC 9(01)V9(03).
             15 WS-7575-COVERAGE-LVL8          PIC 9(02).
             15 WS-7575-CRC-RATE-FACTOR8       PIC 9(01)V9(03).
             15 WS-7575-COVERAGE-LVL9          PIC 9(02).
             15 WS-7575-CRC-RATE-FACTOR9       PIC 9(01)V9(03).
             15 WS-7575-COVERAGE-LVL10         PIC 9(02).
             15 WS-7575-CRC-RATE-FACTOR10      PIC 9(01)V9(03).
             15 WS-7575-COVERAGE-LVL11         PIC 9(02).
             15 WS-7575-CRC-RATE-FACTOR11      PIC 9(01)V9(03).
             15 WS-7575-COVERAGE-LVL12         PIC 9(02).
             15 WS-7575-CRC-RATE-FACTOR12      PIC 9(01)V9(03).
             15 WS-7575-COVERAGE-LVL13         PIC 9(02).
             15 WS-7575-CRC-RATE-FACTOR13      PIC 9(01)V9(03).
             15 WS-7575-COVERAGE-LVL14         PIC 9(02).
             15 WS-7575-CRC-RATE-FACTOR14      PIC 9(01)V9(03).
             15 WS-7575-COVERAGE-LVL15         PIC 9(02).
             15 WS-7575-CRC-RATE-FACTOR15      PIC 9(01)V9(03).
             15 WS-7575-COVERAGE-LVL16         PIC 9(02).
             15 WS-7575-CRC-RATE-FACTOR16      PIC 9(01)V9(03).
             15 FILLER                         PIC X(29).
             15 WS-7575-DATE-LAST-RELEASED     PIC 9(06).
             15 WS-7575-DATE-LAST-UPDATED      PIC 9(06).
             15 WS-7575-DATE-FILED             PIC 9(06).

