      *******************************************************************
      *   File:    WS7585.CBL                                           *
      *   Author:  Mike Ray                                             *
      *   Date:    01/28/97                                             *
      *   Purpose:                                                      *
      *            Working storage for 7585-LOOKUP-ADMVC                *
      *            These working storage variables are used for         *
      *            lookup of records in the ADM Type VC ISAM file       *
      *            This file contains:                                  *
      *                   RA COUNTY DATA                                *
      *******************************************************************


      *****************************************************
      *               INPUT FIELDS                        *
      *****************************************************

       01 WS-7585-INPUT-KEY.
           05 FILLER                         PIC X(01) VALUE 'V'.
           05 FILLER                         PIC X(01) VALUE 'C'.
           05 WS-7585-INPUT-CROP-YR          PIC 9(02) VALUE ZEROS.
           05 WS-7585-INPUT-STATE-CD         PIC 9(02) VALUE ZEROS.
           05 WS-7585-INPUT-COUNTY-CD        PIC 9(03) VALUE ZEROS.
           05 WS-7585-INPUT-CROP-CD          PIC 9(04) VALUE ZEROS.
           05 WS-7585-INPUT-INS-PLAN         PIC 9(02) VALUE ZEROS.


      *****************************************************
      *               LOCAL FIELDS                        *
      *****************************************************
       01  WS-7585-DISPLAY-FIELDS.
           05 WS-7585-AVERAGE-YIELD-X          PIC ZZZZ9.99.
           05 WS-7585-YIELD-STD-DEVIATION-X    PIC ZZZZ9.99.
           05 WS-7585-PRICE-ADJ-FACTOR-X       PIC 9.99.
           05 WS-7585-PREV-PLANTING-FACTOR-X   PIC 9.99999.
           05 WS-7585-LOCAL-PRICE-VOL-FCTR-X   PIC 9.99999.

      *****************************************************
      *               OUTPUT FIELDS                       *
      *****************************************************

       01 WS-7585-FOUND-FLG              PIC X(01).
          88 MATCH-FOUND-7585                VALUE 'Y'.

       01 WS-7585-INPUT-ERROR            PIC X(01).
          88 INPUT-ERROR-7585               VALUE 'Y'.

       01 WS-7585-ADMVC-REC.
          10 WS-7585-ADMVC-KEY.
             15 WS-7585-RECORD-TYPE-CD         PIC X(01).
             15 WS-7585-RECORD-TYPE-SFX        PIC X(01).
             15 WS-7585-CROP-YEAR              PIC 9(02).
             15 WS-7585-STATE-CD               PIC 9(02).
             15 WS-7585-COUNTY-CD              PIC 9(03).
             15 WS-7585-CROP-CD                PIC 9(04).
             15 WS-7585-INS-PLAN-CD            PIC 9(02).
          10 WS-7585-ADMVC-DATA.
             15 WS-7585-AVERAGE-YIELD          PIC 9(05)V9(02).
             15 WS-7585-YIELD-STD-DEVIATION    PIC 9(05)V9(02).
             15 WS-7585-PRICE-ADJ-FACTOR       PIC 9(01)V9(02).
             15 WS-7585-PREV-PLANTING-FACTOR   PIC 9(01)V9(05).
             15 WS-7585-LOCAL-PRICE-VOL-FCTR   PIC 9(01)V9(05).
             15 FILLER                         PIC X(113).
             15 WS-7585-DATE-LAST-RELEASED     PIC 9(06).
             15 WS-7585-DATE-LAST-UPDATED      PIC 9(06).
             15 WS-7585-DATE-FILED             PIC 9(06).

