      *******************************************************************
      *   File:    WS7590.CBL                                           *
      *   Author:  Mike Ray                                             *
      *   Date:    01/28/97                                             *
      *   Purpose:                                                      *
      *            Working storage for 7590-LOOKUP-ADMVS                *
      *            These working storage variables are used for         *
      *            lookup of records in the ADM Type VS ISAM file       *
      *            This file contains:                                  *
      *                   RA STATE DATA                                 *
      *******************************************************************


      *****************************************************
      *               INPUT FIELDS                        *
      *****************************************************

       01 WS-7590-INPUT-KEY.
          05 FILLER                         PIC X(01) VALUE 'V'.
          05 FILLER                         PIC X(01) VALUE 'S'.
          05 WS-7590-INPUT-CROP-YR          PIC 9(02) VALUE ZEROS.
          05 WS-7590-INPUT-STATE-CD         PIC 9(02) VALUE ZEROS.
          05 WS-7590-INPUT-CROP-CD          PIC 9(04) VALUE ZEROS.
          05 WS-7590-INPUT-INS-PLAN         PIC 9(02) VALUE ZEROS.


      *****************************************************
      *               LOCAL FIELDS                        *
      *****************************************************
       01 WS-7590-DISPLAY-FIELDS.
          05 WS-7590-PRICE-VOL-FACTOR-X     PIC 9.999.
          05 WS-7590-OPT-UNIT-SURCHARGE-X   PIC 9.999.
          05 WS-7590-BETA-X                 PIC +9.99999.
          05 WS-7590-PP-X                   PIC +9.99999.

      *****************************************************
      *               OUTPUT FIELDS                       *
      *****************************************************

       01 WS-7590-FOUND-FLG              PIC X(01).
          88 MATCH-FOUND-7590                VALUE 'Y'.

       01 WS-7590-INPUT-ERROR            PIC X(01).
          88 INPUT-ERROR-7590               VALUE 'Y'.

       01 WS-7590-ADMVS-REC.
          10 WS-7590-ADMVS-KEY.
             15 WS-7590-RECORD-TYPE-CD         PIC X(01).
             15 WS-7590-RECORD-TYPE-SFX        PIC X(01).
             15 WS-7590-CROP-YEAR              PIC 9(02).
             15 WS-7590-STATE-CD               PIC 9(02).
             15 WS-7590-CROP-CD                PIC 9(04).
             15 WS-7590-INS-PLAN-CD            PIC 9(02).
          10 WS-7590-ADMVS-DATA.
             15 WS-7590-PRICE-VOL-FACTOR       PIC 9(01)V9(03).
             15 WS-7590-OPT-UNIT-SURCHARGE     PIC 9(01)V9(03).
             15 WS-7590-BETA1                  PIC S9(01)V9(05).
             15 WS-7590-BETA2                  PIC S9(01)V9(05).
             15 WS-7590-BETA3                  PIC S9(01)V9(05).
             15 WS-7590-BETA4                  PIC S9(01)V9(05).
             15 WS-7590-BETA5                  PIC S9(01)V9(05).
             15 WS-7590-BETA6                  PIC S9(01)V9(05).
             15 WS-7590-BETA7                  PIC S9(01)V9(05).
             15 WS-7590-BETA8                  PIC S9(01)V9(05).
             15 WS-7590-BETA9                  PIC S9(01)V9(05).
             15 WS-7590-BETA10                 PIC S9(01)V9(05).
             15 WS-7590-BETA11                 PIC S9(01)V9(05).
             15 WS-7590-BETA12                 PIC S9(01)V9(05).
             15 WS-7590-BETA13                 PIC S9(01)V9(05).
             15 WS-7590-BETA14                 PIC S9(01)V9(05).
             15 WS-7590-BETA15                 PIC S9(01)V9(05).
             15 WS-7590-BETA16                 PIC S9(01)V9(05).
             15 WS-7590-BETA17                 PIC S9(01)V9(05).
             15 WS-7590-BETA18                 PIC S9(01)V9(05).
             15 WS-7590-BETA19                 PIC S9(01)V9(05).
             15 WS-7590-BETA20                 PIC S9(01)V9(05).
             15 WS-7590-BETA21                 PIC S9(01)V9(05).
             15 WS-7590-PP1                    PIC S9(01)V9(05).
             15 WS-7590-PP2                    PIC S9(01)V9(05).
             15 WS-7590-PP3                    PIC S9(01)V9(05).
             15 FILLER                         PIC X(43).
             15 WS-7590-DATE-LAST-RELEASED     PIC 9(06).
             15 WS-7590-DATE-LAST-UPDATED      PIC 9(06).
             15 WS-7590-DATE-FILED             PIC 9(06).

