      ***************************************************************
      * File:      M0515.CBL
      * Author:    Mike Ray
      * Date:      01/11/96
      * Purpose:
      *    This paragraph validates a six position date field.
      ***************************************************************

       0515-VAL-DATE.

      $IF DEBUG-SW DEFINED
           DISPLAY '0515-VALIDATING DATE (YYMMDD)'
           UPON CONSOLE
      $END

      * INITIALIZE
           INITIALIZE WS-0515-RESULT-FLAG

      * CHECK PRECONDITIONS

           IF WS-0515-INPUT-DATE IS NOT NUMERIC
              MOVE 0515 TO WS-8020-PARAGRAPH-NO
              MOVE 90001 TO WS-8020-INT-ERROR-NO
              MOVE 'WS-0515-INPUT-DATE' TO WS-8020-FIELD-NAME
              MOVE WS-0515-INPUT-DATE TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF


           IF WS-0515-INPUT-DATE IS EQUAL ZEROS
              MOVE 0515 TO WS-8020-PARAGRAPH-NO
              MOVE 90003 TO WS-8020-INT-ERROR-NO
              MOVE 'WS-0515-INPUT-DATE' TO WS-8020-FIELD-NAME
              MOVE SPACES TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

      * EVALUATE MONTH AND DAY

      $IF DEBUG-SW DEFINED
           DISPLAY 'INPUT YEAR = ', WS-0515-INPUT-DT-YEAR
           UPON CONSOLE
           DISPLAY 'INPUT MNTH = ', WS-0515-INPUT-DT-MONTH
           UPON CONSOLE
           DISPLAY 'INPUT  DAY = ', WS-0515-INPUT-DT-DAY
           UPON CONSOLE
      $END

           MOVE 'V' TO WS-0515-RESULT-FLAG

      ***************************************************************
      *    THIS LOGIC SETS A RESULT CODE OF 'R' IF THE DATE IS IN   *
      *    MMDDYY FORMAT INSTEAD OF YYMMDD FORMAT.                  *
      ***************************************************************

           IF (WS-0515-INPUT-DT-DAY >= (WS-0004-SYS-YEAR - 1)) AND
              (WS-0515-INPUT-DT-DAY <= (WS-0004-SYS-YEAR + 1))
              IF (WS-0515-INPUT-DT-YEAR > 0)
                 AND (WS-0515-INPUT-DT-YEAR < 13)
                 MOVE WS-0515-INPUT-DT-YEAR TO WS-0520-INPUT-MONTH
                 MOVE WS-0515-INPUT-DT-DAY TO WS-0520-INPUT-YEAR
                 PERFORM 0520-GET-DAYS-IN-MONTH
                    THRU 0520-GET-DAYS-IN-MONTH-EXIT
                 IF WS-0515-INPUT-DT-MONTH <= WS-0520-DAYS-IN-MONTH
                    MOVE 'R' TO WS-0515-RESULT-FLAG
                    GO TO 0515-VAL-DATE-EXIT
                 END-IF
              END-IF
           END-IF

           IF (WS-0515-INPUT-DT-MONTH > 12) OR
              (WS-0515-INPUT-DT-MONTH < 1)
              MOVE 'M' TO WS-0515-RESULT-FLAG
              GO TO 0515-VAL-DATE-EXIT
           ELSE
              MOVE WS-0515-INPUT-DT-MONTH TO WS-0520-INPUT-MONTH
              MOVE WS-0515-INPUT-DT-YEAR TO WS-0520-INPUT-YEAR
              PERFORM 0520-GET-DAYS-IN-MONTH
                 THRU 0520-GET-DAYS-IN-MONTH-EXIT
           END-IF

           IF WS-0515-INPUT-DT-DAY IS LESS THAN 1 OR
              GREATER THAN WS-0520-DAYS-IN-MONTH
              MOVE 'D' TO WS-0515-RESULT-FLAG
           END-IF

      * INITIALIZE INPUT FIELDS
           INITIALIZE WS-0515-INPUT-DATE.

       0515-VAL-DATE-EXIT.
           EXIT.



