      ***************************************************************
      * File:      M0520.CBL
      * Author:    Mike Ray
      * Date:      10/02/95
      * Purpose:
      *    This paragraph returns the number of days in a month.
      ***************************************************************

       0520-GET-DAYS-IN-MONTH.


      $IF DEBUG-SW DEFINED
           DISPLAY '0520-GET DAYS IN MONTH'
           UPON CONSOLE
      $END

      * INITIALIZE
           INITIALIZE WS-0520-DAYS-IN-MONTH.

      * CHECK PRECONDITIONS

           IF WS-0520-INPUT-MONTH IS NOT NUMERIC
              MOVE 0520 TO WS-8020-PARAGRAPH-NO
              MOVE 90001 TO WS-8020-INT-ERROR-NO
              MOVE 'WS-0520-INPUT-MONTH' TO WS-8020-FIELD-NAME
              MOVE WS-0520-INPUT-MONTH TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF


           IF WS-0520-INPUT-MONTH IS EQUAL ZEROS
              MOVE 0520 TO WS-8020-PARAGRAPH-NO
              MOVE 90003 TO WS-8020-INT-ERROR-NO
              MOVE 'WS-0520-INPUT-MONTH' TO WS-8020-FIELD-NAME
              MOVE SPACES TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF


           IF WS-0520-INPUT-YEAR IS NOT NUMERIC
              MOVE 0520 TO WS-8020-PARAGRAPH-NO
              MOVE 90001 TO WS-8020-INT-ERROR-NO
              MOVE 'WS-0520-INPUT-YEAR' TO WS-8020-FIELD-NAME
              MOVE WS-0520-INPUT-YEAR TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF


           IF WS-0520-INPUT-YEAR IS EQUAL ZEROS
              MOVE 0520 TO WS-8020-PARAGRAPH-NO
              MOVE 90003 TO WS-8020-INT-ERROR-NO
              MOVE 'WS-0520-INPUT-YEAR' TO WS-8020-FIELD-NAME
              MOVE SPACES TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

      * EVALUATE MONTH AND DAY

           IF (WS-0520-INPUT-MONTH > 12)
               OR (WS-0520-INPUT-MONTH < 1)
              MOVE 0520 TO WS-8020-PARAGRAPH-NO
              MOVE 1080 TO WS-8020-INT-ERROR-NO
              MOVE 'WS-0520-INPUT-MONTH' TO WS-8020-FIELD-NAME
              MOVE SPACES TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF


           EVALUATE WS-0520-INPUT-MONTH
               WHEN 11
      *             30 DAYS HAS NOV
                    MOVE 30 TO WS-0520-DAYS-IN-MONTH
               WHEN 4
      *             APR
                    MOVE 30 TO WS-0520-DAYS-IN-MONTH
               WHEN 6
      *             JUN
                    MOVE 30 TO WS-0520-DAYS-IN-MONTH
               WHEN 9
      *             AND SEPT
                    MOVE 30 TO WS-0520-DAYS-IN-MONTH
               WHEN 2
      *             EXCEPT FEB

      *             DETERMINE IF LEAP YEAR
                    MOVE WS-0520-INPUT-YEAR TO WS-0525-INPUT-YEAR
                    PERFORM 0525-DETERMINE-IF-LEAP-YR
                       THRU 0525-DETERMINE-IF-LEAP-YR-EXIT
                    IF LEAP-YEAR-0525
                       MOVE 29 TO WS-0520-DAYS-IN-MONTH
                    ELSE
                       MOVE 28 TO WS-0520-DAYS-IN-MONTH
                    END-IF
               WHEN OTHER
      *             ALL THE REST HAVE 31
                    MOVE 31 TO WS-0520-DAYS-IN-MONTH
           END-EVALUATE


      * INITIALIZE INPUT FIELDS
           INITIALIZE WS-0520-INPUT-DATE.

       0520-GET-DAYS-IN-MONTH-EXIT.
           EXIT.


