      ***************************************************************
      * File:      M0525.CBL
      * Author:    Mike Ray
      * Date:      10/02/95
      * Purpose:
      *    This paragraph returns a flag indicating whether or not the
      *    input year is a leap year.
      ***************************************************************

       0525-DETERMINE-IF-LEAP-YR.

      * INITIALIZE
           INITIALIZE WS-0525-LEAP-YR-FLAG
           INITIALIZE WS-0525-LEAP-YEAR-FIELDS

      * CHECK PRECONDITIONS

           IF WS-0525-INPUT-YEAR IS NOT NUMERIC
              MOVE 0525 TO WS-8020-PARAGRAPH-NO
              MOVE 90001 TO WS-8020-INT-ERROR-NO
              MOVE 'WS-0525-INPUT-YEAR' TO WS-8020-FIELD-NAME
              MOVE WS-0525-INPUT-YEAR TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF


           IF WS-0525-INPUT-YEAR IS EQUAL ZEROS
              MOVE 0525 TO WS-8020-PARAGRAPH-NO
              MOVE 90003 TO WS-8020-INT-ERROR-NO
              MOVE 'WS-0525-INPUT-YEAR' TO WS-8020-FIELD-NAME
              MOVE SPACES TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF


      ************************************************
      *   EVERY LEAP YEAR IS EVENLY DIVISIBLE BY 4   *
      ************************************************
           DIVIDE 4 INTO WS-0525-INPUT-YEAR
               GIVING    WS-0525-QUOTIENT
               REMAINDER WS-0525-REMAINDER

           IF WS-0525-REMAINDER IS GREATER THAN ZERO
               MOVE WS-LITERAL-NO TO WS-0525-LEAP-YR-FLAG
           ELSE
               MOVE WS-LITERAL-YES TO WS-0525-LEAP-YR-FLAG
           END-IF


      ************************************************
      *   INITIALIZE INPUT FIELDS                    *
      ************************************************

           INITIALIZE WS-0525-INPUT-YEAR.


       0525-DETERMINE-IF-LEAP-YR-EXIT.
           EXIT.

