      ******************************************************
      * FILE:   M0530.CBL
      * AUTHOR: C.S. DAVIS
      * DATE:   10/3/95
      * PURPOSE:DATE ADDITION UTILITY
      *         THIS PARAGRAPH ADDS/SUBTRACTS ENTERED NUMBER
      *   OF DAYS TO A GIVEN DATE TO COME UP WITH A NEW DATE
      ******************************************************

       0530-ADD-DAYS-TO-DATE.

      $IF DEBUG-SW DEFINED
           DISPLAY '0530-ADDING DAYS TO DATE'
           UPON CONSOLE
      $END

      **********************************************************
      *    INITIALIZE VARIABLES                                *
      **********************************************************
           INITIALIZE WS-0530-OUTPUT-DATE
           INITIALIZE WS-0530-LOCAL-FIELDS

      **********************************************************
      *    CHECK FOR PRECONDITIONS                             *
      **********************************************************

           IF WS-0530-INPUT-DATE IS NOT NUMERIC
               MOVE 0530 TO WS-8020-PARAGRAPH-NO
               MOVE 90001 TO WS-8020-INT-ERROR-NO
               MOVE 'WS-0530-INPUT-DATE' TO WS-8020-FIELD-NAME
               MOVE WS-0530-INPUT-DATE TO WS-8020-BAD-DATA
               MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
               PERFORM 8020-RECORD-INT-ERROR
                  THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-0530-INPUT-DATE IS EQUAL TO ZEROS
              MOVE 0530 TO WS-8020-PARAGRAPH-NO
              MOVE 90003 TO WS-8020-INT-ERROR-NO
              MOVE 'WS-0530-INPUT-DATE' TO WS-8020-FIELD-NAME
              MOVE SPACES TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-0530-INPUT-DAYS-TO-ADD IS NOT NUMERIC
               MOVE 0530 TO WS-8020-PARAGRAPH-NO
               MOVE 90001 TO WS-8020-INT-ERROR-NO
               MOVE 'WS-0530-INPUT-DAYS-TO-ADD' TO WS-8020-FIELD-NAME
               MOVE WS-0530-INPUT-DAYS-TO-ADD TO WS-8020-BAD-DATA
               MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
               PERFORM 8020-RECORD-INT-ERROR
                  THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-0530-INPUT-DAYS-TO-ADD IS EQUAL TO ZEROS
              MOVE 0530 TO WS-8020-PARAGRAPH-NO
              MOVE 90003 TO WS-8020-INT-ERROR-NO
              MOVE 'WS-0530-INPUT-DAYS-TO-ADD' TO WS-8020-FIELD-NAME
              MOVE SPACES TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF


      **********************************************************
      *    CALCULATE NEW DATE                                  *
      **********************************************************

           MOVE WS-0530-INPUT-DAYS-TO-ADD TO WS-0530-DAYS-TO-ADD
           MOVE WS-0530-INPUT-DATE TO WS-0530-OUTPUT-DATE

           PERFORM 0530-ADD-DAYS
              THRU 0530-ADD-DAYS-EXIT
             UNTIL WS-0530-DAYS-TO-ADD = 000


      **********************************************************
      *    INITIALIZE INPUT FIELDS                             *
      **********************************************************
           INITIALIZE WS-0530-INPUT-FIELDS
           INITIALIZE WS-0530-LOCAL-FIELDS.


       0530-ADD-DAYS-TO-DATE-EXIT.
           EXIT.

       0530-ADD-DAYS.

           MOVE WS-0530-OUTPUT-DATE TO WS-0520-INPUT-DATE
           PERFORM 0520-GET-DAYS-IN-MONTH
              THRU 0520-GET-DAYS-IN-MONTH-EXIT
           SUBTRACT WS-0530-OUTPUT-DAY FROM WS-0520-DAYS-IN-MONTH
           GIVING WS-0530-DAYS-LEFT-IN-MONTH

           IF WS-0530-DAYS-LEFT-IN-MONTH >= WS-0530-DAYS-TO-ADD
              ADD WS-0530-DAYS-TO-ADD TO WS-0530-OUTPUT-DAY
              MOVE ZEROS TO WS-0530-DAYS-TO-ADD
           ELSE
              IF WS-0530-OUTPUT-MONTH = 12
                 MOVE 1 TO WS-0530-OUTPUT-MONTH
                 ADD 1 TO WS-0530-OUTPUT-YEAR
                 MOVE 0 TO WS-0530-OUTPUT-DAY
                 SUBTRACT WS-0530-DAYS-LEFT-IN-MONTH
                     FROM WS-0530-DAYS-TO-ADD
              ELSE
                 ADD 1 TO WS-0530-OUTPUT-MONTH
                 MOVE 0 TO WS-0530-OUTPUT-DAY
                 SUBTRACT WS-0530-DAYS-LEFT-IN-MONTH
                     FROM WS-0530-DAYS-TO-ADD
              END-IF
           END-IF.

       0530-ADD-DAYS-EXIT.
           EXIT.


