      ******************************************************
      * FILE:   M0535.CBL
      * AUTHOR: MIKE RAY
      * DATE:   10/3/95
      * PURPOSE: RETURNS THE DAY OF THE WEEK FOR AN INPUT DATE.
      ******************************************************

       0535-GET-DAY-OF-WEEK.

      $IF DEBUG-SW DEFINED
           DISPLAY '0535-DETERMINING THE DAY OF THE WEEK'
           UPON CONSOLE
      $END

      **********************************************************
      *    INITIALIZE VARIABLES                                *
      **********************************************************
           INITIALIZE WS-0535-OUTPUT-DAY

      **********************************************************
      *    CHECK FOR PRECONDITIONS                             *
      **********************************************************

           IF WS-0535-INPUT-DATE IS NOT NUMERIC
               MOVE 0535 TO WS-8020-PARAGRAPH-NO
               MOVE 90001 TO WS-8020-INT-ERROR-NO
               MOVE 'WS-0535-INPUT-DATE' TO WS-8020-FIELD-NAME
               MOVE WS-0535-INPUT-DATE TO WS-8020-BAD-DATA
               MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
               PERFORM 8020-RECORD-INT-ERROR
                  THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-0535-INPUT-DATE IS EQUAL TO ZEROS
              MOVE 0535 TO WS-8020-PARAGRAPH-NO
              MOVE 90003 TO WS-8020-INT-ERROR-NO
              MOVE 'WS-0535-INPUT-DATE' TO WS-8020-FIELD-NAME
              MOVE SPACES TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF



      **********************************************************
      *    CALCULATE DAY OF THE WEEK                           *
      **********************************************************

           COMPUTE WS-0535-OUTPUT-DAY =
               FUNCTION REM(FUNCTION INTEGER-OF-DATE
               (WS-0535-WORK-DATE), 7)

      $IF DEBUG-SW DEFINED
           DISPLAY 'DAY OF THE WEEK IS ', WS-0535-OUTPUT-DAY
           UPON CONSOLE
      $END

      **********************************************************
      *    INITIALIZE INPUT FIELDS                             *
      **********************************************************
           INITIALIZE WS-0535-INPUT-DATE.


       0535-GET-DAY-OF-WEEK-EXIT.
           EXIT.


