      ****************************************************************
      * FILE:   M0550.CBL
      * AUTHOR: LAURA DITTAMO
      * DATE:   10/16/95
      * PURPOSE: RETURNS THE JULIAN DATE (YYYYDDD) FOR AN INPUT DATE.
      ****************************************************************

       0550-GET-JULIAN-DATE.

      $IF DEBUG-SW DEFINED
           DISPLAY '0550-DETERMINING THE JULIAN DATE' UPON CONSOLE
      $END

      **********************************************************
      *    INITIALIZE VARIABLES                                *
      **********************************************************
           INITIALIZE WS-0550-OUTPUT-JULIAN-DATE

      **********************************************************
      *    CHECK FOR PRECONDITIONS                             *
      **********************************************************

           IF WS-0550-INPUT-DATE IS NOT NUMERIC
              MOVE 0550 TO WS-8020-PARAGRAPH-NO
              MOVE 90001 TO WS-8020-INT-ERROR-NO
              MOVE 'WS-0550-INPUT-DATE' TO WS-8020-FIELD-NAME
              MOVE WS-0550-INPUT-DATE TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-0550-INPUT-DATE IS EQUAL TO ZEROS
             MOVE 0550 TO WS-8020-PARAGRAPH-NO
             MOVE 90003 TO WS-8020-INT-ERROR-NO
             MOVE 'WS-0550-INPUT-DATE' TO WS-8020-FIELD-NAME
             MOVE SPACES TO WS-8020-BAD-DATA
             MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
             PERFORM 8020-RECORD-INT-ERROR
                THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF



      **********************************************************
      *    CALCULATE JULIAN DATE                               *
      **********************************************************

           COMPUTE WS-0550-OUTPUT-JULIAN-DATE =
              FUNCTION DAY-OF-INTEGER(FUNCTION INTEGER-OF-DATE
              (WS-0550-WORK-DATE))

      **********************************************************
      *    INITIALIZE INPUT FIELDS                             *
      **********************************************************
           INITIALIZE WS-0550-INPUT-DATE.


       0550-GET-JULIAN-DATE-EXIT.
           EXIT.


