      ***************************************************************
      * File:      M0555.CBL
      * Author:    Mike Ray
      * Date:      10/02/95
      * Purpose:
      *    This paragraph validates a six position date field in the
      *    format MMDDYY
      ***************************************************************

       0555-VAL-MMDDYY-DATE.

      $IF DEBUG-SW DEFINED
              DISPLAY '0555-VALIDATING DATE (MMDDYY)'
              UPON CONSOLE
      $END

      * INITIALIZE
           INITIALIZE WS-0555-RESULT-FLAG

      * CHECK PRECONDITIONS

           IF WS-0555-INPUT-DATE IS NOT NUMERIC
              MOVE 0555 TO WS-8020-PARAGRAPH-NO
              MOVE 90001 TO WS-8020-INT-ERROR-NO
              MOVE 'WS-0555-INPUT-DATE' TO WS-8020-FIELD-NAME
              MOVE WS-0555-INPUT-DATE TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF


           IF WS-0555-INPUT-DATE IS EQUAL ZEROS
              MOVE 0555 TO WS-8020-PARAGRAPH-NO
              MOVE 90003 TO WS-8020-INT-ERROR-NO
              MOVE 'WS-0555-INPUT-DATE' TO WS-8020-FIELD-NAME
              MOVE SPACES TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF


      * EVALUATE MONTH AND DAY

           MOVE 'V' TO WS-0555-RESULT-FLAG

           IF (WS-0555-INPUT-DT-MONTH > 12)
               OR (WS-0555-INPUT-DT-MONTH < 1)
              MOVE 'M' TO WS-0555-RESULT-FLAG
              GO TO 0555-VAL-MMDDYY-DATE-EXIT
           ELSE
              IF WS-0555-INPUT-DT-YEAR = ZEROS
                 MOVE 'Y' TO WS-0555-RESULT-FLAG
                 GO TO 0555-VAL-MMDDYY-DATE-EXIT
              ELSE
                 MOVE WS-0555-INPUT-DT-MONTH TO WS-0520-INPUT-MONTH
                 MOVE WS-0555-INPUT-DT-YEAR TO WS-0520-INPUT-YEAR
                 PERFORM 0520-GET-DAYS-IN-MONTH
                    THRU 0520-GET-DAYS-IN-MONTH-EXIT
              END-IF
           END-IF

           IF WS-0555-INPUT-DT-DAY IS LESS THAN 1 OR
              GREATER THAN WS-0520-DAYS-IN-MONTH
              MOVE 'D' TO WS-0555-RESULT-FLAG
           END-IF

      ***************************************************************
      *    THIS LOGIC SETS A RESULT CODE OF 'R' IF THE DATE IS IN   *
      *    MMDDYY FORMAT INSTEAD OF YYMMDD FORMAT.                  *
      ***************************************************************

           IF WS-0555-RESULT-FLAG NOT = 'V'
              IF (WS-0555-INPUT-DT-DAY >= (WS-0004-SYS-YEAR - 1)) AND
                 (WS-0555-INPUT-DT-DAY <= (WS-0004-SYS-YEAR + 1))
                 IF (WS-0555-INPUT-DT-YEAR > 0)
                    AND (WS-0555-INPUT-DT-YEAR < 13)
                    MOVE WS-0555-INPUT-DT-YEAR TO WS-0520-INPUT-MONTH
                    MOVE WS-0555-INPUT-DT-DAY TO WS-0520-INPUT-YEAR
                    PERFORM 0520-GET-DAYS-IN-MONTH
                       THRU 0520-GET-DAYS-IN-MONTH-EXIT
                    IF WS-0555-INPUT-DT-MONTH <= WS-0520-DAYS-IN-MONTH
                       MOVE 'R' TO WS-0555-RESULT-FLAG
                    END-IF
                 END-IF
              END-IF
           END-IF

      * INITIALIZE INPUT FIELDS
           INITIALIZE WS-0555-INPUT-DATE.

       0555-VAL-MMDDYY-DATE-EXIT.
           EXIT.



