      ***************************************************************
      * File:      M0560.CBL
      * Author:    Laura Dittamo
      * Date:      1/26/96
      * Purpose:
      *    This module compares two six position dates.  It determines
      *    whether the first input date is later than the second input
      *    date.
      ***************************************************************

       0560-COMPARE-DATES-6.

      $IF DEBUG-SW DEFINED
              DISPLAY '0560 COMPARE TWO 8 POSITION DATES'
              UPON CONSOLE
              DISPLAY 'INPUT DATE 1: ', WS-0560-INPUT-DATE1
              UPON CONSOLE
              DISPLAY 'INPUT DATE 2: ', WS-0560-INPUT-DATE2
      $END

      * INITIALIZE
           INITIALIZE WS-0560-RESULT-FLAG

      * CHECK PRECONDITIONS

           IF WS-0560-INPUT-DATE1 IS NOT NUMERIC
              MOVE 0560 TO WS-8020-PARAGRAPH-NO
              MOVE 90001 TO WS-8020-INT-ERROR-NO
              MOVE 'WS-0560-INPUT-DATE1' TO WS-8020-FIELD-NAME
              MOVE WS-0560-INPUT-DATE1 TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF


           IF WS-0560-INPUT-DATE1 IS EQUAL ZEROS
              MOVE 0560 TO WS-8020-PARAGRAPH-NO
              MOVE 90003 TO WS-8020-INT-ERROR-NO
              MOVE 'WS-0560-INPUT-DATE1' TO WS-8020-FIELD-NAME
              MOVE SPACES TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-0560-INPUT-DATE2 IS NOT NUMERIC
              MOVE 0560 TO WS-8020-PARAGRAPH-NO
              MOVE 90001 TO WS-8020-INT-ERROR-NO
              MOVE 'WS-0560-INPUT-DATE2' TO WS-8020-FIELD-NAME
              MOVE WS-0560-INPUT-DATE2 TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF


           IF WS-0560-INPUT-DATE2 IS EQUAL ZEROS
              MOVE 0560 TO WS-8020-PARAGRAPH-NO
              MOVE 90003 TO WS-8020-INT-ERROR-NO
              MOVE 'WS-0560-INPUT-DATE2' TO WS-8020-FIELD-NAME
              MOVE SPACES TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF



      ***************************************************************
      *    THIS LOGIC SETS A RESULT CODE OF '=' IF INPUT DATE1 IS
      *    EQUAL TO INPUT DATE2.  IF INPUT DATE1 IS GREATER THAN
      *    INPUT DATE2, THE RESULT CODE IS SET TO '>'.  OTHERWISE THE
      *    RESULT CODE IS SET TO '<'.
      ***************************************************************

           MOVE '<' TO WS-0560-RESULT-FLAG

           IF WS-0560-INPUT-DATE1 EQUAL WS-0560-INPUT-DATE2
              MOVE '=' TO WS-0560-RESULT-FLAG
              GO TO 0560-COMPARE-DATES-6-EXIT
           END-IF

           IF WS-0560-INPUT-DT1-YEAR > WS-0560-INPUT-DT2-YEAR
              MOVE '>' TO WS-0560-RESULT-FLAG
           ELSE
              IF WS-0560-INPUT-DT1-YEAR = WS-0560-INPUT-DT2-YEAR
                 IF WS-0560-INPUT-DT1-MONTH > WS-0560-INPUT-DT2-MONTH
                    MOVE '>' TO WS-0560-RESULT-FLAG
                 ELSE
                    IF WS-0560-INPUT-DT1-MONTH = WS-0560-INPUT-DT2-MONTH
                       IF WS-0560-INPUT-DT1-DAY > WS-0560-INPUT-DT2-DAY
                          MOVE '>' TO WS-0560-RESULT-FLAG
                       END-IF
                    END-IF
                 END-IF
              END-IF
           END-IF.


      * INITIALIZE INPUT FIELDS
           INITIALIZE WS-0560-INPUT.

       0560-COMPARE-DATES-6-EXIT.
           EXIT.



