      ***************************************************************
      * File:      M0565.CBL
      * Author:    Mike Ray
      * Date:      03/21/96
      * Purpose:
      *    This module builds a file name from the file portion of the
      *    input file name (strips the extension) and appends the input
      *    file extension (if any) to produce an output file name.
      ***************************************************************

       0565-BUILD-FILE-NAME.

      $IF DEBUG-SW DEFINED
              DISPLAY '0565-BUILDING FILE NAME'
              UPON CONSOLE
      $END

      ************************************************
      *         INITIALIZE OUTPUT FIELDS             *
      ************************************************
           INITIALIZE WS-0565-OUTPUT
           INITIALIZE WS-0565-LOCAL
           MOVE WS-LITERAL-NO TO WS-0565-PATH-END-FOUND
           MOVE WS-LITERAL-NO TO WS-0565-FILE-END-FOUND
           MOVE ZERO TO WS-0565-OUTPUT-INT-INDEX

      ************************************************
      *         CYCLE THROUGH INPUT PATH             *
      *    LOOKING FOR A  ' ' TO INDICATE THE END    *
      ************************************************
           IF WS-0565-INPUT-PATH <> SPACES
              PERFORM 0565-MOVE-PATH
                 THRU 0565-MOVE-PATH-EXIT
                 WITH TEST AFTER
              VARYING WS-0565-PATH-INT-INDEX FROM 1 BY 1
                UNTIL (WS-0565-PATH-INT-INDEX = 15)
                   OR (WS-0565-PATH-END-FOUND = WS-LITERAL-YES)
           END-IF


      ************************************************
      *         CYCLE THROUGH INPUT FILE NAME        *
      * LOOKING FOR A  ' ' OR '.'TO INDICATE THE END *
      ************************************************
           IF WS-0565-INPUT-FILE-NAME <> SPACES
              PERFORM 0565-MOVE-FILE
                 THRU 0565-MOVE-FILE-EXIT
                 WITH TEST AFTER
              VARYING WS-0565-FILE-INT-INDEX FROM 1 BY 1
                UNTIL (WS-0565-FILE-INT-INDEX = 20)
                   OR (WS-0565-FILE-END-FOUND = WS-LITERAL-YES)
           ELSE
              MOVE 0565 TO WS-8020-PARAGRAPH-NO
              MOVE 90003 TO WS-8020-INT-ERROR-NO
              MOVE 'FILE NAME' TO WS-8020-FIELD-NAME
              MOVE SPACES TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

      ************************************************
      *  MOVE THE EXTENSION, STARTING WITH   A '.'   *
      ************************************************
           IF WS-0565-INPUT-FILE-EXT <> SPACES
              ADD 1 TO WS-0565-OUTPUT-INT-INDEX
              SET WS-0565-OUTPUT-INDEX TO WS-0565-OUTPUT-INT-INDEX
              MOVE '.'
                TO WS-0565-OUTPUT-FILE-CHAR(WS-0565-OUTPUT-INDEX)
              PERFORM 0565-MOVE-EXT
                 THRU 0565-MOVE-EXT-EXIT
                 WITH TEST AFTER
              VARYING WS-0565-EXT-INT-INDEX FROM 1 BY 1
                UNTIL (WS-0565-EXT-INT-INDEX = 3)
           END-IF.


      $IF DEBUG-SW DEFINED
           DISPLAY 'FILE NAME = ', WS-0565-OUTPUT-FILE-NAME
           UPON CONSOLE
      $END

      ************************************************
      *         INITIALIZE INPUT FIELDS              *
      ************************************************
           INITIALIZE WS-0565-INPUT.


       0565-BUILD-FILE-NAME-EXIT.
           EXIT.

       0565-MOVE-PATH.

           SET WS-0565-PATH-INDEX TO WS-0565-PATH-INT-INDEX
           IF (WS-0565-INPUT-PATH-CHAR(WS-0565-PATH-INDEX) = SPACE)
              MOVE WS-LITERAL-YES TO WS-0565-PATH-END-FOUND
           ELSE
              ADD 1 TO WS-0565-OUTPUT-INT-INDEX
              SET WS-0565-OUTPUT-INDEX TO WS-0565-OUTPUT-INT-INDEX
              MOVE WS-0565-INPUT-PATH-CHAR(WS-0565-PATH-INDEX)
                TO WS-0565-OUTPUT-FILE-CHAR(WS-0565-OUTPUT-INDEX)
           END-IF.

       0565-MOVE-PATH-EXIT.
           EXIT.

       0565-MOVE-FILE.

           SET WS-0565-FILE-INDEX TO WS-0565-FILE-INT-INDEX
           IF (WS-0565-INPUT-FILE-CHAR(WS-0565-FILE-INDEX) = SPACE)
              OR (WS-0565-INPUT-FILE-CHAR(WS-0565-FILE-INDEX) = '.')
              MOVE WS-LITERAL-YES TO WS-0565-FILE-END-FOUND
           ELSE
              ADD 1 TO WS-0565-OUTPUT-INT-INDEX
              SET WS-0565-OUTPUT-INDEX TO WS-0565-OUTPUT-INT-INDEX
              MOVE WS-0565-INPUT-FILE-CHAR(WS-0565-FILE-INDEX)
                TO WS-0565-OUTPUT-FILE-CHAR(WS-0565-OUTPUT-INDEX)
           END-IF.

       0565-MOVE-FILE-EXIT.
           EXIT.

       0565-MOVE-EXT.

           SET WS-0565-EXT-INDEX TO WS-0565-EXT-INT-INDEX
           ADD 1 TO WS-0565-OUTPUT-INT-INDEX
           SET WS-0565-OUTPUT-INDEX TO WS-0565-OUTPUT-INT-INDEX
           MOVE WS-0565-INPUT-EXT-CHAR(WS-0565-EXT-INDEX)
             TO WS-0565-OUTPUT-FILE-CHAR(WS-0565-OUTPUT-INDEX).

       0565-MOVE-EXT-EXIT.
           EXIT.

