      ****************************************************************
      * FILE:   M0570.CBL
      * AUTHOR: LAURA DITTAMO
      * DATE:   5/22/96
      * PURPOSE: DOES RUDIMENTARY CHECKS TO DETERMINE A VALID SSN.
      ****************************************************************

       0570-VAL-SSN.

      $IF DEBUG-SW DEFINED
           DISPLAY '0570-VALIDATING SSN' UPON CONSOLE
      $END

      **********************************************************
      *    INITIALIZE VARIABLES                                *
      **********************************************************
           INITIALIZE WS-0570-RESULT-FLAG

      **********************************************************
      *    CHECK FOR PRECONDITIONS                             *
      **********************************************************

           IF WS-0570-INPUT-SSN IS NOT NUMERIC
              MOVE 0570 TO WS-8020-PARAGRAPH-NO
              MOVE 90001 TO WS-8020-INT-ERROR-NO
              MOVE 'WS-0570-INPUT-SSN' TO WS-8020-FIELD-NAME
              MOVE SPACES TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-0570-INPUT-SSN IS EQUAL TO ZEROS
             MOVE 0570 TO WS-8020-PARAGRAPH-NO
             MOVE 90003 TO WS-8020-INT-ERROR-NO
             MOVE 'WS-0570-INPUT-SSN' TO WS-8020-FIELD-NAME
             MOVE WS-0570-INPUT-SSN TO WS-8020-BAD-DATA
             MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
             PERFORM 8020-RECORD-INT-ERROR
                THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

      **********************************************************
      *  VALIDATE SSN                                          *
      *    SINCE WE DO NOT HAVE ACCESS TO A SSN DATABASE, THE  *
      *    FOLLOWING LOGIC VALIDATES THE FIRST THREE POSITIONS *
      *    OF THE SSN - THE AREA NUMBER.                       *
      **********************************************************


           EVALUATE WS-0570-INPUT-SSN-AREA-NO
               WHEN 0
      *    **** AREA # MUST BE > 0
                  MOVE WS-LITERAL-NO TO WS-0570-RESULT-FLAG
               WHEN > 728
      *    **** AREA # MUST BE <= 728
                  MOVE WS-LITERAL-NO TO WS-0570-RESULT-FLAG
               WHEN 649 THROUGH 699
      *    **** THERE ARE NO AREA #'S IN 649-699
                  MOVE WS-LITERAL-NO TO WS-0570-RESULT-FLAG
               WHEN 588
      *   **** AREA # 588 DOES NOT EXIST
                  MOVE WS-LITERAL-NO TO WS-0570-RESULT-FLAG
               WHEN OTHER
                  MOVE WS-LITERAL-YES TO WS-0570-RESULT-FLAG
           END-EVALUATE

      **********************************************************
      *    INITIALIZE INPUT FIELDS                             *
      **********************************************************
           INITIALIZE WS-0570-INPUT-SSN.


       0570-VAL-SSN-EXIT.
           EXIT.


