      ****************************************************************
      *     FILE  : WS0000.CBL                                       *
      *     AUTHOR: MIKE RAY                                         *
      *     DATE  : 07/11/96                                         *
      *                                                              *
      *     THIS COPY FILE CONTAINS THE COPY FILES WHICH DEFINE ALL  *
      *     OF THE WORKING STORAGE USED BY THE MAIN PROGRAM, HERE ARE*
      *     THE FILES AND THE SECTIONS WHICH THEY APPLY TO:          *
      *                                                              *
      *     WS0001.CBL - TRANSACTION REDEFINITIONS                   *
      *     WS0002.CBL - FIELD ERROR FLAGS                           *
      *     WS0003.CBL - FIELD NAME LITERALS                         *
      *     WS0004.CBL - CURRENT BATCH INFO                          *
      *     WS0005.CBL - CURRENT POLICY INFO                         *
      *     WS0006.CBL - CURRENT CROP INFO                           *
      *     WS0007.CBL - CURRENT TRANSACTION INFO                    *
      *     WS0008.CBL - STATISTICS                                  *
      *     WS0009.CBL - GLOBAL NAMED FIELDS (88 LEVELS)             *
      *     WS0010.CBL - SBI TABLE                                   *
      *     WS0011.CBL - T11 TABLE                                   *
      *     WS0012.CBL - T12 TABLE                                   *
      *     WS0014.CBL - T14 TABLE                                   *
      *     WS0015.CBL - T15 TABLE                                   *
      *     WS0016.CBL - T16 TABLE                                   *
      *     WS0020.CBL - T20 TABLE                                   *
      *     WS0021.CBL - T21 TABLE                                   *
      *     WS0050.CBL - T50 TABLE                                   *
      *     WS0099.CBL - TRANSACTION BUFFER TABLE                    *
      ****************************************************************


      ****************************************************************
      ****************************************************************
       COPY 'WS/WS0001.CBL'.


      ****************************************************************
      *     THIS AREA OF WORKING STORAGE CONTAINS THE ERROR FLAGS    *
      *     THAT ARE SET, WHEN A TRANSACTION RECORD TYPE FAILS       *
      *     FIELD VALIDATION                                         *
      *                                                              *
      *     FILE  : WS0002.CBL                                       *
      *     AUTHOR: CHERYL D.WOOD                                    *
      *     DATE  : JULY 27, 1995                                    *
      ****************************************************************
       COPY 'WS/WS0002.CBL'.


      ****************************************************************
      *     THIS COPY MEMBER DEFINES LITERALS FOR THE FOLLOWING      *
      *     THINGS:                                                  *
      *              -FIELD NAMES                                    *
      *              -DATABASE TABLE NAMES                           *
      *              -CRUD ACTIONS                                   *
      *              -YES AND NO                                     *
      *              -TRANSACTION-SOURCE                             *
      *                                                              *
      *     FILE :   WS0003.CBL                                      *
      *     AUTHOR:  CHERYL D. WOOD & MIKE RAY                       *
      *     DATE  :  AUGUST 3, 1995                                  *
      *     REVISED: AUGUST 15, 1995                                 *
      ****************************************************************
       COPY 'WS/WS0003.CBL'.

      ****************************************************************
      *     THIS AREA OF WORKING STORAGE CONTAINS STATE VARIABLES    *
      *     FOR THE ENTIRE PROGRAM IN THE FOLLOWING CATEGORIES:      *
      *                  - CURRENT BATCH                             *
      *                                                              *
      *     FILE  : WS0004.CBL                                       *
      *     AUTHOR: MIKE RAY                                         *
      *     DATE  : AUG 10, 1995                                     *
      ****************************************************************
       COPY 'WS/WS0004.CBL'.

      ****************************************************************
      *     THIS AREA OF WORKING STORAGE CONTAINS STATE VARIABLES    *
      *     FOR THE ENTIRE PROGRAM IN THE FOLLOWING CATEGORIES:      *
      *                  - CURRENT POLICY                            *
      *                                                              *
      *     FILE  : WS0005.CBL                                       *
      *     AUTHOR: MIKE RAY                                         *
      *     DATE  : AUG 10, 1995                                     *
      ****************************************************************
       COPY 'WS/WS0005.CBL'.

      ****************************************************************
      *     THIS AREA OF WORKING STORAGE CONTAINS STATE VARIABLES    *
      *     FOR THE ENTIRE PROGRAM IN THE FOLLOWING CATEGORIES:      *
      *                  - CURRENT CROP                              *
      *                                                              *
      *     FILE  : WS0006.CBL                                       *
      *     AUTHOR: MIKE RAY                                         *
      *     DATE  : AUG 10, 1995                                     *
      ****************************************************************
       COPY 'WS/WS0006.CBL'.

      ****************************************************************
      *     THIS AREA OF WORKING STORAGE CONTAINS STATE VARIABLES    *
      *     FOR THE ENTIRE PROGRAM IN THE FOLLOWING CATEGORIES:      *
      *                  - CURRENT TRANSACTION                       *
      *                                                              *
      *     FILE  : WS0007.CBL                                       *
      *     AUTHOR: MIKE RAY                                         *
      *     DATE  : AUG 10, 1995                                     *
      ****************************************************************
       COPY 'WS/WS0007.CBL'.


      ****************************************************************
      *     THIS AREA OF WORKING STORAGE CONTAINS VARIABLES          *
      *     FOR THE ENTIRE PROGRAM IN THE FOLLOWING CATEGORIES:      *
      *                  - STATISTICS                                *
      *                                                              *
      *     FILE  : WS0008.CBL                                       *
      *     AUTHOR: MIKE RAY                                         *
      *     DATE  : AUG 12, 1995                                     *
      ****************************************************************
       COPY 'WS/WS0008.CBL'.


      ****************************************************************
      *     THIS AREA OF WORKING STORAGE CONTAINS VARIABLES          *
      *     USED WHEN A ROUTINE WANTS TO REFER TO THEIR VALUES USING *
      *     88 LEVEL NAMES WHICH WILL BE USED OFTEN IN THE COURSE OF *
      *     THE PROGRAM.  THIS SECTION SHOULD HELP PREVENT DUPLICATE *
      *     88 LEVEL DEFINITIONS BEING SPREAD THROUGHOUT THE PROGRAM.*
      *     IN ORDER TO USE THESE FIELDS, A ROUTINE MUST SPECIFY THAT*
      *     THE DATA IT IS GOING TO USE BE MOVED INTO THE APPROPRIATE*
      *     FIELD(S) BEFORE IT IS PERFORMED.  SUCH REFERENCES WOULD  *
      *     BE BEST PLACED AS A COMMENT IN THE REGULAR WORKING       *
      *     STORAGE SECTION THAT GOES WITH THE ROUTINE.              *
      *                                                              *
      *                                                              *
      *     FILE  : WS0009.CBL                                       *
      *     AUTHOR: MIKE RAY                                         *
      *     DATE  : AUG 12, 1995                                     *
      ****************************************************************
       COPY 'WS/WS0009.CBL'.


      ****************************************************************
      *     THIS AREA OF WORKING STORAGE DEFINES THE TRANSACTION     *
      *     TABLE FOR THE CURRENT POLICY'S SBI RECORDS AS WELL AS    *
      *     THE STATUS VARIABLES FOR THAT TABLE.                     *
      *                                                              *
      *     FILE  : WS0010.CBL                                       *
      *     AUTHOR: MIKE RAY AND CHERYL D. WOOD                      *
      *     DATE  : AUG 10, 1995                                     *
      ****************************************************************
       COPY 'WS/WS0010.CBL'.

      ****************************************************************
      *     THIS AREA OF WORKING STORAGE DEFINES THE TRANSACTION     *
      *     TABLE FOR THE CURRENT CROP'S TYPE 11 RECORDS AS WELL AS  *
      *     THE STATUS VARIABLES FOR THAT TABLE.                     *
      *                                                              *
      *     FILE  : WS0011.CBL                                       *
      *     AUTHOR: MIKE RAY AND CHERYL D. WOOD                      *
      *     DATE  : AUG 10, 1995                                     *
      ****************************************************************
       COPY 'WS/WS0011.CBL'.

      ****************************************************************
      *     THIS AREA OF WORKING STORAGE DEFINES THE TRANSACTION     *
      *     TABLE FOR THE CURRENT CROP'S TYPE 12 RECORDS AS WELL AS  *
      *     THE STATUS VARIABLES FOR THAT TABLE.                     *
      *                                                              *
      *     FILE  : WS0012.CBL                                       *
      *     AUTHOR: MIKE RAY AND CHERYL D. WOOD                      *
      *     DATE  : AUG 10, 1995                                     *
      ****************************************************************
       COPY 'WS/WS0012.CBL'.

      ****************************************************************
      *     THIS AREA OF WORKING STORAGE DEFINES THE TRANSACTION     *
      *     TABLE FOR THE CURRENT CROP'S TYPE 14 RECORDS AS WELL AS  *
      *     THE STATUS VARIABLES FOR THAT TABLE.                     *
      *                                                              *
      *     FILE  : WS0014.CB                                        *
      *     AUTHOR: MIKE RAY  AND CHERYL D. WOOD                     *
      *     DATE  : AUG 10, 1995                                     *
      ****************************************************************
       COPY 'WS/WS0014.CBL'.

      ****************************************************************
      *     THIS AREA OF WORKING STORAGE DEFINES THE TRANSACTION     *
      *     TABLE FOR THE CURRENT CROP'S TYPE 15 RECORDS AS WELL AS  *
      *     THE STATUS VARIABLES FOR THAT TABLE.                     *
      *                                                              *
      *     FILE  : WS0015.CBL                                       *
      *     AUTHOR: MIKE RAY AND CHERYL D. WOOD                      *
      *     DATE  : AUG 10, 1995                                     *
      ****************************************************************
       COPY 'WS/WS0015.CBL'.


      ****************************************************************
      *     THIS AREA OF WORKING STORAGE DEFINES THE TRANSACTION     *
      *     TABLE FOR THE CURRENT POLICY'S TYPE 16 RECORDS AS WELL   *
      *     AS THE STATUS VARIABLES FOR THAT TABLE.                  *
      *                                                              *
      *     FILE  : WS0016.CBL                                       *
      *     AUTHOR: MIKE RAY AND CHERYL D. WOOD                      *
      *     DATE  : AUG 10, 1995                                     *
      ****************************************************************
       COPY 'WS/WS0016.CBL'.

      ****************************************************************
      *     THIS AREA OF WORKING STORAGE DEFINES THE TRANSACTION     *
      *     TABLE FOR THE CURRENT POLICY'S TYPE 20 RECORDS AS WELL   *
      *     AS THE STATUS VARIABLES FOR THAT TABLE.                  *
      *                                                              *
      *     FILE  : WS0020.CBL                                       *
      *     AUTHOR: MIKE RAY AND CHERYL D. WOOD                      *
      *     DATE  : SEP 13, 1995                                     *
      ****************************************************************
       COPY 'WS/WS0020.CBL'.


      ****************************************************************
      *     THIS AREA OF WORKING STORAGE DEFINES THE TRANSACTION     *
      *     TABLE FOR THE CURRENT POLICY'S TYPE 21 RECORDS AS WELL   *
      *     AS THE STATUS VARIABLES FOR THAT TABLE.                  *
      *                                                              *
      *     FILE  : WS0021.CBL                                       *
      *     AUTHOR: MIKE RAY AND CHERYL D. WOOD                      *
      *     DATE  : SEP 13, 1995                                     *
      ****************************************************************
       COPY 'WS/WS0021.CBL'.



      ****************************************************************
      *     THIS AREA OF WORKING STORAGE DEFINES THE TRANSACTION     *
      *     TABLE FOR THE CURRENT POLICY'S TYPE 50 RECORDS AS WELL   *
      *     AS THE STATUS VARIABLES FOR THAT TABLE.                  *
      *                                                              *
      *     FILE  : WS0050.CBL                                       *
      *     AUTHOR: MIKE RAY AND CHERYL D. WOOD                      *
      *     DATE  : SEP 13, 1995                                     *
      ****************************************************************
       COPY 'WS/WS0050.CBL'.


      ****************************************************************
      *     THIS AREA OF WORKING STORAGE DEFINES A BUFFER TABLE FOR  *
      *     THE HELD TRANSACTION FILE.  IT HOLDS 118 RECORDS BEFORE  *
      *     OVERFLOWING TO THE FILE AS WELL AS THE STATUS VARIABLES  *
      *     FOR THE TABLE.                                           *
      *                                                              *
      *     FILE  : WS0099.CBL                                       *
      *     AUTHOR: MIKE RAY                                         *
      *     DATE  : 10/11/95                                         *
      ****************************************************************
       COPY 'WS/WS0099.CBL'.
