      ****************************************************************
      *     THIS AREA OF WORKING STORAGE CONTAINS STATE VARIABLES    *
      *     FOR THE ENTIRE PROGRAM IN THE FOLLOWING CATEGORIES:      *
      *                  - CURRENT POLICY                            *
      *                                                              *
      *     FILE  : WS0005.CBL                                       *
      *     AUTHOR: MIKE RAY                                         *
      *     DATE  : AUG 10, 1995                                     *
      ****************************************************************


       01 WS-0005-CURRENT-POLICY.
          05 WS-0005-POLICY-STATUS-RECORD.
      ********************************************************************
      *   INDICATES THAT AN ERROR HAS BEEN WRITTEN FOR THE POLICY RECORD *
      ********************************************************************
             10 WS-0005-ERROR-RECORDED         PIC X(01).

      ********************************************************************
      *   INDICATES THAT THERE ARE LOSSES WHICH WILL NEED TO BE WRITTEN  *
      *   TO THE ESCROW FILE AND THAT THE TYPE 10 RECORD NEEDS TO BE     *
      *   WRITTEN TO THE ESCROW FILE TO IDENTIFY THE POLICY              *
      ********************************************************************
             10 WS-0005-ESCROW-INDICATOR       PIC X(01).

      **********************************************************
      *     CONTAINS THE EARLIEST SALES CLOSING DATE FOR THE   *
      *     CROPS INSURED UNDER THE POLICY.                    *
      **********************************************************
             10 WS-0005-EARLIEST-SCD           PIC X(08).
      **********************************************************
      *     CONTAINS LATE FILED ACREAGE INFORMATION FOR THE    *
      *     POLICY.  THESE DATA FIELDS STORE THE ACREAGE       *
      *     REPORTING DATE, WEEKS LATE, REDUCTION WEEKS FOR    *
      *     THE CROP WITH THE LATEST ARD SUBMITTED FOR THIS    *
      *     POLICY.                                            *
      **********************************************************
             10 WS-0005-LATEST-EXTENDED-ARD    PIC 9(08).
             10 WS-0005-LATEST-ARD             PIC 9(08).
             10 WS-0005-WEEKS-LATE             PIC 9(02).
             10 WS-0005-REDUCTION-WEEKS        PIC 9(02).
      **********************************************************
      *     CONTAINS THE NUMBER OF TYPE 11 RECORDS WHICH HAVE  *
      *     FOR THE CURRENT POLICY WHICH HAVE BEEN ADDED TO    *
      *     THE INTER-RECORD EDIT TABLES.                      *
      *                                                        *
      *     THIS FIELD IS USED FOR THE T12 IR EDITS            *
      **********************************************************
             10 WS-0005-TYPE-11-COUNT          PIC 9(04).

      **********************************************************
      *     INDICATES THAT ALL OF THE TYPE 14 RECORDS FOR      *
      *     THIS POLICY ARE FOR CAT COVERAGE ONLY.             *
      *                                                        *
      *     THIS FIELD IS USED FOR THE T12 IR EDITS            *
      **********************************************************
             10 WS-0005-ALL-CAT-CVG-FLAG       PIC X(01).

      **********************************************************
      *           THIS IS THE WHOLE TYPE 10 RECORD.            *
      **********************************************************
           05 WS-0005-CURRENT-POLICY-RECORD.
              10 WS-0005-RECORD-TYPE            PIC X(02).
              10 WS-0005-CURRENT-POLICY-NO.
                 15 WS-0005-REPORTING-ORG          PIC X(02).
                 15 WS-0005-LOC-STATE              PIC X(02).
                 15 WS-0005-COMPANY-COUNTY         PIC X(03).
                 15 WS-0005-POLICY-NUM             PIC X(07).
                 15 WS-0005-CROP-YEAR              PIC X(04).
              10 WS-0005-KEY-RESERVE            PIC X(53).
              10 WS-0005-FSA-SERVICE-STATE      PIC 9(02).
              10 WS-0005-RECORD-NUM             PIC 9(03).
              10 WS-0005-BRNCH-OFF-STATE-CD     PIC X(02).
              10 WS-0005-ID-TYPE                PIC 9(01).
              10 WS-0005-ID-NUM                 PIC 9(09).
              10 WS-0005-ENTITY-TYPE            PIC X(01).
              10 WS-0005-PROD-LST-NAME          PIC X(20).
              10 WS-0005-PROD-FRST-NAME         PIC X(10).
              10 WS-0005-PROD-MIDDLE-NAME       PIC X(10).
              10 WS-0005-PROD-NAME-SFX          PIC X(05).
              10 WS-0005-PROD-TITLE             PIC X(04).
              10 WS-0005-BUSINESS-NAME          PIC X(35).
              10 WS-0005-ADDRESS-1              PIC X(35).
              10 WS-0005-ADDRESS-2              PIC X(35).
              10 WS-0005-CITY                   PIC X(35).
              10 WS-0005-ADDRESS-STATE          PIC X(02).
              10 WS-0005-ZIP-CODE               PIC 9(05).
              10 WS-0005-ZIP-EXT                PIC 9(04).
              10 WS-0005-PHONE-NUM              PIC X(10).
              10 WS-0005-CFSA-COMP-EMPLOYEE     PIC X(01).
              10 FILLER                         PIC X(31).
              10 WS-0005-LOSS-INDICATOR         PIC X(01).
              10 WS-0005-RM-DATA-RECEIPT-DATE   PIC 9(08).
              10 WS-0005-FSA-CONTROL-DATE       PIC 9(08).
              10 WS-0005-FCIC-CONTROL-TIME      PIC 9(08).
              10 WS-0005-FCIC-CONTROL-DATE      PIC 9(08).
              10 WS-0005-REINS-YR               PIC 9(04).
              10 WS-0005-BATCH-NO               PIC 9(04).
              10 WS-0005-TRAN-SEQ-NO            PIC 9(08).
      **********************************************************
      *   INDICATES THAT THE WHOLE POLICY WILL BE REJECTED     *
      **********************************************************
              10 WS-0005-REJECT-POLICY-FLAG     PIC X(01).
      **********************************************************
      *        INDICATES WHERE THE POLICY CAME FROM:           *
      *        I=INPUT FILE D=DATABASE                         *
      **********************************************************
              10 WS-0005-POLICY-SOURCE-FLAG     PIC X(01).
              10 WS-0005-MDAS-PROCESS-NO        PIC 9(02).
              10 FILLER                         PIC X(14).

           05 WS-0005-POLICY-STATS.
              10 WS-0005-ACCEPTED-ACRES         PIC 9(09)V9(02).
              10 WS-0005-ACCEPTED-LIABILITY     PIC 9(12).
              10 WS-0005-ACCEPTED-PREMIUM       PIC 9(11).
              10 WS-0005-ACCEPTED-PROD-PREMIUM  PIC 9(11).
              10 WS-0005-ACCEPTED-LOSSES        PIC S9(12).

