      ****************************************************************
      *     THIS AREA OF WORKING STORAGE CONTAINS VARIABLES          *
      *     USED WHEN A ROUTINE WANTS TO REFER TO THEIR VALUES USING *
      *     88 LEVEL NAMES WHICH WILL BE USED OFTEN IN THE COURSE OF *
      *     THE PROGRAM.  THIS SECTION SHOULD HELP PREVENT DUPLICATE *
      *     88 LEVEL DEFINITIONS BEING SPREAD THROUGHOUT THE PROGRAM.*
      *     IN ORDER TO USE THESE FIELDS, A ROUTINE MUST SPECIFY THAT*
      *     THE DATA IT IS GOING TO USE BE MOVED INTO THE APPROPRIATE*
      *     FIELD(S) BEFORE IT IS PERFORMED.  SUCH REFERENCES WOULD  *
      *     BE BEST PLACED AS A COMMENT IN THE REGULAR WORKING       *
      *     STORAGE SECTION THAT GOES WITH THE ROUTINE.              *
      *                                                              *
      *                                                              *
      *     FILE  : WS0009.CBL                                       *
      *     AUTHOR: MIKE RAY                                         *
      *     DATE  : 01/11/96                                         *
      *                                                              *
      ****************************************************************

       01  WS-0009-CROP-YEAR              PIC 9(04).
           88  VALID-CROP-YEAR-0009        VALUE 1996 THRU 1998.


       01  WS-0009-CFSA-COMP-EMPL         PIC X(01).
           88  CFSA-EMPL-OR-CFSA-RELATIVE  VALUE 'F'.
           88  COMPANY-EMPLOYEE            VALUE 'C'.
           88  RELATIVE-OF-EMPLOYEE        VALUE 'R'.
           88  AGENT-OR-ADJUSTER           VALUE 'A'.
           88  NONE-OF-THESE               VALUE 'N'.
           88  VALID-CFSA-COMP-EMPL        VALUE  'F' 'C' 'R'
                                                  'A' 'N'.

       01  WS-0009-ASSIGNED-RISK          PIC 9(01).
           88  NOT-ASSIGNED                VALUE 0.
           88  ASSIGNED                    VALUE 1.
           88  ALT-CROP-EXT                VALUE 2.
           88  MGR-96014-EXT               VALUE 3.
           88  MGR-97023-EXT               VALUE 4.
           88  MGR-97024-EXT               VALUE 5.
           88  VALID-ASSIGNED-RISK         VALUE 0 THRU 5.

       01  WS-0009-LATE-PROCESS-FLG       PIC 9(01).
           88  ON-TIME                     VALUE 0.
           88  COMPANY-APPROVED            VALUE 1.
           88  COMPANY-DELAYED             VALUE 2.
           88  AGENT-DELAYED               VALUE 3.
           88  FCIC-DELAYED                VALUE 4.
           88  ALTERNATIVE-CROP            VALUE 5.
           88  MGR-96014-EXT-CROP          VALUE 6.
           88  MGR-97023-EXT-CROP          VALUE 7.
           88  MGR-97024-EXT-CROP          VALUE 8.
           88  VALID-LATE-PROCESS-FLGS     VALUE 0 THRU 8.

       01  WS-0009-DUAL-COVERAGE-FLG       PIC 9(01).
           88  BUYUP-OR-CAT-CVG-ONLY       VALUE 0.
           88  HIGH-RISK-CAT-COVERAGE      VALUE 1.
           88  VALID-DUAL-COVERAGE-FLGS    VALUE 0 THRU 1.

       01  WS-0009-COVERAGE-FLG           PIC X(01).
           88  CAT-COVERAGE                VALUE 'C'.
           88  LTD-COVERAGE                VALUE 'L'.
           88  ADDL-COVERAGE               VALUE 'A'.
           88  VALID-COVERAGE-FLGS         VALUE 'C' 'L' 'A'.

       01  WS-0009-ADMIN-FEE-FLG          PIC X(01).
           88  FEE-AT-APPLICATION          VALUE 'F'.
           88  MAX-FEE-ASSESSED            VALUE 'M'.
           88  LTD-RESRC-WAIVER-APPROV     VALUE 'W'.
           88  FEE-DUE-AT-INSUR-ATTCH      VALUE 'A'.
           88  FEE-RETAINED-BY-CFSA        VALUE 'C'.
           88  FEE-DUE-ON-CAT-ACRE-RPT     VALUE 'V'.
           88  VALID-ADMIN-FEE-FLGS        VALUE 'F' 'M' 'W'
                                                 'A' 'C' 'V'.

       01  WS-0009-REFUND-CANCEL-FLG      PIC X(01).
           88  CANCEL-IT                   VALUE 'C'.
           88  REFUND-IT                   VALUE 'R'.
           88  ITS-BLANK                   VALUE SPACE.
           88  VALID-REFUND-CANCEL-FLGS    VALUE 'C' 'R' ' '.

       01  WS-0009-CFSA-REINS             PIC X(01).
           88  CFSA                        VALUE 'C'.
           88  REINSURED                   VALUE 'R'.
           88  VALID-CFSA-REINS            VALUE 'C' 'R'.


       01  WS-0009-GUARANTEE-REDUCT-FLG   PIC X(01).
           88  LATE-PLANTING               VALUE 'L'.
           88  PREVENTED-PLANTING          VALUE 'P'.
           88  NOT-LPO-OR-PP              VALUE ' '.
           88  VALID-GUARANTEE-REDUCT-FLG  VALUE 'L' 'P' ' '.

       01  WS-0009-NCS-FCIC-2-FLG         PIC X(01).
           88  VALID-NCS-FCIC-2-FLGS       VALUE 'Y' 'N' 'R' 'P' '3'
                                                 'W' 'F' 'S' 'A' ' '.


       01  WS-0009-INSURANCE-PLAN         PIC 9(02).
           88  AVOCADO-PLAN                VALUE 46.
           88  PEANUTS-PLAN                VALUE 10.
           88  GRP-PLAN                    VALUE 12.
           88  GUARANTEE-TOBACCO-PLAN      VALUE 30.
           88  FLORIDA-FRUIT-TREE-PLAN     VALUE 40.
           88  DOLLAR-AMT-PLAN             VALUE 50.
           88  YIELD-BASED-DOL-AMT-PLAN    VALUE 55.
           88  QUOTA-TOBACCO-PLAN          VALUE 70.
           88  RICE-PLAN                   VALUE 84.
           88  AREA-PLAN                   VALUE 86.
           88  APH-PLAN                    VALUE 90.
           88  CRC-PLAN                    VALUE 44.
           88  IP-PLAN                     VALUE 42.
           88  RA-PLAN                     VALUE 25.
           88  VALID-INSURANCE-PLAN        VALUE 10 12 25 30 40 42 44 46
                                                 50 55 70 84 86 90.

       01  WS-0009-OPTION-CODES           PIC X(02).
           88  APPLE-SCAB                  VALUE 'AS'.
           88  BASIC-UNIT-DISCOUNT         VALUE 'BU'.
           88  CERTIFIED-SEED              VALUE 'CS'.
           88  ENTERPRISE-UNIT             VALUE 'EU'.
           88  FRESH-FRUIT-OPTION-A        VALUE 'FA'.
           88  FRESH-FRUIT-OPTION-B        VALUE 'FB'.
           88  FROST-AND-FREEZE            VALUE 'FF'.
           88  FRESH-FRUIT-FOR-PROCESSING  VALUE 'FP'.
           88  WITH-FROST-PROTECTION       VALUE 'FR'.
           88  FROST-FREEZE-COLD-EXCLUSION VALUE 'FX'.
           88  HAIL-AND-FIRE-EXCLUSION     VALUE 'HF'.
           88  HIGH-RISK-LAND-EXCLUSION    VALUE 'HR'.
           88  HARVEST-INCENTIVE           VALUE 'IH'.
           88  MALTING-BARLEY-OPTION-A     VALUE 'MA'.
           88  MALTING-BARLEY-OPTION-B     VALUE 'MB'.
           88  PROCESSING-QUALITY-OPT-1    VALUE 'PA'.
           88  PROCESSING-QUALITY-OPT-2    VALUE 'PB'.
           88  PREVENTED-PLANTING          VALUE 'PP'.
           88  QUALITY-OPTION-1            VALUE 'QA'.
           88  QUALITY-OPTION-2            VALUE 'QB'.
           88  SHORT-RATE-ADJUSTMENT       VALUE 'SR'.
           88  SUNBURN                     VALUE 'SU'.
           88  MINIMUM-VALUE-OPTION-A      VALUE 'VA'.
           88  MINIMUM-VALUE-OPTION-B      VALUE 'VB'.
           88  MINIMUM-VALUE-OPTION        VALUE 'VO'.
           88  WINTER-WHEAT-OPTION-A       VALUE 'WA'.
           88  WINTER-WHEAT-OPTION-B       VALUE 'WB'.
           88  WITHOUT-WEED-CONTROL        VALUE 'WC'.
           88  WHOLE-FARM-UNIT             VALUE 'WU'.
           88  NO-OPTION-SPECIFIED         VALUE 'XX'.
           88  VALID-OPTION-CD-0009        VALUE 'AS' 'BU' 'CS' 'EU'
                                                 'FA' 'FB' 'FF' 'FP'
                                                 'FR' 'FX' 'HF' 'HR'
                                                 'IH' 'MA' 'MB' 'PA'
                                                 'PB' 'PP' 'QA' 'QB'
                                                 'SR' 'SU' 'VA' 'VB'
                                                 'VO' 'WA' 'WB' 'WC'
                                                 'WU' 'XX'.


       01 WS-0009-CROP-CATEGORIES        PIC 9(04).
          88 TREE-CROP-0009           VALUE
                                          WS-LITERAL-AVOCADO-TREES
                                          WS-LITERAL-CARAMBOLA-TREES
      * citrus-trees invalid for ROs, but left in for Leonard Dixon
                                          WS-LITERAL-CITRUS-TREES
                                          WS-LITERAL-CITRUS-TREES-I
                                          WS-LITERAL-CITRUS-TREES-II
                                          WS-LITERAL-CITRUS-TREES-III
                                          WS-LITERAL-CITRUS-TREES-IV
                                          WS-LITERAL-CITRUS-TREES-V
                                          WS-LITERAL-GRAPEFRUIT-TREES
                                          WS-LITERAL-LEMON-TREES
                                          WS-LITERAL-LIME-TREES
                                          WS-LITERAL-MAC-TREES
                                          WS-LITERAL-MANGO-TREES
                                          WS-LITERAL-ORANGE-TREES
                                          WS-LITERAL-OTHER-CITRUS-TREES.

          88 PERENNIAL-CROP-0009      VALUE
                                         WS-LITERAL-AVOCADOS
                                         WS-LITERAL-ALMONDS
                                         WS-LITERAL-APPLES
                                         WS-LITERAL-BLUEBERRIES
                                         WS-LITERAL-CITRUS
                                         WS-LITERAL-CITRUS
                                         WS-LITERAL-CITRUS-I
                                         WS-LITERAL-CITRUS-II
                                         WS-LITERAL-CITRUS-III
                                         WS-LITERAL-CITRUS-IV
                                         WS-LITERAL-CITRUS-V
                                         WS-LITERAL-CITRUS-VI
                                         WS-LITERAL-CITRUS-VII
                                         WS-LITERAL-CRANBERRIES
                                         WS-LITERAL-FIGS
                                         WS-LITERAL-FRESH-PLUMS
                                         WS-LITERAL-GRAPEFRUIT
                                         WS-LITERAL-GRAPES
                                         WS-LITERAL-LEMONS
                                         WS-LITERAL-MAC-NUTS
                                         WS-LITERAL-MANDARINS
                                         WS-LITERAL-ORANGES
                                         WS-LITERAL-PEACHES
                                         WS-LITERAL-PEARS
                                         WS-LITERAL-PRUNES
                                         WS-LITERAL-RAISINS
                                         WS-LITERAL-TABLE-GRAPES
                                         WS-LITERAL-TANGELOS
                                         WS-LITERAL-WALNUTS
                                         WS-LITERAL-NAVEL-ORANGES
                                         WS-LITERAL-SWEET-ORANGES
                                         WS-LITERAL-VALENCIA-ORANGES
                                         WS-LITERAL-MINEOLA-TANGELOS
                                         WS-LITERAL-ORLANDO-TANGELOS
                                         WS-LITERAL-KINNOW-MANDARINS
                                         WS-LITERAL-FRESH-APRICOTS
                                         WS-LITERAL-PROCESSING-APRICOTS
                                         WS-LITERAL-FRESH-NECTARINES
                                         WS-LITERAL-PROC-CLING-PEACHES
                                         WS-LITERAL-PROCESS-FREESTONE
                                         WS-LITERAL-FRESH-FREESTONE
                                         WS-LITERAL-EARLY-MID-ORANGES
                                         WS-LITERAL-LATE-ORANGES
                                         WS-LITERAL-ALL-OTH-GRAPEFRUIT
                                         WS-LITERAL-RUBY-RED-GRAPEFRUIT
                                         WS-LITERAL-RIO-RED-STAR-RUBY.


          88 CATEGORY-B-CROP-0009     VALUE
                                         WS-LITERAL-BARLEY
                                         WS-LITERAL-CANNING-BEANS
                                         WS-LITERAL-CANOLA
                                         WS-LITERAL-CORN
                                         WS-LITERAL-COTTON
                                         WS-LITERAL-COTTON-XTRA-LONG
                                         WS-LITERAL-DRY-BEANS
                                         WS-LITERAL-DRY-PEAS
                                         WS-LITERAL-FLAX
                                         WS-LITERAL-FORAGE-PROD
                                         WS-LITERAL-FRESH-TOMATOES
                                         WS-LITERAL-GRAIN-SORGHUM
                                         WS-LITERAL-GREEN-PEAS
                                         WS-LITERAL-MILLET
                                         WS-LITERAL-OATS
                                         WS-LITERAL-ONIONS
                                         WS-LITERAL-POTATOES
                                         WS-LITERAL-POPCORN
                                         WS-LITERAL-RICE
                                         WS-LITERAL-RYE
                                         WS-LITERAL-SAFFLOWER
                                         WS-LITERAL-SOYBEANS
                                         WS-LITERAL-SUGAR-BEETS
                                         WS-LITERAL-SUGAR-CANE
                                         WS-LITERAL-SUNFLOWERS
                                         WS-LITERAL-SWEET-CORN
                                         WS-LITERAL-BURLEY-TOBACCO
                                         WS-LITERAL-MARYLAND-TOBACCO
                                         WS-LITERAL-DARK-AIR-TOBACCO
                                         WS-LITERAL-CIGAR-FILL-TOBACCO
                                         WS-LITERAL-CIGAR-BINDR-TOBACCO
                                         WS-LITERAL-CIGAR-WRAPR-TOBACCO
                                         WS-LITERAL-TOMATOES
                                         WS-LITERAL-WHEAT.


          88  CATEGORY-C-CROP-0009     VALUE
                                         WS-LITERAL-AVOCADOS
                                         WS-LITERAL-ALMONDS
                                         WS-LITERAL-APPLES
                                         WS-LITERAL-BLUEBERRIES
                                         WS-LITERAL-CRANBERRIES
                                         WS-LITERAL-CITRUS
                                         WS-LITERAL-CITRUS-I
                                         WS-LITERAL-CITRUS-II
                                         WS-LITERAL-CITRUS-III
                                         WS-LITERAL-CITRUS-IV
                                         WS-LITERAL-CITRUS-V
                                         WS-LITERAL-CITRUS-VI
                                         WS-LITERAL-FIGS
                                         WS-LITERAL-GRAPEFRUIT
                                         WS-LITERAL-GRAPES
                                         WS-LITERAL-LEMONS
                                         WS-LITERAL-MAC-NUTS
                                         WS-LITERAL-MANDARINS
                                         WS-LITERAL-ORANGES
                                         WS-LITERAL-PEACHES
                                         WS-LITERAL-PEARS
                                         WS-LITERAL-FRESH-PLUMS
                                         WS-LITERAL-PRUNES
                                         WS-LITERAL-TABLE-GRAPES
                                         WS-LITERAL-TANGELOS
                                         WS-LITERAL-WALNUTS
                                         WS-LITERAL-MINEOLA-TANGELOS
                                         WS-LITERAL-NAVEL-ORANGES
                                         WS-LITERAL-SWEET-ORANGES
                                         WS-LITERAL-VALENCIA-ORANGES
                                         WS-LITERAL-ORLANDO-TANGELOS
                                         WS-LITERAL-KINNOW-MANDARINS
                                         WS-LITERAL-FRESH-APRICOTS
                                         WS-LITERAL-PROCESSING-APRICOTS
                                         WS-LITERAL-FRESH-NECTARINES
                                         WS-LITERAL-PROC-CLING-PEACHES
                                         WS-LITERAL-PROCESS-FREESTONE
                                         WS-LITERAL-FRESH-FREESTONE
                                         WS-LITERAL-EARLY-MID-ORANGES
                                         WS-LITERAL-LATE-ORANGES
                                         WS-LITERAL-ALL-OTH-GRAPEFRUIT
                                         WS-LITERAL-RUBY-RED-GRAPEFRUIT
                                         WS-LITERAL-RIO-RED-STAR-RUBY.


       01  WS-0009-PAYMENT-TYPE           PIC 9(02).
           88 PAID-BY-INSURED               VALUE 00.
           88 STATE-SUBSIDY                 VALUE 04.


       01  WS-0009-PEANUT-FLAG            PIC X(01).
           88 QUOTA-PEANUTS-0009            VALUE 'Q'.
           88 NON-QUOTA-PEANUTS-0009        VALUE 'N'.
           88 NOT-SET-0009                  VALUE SPACES.

