      ****************************************************************
      *     THIS AREA OF WORKING STORAGE DEFINES THE TRANSACTION     *
      *     TABLE FOR THE CURRENT CROP'S TYPE 11 RECORDS AS WELL AS  *
      *     THE STATUS VARIABLES FOR THAT TABLE.                     *
      *                                                              *
      *     FILE  : WS0011.CBL                                       *
      *     AUTHOR: MIKE RAY AND CHERYL D. WOOD                      *
      *     DATE  : AUG 10, 1995                                     *
      ****************************************************************

       01 WS-0011-T11-STATUS.
          05 WS-0011-T11-REC-COUNT          PIC 9(03).
          05 WS-0011-T11-INT-INDEX          PIC 9(08).

      $IF PC-SW DEFINED
       01 WS-0011-MAX-SIZE               PIC 9(03)
          VALUE WS-LITERAL-PC-T11-SIZE.
       01 WS-0011-T11-TABLE.
          05 WS-0011-T11-RECORD OCCURS WS-LITERAL-PC-T11-SIZE TIMES
             INDEXED BY WS-0011-T11-INDEX.
      $ELSE
       01 WS-0011-MAX-SIZE               PIC 9(03)
          VALUE WS-LITERAL-SUN-T11-SIZE.
       01 WS-0011-T11-TABLE.
          05 WS-0011-T11-RECORD OCCURS WS-LITERAL-SUN-T11-SIZE TIMES
             INDEXED BY WS-0011-T11-INDEX.
      $END

      **********************************************************
      *       THIS IS THE CROP POLICY TYPE WHICH IS ADDED      *
      *         IN WHEN THE TRANSACTION IS PUT INTO THE        *
      *         TABLE (USE 0211-LOOKUP-CROP-POL-TYPE)          *
      **********************************************************
             10 WS-0011-TBL-CROP-POLICY-TY     PIC X(04).

      **********************************************************
      *   THE HIGH AND LOW YIELDS FOR THE CROP/STATE/COUNTY    *
      **********************************************************
             10 WS-0011-TBL-LOW-YIELD          PIC 9(07)V9(02).
             10 WS-0011-TBL-HIGH-YIELD         PIC 9(07)V9(02).

      **********************************************************
      *       THIS IS A COMPLETE TYPE 11 RECORD WHICH CAN BE   *
      *                   REFERENCED IN MOVES.                 *
      **********************************************************
             10 WS-0011-TBL-TYPE-11.
                15 WS-0011-TBL-RECORD-TYPE        PIC 9(02).
                15 WS-0011-TBL-POLICY-NO.
                   20 WS-0011-TBL-REPORTING-ORG      PIC X(02).
                   20 WS-0011-TBL-LOC-STATE          PIC 9(02).
                   20 WS-0011-TBL-COMPANY-COUNTY     PIC 9(03).
                   20 WS-0011-TBL-POLICY-NUM         PIC 9(07).
                   20 WS-0011-TBL-CROP-YEAR          PIC 9(04).
                15 WS-0011-TBL-CROP-CD            PIC 9(04).
                15 WS-0011-TBL-INSURANCE-PLAN-CD  PIC 9(02).
                15 WS-0011-TBL-LOCATION-COUNTY    PIC 9(03).
                15 WS-0011-TBL-UNIT-NUM.
                   20 WS-0011-TBL-BASIC-UNIT-NUM    PIC 9(03).
                   20 WS-0011-TBL-OPTIONAL-UNIT     PIC 9(02).
                15 WS-0011-TBL-TYPE-CD            PIC 9(03).
                15 WS-0011-TBL-PRACTICE-CD        PIC 9(03).
                15 WS-0011-TBL-COVERAGE-FLG       PIC X(01).
                15 WS-0011-TBL-KEY-RESERVE        PIC X(32).
                15 WS-0011-TBL-FILLER-1           PIC 9(02).
                15 WS-0011-TBL-RECORD-NUM         PIC 9(03).
                15 WS-0011-TBL-TYPE15-REC-NO      PIC 9(03).
                15 WS-0011-TBL-AGENT-ID-CODE      PIC X(09).
                15 WS-0011-TBL-RATE-CLASS         PIC X(03).
                15 WS-0011-TBL-MAP-AREA           PIC X(03).
                15 WS-0011-TBL-CRUSH-DISTRICT     PIC X(02).
                15 WS-0011-TBL-REF-CROP-YEAR      PIC 9(04).
                15 WS-0011-TBL-NCS-FCIC-2-FL      PIC X(01).
                15 WS-0011-TBL-DATE-PLANTED       PIC 9(08).
                15 WS-0011-TBL-GUARANTEE-RED-FLG  PIC X(01).
                15 WS-0011-TBL-YIELD              PIC 9(07)V9(01).
                15 WS-0011-TBL-DOLLAR-AMT-INSUR   PIC 9(06)V9(02).
                15 WS-0011-TBL-QUOTA              PIC 9(10).
                15 WS-0011-TBL-COVERAGE-LEVEL-PCT PIC 9(02).
                15 WS-0011-TBL-GUAR-PER-ACRE      PIC 9(06)V9(02).
                15 WS-0011-TBL-GUARANTEE-RED-PCT  PIC V9(03).
                15 WS-0011-TBL-GUAR-RED-PCT-X REDEFINES
                   WS-0011-TBL-GUARANTEE-RED-PCT  PIC X(03).
                15 WS-0011-TBL-REPORTED-ACRES     PIC 9(06)V9(02).
                15 WS-0011-TBL-TOTAL-GUARANTEE    PIC 9(08)V9(02).
                15 WS-0011-TBL-PRICE-ELECTION     PIC 9(04)V9(04).
                15 WS-0011-TBL-INSURED-SHARE      PIC 9(01)V9(03).
                15 WS-0011-TBL-LIABILITY          PIC 9(09).
                15 WS-0011-TBL-YLD-CONVR-PCT-FCTR PIC 9(01)V9(02).
                15 WS-0011-TBL-BASE-PREM-RATE     PIC 9(04)V9(04).
                15 WS-0011-TBL-UNIT-OPT-CD        PIC X(02).
                15 WS-0011-TBL-ADDITIONAL-OPT-CD  PIC X(06).
                15 WS-0011-TBL-TYPE-PRAC-OPT-CD   PIC X(08).
                15 WS-0011-TBL-EXPERIENCE-FACTOR  PIC 9(01)V9(02).
                15 WS-0011-TBL-PREM-RATE-SURCHG   PIC X(01).
                15 WS-0011-TBL-TOTAL-PREMIUM      PIC 9(08).
                15 WS-0011-TBL-PRODUCER-PREMIUM   PIC 9(08).
                15 WS-0011-TBL-PRIVATE-POLICY-CD  PIC X(03).
                15 WS-0011-TBL-INTENDED-ACREAGE-F PIC X(01).
                15 WS-0011-TBL-SEED-COMPANY-CD    PIC 9(03).
                15 WS-0011-TBL-RATE-STATE         PIC 9(02).
                15 WS-0011-TBL-RATE-COUNTY        PIC 9(03).
                15 WS-0011-TBL-FARM-SERIAL-NUM    PIC X(07).
                15 WS-0011-TBL-REV-CVG-LVL-PCT    PIC 9(01)V9(04).
                15 WS-0011-TBL-NBR-OF-SECTIONS    PIC 9(02).
                15 WS-0011-TBL-UNIT-PREM-ADJ-FCTR PIC 9(01)V9(03).
                15 WS-0011-TBL-PARTIAL-PP-FLAG    PIC X(01).
                15 WS-0011-TBL-IP-CNTY-AVG-YLD    PIC 9(07)V9(01).
                15 WS-0011-TBL-WFARM-DISC-FCTR    PIC 9(01)V9(03).
                15 WS-0011-FILLER-2               PIC X(24).
                15 WS-0011-TBL-SEED-CYCLE-CD      PIC X(01).
                15 WS-0011-TBL-CRC-APH-PREMIUM    PIC 9(08).
                15 WS-0011-TBL-CAT-65-100-PREM    PIC 9(08).
                15 WS-0011-TBL-1996-CROP-CD       PIC 9(03).
                15 WS-0011-TBL-1996-TYPE-CD       PIC X(03).
                15 WS-0011-TBL-RM-RECEIPT-DATE    PIC 9(08).
                15 WS-0011-FILLER-3               PIC X(02).
                15 WS-0011-TBL-WEEKS-LATE         PIC 9(02).
                15 WS-0011-TBL-FIRST-SUB-FLAG     PIC X(01).
                15 WS-0011-FILLER-4               PIC X(02).
                15 WS-0011-TBL-FSA-CONTROL-DATE   PIC 9(08).
                15 WS-0011-TBL-FCIC-CONTROL-TIME  PIC X(08).
                15 WS-0011-TBL-FCIC-CONTROL-DATE  PIC X(08).
                15 WS-0011-TBL-REINS-YR           PIC 9(04).
                15 WS-0011-TBL-BATCH-NO           PIC 9(04).
                15 WS-0011-TBL-TRAN-SEQ-NO        PIC 9(08).
                15 WS-0011-TBL-TRAN-REJECTED-FLAG PIC X(01).
                15 WS-0011-TBL-TRAN-SOURCE-FLAG   PIC X(01).
                15 WS-0011-TBL-MDAS-PROCESS-NO    PIC 9(02).
                15 WS-0011-FILLER-5               PIC X(14).



      *****************************************************************
      *  THE FIELDS BELOW STORE THE REVENUE ASSURANCE INFORMATION     *
      *  FOR THE CURRENT CROP POLICY                                  *
      *****************************************************************
       01 WS-0011-RA-DATA.
          05 WS-0011-RA-CORN-UNIT-ORG           PIC X(02).
          05 WS-0011-RA-SOY-UNIT-ORG            PIC X(02).
          05 WS-0011-RA-CORN-ACRES              PIC 9(08)V9(02).
          05 WS-0011-RA-CORN-YIELD-X-ACRES      PIC 9(10)V9(08).
          05 WS-0011-RA-CORN-PRICE-ELECTION     PIC 9(04)V9(04).
          05 WS-0011-RA-CORN-CVG-LVL-PCT        PIC 9(01)V9(04).
          05 WS-0011-RA-CORN-DOL-AMT-PROT       PIC 9(08)V9(02).
          05 WS-0011-RA-SOY-ACRES               PIC 9(08)V9(02).
          05 WS-0011-RA-SOY-YIELD-X-ACRES       PIC 9(10)V9(08).
          05 WS-0011-RA-SOY-PRICE-ELECTION      PIC 9(04)V9(04).
          05 WS-0011-RA-SOY-CVG-LVL-PCT         PIC 9(01)V9(04).
          05 WS-0011-RA-SOY-DOL-AMT-PROT        PIC 9(08)V9(02).
          05 WS-0011-RA-WFARM-CVG-LVL-PCT       PIC 9(01)V9(04).
          05 WS-0011-RA-WFARM-DOL-AMT-PROT      PIC 9(08)V9(02).

      *****************************************************************
      *  THE TABLE DEFINED BELOW STORE THE TOTAL LIABILITY AND TOTAL  *
      *  LIABILITY BY UNIT.                                           *
      *  IT IS POPULATED WHEN THE TYPE 11 TRANSACTION TABLE (ABOVE)   *
      *  IS POPULATED.                                                *
      *****************************************************************

       01 WS-0011-UNIT-STATUS.
          05 WS-0011-UNIT-REC-COUNT             PIC 9(03).
          05 WS-0011-UNIT-INT-INDEX             PIC 9(08).

      $IF PC-SW DEFINED
       01 WS-0011-UNIT-MAX-SIZE            PIC 9(03)
          VALUE WS-LITERAL-PC-T11-SIZE.
       01 WS-0011-UNIT-TABLE.
          05 WS-0011-UNIT-RECORD OCCURS WS-LITERAL-PC-T11-SIZE TIMES
             INDEXED BY WS-0011-UNIT-INDEX.
      $ELSE
       01 WS-0011-UNIT-MAX-SIZE            PIC 9(03)
          VALUE WS-LITERAL-SUN-T11-SIZE.
       01 WS-0011-UNIT-TABLE.
          05 WS-0011-UNIT-RECORD OCCURS WS-LITERAL-SUN-T11-SIZE TIMES
             INDEXED BY WS-0011-UNIT-INDEX.
      $END
             10 WS-0011-UNIT-TBL-REC.
                15 WS-0011-UNIT-TBL-CROP-TYPE      PIC X(03).
                15 WS-0011-UNIT-TBL-LOC-COUNTY     PIC 9(03).
                15 WS-0011-UNIT-TBL-BASIC-UNIT     PIC 9(03).
                15 WS-0011-UNIT-TBL-OPTIONAL-UNIT  PIC 9(02).
                15 WS-0011-UNIT-TBL-INS-PLAN-CD    PIC 9(02).
                15 WS-0011-UNIT-TBL-UNIT-OPT-CD    PIC X(02).
                15 WS-0011-UNIT-TBL-ADDTNL-OPT-CD  PIC X(06).
                15 WS-0011-UNIT-TBL-TOT-LIABILITY  PIC 9(10).
                15 WS-0011-UNIT-TBL-TOT-RPT-ACRES  PIC 9(07)V9(02).
                15 WS-0011-UNIT-TBL-GUAR-PER-ACRE  PIC 9(06)V9(02).
                15 WS-0011-UNIT-TBL-TOT-GUARANTEE  PIC 9(12)V9(01).
