      ****************************************************************
      *     THIS AREA OF WORKING STORAGE DEFINES THE TRANSACTION     *
      *     TABLE FOR THE CURRENT CROP'S TYPE 12 RECORDS AS WELL AS  *
      *     THE STATUS VARIABLES FOR THAT TABLE.                     *
      *                                                              *
      *     FILE  : WS0012.CBL                                       *
      *     AUTHOR: MIKE RAY AND CHERYL D. WOOD                      *
      *     DATE  : AUG 10, 1995                                     *
      ****************************************************************

       01 WS-0012-T12-STATUS.
          05 WS-0012-T12-REC-COUNT          PIC 9(03).
          05 WS-0012-T12-INT-INDEX          PIC 9(08).

      $IF PC-SW DEFINED
       01 WS-0012-MAX-SIZE               PIC 9(03)
          VALUE WS-LITERAL-PC-T12-SIZE.
       01 WS-0012-T12-TABLE.
          05 WS-0012-T12-RECORD OCCURS WS-LITERAL-PC-T12-SIZE TIMES
             INDEXED BY WS-0012-T12-INDEX.
      $ELSE
       01 WS-0012-MAX-SIZE               PIC 9(03)
          VALUE WS-LITERAL-SUN-T12-SIZE.
       01 WS-0012-T12-TABLE.
          05 WS-0012-T12-RECORD OCCURS WS-LITERAL-SUN-T12-SIZE TIMES
             INDEXED BY WS-0012-T12-INDEX.
      $END

      **********************************************************
      *       THIS IS A COMPLETE TYPE 12 RECORD WHICH CAN BE   *
      *                   REFERENCED IN MOVES.                 *
      **********************************************************
             10 WS-0012-TBL-TYPE-12.
                15 WS-0012-TBL-RECORD-TYPE        PIC 9(02).            1
                15 WS-0012-TBL-POLICY-NO.
                   20 WS-0012-TBL-REPORTING-ORG      PIC X(02).         3
                   20 WS-0012-TBL-LOC-STATE          PIC 9(02).         5
                   20 WS-0012-TBL-COMPANY            PIC 9(03).         7
                   20 WS-0012-TBL-POLICY-NUM         PIC 9(07).         10
                   20 WS-0012-TBL-CROP-YEAR          PIC 9(04).         17
                15 WS-0012-TBL-KEY-RESERVE        PIC X(55).            21
                15 WS-0012-TBL-RECORD-NUM         PIC 9(03).            76
                15 WS-0012-TBL-PAYMENT-TYPE       PIC 9(02).            79
                15 WS-0012-TBL-PAID-AMOUNT        PIC S9(08)V9(02)      81
                    SIGN IS TRAILING.
                15 WS-0012-TBL-PREPAYMENT-FLG     PIC 9(01).            91
                15 WS-0012-TBL-PAID-DATE          PIC 9(08).            92
                15 WS-0012-TBL-FILLER-1           PIC X(251).           100
                15 WS-0012-TBL-FCIC-CONTROL-TIME  PIC 9(08).            351
                15 WS-0012-TBL-FCIC-CONTROL-DATE  PIC 9(08).
                15 WS-0012-TBL-REINS-YR           PIC 9(04).
                15 WS-0012-TBL-BATCH-NO           PIC 9(04).
                15 WS-0012-TBL-TRAN-SEQ-NO        PIC 9(08).
                15 WS-0012-TBL-TRAN-REJECTED-FLAG PIC X(01).
                15 WS-0012-TBL-TRAN-SOURCE-FL     PIC X(01).
                15 WS-0012-TBL-MDAS-PROCESS-NO    PIC 9(02).
                15 WS-0012-TBL-FILLER-2           PIC X(14).

