      ****************************************************************
      *     THIS AREA OF WORKING STORAGE DEFINES THE TRANSACTION     *
      *     TABLE FOR THE CURRENT CROP'S TYPE 15 RECORDS AS WELL AS  *
      *     THE STATUS VARIABLES FOR THAT TABLE.                     *
      *                                                              *
      *     FILE  : WS0015.CBL                                       *
      *     AUTHOR: MIKE RAY AND CHERYL D. WOOD                      *
      *     DATE  : AUG 10, 1995                                     *
      *                                                              *
      *     MODIFICATIONS:                                           *
      *                                                              *
      *     12/03/96  PUT YIELD LIMITATION FLAG BACK INTO T15,
      *               PER M13 (REVISION 03).  JLH.
      ****************************************************************

       01 WS-0015-T15-STATUS.
          05 WS-0015-T15-REC-COUNT          PIC 9(03).
          05 WS-0015-T15-INT-INDEX          PIC 9(08).

      $IF PC-SW DEFINED
       01 WS-0015-MAX-SIZE               PIC 9(03)
          VALUE WS-LITERAL-PC-T15-SIZE.

       01 WS-0015-T15-TABLE.
          05 WS-0015-T15-RECORD OCCURS WS-LITERAL-PC-T15-SIZE TIMES
             INDEXED BY WS-0015-T15-INDEX.
      $ELSE
       01 WS-0015-MAX-SIZE               PIC 9(03)
          VALUE WS-LITERAL-SUN-T15-SIZE.

       01 WS-0015-T15-TABLE.
          05 WS-0015-T15-RECORD OCCURS WS-LITERAL-SUN-T15-SIZE TIMES
             INDEXED BY WS-0015-T15-INDEX.
      $END


      **********************************************************
      *                 AVERAGE APH YIELD                      *
      **********************************************************
             10 WS-0015-TBL-AVG-APH-YIELD      PIC 9(05)V9(01).

      **********************************************************
      *   FARMER'S APPROVED AVG REVENUE FOR AVOCADOS WHICH IS  *
      *   CALCULATED IN IF2537                                 *
      **********************************************************
               10  WS-0015-TBL-FARM-APR-AVG-REV   PIC 9(06)V9(02).

      **********************************************************
      *         ACTUAL YEARS & REFERENCE YEAR REQUIREMENTS     *
      **********************************************************
             10 WS-0015-TBL-ACTUAL-YEARS       PIC 9(02).
             10 WS-0015-TBL-REF-YEARS-REQ      PIC 9(01).

      **********************************************************
      *       THIS IS THE CROP POLICY TYPE WHICH IS ADDED      *
      *         IN WHEN THE TRANSACTION IS PUT INTO THE        *
      *         TABLE (USE 0211-LOOKUP-CROP-POL-TYPE)          *
      **********************************************************
             10 WS-0015-TBL-CROP-POLICY-TY     PIC X(04).

      **********************************************************
      *       THIS IS A COMPLETE TYPE 15 RECORD WHICH CAN BE   *
      *                   REFERENCED IN MOVES.                 *
      **********************************************************
             10 WS-0015-TBL-TYPE-15.
                15 WS-0015-TBL-RECORD-TYPE        PIC 9(02).
                15 WS-0015-TBL-POLICY-NO.
                   20 WS-0015-TBL-REPORTING-ORG      PIC X(02).
                   20 WS-0015-TBL-LOC-STATE          PIC 9(02).
                   20 WS-0015-TBL-COMPANY-COUNTY     PIC 9(03).
                   20 WS-0015-TBL-POLICY-NUM         PIC 9(07).
                   20 WS-0015-TBL-CROP-YEAR          PIC 9(04).
                15 WS-0015-TBL-CROP-CD            PIC 9(04).
                15 WS-0015-TBL-INSURANCE-PLAN-CD  PIC 9(02).
                15 WS-0015-TBL-LOCATION-COUNTY    PIC 9(03).
                15 WS-0015-TBL-UNIT-NUMBER        PIC 9(05).
                15 WS-0015-TBL-UNIT-NUMBER-X REDEFINES
                   WS-0015-TBL-UNIT-NUMBER.
                   20 WS-0015-TBL-BASIC-UNIT-NUM     PIC 9(03).
                   20 WS-0015-TBL-BASIC-UNIT-NUM-X REDEFINES
                      WS-0015-TBL-BASIC-UNIT-NUM     PIC X(03).
                   20 WS-0015-TBL-OPTIONAL-UNIT      PIC 9(02).
                   20 WS-0015-TBL-OPTIONAL-UNIT-X REDEFINES
                      WS-0015-TBL-OPTIONAL-UNIT      PIC X(02).
                15 WS-0015-TBL-TYPE-CD            PIC 9(03).
                15 WS-0015-TBL-PRACTICE-CD        PIC 9(03).
                15 WS-0015-TBL-COVERAGE-FLG       PIC X(01).
                15 WS-0015-TBL-KEY-RESERVE        PIC X(32).
                15 WS-0015-TBL-FILLER-1           PIC 9(02).
                15 WS-0015-TBL-RECORD-NUM         PIC 9(03).
                15 WS-0015-TBL-MAP-AREA           PIC X(03).
                15 WS-0015-TBL-NCS-EXCEPTION-FLAG PIC X(01).
                15 WS-0015-TBL-NCS-YIELD-FACTOR   PIC 9(01)V9(02).
                15 WS-0015-TBL-REVIEW-FLG         PIC 9(02).
                15 WS-0015-TBL-YIELD-INDICATOR    PIC X(01).
                15 WS-0015-TBL-TRANSITIONAL-YIELD PIC 9(05)V9(01).
                15 WS-0015-TBL-CFSA-YIELD         PIC 9(05)V9(01).
                15 WS-0015-TBL-APPROVED-YIELD     PIC 9(05)V9(01).
                15 WS-0015-TBL-PREV-APPROV-YIELD  PIC 9(05)V9(01).
                15 WS-0015-TBL-YIELD-YEAR1        PIC 9(02).
                15 WS-0015-TBL-YIELD-TYPE-YEAR1   PIC X(01).
                15 WS-0015-TBL-ANNUAL-YIELD1      PIC 9(05)V9(01).
                15 WS-0015-TBL-YIELD-ACRE1        PIC 9(05)V9(02).
                15 WS-0015-TBL-YIELD-YEAR2        PIC 9(02).
                15 WS-0015-TBL-YIELD-TYPE-YEAR2   PIC X(01).
                15 WS-0015-TBL-ANNUAL-YIELD2      PIC 9(05)V9(01).
                15 WS-0015-TBL-YIELD-ACRE2        PIC 9(05)V9(02).
                15 WS-0015-TBL-YIELD-YEAR3        PIC 9(02).
                15 WS-0015-TBL-YIELD-TYPE-YEAR3   PIC X(01).
                15 WS-0015-TBL-ANNUAL-YIELD3      PIC 9(05)V9(01).
                15 WS-0015-TBL-YIELD-ACRE3        PIC 9(05)V9(02).
                15 WS-0015-TBL-YIELD-YEAR4        PIC 9(02).
                15 WS-0015-TBL-YIELD-TYPE-YEAR4   PIC X(01).
                15 WS-0015-TBL-ANNUAL-YIELD4      PIC 9(05)V9(01).
                15 WS-0015-TBL-YIELD-ACRE4        PIC 9(05)V9(02).
                15 WS-0015-TBL-YIELD-YEAR5        PIC 9(02).
                15 WS-0015-TBL-YIELD-TYPE-YEAR5   PIC X(01).
                15 WS-0015-TBL-ANNUAL-YIELD5      PIC 9(05)V9(01).
                15 WS-0015-TBL-YIELD-ACRE5        PIC 9(05)V9(02).
                15 WS-0015-TBL-YIELD-YEAR6        PIC 9(02).
                15 WS-0015-TBL-YIELD-TYPE-YEAR6   PIC X(01).
                15 WS-0015-TBL-ANNUAL-YIELD6      PIC 9(05)V9(01).
                15 WS-0015-TBL-YIELD-ACRE6        PIC 9(05)V9(02).
                15 WS-0015-TBL-YIELD-YEAR7        PIC 9(02).
                15 WS-0015-TBL-YIELD-TYPE-YEAR7   PIC X(01).
                15 WS-0015-TBL-ANNUAL-YIELD7      PIC 9(05)V9(01).
                15 WS-0015-TBL-YIELD-ACRE7        PIC 9(05)V9(02).
                15 WS-0015-TBL-YIELD-YEAR8        PIC 9(02).
                15 WS-0015-TBL-YIELD-TYPE-YEAR8   PIC X(01).
                15 WS-0015-TBL-ANNUAL-YIELD8      PIC 9(05)V9(01).
                15 WS-0015-TBL-YIELD-ACRE8        PIC 9(05)V9(02).
                15 WS-0015-TBL-YIELD-YEAR9        PIC 9(02).
                15 WS-0015-TBL-YIELD-TYPE-YEAR9   PIC X(01).
                15 WS-0015-TBL-ANNUAL-YIELD9      PIC 9(05)V9(01).
                15 WS-0015-TBL-YIELD-ACRE9        PIC 9(05)V9(02).
                15 WS-0015-TBL-YIELD-YEAR10       PIC 9(02).
                15 WS-0015-TBL-YIELD-TYPE-YEAR10  PIC X(01).
                15 WS-0015-TBL-ANNUAL-YIELD10     PIC 9(05)V9(01).
                15 WS-0015-TBL-YIELD-ACRE10       PIC 9(05)V9(02).
                15 WS-0015-TBL-RATE-STATE         PIC 9(02).
                15 WS-0015-TBL-RATE-COUNTY        PIC 9(03).
                15 WS-0015-TBL-FARM-SERIAL-NUM    PIC X(07).
                15 WS-0015-TBL-YIELD-LIMIT-FLG    PIC 9(01).
                15 WS-0015-TBL-FILLER-2           PIC X(56).
                15 WS-0015-TBL-YLD-CHK-BYPASS-FLG PIC X(01).
                15 WS-0015-TBL-FILLER-3           PIC X(08).
                15 WS-0015-TBL-FCIC-CONTROL-TIME  PIC 9(08).
                15 WS-0015-TBL-FCIC-CONTROL-DATE  PIC 9(08).
                15 WS-0015-TBL-REINS-YR           PIC 9(04).
                15 WS-0015-TBL-BATCH-NO           PIC 9(04).
                15 WS-0015-TBL-TRAN-SEQ-NO        PIC 9(08).
                15 WS-0015-TBL-TRAN-REJECTED-FLAG PIC X(01).
                15 WS-0015-TBL-TRAN-SOURCE-FLAG   PIC X(01).
                15 WS-0015-TBL-MDAS-PROCESS-NO    PIC 9(02).
                15 WS-0015-TBL-FILLER-3           PIC X(14).

