      ****************************************************************
      *     THIS AREA OF WORKING STORAGE DEFINES THE TRANSACTION     *
      *     TABLE FOR THE CURRENT POLICY'S TYPE 16 RECORDS AS WELL   *
      *     AS THE STATUS VARIABLES FOR THAT TABLE.                  *
      *                                                              *
      *     FILE  : WS0016.CBL                                       *
      *     AUTHOR: MIKE RAY AND CHERYL D. WOOD                      *
      *     DATE  : AUG 10, 1995                                     *
      ****************************************************************


       01  WS-0016-T16-STATUS.
           05 WS-0016-T16-REC-COUNT          PIC 9(03).
           05 WS-0016-T16-INT-INDEX          PIC 9(08).

      $IF PC-SW DEFINED
       01  WS-0016-MAX-SIZE               PIC 9(03)
           VALUE WS-LITERAL-PC-T16-SIZE.
       01  WS-0016-T16-TABLE.
           05  WS-0016-T16-RECORD OCCURS WS-LITERAL-PC-T16-SIZE TIMES
                  INDEXED BY WS-0016-T16-INDEX.
      $ELSE
       01  WS-0016-MAX-SIZE               PIC 9(03)
           VALUE WS-LITERAL-SUN-T16-SIZE.
       01  WS-0016-T16-TABLE.
           05  WS-0016-T16-RECORD OCCURS WS-LITERAL-SUN-T16-SIZE TIMES
                  INDEXED BY WS-0016-T16-INDEX.
      $END

      **********************************************************
      *       THIS IS A COMPLETE TYPE 16 RECORD WHICH CAN BE   *
      *                   REFERENCED IN MOVES.                 *
      **********************************************************
               10  WS-0016-TBL-TYPE-16.
                   15  FILLER                         PIC X(01).
                   15  WS-0016-TBL-POLICY-NO.
                       20  WS-0016-TBL-REPORTING-ORG      PIC X(02).
                       20  WS-0016-TBL-LOC-STATE          PIC 9(02).
                       20  WS-0016-TBL-COMPANY-COUNTY     PIC 9(03).
                       20  WS-0016-TBL-POLICY-NUM         PIC 9(06).
                       20  WS-0016-TBL-CROP-YEAR          PIC 9(02).
                   15  WS-0016-TBL-RECORD-TYPE        PIC 9(02).
                   15  FILLER                         PIC X(12).
                   15  WS-0016-TBL-BRNCH-OFF-STATE-CD PIC X(02).
                   15  FILLER                         PIC X(01).
                   15  WS-0016-TBL-LOCATION-COUNTY    PIC 9(03).
                   15  WS-0016-TBL-RECORD-NUM         PIC 9(03).
                   15  WS-0016-TBL-3RD-PARTY-TYPE     PIC X(01).
                   15  WS-0016-TBL-3RD-PARTY-NAME-TYP PIC X(01).
                   15  FILLER                         PIC X(10).
                   15  WS-0016-TBL-3RD-PARTY-LAST-NAM PIC X(20).
                   15  WS-0016-TBL-3RD-PARTY-FRST-NAM PIC X(12).
                   15  WS-0016-TBL-3RD-PARTY-MID-NAME PIC X(10).
                   15  WS-0016-TBL-3RD-PARTY-SFX      PIC X(03).
                   15  WS-0016-TBL-3RD-PARTY-ADDRESS  PIC X(20).
                   15  WS-0016-TBL-3RD-PARTY-CITY     PIC X(18).
                   15  WS-0016-TBL-3RD-PARTY-STATE    PIC X(02).
                   15  WS-0016-TBL-3RD-PARTY-ZIP      PIC 9(05).
                   15  WS-0016-TBL-3RD-PARTY-ZIP-EXT  PIC 9(04).
                   15  WS-0016-TBL-3RD-PARTY-ID-TYPE  PIC 9(01).
                   15  WS-0016-TBL-3RD-PARTY-ID-NUM   PIC 9(09).
                   15  FILLER                         PIC X(02).
                   15  WS-0016-TBL-3RD-PARTY-PHONE    PIC X(12).
                   15  WS-0016-TBL-PAYMENT-CROP-CODE  PIC 9(03).
                   15  WS-0016-TBL-PAYMENT-CROP-UNIT  PIC X(04).
                   15  WS-0016-TBL-SIGNATURE-DATE     PIC X(06).
                   15  WS-0016-TBL-GOVT-AGENCY-FLAG   PIC X(01).
                   15  WS-0016-TBL-PAYEE-FLAG         PIC X(01).
                   15  WS-0016-TBL-RELEASE-FLAG       PIC 9(01).
                   15  WS-0016-TBL-3RD-PARTY-BUS-NAME PIC X(30).
                   15  FILLER                         PIC X(10).
                   15  WS-0016-TBL-RO-CONTROL-DATE    PIC X(06).
                   15  WS-0016-TBL-FCIC-CONTROL-DATE  PIC X(06).
                   15  FILLER                         PIC X(12).
                   15  WS-0016-TBL-POSITION-250       PIC X(01).
                   15  WS-0016-TBL-REINS-YR           PIC 9(04).
                   15  WS-0016-TBL-BATCH-NO           PIC 9(04).
              	    15  WS-0016-TBL-TRAN-SEQ-NO        PIC 9(08).
                   15  WS-0016-TBL-TRAN-REJECTED-FLAG PIC X(01).
                   15  WS-0016-TBL-TRAN-SOURCE-FLAG   PIC X(01).
                   15  WS-0016-TBL-MDAS-PROCESS-NO    PIC 9(02).
                   15  FILLER                         PIC X(14).

