      ****************************************************************
      *     THIS AREA OF WORKING STORAGE DEFINES THE TRANSACTION     *
      *     TABLE FOR THE CURRENT POLICY'S TYPE 20 RECORDS AS WELL   *
      *     AS THE STATUS VARIABLES FOR THAT TABLE.                  *
      *                                                              *
      *     It also contains the total indemnity table which allows  *
      *     the sum of all type 20 records for a claim number to be  *
      *     compared with the sum of all type 21 and 22 records.     *
      *     This would be unnecessary if the type 20 record was      *
      *     modified so that there would be only one type 20 record  *
      *     per claim number.                                        *
      *                                                              *
      *     FILE    : WS0020.CBL                                     *
      *     AUTHOR  : MIKE RAY AND CHERYL D. WOOD                    *
      *     DATE    : SEP 13, 1995                                   *
      *     MODIFIED: 12/15/95                                       *
      ****************************************************************


       01 WS-0020-T20-STATUS.
          05 WS-0020-T20-REC-COUNT          PIC 9(03).
          05 WS-0020-T20-INT-INDEX          PIC 9(08).

      $IF PC-SW DEFINED
       01 WS-0020-MAX-SIZE               PIC 9(03)
          VALUE WS-LITERAL-PC-T20-SIZE.
       01 WS-0020-T20-TABLE.
          05 WS-0020-T20-RECORD OCCURS WS-LITERAL-PC-T20-SIZE TIMES
             INDEXED BY WS-0020-T20-INDEX.
      $ELSE
       01 WS-0020-MAX-SIZE               PIC 9(03)
          VALUE WS-LITERAL-SUN-T20-SIZE.
       01 WS-0020-T20-TABLE.
          05 WS-0020-T20-RECORD OCCURS WS-LITERAL-SUN-T20-SIZE TIMES
             INDEXED BY WS-0020-T20-INDEX.
      $END


      **********************************************************
      *       THIS IS A COMPLETE TYPE 20 RECORD WHICH CAN BE   *
      *                   REFERENCED IN MOVES.                 *
      **********************************************************
             10 WS-0020-TBL-TYPE-20.
                15 WS-0020-TBL-RECORD-TYPE        PIC 9(02).
                15 WS-0020-TBL-POLICY-NO.
                   20 WS-0020-TBL-REPORTING-ORG      PIC X(02).
                   20 WS-0020-TBL-LOC-STATE          PIC 9(02).
                   20 WS-0020-TBL-COMPANY-COUNTY     PIC 9(03).
                   20 WS-0020-TBL-POLICY-NUM         PIC 9(07).
                   20 WS-0020-TBL-CROP-YEAR          PIC 9(04).
                15 WS-0020-TBL-KEY-RESERVE-1      PIC X(21).
                15 WS-0020-TBL-CLAIM-NUM          PIC 9(08).
                15 WS-0020-TBL-REINSURE-YR        PIC 9(04).
                15 WS-0020-TBL-KEY-RESERVE-2      PIC X(20).
                15 WS-0020-TBL-FILLER-1           PIC X(02).
                15 WS-0020-TBL-RECORD-NUM         PIC 9(03).
                15 WS-0020-TBL-1ST-TOT-REINS-YR   PIC X(04).
                15 WS-0020-TBL-1ST-TOT-P-CR-M-CO  PIC 9(03).
                15 WS-0020-TBL-1ST-TOTAL          PIC X(01).
                15 WS-0020-TBL-1ST-ESCROW-CHK     PIC 9(09).
                15 WS-0020-TBL-MEMO1 REDEFINES
                   WS-0020-TBL-1ST-ESCROW-CHK.
                   20 WS-0020-TBL-P-CR-MEMO1-ST      PIC 9(02).
                   20 WS-0020-TBL-P-CR-MEMO1-POL     PIC 9(07).
                15 WS-0020-TBL-1ST-TOT-DT-DRFT-IS PIC 9(08).
                15 WS-0020-TBL-1ST-TOTAL-AMOUNT   PIC S9(08)
                   SIGN IS TRAILING.
                15 WS-0020-TBL-2ND-TOT-REINS-YR   PIC X(04).
                15 WS-0020-TBL-2ND-TOT-P-CR-M-CO  PIC 9(03).
                15 WS-0020-TBL-2ND-TOTAL          PIC X(01).
                15 WS-0020-TBL-2ND-ESCROW-CHK     PIC 9(09).
                15 WS-0020-TBL-MEMO2 REDEFINES
                   WS-0020-TBL-2ND-ESCROW-CHK.
                   20 WS-0020-TBL-P-CR-MEMO2-ST      PIC 9(02).
                   20 WS-0020-TBL-P-CR-MEMO2-POL     PIC 9(07).
                15 WS-0020-TBL-2ND-TOT-DT-DRFT-IS PIC 9(08).
                15 WS-0020-TBL-2ND-TOTAL-AMOUNT   PIC S9(08)
                   SIGN IS TRAILING.
                15 WS-0020-TBL-3RD-TOT-REINS-YR   PIC X(04).
                15 WS-0020-TBL-3RD-TOT-P-CR-M-CO  PIC 9(03).
                15 WS-0020-TBL-3RD-TOTAL          PIC X(01).
                15 WS-0020-TBL-3RD-ESCROW-CHK     PIC 9(09).
                15 WS-0020-TBL-MEMO3 REDEFINES
                   WS-0020-TBL-3RD-ESCROW-CHK.
                   20 WS-0020-TBL-P-CR-MEMO3-ST      PIC 9(02).
                   20 WS-0020-TBL-P-CR-MEMO3-POL     PIC 9(07).
                15 WS-0020-TBL-3RD-TOT-DT-DRFT-IS PIC 9(08).
                15 WS-0020-TBL-3RD-TOTAL-AMOUNT   PIC S9(08)
                   SIGN IS TRAILING.
                15 WS-0020-TBL-3RD-TOT-REINS-YR   PIC X(04).
                15 WS-0020-TBL-3RD-TOT-P-CR-M-CO  PIC 9(03).
                15 WS-0020-TBL-4TH-TOTAL          PIC X(01).
                15 WS-0020-TBL-4TH-ESCROW-CHK     PIC 9(09).
                15 WS-0020-TBL-MEMO4 REDEFINES
                   WS-0020-TBL-4TH-ESCROW-CHK.
                   20 WS-0020-TBL-P-CR-MEMO4-ST      PIC 9(02).
                   20 WS-0020-TBL-P-CR-MEMO4-POL     PIC 9(07).
                15 WS-0020-TBL-4TH-TOT-DT-DRFT-IS PIC 9(08).
                15 WS-0020-TBL-4TH-TOTAL-AMOUNT   PIC S9(08)
                   SIGN IS TRAILING.
                15 WS-0020-TBL-FILLER-2           PIC X(123).
                15 WS-0020-TBL-VALID-FOR-ESCROW   PIC X(01).
                15 WS-0020-RM-DATA-RECEIPT-DATE   PIC 9(08).
                15 WS-0020-TBL-FSA-CONTROL-DATE   PIC 9(08).
                15 WS-0020-TBL-FCIC-CONTROL-TIME  PIC 9(08).
                15 WS-0020-TBL-FCIC-CONTROL-DATE  PIC 9(08).
                15 WS-0020-TBL-REINS-YR           PIC 9(04).
                15 WS-0020-TBL-BATCH-NO           PIC 9(04).
                15 WS-0020-TBL-TRAN-SEQ-NO        PIC 9(08).
                15 WS-0020-TBL-TRAN-REJECTED-FLAG PIC X(01).
                15 WS-0020-TBL-TRAN-SOURCE-FLAG   PIC X(01).
                15 WS-0020-TBL-MDAS-PROCESS-NO    PIC 9(02).
                15 WS-0020-TBL-FILLER-3           PIC X(14).




      ******************************************************************
      *  THE TABLE DEFINED BELOW STORES THE TOTAL CLAIM INDEMNITY.     *
      *  IT IS POPULATED WHEN THE TYPE 20 TRANSACTION TABLE (ABOVE)    *
      *  IS POPULATED.  THIS TABLE IS USED FOR THREE PURPOSES.         *
      *  1.  IT IS USED TO DETERMINE WHETHER THE TYPE 20 TOTAL AMOUNTS *
      *      FOR A CLAIM NUMBER MATCH THE TOTAL OF TYPE 21 INDEMNITY.  *
      *  2.  IT IS USED TO ENSURE THAT TYPE 21 RECORDS IN THE POLICY   *
      *      BUFFER ARE CORRECTLY WRITTEN TO THE REJECTED OR ACCEPTED  *
      *      FILES.  IF THE CLAIM NUMBER HAS BEEN REJECTED, ALL OF ITS *
      *      ASSOCIATED TYPE 21 RECORDS MUST ALSO BE REJECTED.         *
      *  3.  IT IS USED TO ENSURE THAT TYPE 21 RECORDS IN THE POLICY   *
      *      BUFFER ARE CORRECTLY WRITTEN TO THE ESCROW FILE.  IF THE  *
      *      CLAIM IS NOT VALID FOR ESCROW, NO TRANSACTIONS FROM THAT  *
      *      CLAIM SHOULD BE WRITTEN TO THE FILE.                      *
      ******************************************************************


       01  WS-0020-CLAIM-STATUS.
           05 WS-0020-CLAIM-REC-COUNT         PIC 9(03).
           05 WS-0020-CLAIM-INT-INDEX         PIC 9(08).

      $IF PC-SW DEFINED
       01  WS-0020-CLAIM-MAX-SIZE             PIC 9(03)
           VALUE WS-LITERAL-PC-T20-SIZE.
       01  WS-0020-CLAIM-TABLE.
           05 WS-0020-CLAIM-RECORD
              OCCURS WS-LITERAL-PC-T20-SIZE TIMES
              INDEXED BY WS-0020-CLAIM-INDEX.
      $ELSE
       01  WS-0020-CLAIM-MAX-SIZE             PIC 9(03)
           VALUE WS-LITERAL-SUN-T20-SIZE.
       01  WS-0020-CLAIM-TABLE.
           05 WS-0020-CLAIM-RECORD
              OCCURS WS-LITERAL-SUN-T20-SIZE TIMES
              INDEXED BY WS-0020-CLAIM-INDEX.
      $END

               10  WS-0020-CLAIM-TBL-REC.
                   15 WS-0020-CLAIM-TBL-TRAN-REJ-FL  PIC X(01).
                   15 WS-0020-CLAIM-TBL-ESCROW-FLAG  PIC X(01).
                   15 WS-0020-CLAIM-TBL-CLAIM-NO     PIC 9(08).
                   15 WS-0020-CLAIM-TBL-T20-TOT-AMT  PIC S9(10)
                      SIGN IS TRAILING.
                   15 WS-0020-CLAIM-TBL-LOSS-TOT     PIC S9(10)
                      SIGN IS TRAILING.



