      ****************************************************************
      *     THIS AREA OF WORKING STORAGE DEFINES THE TRANSACTION     *
      *     TABLE FOR THE CURRENT POLICY'S TYPE 21 RECORDS AS WELL   *
      *     AS THE STATUS VARIABLES FOR THAT TABLE.                  *
      *                                                              *
      *     FILE  : WS0021.CBL                                       *
      *     AUTHOR: MIKE RAY AND CHERYL D. WOOD                      *
      *     DATE  : SEP 13, 1995                                     *
      ****************************************************************


       01 WS-0021-T21-STATUS.
          05 WS-0021-T21-REC-COUNT          PIC 9(03).
          05 WS-0021-T21-INT-INDEX          PIC 9(08).

      $IF PC-SW DEFINED
       01 WS-0021-MAX-SIZE               PIC 9(03)
          VALUE WS-LITERAL-PC-T21-SIZE.

       01 WS-0021-T21-TABLE.
          05 WS-0021-T21-RECORD OCCURS WS-LITERAL-PC-T21-SIZE TIMES
             INDEXED BY WS-0021-T21-INDEX.
      $ELSE
       01 WS-0021-MAX-SIZE               PIC 9(03)
          VALUE WS-LITERAL-SUN-T21-SIZE.

       01 WS-0021-T21-TABLE.
          05 WS-0021-T21-RECORD OCCURS WS-LITERAL-SUN-T21-SIZE TIMES
             INDEXED BY WS-0021-T21-INDEX.
      $END

      **********************************************************
      *       THIS IS THE CROP POLICY TYPE WHICH IS ADDED      *
      *         IN WHEN THE TRANSACTION IS PUT INTO THE        *
      *         TABLE (USE 0211-LOOKUP-CROP-POL-TYPE)          *
      **********************************************************
             10 WS-0021-TBL-CROP-POLICY-TY     PIC X(04).
      **********************************************************
      *   THE FOLLOWING WERE DETERMINED IN 2021-VALIDATE-T21   *
      *   INSURANCE PLAN, CROP UNIT OF MEASURE, AND            *
      *   THE PRELIMINARY GROUP PAYMENT FACTOR.                *
      **********************************************************
             10 WS-0021-TBL-CROP-UNIT-OF-MEAS  PIC 9(02).
             10 WS-0021-TBL-PRELIM-PMT-FACTOR  PIC 9(01)V9(03).
      **********************************************************
      *       THIS IS A COMPLETE TYPE 21 RECORD WHICH CAN BE   *
      *                   REFERENCED IN MOVES.                 *
      **********************************************************
             10 WS-0021-TBL-TYPE-21.
                15 WS-0021-TBL-RECORD-TYPE        PIC 9(02).
                15 WS-0021-TBL-POLICY-NO.
                   20 WS-0021-TBL-REPORTING-ORG      PIC X(02).
                   20 WS-0021-TBL-LOC-STATE          PIC 9(02).
                   20 WS-0021-TBL-COMPANY-COUNTY     PIC 9(03).
                   20 WS-0021-TBL-POLICY-NUM         PIC 9(07).
                   20 WS-0021-TBL-CROP-YEAR          PIC 9(04).
                15 WS-0021-TBL-CROP-CD            PIC 9(04).
                15 WS-0021-TBL-INSURANCE-PLAN-CD  PIC 9(02).
                15 WS-0021-TBL-LOCATION-COUNTY    PIC 9(03).
                15 WS-0021-TBL-UNIT-NUMBER.
                   20 WS-0021-TBL-BASIC-UNIT-NUM     PIC X(03).
                   20 WS-0021-TBL-OPTIONAL-UNIT      PIC 9(02).
                15 WS-0021-TBL-TYPE-CD            PIC 9(03).
                15 WS-0021-TBL-PRACTICE-CD        PIC 9(03).
                15 WS-0021-TBL-COVERAGE-FLG       PIC X(01).
                15 WS-0021-TBL-CLAIM-NUM          PIC 9(08).
                15 WS-0021-TBL-KEY-RESERVE        PIC X(24).
                15 WS-0021-TBL-FILLER-1           PIC X(02).
                15 WS-0021-TBL-RECORD-NUM         PIC 9(03).
                15 WS-0021-TBL-TYPE11-REC-NUM     PIC 9(03).
                15 WS-0021-TBL-ADJUSTER-ID-CD     PIC X(09).
                15 WS-0021-TBL-RATE-CLASS         PIC X(03).
                15 WS-0021-TBL-STAGE-CD           PIC X(02).
                15 WS-0021-TBL-100-PCT-REPLANT-FL PIC X(01).
                15 WS-0021-TBL-STAGE-GUAR-PER-ACR PIC 9(06)V9(02).
                15 WS-0021-TBL-DETERMINED-ACRES   PIC 9(06)V9(02).
                15 WS-0021-TBL-LIABILITY-FACTOR   PIC 9V9(03).
                15 WS-0021-TBL-LOSS-GUARANTEE     PIC 9(08)V9(02).
                15 WS-0021-TBL-PROD-TO-CNT        PIC 9(08)V9(02).
                15 WS-0021-TBL-FARM-UNIT-DEFIC    PIC S9(08)V9(02)
                   SIGN IS TRAILING.
                15 WS-0021-TBL-INSURED-SHARE      PIC 9V9(03).
                15 WS-0021-TBL-GRP-PMT-CALC-FCTR  PIC 9V9(03).
                15 WS-0021-TBL-INDEMNITY          PIC S9(08)
                   SIGN IS TRAILING.
                15 WS-0021-TBL-HARVEST-PROD       PIC 9(08)V9(02).
                15 WS-0021-TBL-SUGAR-FCTR         PIC V9(03).
                15 WS-0021-TBL-AUDIT-CORR         PIC 9(01).
                15 WS-0021-TBL-PRIMARY-MONTH      PIC 9(02).
                15 WS-0021-TBL-SECONDARY-MONTH    PIC 9(02).
                15 WS-0021-TBL-PRIMARY-CAUSE      PIC 9(02).
                15 WS-0021-TBL-PRIMARY-PCT        PIC 9V9(02).
                15 WS-0021-TBL-SECONDARY-CAUSE    PIC 9(02).
                15 WS-0021-TBL-SIMPLIFID-CLM-FLG  PIC X(01).
                15 WS-0021-TBL-FARM-SERIAL-NUM    PIC X(07).
                15 WS-0021-TBL-REV-CVG-LVL-PCT    PIC 9(01)V9(04).
                15 WS-0021-TBL-GUARANTEE-RED-PCT  PIC 9(01)V9(03).
                15 WS-0021-TBL-DOLLAR-AMT-INSUR   PIC 9(06)V9(02).
                15 WS-0021-TBL-FILLER-2           PIC X(59).
                15 WS-0021-TBL-VALID-FOR-ESCROW   PIC X(01).
                15 WS-0021-TBL-1996-CROP-CODE     PIC 9(03).
                15 WS-0021-TBL-1996-TYPE-CODE     PIC 9(03).
                15 WS-0021-TBL-RM-DATA-RECEIPT-DT PIC 9(08).
                15 WS-0021-TBL-YIELD              PIC 9(07)V9(01).
                15 WS-0021-TBL-QUOTA              PIC 9(10).
                15 WS-0021-TBL-COVERAGE-LEVEL-PCT PIC 9(02).
                15 WS-0021-TBL-PRICE-ELECTION     PIC 9(04)V9(04).
                15 WS-0021-TBL-FILLER-3           PIC X(28).
                15 WS-0021-TBL-FSA-CONTROL-DATE   PIC 9(08).
                15 WS-0021-TBL-FCIC-CONTROL-TIME  PIC 9(08).
                15 WS-0021-TBL-FCIC-CONTROL-DATE  PIC 9(08).
                15 WS-0021-TBL-REINS-YR           PIC 9(04).
                15 WS-0021-TBL-BATCH-NO           PIC 9(04).
                15 WS-0021-TBL-TRAN-SEQ-NO        PIC 9(08).
                15 WS-0021-TBL-TRAN-REJECTED-FLAG PIC X(01).
                15 WS-0021-TBL-TRAN-SOURCE-FLAG   PIC X(01).
                15 WS-0021-TBL-MDAS-PROCESS-NO    PIC 9(02).
                15 WS-0021-TBL-FILLER-4           PIC X(14).


      *****************************************************************
      *  THE TABLE DEFINED BELOW STORES THE TOTAL INDEMNITY AND       *
      *  TOTAL DETERMINED ACRES BY UNIT.                              *
      *  IT IS POPULATED WHEN THE TYPE 21 TRANSACTION TABLE (ABOVE)   *
      *  IS POPULATED.                                                *
      *****************************************************************

       01 WS-0021-UNIT-STATUS.
          05 WS-0021-UNIT-REC-COUNT         PIC 9(03).
          05 WS-0021-UNIT-INT-INDEX         PIC 9(08).

      $IF PC-SW DEFINED
       01 WS-0021-UNIT-MAX-SIZE          PIC 9(03)
          VALUE WS-LITERAL-PC-T21-SIZE.
       01 WS-0021-UNIT-TABLE.
          05 WS-0021-UNIT-RECORD OCCURS WS-LITERAL-PC-T21-SIZE TIMES
             INDEXED BY WS-0021-UNIT-INDEX.
      $ELSE
       01 WS-0021-UNIT-MAX-SIZE          PIC 9(03)
          VALUE WS-LITERAL-SUN-T21-SIZE.
       01 WS-0021-UNIT-TABLE.
          05 WS-0021-UNIT-RECORD OCCURS WS-LITERAL-SUN-T21-SIZE TIMES
             INDEXED BY WS-0021-UNIT-INDEX.
      $END

             10 WS-0021-UNIT-TBL-REC.
                15 WS-0021-UNIT-TBL-CLAIM-NUMBER  PIC 9(08).
                15 WS-0021-UNIT-TBL-CROP          PIC 9(04).
                15 WS-0021-UNIT-TBL-CROP-TYPE     PIC X(03).
                15 WS-0021-UNIT-TBL-LOC-COUNTY    PIC 9(03).
                15 WS-0021-UNIT-TBL-BASIC-UNIT    PIC X(03).
                15 WS-0021-UNIT-TBL-OPTIONAL-UNIT PIC 9(02).
                15 WS-0021-UNIT-TBL-SIMPLE-CLAIM  PIC X(01).
                15 WS-0021-UNIT-TBL-INS-PLAN-CD   PIC 9(02).
                15 WS-0021-UNIT-TBL-TOT-INDEMNITY PIC 9(08).
                15 WS-0021-UNIT-TBL-TOT-DET-ACRE  PIC 9(07)V9(02).
                15 WS-0021-UNIT-TBL-REPLANT-ACRES PIC 9(07)V9(02).
                15 WS-0021-UNIT-TBL-STAGE-GUAR    PIC 9(09)V9(01).
                15 WS-0021-UNIT-TBL-LOSS-GUAR     PIC 9(08)V9(02).

      *****************************************************************
      *  THE TABLE DEFINED BELOW STORES THE TOTAL INDEMNITY AND       *
      *  TOTAL DETERMINED ACRES BY CROP.                              *
      *  IT IS POPULATED WHEN THE TYPE 21 TRANSACTION TABLE (ABOVE)   *
      *  IS POPULATED.                                                *
      *****************************************************************

       01 WS-0021-CROP-STATUS.
          05 WS-0021-CROP-REC-COUNT         PIC 9(03).
          05 WS-0021-CROP-INT-INDEX         PIC 9(08).

      $IF PC-SW DEFINED
       01 WS-0021-CROP-MAX-SIZE               PIC 9(03)
          VALUE WS-LITERAL-PC-T21-SIZE.
       01 WS-0021-CROP-TABLE.
          05 WS-0021-CROP-RECORD OCCURS WS-LITERAL-PC-T21-SIZE TIMES
             INDEXED BY WS-0021-CROP-INDEX.
      $ELSE
       01 WS-0021-CROP-MAX-SIZE               PIC 9(03)
          VALUE WS-LITERAL-SUN-T21-SIZE.
       01 WS-0021-CROP-TABLE.
          05 WS-0021-CROP-RECORD OCCURS WS-LITERAL-SUN-T21-SIZE TIMES
             INDEXED BY WS-0021-CROP-INDEX.
      $END

             10 WS-0021-CROP-TBL-REC.
                15 WS-0021-CROP-TBL-CLAIM-NUMBER  PIC 9(08).
                15 WS-0021-CROP-TBL-CROP          PIC 9(04).
                15 WS-0021-CROP-TBL-SIMPLE-CLAIM  PIC X(01).
                15 WS-0021-CROP-TBL-TOT-INDEMNITY PIC 9(08).
                15 WS-0021-CROP-TBL-TOT-DET-ACRE  PIC 9(07)V9(02).
